// +build !minimal

#pragma once

#ifndef GO_QTWEBKIT_H
#define GO_QTWEBKIT_H

#include <stdint.h>

#ifdef __cplusplus
int QGraphicsWebView_QGraphicsWebView_QRegisterMetaType();
int QWebFrame_QWebFrame_QRegisterMetaType();
int QWebHistoryInterface_QWebHistoryInterface_QRegisterMetaType();
int QWebInspector_QWebInspector_QRegisterMetaType();
int QWebPage_QWebPage_QRegisterMetaType();
int QWebPluginFactory_QWebPluginFactory_QRegisterMetaType();
int QWebView_QWebView_QRegisterMetaType();
extern "C" {
#endif

struct QtWebKit_PackedString { char* data; long long len; };
struct QtWebKit_PackedList { void* data; long long len; };
void* QGraphicsWebView_NewQGraphicsWebView(void* parent);
void* QGraphicsWebView_ItemChange(void* ptr, long long change, void* value);
char QGraphicsWebView_EventDefault(void* ptr, void* event);
char QGraphicsWebView_FindText(void* ptr, struct QtWebKit_PackedString subString, long long options);
char QGraphicsWebView_FocusNextPrevChildDefault(void* ptr, char next);
char QGraphicsWebView_SceneEventDefault(void* ptr, void* event);
void QGraphicsWebView_Back(void* ptr);
void QGraphicsWebView_BackDefault(void* ptr);
void QGraphicsWebView_ContextMenuEventDefault(void* ptr, void* ev);
void QGraphicsWebView_DragEnterEventDefault(void* ptr, void* ev);
void QGraphicsWebView_DragLeaveEventDefault(void* ptr, void* ev);
void QGraphicsWebView_DragMoveEventDefault(void* ptr, void* ev);
void QGraphicsWebView_DropEventDefault(void* ptr, void* ev);
void QGraphicsWebView_FocusInEventDefault(void* ptr, void* ev);
void QGraphicsWebView_FocusOutEventDefault(void* ptr, void* ev);
void QGraphicsWebView_Forward(void* ptr);
void QGraphicsWebView_ForwardDefault(void* ptr);
void QGraphicsWebView_HoverLeaveEventDefault(void* ptr, void* ev);
void QGraphicsWebView_HoverMoveEventDefault(void* ptr, void* ev);
void QGraphicsWebView_ConnectIconChanged(void* ptr, long long t);
void QGraphicsWebView_DisconnectIconChanged(void* ptr);
void QGraphicsWebView_IconChanged(void* ptr);
void QGraphicsWebView_InputMethodEventDefault(void* ptr, void* ev);
void QGraphicsWebView_KeyPressEventDefault(void* ptr, void* ev);
void QGraphicsWebView_KeyReleaseEventDefault(void* ptr, void* ev);
void QGraphicsWebView_ConnectLinkClicked(void* ptr, long long t);
void QGraphicsWebView_DisconnectLinkClicked(void* ptr);
void QGraphicsWebView_LinkClicked(void* ptr, void* url);
void QGraphicsWebView_Load2(void* ptr, void* request, long long operation, void* body);
void QGraphicsWebView_Load(void* ptr, void* url);
void QGraphicsWebView_ConnectLoadFinished(void* ptr, long long t);
void QGraphicsWebView_DisconnectLoadFinished(void* ptr);
void QGraphicsWebView_LoadFinished(void* ptr, char ok);
void QGraphicsWebView_ConnectLoadProgress(void* ptr, long long t);
void QGraphicsWebView_DisconnectLoadProgress(void* ptr);
void QGraphicsWebView_LoadProgress(void* ptr, int progress);
void QGraphicsWebView_ConnectLoadStarted(void* ptr, long long t);
void QGraphicsWebView_DisconnectLoadStarted(void* ptr);
void QGraphicsWebView_LoadStarted(void* ptr);
void QGraphicsWebView_MouseDoubleClickEventDefault(void* ptr, void* ev);
void QGraphicsWebView_MouseMoveEventDefault(void* ptr, void* ev);
void QGraphicsWebView_MousePressEventDefault(void* ptr, void* ev);
void QGraphicsWebView_MouseReleaseEventDefault(void* ptr, void* ev);
void QGraphicsWebView_PaintDefault(void* ptr, void* painter, void* option, void* widget);
void QGraphicsWebView_Reload(void* ptr);
void QGraphicsWebView_ReloadDefault(void* ptr);
void QGraphicsWebView_SetContent(void* ptr, void* data, struct QtWebKit_PackedString mimeType, void* baseUrl);
void QGraphicsWebView_SetGeometryDefault(void* ptr, void* rect);
void QGraphicsWebView_SetHtml(void* ptr, struct QtWebKit_PackedString html, void* baseUrl);
void QGraphicsWebView_SetPage(void* ptr, void* page);
void QGraphicsWebView_SetRenderHint(void* ptr, long long hint, char enabled);
void QGraphicsWebView_SetRenderHints(void* ptr, long long hints);
void QGraphicsWebView_SetResizesToContents(void* ptr, char enabled);
void QGraphicsWebView_SetTiledBackingStoreFrozen(void* ptr, char frozen);
void QGraphicsWebView_SetUrl(void* ptr, void* vqu);
void QGraphicsWebView_SetZoomFactor(void* ptr, double vqr);
void QGraphicsWebView_ConnectStatusBarMessage(void* ptr, long long t);
void QGraphicsWebView_DisconnectStatusBarMessage(void* ptr);
void QGraphicsWebView_StatusBarMessage(void* ptr, struct QtWebKit_PackedString text);
void QGraphicsWebView_Stop(void* ptr);
void QGraphicsWebView_StopDefault(void* ptr);
void QGraphicsWebView_ConnectTitleChanged(void* ptr, long long t);
void QGraphicsWebView_DisconnectTitleChanged(void* ptr);
void QGraphicsWebView_TitleChanged(void* ptr, struct QtWebKit_PackedString vqs);
void QGraphicsWebView_TriggerPageAction(void* ptr, long long action, char checked);
void QGraphicsWebView_UpdateGeometryDefault(void* ptr);
void QGraphicsWebView_ConnectUrlChanged(void* ptr, long long t);
void QGraphicsWebView_DisconnectUrlChanged(void* ptr);
void QGraphicsWebView_UrlChanged(void* ptr, void* vqu);
void QGraphicsWebView_WheelEventDefault(void* ptr, void* ev);
void QGraphicsWebView_DestroyQGraphicsWebView(void* ptr);
void* QGraphicsWebView_PageAction(void* ptr, long long action);
void* QGraphicsWebView_Icon(void* ptr);
long long QGraphicsWebView_RenderHints(void* ptr);
void* QGraphicsWebView_SizeHintDefault(void* ptr, long long which, void* constraint);
struct QtWebKit_PackedString QGraphicsWebView_Title(void* ptr);
void* QGraphicsWebView_Url(void* ptr);
void* QGraphicsWebView_InputMethodQueryDefault(void* ptr, long long query);
void* QGraphicsWebView_History(void* ptr);
void* QGraphicsWebView_Page(void* ptr);
void* QGraphicsWebView_Settings(void* ptr);
char QGraphicsWebView_IsModified(void* ptr);
char QGraphicsWebView_IsTiledBackingStoreFrozen(void* ptr);
char QGraphicsWebView_ResizesToContents(void* ptr);
double QGraphicsWebView_ZoomFactor(void* ptr);
void* QGraphicsWebView___actions_atList(void* ptr, int i);
void QGraphicsWebView___actions_setList(void* ptr, void* i);
void* QGraphicsWebView___actions_newList(void* ptr);
void* QGraphicsWebView___addActions_actions_atList(void* ptr, int i);
void QGraphicsWebView___addActions_actions_setList(void* ptr, void* i);
void* QGraphicsWebView___addActions_actions_newList(void* ptr);
void* QGraphicsWebView___insertActions_actions_atList(void* ptr, int i);
void QGraphicsWebView___insertActions_actions_setList(void* ptr, void* i);
void* QGraphicsWebView___insertActions_actions_newList(void* ptr);
void* QGraphicsWebView___children_atList(void* ptr, int i);
void QGraphicsWebView___children_setList(void* ptr, void* i);
void* QGraphicsWebView___children_newList(void* ptr);
void* QGraphicsWebView___dynamicPropertyNames_atList(void* ptr, int i);
void QGraphicsWebView___dynamicPropertyNames_setList(void* ptr, void* i);
void* QGraphicsWebView___dynamicPropertyNames_newList(void* ptr);
void* QGraphicsWebView___findChildren_atList(void* ptr, int i);
void QGraphicsWebView___findChildren_setList(void* ptr, void* i);
void* QGraphicsWebView___findChildren_newList(void* ptr);
void* QGraphicsWebView___findChildren_atList3(void* ptr, int i);
void QGraphicsWebView___findChildren_setList3(void* ptr, void* i);
void* QGraphicsWebView___findChildren_newList3(void* ptr);
void* QGraphicsWebView___qFindChildren_atList2(void* ptr, int i);
void QGraphicsWebView___qFindChildren_setList2(void* ptr, void* i);
void* QGraphicsWebView___qFindChildren_newList2(void* ptr);
void* QGraphicsWebView___childItems_atList(void* ptr, int i);
void QGraphicsWebView___childItems_setList(void* ptr, void* i);
void* QGraphicsWebView___childItems_newList(void* ptr);
void* QGraphicsWebView___collidingItems_atList(void* ptr, int i);
void QGraphicsWebView___collidingItems_setList(void* ptr, void* i);
void* QGraphicsWebView___collidingItems_newList(void* ptr);
void* QGraphicsWebView___setTransformations_transformations_atList(void* ptr, int i);
void QGraphicsWebView___setTransformations_transformations_setList(void* ptr, void* i);
void* QGraphicsWebView___setTransformations_transformations_newList(void* ptr);
void* QGraphicsWebView___transformations_atList(void* ptr, int i);
void QGraphicsWebView___transformations_setList(void* ptr, void* i);
void* QGraphicsWebView___transformations_newList(void* ptr);
void* QGraphicsWebView_BoundingRectDefault(void* ptr);
void QGraphicsWebView_ChangeEventDefault(void* ptr, void* event);
char QGraphicsWebView_CloseDefault(void* ptr);
void QGraphicsWebView_CloseEventDefault(void* ptr, void* event);
void QGraphicsWebView_GetContentsMarginsDefault(void* ptr, double left, double top, double right, double bottom);
void QGraphicsWebView_GrabKeyboardEventDefault(void* ptr, void* event);
void QGraphicsWebView_GrabMouseEventDefault(void* ptr, void* event);
void QGraphicsWebView_HideEventDefault(void* ptr, void* event);
void QGraphicsWebView_InitStyleOptionDefault(void* ptr, void* option);
void QGraphicsWebView_MoveEventDefault(void* ptr, void* event);
void QGraphicsWebView_PaintWindowFrameDefault(void* ptr, void* painter, void* option, void* widget);
void QGraphicsWebView_PolishEventDefault(void* ptr);
void QGraphicsWebView_ResizeEventDefault(void* ptr, void* event);
void* QGraphicsWebView_ShapeDefault(void* ptr);
void QGraphicsWebView_ShowEventDefault(void* ptr, void* event);
int QGraphicsWebView_TypeDefault(void* ptr);
void QGraphicsWebView_UngrabKeyboardEventDefault(void* ptr, void* event);
void QGraphicsWebView_UngrabMouseEventDefault(void* ptr, void* event);
char QGraphicsWebView_WindowFrameEventDefault(void* ptr, void* event);
long long QGraphicsWebView_WindowFrameSectionAtDefault(void* ptr, void* pos);
void QGraphicsWebView_UpdateMicroFocusDefault(void* ptr);
void QGraphicsWebView_ChildEventDefault(void* ptr, void* event);
void QGraphicsWebView_ConnectNotifyDefault(void* ptr, void* sign);
void QGraphicsWebView_CustomEventDefault(void* ptr, void* event);
void QGraphicsWebView_DeleteLaterDefault(void* ptr);
void QGraphicsWebView_DisconnectNotifyDefault(void* ptr, void* sign);
char QGraphicsWebView_EventFilterDefault(void* ptr, void* watched, void* event);
void* QGraphicsWebView_MetaObjectDefault(void* ptr);
void QGraphicsWebView_TimerEventDefault(void* ptr, void* event);
void QGraphicsWebView_AdvanceDefault(void* ptr, int phase);
char QGraphicsWebView_CollidesWithItemDefault(void* ptr, void* other, long long mode);
char QGraphicsWebView_CollidesWithPathDefault(void* ptr, void* path, long long mode);
char QGraphicsWebView_ContainsDefault(void* ptr, void* point);
void QGraphicsWebView_HoverEnterEventDefault(void* ptr, void* event);
char QGraphicsWebView_IsObscuredByDefault(void* ptr, void* item);
void* QGraphicsWebView_OpaqueAreaDefault(void* ptr);
char QGraphicsWebView_SceneEventFilterDefault(void* ptr, void* watched, void* event);
void* QWebDatabase_NewQWebDatabase(void* other);
void QWebDatabase_QWebDatabase_RemoveAllDatabases();
void QWebDatabase_QWebDatabase_RemoveDatabase(void* db);
void QWebDatabase_DestroyQWebDatabase(void* ptr);
struct QtWebKit_PackedString QWebDatabase_DisplayName(void* ptr);
struct QtWebKit_PackedString QWebDatabase_FileName(void* ptr);
struct QtWebKit_PackedString QWebDatabase_Name(void* ptr);
void* QWebDatabase_Origin(void* ptr);
long long QWebDatabase_ExpectedSize(void* ptr);
long long QWebDatabase_Size(void* ptr);
void* QWebElement_EvaluateJavaScript(void* ptr, struct QtWebKit_PackedString scriptSource);
void* QWebElement_TakeFromDocument(void* ptr);
void* QWebElement_NewQWebElement();
void* QWebElement_NewQWebElement2(void* other);
void QWebElement_AddClass(void* ptr, struct QtWebKit_PackedString name);
void QWebElement_AppendInside(void* ptr, struct QtWebKit_PackedString markup);
void QWebElement_AppendInside2(void* ptr, void* element);
void QWebElement_AppendOutside(void* ptr, struct QtWebKit_PackedString markup);
void QWebElement_AppendOutside2(void* ptr, void* element);
void QWebElement_EncloseContentsWith2(void* ptr, struct QtWebKit_PackedString markup);
void QWebElement_EncloseContentsWith(void* ptr, void* element);
void QWebElement_EncloseWith(void* ptr, struct QtWebKit_PackedString markup);
void QWebElement_EncloseWith2(void* ptr, void* element);
void QWebElement_PrependInside(void* ptr, struct QtWebKit_PackedString markup);
void QWebElement_PrependInside2(void* ptr, void* element);
void QWebElement_PrependOutside(void* ptr, struct QtWebKit_PackedString markup);
void QWebElement_PrependOutside2(void* ptr, void* element);
void QWebElement_RemoveAllChildren(void* ptr);
void QWebElement_RemoveAttribute(void* ptr, struct QtWebKit_PackedString name);
void QWebElement_RemoveAttributeNS(void* ptr, struct QtWebKit_PackedString namespaceUri, struct QtWebKit_PackedString name);
void QWebElement_RemoveClass(void* ptr, struct QtWebKit_PackedString name);
void QWebElement_RemoveFromDocument(void* ptr);
void QWebElement_Render(void* ptr, void* painter);
void QWebElement_Render2(void* ptr, void* painter, void* clip);
void QWebElement_Replace(void* ptr, struct QtWebKit_PackedString markup);
void QWebElement_Replace2(void* ptr, void* element);
void QWebElement_SetAttribute(void* ptr, struct QtWebKit_PackedString name, struct QtWebKit_PackedString value);
void QWebElement_SetAttributeNS(void* ptr, struct QtWebKit_PackedString namespaceUri, struct QtWebKit_PackedString name, struct QtWebKit_PackedString value);
void QWebElement_SetFocus(void* ptr);
void QWebElement_SetInnerXml(void* ptr, struct QtWebKit_PackedString markup);
void QWebElement_SetOuterXml(void* ptr, struct QtWebKit_PackedString markup);
void QWebElement_SetPlainText(void* ptr, struct QtWebKit_PackedString text);
void QWebElement_SetStyleProperty(void* ptr, struct QtWebKit_PackedString name, struct QtWebKit_PackedString value);
void QWebElement_ToggleClass(void* ptr, struct QtWebKit_PackedString name);
void QWebElement_DestroyQWebElement(void* ptr);
void* QWebElement_Geometry(void* ptr);
struct QtWebKit_PackedString QWebElement_Attribute(void* ptr, struct QtWebKit_PackedString name, struct QtWebKit_PackedString defaultValue);
struct QtWebKit_PackedString QWebElement_AttributeNS(void* ptr, struct QtWebKit_PackedString namespaceUri, struct QtWebKit_PackedString name, struct QtWebKit_PackedString defaultValue);
struct QtWebKit_PackedString QWebElement_LocalName(void* ptr);
struct QtWebKit_PackedString QWebElement_NamespaceUri(void* ptr);
struct QtWebKit_PackedString QWebElement_Prefix(void* ptr);
struct QtWebKit_PackedString QWebElement_StyleProperty(void* ptr, struct QtWebKit_PackedString name, long long strategy);
struct QtWebKit_PackedString QWebElement_TagName(void* ptr);
struct QtWebKit_PackedString QWebElement_ToInnerXml(void* ptr);
struct QtWebKit_PackedString QWebElement_ToOuterXml(void* ptr);
struct QtWebKit_PackedString QWebElement_ToPlainText(void* ptr);
struct QtWebKit_PackedString QWebElement_AttributeNames(void* ptr, struct QtWebKit_PackedString namespaceUri);
struct QtWebKit_PackedString QWebElement_Classes(void* ptr);
void* QWebElement_Clone(void* ptr);
void* QWebElement_Document(void* ptr);
void* QWebElement_FindFirst(void* ptr, struct QtWebKit_PackedString selectorQuery);
void* QWebElement_FirstChild(void* ptr);
void* QWebElement_LastChild(void* ptr);
void* QWebElement_NextSibling(void* ptr);
void* QWebElement_Parent(void* ptr);
void* QWebElement_PreviousSibling(void* ptr);
void* QWebElement_FindAll(void* ptr, struct QtWebKit_PackedString selectorQuery);
void* QWebElement_WebFrame(void* ptr);
char QWebElement_HasAttribute(void* ptr, struct QtWebKit_PackedString name);
char QWebElement_HasAttributeNS(void* ptr, struct QtWebKit_PackedString namespaceUri, struct QtWebKit_PackedString name);
char QWebElement_HasAttributes(void* ptr);
char QWebElement_HasClass(void* ptr, struct QtWebKit_PackedString name);
char QWebElement_HasFocus(void* ptr);
char QWebElement_IsNull(void* ptr);
void* QWebElementCollection_NewQWebElementCollection();
void* QWebElementCollection_NewQWebElementCollection2(void* contextElement, struct QtWebKit_PackedString query);
void* QWebElementCollection_NewQWebElementCollection3(void* other);
void QWebElementCollection_Append(void* ptr, void* other);
void QWebElementCollection_DestroyQWebElementCollection(void* ptr);
struct QtWebKit_PackedList QWebElementCollection_ToList(void* ptr);
void* QWebElementCollection_At(void* ptr, int i);
void* QWebElementCollection_First(void* ptr);
void* QWebElementCollection_Last(void* ptr);
int QWebElementCollection_Count(void* ptr);
void* QWebElementCollection___toList_atList(void* ptr, int i);
void QWebElementCollection___toList_setList(void* ptr, void* i);
void* QWebElementCollection___toList_newList(void* ptr);
char QWebFrame_EventDefault(void* ptr, void* e);
void QWebFrame_AddToJavaScriptWindowObject(void* ptr, struct QtWebKit_PackedString name, void* object, long long own);
void* QWebFrame_EvaluateJavaScript(void* ptr, struct QtWebKit_PackedString scriptSource);
void* QWebFrame_EvaluateJavaScriptDefault(void* ptr, struct QtWebKit_PackedString scriptSource);
void QWebFrame_ConnectContentsSizeChanged(void* ptr, long long t);
void QWebFrame_DisconnectContentsSizeChanged(void* ptr);
void QWebFrame_ContentsSizeChanged(void* ptr, void* size);
void QWebFrame_ConnectIconChanged(void* ptr, long long t);
void QWebFrame_DisconnectIconChanged(void* ptr);
void QWebFrame_IconChanged(void* ptr);
void QWebFrame_ConnectInitialLayoutCompleted(void* ptr, long long t);
void QWebFrame_DisconnectInitialLayoutCompleted(void* ptr);
void QWebFrame_InitialLayoutCompleted(void* ptr);
void QWebFrame_ConnectJavaScriptWindowObjectCleared(void* ptr, long long t);
void QWebFrame_DisconnectJavaScriptWindowObjectCleared(void* ptr);
void QWebFrame_JavaScriptWindowObjectCleared(void* ptr);
void QWebFrame_Load2(void* ptr, void* req, long long operation, void* body);
void QWebFrame_Load(void* ptr, void* url);
void QWebFrame_ConnectLoadFinished(void* ptr, long long t);
void QWebFrame_DisconnectLoadFinished(void* ptr);
void QWebFrame_LoadFinished(void* ptr, char ok);
void QWebFrame_ConnectLoadStarted(void* ptr, long long t);
void QWebFrame_DisconnectLoadStarted(void* ptr);
void QWebFrame_LoadStarted(void* ptr);
void QWebFrame_ConnectPageChanged(void* ptr, long long t);
void QWebFrame_DisconnectPageChanged(void* ptr);
void QWebFrame_PageChanged(void* ptr);
void QWebFrame_Render2(void* ptr, void* painter, long long layer, void* clip);
void QWebFrame_Render(void* ptr, void* painter, void* clip);
void QWebFrame_Scroll(void* ptr, int dx, int dy);
void QWebFrame_ScrollToAnchor(void* ptr, struct QtWebKit_PackedString anchor);
void QWebFrame_SetContent(void* ptr, void* data, struct QtWebKit_PackedString mimeType, void* baseUrl);
void QWebFrame_SetFocus(void* ptr);
void QWebFrame_SetHtml(void* ptr, struct QtWebKit_PackedString html, void* baseUrl);
void QWebFrame_SetScrollBarPolicy(void* ptr, long long orientation, long long policy);
void QWebFrame_SetScrollBarValue(void* ptr, long long orientation, int value);
void QWebFrame_SetScrollPosition(void* ptr, void* pos);
void QWebFrame_SetTextSizeMultiplier(void* ptr, double factor);
void QWebFrame_SetUrl(void* ptr, void* url);
void QWebFrame_SetZoomFactor(void* ptr, double factor);
void QWebFrame_ConnectTitleChanged(void* ptr, long long t);
void QWebFrame_DisconnectTitleChanged(void* ptr);
void QWebFrame_TitleChanged(void* ptr, struct QtWebKit_PackedString title);
void QWebFrame_ConnectUrlChanged(void* ptr, long long t);
void QWebFrame_DisconnectUrlChanged(void* ptr);
void QWebFrame_UrlChanged(void* ptr, void* url);
void* QWebFrame_Icon(void* ptr);
struct QtWebKit_PackedList QWebFrame_ChildFrames(void* ptr);
struct QtWebKit_PackedList QWebFrame_MetaData(void* ptr);
void* QWebFrame_Pos(void* ptr);
void* QWebFrame_ScrollPosition(void* ptr);
void* QWebFrame_Geometry(void* ptr);
void* QWebFrame_ScrollBarGeometry(void* ptr, long long orientation);
void* QWebFrame_ContentsSize(void* ptr);
struct QtWebKit_PackedString QWebFrame_FrameName(void* ptr);
struct QtWebKit_PackedString QWebFrame_Title(void* ptr);
struct QtWebKit_PackedString QWebFrame_ToHtml(void* ptr);
struct QtWebKit_PackedString QWebFrame_ToPlainText(void* ptr);
void* QWebFrame_BaseUrl(void* ptr);
void* QWebFrame_RequestedUrl(void* ptr);
void* QWebFrame_Url(void* ptr);
void* QWebFrame_DocumentElement(void* ptr);
void* QWebFrame_FindFirstElement(void* ptr, struct QtWebKit_PackedString selectorQuery);
void* QWebFrame_OwnerElement(void* ptr);
void* QWebFrame_FindAllElements(void* ptr, struct QtWebKit_PackedString selectorQuery);
void* QWebFrame_ParentFrame(void* ptr);
void* QWebFrame_HitTestContent(void* ptr, void* pos);
void* QWebFrame_Page(void* ptr);
void* QWebFrame_SecurityOrigin(void* ptr);
long long QWebFrame_ScrollBarPolicy(void* ptr, long long orientation);
char QWebFrame_HasFocus(void* ptr);
int QWebFrame_ScrollBarMaximum(void* ptr, long long orientation);
int QWebFrame_ScrollBarMinimum(void* ptr, long long orientation);
int QWebFrame_ScrollBarValue(void* ptr, long long orientation);
double QWebFrame_TextSizeMultiplier(void* ptr);
double QWebFrame_ZoomFactor(void* ptr);
void QWebFrame_Print(void* ptr, void* printer);
void QWebFrame_PrintDefault(void* ptr, void* printer);
void* QWebFrame___childFrames_atList(void* ptr, int i);
void QWebFrame___childFrames_setList(void* ptr, void* i);
void* QWebFrame___childFrames_newList(void* ptr);
struct QtWebKit_PackedString QWebFrame___metaData_atList(void* ptr, struct QtWebKit_PackedString v, int i);
void QWebFrame___metaData_setList(void* ptr, struct QtWebKit_PackedString key, struct QtWebKit_PackedString i);
void* QWebFrame___metaData_newList(void* ptr);
struct QtWebKit_PackedList QWebFrame___metaData_keyList(void* ptr);
struct QtWebKit_PackedString QWebFrame_____metaData_keyList_atList(void* ptr, int i);
void QWebFrame_____metaData_keyList_setList(void* ptr, struct QtWebKit_PackedString i);
void* QWebFrame_____metaData_keyList_newList(void* ptr);
void* QWebFrame___children_atList(void* ptr, int i);
void QWebFrame___children_setList(void* ptr, void* i);
void* QWebFrame___children_newList(void* ptr);
void* QWebFrame___dynamicPropertyNames_atList(void* ptr, int i);
void QWebFrame___dynamicPropertyNames_setList(void* ptr, void* i);
void* QWebFrame___dynamicPropertyNames_newList(void* ptr);
void* QWebFrame___findChildren_atList(void* ptr, int i);
void QWebFrame___findChildren_setList(void* ptr, void* i);
void* QWebFrame___findChildren_newList(void* ptr);
void* QWebFrame___findChildren_atList3(void* ptr, int i);
void QWebFrame___findChildren_setList3(void* ptr, void* i);
void* QWebFrame___findChildren_newList3(void* ptr);
void* QWebFrame___qFindChildren_atList2(void* ptr, int i);
void QWebFrame___qFindChildren_setList2(void* ptr, void* i);
void* QWebFrame___qFindChildren_newList2(void* ptr);
void QWebFrame_ChildEventDefault(void* ptr, void* event);
void QWebFrame_ConnectNotifyDefault(void* ptr, void* sign);
void QWebFrame_CustomEventDefault(void* ptr, void* event);
void QWebFrame_DeleteLaterDefault(void* ptr);
void QWebFrame_DisconnectNotifyDefault(void* ptr, void* sign);
char QWebFrame_EventFilterDefault(void* ptr, void* watched, void* event);
void* QWebFrame_MetaObjectDefault(void* ptr);
void QWebFrame_TimerEventDefault(void* ptr, void* event);
void QWebHistory_Back(void* ptr);
void QWebHistory_Clear(void* ptr);
void QWebHistory_Forward(void* ptr);
void QWebHistory_GoToItem(void* ptr, void* item);
void QWebHistory_SetMaximumItemCount(void* ptr, int count);
struct QtWebKit_PackedList QWebHistory_BackItems(void* ptr, int maxItems);
struct QtWebKit_PackedList QWebHistory_ForwardItems(void* ptr, int maxItems);
struct QtWebKit_PackedList QWebHistory_Items(void* ptr);
struct QtWebKit_PackedList QWebHistory_ToMap(void* ptr);
void* QWebHistory_BackItem(void* ptr);
void* QWebHistory_CurrentItem(void* ptr);
void* QWebHistory_ForwardItem(void* ptr);
void* QWebHistory_ItemAt(void* ptr, int i);
char QWebHistory_CanGoBack(void* ptr);
char QWebHistory_CanGoForward(void* ptr);
int QWebHistory_Count(void* ptr);
int QWebHistory_CurrentItemIndex(void* ptr);
int QWebHistory_MaximumItemCount(void* ptr);
void* QWebHistory___loadFromMap_map_atList(void* ptr, struct QtWebKit_PackedString v, int i);
void QWebHistory___loadFromMap_map_setList(void* ptr, struct QtWebKit_PackedString key, void* i);
void* QWebHistory___loadFromMap_map_newList(void* ptr);
struct QtWebKit_PackedList QWebHistory___loadFromMap_map_keyList(void* ptr);
void* QWebHistory___backItems_atList(void* ptr, int i);
void QWebHistory___backItems_setList(void* ptr, void* i);
void* QWebHistory___backItems_newList(void* ptr);
void* QWebHistory___forwardItems_atList(void* ptr, int i);
void QWebHistory___forwardItems_setList(void* ptr, void* i);
void* QWebHistory___forwardItems_newList(void* ptr);
void* QWebHistory___items_atList(void* ptr, int i);
void QWebHistory___items_setList(void* ptr, void* i);
void* QWebHistory___items_newList(void* ptr);
void* QWebHistory___toMap_atList(void* ptr, struct QtWebKit_PackedString v, int i);
void QWebHistory___toMap_setList(void* ptr, struct QtWebKit_PackedString key, void* i);
void* QWebHistory___toMap_newList(void* ptr);
struct QtWebKit_PackedList QWebHistory___toMap_keyList(void* ptr);
struct QtWebKit_PackedString QWebHistory_____loadFromMap_map_keyList_atList(void* ptr, int i);
void QWebHistory_____loadFromMap_map_keyList_setList(void* ptr, struct QtWebKit_PackedString i);
void* QWebHistory_____loadFromMap_map_keyList_newList(void* ptr);
struct QtWebKit_PackedString QWebHistory_____toMap_keyList_atList(void* ptr, int i);
void QWebHistory_____toMap_keyList_setList(void* ptr, struct QtWebKit_PackedString i);
void* QWebHistory_____toMap_keyList_newList(void* ptr);
void* QWebHistoryInterface_QWebHistoryInterface_DefaultInterface();
void* QWebHistoryInterface_NewQWebHistoryInterface(void* parent);
void QWebHistoryInterface_AddHistoryEntry(void* ptr, struct QtWebKit_PackedString url);
void QWebHistoryInterface_QWebHistoryInterface_SetDefaultInterface(void* defaultInterface);
void QWebHistoryInterface_DestroyQWebHistoryInterface(void* ptr);
char QWebHistoryInterface_HistoryContains(void* ptr, struct QtWebKit_PackedString url);
void* QWebHistoryInterface___children_atList(void* ptr, int i);
void QWebHistoryInterface___children_setList(void* ptr, void* i);
void* QWebHistoryInterface___children_newList(void* ptr);
void* QWebHistoryInterface___dynamicPropertyNames_atList(void* ptr, int i);
void QWebHistoryInterface___dynamicPropertyNames_setList(void* ptr, void* i);
void* QWebHistoryInterface___dynamicPropertyNames_newList(void* ptr);
void* QWebHistoryInterface___findChildren_atList(void* ptr, int i);
void QWebHistoryInterface___findChildren_setList(void* ptr, void* i);
void* QWebHistoryInterface___findChildren_newList(void* ptr);
void* QWebHistoryInterface___findChildren_atList3(void* ptr, int i);
void QWebHistoryInterface___findChildren_setList3(void* ptr, void* i);
void* QWebHistoryInterface___findChildren_newList3(void* ptr);
void* QWebHistoryInterface___qFindChildren_atList2(void* ptr, int i);
void QWebHistoryInterface___qFindChildren_setList2(void* ptr, void* i);
void* QWebHistoryInterface___qFindChildren_newList2(void* ptr);
void QWebHistoryInterface_ChildEventDefault(void* ptr, void* event);
void QWebHistoryInterface_ConnectNotifyDefault(void* ptr, void* sign);
void QWebHistoryInterface_CustomEventDefault(void* ptr, void* event);
void QWebHistoryInterface_DeleteLaterDefault(void* ptr);
void QWebHistoryInterface_DisconnectNotifyDefault(void* ptr, void* sign);
char QWebHistoryInterface_EventDefault(void* ptr, void* e);
char QWebHistoryInterface_EventFilterDefault(void* ptr, void* watched, void* event);
void* QWebHistoryInterface_MetaObjectDefault(void* ptr);
void QWebHistoryInterface_TimerEventDefault(void* ptr, void* event);
void* QWebHistoryItem_NewQWebHistoryItem(void* other);
void QWebHistoryItem_SetUserData(void* ptr, void* userData);
void QWebHistoryItem_DestroyQWebHistoryItem(void* ptr);
void* QWebHistoryItem_LastVisited(void* ptr);
void* QWebHistoryItem_Icon(void* ptr);
struct QtWebKit_PackedString QWebHistoryItem_Title(void* ptr);
void* QWebHistoryItem_OriginalUrl(void* ptr);
void* QWebHistoryItem_Url(void* ptr);
void* QWebHistoryItem_UserData(void* ptr);
struct QtWebKit_PackedList QWebHistoryItem_ToMap(void* ptr);
char QWebHistoryItem_IsValid(void* ptr);
void* QWebHistoryItem___loadFromMap_map_atList(void* ptr, struct QtWebKit_PackedString v, int i);
void QWebHistoryItem___loadFromMap_map_setList(void* ptr, struct QtWebKit_PackedString key, void* i);
void* QWebHistoryItem___loadFromMap_map_newList(void* ptr);
struct QtWebKit_PackedList QWebHistoryItem___loadFromMap_map_keyList(void* ptr);
void* QWebHistoryItem___toMap_atList(void* ptr, struct QtWebKit_PackedString v, int i);
void QWebHistoryItem___toMap_setList(void* ptr, struct QtWebKit_PackedString key, void* i);
void* QWebHistoryItem___toMap_newList(void* ptr);
struct QtWebKit_PackedList QWebHistoryItem___toMap_keyList(void* ptr);
struct QtWebKit_PackedString QWebHistoryItem_____loadFromMap_map_keyList_atList(void* ptr, int i);
void QWebHistoryItem_____loadFromMap_map_keyList_setList(void* ptr, struct QtWebKit_PackedString i);
void* QWebHistoryItem_____loadFromMap_map_keyList_newList(void* ptr);
struct QtWebKit_PackedString QWebHistoryItem_____toMap_keyList_atList(void* ptr, int i);
void QWebHistoryItem_____toMap_keyList_setList(void* ptr, struct QtWebKit_PackedString i);
void* QWebHistoryItem_____toMap_keyList_newList(void* ptr);
void* QWebHitTestResult_NewQWebHitTestResult();
void* QWebHitTestResult_NewQWebHitTestResult2(void* other);
void QWebHitTestResult_DestroyQWebHitTestResult(void* ptr);
void* QWebHitTestResult_Pixmap(void* ptr);
void* QWebHitTestResult_Pos(void* ptr);
void* QWebHitTestResult_BoundingRect(void* ptr);
struct QtWebKit_PackedString QWebHitTestResult_AlternateText(void* ptr);
struct QtWebKit_PackedString QWebHitTestResult_LinkText(void* ptr);
struct QtWebKit_PackedString QWebHitTestResult_LinkTitleString(void* ptr);
struct QtWebKit_PackedString QWebHitTestResult_Title(void* ptr);
void* QWebHitTestResult_ImageUrl(void* ptr);
void* QWebHitTestResult_LinkUrl(void* ptr);
void* QWebHitTestResult_MediaUrl(void* ptr);
void* QWebHitTestResult_Element(void* ptr);
void* QWebHitTestResult_EnclosingBlockElement(void* ptr);
void* QWebHitTestResult_LinkElement(void* ptr);
void* QWebHitTestResult_Frame(void* ptr);
void* QWebHitTestResult_LinkTargetFrame(void* ptr);
char QWebHitTestResult_IsContentEditable(void* ptr);
char QWebHitTestResult_IsContentSelected(void* ptr);
char QWebHitTestResult_IsNull(void* ptr);
void* QWebInspector_NewQWebInspector(void* parent);
char QWebInspector_EventDefault(void* ptr, void* ev);
void QWebInspector_CloseEventDefault(void* ptr, void* event);
void QWebInspector_HideEventDefault(void* ptr, void* event);
void QWebInspector_ResizeEventDefault(void* ptr, void* event);
void QWebInspector_SetPage(void* ptr, void* page);
void QWebInspector_ShowEventDefault(void* ptr, void* event);
void QWebInspector_DestroyQWebInspector(void* ptr);
void* QWebInspector_SizeHintDefault(void* ptr);
void* QWebInspector_Page(void* ptr);
void* QWebInspector___actions_atList(void* ptr, int i);
void QWebInspector___actions_setList(void* ptr, void* i);
void* QWebInspector___actions_newList(void* ptr);
void* QWebInspector___addActions_actions_atList(void* ptr, int i);
void QWebInspector___addActions_actions_setList(void* ptr, void* i);
void* QWebInspector___addActions_actions_newList(void* ptr);
void* QWebInspector___insertActions_actions_atList(void* ptr, int i);
void QWebInspector___insertActions_actions_setList(void* ptr, void* i);
void* QWebInspector___insertActions_actions_newList(void* ptr);
void* QWebInspector___children_atList(void* ptr, int i);
void QWebInspector___children_setList(void* ptr, void* i);
void* QWebInspector___children_newList(void* ptr);
void* QWebInspector___dynamicPropertyNames_atList(void* ptr, int i);
void QWebInspector___dynamicPropertyNames_setList(void* ptr, void* i);
void* QWebInspector___dynamicPropertyNames_newList(void* ptr);
void* QWebInspector___findChildren_atList(void* ptr, int i);
void QWebInspector___findChildren_setList(void* ptr, void* i);
void* QWebInspector___findChildren_newList(void* ptr);
void* QWebInspector___findChildren_atList3(void* ptr, int i);
void QWebInspector___findChildren_setList3(void* ptr, void* i);
void* QWebInspector___findChildren_newList3(void* ptr);
void* QWebInspector___qFindChildren_atList2(void* ptr, int i);
void QWebInspector___qFindChildren_setList2(void* ptr, void* i);
void* QWebInspector___qFindChildren_newList2(void* ptr);
void QWebInspector_ActionEventDefault(void* ptr, void* event);
void QWebInspector_ChangeEventDefault(void* ptr, void* event);
char QWebInspector_CloseDefault(void* ptr);
void QWebInspector_ContextMenuEventDefault(void* ptr, void* event);
void QWebInspector_DragEnterEventDefault(void* ptr, void* event);
void QWebInspector_DragLeaveEventDefault(void* ptr, void* event);
void QWebInspector_DragMoveEventDefault(void* ptr, void* event);
void QWebInspector_DropEventDefault(void* ptr, void* event);
void QWebInspector_EnterEventDefault(void* ptr, void* event);
void QWebInspector_FocusInEventDefault(void* ptr, void* event);
char QWebInspector_FocusNextPrevChildDefault(void* ptr, char next);
void QWebInspector_FocusOutEventDefault(void* ptr, void* event);
char QWebInspector_HasHeightForWidthDefault(void* ptr);
int QWebInspector_HeightForWidthDefault(void* ptr, int w);
void QWebInspector_HideDefault(void* ptr);
void QWebInspector_InitPainterDefault(void* ptr, void* painter);
void QWebInspector_InputMethodEventDefault(void* ptr, void* event);
void* QWebInspector_InputMethodQueryDefault(void* ptr, long long query);
void QWebInspector_KeyPressEventDefault(void* ptr, void* event);
void QWebInspector_KeyReleaseEventDefault(void* ptr, void* event);
void QWebInspector_LeaveEventDefault(void* ptr, void* event);
void QWebInspector_LowerDefault(void* ptr);
int QWebInspector_MetricDefault(void* ptr, long long m);
void* QWebInspector_MinimumSizeHintDefault(void* ptr);
void QWebInspector_MouseDoubleClickEventDefault(void* ptr, void* event);
void QWebInspector_MouseMoveEventDefault(void* ptr, void* event);
void QWebInspector_MousePressEventDefault(void* ptr, void* event);
void QWebInspector_MouseReleaseEventDefault(void* ptr, void* event);
void QWebInspector_MoveEventDefault(void* ptr, void* event);
char QWebInspector_NativeEventDefault(void* ptr, void* eventType, void* message, long* result);
void* QWebInspector_PaintEngineDefault(void* ptr);
void QWebInspector_PaintEventDefault(void* ptr, void* event);
void QWebInspector_RaiseDefault(void* ptr);
void QWebInspector_RepaintDefault(void* ptr);
void QWebInspector_SetDisabledDefault(void* ptr, char disable);
void QWebInspector_SetEnabledDefault(void* ptr, char vbo);
void QWebInspector_SetFocus2Default(void* ptr);
void QWebInspector_SetHiddenDefault(void* ptr, char hidden);
void QWebInspector_SetStyleSheetDefault(void* ptr, struct QtWebKit_PackedString styleSheet);
void QWebInspector_SetVisibleDefault(void* ptr, char visible);
void QWebInspector_SetWindowModifiedDefault(void* ptr, char vbo);
void QWebInspector_SetWindowTitleDefault(void* ptr, struct QtWebKit_PackedString vqs);
void QWebInspector_ShowDefault(void* ptr);
void QWebInspector_ShowFullScreenDefault(void* ptr);
void QWebInspector_ShowMaximizedDefault(void* ptr);
void QWebInspector_ShowMinimizedDefault(void* ptr);
void QWebInspector_ShowNormalDefault(void* ptr);
void QWebInspector_TabletEventDefault(void* ptr, void* event);
void QWebInspector_UpdateDefault(void* ptr);
void QWebInspector_UpdateMicroFocusDefault(void* ptr);
void QWebInspector_WheelEventDefault(void* ptr, void* event);
void QWebInspector_ChildEventDefault(void* ptr, void* event);
void QWebInspector_ConnectNotifyDefault(void* ptr, void* sign);
void QWebInspector_CustomEventDefault(void* ptr, void* event);
void QWebInspector_DeleteLaterDefault(void* ptr);
void QWebInspector_DisconnectNotifyDefault(void* ptr, void* sign);
char QWebInspector_EventFilterDefault(void* ptr, void* watched, void* event);
void* QWebInspector_MetaObjectDefault(void* ptr);
void QWebInspector_TimerEventDefault(void* ptr, void* event);
void* QWebPage_CreateStandardContextMenu(void* ptr);
void* QWebPage_CreatePlugin(void* ptr, struct QtWebKit_PackedString classid, void* url, struct QtWebKit_PackedString paramNames, struct QtWebKit_PackedString paramValues);
void* QWebPage_CreatePluginDefault(void* ptr, struct QtWebKit_PackedString classid, void* url, struct QtWebKit_PackedString paramNames, struct QtWebKit_PackedString paramValues);
struct QtWebKit_PackedString QWebPage_ChooseFile(void* ptr, void* parentFrame, struct QtWebKit_PackedString suggestedFile);
struct QtWebKit_PackedString QWebPage_ChooseFileDefault(void* ptr, void* parentFrame, struct QtWebKit_PackedString suggestedFile);
void* QWebPage_CreateWindow(void* ptr, long long ty);
void* QWebPage_CreateWindowDefault(void* ptr, long long ty);
void* QWebPage_NewQWebPage(void* parent);
char QWebPage_AcceptNavigationRequest(void* ptr, void* frame, void* request, long long ty);
char QWebPage_AcceptNavigationRequestDefault(void* ptr, void* frame, void* request, long long ty);
char QWebPage_EventDefault(void* ptr, void* ev);
char QWebPage_FindText(void* ptr, struct QtWebKit_PackedString subString, long long options);
char QWebPage_FocusNextPrevChild(void* ptr, char next);
char QWebPage_JavaScriptConfirm(void* ptr, void* frame, struct QtWebKit_PackedString msg);
char QWebPage_JavaScriptConfirmDefault(void* ptr, void* frame, struct QtWebKit_PackedString msg);
char QWebPage_JavaScriptPrompt(void* ptr, void* frame, struct QtWebKit_PackedString msg, struct QtWebKit_PackedString defaultValue, struct QtWebKit_PackedString result);
char QWebPage_JavaScriptPromptDefault(void* ptr, void* frame, struct QtWebKit_PackedString msg, struct QtWebKit_PackedString defaultValue, struct QtWebKit_PackedString result);
char QWebPage_ShouldInterruptJavaScript(void* ptr);
char QWebPage_ShouldInterruptJavaScriptDefault(void* ptr);
char QWebPage_SwallowContextMenuEvent(void* ptr, void* event);
void QWebPage_ConnectApplicationCacheQuotaExceeded(void* ptr, long long t);
void QWebPage_DisconnectApplicationCacheQuotaExceeded(void* ptr);
void QWebPage_ApplicationCacheQuotaExceeded(void* ptr, void* origin, unsigned long long defaultOriginQuota, unsigned long long totalSpaceNeeded);
void QWebPage_ConnectConsoleMessageReceived(void* ptr, long long t);
void QWebPage_DisconnectConsoleMessageReceived(void* ptr);
void QWebPage_ConsoleMessageReceived(void* ptr, long long source, long long level, struct QtWebKit_PackedString message, int lineNumber, struct QtWebKit_PackedString sourceID);
void QWebPage_ConnectContentsChanged(void* ptr, long long t);
void QWebPage_DisconnectContentsChanged(void* ptr);
void QWebPage_ContentsChanged(void* ptr);
void QWebPage_ConnectDatabaseQuotaExceeded(void* ptr, long long t);
void QWebPage_DisconnectDatabaseQuotaExceeded(void* ptr);
void QWebPage_DatabaseQuotaExceeded(void* ptr, void* frame, struct QtWebKit_PackedString databaseName);
void QWebPage_ConnectDownloadRequested(void* ptr, long long t);
void QWebPage_DisconnectDownloadRequested(void* ptr);
void QWebPage_DownloadRequested(void* ptr, void* request);
void QWebPage_ConnectFeaturePermissionRequestCanceled(void* ptr, long long t);
void QWebPage_DisconnectFeaturePermissionRequestCanceled(void* ptr);
void QWebPage_FeaturePermissionRequestCanceled(void* ptr, void* frame, long long feature);
void QWebPage_ConnectFeaturePermissionRequested(void* ptr, long long t);
void QWebPage_DisconnectFeaturePermissionRequested(void* ptr);
void QWebPage_FeaturePermissionRequested(void* ptr, void* frame, long long feature);
void QWebPage_ConnectFocusedElementChanged(void* ptr, long long t);
void QWebPage_DisconnectFocusedElementChanged(void* ptr);
void QWebPage_FocusedElementChanged(void* ptr, void* element);
void QWebPage_ConnectFrameCreated(void* ptr, long long t);
void QWebPage_DisconnectFrameCreated(void* ptr);
void QWebPage_FrameCreated(void* ptr, void* frame);
void QWebPage_ConnectGeometryChangeRequested(void* ptr, long long t);
void QWebPage_DisconnectGeometryChangeRequested(void* ptr);
void QWebPage_GeometryChangeRequested(void* ptr, void* geom);
void QWebPage_JavaScriptAlert(void* ptr, void* frame, struct QtWebKit_PackedString msg);
void QWebPage_JavaScriptAlertDefault(void* ptr, void* frame, struct QtWebKit_PackedString msg);
void QWebPage_JavaScriptConsoleMessage(void* ptr, struct QtWebKit_PackedString message, int lineNumber, struct QtWebKit_PackedString sourceID);
void QWebPage_JavaScriptConsoleMessageDefault(void* ptr, struct QtWebKit_PackedString message, int lineNumber, struct QtWebKit_PackedString sourceID);
void QWebPage_ConnectLinkClicked(void* ptr, long long t);
void QWebPage_DisconnectLinkClicked(void* ptr);
void QWebPage_LinkClicked(void* ptr, void* url);
void QWebPage_ConnectLinkHovered(void* ptr, long long t);
void QWebPage_DisconnectLinkHovered(void* ptr);
void QWebPage_LinkHovered(void* ptr, struct QtWebKit_PackedString link, struct QtWebKit_PackedString title, struct QtWebKit_PackedString textContent);
void QWebPage_ConnectLoadFinished(void* ptr, long long t);
void QWebPage_DisconnectLoadFinished(void* ptr);
void QWebPage_LoadFinished(void* ptr, char ok);
void QWebPage_ConnectLoadProgress(void* ptr, long long t);
void QWebPage_DisconnectLoadProgress(void* ptr);
void QWebPage_LoadProgress(void* ptr, int progress);
void QWebPage_ConnectLoadStarted(void* ptr, long long t);
void QWebPage_DisconnectLoadStarted(void* ptr);
void QWebPage_LoadStarted(void* ptr);
void QWebPage_ConnectMenuBarVisibilityChangeRequested(void* ptr, long long t);
void QWebPage_DisconnectMenuBarVisibilityChangeRequested(void* ptr);
void QWebPage_MenuBarVisibilityChangeRequested(void* ptr, char visible);
void QWebPage_ConnectMicroFocusChanged(void* ptr, long long t);
void QWebPage_DisconnectMicroFocusChanged(void* ptr);
void QWebPage_MicroFocusChanged(void* ptr);
void QWebPage_ConnectPrintRequested(void* ptr, long long t);
void QWebPage_DisconnectPrintRequested(void* ptr);
void QWebPage_PrintRequested(void* ptr, void* frame);
void QWebPage_ConnectRecentlyAudibleChanged(void* ptr, long long t);
void QWebPage_DisconnectRecentlyAudibleChanged(void* ptr);
void QWebPage_RecentlyAudibleChanged(void* ptr, char recentlyAudible);
void QWebPage_ConnectRepaintRequested(void* ptr, long long t);
void QWebPage_DisconnectRepaintRequested(void* ptr);
void QWebPage_RepaintRequested(void* ptr, void* dirtyRect);
void QWebPage_ConnectRestoreFrameStateRequested(void* ptr, long long t);
void QWebPage_DisconnectRestoreFrameStateRequested(void* ptr);
void QWebPage_RestoreFrameStateRequested(void* ptr, void* frame);
void QWebPage_ConnectSaveFrameStateRequested(void* ptr, long long t);
void QWebPage_DisconnectSaveFrameStateRequested(void* ptr);
void QWebPage_SaveFrameStateRequested(void* ptr, void* frame, void* item);
void QWebPage_ConnectScrollRequested(void* ptr, long long t);
void QWebPage_DisconnectScrollRequested(void* ptr);
void QWebPage_ScrollRequested(void* ptr, int dx, int dy, void* rectToScroll);
void QWebPage_ConnectSelectionChanged(void* ptr, long long t);
void QWebPage_DisconnectSelectionChanged(void* ptr);
void QWebPage_SelectionChanged(void* ptr);
void QWebPage_SetContentEditable(void* ptr, char editable);
void QWebPage_SetFeaturePermission(void* ptr, void* frame, long long feature, long long policy);
void QWebPage_SetForwardUnsupportedContent(void* ptr, char forward);
void QWebPage_SetLinkDelegationPolicy(void* ptr, long long policy);
void QWebPage_SetNetworkAccessManager(void* ptr, void* manager);
void QWebPage_SetPalette(void* ptr, void* palette);
void QWebPage_SetPluginFactory(void* ptr, void* factory);
void QWebPage_SetView(void* ptr, void* view);
void QWebPage_SetVisibilityState(void* ptr, long long vvi);
void QWebPage_ConnectStatusBarMessage(void* ptr, long long t);
void QWebPage_DisconnectStatusBarMessage(void* ptr);
void QWebPage_StatusBarMessage(void* ptr, struct QtWebKit_PackedString text);
void QWebPage_ConnectStatusBarVisibilityChangeRequested(void* ptr, long long t);
void QWebPage_DisconnectStatusBarVisibilityChangeRequested(void* ptr);
void QWebPage_StatusBarVisibilityChangeRequested(void* ptr, char visible);
void QWebPage_ConnectToolBarVisibilityChangeRequested(void* ptr, long long t);
void QWebPage_DisconnectToolBarVisibilityChangeRequested(void* ptr);
void QWebPage_ToolBarVisibilityChangeRequested(void* ptr, char visible);
void QWebPage_TriggerAction(void* ptr, long long action, char checked);
void QWebPage_TriggerActionDefault(void* ptr, long long action, char checked);
void QWebPage_ConnectUnsupportedContent(void* ptr, long long t);
void QWebPage_DisconnectUnsupportedContent(void* ptr);
void QWebPage_UnsupportedContent(void* ptr, void* reply);
void QWebPage_UpdatePositionDependentActions(void* ptr, void* pos);
void QWebPage_ConnectViewportChangeRequested(void* ptr, long long t);
void QWebPage_DisconnectViewportChangeRequested(void* ptr);
void QWebPage_ViewportChangeRequested(void* ptr);
void QWebPage_ConnectWindowCloseRequested(void* ptr, long long t);
void QWebPage_DisconnectWindowCloseRequested(void* ptr);
void QWebPage_WindowCloseRequested(void* ptr);
void QWebPage_DestroyQWebPage(void* ptr);
long long QWebPage_LinkDelegationPolicy(void* ptr);
void* QWebPage_Action(void* ptr, long long action);
void* QWebPage_CustomAction(void* ptr, int action);
void* QWebPage_NetworkAccessManager(void* ptr);
void* QWebPage_Palette(void* ptr);
void* QWebPage_PreferredContentsSize(void* ptr);
void* QWebPage_ViewportSize(void* ptr);
struct QtWebKit_PackedString QWebPage_SelectedHtml(void* ptr);
struct QtWebKit_PackedString QWebPage_SelectedText(void* ptr);
struct QtWebKit_PackedString QWebPage_UserAgentForUrl(void* ptr, void* url);
struct QtWebKit_PackedString QWebPage_UserAgentForUrlDefault(void* ptr, void* url);
struct QtWebKit_PackedString QWebPage_SupportedContentTypes(void* ptr);
void* QWebPage_UndoStack(void* ptr);
void* QWebPage_InputMethodQuery(void* ptr, long long property);
void* QWebPage_CurrentFrame(void* ptr);
void* QWebPage_FrameAt(void* ptr, void* pos);
void* QWebPage_MainFrame(void* ptr);
void* QWebPage_History(void* ptr);
void* QWebPage_PluginFactory(void* ptr);
void* QWebPage_Settings(void* ptr);
void* QWebPage_View(void* ptr);
long long QWebPage_VisibilityState(void* ptr);
char QWebPage_ForwardUnsupportedContent(void* ptr);
char QWebPage_HasSelection(void* ptr);
char QWebPage_IsContentEditable(void* ptr);
char QWebPage_IsModified(void* ptr);
char QWebPage_RecentlyAudible(void* ptr);
char QWebPage_SupportsContentType(void* ptr, struct QtWebKit_PackedString mimeType);
char QWebPage_SupportsExtension(void* ptr, long long extension);
char QWebPage_SupportsExtensionDefault(void* ptr, long long extension);
unsigned long long QWebPage_BytesReceived(void* ptr);
unsigned long long QWebPage_TotalBytes(void* ptr);
void QWebPage_SetActualVisibleContentRect(void* ptr, void* rect);
void QWebPage_SetPreferredContentsSize(void* ptr, void* size);
void QWebPage_SetViewportSize(void* ptr, void* size);
void* QWebPage___children_atList(void* ptr, int i);
void QWebPage___children_setList(void* ptr, void* i);
void* QWebPage___children_newList(void* ptr);
void* QWebPage___dynamicPropertyNames_atList(void* ptr, int i);
void QWebPage___dynamicPropertyNames_setList(void* ptr, void* i);
void* QWebPage___dynamicPropertyNames_newList(void* ptr);
void* QWebPage___findChildren_atList(void* ptr, int i);
void QWebPage___findChildren_setList(void* ptr, void* i);
void* QWebPage___findChildren_newList(void* ptr);
void* QWebPage___findChildren_atList3(void* ptr, int i);
void QWebPage___findChildren_setList3(void* ptr, void* i);
void* QWebPage___findChildren_newList3(void* ptr);
void* QWebPage___qFindChildren_atList2(void* ptr, int i);
void QWebPage___qFindChildren_setList2(void* ptr, void* i);
void* QWebPage___qFindChildren_newList2(void* ptr);
void QWebPage_ChildEventDefault(void* ptr, void* event);
void QWebPage_ConnectNotifyDefault(void* ptr, void* sign);
void QWebPage_CustomEventDefault(void* ptr, void* event);
void QWebPage_DeleteLaterDefault(void* ptr);
void QWebPage_DisconnectNotifyDefault(void* ptr, void* sign);
char QWebPage_EventFilterDefault(void* ptr, void* watched, void* event);
void* QWebPage_MetaObjectDefault(void* ptr);
void QWebPage_TimerEventDefault(void* ptr, void* event);
void QWebPluginFactory_RefreshPlugins(void* ptr);
void QWebPluginFactory_RefreshPluginsDefault(void* ptr);
void QWebPluginFactory_DestroyQWebPluginFactory(void* ptr);
void QWebPluginFactory_DestroyQWebPluginFactoryDefault(void* ptr);
void* QWebPluginFactory_Create(void* ptr, struct QtWebKit_PackedString mimeType, void* url, struct QtWebKit_PackedString argumentNames, struct QtWebKit_PackedString argumentValues);
void* QWebPluginFactory___children_atList(void* ptr, int i);
void QWebPluginFactory___children_setList(void* ptr, void* i);
void* QWebPluginFactory___children_newList(void* ptr);
void* QWebPluginFactory___dynamicPropertyNames_atList(void* ptr, int i);
void QWebPluginFactory___dynamicPropertyNames_setList(void* ptr, void* i);
void* QWebPluginFactory___dynamicPropertyNames_newList(void* ptr);
void* QWebPluginFactory___findChildren_atList(void* ptr, int i);
void QWebPluginFactory___findChildren_setList(void* ptr, void* i);
void* QWebPluginFactory___findChildren_newList(void* ptr);
void* QWebPluginFactory___findChildren_atList3(void* ptr, int i);
void QWebPluginFactory___findChildren_setList3(void* ptr, void* i);
void* QWebPluginFactory___findChildren_newList3(void* ptr);
void* QWebPluginFactory___qFindChildren_atList2(void* ptr, int i);
void QWebPluginFactory___qFindChildren_setList2(void* ptr, void* i);
void* QWebPluginFactory___qFindChildren_newList2(void* ptr);
void QWebPluginFactory_ChildEventDefault(void* ptr, void* event);
void QWebPluginFactory_ConnectNotifyDefault(void* ptr, void* sign);
void QWebPluginFactory_CustomEventDefault(void* ptr, void* event);
void QWebPluginFactory_DeleteLaterDefault(void* ptr);
void QWebPluginFactory_DisconnectNotifyDefault(void* ptr, void* sign);
char QWebPluginFactory_EventDefault(void* ptr, void* e);
char QWebPluginFactory_EventFilterDefault(void* ptr, void* watched, void* event);
void* QWebPluginFactory_MetaObjectDefault(void* ptr);
void QWebPluginFactory_TimerEventDefault(void* ptr, void* event);
struct QtWebKit_PackedList QWebSecurityOrigin_QWebSecurityOrigin_AllOrigins();
struct QtWebKit_PackedString QWebSecurityOrigin_QWebSecurityOrigin_LocalSchemes();
void* QWebSecurityOrigin_NewQWebSecurityOrigin(void* url);
void* QWebSecurityOrigin_NewQWebSecurityOrigin2(void* other);
void QWebSecurityOrigin_AddAccessWhitelistEntry(void* ptr, struct QtWebKit_PackedString scheme, struct QtWebKit_PackedString host, long long subdomainSetting);
void QWebSecurityOrigin_QWebSecurityOrigin_AddLocalScheme(struct QtWebKit_PackedString scheme);
void QWebSecurityOrigin_RemoveAccessWhitelistEntry(void* ptr, struct QtWebKit_PackedString scheme, struct QtWebKit_PackedString host, long long subdomainSetting);
void QWebSecurityOrigin_QWebSecurityOrigin_RemoveLocalScheme(struct QtWebKit_PackedString scheme);
void QWebSecurityOrigin_SetApplicationCacheQuota(void* ptr, long long quota);
void QWebSecurityOrigin_SetDatabaseQuota(void* ptr, long long quota);
void QWebSecurityOrigin_DestroyQWebSecurityOrigin(void* ptr);
struct QtWebKit_PackedList QWebSecurityOrigin_Databases(void* ptr);
struct QtWebKit_PackedString QWebSecurityOrigin_Host(void* ptr);
struct QtWebKit_PackedString QWebSecurityOrigin_Scheme(void* ptr);
int QWebSecurityOrigin_Port(void* ptr);
long long QWebSecurityOrigin_DatabaseQuota(void* ptr);
long long QWebSecurityOrigin_DatabaseUsage(void* ptr);
void* QWebSecurityOrigin___allOrigins_atList(void* ptr, int i);
void QWebSecurityOrigin___allOrigins_setList(void* ptr, void* i);
void* QWebSecurityOrigin___allOrigins_newList(void* ptr);
void* QWebSecurityOrigin___databases_atList(void* ptr, int i);
void QWebSecurityOrigin___databases_setList(void* ptr, void* i);
void* QWebSecurityOrigin___databases_newList(void* ptr);
int QWebSettings_LocalContentCanAccessRemoteUrls_Type();
int QWebSettings_DnsPrefetchEnabled_Type();
int QWebSettings_XSSAuditingEnabled_Type();
int QWebSettings_AcceleratedCompositingEnabled_Type();
int QWebSettings_SpatialNavigationEnabled_Type();
int QWebSettings_LocalContentCanAccessFileUrls_Type();
int QWebSettings_TiledBackingStoreEnabled_Type();
int QWebSettings_FrameFlatteningEnabled_Type();
int QWebSettings_SiteSpecificQuirksEnabled_Type();
int QWebSettings_JavascriptCanCloseWindows_Type();
int QWebSettings_WebGLEnabled_Type();
int QWebSettings_CSSRegionsEnabled_Type();
int QWebSettings_HyperlinkAuditingEnabled_Type();
int QWebSettings_CSSGridLayoutEnabled_Type();
int QWebSettings_ScrollAnimatorEnabled_Type();
int QWebSettings_CaretBrowsingEnabled_Type();
int QWebSettings_NotificationsEnabled_Type();
int QWebSettings_WebAudioEnabled_Type();
int QWebSettings_Accelerated2dCanvasEnabled_Type();
int QWebSettings_MediaSourceEnabled_Type();
int QWebSettings_MediaEnabled_Type();
int QWebSettings_WebSecurityEnabled_Type();
int QWebSettings_FullScreenSupportEnabled_Type();
void* QWebSettings_QWebSettings_IconForUrl(void* url);
void* QWebSettings_QWebSettings_WebGraphic(long long ty);
struct QtWebKit_PackedString QWebSettings_QWebSettings_IconDatabasePath();
struct QtWebKit_PackedString QWebSettings_QWebSettings_OfflineStoragePath();
struct QtWebKit_PackedString QWebSettings_QWebSettings_OfflineWebApplicationCachePath();
struct QtWebKit_PackedString QWebSettings_QWebSettings_PluginSearchPaths();
void* QWebSettings_QWebSettings_GlobalSettings();
int QWebSettings_QWebSettings_MaximumPagesInCache();
long long QWebSettings_QWebSettings_OfflineStorageDefaultQuota();
long long QWebSettings_QWebSettings_OfflineWebApplicationCacheQuota();
void QWebSettings_QWebSettings_ClearIconDatabase();
void QWebSettings_QWebSettings_ClearMemoryCaches();
void QWebSettings_QWebSettings_EnablePersistentStorage(struct QtWebKit_PackedString path);
void QWebSettings_ResetAttribute(void* ptr, long long attribute);
void QWebSettings_ResetFontFamily(void* ptr, long long which);
void QWebSettings_ResetFontSize(void* ptr, long long ty);
void QWebSettings_SetAttribute(void* ptr, long long attribute, char on);
void QWebSettings_SetCSSMediaType(void* ptr, struct QtWebKit_PackedString ty);
void QWebSettings_SetDefaultTextEncoding(void* ptr, struct QtWebKit_PackedString encoding);
void QWebSettings_SetFontFamily(void* ptr, long long which, struct QtWebKit_PackedString family);
void QWebSettings_SetFontSize(void* ptr, long long ty, int size);
void QWebSettings_QWebSettings_SetIconDatabasePath(struct QtWebKit_PackedString path);
void QWebSettings_SetLocalStoragePath(void* ptr, struct QtWebKit_PackedString path);
void QWebSettings_QWebSettings_SetMaximumPagesInCache(int pages);
void QWebSettings_QWebSettings_SetObjectCacheCapacities(int cacheMinDeadCapacity, int cacheMaxDead, int totalCapacity);
void QWebSettings_QWebSettings_SetOfflineStorageDefaultQuota(long long maximumSize);
void QWebSettings_QWebSettings_SetOfflineStoragePath(struct QtWebKit_PackedString path);
void QWebSettings_QWebSettings_SetOfflineWebApplicationCachePath(struct QtWebKit_PackedString path);
void QWebSettings_QWebSettings_SetOfflineWebApplicationCacheQuota(long long maximumSize);
void QWebSettings_QWebSettings_SetPluginSearchPaths(struct QtWebKit_PackedString paths);
void QWebSettings_SetThirdPartyCookiePolicy(void* ptr, long long policy);
void QWebSettings_SetUserStyleSheetUrl(void* ptr, void* location);
void QWebSettings_QWebSettings_SetWebGraphic(long long ty, void* graphic);
struct QtWebKit_PackedString QWebSettings_CssMediaType(void* ptr);
struct QtWebKit_PackedString QWebSettings_DefaultTextEncoding(void* ptr);
struct QtWebKit_PackedString QWebSettings_FontFamily(void* ptr, long long which);
struct QtWebKit_PackedString QWebSettings_LocalStoragePath(void* ptr);
void* QWebSettings_UserStyleSheetUrl(void* ptr);
long long QWebSettings_ThirdPartyCookiePolicy(void* ptr);
char QWebSettings_TestAttribute(void* ptr, long long attribute);
int QWebSettings_FontSize(void* ptr, long long ty);
void* QWebView_CreateWindow(void* ptr, long long ty);
void* QWebView_CreateWindowDefault(void* ptr, long long ty);
void* QWebView_NewQWebView(void* parent);
char QWebView_EventDefault(void* ptr, void* e);
char QWebView_FindText(void* ptr, struct QtWebKit_PackedString subString, long long options);
char QWebView_FocusNextPrevChildDefault(void* ptr, char next);
void QWebView_Back(void* ptr);
void QWebView_BackDefault(void* ptr);
void QWebView_ChangeEventDefault(void* ptr, void* e);
void QWebView_ContextMenuEventDefault(void* ptr, void* ev);
void QWebView_DragEnterEventDefault(void* ptr, void* ev);
void QWebView_DragLeaveEventDefault(void* ptr, void* ev);
void QWebView_DragMoveEventDefault(void* ptr, void* ev);
void QWebView_DropEventDefault(void* ptr, void* ev);
void QWebView_FocusInEventDefault(void* ptr, void* ev);
void QWebView_FocusOutEventDefault(void* ptr, void* ev);
void QWebView_Forward(void* ptr);
void QWebView_ForwardDefault(void* ptr);
void QWebView_ConnectIconChanged(void* ptr, long long t);
void QWebView_DisconnectIconChanged(void* ptr);
void QWebView_IconChanged(void* ptr);
void QWebView_InputMethodEventDefault(void* ptr, void* e);
void QWebView_KeyPressEventDefault(void* ptr, void* ev);
void QWebView_KeyReleaseEventDefault(void* ptr, void* ev);
void QWebView_ConnectLinkClicked(void* ptr, long long t);
void QWebView_DisconnectLinkClicked(void* ptr);
void QWebView_LinkClicked(void* ptr, void* url);
void QWebView_Load2(void* ptr, void* request, long long operation, void* body);
void QWebView_Load(void* ptr, void* url);
void QWebView_ConnectLoadFinished(void* ptr, long long t);
void QWebView_DisconnectLoadFinished(void* ptr);
void QWebView_LoadFinished(void* ptr, char ok);
void QWebView_ConnectLoadProgress(void* ptr, long long t);
void QWebView_DisconnectLoadProgress(void* ptr);
void QWebView_LoadProgress(void* ptr, int progress);
void QWebView_ConnectLoadStarted(void* ptr, long long t);
void QWebView_DisconnectLoadStarted(void* ptr);
void QWebView_LoadStarted(void* ptr);
void QWebView_MouseDoubleClickEventDefault(void* ptr, void* ev);
void QWebView_MouseMoveEventDefault(void* ptr, void* ev);
void QWebView_MousePressEventDefault(void* ptr, void* ev);
void QWebView_MouseReleaseEventDefault(void* ptr, void* ev);
void QWebView_PaintEventDefault(void* ptr, void* ev);
void QWebView_Reload(void* ptr);
void QWebView_ReloadDefault(void* ptr);
void QWebView_ResizeEventDefault(void* ptr, void* e);
void QWebView_ConnectSelectionChanged(void* ptr, long long t);
void QWebView_DisconnectSelectionChanged(void* ptr);
void QWebView_SelectionChanged(void* ptr);
void QWebView_SetContent(void* ptr, void* data, struct QtWebKit_PackedString mimeType, void* baseUrl);
void QWebView_SetHtml(void* ptr, struct QtWebKit_PackedString html, void* baseUrl);
void QWebView_SetPage(void* ptr, void* page);
void QWebView_SetRenderHint(void* ptr, long long hint, char enabled);
void QWebView_SetRenderHints(void* ptr, long long hints);
void QWebView_SetTextSizeMultiplier(void* ptr, double factor);
void QWebView_SetUrl(void* ptr, void* url);
void QWebView_SetZoomFactor(void* ptr, double factor);
void QWebView_ConnectStatusBarMessage(void* ptr, long long t);
void QWebView_DisconnectStatusBarMessage(void* ptr);
void QWebView_StatusBarMessage(void* ptr, struct QtWebKit_PackedString text);
void QWebView_Stop(void* ptr);
void QWebView_StopDefault(void* ptr);
void QWebView_ConnectTitleChanged(void* ptr, long long t);
void QWebView_DisconnectTitleChanged(void* ptr);
void QWebView_TitleChanged(void* ptr, struct QtWebKit_PackedString title);
void QWebView_TriggerPageAction(void* ptr, long long action, char checked);
void QWebView_ConnectUrlChanged(void* ptr, long long t);
void QWebView_DisconnectUrlChanged(void* ptr);
void QWebView_UrlChanged(void* ptr, void* url);
void QWebView_WheelEventDefault(void* ptr, void* ev);
void QWebView_DestroyQWebView(void* ptr);
void* QWebView_PageAction(void* ptr, long long action);
void* QWebView_Icon(void* ptr);
long long QWebView_RenderHints(void* ptr);
void* QWebView_SizeHintDefault(void* ptr);
struct QtWebKit_PackedString QWebView_SelectedHtml(void* ptr);
struct QtWebKit_PackedString QWebView_SelectedText(void* ptr);
struct QtWebKit_PackedString QWebView_Title(void* ptr);
void* QWebView_Url(void* ptr);
void* QWebView_InputMethodQueryDefault(void* ptr, long long property);
void* QWebView_History(void* ptr);
void* QWebView_Page(void* ptr);
void* QWebView_Settings(void* ptr);
char QWebView_HasSelection(void* ptr);
char QWebView_IsModified(void* ptr);
double QWebView_TextSizeMultiplier(void* ptr);
double QWebView_ZoomFactor(void* ptr);
void QWebView_Print(void* ptr, void* printer);
void QWebView_PrintDefault(void* ptr, void* printer);
void* QWebView___actions_atList(void* ptr, int i);
void QWebView___actions_setList(void* ptr, void* i);
void* QWebView___actions_newList(void* ptr);
void* QWebView___addActions_actions_atList(void* ptr, int i);
void QWebView___addActions_actions_setList(void* ptr, void* i);
void* QWebView___addActions_actions_newList(void* ptr);
void* QWebView___insertActions_actions_atList(void* ptr, int i);
void QWebView___insertActions_actions_setList(void* ptr, void* i);
void* QWebView___insertActions_actions_newList(void* ptr);
void* QWebView___children_atList(void* ptr, int i);
void QWebView___children_setList(void* ptr, void* i);
void* QWebView___children_newList(void* ptr);
void* QWebView___dynamicPropertyNames_atList(void* ptr, int i);
void QWebView___dynamicPropertyNames_setList(void* ptr, void* i);
void* QWebView___dynamicPropertyNames_newList(void* ptr);
void* QWebView___findChildren_atList(void* ptr, int i);
void QWebView___findChildren_setList(void* ptr, void* i);
void* QWebView___findChildren_newList(void* ptr);
void* QWebView___findChildren_atList3(void* ptr, int i);
void QWebView___findChildren_setList3(void* ptr, void* i);
void* QWebView___findChildren_newList3(void* ptr);
void* QWebView___qFindChildren_atList2(void* ptr, int i);
void QWebView___qFindChildren_setList2(void* ptr, void* i);
void* QWebView___qFindChildren_newList2(void* ptr);
void QWebView_ActionEventDefault(void* ptr, void* event);
char QWebView_CloseDefault(void* ptr);
void QWebView_CloseEventDefault(void* ptr, void* event);
void QWebView_EnterEventDefault(void* ptr, void* event);
char QWebView_HasHeightForWidthDefault(void* ptr);
int QWebView_HeightForWidthDefault(void* ptr, int w);
void QWebView_HideDefault(void* ptr);
void QWebView_HideEventDefault(void* ptr, void* event);
void QWebView_InitPainterDefault(void* ptr, void* painter);
void QWebView_LeaveEventDefault(void* ptr, void* event);
void QWebView_LowerDefault(void* ptr);
int QWebView_MetricDefault(void* ptr, long long m);
void* QWebView_MinimumSizeHintDefault(void* ptr);
void QWebView_MoveEventDefault(void* ptr, void* event);
char QWebView_NativeEventDefault(void* ptr, void* eventType, void* message, long* result);
void* QWebView_PaintEngineDefault(void* ptr);
void QWebView_RaiseDefault(void* ptr);
void QWebView_RepaintDefault(void* ptr);
void QWebView_SetDisabledDefault(void* ptr, char disable);
void QWebView_SetEnabledDefault(void* ptr, char vbo);
void QWebView_SetFocus2Default(void* ptr);
void QWebView_SetHiddenDefault(void* ptr, char hidden);
void QWebView_SetStyleSheetDefault(void* ptr, struct QtWebKit_PackedString styleSheet);
void QWebView_SetVisibleDefault(void* ptr, char visible);
void QWebView_SetWindowModifiedDefault(void* ptr, char vbo);
void QWebView_SetWindowTitleDefault(void* ptr, struct QtWebKit_PackedString vqs);
void QWebView_ShowDefault(void* ptr);
void QWebView_ShowEventDefault(void* ptr, void* event);
void QWebView_ShowFullScreenDefault(void* ptr);
void QWebView_ShowMaximizedDefault(void* ptr);
void QWebView_ShowMinimizedDefault(void* ptr);
void QWebView_ShowNormalDefault(void* ptr);
void QWebView_TabletEventDefault(void* ptr, void* event);
void QWebView_UpdateDefault(void* ptr);
void QWebView_UpdateMicroFocusDefault(void* ptr);
void QWebView_ChildEventDefault(void* ptr, void* event);
void QWebView_ConnectNotifyDefault(void* ptr, void* sign);
void QWebView_CustomEventDefault(void* ptr, void* event);
void QWebView_DeleteLaterDefault(void* ptr);
void QWebView_DisconnectNotifyDefault(void* ptr, void* sign);
char QWebView_EventFilterDefault(void* ptr, void* watched, void* event);
void* QWebView_MetaObjectDefault(void* ptr);
void QWebView_TimerEventDefault(void* ptr, void* event);

#ifdef __cplusplus
}
#endif

#endif