// +build !minimal

package core

import (
	"github.com/therecipe/qt"
	"github.com/therecipe/qt/internal"
	"github.com/therecipe/qt/interop/gow"
	"math"
	"reflect"
	"runtime"
	"strings"
	"unsafe"
)

type QAbstractAnimation struct {
	QObject
}

type QAbstractAnimation_ITF interface {
	QObject_ITF
	QAbstractAnimation_PTR() *QAbstractAnimation
}

func (ptr *QAbstractAnimation) QAbstractAnimation_PTR() *QAbstractAnimation {
	return ptr
}

func (ptr *QAbstractAnimation) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractAnimation) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractAnimation(ptr QAbstractAnimation_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAnimation_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractAnimation) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractAnimation) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAbstractAnimationFromPointer(ptr unsafe.Pointer) (n *QAbstractAnimation) {
	n = new(QAbstractAnimation)
	n.InitFromInternal(uintptr(ptr), "core.QAbstractAnimation")
	return
}

//go:generate stringer -type=QAbstractAnimation__Direction
//QAbstractAnimation::Direction
type QAbstractAnimation__Direction int64

const (
	QAbstractAnimation__Forward  QAbstractAnimation__Direction = QAbstractAnimation__Direction(0)
	QAbstractAnimation__Backward QAbstractAnimation__Direction = QAbstractAnimation__Direction(1)
)

//go:generate stringer -type=QAbstractAnimation__State
//QAbstractAnimation::State
type QAbstractAnimation__State int64

const (
	QAbstractAnimation__Stopped QAbstractAnimation__State = QAbstractAnimation__State(0)
	QAbstractAnimation__Paused  QAbstractAnimation__State = QAbstractAnimation__State(1)
	QAbstractAnimation__Running QAbstractAnimation__State = QAbstractAnimation__State(2)
)

//go:generate stringer -type=QAbstractAnimation__DeletionPolicy
//QAbstractAnimation::DeletionPolicy
type QAbstractAnimation__DeletionPolicy int64

const (
	QAbstractAnimation__KeepWhenStopped   QAbstractAnimation__DeletionPolicy = QAbstractAnimation__DeletionPolicy(0)
	QAbstractAnimation__DeleteWhenStopped QAbstractAnimation__DeletionPolicy = QAbstractAnimation__DeletionPolicy(1)
)

func NewQAbstractAnimation(parent QObject_ITF) *QAbstractAnimation {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQAbstractAnimation", "", parent}).(*QAbstractAnimation)
}

func (ptr *QAbstractAnimation) CurrentLoop() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentLoop"}).(float64))
}

func (ptr *QAbstractAnimation) ConnectCurrentLoopChanged(f func(currentLoop int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentLoopChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectCurrentLoopChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentLoopChanged"})
}

func (ptr *QAbstractAnimation) CurrentLoopChanged(currentLoop int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentLoopChanged", currentLoop})
}

func (ptr *QAbstractAnimation) CurrentLoopTime() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentLoopTime"}).(float64))
}

func (ptr *QAbstractAnimation) CurrentTime() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentTime"}).(float64))
}

func (ptr *QAbstractAnimation) Direction() QAbstractAnimation__Direction {

	return QAbstractAnimation__Direction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Direction"}).(float64))
}

func (ptr *QAbstractAnimation) ConnectDirectionChanged(f func(newDirection QAbstractAnimation__Direction)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDirectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectDirectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDirectionChanged"})
}

func (ptr *QAbstractAnimation) DirectionChanged(newDirection QAbstractAnimation__Direction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DirectionChanged", newDirection})
}

func (ptr *QAbstractAnimation) ConnectDuration(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDuration", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectDuration() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDuration"})
}

func (ptr *QAbstractAnimation) Duration() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Duration"}).(float64))
}

func (ptr *QAbstractAnimation) ConnectFinished(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFinished", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectFinished() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFinished"})
}

func (ptr *QAbstractAnimation) Finished() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Finished"})
}

func (ptr *QAbstractAnimation) Group() *QAnimationGroup {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Group"}).(*QAnimationGroup)
}

func (ptr *QAbstractAnimation) LoopCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoopCount"}).(float64))
}

func (ptr *QAbstractAnimation) ConnectPause(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPause", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectPause() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPause"})
}

func (ptr *QAbstractAnimation) Pause() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pause"})
}

func (ptr *QAbstractAnimation) PauseDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PauseDefault"})
}

func (ptr *QAbstractAnimation) ConnectResume(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectResume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResume"})
}

func (ptr *QAbstractAnimation) Resume() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resume"})
}

func (ptr *QAbstractAnimation) ResumeDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResumeDefault"})
}

func (ptr *QAbstractAnimation) ConnectSetCurrentTime(f func(msecs int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentTime", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectSetCurrentTime() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentTime"})
}

func (ptr *QAbstractAnimation) SetCurrentTime(msecs int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentTime", msecs})
}

func (ptr *QAbstractAnimation) SetCurrentTimeDefault(msecs int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentTimeDefault", msecs})
}

func (ptr *QAbstractAnimation) SetDirection(direction QAbstractAnimation__Direction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDirection", direction})
}

func (ptr *QAbstractAnimation) SetLoopCount(loopCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLoopCount", loopCount})
}

func (ptr *QAbstractAnimation) ConnectSetPaused(f func(paused bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPaused", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectSetPaused() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPaused"})
}

func (ptr *QAbstractAnimation) SetPaused(paused bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPaused", paused})
}

func (ptr *QAbstractAnimation) SetPausedDefault(paused bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPausedDefault", paused})
}

func (ptr *QAbstractAnimation) ConnectStart(f func(policy QAbstractAnimation__DeletionPolicy)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectStart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart"})
}

func (ptr *QAbstractAnimation) Start(policy QAbstractAnimation__DeletionPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start", policy})
}

func (ptr *QAbstractAnimation) StartDefault(policy QAbstractAnimation__DeletionPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDefault", policy})
}

func (ptr *QAbstractAnimation) State() QAbstractAnimation__State {

	return QAbstractAnimation__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QAbstractAnimation) ConnectStateChanged(f func(newState QAbstractAnimation__State, oldState QAbstractAnimation__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QAbstractAnimation) StateChanged(newState QAbstractAnimation__State, oldState QAbstractAnimation__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", newState, oldState})
}

func (ptr *QAbstractAnimation) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QAbstractAnimation) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QAbstractAnimation) StopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StopDefault"})
}

func (ptr *QAbstractAnimation) TotalDuration() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TotalDuration"}).(float64))
}

func (ptr *QAbstractAnimation) ConnectUpdateCurrentTime(f func(currentTime int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateCurrentTime", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectUpdateCurrentTime() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateCurrentTime"})
}

func (ptr *QAbstractAnimation) UpdateCurrentTime(currentTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCurrentTime", currentTime})
}

func (ptr *QAbstractAnimation) ConnectUpdateDirection(f func(direction QAbstractAnimation__Direction)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateDirection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectUpdateDirection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateDirection"})
}

func (ptr *QAbstractAnimation) UpdateDirection(direction QAbstractAnimation__Direction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateDirection", direction})
}

func (ptr *QAbstractAnimation) UpdateDirectionDefault(direction QAbstractAnimation__Direction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateDirectionDefault", direction})
}

func (ptr *QAbstractAnimation) ConnectUpdateState(f func(newState QAbstractAnimation__State, oldState QAbstractAnimation__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectUpdateState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateState"})
}

func (ptr *QAbstractAnimation) UpdateState(newState QAbstractAnimation__State, oldState QAbstractAnimation__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateState", newState, oldState})
}

func (ptr *QAbstractAnimation) UpdateStateDefault(newState QAbstractAnimation__State, oldState QAbstractAnimation__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateStateDefault", newState, oldState})
}

func (ptr *QAbstractAnimation) ConnectDestroyQAbstractAnimation(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractAnimation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAnimation) DisconnectDestroyQAbstractAnimation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractAnimation"})
}

func (ptr *QAbstractAnimation) DestroyQAbstractAnimation() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractAnimation"})
}

func (ptr *QAbstractAnimation) DestroyQAbstractAnimationDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractAnimationDefault"})
}

type QAbstractConcatenable struct {
	internal.Internal
}

type QAbstractConcatenable_ITF interface {
	QAbstractConcatenable_PTR() *QAbstractConcatenable
}

func (ptr *QAbstractConcatenable) QAbstractConcatenable_PTR() *QAbstractConcatenable {
	return ptr
}

func (ptr *QAbstractConcatenable) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAbstractConcatenable) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAbstractConcatenable(ptr QAbstractConcatenable_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractConcatenable_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractConcatenable) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAbstractConcatenableFromPointer(ptr unsafe.Pointer) (n *QAbstractConcatenable) {
	n = new(QAbstractConcatenable)
	n.InitFromInternal(uintptr(ptr), "core.QAbstractConcatenable")
	return
}

func (ptr *QAbstractConcatenable) DestroyQAbstractConcatenable() {
}

type QAbstractEventDispatcher struct {
	QObject
}

type QAbstractEventDispatcher_ITF interface {
	QObject_ITF
	QAbstractEventDispatcher_PTR() *QAbstractEventDispatcher
}

func (ptr *QAbstractEventDispatcher) QAbstractEventDispatcher_PTR() *QAbstractEventDispatcher {
	return ptr
}

func (ptr *QAbstractEventDispatcher) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractEventDispatcher) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractEventDispatcher(ptr QAbstractEventDispatcher_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractEventDispatcher_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractEventDispatcher) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractEventDispatcher) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAbstractEventDispatcherFromPointer(ptr unsafe.Pointer) (n *QAbstractEventDispatcher) {
	n = new(QAbstractEventDispatcher)
	n.InitFromInternal(uintptr(ptr), "core.QAbstractEventDispatcher")
	return
}
func (ptr *QAbstractEventDispatcher) ConnectAboutToBlock(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAboutToBlock", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractEventDispatcher) DisconnectAboutToBlock() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAboutToBlock"})
}

func (ptr *QAbstractEventDispatcher) AboutToBlock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AboutToBlock"})
}

func (ptr *QAbstractEventDispatcher) ConnectAwake(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAwake", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractEventDispatcher) DisconnectAwake() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAwake"})
}

func (ptr *QAbstractEventDispatcher) Awake() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Awake"})
}

func (ptr *QAbstractEventDispatcher) FilterNativeEvent(eventType QByteArray_ITF, message unsafe.Pointer, result *int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilterNativeEvent", eventType, message, result}).(bool)
}

func (ptr *QAbstractEventDispatcher) InstallNativeEventFilter(filterObj QAbstractNativeEventFilter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InstallNativeEventFilter", filterObj})
}

func QAbstractEventDispatcher_Instance(thread QThread_ITF) *QAbstractEventDispatcher {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QAbstractEventDispatcher_Instance", "", thread}).(*QAbstractEventDispatcher)
}

func (ptr *QAbstractEventDispatcher) Instance(thread QThread_ITF) *QAbstractEventDispatcher {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QAbstractEventDispatcher_Instance", "", thread}).(*QAbstractEventDispatcher)
}

func (ptr *QAbstractEventDispatcher) ConnectInterrupt(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInterrupt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractEventDispatcher) DisconnectInterrupt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInterrupt"})
}

func (ptr *QAbstractEventDispatcher) Interrupt() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Interrupt"})
}

func (ptr *QAbstractEventDispatcher) ConnectProcessEvents(f func(flags QEventLoop__ProcessEventsFlag) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectProcessEvents", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractEventDispatcher) DisconnectProcessEvents() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectProcessEvents"})
}

func (ptr *QAbstractEventDispatcher) ProcessEvents(flags QEventLoop__ProcessEventsFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProcessEvents", flags}).(bool)
}

func (ptr *QAbstractEventDispatcher) ConnectRegisterEventNotifier(f func(notifier *QWinEventNotifier) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRegisterEventNotifier", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractEventDispatcher) DisconnectRegisterEventNotifier() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRegisterEventNotifier"})
}

func (ptr *QAbstractEventDispatcher) RegisterEventNotifier(notifier QWinEventNotifier_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RegisterEventNotifier", notifier}).(bool)
}

func (ptr *QAbstractEventDispatcher) ConnectRegisterSocketNotifier(f func(notifier *QSocketNotifier)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRegisterSocketNotifier", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractEventDispatcher) DisconnectRegisterSocketNotifier() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRegisterSocketNotifier"})
}

func (ptr *QAbstractEventDispatcher) RegisterSocketNotifier(notifier QSocketNotifier_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RegisterSocketNotifier", notifier})
}

func (ptr *QAbstractEventDispatcher) RegisterTimer3(interval int, timerType Qt__TimerType, object QObject_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RegisterTimer3", interval, timerType, object}).(float64))
}

func (ptr *QAbstractEventDispatcher) ConnectRegisterTimer4(f func(timerId int, interval int, timerType Qt__TimerType, object *QObject)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRegisterTimer4", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractEventDispatcher) DisconnectRegisterTimer4() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRegisterTimer4"})
}

func (ptr *QAbstractEventDispatcher) RegisterTimer4(timerId int, interval int, timerType Qt__TimerType, object QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RegisterTimer4", timerId, interval, timerType, object})
}

func (ptr *QAbstractEventDispatcher) ConnectRemainingTime(f func(timerId int) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRemainingTime", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractEventDispatcher) DisconnectRemainingTime() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRemainingTime"})
}

func (ptr *QAbstractEventDispatcher) RemainingTime(timerId int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemainingTime", timerId}).(float64))
}

func (ptr *QAbstractEventDispatcher) RemoveNativeEventFilter(filter QAbstractNativeEventFilter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveNativeEventFilter", filter})
}

func (ptr *QAbstractEventDispatcher) ConnectUnregisterEventNotifier(f func(notifier *QWinEventNotifier)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUnregisterEventNotifier", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractEventDispatcher) DisconnectUnregisterEventNotifier() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUnregisterEventNotifier"})
}

func (ptr *QAbstractEventDispatcher) UnregisterEventNotifier(notifier QWinEventNotifier_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnregisterEventNotifier", notifier})
}

func (ptr *QAbstractEventDispatcher) ConnectUnregisterSocketNotifier(f func(notifier *QSocketNotifier)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUnregisterSocketNotifier", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractEventDispatcher) DisconnectUnregisterSocketNotifier() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUnregisterSocketNotifier"})
}

func (ptr *QAbstractEventDispatcher) UnregisterSocketNotifier(notifier QSocketNotifier_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnregisterSocketNotifier", notifier})
}

func (ptr *QAbstractEventDispatcher) ConnectUnregisterTimer(f func(timerId int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUnregisterTimer", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractEventDispatcher) DisconnectUnregisterTimer() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUnregisterTimer"})
}

func (ptr *QAbstractEventDispatcher) UnregisterTimer(timerId int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnregisterTimer", timerId}).(bool)
}

func (ptr *QAbstractEventDispatcher) ConnectUnregisterTimers(f func(object *QObject) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUnregisterTimers", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractEventDispatcher) DisconnectUnregisterTimers() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUnregisterTimers"})
}

func (ptr *QAbstractEventDispatcher) UnregisterTimers(object QObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnregisterTimers", object}).(bool)
}

func (ptr *QAbstractEventDispatcher) ConnectWakeUp(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWakeUp", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractEventDispatcher) DisconnectWakeUp() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWakeUp"})
}

func (ptr *QAbstractEventDispatcher) WakeUp() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WakeUp"})
}

func (ptr *QAbstractEventDispatcher) ConnectDestroyQAbstractEventDispatcher(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractEventDispatcher", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractEventDispatcher) DisconnectDestroyQAbstractEventDispatcher() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractEventDispatcher"})
}

func (ptr *QAbstractEventDispatcher) DestroyQAbstractEventDispatcher() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractEventDispatcher"})
}

func (ptr *QAbstractEventDispatcher) DestroyQAbstractEventDispatcherDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractEventDispatcherDefault"})
}

type QAbstractItemModel struct {
	QObject
}

type QAbstractItemModel_ITF interface {
	QObject_ITF
	QAbstractItemModel_PTR() *QAbstractItemModel
}

func (ptr *QAbstractItemModel) QAbstractItemModel_PTR() *QAbstractItemModel {
	return ptr
}

func (ptr *QAbstractItemModel) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractItemModel) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractItemModel(ptr QAbstractItemModel_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemModel_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractItemModel) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractItemModel) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAbstractItemModelFromPointer(ptr unsafe.Pointer) (n *QAbstractItemModel) {
	n = new(QAbstractItemModel)
	n.InitFromInternal(uintptr(ptr), "core.QAbstractItemModel")
	return
}

//go:generate stringer -type=QAbstractItemModel__LayoutChangeHint
//QAbstractItemModel::LayoutChangeHint
type QAbstractItemModel__LayoutChangeHint int64

const (
	QAbstractItemModel__NoLayoutChangeHint QAbstractItemModel__LayoutChangeHint = QAbstractItemModel__LayoutChangeHint(0)
	QAbstractItemModel__VerticalSortHint   QAbstractItemModel__LayoutChangeHint = QAbstractItemModel__LayoutChangeHint(1)
	QAbstractItemModel__HorizontalSortHint QAbstractItemModel__LayoutChangeHint = QAbstractItemModel__LayoutChangeHint(2)
)

//go:generate stringer -type=QAbstractItemModel__CheckIndexOption
//QAbstractItemModel::CheckIndexOption
type QAbstractItemModel__CheckIndexOption int64

const (
	QAbstractItemModel__NoOption        QAbstractItemModel__CheckIndexOption = QAbstractItemModel__CheckIndexOption(0x0000)
	QAbstractItemModel__IndexIsValid    QAbstractItemModel__CheckIndexOption = QAbstractItemModel__CheckIndexOption(0x0001)
	QAbstractItemModel__DoNotUseParent  QAbstractItemModel__CheckIndexOption = QAbstractItemModel__CheckIndexOption(0x0002)
	QAbstractItemModel__ParentIsInvalid QAbstractItemModel__CheckIndexOption = QAbstractItemModel__CheckIndexOption(0x0004)
)

func NewQAbstractItemModel(parent QObject_ITF) *QAbstractItemModel {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQAbstractItemModel", "", parent}).(*QAbstractItemModel)
}

func (ptr *QAbstractItemModel) BeginInsertColumns(parent QModelIndex_ITF, first int, last int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginInsertColumns", parent, first, last})
}

func (ptr *QAbstractItemModel) BeginInsertRows(parent QModelIndex_ITF, first int, last int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginInsertRows", parent, first, last})
}

func (ptr *QAbstractItemModel) BeginMoveColumns(sourceParent QModelIndex_ITF, sourceFirst int, sourceLast int, destinationParent QModelIndex_ITF, destinationChild int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginMoveColumns", sourceParent, sourceFirst, sourceLast, destinationParent, destinationChild}).(bool)
}

func (ptr *QAbstractItemModel) BeginMoveRows(sourceParent QModelIndex_ITF, sourceFirst int, sourceLast int, destinationParent QModelIndex_ITF, destinationChild int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginMoveRows", sourceParent, sourceFirst, sourceLast, destinationParent, destinationChild}).(bool)
}

func (ptr *QAbstractItemModel) BeginRemoveColumns(parent QModelIndex_ITF, first int, last int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginRemoveColumns", parent, first, last})
}

func (ptr *QAbstractItemModel) BeginRemoveRows(parent QModelIndex_ITF, first int, last int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginRemoveRows", parent, first, last})
}

func (ptr *QAbstractItemModel) BeginResetModel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginResetModel"})
}

func (ptr *QAbstractItemModel) ConnectBuddy(f func(index *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBuddy", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectBuddy() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBuddy"})
}

func (ptr *QAbstractItemModel) Buddy(index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Buddy", index}).(*QModelIndex)
}

func (ptr *QAbstractItemModel) BuddyDefault(index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BuddyDefault", index}).(*QModelIndex)
}

func (ptr *QAbstractItemModel) ConnectCanDropMimeData(f func(data *QMimeData, action Qt__DropAction, row int, column int, parent *QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCanDropMimeData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectCanDropMimeData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCanDropMimeData"})
}

func (ptr *QAbstractItemModel) CanDropMimeData(data QMimeData_ITF, action Qt__DropAction, row int, column int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanDropMimeData", data, action, row, column, parent}).(bool)
}

func (ptr *QAbstractItemModel) CanDropMimeDataDefault(data QMimeData_ITF, action Qt__DropAction, row int, column int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanDropMimeDataDefault", data, action, row, column, parent}).(bool)
}

func (ptr *QAbstractItemModel) ConnectCanFetchMore(f func(parent *QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCanFetchMore", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectCanFetchMore() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCanFetchMore"})
}

func (ptr *QAbstractItemModel) CanFetchMore(parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanFetchMore", parent}).(bool)
}

func (ptr *QAbstractItemModel) CanFetchMoreDefault(parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanFetchMoreDefault", parent}).(bool)
}

func (ptr *QAbstractItemModel) ChangePersistentIndex(from QModelIndex_ITF, to QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChangePersistentIndex", from, to})
}

func (ptr *QAbstractItemModel) ChangePersistentIndexList(from []*QModelIndex, to []*QModelIndex) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChangePersistentIndexList", from, to})
}

func (ptr *QAbstractItemModel) CheckIndex(index QModelIndex_ITF, options QAbstractItemModel__CheckIndexOption) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckIndex", index, options}).(bool)
}

func (ptr *QAbstractItemModel) ConnectColumnCount(f func(parent *QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectColumnCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnCount"})
}

func (ptr *QAbstractItemModel) ColumnCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount", parent}).(float64))
}

func (ptr *QAbstractItemModel) ConnectColumnsAboutToBeInserted(f func(parent *QModelIndex, first int, last int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnsAboutToBeInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectColumnsAboutToBeInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnsAboutToBeInserted"})
}

func (ptr *QAbstractItemModel) ConnectColumnsAboutToBeMoved(f func(sourceParent *QModelIndex, sourceStart int, sourceEnd int, destinationParent *QModelIndex, destinationColumn int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnsAboutToBeMoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectColumnsAboutToBeMoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnsAboutToBeMoved"})
}

func (ptr *QAbstractItemModel) ConnectColumnsAboutToBeRemoved(f func(parent *QModelIndex, first int, last int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnsAboutToBeRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectColumnsAboutToBeRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnsAboutToBeRemoved"})
}

func (ptr *QAbstractItemModel) ConnectColumnsInserted(f func(parent *QModelIndex, first int, last int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnsInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectColumnsInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnsInserted"})
}

func (ptr *QAbstractItemModel) ConnectColumnsMoved(f func(parent *QModelIndex, start int, end int, destination *QModelIndex, column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnsMoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectColumnsMoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnsMoved"})
}

func (ptr *QAbstractItemModel) ConnectColumnsRemoved(f func(parent *QModelIndex, first int, last int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnsRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectColumnsRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnsRemoved"})
}

func (ptr *QAbstractItemModel) CreateIndex(row int, column int, p unsafe.Pointer) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateIndex", row, column, p}).(*QModelIndex)
}

func (ptr *QAbstractItemModel) CreateIndex2(row int, column int, id uintptr) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateIndex2", row, column, id}).(*QModelIndex)
}

func (ptr *QAbstractItemModel) ConnectData(f func(index *QModelIndex, role int) *QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectData"})
}

func (ptr *QAbstractItemModel) Data(index QModelIndex_ITF, role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", index, role}).(*QVariant)
}

func (ptr *QAbstractItemModel) ConnectDataChanged(f func(topLeft *QModelIndex, bottomRight *QModelIndex, roles []int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDataChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectDataChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDataChanged"})
}

func (ptr *QAbstractItemModel) DataChanged(topLeft QModelIndex_ITF, bottomRight QModelIndex_ITF, roles []int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataChanged", topLeft, bottomRight, roles})
}

func (ptr *QAbstractItemModel) ConnectDropMimeData(f func(data *QMimeData, action Qt__DropAction, row int, column int, parent *QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDropMimeData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectDropMimeData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDropMimeData"})
}

func (ptr *QAbstractItemModel) DropMimeData(data QMimeData_ITF, action Qt__DropAction, row int, column int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropMimeData", data, action, row, column, parent}).(bool)
}

func (ptr *QAbstractItemModel) DropMimeDataDefault(data QMimeData_ITF, action Qt__DropAction, row int, column int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropMimeDataDefault", data, action, row, column, parent}).(bool)
}

func (ptr *QAbstractItemModel) EndInsertColumns() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndInsertColumns"})
}

func (ptr *QAbstractItemModel) EndInsertRows() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndInsertRows"})
}

func (ptr *QAbstractItemModel) EndMoveColumns() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndMoveColumns"})
}

func (ptr *QAbstractItemModel) EndMoveRows() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndMoveRows"})
}

func (ptr *QAbstractItemModel) EndRemoveColumns() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndRemoveColumns"})
}

func (ptr *QAbstractItemModel) EndRemoveRows() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndRemoveRows"})
}

func (ptr *QAbstractItemModel) EndResetModel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndResetModel"})
}

func (ptr *QAbstractItemModel) ConnectFetchMore(f func(parent *QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFetchMore", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectFetchMore() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFetchMore"})
}

func (ptr *QAbstractItemModel) FetchMore(parent QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FetchMore", parent})
}

func (ptr *QAbstractItemModel) FetchMoreDefault(parent QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FetchMoreDefault", parent})
}

func (ptr *QAbstractItemModel) ConnectFlags(f func(index *QModelIndex) Qt__ItemFlag) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFlags", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectFlags() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFlags"})
}

func (ptr *QAbstractItemModel) Flags(index QModelIndex_ITF) Qt__ItemFlag {

	return Qt__ItemFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flags", index}).(float64))
}

func (ptr *QAbstractItemModel) FlagsDefault(index QModelIndex_ITF) Qt__ItemFlag {

	return Qt__ItemFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FlagsDefault", index}).(float64))
}

func (ptr *QAbstractItemModel) ConnectHasChildren(f func(parent *QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHasChildren", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectHasChildren() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHasChildren"})
}

func (ptr *QAbstractItemModel) HasChildren(parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasChildren", parent}).(bool)
}

func (ptr *QAbstractItemModel) HasChildrenDefault(parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasChildrenDefault", parent}).(bool)
}

func (ptr *QAbstractItemModel) HasIndex(row int, column int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasIndex", row, column, parent}).(bool)
}

func (ptr *QAbstractItemModel) ConnectHeaderData(f func(section int, orientation Qt__Orientation, role int) *QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHeaderData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectHeaderData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHeaderData"})
}

func (ptr *QAbstractItemModel) HeaderData(section int, orientation Qt__Orientation, role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeaderData", section, orientation, role}).(*QVariant)
}

func (ptr *QAbstractItemModel) HeaderDataDefault(section int, orientation Qt__Orientation, role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeaderDataDefault", section, orientation, role}).(*QVariant)
}

func (ptr *QAbstractItemModel) ConnectHeaderDataChanged(f func(orientation Qt__Orientation, first int, last int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHeaderDataChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectHeaderDataChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHeaderDataChanged"})
}

func (ptr *QAbstractItemModel) HeaderDataChanged(orientation Qt__Orientation, first int, last int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeaderDataChanged", orientation, first, last})
}

func (ptr *QAbstractItemModel) ConnectIndex(f func(row int, column int, parent *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndex"})
}

func (ptr *QAbstractItemModel) Index(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index", row, column, parent}).(*QModelIndex)
}

func (ptr *QAbstractItemModel) InsertColumn(column int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertColumn", column, parent}).(bool)
}

func (ptr *QAbstractItemModel) ConnectInsertColumns(f func(column int, count int, parent *QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInsertColumns", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectInsertColumns() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInsertColumns"})
}

func (ptr *QAbstractItemModel) InsertColumns(column int, count int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertColumns", column, count, parent}).(bool)
}

func (ptr *QAbstractItemModel) InsertColumnsDefault(column int, count int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertColumnsDefault", column, count, parent}).(bool)
}

func (ptr *QAbstractItemModel) InsertRow(row int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRow", row, parent}).(bool)
}

func (ptr *QAbstractItemModel) ConnectInsertRows(f func(row int, count int, parent *QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInsertRows", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectInsertRows() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInsertRows"})
}

func (ptr *QAbstractItemModel) InsertRows(row int, count int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRows", row, count, parent}).(bool)
}

func (ptr *QAbstractItemModel) InsertRowsDefault(row int, count int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRowsDefault", row, count, parent}).(bool)
}

func (ptr *QAbstractItemModel) ConnectItemData(f func(index *QModelIndex) map[int]*QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectItemData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemData"})
}

func (ptr *QAbstractItemModel) ItemData(index QModelIndex_ITF) map[int]*QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemData", index}).(map[int]*QVariant)
}

func (ptr *QAbstractItemModel) ItemDataDefault(index QModelIndex_ITF) map[int]*QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemDataDefault", index}).(map[int]*QVariant)
}

func (ptr *QAbstractItemModel) ConnectLayoutAboutToBeChanged(f func(parents []*QPersistentModelIndex, hint QAbstractItemModel__LayoutChangeHint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLayoutAboutToBeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectLayoutAboutToBeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLayoutAboutToBeChanged"})
}

func (ptr *QAbstractItemModel) LayoutAboutToBeChanged(parents []*QPersistentModelIndex, hint QAbstractItemModel__LayoutChangeHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LayoutAboutToBeChanged", parents, hint})
}

func (ptr *QAbstractItemModel) ConnectLayoutChanged(f func(parents []*QPersistentModelIndex, hint QAbstractItemModel__LayoutChangeHint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLayoutChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectLayoutChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLayoutChanged"})
}

func (ptr *QAbstractItemModel) LayoutChanged(parents []*QPersistentModelIndex, hint QAbstractItemModel__LayoutChangeHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LayoutChanged", parents, hint})
}

func (ptr *QAbstractItemModel) ConnectMatch(f func(start *QModelIndex, role int, value *QVariant, hits int, flags Qt__MatchFlag) []*QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMatch", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectMatch() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMatch"})
}

func (ptr *QAbstractItemModel) Match(start QModelIndex_ITF, role int, value QVariant_ITF, hits int, flags Qt__MatchFlag) []*QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Match", start, role, value, hits, flags}).([]*QModelIndex)
}

func (ptr *QAbstractItemModel) MatchDefault(start QModelIndex_ITF, role int, value QVariant_ITF, hits int, flags Qt__MatchFlag) []*QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MatchDefault", start, role, value, hits, flags}).([]*QModelIndex)
}

func (ptr *QAbstractItemModel) ConnectMimeData(f func(indexes []*QModelIndex) *QMimeData) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMimeData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectMimeData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMimeData"})
}

func (ptr *QAbstractItemModel) MimeData(indexes []*QModelIndex) *QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeData", indexes}).(*QMimeData)
}

func (ptr *QAbstractItemModel) MimeDataDefault(indexes []*QModelIndex) *QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeDataDefault", indexes}).(*QMimeData)
}

func (ptr *QAbstractItemModel) ConnectMimeTypes(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMimeTypes", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectMimeTypes() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMimeTypes"})
}

func (ptr *QAbstractItemModel) MimeTypes() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypes"}).([]string)
}

func (ptr *QAbstractItemModel) MimeTypesDefault() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypesDefault"}).([]string)
}

func (ptr *QAbstractItemModel) ConnectModelAboutToBeReset(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectModelAboutToBeReset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectModelAboutToBeReset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectModelAboutToBeReset"})
}

func (ptr *QAbstractItemModel) ConnectModelReset(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectModelReset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectModelReset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectModelReset"})
}

func (ptr *QAbstractItemModel) MoveColumn(sourceParent QModelIndex_ITF, sourceColumn int, destinationParent QModelIndex_ITF, destinationChild int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveColumn", sourceParent, sourceColumn, destinationParent, destinationChild}).(bool)
}

func (ptr *QAbstractItemModel) ConnectMoveColumns(f func(sourceParent *QModelIndex, sourceColumn int, count int, destinationParent *QModelIndex, destinationChild int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMoveColumns", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectMoveColumns() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMoveColumns"})
}

func (ptr *QAbstractItemModel) MoveColumns(sourceParent QModelIndex_ITF, sourceColumn int, count int, destinationParent QModelIndex_ITF, destinationChild int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveColumns", sourceParent, sourceColumn, count, destinationParent, destinationChild}).(bool)
}

func (ptr *QAbstractItemModel) MoveColumnsDefault(sourceParent QModelIndex_ITF, sourceColumn int, count int, destinationParent QModelIndex_ITF, destinationChild int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveColumnsDefault", sourceParent, sourceColumn, count, destinationParent, destinationChild}).(bool)
}

func (ptr *QAbstractItemModel) MoveRow(sourceParent QModelIndex_ITF, sourceRow int, destinationParent QModelIndex_ITF, destinationChild int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveRow", sourceParent, sourceRow, destinationParent, destinationChild}).(bool)
}

func (ptr *QAbstractItemModel) ConnectMoveRows(f func(sourceParent *QModelIndex, sourceRow int, count int, destinationParent *QModelIndex, destinationChild int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMoveRows", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectMoveRows() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMoveRows"})
}

func (ptr *QAbstractItemModel) MoveRows(sourceParent QModelIndex_ITF, sourceRow int, count int, destinationParent QModelIndex_ITF, destinationChild int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveRows", sourceParent, sourceRow, count, destinationParent, destinationChild}).(bool)
}

func (ptr *QAbstractItemModel) MoveRowsDefault(sourceParent QModelIndex_ITF, sourceRow int, count int, destinationParent QModelIndex_ITF, destinationChild int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveRowsDefault", sourceParent, sourceRow, count, destinationParent, destinationChild}).(bool)
}

func (ptr *QAbstractItemModel) ConnectParent(f func(index *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectParent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectParent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectParent"})
}

func (ptr *QAbstractItemModel) Parent(index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent", index}).(*QModelIndex)
}

func (ptr *QAbstractItemModel) PersistentIndexList() []*QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PersistentIndexList"}).([]*QModelIndex)
}

func (ptr *QAbstractItemModel) RemoveColumn(column int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveColumn", column, parent}).(bool)
}

func (ptr *QAbstractItemModel) ConnectRemoveColumns(f func(column int, count int, parent *QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRemoveColumns", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectRemoveColumns() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRemoveColumns"})
}

func (ptr *QAbstractItemModel) RemoveColumns(column int, count int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveColumns", column, count, parent}).(bool)
}

func (ptr *QAbstractItemModel) RemoveColumnsDefault(column int, count int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveColumnsDefault", column, count, parent}).(bool)
}

func (ptr *QAbstractItemModel) RemoveRow(row int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRow", row, parent}).(bool)
}

func (ptr *QAbstractItemModel) ConnectRemoveRows(f func(row int, count int, parent *QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRemoveRows", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectRemoveRows() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRemoveRows"})
}

func (ptr *QAbstractItemModel) RemoveRows(row int, count int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRows", row, count, parent}).(bool)
}

func (ptr *QAbstractItemModel) RemoveRowsDefault(row int, count int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRowsDefault", row, count, parent}).(bool)
}

func (ptr *QAbstractItemModel) ConnectResetInternalData(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResetInternalData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectResetInternalData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResetInternalData"})
}

func (ptr *QAbstractItemModel) ResetInternalData() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetInternalData"})
}

func (ptr *QAbstractItemModel) ResetInternalDataDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetInternalDataDefault"})
}

func (ptr *QAbstractItemModel) ConnectRevert(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRevert", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectRevert() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRevert"})
}

func (ptr *QAbstractItemModel) Revert() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Revert"})
}

func (ptr *QAbstractItemModel) RevertDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RevertDefault"})
}

func (ptr *QAbstractItemModel) ConnectRoleNames(f func() map[int]*QByteArray) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRoleNames", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectRoleNames() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRoleNames"})
}

func (ptr *QAbstractItemModel) RoleNames() map[int]*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RoleNames"}).(map[int]*QByteArray)
}

func (ptr *QAbstractItemModel) RoleNamesDefault() map[int]*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RoleNamesDefault"}).(map[int]*QByteArray)
}

func (ptr *QAbstractItemModel) ConnectRowCount(f func(parent *QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectRowCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowCount"})
}

func (ptr *QAbstractItemModel) RowCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount", parent}).(float64))
}

func (ptr *QAbstractItemModel) ConnectRowsAboutToBeInserted(f func(parent *QModelIndex, start int, end int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowsAboutToBeInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectRowsAboutToBeInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowsAboutToBeInserted"})
}

func (ptr *QAbstractItemModel) ConnectRowsAboutToBeMoved(f func(sourceParent *QModelIndex, sourceStart int, sourceEnd int, destinationParent *QModelIndex, destinationRow int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowsAboutToBeMoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectRowsAboutToBeMoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowsAboutToBeMoved"})
}

func (ptr *QAbstractItemModel) ConnectRowsAboutToBeRemoved(f func(parent *QModelIndex, first int, last int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowsAboutToBeRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectRowsAboutToBeRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowsAboutToBeRemoved"})
}

func (ptr *QAbstractItemModel) ConnectRowsInserted(f func(parent *QModelIndex, first int, last int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowsInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectRowsInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowsInserted"})
}

func (ptr *QAbstractItemModel) ConnectRowsMoved(f func(parent *QModelIndex, start int, end int, destination *QModelIndex, row int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowsMoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectRowsMoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowsMoved"})
}

func (ptr *QAbstractItemModel) ConnectRowsRemoved(f func(parent *QModelIndex, first int, last int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowsRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectRowsRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowsRemoved"})
}

func (ptr *QAbstractItemModel) ConnectSetData(f func(index *QModelIndex, value *QVariant, role int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectSetData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetData"})
}

func (ptr *QAbstractItemModel) SetData(index QModelIndex_ITF, value QVariant_ITF, role int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData", index, value, role}).(bool)
}

func (ptr *QAbstractItemModel) SetDataDefault(index QModelIndex_ITF, value QVariant_ITF, role int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDataDefault", index, value, role}).(bool)
}

func (ptr *QAbstractItemModel) ConnectSetHeaderData(f func(section int, orientation Qt__Orientation, value *QVariant, role int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetHeaderData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectSetHeaderData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetHeaderData"})
}

func (ptr *QAbstractItemModel) SetHeaderData(section int, orientation Qt__Orientation, value QVariant_ITF, role int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeaderData", section, orientation, value, role}).(bool)
}

func (ptr *QAbstractItemModel) SetHeaderDataDefault(section int, orientation Qt__Orientation, value QVariant_ITF, role int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeaderDataDefault", section, orientation, value, role}).(bool)
}

func (ptr *QAbstractItemModel) ConnectSetItemData(f func(index *QModelIndex, roles map[int]*QVariant) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetItemData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectSetItemData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetItemData"})
}

func (ptr *QAbstractItemModel) SetItemData(index QModelIndex_ITF, roles map[int]*QVariant) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemData", index, roles}).(bool)
}

func (ptr *QAbstractItemModel) SetItemDataDefault(index QModelIndex_ITF, roles map[int]*QVariant) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemDataDefault", index, roles}).(bool)
}

func (ptr *QAbstractItemModel) ConnectSibling(f func(row int, column int, index *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSibling", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectSibling() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSibling"})
}

func (ptr *QAbstractItemModel) Sibling(row int, column int, index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Sibling", row, column, index}).(*QModelIndex)
}

func (ptr *QAbstractItemModel) SiblingDefault(row int, column int, index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SiblingDefault", row, column, index}).(*QModelIndex)
}

func (ptr *QAbstractItemModel) ConnectSort(f func(column int, order Qt__SortOrder)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSort", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectSort() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSort"})
}

func (ptr *QAbstractItemModel) Sort(column int, order Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Sort", column, order})
}

func (ptr *QAbstractItemModel) SortDefault(column int, order Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortDefault", column, order})
}

func (ptr *QAbstractItemModel) ConnectSpan(f func(index *QModelIndex) *QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSpan", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectSpan() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSpan"})
}

func (ptr *QAbstractItemModel) Span(index QModelIndex_ITF) *QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Span", index}).(*QSize)
}

func (ptr *QAbstractItemModel) SpanDefault(index QModelIndex_ITF) *QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SpanDefault", index}).(*QSize)
}

func (ptr *QAbstractItemModel) ConnectSubmit(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSubmit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectSubmit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSubmit"})
}

func (ptr *QAbstractItemModel) Submit() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Submit"}).(bool)
}

func (ptr *QAbstractItemModel) SubmitDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubmitDefault"}).(bool)
}

func (ptr *QAbstractItemModel) ConnectSupportedDragActions(f func() Qt__DropAction) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedDragActions", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectSupportedDragActions() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedDragActions"})
}

func (ptr *QAbstractItemModel) SupportedDragActions() Qt__DropAction {

	return Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDragActions"}).(float64))
}

func (ptr *QAbstractItemModel) SupportedDragActionsDefault() Qt__DropAction {

	return Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDragActionsDefault"}).(float64))
}

func (ptr *QAbstractItemModel) ConnectSupportedDropActions(f func() Qt__DropAction) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedDropActions", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectSupportedDropActions() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedDropActions"})
}

func (ptr *QAbstractItemModel) SupportedDropActions() Qt__DropAction {

	return Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDropActions"}).(float64))
}

func (ptr *QAbstractItemModel) SupportedDropActionsDefault() Qt__DropAction {

	return Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDropActionsDefault"}).(float64))
}

func (ptr *QAbstractItemModel) ConnectDestroyQAbstractItemModel(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractItemModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemModel) DisconnectDestroyQAbstractItemModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractItemModel"})
}

func (ptr *QAbstractItemModel) DestroyQAbstractItemModel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractItemModel"})
}

func (ptr *QAbstractItemModel) DestroyQAbstractItemModelDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractItemModelDefault"})
}

func (ptr *QAbstractItemModel) __changePersistentIndexList_from_atList(i int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_from_atList", i}).(*QModelIndex)
}

func (ptr *QAbstractItemModel) __changePersistentIndexList_from_setList(i QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_from_setList", i})
}

func (ptr *QAbstractItemModel) __changePersistentIndexList_from_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_from_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) __changePersistentIndexList_to_atList(i int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_to_atList", i}).(*QModelIndex)
}

func (ptr *QAbstractItemModel) __changePersistentIndexList_to_setList(i QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_to_setList", i})
}

func (ptr *QAbstractItemModel) __changePersistentIndexList_to_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_to_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) __dataChanged_roles_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_atList", i}).(float64))
}

func (ptr *QAbstractItemModel) __dataChanged_roles_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_setList", i})
}

func (ptr *QAbstractItemModel) __dataChanged_roles_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) __doSetRoleNames_roleNames_atList(v int, i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__doSetRoleNames_roleNames_atList", v, i}).(*QByteArray)
}

func (ptr *QAbstractItemModel) __doSetRoleNames_roleNames_setList(key int, i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__doSetRoleNames_roleNames_setList", key, i})
}

func (ptr *QAbstractItemModel) __doSetRoleNames_roleNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__doSetRoleNames_roleNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) __doSetRoleNames_roleNames_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__doSetRoleNames_roleNames_keyList"}).([]int)
}

func (ptr *QAbstractItemModel) __encodeData_indexes_atList(i int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodeData_indexes_atList", i}).(*QModelIndex)
}

func (ptr *QAbstractItemModel) __encodeData_indexes_setList(i QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodeData_indexes_setList", i})
}

func (ptr *QAbstractItemModel) __encodeData_indexes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodeData_indexes_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) __itemData_atList(v int, i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_atList", v, i}).(*QVariant)
}

func (ptr *QAbstractItemModel) __itemData_setList(key int, i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_setList", key, i})
}

func (ptr *QAbstractItemModel) __itemData_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) __itemData_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_keyList"}).([]int)
}

func (ptr *QAbstractItemModel) __layoutAboutToBeChanged_parents_atList(i int) *QPersistentModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutAboutToBeChanged_parents_atList", i}).(*QPersistentModelIndex)
}

func (ptr *QAbstractItemModel) __layoutAboutToBeChanged_parents_setList(i QPersistentModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutAboutToBeChanged_parents_setList", i})
}

func (ptr *QAbstractItemModel) __layoutAboutToBeChanged_parents_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutAboutToBeChanged_parents_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) __layoutChanged_parents_atList(i int) *QPersistentModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutChanged_parents_atList", i}).(*QPersistentModelIndex)
}

func (ptr *QAbstractItemModel) __layoutChanged_parents_setList(i QPersistentModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutChanged_parents_setList", i})
}

func (ptr *QAbstractItemModel) __layoutChanged_parents_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutChanged_parents_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) __match_atList(i int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__match_atList", i}).(*QModelIndex)
}

func (ptr *QAbstractItemModel) __match_setList(i QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__match_setList", i})
}

func (ptr *QAbstractItemModel) __match_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__match_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) __mimeData_indexes_atList(i int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_indexes_atList", i}).(*QModelIndex)
}

func (ptr *QAbstractItemModel) __mimeData_indexes_setList(i QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_indexes_setList", i})
}

func (ptr *QAbstractItemModel) __mimeData_indexes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_indexes_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) __persistentIndexList_atList(i int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__persistentIndexList_atList", i}).(*QModelIndex)
}

func (ptr *QAbstractItemModel) __persistentIndexList_setList(i QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__persistentIndexList_setList", i})
}

func (ptr *QAbstractItemModel) __persistentIndexList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__persistentIndexList_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) __roleNames_atList(v int, i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_atList", v, i}).(*QByteArray)
}

func (ptr *QAbstractItemModel) __roleNames_setList(key int, i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_setList", key, i})
}

func (ptr *QAbstractItemModel) __roleNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) __roleNames_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_keyList"}).([]int)
}

func (ptr *QAbstractItemModel) __setItemData_roles_atList(v int, i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_atList", v, i}).(*QVariant)
}

func (ptr *QAbstractItemModel) __setItemData_roles_setList(key int, i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_setList", key, i})
}

func (ptr *QAbstractItemModel) __setItemData_roles_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) __setItemData_roles_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_keyList"}).([]int)
}

func (ptr *QAbstractItemModel) __setRoleNames_roleNames_atList(v int, i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setRoleNames_roleNames_atList", v, i}).(*QByteArray)
}

func (ptr *QAbstractItemModel) __setRoleNames_roleNames_setList(key int, i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setRoleNames_roleNames_setList", key, i})
}

func (ptr *QAbstractItemModel) __setRoleNames_roleNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setRoleNames_roleNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) __setRoleNames_roleNames_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setRoleNames_roleNames_keyList"}).([]int)
}

func (ptr *QAbstractItemModel) ____doSetRoleNames_roleNames_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____doSetRoleNames_roleNames_keyList_atList", i}).(float64))
}

func (ptr *QAbstractItemModel) ____doSetRoleNames_roleNames_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____doSetRoleNames_roleNames_keyList_setList", i})
}

func (ptr *QAbstractItemModel) ____doSetRoleNames_roleNames_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____doSetRoleNames_roleNames_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) ____itemData_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____itemData_keyList_atList", i}).(float64))
}

func (ptr *QAbstractItemModel) ____itemData_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____itemData_keyList_setList", i})
}

func (ptr *QAbstractItemModel) ____itemData_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____itemData_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) ____roleNames_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____roleNames_keyList_atList", i}).(float64))
}

func (ptr *QAbstractItemModel) ____roleNames_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____roleNames_keyList_setList", i})
}

func (ptr *QAbstractItemModel) ____roleNames_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____roleNames_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) ____setItemData_roles_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemData_roles_keyList_atList", i}).(float64))
}

func (ptr *QAbstractItemModel) ____setItemData_roles_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemData_roles_keyList_setList", i})
}

func (ptr *QAbstractItemModel) ____setItemData_roles_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemData_roles_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemModel) ____setRoleNames_roleNames_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setRoleNames_roleNames_keyList_atList", i}).(float64))
}

func (ptr *QAbstractItemModel) ____setRoleNames_roleNames_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setRoleNames_roleNames_keyList_setList", i})
}

func (ptr *QAbstractItemModel) ____setRoleNames_roleNames_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setRoleNames_roleNames_keyList_newList"}).(unsafe.Pointer)
}

type QAbstractListModel struct {
	QAbstractItemModel
}

type QAbstractListModel_ITF interface {
	QAbstractItemModel_ITF
	QAbstractListModel_PTR() *QAbstractListModel
}

func (ptr *QAbstractListModel) QAbstractListModel_PTR() *QAbstractListModel {
	return ptr
}

func (ptr *QAbstractListModel) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemModel_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractListModel) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractItemModel_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractListModel(ptr QAbstractListModel_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractListModel_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractListModel) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractItemModel_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractListModel) ClassNameInternalF() string {
	return n.QAbstractItemModel_PTR().ClassNameInternalF()
}

func NewQAbstractListModelFromPointer(ptr unsafe.Pointer) (n *QAbstractListModel) {
	n = new(QAbstractListModel)
	n.InitFromInternal(uintptr(ptr), "core.QAbstractListModel")
	return
}
func NewQAbstractListModel(parent QObject_ITF) *QAbstractListModel {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQAbstractListModel", "", parent}).(*QAbstractListModel)
}

func (ptr *QAbstractListModel) ConnectIndex(f func(row int, column int, parent *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractListModel) DisconnectIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndex"})
}

func (ptr *QAbstractListModel) Index(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index", row, column, parent}).(*QModelIndex)
}

func (ptr *QAbstractListModel) IndexDefault(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexDefault", row, column, parent}).(*QModelIndex)
}

func (ptr *QAbstractListModel) ConnectDestroyQAbstractListModel(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractListModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractListModel) DisconnectDestroyQAbstractListModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractListModel"})
}

func (ptr *QAbstractListModel) DestroyQAbstractListModel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractListModel"})
}

func (ptr *QAbstractListModel) DestroyQAbstractListModelDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractListModelDefault"})
}

func (ptr *QAbstractListModel) ColumnCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount", parent}).(float64))
}

func (ptr *QAbstractListModel) ColumnCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCountDefault", parent}).(float64))
}

func (ptr *QAbstractListModel) Data(index QModelIndex_ITF, role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", index, role}).(*QVariant)
}

func (ptr *QAbstractListModel) DataDefault(index QModelIndex_ITF, role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataDefault", index, role}).(*QVariant)
}

func (ptr *QAbstractListModel) Parent(index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent", index}).(*QModelIndex)
}

func (ptr *QAbstractListModel) ParentDefault(index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentDefault", index}).(*QModelIndex)
}

func (ptr *QAbstractListModel) RowCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount", parent}).(float64))
}

func (ptr *QAbstractListModel) RowCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCountDefault", parent}).(float64))
}

type QAbstractNativeEventFilter struct {
	internal.Internal
}

type QAbstractNativeEventFilter_ITF interface {
	QAbstractNativeEventFilter_PTR() *QAbstractNativeEventFilter
}

func (ptr *QAbstractNativeEventFilter) QAbstractNativeEventFilter_PTR() *QAbstractNativeEventFilter {
	return ptr
}

func (ptr *QAbstractNativeEventFilter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAbstractNativeEventFilter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAbstractNativeEventFilter(ptr QAbstractNativeEventFilter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractNativeEventFilter_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractNativeEventFilter) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAbstractNativeEventFilterFromPointer(ptr unsafe.Pointer) (n *QAbstractNativeEventFilter) {
	n = new(QAbstractNativeEventFilter)
	n.InitFromInternal(uintptr(ptr), "core.QAbstractNativeEventFilter")
	return
}
func NewQAbstractNativeEventFilter() *QAbstractNativeEventFilter {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQAbstractNativeEventFilter", ""}).(*QAbstractNativeEventFilter)
}

func (ptr *QAbstractNativeEventFilter) ConnectNativeEventFilter(f func(eventType *QByteArray, message unsafe.Pointer, result *int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNativeEventFilter", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractNativeEventFilter) DisconnectNativeEventFilter() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNativeEventFilter"})
}

func (ptr *QAbstractNativeEventFilter) NativeEventFilter(eventType QByteArray_ITF, message unsafe.Pointer, result *int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NativeEventFilter", eventType, message, result}).(bool)
}

func (ptr *QAbstractNativeEventFilter) ConnectDestroyQAbstractNativeEventFilter(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractNativeEventFilter", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractNativeEventFilter) DisconnectDestroyQAbstractNativeEventFilter() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractNativeEventFilter"})
}

func (ptr *QAbstractNativeEventFilter) DestroyQAbstractNativeEventFilter() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractNativeEventFilter"})
}

func (ptr *QAbstractNativeEventFilter) DestroyQAbstractNativeEventFilterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractNativeEventFilterDefault"})
}

type QAbstractProxyModel struct {
	QAbstractItemModel
}

type QAbstractProxyModel_ITF interface {
	QAbstractItemModel_ITF
	QAbstractProxyModel_PTR() *QAbstractProxyModel
}

func (ptr *QAbstractProxyModel) QAbstractProxyModel_PTR() *QAbstractProxyModel {
	return ptr
}

func (ptr *QAbstractProxyModel) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemModel_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractProxyModel) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractItemModel_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractProxyModel(ptr QAbstractProxyModel_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractProxyModel_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractProxyModel) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractItemModel_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractProxyModel) ClassNameInternalF() string {
	return n.QAbstractItemModel_PTR().ClassNameInternalF()
}

func NewQAbstractProxyModelFromPointer(ptr unsafe.Pointer) (n *QAbstractProxyModel) {
	n = new(QAbstractProxyModel)
	n.InitFromInternal(uintptr(ptr), "core.QAbstractProxyModel")
	return
}
func NewQAbstractProxyModel(parent QObject_ITF) *QAbstractProxyModel {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQAbstractProxyModel", "", parent}).(*QAbstractProxyModel)
}

func (ptr *QAbstractProxyModel) ConnectData(f func(proxyIndex *QModelIndex, role int) *QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractProxyModel) DisconnectData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectData"})
}

func (ptr *QAbstractProxyModel) Data(proxyIndex QModelIndex_ITF, role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", proxyIndex, role}).(*QVariant)
}

func (ptr *QAbstractProxyModel) DataDefault(proxyIndex QModelIndex_ITF, role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataDefault", proxyIndex, role}).(*QVariant)
}

func (ptr *QAbstractProxyModel) ConnectMapFromSource(f func(sourceIndex *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMapFromSource", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractProxyModel) DisconnectMapFromSource() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMapFromSource"})
}

func (ptr *QAbstractProxyModel) MapFromSource(sourceIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromSource", sourceIndex}).(*QModelIndex)
}

func (ptr *QAbstractProxyModel) ConnectMapSelectionFromSource(f func(sourceSelection *QItemSelection) *QItemSelection) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMapSelectionFromSource", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractProxyModel) DisconnectMapSelectionFromSource() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMapSelectionFromSource"})
}

func (ptr *QAbstractProxyModel) MapSelectionFromSource(sourceSelection QItemSelection_ITF) *QItemSelection {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapSelectionFromSource", sourceSelection}).(*QItemSelection)
}

func (ptr *QAbstractProxyModel) MapSelectionFromSourceDefault(sourceSelection QItemSelection_ITF) *QItemSelection {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapSelectionFromSourceDefault", sourceSelection}).(*QItemSelection)
}

func (ptr *QAbstractProxyModel) ConnectMapSelectionToSource(f func(proxySelection *QItemSelection) *QItemSelection) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMapSelectionToSource", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractProxyModel) DisconnectMapSelectionToSource() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMapSelectionToSource"})
}

func (ptr *QAbstractProxyModel) MapSelectionToSource(proxySelection QItemSelection_ITF) *QItemSelection {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapSelectionToSource", proxySelection}).(*QItemSelection)
}

func (ptr *QAbstractProxyModel) MapSelectionToSourceDefault(proxySelection QItemSelection_ITF) *QItemSelection {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapSelectionToSourceDefault", proxySelection}).(*QItemSelection)
}

func (ptr *QAbstractProxyModel) ConnectMapToSource(f func(proxyIndex *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMapToSource", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractProxyModel) DisconnectMapToSource() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMapToSource"})
}

func (ptr *QAbstractProxyModel) MapToSource(proxyIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToSource", proxyIndex}).(*QModelIndex)
}

func (ptr *QAbstractProxyModel) ConnectRevert(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRevert", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractProxyModel) DisconnectRevert() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRevert"})
}

func (ptr *QAbstractProxyModel) Revert() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Revert"})
}

func (ptr *QAbstractProxyModel) RevertDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RevertDefault"})
}

func (ptr *QAbstractProxyModel) ConnectSetSourceModel(f func(sourceModel *QAbstractItemModel)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSourceModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractProxyModel) DisconnectSetSourceModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSourceModel"})
}

func (ptr *QAbstractProxyModel) SetSourceModel(sourceModel QAbstractItemModel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSourceModel", sourceModel})
}

func (ptr *QAbstractProxyModel) SetSourceModelDefault(sourceModel QAbstractItemModel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSourceModelDefault", sourceModel})
}

func (ptr *QAbstractProxyModel) SourceModel() *QAbstractItemModel {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceModel"}).(*QAbstractItemModel)
}

func (ptr *QAbstractProxyModel) ConnectSourceModelChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSourceModelChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractProxyModel) DisconnectSourceModelChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSourceModelChanged"})
}

func (ptr *QAbstractProxyModel) ConnectSubmit(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSubmit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractProxyModel) DisconnectSubmit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSubmit"})
}

func (ptr *QAbstractProxyModel) Submit() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Submit"}).(bool)
}

func (ptr *QAbstractProxyModel) SubmitDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubmitDefault"}).(bool)
}

func (ptr *QAbstractProxyModel) ConnectDestroyQAbstractProxyModel(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractProxyModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractProxyModel) DisconnectDestroyQAbstractProxyModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractProxyModel"})
}

func (ptr *QAbstractProxyModel) DestroyQAbstractProxyModel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractProxyModel"})
}

func (ptr *QAbstractProxyModel) DestroyQAbstractProxyModelDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractProxyModelDefault"})
}

func (ptr *QAbstractProxyModel) ColumnCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount", parent}).(float64))
}

func (ptr *QAbstractProxyModel) ColumnCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCountDefault", parent}).(float64))
}

func (ptr *QAbstractProxyModel) Index(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index", row, column, parent}).(*QModelIndex)
}

func (ptr *QAbstractProxyModel) IndexDefault(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexDefault", row, column, parent}).(*QModelIndex)
}

func (ptr *QAbstractProxyModel) Parent(index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent", index}).(*QModelIndex)
}

func (ptr *QAbstractProxyModel) ParentDefault(index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentDefault", index}).(*QModelIndex)
}

func (ptr *QAbstractProxyModel) RowCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount", parent}).(float64))
}

func (ptr *QAbstractProxyModel) RowCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCountDefault", parent}).(float64))
}

type QAbstractState struct {
	QObject
}

type QAbstractState_ITF interface {
	QObject_ITF
	QAbstractState_PTR() *QAbstractState
}

func (ptr *QAbstractState) QAbstractState_PTR() *QAbstractState {
	return ptr
}

func (ptr *QAbstractState) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractState) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractState(ptr QAbstractState_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractState_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractState) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractState) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAbstractStateFromPointer(ptr unsafe.Pointer) (n *QAbstractState) {
	n = new(QAbstractState)
	n.InitFromInternal(uintptr(ptr), "core.QAbstractState")
	return
}
func NewQAbstractState(parent QState_ITF) *QAbstractState {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQAbstractState", "", parent}).(*QAbstractState)
}

func (ptr *QAbstractState) Active() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Active"}).(bool)
}

func (ptr *QAbstractState) ConnectActiveChanged(f func(active bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActiveChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractState) DisconnectActiveChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActiveChanged"})
}

func (ptr *QAbstractState) ActiveChanged(active bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveChanged", active})
}

func (ptr *QAbstractState) ConnectEntered(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEntered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractState) DisconnectEntered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEntered"})
}

func (ptr *QAbstractState) ConnectExited(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectExited", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractState) DisconnectExited() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectExited"})
}

func (ptr *QAbstractState) Machine() *QStateMachine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Machine"}).(*QStateMachine)
}

func (ptr *QAbstractState) ConnectOnEntry(f func(event *QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOnEntry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractState) DisconnectOnEntry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOnEntry"})
}

func (ptr *QAbstractState) OnEntry(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnEntry", event})
}

func (ptr *QAbstractState) ConnectOnExit(f func(event *QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOnExit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractState) DisconnectOnExit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOnExit"})
}

func (ptr *QAbstractState) OnExit(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnExit", event})
}

func (ptr *QAbstractState) ParentState() *QState {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentState"}).(*QState)
}

func (ptr *QAbstractState) ConnectDestroyQAbstractState(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractState) DisconnectDestroyQAbstractState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractState"})
}

func (ptr *QAbstractState) DestroyQAbstractState() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractState"})
}

func (ptr *QAbstractState) DestroyQAbstractStateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractStateDefault"})
}

type QAbstractTableModel struct {
	QAbstractItemModel
}

type QAbstractTableModel_ITF interface {
	QAbstractItemModel_ITF
	QAbstractTableModel_PTR() *QAbstractTableModel
}

func (ptr *QAbstractTableModel) QAbstractTableModel_PTR() *QAbstractTableModel {
	return ptr
}

func (ptr *QAbstractTableModel) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemModel_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractTableModel) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractItemModel_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractTableModel(ptr QAbstractTableModel_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractTableModel_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractTableModel) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractItemModel_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractTableModel) ClassNameInternalF() string {
	return n.QAbstractItemModel_PTR().ClassNameInternalF()
}

func NewQAbstractTableModelFromPointer(ptr unsafe.Pointer) (n *QAbstractTableModel) {
	n = new(QAbstractTableModel)
	n.InitFromInternal(uintptr(ptr), "core.QAbstractTableModel")
	return
}
func NewQAbstractTableModel(parent QObject_ITF) *QAbstractTableModel {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQAbstractTableModel", "", parent}).(*QAbstractTableModel)
}

func (ptr *QAbstractTableModel) ConnectIndex(f func(row int, column int, parent *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTableModel) DisconnectIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndex"})
}

func (ptr *QAbstractTableModel) Index(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index", row, column, parent}).(*QModelIndex)
}

func (ptr *QAbstractTableModel) IndexDefault(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexDefault", row, column, parent}).(*QModelIndex)
}

func (ptr *QAbstractTableModel) ConnectDestroyQAbstractTableModel(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractTableModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTableModel) DisconnectDestroyQAbstractTableModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractTableModel"})
}

func (ptr *QAbstractTableModel) DestroyQAbstractTableModel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractTableModel"})
}

func (ptr *QAbstractTableModel) DestroyQAbstractTableModelDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractTableModelDefault"})
}

func (ptr *QAbstractTableModel) ColumnCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount", parent}).(float64))
}

func (ptr *QAbstractTableModel) ColumnCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCountDefault", parent}).(float64))
}

func (ptr *QAbstractTableModel) Data(index QModelIndex_ITF, role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", index, role}).(*QVariant)
}

func (ptr *QAbstractTableModel) DataDefault(index QModelIndex_ITF, role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataDefault", index, role}).(*QVariant)
}

func (ptr *QAbstractTableModel) Parent(index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent", index}).(*QModelIndex)
}

func (ptr *QAbstractTableModel) ParentDefault(index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentDefault", index}).(*QModelIndex)
}

func (ptr *QAbstractTableModel) RowCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount", parent}).(float64))
}

func (ptr *QAbstractTableModel) RowCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCountDefault", parent}).(float64))
}

type QAbstractTransition struct {
	QObject
}

type QAbstractTransition_ITF interface {
	QObject_ITF
	QAbstractTransition_PTR() *QAbstractTransition
}

func (ptr *QAbstractTransition) QAbstractTransition_PTR() *QAbstractTransition {
	return ptr
}

func (ptr *QAbstractTransition) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractTransition) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractTransition(ptr QAbstractTransition_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractTransition_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractTransition) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractTransition) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAbstractTransitionFromPointer(ptr unsafe.Pointer) (n *QAbstractTransition) {
	n = new(QAbstractTransition)
	n.InitFromInternal(uintptr(ptr), "core.QAbstractTransition")
	return
}

//go:generate stringer -type=QAbstractTransition__TransitionType
//QAbstractTransition::TransitionType
type QAbstractTransition__TransitionType int64

const (
	QAbstractTransition__ExternalTransition QAbstractTransition__TransitionType = QAbstractTransition__TransitionType(0)
	QAbstractTransition__InternalTransition QAbstractTransition__TransitionType = QAbstractTransition__TransitionType(1)
)

func NewQAbstractTransition(sourceState QState_ITF) *QAbstractTransition {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQAbstractTransition", "", sourceState}).(*QAbstractTransition)
}

func (ptr *QAbstractTransition) AddAnimation(animation QAbstractAnimation_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAnimation", animation})
}

func (ptr *QAbstractTransition) Animations() []*QAbstractAnimation {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Animations"}).([]*QAbstractAnimation)
}

func (ptr *QAbstractTransition) ConnectEventTest(f func(event *QEvent) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEventTest", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTransition) DisconnectEventTest() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEventTest"})
}

func (ptr *QAbstractTransition) EventTest(event QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventTest", event}).(bool)
}

func (ptr *QAbstractTransition) Machine() *QStateMachine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Machine"}).(*QStateMachine)
}

func (ptr *QAbstractTransition) ConnectOnTransition(f func(event *QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOnTransition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTransition) DisconnectOnTransition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOnTransition"})
}

func (ptr *QAbstractTransition) OnTransition(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnTransition", event})
}

func (ptr *QAbstractTransition) RemoveAnimation(animation QAbstractAnimation_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveAnimation", animation})
}

func (ptr *QAbstractTransition) SetTargetState(target QAbstractState_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTargetState", target})
}

func (ptr *QAbstractTransition) SetTargetStates(targets []*QAbstractState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTargetStates", targets})
}

func (ptr *QAbstractTransition) SetTransitionType(ty QAbstractTransition__TransitionType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTransitionType", ty})
}

func (ptr *QAbstractTransition) SourceState() *QState {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceState"}).(*QState)
}

func (ptr *QAbstractTransition) TargetState() *QAbstractState {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TargetState"}).(*QAbstractState)
}

func (ptr *QAbstractTransition) ConnectTargetStateChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTargetStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTransition) DisconnectTargetStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTargetStateChanged"})
}

func (ptr *QAbstractTransition) TargetStates() []*QAbstractState {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TargetStates"}).([]*QAbstractState)
}

func (ptr *QAbstractTransition) ConnectTargetStatesChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTargetStatesChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTransition) DisconnectTargetStatesChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTargetStatesChanged"})
}

func (ptr *QAbstractTransition) TransitionType() QAbstractTransition__TransitionType {

	return QAbstractTransition__TransitionType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TransitionType"}).(float64))
}

func (ptr *QAbstractTransition) ConnectTriggered(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTriggered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTransition) DisconnectTriggered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTriggered"})
}

func (ptr *QAbstractTransition) ConnectDestroyQAbstractTransition(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractTransition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTransition) DisconnectDestroyQAbstractTransition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractTransition"})
}

func (ptr *QAbstractTransition) DestroyQAbstractTransition() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractTransition"})
}

func (ptr *QAbstractTransition) DestroyQAbstractTransitionDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractTransitionDefault"})
}

func (ptr *QAbstractTransition) __animations_atList(i int) *QAbstractAnimation {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__animations_atList", i}).(*QAbstractAnimation)
}

func (ptr *QAbstractTransition) __animations_setList(i QAbstractAnimation_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__animations_setList", i})
}

func (ptr *QAbstractTransition) __animations_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__animations_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractTransition) __setTargetStates_targets_atList(i int) *QAbstractState {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTargetStates_targets_atList", i}).(*QAbstractState)
}

func (ptr *QAbstractTransition) __setTargetStates_targets_setList(i QAbstractState_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTargetStates_targets_setList", i})
}

func (ptr *QAbstractTransition) __setTargetStates_targets_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTargetStates_targets_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractTransition) __targetStates_atList(i int) *QAbstractState {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__targetStates_atList", i}).(*QAbstractState)
}

func (ptr *QAbstractTransition) __targetStates_setList(i QAbstractState_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__targetStates_setList", i})
}

func (ptr *QAbstractTransition) __targetStates_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__targetStates_newList"}).(unsafe.Pointer)
}

type QAnimationGroup struct {
	QAbstractAnimation
}

type QAnimationGroup_ITF interface {
	QAbstractAnimation_ITF
	QAnimationGroup_PTR() *QAnimationGroup
}

func (ptr *QAnimationGroup) QAnimationGroup_PTR() *QAnimationGroup {
	return ptr
}

func (ptr *QAnimationGroup) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAnimation_PTR().Pointer()
	}
	return nil
}

func (ptr *QAnimationGroup) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAnimation_PTR().SetPointer(p)
	}
}

func PointerFromQAnimationGroup(ptr QAnimationGroup_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAnimationGroup_PTR().Pointer()
	}
	return nil
}

func (n *QAnimationGroup) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAnimation_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAnimationGroup) ClassNameInternalF() string {
	return n.QAbstractAnimation_PTR().ClassNameInternalF()
}

func NewQAnimationGroupFromPointer(ptr unsafe.Pointer) (n *QAnimationGroup) {
	n = new(QAnimationGroup)
	n.InitFromInternal(uintptr(ptr), "core.QAnimationGroup")
	return
}
func NewQAnimationGroup(parent QObject_ITF) *QAnimationGroup {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQAnimationGroup", "", parent}).(*QAnimationGroup)
}

func (ptr *QAnimationGroup) AddAnimation(animation QAbstractAnimation_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAnimation", animation})
}

func (ptr *QAnimationGroup) AnimationAt(index int) *QAbstractAnimation {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AnimationAt", index}).(*QAbstractAnimation)
}

func (ptr *QAnimationGroup) AnimationCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AnimationCount"}).(float64))
}

func (ptr *QAnimationGroup) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QAnimationGroup) IndexOfAnimation(animation QAbstractAnimation_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOfAnimation", animation}).(float64))
}

func (ptr *QAnimationGroup) InsertAnimation(index int, animation QAbstractAnimation_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertAnimation", index, animation})
}

func (ptr *QAnimationGroup) RemoveAnimation(animation QAbstractAnimation_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveAnimation", animation})
}

func (ptr *QAnimationGroup) TakeAnimation(index int) *QAbstractAnimation {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeAnimation", index}).(*QAbstractAnimation)
}

func (ptr *QAnimationGroup) ConnectDestroyQAnimationGroup(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAnimationGroup", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAnimationGroup) DisconnectDestroyQAnimationGroup() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAnimationGroup"})
}

func (ptr *QAnimationGroup) DestroyQAnimationGroup() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAnimationGroup"})
}

func (ptr *QAnimationGroup) DestroyQAnimationGroupDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAnimationGroupDefault"})
}

func (ptr *QAnimationGroup) Duration() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Duration"}).(float64))
}

func (ptr *QAnimationGroup) DurationDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DurationDefault"}).(float64))
}

func (ptr *QAnimationGroup) UpdateCurrentTime(currentTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCurrentTime", currentTime})
}

func (ptr *QAnimationGroup) UpdateCurrentTimeDefault(currentTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCurrentTimeDefault", currentTime})
}

type QArgument struct {
	QGenericArgument
}

type QArgument_ITF interface {
	QGenericArgument_ITF
	QArgument_PTR() *QArgument
}

func (ptr *QArgument) QArgument_PTR() *QArgument {
	return ptr
}

func (ptr *QArgument) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGenericArgument_PTR().Pointer()
	}
	return nil
}

func (ptr *QArgument) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGenericArgument_PTR().SetPointer(p)
	}
}

func PointerFromQArgument(ptr QArgument_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QArgument_PTR().Pointer()
	}
	return nil
}

func (n *QArgument) InitFromInternal(ptr uintptr, name string) {
	n.QGenericArgument_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QArgument) ClassNameInternalF() string {
	return n.QGenericArgument_PTR().ClassNameInternalF()
}

func NewQArgumentFromPointer(ptr unsafe.Pointer) (n *QArgument) {
	n = new(QArgument)
	n.InitFromInternal(uintptr(ptr), "core.QArgument")
	return
}

func (ptr *QArgument) DestroyQArgument() {
}

type QArrayData struct {
	internal.Internal
}

type QArrayData_ITF interface {
	QArrayData_PTR() *QArrayData
}

func (ptr *QArrayData) QArrayData_PTR() *QArrayData {
	return ptr
}

func (ptr *QArrayData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QArrayData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQArrayData(ptr QArrayData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QArrayData_PTR().Pointer()
	}
	return nil
}

func (n *QArrayData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQArrayDataFromPointer(ptr unsafe.Pointer) (n *QArrayData) {
	n = new(QArrayData)
	n.InitFromInternal(uintptr(ptr), "core.QArrayData")
	return
}

func (ptr *QArrayData) DestroyQArrayData() {
}

type QArrayDataPointer struct {
	internal.Internal
}

type QArrayDataPointer_ITF interface {
	QArrayDataPointer_PTR() *QArrayDataPointer
}

func (ptr *QArrayDataPointer) QArrayDataPointer_PTR() *QArrayDataPointer {
	return ptr
}

func (ptr *QArrayDataPointer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QArrayDataPointer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQArrayDataPointer(ptr QArrayDataPointer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QArrayDataPointer_PTR().Pointer()
	}
	return nil
}

func (n *QArrayDataPointer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQArrayDataPointerFromPointer(ptr unsafe.Pointer) (n *QArrayDataPointer) {
	n = new(QArrayDataPointer)
	n.InitFromInternal(uintptr(ptr), "core.QArrayDataPointer")
	return
}

func (ptr *QArrayDataPointer) DestroyQArrayDataPointer() {
}

type QAssociativeIterable struct {
	internal.Internal
}

type QAssociativeIterable_ITF interface {
	QAssociativeIterable_PTR() *QAssociativeIterable
}

func (ptr *QAssociativeIterable) QAssociativeIterable_PTR() *QAssociativeIterable {
	return ptr
}

func (ptr *QAssociativeIterable) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAssociativeIterable) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAssociativeIterable(ptr QAssociativeIterable_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAssociativeIterable_PTR().Pointer()
	}
	return nil
}

func (n *QAssociativeIterable) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAssociativeIterableFromPointer(ptr unsafe.Pointer) (n *QAssociativeIterable) {
	n = new(QAssociativeIterable)
	n.InitFromInternal(uintptr(ptr), "core.QAssociativeIterable")
	return
}

func (ptr *QAssociativeIterable) DestroyQAssociativeIterable() {
}

func (ptr *QAssociativeIterable) Size() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

func (ptr *QAssociativeIterable) Value(key QVariant_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value", key}).(*QVariant)
}

type QAtomicInt struct {
	QAtomicInteger
}

type QAtomicInt_ITF interface {
	QAtomicInteger_ITF
	QAtomicInt_PTR() *QAtomicInt
}

func (ptr *QAtomicInt) QAtomicInt_PTR() *QAtomicInt {
	return ptr
}

func (ptr *QAtomicInt) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAtomicInteger_PTR().Pointer()
	}
	return nil
}

func (ptr *QAtomicInt) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAtomicInteger_PTR().SetPointer(p)
	}
}

func PointerFromQAtomicInt(ptr QAtomicInt_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAtomicInt_PTR().Pointer()
	}
	return nil
}

func (n *QAtomicInt) InitFromInternal(ptr uintptr, name string) {
	n.QAtomicInteger_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAtomicInt) ClassNameInternalF() string {
	return n.QAtomicInteger_PTR().ClassNameInternalF()
}

func NewQAtomicIntFromPointer(ptr unsafe.Pointer) (n *QAtomicInt) {
	n = new(QAtomicInt)
	n.InitFromInternal(uintptr(ptr), "core.QAtomicInt")
	return
}

func (ptr *QAtomicInt) DestroyQAtomicInt() {
}

type QAtomicInteger struct {
	QBasicAtomicInteger
}

type QAtomicInteger_ITF interface {
	QBasicAtomicInteger_ITF
	QAtomicInteger_PTR() *QAtomicInteger
}

func (ptr *QAtomicInteger) QAtomicInteger_PTR() *QAtomicInteger {
	return ptr
}

func (ptr *QAtomicInteger) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QBasicAtomicInteger_PTR().Pointer()
	}
	return nil
}

func (ptr *QAtomicInteger) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QBasicAtomicInteger_PTR().SetPointer(p)
	}
}

func PointerFromQAtomicInteger(ptr QAtomicInteger_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAtomicInteger_PTR().Pointer()
	}
	return nil
}

func (n *QAtomicInteger) InitFromInternal(ptr uintptr, name string) {
	n.QBasicAtomicInteger_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAtomicInteger) ClassNameInternalF() string {
	return n.QBasicAtomicInteger_PTR().ClassNameInternalF()
}

func NewQAtomicIntegerFromPointer(ptr unsafe.Pointer) (n *QAtomicInteger) {
	n = new(QAtomicInteger)
	n.InitFromInternal(uintptr(ptr), "core.QAtomicInteger")
	return
}

func (ptr *QAtomicInteger) DestroyQAtomicInteger() {
}

type QAtomicOps struct {
	internal.Internal
}

type QAtomicOps_ITF interface {
	QAtomicOps_PTR() *QAtomicOps
}

func (ptr *QAtomicOps) QAtomicOps_PTR() *QAtomicOps {
	return ptr
}

func (ptr *QAtomicOps) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAtomicOps) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAtomicOps(ptr QAtomicOps_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAtomicOps_PTR().Pointer()
	}
	return nil
}

func (n *QAtomicOps) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAtomicOpsFromPointer(ptr unsafe.Pointer) (n *QAtomicOps) {
	n = new(QAtomicOps)
	n.InitFromInternal(uintptr(ptr), "core.QAtomicOps")
	return
}

func (ptr *QAtomicOps) DestroyQAtomicOps() {
}

type QAtomicPointer struct {
	QBasicAtomicPointer
}

type QAtomicPointer_ITF interface {
	QBasicAtomicPointer_ITF
	QAtomicPointer_PTR() *QAtomicPointer
}

func (ptr *QAtomicPointer) QAtomicPointer_PTR() *QAtomicPointer {
	return ptr
}

func (ptr *QAtomicPointer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QBasicAtomicPointer_PTR().Pointer()
	}
	return nil
}

func (ptr *QAtomicPointer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QBasicAtomicPointer_PTR().SetPointer(p)
	}
}

func PointerFromQAtomicPointer(ptr QAtomicPointer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAtomicPointer_PTR().Pointer()
	}
	return nil
}

func (n *QAtomicPointer) InitFromInternal(ptr uintptr, name string) {
	n.QBasicAtomicPointer_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAtomicPointer) ClassNameInternalF() string {
	return n.QBasicAtomicPointer_PTR().ClassNameInternalF()
}

func NewQAtomicPointerFromPointer(ptr unsafe.Pointer) (n *QAtomicPointer) {
	n = new(QAtomicPointer)
	n.InitFromInternal(uintptr(ptr), "core.QAtomicPointer")
	return
}

func (ptr *QAtomicPointer) DestroyQAtomicPointer() {
}

type QAtomicTraits struct {
	internal.Internal
}

type QAtomicTraits_ITF interface {
	QAtomicTraits_PTR() *QAtomicTraits
}

func (ptr *QAtomicTraits) QAtomicTraits_PTR() *QAtomicTraits {
	return ptr
}

func (ptr *QAtomicTraits) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAtomicTraits) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAtomicTraits(ptr QAtomicTraits_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAtomicTraits_PTR().Pointer()
	}
	return nil
}

func (n *QAtomicTraits) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAtomicTraitsFromPointer(ptr unsafe.Pointer) (n *QAtomicTraits) {
	n = new(QAtomicTraits)
	n.InitFromInternal(uintptr(ptr), "core.QAtomicTraits")
	return
}

func (ptr *QAtomicTraits) DestroyQAtomicTraits() {
}

type QBEInteger struct {
	internal.Internal
}

type QBEInteger_ITF interface {
	QBEInteger_PTR() *QBEInteger
}

func (ptr *QBEInteger) QBEInteger_PTR() *QBEInteger {
	return ptr
}

func (ptr *QBEInteger) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QBEInteger) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQBEInteger(ptr QBEInteger_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QBEInteger_PTR().Pointer()
	}
	return nil
}

func (n *QBEInteger) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQBEIntegerFromPointer(ptr unsafe.Pointer) (n *QBEInteger) {
	n = new(QBEInteger)
	n.InitFromInternal(uintptr(ptr), "core.QBEInteger")
	return
}

func (ptr *QBEInteger) DestroyQBEInteger() {
}

type QBasicAtomicInteger struct {
	internal.Internal
}

type QBasicAtomicInteger_ITF interface {
	QBasicAtomicInteger_PTR() *QBasicAtomicInteger
}

func (ptr *QBasicAtomicInteger) QBasicAtomicInteger_PTR() *QBasicAtomicInteger {
	return ptr
}

func (ptr *QBasicAtomicInteger) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QBasicAtomicInteger) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQBasicAtomicInteger(ptr QBasicAtomicInteger_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QBasicAtomicInteger_PTR().Pointer()
	}
	return nil
}

func (n *QBasicAtomicInteger) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQBasicAtomicIntegerFromPointer(ptr unsafe.Pointer) (n *QBasicAtomicInteger) {
	n = new(QBasicAtomicInteger)
	n.InitFromInternal(uintptr(ptr), "core.QBasicAtomicInteger")
	return
}

func (ptr *QBasicAtomicInteger) DestroyQBasicAtomicInteger() {
}

type QBasicAtomicPointer struct {
	internal.Internal
}

type QBasicAtomicPointer_ITF interface {
	QBasicAtomicPointer_PTR() *QBasicAtomicPointer
}

func (ptr *QBasicAtomicPointer) QBasicAtomicPointer_PTR() *QBasicAtomicPointer {
	return ptr
}

func (ptr *QBasicAtomicPointer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QBasicAtomicPointer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQBasicAtomicPointer(ptr QBasicAtomicPointer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QBasicAtomicPointer_PTR().Pointer()
	}
	return nil
}

func (n *QBasicAtomicPointer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQBasicAtomicPointerFromPointer(ptr unsafe.Pointer) (n *QBasicAtomicPointer) {
	n = new(QBasicAtomicPointer)
	n.InitFromInternal(uintptr(ptr), "core.QBasicAtomicPointer")
	return
}

func (ptr *QBasicAtomicPointer) DestroyQBasicAtomicPointer() {
}

type QBasicMutex struct {
	internal.Internal
}

type QBasicMutex_ITF interface {
	QBasicMutex_PTR() *QBasicMutex
}

func (ptr *QBasicMutex) QBasicMutex_PTR() *QBasicMutex {
	return ptr
}

func (ptr *QBasicMutex) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QBasicMutex) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQBasicMutex(ptr QBasicMutex_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QBasicMutex_PTR().Pointer()
	}
	return nil
}

func (n *QBasicMutex) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQBasicMutexFromPointer(ptr unsafe.Pointer) (n *QBasicMutex) {
	n = new(QBasicMutex)
	n.InitFromInternal(uintptr(ptr), "core.QBasicMutex")
	return
}

func (ptr *QBasicMutex) DestroyQBasicMutex() {
}

func (ptr *QBasicMutex) IsRecursive2() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRecursive2"}).(bool)
}

type QBasicTimer struct {
	internal.Internal
}

type QBasicTimer_ITF interface {
	QBasicTimer_PTR() *QBasicTimer
}

func (ptr *QBasicTimer) QBasicTimer_PTR() *QBasicTimer {
	return ptr
}

func (ptr *QBasicTimer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QBasicTimer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQBasicTimer(ptr QBasicTimer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QBasicTimer_PTR().Pointer()
	}
	return nil
}

func (n *QBasicTimer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQBasicTimerFromPointer(ptr unsafe.Pointer) (n *QBasicTimer) {
	n = new(QBasicTimer)
	n.InitFromInternal(uintptr(ptr), "core.QBasicTimer")
	return
}
func NewQBasicTimer() *QBasicTimer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQBasicTimer", ""}).(*QBasicTimer)
}

func (ptr *QBasicTimer) IsActive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsActive"}).(bool)
}

func (ptr *QBasicTimer) Start(msec int, object QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start", msec, object})
}

func (ptr *QBasicTimer) Start2(msec int, timerType Qt__TimerType, obj QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start2", msec, timerType, obj})
}

func (ptr *QBasicTimer) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QBasicTimer) TimerId() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerId"}).(float64))
}

func (ptr *QBasicTimer) DestroyQBasicTimer() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQBasicTimer"})
}

type QBigEndianStorageType struct {
	internal.Internal
}

type QBigEndianStorageType_ITF interface {
	QBigEndianStorageType_PTR() *QBigEndianStorageType
}

func (ptr *QBigEndianStorageType) QBigEndianStorageType_PTR() *QBigEndianStorageType {
	return ptr
}

func (ptr *QBigEndianStorageType) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QBigEndianStorageType) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQBigEndianStorageType(ptr QBigEndianStorageType_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QBigEndianStorageType_PTR().Pointer()
	}
	return nil
}

func (n *QBigEndianStorageType) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQBigEndianStorageTypeFromPointer(ptr unsafe.Pointer) (n *QBigEndianStorageType) {
	n = new(QBigEndianStorageType)
	n.InitFromInternal(uintptr(ptr), "core.QBigEndianStorageType")
	return
}

func (ptr *QBigEndianStorageType) DestroyQBigEndianStorageType() {
}

type QBitArray struct {
	internal.Internal
}

type QBitArray_ITF interface {
	QBitArray_PTR() *QBitArray
}

func (ptr *QBitArray) QBitArray_PTR() *QBitArray {
	return ptr
}

func (ptr *QBitArray) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QBitArray) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQBitArray(ptr QBitArray_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QBitArray_PTR().Pointer()
	}
	return nil
}

func (n *QBitArray) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQBitArrayFromPointer(ptr unsafe.Pointer) (n *QBitArray) {
	n = new(QBitArray)
	n.InitFromInternal(uintptr(ptr), "core.QBitArray")
	return
}

func (ptr *QBitArray) DestroyQBitArray() {
}

func NewQBitArray() *QBitArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQBitArray", ""}).(*QBitArray)
}

func NewQBitArray2(size int, value bool) *QBitArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQBitArray2", "", size, value}).(*QBitArray)
}

func NewQBitArray3(other QBitArray_ITF) *QBitArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQBitArray3", "", other}).(*QBitArray)
}

func NewQBitArray4(other QBitArray_ITF) *QBitArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQBitArray4", "", other}).(*QBitArray)
}

func (ptr *QBitArray) At(i int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "At", i}).(bool)
}

func (ptr *QBitArray) Bits() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bits"}).(string)
}

func (ptr *QBitArray) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QBitArray) ClearBit(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearBit", i})
}

func (ptr *QBitArray) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QBitArray) Count2(on bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count2", on}).(float64))
}

func (ptr *QBitArray) Fill(value bool, size int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Fill", value, size}).(bool)
}

func (ptr *QBitArray) Fill2(value bool, begin int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Fill2", value, begin, end})
}

func (ptr *QBitArray) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QBitArray) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QBitArray) Resize(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resize", size})
}

func (ptr *QBitArray) SetBit(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBit", i})
}

func (ptr *QBitArray) SetBit2(i int, value bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBit2", i, value})
}

func (ptr *QBitArray) Size() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

func (ptr *QBitArray) Swap(other QBitArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QBitArray) TestBit(i int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TestBit", i}).(bool)
}

func (ptr *QBitArray) ToggleBit(i int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToggleBit", i}).(bool)
}

func (ptr *QBitArray) Truncate(pos int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Truncate", pos})
}

type QBuffer struct {
	QIODevice
}

type QBuffer_ITF interface {
	QIODevice_ITF
	QBuffer_PTR() *QBuffer
}

func (ptr *QBuffer) QBuffer_PTR() *QBuffer {
	return ptr
}

func (ptr *QBuffer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QIODevice_PTR().Pointer()
	}
	return nil
}

func (ptr *QBuffer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QIODevice_PTR().SetPointer(p)
	}
}

func PointerFromQBuffer(ptr QBuffer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QBuffer_PTR().Pointer()
	}
	return nil
}

func (n *QBuffer) InitFromInternal(ptr uintptr, name string) {
	n.QIODevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QBuffer) ClassNameInternalF() string {
	return n.QIODevice_PTR().ClassNameInternalF()
}

func NewQBufferFromPointer(ptr unsafe.Pointer) (n *QBuffer) {
	n = new(QBuffer)
	n.InitFromInternal(uintptr(ptr), "core.QBuffer")
	return
}
func NewQBuffer(parent QObject_ITF) *QBuffer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQBuffer", "", parent}).(*QBuffer)
}

func NewQBuffer2(byteArray QByteArray_ITF, parent QObject_ITF) *QBuffer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQBuffer2", "", byteArray, parent}).(*QBuffer)
}

func (ptr *QBuffer) Buffer() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Buffer"}).(*QByteArray)
}

func (ptr *QBuffer) Buffer2() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Buffer2"}).(*QByteArray)
}

func (ptr *QBuffer) Data() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data"}).(*QByteArray)
}

func (ptr *QBuffer) ConnectReadData(f func(data *string, l int64) int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReadData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QBuffer) DisconnectReadData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReadData"})
}

func (ptr *QBuffer) ReadData(data *string, l int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadData", data, l}).(float64))
}

func (ptr *QBuffer) ReadDataDefault(data *string, l int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadDataDefault", data, l}).(float64))
}

func (ptr *QBuffer) SetBuffer(byteArray QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBuffer", byteArray})
}

func (ptr *QBuffer) SetData(data QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData", data})
}

func (ptr *QBuffer) SetData2(data []byte, size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData2", data, size})
}

func (ptr *QBuffer) ConnectWriteData(f func(data []byte, l int64) int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWriteData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QBuffer) DisconnectWriteData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWriteData"})
}

func (ptr *QBuffer) WriteData(data []byte, l int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteData", data, l}).(float64))
}

func (ptr *QBuffer) WriteDataDefault(data []byte, l int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteDataDefault", data, l}).(float64))
}

func (ptr *QBuffer) ConnectDestroyQBuffer(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQBuffer", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QBuffer) DisconnectDestroyQBuffer() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQBuffer"})
}

func (ptr *QBuffer) DestroyQBuffer() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQBuffer"})
}

func (ptr *QBuffer) DestroyQBufferDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQBufferDefault"})
}

type QByteArray struct {
	internal.Internal
}

type QByteArray_ITF interface {
	QByteArray_PTR() *QByteArray
}

func (ptr *QByteArray) QByteArray_PTR() *QByteArray {
	return ptr
}

func (ptr *QByteArray) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QByteArray) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQByteArray(ptr QByteArray_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QByteArray_PTR().Pointer()
	}
	return nil
}

func (n *QByteArray) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQByteArrayFromPointer(ptr unsafe.Pointer) (n *QByteArray) {
	n = new(QByteArray)
	n.InitFromInternal(uintptr(ptr), "core.QByteArray")
	return
}

//go:generate stringer -type=QByteArray__Base64Option
//QByteArray::Base64Option
type QByteArray__Base64Option int64

const (
	QByteArray__Base64Encoding     QByteArray__Base64Option = QByteArray__Base64Option(0)
	QByteArray__Base64UrlEncoding  QByteArray__Base64Option = QByteArray__Base64Option(1)
	QByteArray__KeepTrailingEquals QByteArray__Base64Option = QByteArray__Base64Option(0)
	QByteArray__OmitTrailingEquals QByteArray__Base64Option = QByteArray__Base64Option(2)
)

func NewQByteArray() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQByteArray", ""}).(*QByteArray)
}

func NewQByteArray2(data string, size int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQByteArray2", "", data, size}).(*QByteArray)
}

func NewQByteArray3(size int, ch string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQByteArray3", "", size, ch}).(*QByteArray)
}

func NewQByteArray4(other QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQByteArray4", "", other}).(*QByteArray)
}

func (ptr *QByteArray) Append(ba QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Append", ba}).(*QByteArray)
}

func (ptr *QByteArray) Append2(ch string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Append2", ch}).(*QByteArray)
}

func (ptr *QByteArray) Append3(count int, ch string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Append3", count, ch}).(*QByteArray)
}

func (ptr *QByteArray) Append4(str string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Append4", str}).(*QByteArray)
}

func (ptr *QByteArray) Append5(str string, l int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Append5", str, l}).(*QByteArray)
}

func (ptr *QByteArray) Append6(str string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Append6", str}).(*QByteArray)
}

func (ptr *QByteArray) At(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "At", i}).(string)
}

func (ptr *QByteArray) Back() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Back"}).(string)
}

func (ptr *QByteArray) Capacity() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Capacity"}).(float64))
}

func (ptr *QByteArray) Chop(n int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Chop", n})
}

func (ptr *QByteArray) Chopped(l int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Chopped", l}).(*QByteArray)
}

func (ptr *QByteArray) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QByteArray) Compare(c string, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Compare", c, cs}).(float64))
}

func (ptr *QByteArray) Compare2(a QByteArray_ITF, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Compare2", a, cs}).(float64))
}

func (ptr *QByteArray) ConstData() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConstData"}).(string)
}

func (ptr *QByteArray) Contains(ba QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", ba}).(bool)
}

func (ptr *QByteArray) Contains2(ch string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains2", ch}).(bool)
}

func (ptr *QByteArray) Contains3(str string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains3", str}).(bool)
}

func (ptr *QByteArray) Count(ba QByteArray_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count", ba}).(float64))
}

func (ptr *QByteArray) Count2(ch string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count2", ch}).(float64))
}

func (ptr *QByteArray) Count3(str string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count3", str}).(float64))
}

func (ptr *QByteArray) Count4() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count4"}).(float64))
}

func (ptr *QByteArray) Data() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data"}).(string)
}

func (ptr *QByteArray) Data2() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data2"}).(string)
}

func (ptr *QByteArray) EndsWith(ba QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith", ba}).(bool)
}

func (ptr *QByteArray) EndsWith2(ch string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith2", ch}).(bool)
}

func (ptr *QByteArray) EndsWith3(str string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith3", str}).(bool)
}

func (ptr *QByteArray) Fill(ch string, size int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Fill", ch, size}).(*QByteArray)
}

func QByteArray_FromBase64(base64 QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_FromBase64", "", base64}).(*QByteArray)
}

func (ptr *QByteArray) FromBase64(base64 QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_FromBase64", "", base64}).(*QByteArray)
}

func QByteArray_FromBase642(base64 QByteArray_ITF, options QByteArray__Base64Option) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_FromBase642", "", base64, options}).(*QByteArray)
}

func (ptr *QByteArray) FromBase642(base64 QByteArray_ITF, options QByteArray__Base64Option) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_FromBase642", "", base64, options}).(*QByteArray)
}

func QByteArray_FromHex(hexEncoded QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_FromHex", "", hexEncoded}).(*QByteArray)
}

func (ptr *QByteArray) FromHex(hexEncoded QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_FromHex", "", hexEncoded}).(*QByteArray)
}

func QByteArray_FromPercentEncoding(input QByteArray_ITF, percent string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_FromPercentEncoding", "", input, percent}).(*QByteArray)
}

func (ptr *QByteArray) FromPercentEncoding(input QByteArray_ITF, percent string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_FromPercentEncoding", "", input, percent}).(*QByteArray)
}

func QByteArray_FromRawData(data []byte, size int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_FromRawData", "", data, size}).(*QByteArray)
}

func (ptr *QByteArray) FromRawData(data []byte, size int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_FromRawData", "", data, size}).(*QByteArray)
}

func (ptr *QByteArray) Front() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Front"}).(string)
}

func (ptr *QByteArray) IndexOf(ba QByteArray_ITF, from int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOf", ba, from}).(float64))
}

func (ptr *QByteArray) IndexOf2(ch string, from int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOf2", ch, from}).(float64))
}

func (ptr *QByteArray) IndexOf3(str string, from int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOf3", str, from}).(float64))
}

func (ptr *QByteArray) IndexOf4(str string, from int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOf4", str, from}).(float64))
}

func (ptr *QByteArray) Insert(i int, ba QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Insert", i, ba}).(*QByteArray)
}

func (ptr *QByteArray) Insert2(i int, ch string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Insert2", i, ch}).(*QByteArray)
}

func (ptr *QByteArray) Insert3(i int, count int, ch string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Insert3", i, count, ch}).(*QByteArray)
}

func (ptr *QByteArray) Insert4(i int, str string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Insert4", i, str}).(*QByteArray)
}

func (ptr *QByteArray) Insert5(i int, str string, l int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Insert5", i, str, l}).(*QByteArray)
}

func (ptr *QByteArray) Insert6(i int, str string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Insert6", i, str}).(*QByteArray)
}

func (ptr *QByteArray) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QByteArray) IsLower() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLower"}).(bool)
}

func (ptr *QByteArray) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QByteArray) IsUpper() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsUpper"}).(bool)
}

func (ptr *QByteArray) LastIndexOf(ba QByteArray_ITF, from int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastIndexOf", ba, from}).(float64))
}

func (ptr *QByteArray) LastIndexOf2(ch string, from int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastIndexOf2", ch, from}).(float64))
}

func (ptr *QByteArray) LastIndexOf3(str string, from int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastIndexOf3", str, from}).(float64))
}

func (ptr *QByteArray) LastIndexOf4(str string, from int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastIndexOf4", str, from}).(float64))
}

func (ptr *QByteArray) Left(l int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Left", l}).(*QByteArray)
}

func (ptr *QByteArray) LeftJustified(width int, fill string, truncate bool) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LeftJustified", width, fill, truncate}).(*QByteArray)
}

func (ptr *QByteArray) Length() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Length"}).(float64))
}

func (ptr *QByteArray) Mid(pos int, l int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mid", pos, l}).(*QByteArray)
}

func QByteArray_Number(n int, base int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_Number", "", n, base}).(*QByteArray)
}

func (ptr *QByteArray) Number(n int, base int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_Number", "", n, base}).(*QByteArray)
}

func QByteArray_Number2(n uint, base int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_Number2", "", n, base}).(*QByteArray)
}

func (ptr *QByteArray) Number2(n uint, base int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_Number2", "", n, base}).(*QByteArray)
}

func QByteArray_Number3(n int64, base int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_Number3", "", n, base}).(*QByteArray)
}

func (ptr *QByteArray) Number3(n int64, base int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_Number3", "", n, base}).(*QByteArray)
}

func QByteArray_Number4(n uint64, base int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_Number4", "", n, base}).(*QByteArray)
}

func (ptr *QByteArray) Number4(n uint64, base int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_Number4", "", n, base}).(*QByteArray)
}

func QByteArray_Number5(n float64, ff string, prec int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_Number5", "", n, ff, prec}).(*QByteArray)
}

func (ptr *QByteArray) Number5(n float64, ff string, prec int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QByteArray_Number5", "", n, ff, prec}).(*QByteArray)
}

func (ptr *QByteArray) Prepend(ba QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Prepend", ba}).(*QByteArray)
}

func (ptr *QByteArray) Prepend2(ch string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Prepend2", ch}).(*QByteArray)
}

func (ptr *QByteArray) Prepend3(count int, ch string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Prepend3", count, ch}).(*QByteArray)
}

func (ptr *QByteArray) Prepend4(str string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Prepend4", str}).(*QByteArray)
}

func (ptr *QByteArray) Prepend5(str string, l int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Prepend5", str, l}).(*QByteArray)
}

func (ptr *QByteArray) Push_back(other QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Push_back", other})
}

func (ptr *QByteArray) Push_back2(ch string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Push_back2", ch})
}

func (ptr *QByteArray) Push_back3(str string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Push_back3", str})
}

func (ptr *QByteArray) Push_front(other QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Push_front", other})
}

func (ptr *QByteArray) Push_front2(ch string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Push_front2", ch})
}

func (ptr *QByteArray) Push_front3(str string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Push_front3", str})
}

func (ptr *QByteArray) Remove(pos int, l int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove", pos, l}).(*QByteArray)
}

func (ptr *QByteArray) Repeated(times int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Repeated", times}).(*QByteArray)
}

func (ptr *QByteArray) Replace(pos int, l int, after QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace", pos, l, after}).(*QByteArray)
}

func (ptr *QByteArray) Replace2(pos int, l int, after string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace2", pos, l, after}).(*QByteArray)
}

func (ptr *QByteArray) Replace3(pos int, l int, after string, alen int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace3", pos, l, after, alen}).(*QByteArray)
}

func (ptr *QByteArray) Replace4(before string, after string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace4", before, after}).(*QByteArray)
}

func (ptr *QByteArray) Replace5(before string, after QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace5", before, after}).(*QByteArray)
}

func (ptr *QByteArray) Replace6(before string, after string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace6", before, after}).(*QByteArray)
}

func (ptr *QByteArray) Replace7(before string, bsize int, after string, asize int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace7", before, bsize, after, asize}).(*QByteArray)
}

func (ptr *QByteArray) Replace8(before QByteArray_ITF, after QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace8", before, after}).(*QByteArray)
}

func (ptr *QByteArray) Replace9(before QByteArray_ITF, after string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace9", before, after}).(*QByteArray)
}

func (ptr *QByteArray) Replace10(before string, after QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace10", before, after}).(*QByteArray)
}

func (ptr *QByteArray) Replace11(before string, after string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace11", before, after}).(*QByteArray)
}

func (ptr *QByteArray) Replace12(before string, after string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace12", before, after}).(*QByteArray)
}

func (ptr *QByteArray) Replace13(before string, after string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace13", before, after}).(*QByteArray)
}

func (ptr *QByteArray) Replace14(before string, after QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace14", before, after}).(*QByteArray)
}

func (ptr *QByteArray) Reserve(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reserve", size})
}

func (ptr *QByteArray) Resize(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resize", size})
}

func (ptr *QByteArray) Right(l int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Right", l}).(*QByteArray)
}

func (ptr *QByteArray) RightJustified(width int, fill string, truncate bool) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RightJustified", width, fill, truncate}).(*QByteArray)
}

func (ptr *QByteArray) SetNum(n int, base int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNum", n, base}).(*QByteArray)
}

func (ptr *QByteArray) SetNum2(n int16, base int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNum2", n, base}).(*QByteArray)
}

func (ptr *QByteArray) SetNum3(n uint16, base int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNum3", n, base}).(*QByteArray)
}

func (ptr *QByteArray) SetNum4(n uint, base int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNum4", n, base}).(*QByteArray)
}

func (ptr *QByteArray) SetNum5(n int64, base int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNum5", n, base}).(*QByteArray)
}

func (ptr *QByteArray) SetNum6(n uint64, base int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNum6", n, base}).(*QByteArray)
}

func (ptr *QByteArray) SetNum7(n float32, ff string, prec int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNum7", n, ff, prec}).(*QByteArray)
}

func (ptr *QByteArray) SetNum8(n float64, ff string, prec int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNum8", n, ff, prec}).(*QByteArray)
}

func (ptr *QByteArray) SetRawData(data []byte, size uint) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRawData", data, size}).(*QByteArray)
}

func (ptr *QByteArray) Shrink_to_fit() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shrink_to_fit"})
}

func (ptr *QByteArray) Simplified() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Simplified"}).(*QByteArray)
}

func (ptr *QByteArray) Size() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

func (ptr *QByteArray) Split(sep string) []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Split", sep}).([]*QByteArray)
}

func (ptr *QByteArray) Squeeze() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Squeeze"})
}

func (ptr *QByteArray) StartsWith(ba QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith", ba}).(bool)
}

func (ptr *QByteArray) StartsWith2(ch string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith2", ch}).(bool)
}

func (ptr *QByteArray) StartsWith3(str string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith3", str}).(bool)
}

func (ptr *QByteArray) Swap(other QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QByteArray) ToBase64() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToBase64"}).(*QByteArray)
}

func (ptr *QByteArray) ToBase642(options QByteArray__Base64Option) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToBase642", options}).(*QByteArray)
}

func (ptr *QByteArray) ToDouble(ok *bool) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToDouble", ok}).(float64)
}

func (ptr *QByteArray) ToFloat(ok *bool) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToFloat", ok}).(float32)
}

func (ptr *QByteArray) ToHex() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToHex"}).(*QByteArray)
}

func (ptr *QByteArray) ToHex2(separator string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToHex2", separator}).(*QByteArray)
}

func (ptr *QByteArray) ToInt(ok *bool, base int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToInt", ok, base}).(float64))
}

func (ptr *QByteArray) ToLong(ok *bool, base int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLong", ok, base}).(float64))
}

func (ptr *QByteArray) ToLongLong(ok *bool, base int) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLongLong", ok, base}).(float64))
}

func (ptr *QByteArray) ToLower() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLower"}).(*QByteArray)
}

func (ptr *QByteArray) ToPercentEncoding(exclude QByteArray_ITF, include QByteArray_ITF, percent string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPercentEncoding", exclude, include, percent}).(*QByteArray)
}

func (ptr *QByteArray) ToShort(ok *bool, base int) int16 {

	return int16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToShort", ok, base}).(float64))
}

func (ptr *QByteArray) ToUInt(ok *bool, base int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUInt", ok, base}).(float64))
}

func (ptr *QByteArray) ToULong(ok *bool, base int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToULong", ok, base}).(float64))
}

func (ptr *QByteArray) ToULongLong(ok *bool, base int) uint64 {

	return uint64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToULongLong", ok, base}).(float64))
}

func (ptr *QByteArray) ToUShort(ok *bool, base int) uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUShort", ok, base}).(float64))
}

func (ptr *QByteArray) ToUpper() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUpper"}).(*QByteArray)
}

func (ptr *QByteArray) Trimmed() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Trimmed"}).(*QByteArray)
}

func (ptr *QByteArray) Truncate(pos int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Truncate", pos})
}

func (ptr *QByteArray) DestroyQByteArray() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQByteArray"})
}

func (ptr *QByteArray) __split_atList(i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__split_atList", i}).(*QByteArray)
}

func (ptr *QByteArray) __split_setList(i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__split_setList", i})
}

func (ptr *QByteArray) __split_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__split_newList"}).(unsafe.Pointer)
}

type QByteArrayList struct {
	internal.Internal
}

type QByteArrayList_ITF interface {
	QByteArrayList_PTR() *QByteArrayList
}

func (ptr *QByteArrayList) QByteArrayList_PTR() *QByteArrayList {
	return ptr
}

func (ptr *QByteArrayList) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QByteArrayList) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQByteArrayList(ptr QByteArrayList_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QByteArrayList_PTR().Pointer()
	}
	return nil
}

func (n *QByteArrayList) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQByteArrayListFromPointer(ptr unsafe.Pointer) (n *QByteArrayList) {
	n = new(QByteArrayList)
	n.InitFromInternal(uintptr(ptr), "core.QByteArrayList")
	return
}

func (ptr *QByteArrayList) DestroyQByteArrayList() {
}

func (ptr *QByteArrayList) IndexOf(needle string, from int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOf", needle, from}).(float64))
}

func (ptr *QByteArrayList) Join() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Join"}).(*QByteArray)
}

func (ptr *QByteArrayList) Join2(separator QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Join2", separator}).(*QByteArray)
}

func (ptr *QByteArrayList) Join3(separator string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Join3", separator}).(*QByteArray)
}

type QByteArrayMatcher struct {
	internal.Internal
}

type QByteArrayMatcher_ITF interface {
	QByteArrayMatcher_PTR() *QByteArrayMatcher
}

func (ptr *QByteArrayMatcher) QByteArrayMatcher_PTR() *QByteArrayMatcher {
	return ptr
}

func (ptr *QByteArrayMatcher) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QByteArrayMatcher) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQByteArrayMatcher(ptr QByteArrayMatcher_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QByteArrayMatcher_PTR().Pointer()
	}
	return nil
}

func (n *QByteArrayMatcher) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQByteArrayMatcherFromPointer(ptr unsafe.Pointer) (n *QByteArrayMatcher) {
	n = new(QByteArrayMatcher)
	n.InitFromInternal(uintptr(ptr), "core.QByteArrayMatcher")
	return
}
func NewQByteArrayMatcher() *QByteArrayMatcher {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQByteArrayMatcher", ""}).(*QByteArrayMatcher)
}

func NewQByteArrayMatcher2(pattern QByteArray_ITF) *QByteArrayMatcher {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQByteArrayMatcher2", "", pattern}).(*QByteArrayMatcher)
}

func NewQByteArrayMatcher3(pattern string, length int) *QByteArrayMatcher {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQByteArrayMatcher3", "", pattern, length}).(*QByteArrayMatcher)
}

func NewQByteArrayMatcher4(other QByteArrayMatcher_ITF) *QByteArrayMatcher {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQByteArrayMatcher4", "", other}).(*QByteArrayMatcher)
}

func (ptr *QByteArrayMatcher) IndexIn(ba QByteArray_ITF, from int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexIn", ba, from}).(float64))
}

func (ptr *QByteArrayMatcher) IndexIn2(str string, l int, from int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexIn2", str, l, from}).(float64))
}

func (ptr *QByteArrayMatcher) Pattern() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pattern"}).(*QByteArray)
}

func (ptr *QByteArrayMatcher) SetPattern(pattern QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPattern", pattern})
}

func (ptr *QByteArrayMatcher) DestroyQByteArrayMatcher() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQByteArrayMatcher"})
}

type QByteRef struct {
	internal.Internal
}

type QByteRef_ITF interface {
	QByteRef_PTR() *QByteRef
}

func (ptr *QByteRef) QByteRef_PTR() *QByteRef {
	return ptr
}

func (ptr *QByteRef) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QByteRef) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQByteRef(ptr QByteRef_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QByteRef_PTR().Pointer()
	}
	return nil
}

func (n *QByteRef) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQByteRefFromPointer(ptr unsafe.Pointer) (n *QByteRef) {
	n = new(QByteRef)
	n.InitFromInternal(uintptr(ptr), "core.QByteRef")
	return
}

func (ptr *QByteRef) DestroyQByteRef() {
}

type QCache struct {
	internal.Internal
}

type QCache_ITF interface {
	QCache_PTR() *QCache
}

func (ptr *QCache) QCache_PTR() *QCache {
	return ptr
}

func (ptr *QCache) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCache) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCache(ptr QCache_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCache_PTR().Pointer()
	}
	return nil
}

func (n *QCache) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCacheFromPointer(ptr unsafe.Pointer) (n *QCache) {
	n = new(QCache)
	n.InitFromInternal(uintptr(ptr), "core.QCache")
	return
}

type QCborArray struct {
	internal.Internal
}

type QCborArray_ITF interface {
	QCborArray_PTR() *QCborArray
}

func (ptr *QCborArray) QCborArray_PTR() *QCborArray {
	return ptr
}

func (ptr *QCborArray) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCborArray) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCborArray(ptr QCborArray_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCborArray_PTR().Pointer()
	}
	return nil
}

func (n *QCborArray) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCborArrayFromPointer(ptr unsafe.Pointer) (n *QCborArray) {
	n = new(QCborArray)
	n.InitFromInternal(uintptr(ptr), "core.QCborArray")
	return
}
func NewQCborArray() *QCborArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCborArray", ""}).(*QCborArray)
}

func NewQCborArray2(other QCborArray_ITF) *QCborArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCborArray2", "", other}).(*QCborArray)
}

func (ptr *QCborArray) Append(value QCborValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Append", value})
}

func (ptr *QCborArray) Append2(value QCborValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Append2", value})
}

func (ptr *QCborArray) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QCborArray) Compare(other QCborArray_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Compare", other}).(float64))
}

func (ptr *QCborArray) Contains(value QCborValue_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", value}).(bool)
}

func (ptr *QCborArray) Empty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Empty"}).(bool)
}

func (ptr *QCborArray) First() *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "First"}).(*QCborValue)
}

func QCborArray_FromJsonArray(array QJsonArray_ITF) *QCborArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCborArray_FromJsonArray", "", array}).(*QCborArray)
}

func (ptr *QCborArray) FromJsonArray(array QJsonArray_ITF) *QCborArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCborArray_FromJsonArray", "", array}).(*QCborArray)
}

func QCborArray_FromStringList(list []string) *QCborArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCborArray_FromStringList", "", list}).(*QCborArray)
}

func (ptr *QCborArray) FromStringList(list []string) *QCborArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCborArray_FromStringList", "", list}).(*QCborArray)
}

func QCborArray_FromVariantList(list []*QVariant) *QCborArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCborArray_FromVariantList", "", list}).(*QCborArray)
}

func (ptr *QCborArray) FromVariantList(list []*QVariant) *QCborArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCborArray_FromVariantList", "", list}).(*QCborArray)
}

func (ptr *QCborArray) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QCborArray) Last() *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Last"}).(*QCborValue)
}

func (ptr *QCborArray) Pop_back() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pop_back"})
}

func (ptr *QCborArray) Pop_front() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pop_front"})
}

func (ptr *QCborArray) Prepend(value QCborValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Prepend", value})
}

func (ptr *QCborArray) Prepend2(value QCborValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Prepend2", value})
}

func (ptr *QCborArray) Push_back(t QCborValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Push_back", t})
}

func (ptr *QCborArray) Push_front(t QCborValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Push_front", t})
}

func (ptr *QCborArray) RemoveFirst() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveFirst"})
}

func (ptr *QCborArray) RemoveLast() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveLast"})
}

func (ptr *QCborArray) Swap(other QCborArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QCborArray) TakeFirst() *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeFirst"}).(*QCborValue)
}

func (ptr *QCborArray) TakeLast() *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeLast"}).(*QCborValue)
}

func (ptr *QCborArray) ToCborValue() *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCborValue"}).(*QCborValue)
}

func (ptr *QCborArray) ToJsonArray() *QJsonArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToJsonArray"}).(*QJsonArray)
}

func (ptr *QCborArray) ToVariantList() []*QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariantList"}).([]*QVariant)
}

func (ptr *QCborArray) DestroyQCborArray() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCborArray"})
}

func (ptr *QCborArray) __fromVariantList_list_atList(i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromVariantList_list_atList", i}).(*QVariant)
}

func (ptr *QCborArray) __fromVariantList_list_setList(i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromVariantList_list_setList", i})
}

func (ptr *QCborArray) __fromVariantList_list_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromVariantList_list_newList"}).(unsafe.Pointer)
}

func (ptr *QCborArray) __toVariantList_atList(i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantList_atList", i}).(*QVariant)
}

func (ptr *QCborArray) __toVariantList_setList(i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantList_setList", i})
}

func (ptr *QCborArray) __toVariantList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantList_newList"}).(unsafe.Pointer)
}

type QCborError struct {
	internal.Internal
}

type QCborError_ITF interface {
	QCborError_PTR() *QCborError
}

func (ptr *QCborError) QCborError_PTR() *QCborError {
	return ptr
}

func (ptr *QCborError) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCborError) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCborError(ptr QCborError_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCborError_PTR().Pointer()
	}
	return nil
}

func (n *QCborError) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCborErrorFromPointer(ptr unsafe.Pointer) (n *QCborError) {
	n = new(QCborError)
	n.InitFromInternal(uintptr(ptr), "core.QCborError")
	return
}

func (ptr *QCborError) DestroyQCborError() {
}

//go:generate stringer -type=QCborError__Code
//QCborError::Code
type QCborError__Code int64

const (
	QCborError__UnknownError      QCborError__Code = QCborError__Code(1)
	QCborError__AdvancePastEnd    QCborError__Code = QCborError__Code(3)
	QCborError__InputOutputError  QCborError__Code = QCborError__Code(4)
	QCborError__GarbageAtEnd      QCborError__Code = QCborError__Code(256)
	QCborError__EndOfFile         QCborError__Code = QCborError__Code(257)
	QCborError__UnexpectedBreak   QCborError__Code = QCborError__Code(258)
	QCborError__UnknownType       QCborError__Code = QCborError__Code(259)
	QCborError__IllegalType       QCborError__Code = QCborError__Code(260)
	QCborError__IllegalNumber     QCborError__Code = QCborError__Code(261)
	QCborError__IllegalSimpleType QCborError__Code = QCborError__Code(262)
	QCborError__InvalidUtf8String QCborError__Code = QCborError__Code(516)
	QCborError__DataTooLarge      QCborError__Code = QCborError__Code(1024)
	QCborError__NestingTooDeep    QCborError__Code = QCborError__Code(1025)
	QCborError__UnsupportedType   QCborError__Code = QCborError__Code(1026)
	QCborError__NoError           QCborError__Code = QCborError__Code(0)
)

func (ptr *QCborError) ToString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString"}).(string)
}

type QCborMap struct {
	internal.Internal
}

type QCborMap_ITF interface {
	QCborMap_PTR() *QCborMap
}

func (ptr *QCborMap) QCborMap_PTR() *QCborMap {
	return ptr
}

func (ptr *QCborMap) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCborMap) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCborMap(ptr QCborMap_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCborMap_PTR().Pointer()
	}
	return nil
}

func (n *QCborMap) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCborMapFromPointer(ptr unsafe.Pointer) (n *QCborMap) {
	n = new(QCborMap)
	n.InitFromInternal(uintptr(ptr), "core.QCborMap")
	return
}
func NewQCborMap() *QCborMap {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCborMap", ""}).(*QCborMap)
}

func NewQCborMap2(other QCborMap_ITF) *QCborMap {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCborMap2", "", other}).(*QCborMap)
}

func (ptr *QCborMap) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QCborMap) Compare(other QCborMap_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Compare", other}).(float64))
}

func (ptr *QCborMap) Contains(key int64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", key}).(bool)
}

func (ptr *QCborMap) Contains2(key QLatin1String_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains2", key}).(bool)
}

func (ptr *QCborMap) Contains3(key string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains3", key}).(bool)
}

func (ptr *QCborMap) Contains4(key QCborValue_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains4", key}).(bool)
}

func (ptr *QCborMap) Empty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Empty"}).(bool)
}

func QCborMap_FromJsonObject(obj QJsonObject_ITF) *QCborMap {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCborMap_FromJsonObject", "", obj}).(*QCborMap)
}

func (ptr *QCborMap) FromJsonObject(obj QJsonObject_ITF) *QCborMap {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCborMap_FromJsonObject", "", obj}).(*QCborMap)
}

func QCborMap_FromVariantHash(hash map[string]*QVariant) *QCborMap {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCborMap_FromVariantHash", "", hash}).(*QCborMap)
}

func (ptr *QCborMap) FromVariantHash(hash map[string]*QVariant) *QCborMap {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCborMap_FromVariantHash", "", hash}).(*QCborMap)
}

func (ptr *QCborMap) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QCborMap) Keys() []*QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Keys"}).([]*QCborValue)
}

func (ptr *QCborMap) Remove(key int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove", key})
}

func (ptr *QCborMap) Remove2(key QLatin1String_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove2", key})
}

func (ptr *QCborMap) Remove3(key string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove3", key})
}

func (ptr *QCborMap) Remove4(key QCborValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove4", key})
}

func (ptr *QCborMap) Swap(other QCborMap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QCborMap) Take(key int64) *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Take", key}).(*QCborValue)
}

func (ptr *QCborMap) Take2(key QLatin1String_ITF) *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Take2", key}).(*QCborValue)
}

func (ptr *QCborMap) Take3(key string) *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Take3", key}).(*QCborValue)
}

func (ptr *QCborMap) Take4(key QCborValue_ITF) *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Take4", key}).(*QCborValue)
}

func (ptr *QCborMap) ToCborValue() *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCborValue"}).(*QCborValue)
}

func (ptr *QCborMap) ToJsonObject() *QJsonObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToJsonObject"}).(*QJsonObject)
}

func (ptr *QCborMap) ToVariantHash() map[string]*QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariantHash"}).(map[string]*QVariant)
}

func (ptr *QCborMap) ToVariantMap() map[string]*QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariantMap"}).(map[string]*QVariant)
}

func (ptr *QCborMap) Value(key int64) *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value", key}).(*QCborValue)
}

func (ptr *QCborMap) Value2(key QLatin1String_ITF) *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value2", key}).(*QCborValue)
}

func (ptr *QCborMap) Value3(key string) *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value3", key}).(*QCborValue)
}

func (ptr *QCborMap) Value4(key QCborValue_ITF) *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value4", key}).(*QCborValue)
}

func (ptr *QCborMap) DestroyQCborMap() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCborMap"})
}

func (ptr *QCborMap) __fromVariantHash_hash_atList(v string, i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromVariantHash_hash_atList", v, i}).(*QVariant)
}

func (ptr *QCborMap) __fromVariantHash_hash_setList(key string, i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromVariantHash_hash_setList", key, i})
}

func (ptr *QCborMap) __fromVariantHash_hash_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromVariantHash_hash_newList"}).(unsafe.Pointer)
}

func (ptr *QCborMap) __fromVariantHash_hash_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromVariantHash_hash_keyList"}).([]string)
}

func (ptr *QCborMap) __keys_atList(i int) *QCborValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__keys_atList", i}).(*QCborValue)
}

func (ptr *QCborMap) __keys_setList(i QCborValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__keys_setList", i})
}

func (ptr *QCborMap) __keys_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__keys_newList"}).(unsafe.Pointer)
}

func (ptr *QCborMap) __toVariantHash_atList(v string, i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantHash_atList", v, i}).(*QVariant)
}

func (ptr *QCborMap) __toVariantHash_setList(key string, i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantHash_setList", key, i})
}

func (ptr *QCborMap) __toVariantHash_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantHash_newList"}).(unsafe.Pointer)
}

func (ptr *QCborMap) __toVariantHash_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantHash_keyList"}).([]string)
}

func (ptr *QCborMap) __toVariantMap_atList(v string, i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantMap_atList", v, i}).(*QVariant)
}

func (ptr *QCborMap) __toVariantMap_setList(key string, i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantMap_setList", key, i})
}

func (ptr *QCborMap) __toVariantMap_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantMap_newList"}).(unsafe.Pointer)
}

func (ptr *QCborMap) __toVariantMap_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantMap_keyList"}).([]string)
}

func (ptr *QCborMap) ____fromVariantHash_hash_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____fromVariantHash_hash_keyList_atList", i}).(string)
}

func (ptr *QCborMap) ____fromVariantHash_hash_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____fromVariantHash_hash_keyList_setList", i})
}

func (ptr *QCborMap) ____fromVariantHash_hash_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____fromVariantHash_hash_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QCborMap) ____fromVariantMap_map_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____fromVariantMap_map_keyList_atList", i}).(string)
}

func (ptr *QCborMap) ____fromVariantMap_map_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____fromVariantMap_map_keyList_setList", i})
}

func (ptr *QCborMap) ____fromVariantMap_map_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____fromVariantMap_map_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QCborMap) ____toVariantHash_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toVariantHash_keyList_atList", i}).(string)
}

func (ptr *QCborMap) ____toVariantHash_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toVariantHash_keyList_setList", i})
}

func (ptr *QCborMap) ____toVariantHash_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toVariantHash_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QCborMap) ____toVariantMap_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toVariantMap_keyList_atList", i}).(string)
}

func (ptr *QCborMap) ____toVariantMap_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toVariantMap_keyList_setList", i})
}

func (ptr *QCborMap) ____toVariantMap_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toVariantMap_keyList_newList"}).(unsafe.Pointer)
}

type QCborParserError struct {
	internal.Internal
}

type QCborParserError_ITF interface {
	QCborParserError_PTR() *QCborParserError
}

func (ptr *QCborParserError) QCborParserError_PTR() *QCborParserError {
	return ptr
}

func (ptr *QCborParserError) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCborParserError) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCborParserError(ptr QCborParserError_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCborParserError_PTR().Pointer()
	}
	return nil
}

func (n *QCborParserError) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCborParserErrorFromPointer(ptr unsafe.Pointer) (n *QCborParserError) {
	n = new(QCborParserError)
	n.InitFromInternal(uintptr(ptr), "core.QCborParserError")
	return
}

func (ptr *QCborParserError) DestroyQCborParserError() {
}

func (ptr *QCborParserError) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QCborParserError) Offset() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Offset"}).(float64))
}

func (ptr *QCborParserError) SetOffset(vqi int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffset", vqi})
}

func (ptr *QCborParserError) SetError(vqc QCborError_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetError", vqc})
}

type QCborStreamReader struct {
	internal.Internal
}

type QCborStreamReader_ITF interface {
	QCborStreamReader_PTR() *QCborStreamReader
}

func (ptr *QCborStreamReader) QCborStreamReader_PTR() *QCborStreamReader {
	return ptr
}

func (ptr *QCborStreamReader) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCborStreamReader) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCborStreamReader(ptr QCborStreamReader_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCborStreamReader_PTR().Pointer()
	}
	return nil
}

func (n *QCborStreamReader) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCborStreamReaderFromPointer(ptr unsafe.Pointer) (n *QCborStreamReader) {
	n = new(QCborStreamReader)
	n.InitFromInternal(uintptr(ptr), "core.QCborStreamReader")
	return
}

//go:generate stringer -type=QCborStreamReader__Type
//QCborStreamReader::Type
type QCborStreamReader__Type int64

const (
	QCborStreamReader__UnsignedInteger QCborStreamReader__Type = QCborStreamReader__Type(0x00)
	QCborStreamReader__NegativeInteger QCborStreamReader__Type = QCborStreamReader__Type(0x20)
	QCborStreamReader__ByteString      QCborStreamReader__Type = QCborStreamReader__Type(0x40)
	QCborStreamReader__ByteArray       QCborStreamReader__Type = QCborStreamReader__Type(QCborStreamReader__ByteString)
	QCborStreamReader__TextString      QCborStreamReader__Type = QCborStreamReader__Type(0x60)
	QCborStreamReader__String          QCborStreamReader__Type = QCborStreamReader__Type(QCborStreamReader__TextString)
	QCborStreamReader__Array           QCborStreamReader__Type = QCborStreamReader__Type(0x80)
	QCborStreamReader__Map             QCborStreamReader__Type = QCborStreamReader__Type(0xa0)
	QCborStreamReader__Tag             QCborStreamReader__Type = QCborStreamReader__Type(0xc0)
	QCborStreamReader__SimpleType      QCborStreamReader__Type = QCborStreamReader__Type(0xe0)
	QCborStreamReader__HalfFloat       QCborStreamReader__Type = QCborStreamReader__Type(0xf9)
	QCborStreamReader__Float16         QCborStreamReader__Type = QCborStreamReader__Type(QCborStreamReader__HalfFloat)
	QCborStreamReader__Float           QCborStreamReader__Type = QCborStreamReader__Type(0xfa)
	QCborStreamReader__Double          QCborStreamReader__Type = QCborStreamReader__Type(0xfb)
	QCborStreamReader__Invalid         QCborStreamReader__Type = QCborStreamReader__Type(0xff)
)

//go:generate stringer -type=QCborStreamReader__StringResultCode
//QCborStreamReader::StringResultCode
type QCborStreamReader__StringResultCode int64

const (
	QCborStreamReader__EndOfString QCborStreamReader__StringResultCode = QCborStreamReader__StringResultCode(0)
	QCborStreamReader__Ok          QCborStreamReader__StringResultCode = QCborStreamReader__StringResultCode(1)
	QCborStreamReader__Error       QCborStreamReader__StringResultCode = QCborStreamReader__StringResultCode(-1)
)

type QCborStreamWriter struct {
	internal.Internal
}

type QCborStreamWriter_ITF interface {
	QCborStreamWriter_PTR() *QCborStreamWriter
}

func (ptr *QCborStreamWriter) QCborStreamWriter_PTR() *QCborStreamWriter {
	return ptr
}

func (ptr *QCborStreamWriter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCborStreamWriter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCborStreamWriter(ptr QCborStreamWriter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCborStreamWriter_PTR().Pointer()
	}
	return nil
}

func (n *QCborStreamWriter) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCborStreamWriterFromPointer(ptr unsafe.Pointer) (n *QCborStreamWriter) {
	n = new(QCborStreamWriter)
	n.InitFromInternal(uintptr(ptr), "core.QCborStreamWriter")
	return
}

type QCborValue struct {
	internal.Internal
}

type QCborValue_ITF interface {
	QCborValue_PTR() *QCborValue
}

func (ptr *QCborValue) QCborValue_PTR() *QCborValue {
	return ptr
}

func (ptr *QCborValue) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCborValue) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCborValue(ptr QCborValue_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCborValue_PTR().Pointer()
	}
	return nil
}

func (n *QCborValue) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCborValueFromPointer(ptr unsafe.Pointer) (n *QCborValue) {
	n = new(QCborValue)
	n.InitFromInternal(uintptr(ptr), "core.QCborValue")
	return
}

//go:generate stringer -type=QCborValue__EncodingOption
//QCborValue::EncodingOption
type QCborValue__EncodingOption int64

const (
	QCborValue__SortKeysInMaps   QCborValue__EncodingOption = QCborValue__EncodingOption(0x01)
	QCborValue__UseFloat         QCborValue__EncodingOption = QCborValue__EncodingOption(0x02)
	QCborValue__UseFloat16       QCborValue__EncodingOption = QCborValue__EncodingOption(QCborValue__UseFloat | 0x04)
	QCborValue__UseIntegers      QCborValue__EncodingOption = QCborValue__EncodingOption(0x08)
	QCborValue__NoTransformation QCborValue__EncodingOption = QCborValue__EncodingOption(0)
)

//go:generate stringer -type=QCborValue__DiagnosticNotationOption
//QCborValue::DiagnosticNotationOption
type QCborValue__DiagnosticNotationOption int64

const (
	QCborValue__Compact        QCborValue__DiagnosticNotationOption = QCborValue__DiagnosticNotationOption(0x00)
	QCborValue__LineWrapped    QCborValue__DiagnosticNotationOption = QCborValue__DiagnosticNotationOption(0x01)
	QCborValue__ExtendedFormat QCborValue__DiagnosticNotationOption = QCborValue__DiagnosticNotationOption(0x02)
)

//go:generate stringer -type=QCborValue__Type
//QCborValue::Type
type QCborValue__Type int64

var (
	QCborValue__Integer           QCborValue__Type = QCborValue__Type(0x00)
	QCborValue__ByteArray         QCborValue__Type = QCborValue__Type(0x40)
	QCborValue__String            QCborValue__Type = QCborValue__Type(0x60)
	QCborValue__Array             QCborValue__Type = QCborValue__Type(0x80)
	QCborValue__Map               QCborValue__Type = QCborValue__Type(0xa0)
	QCborValue__Tag               QCborValue__Type = QCborValue__Type(0xc0)
	QCborValue__SimpleType        QCborValue__Type = QCborValue__Type(0x100)
	QCborValue__False             QCborValue__Type = QCborValue__Type(0)
	QCborValue__True              QCborValue__Type = QCborValue__Type(0)
	QCborValue__Null              QCborValue__Type = QCborValue__Type(0)
	QCborValue__Undefined         QCborValue__Type = QCborValue__Type(0)
	QCborValue__Double            QCborValue__Type = QCborValue__Type(0x202)
	QCborValue__DateTime          QCborValue__Type = QCborValue__Type(0x10000)
	QCborValue__Url               QCborValue__Type = QCborValue__Type(0x10020)
	QCborValue__RegularExpression QCborValue__Type = QCborValue__Type(0x10023)
	QCborValue__Uuid              QCborValue__Type = QCborValue__Type(0x10025)
	QCborValue__Invalid           QCborValue__Type = QCborValue__Type(-1)
)

type QCborValueRef struct {
	internal.Internal
}

type QCborValueRef_ITF interface {
	QCborValueRef_PTR() *QCborValueRef
}

func (ptr *QCborValueRef) QCborValueRef_PTR() *QCborValueRef {
	return ptr
}

func (ptr *QCborValueRef) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCborValueRef) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCborValueRef(ptr QCborValueRef_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCborValueRef_PTR().Pointer()
	}
	return nil
}

func (n *QCborValueRef) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCborValueRefFromPointer(ptr unsafe.Pointer) (n *QCborValueRef) {
	n = new(QCborValueRef)
	n.InitFromInternal(uintptr(ptr), "core.QCborValueRef")
	return
}

func (ptr *QCborValueRef) DestroyQCborValueRef() {
}

type QChar struct {
	internal.Internal
}

type QChar_ITF interface {
	QChar_PTR() *QChar
}

func (ptr *QChar) QChar_PTR() *QChar {
	return ptr
}

func (ptr *QChar) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QChar) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQChar(ptr QChar_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QChar_PTR().Pointer()
	}
	return nil
}

func (n *QChar) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCharFromPointer(ptr unsafe.Pointer) (n *QChar) {
	n = new(QChar)
	n.InitFromInternal(uintptr(ptr), "core.QChar")
	return
}

func (ptr *QChar) DestroyQChar() {
}

//go:generate stringer -type=QChar__SpecialCharacter
//QChar::SpecialCharacter
type QChar__SpecialCharacter int64

const (
	QChar__Null                       QChar__SpecialCharacter = QChar__SpecialCharacter(0x0000)
	QChar__Tabulation                 QChar__SpecialCharacter = QChar__SpecialCharacter(0x0009)
	QChar__LineFeed                   QChar__SpecialCharacter = QChar__SpecialCharacter(0x000a)
	QChar__CarriageReturn             QChar__SpecialCharacter = QChar__SpecialCharacter(0x000d)
	QChar__Space                      QChar__SpecialCharacter = QChar__SpecialCharacter(0x0020)
	QChar__Nbsp                       QChar__SpecialCharacter = QChar__SpecialCharacter(0x00a0)
	QChar__SoftHyphen                 QChar__SpecialCharacter = QChar__SpecialCharacter(0x00ad)
	QChar__ReplacementCharacter       QChar__SpecialCharacter = QChar__SpecialCharacter(0xfffd)
	QChar__ObjectReplacementCharacter QChar__SpecialCharacter = QChar__SpecialCharacter(0xfffc)
	QChar__ByteOrderMark              QChar__SpecialCharacter = QChar__SpecialCharacter(0xfeff)
	QChar__ByteOrderSwapped           QChar__SpecialCharacter = QChar__SpecialCharacter(0xfffe)
	QChar__ParagraphSeparator         QChar__SpecialCharacter = QChar__SpecialCharacter(0x2029)
	QChar__LineSeparator              QChar__SpecialCharacter = QChar__SpecialCharacter(0x2028)
	QChar__LastValidCodePoint         QChar__SpecialCharacter = QChar__SpecialCharacter(0x10ffff)
)

//go:generate stringer -type=QChar__Category
//QChar::Category
type QChar__Category int64

const (
	QChar__Mark_NonSpacing          QChar__Category = QChar__Category(0)
	QChar__Mark_SpacingCombining    QChar__Category = QChar__Category(1)
	QChar__Mark_Enclosing           QChar__Category = QChar__Category(2)
	QChar__Number_DecimalDigit      QChar__Category = QChar__Category(3)
	QChar__Number_Letter            QChar__Category = QChar__Category(4)
	QChar__Number_Other             QChar__Category = QChar__Category(5)
	QChar__Separator_Space          QChar__Category = QChar__Category(6)
	QChar__Separator_Line           QChar__Category = QChar__Category(7)
	QChar__Separator_Paragraph      QChar__Category = QChar__Category(8)
	QChar__Other_Control            QChar__Category = QChar__Category(9)
	QChar__Other_Format             QChar__Category = QChar__Category(10)
	QChar__Other_Surrogate          QChar__Category = QChar__Category(11)
	QChar__Other_PrivateUse         QChar__Category = QChar__Category(12)
	QChar__Other_NotAssigned        QChar__Category = QChar__Category(13)
	QChar__Letter_Uppercase         QChar__Category = QChar__Category(14)
	QChar__Letter_Lowercase         QChar__Category = QChar__Category(15)
	QChar__Letter_Titlecase         QChar__Category = QChar__Category(16)
	QChar__Letter_Modifier          QChar__Category = QChar__Category(17)
	QChar__Letter_Other             QChar__Category = QChar__Category(18)
	QChar__Punctuation_Connector    QChar__Category = QChar__Category(19)
	QChar__Punctuation_Dash         QChar__Category = QChar__Category(20)
	QChar__Punctuation_Open         QChar__Category = QChar__Category(21)
	QChar__Punctuation_Close        QChar__Category = QChar__Category(22)
	QChar__Punctuation_InitialQuote QChar__Category = QChar__Category(23)
	QChar__Punctuation_FinalQuote   QChar__Category = QChar__Category(24)
	QChar__Punctuation_Other        QChar__Category = QChar__Category(25)
	QChar__Symbol_Math              QChar__Category = QChar__Category(26)
	QChar__Symbol_Currency          QChar__Category = QChar__Category(27)
	QChar__Symbol_Modifier          QChar__Category = QChar__Category(28)
	QChar__Symbol_Other             QChar__Category = QChar__Category(29)
)

//go:generate stringer -type=QChar__Script
//QChar::Script
type QChar__Script int64

const (
	QChar__Script_Unknown               QChar__Script = QChar__Script(0)
	QChar__Script_Inherited             QChar__Script = QChar__Script(1)
	QChar__Script_Common                QChar__Script = QChar__Script(2)
	QChar__Script_Latin                 QChar__Script = QChar__Script(3)
	QChar__Script_Greek                 QChar__Script = QChar__Script(4)
	QChar__Script_Cyrillic              QChar__Script = QChar__Script(5)
	QChar__Script_Armenian              QChar__Script = QChar__Script(6)
	QChar__Script_Hebrew                QChar__Script = QChar__Script(7)
	QChar__Script_Arabic                QChar__Script = QChar__Script(8)
	QChar__Script_Syriac                QChar__Script = QChar__Script(9)
	QChar__Script_Thaana                QChar__Script = QChar__Script(10)
	QChar__Script_Devanagari            QChar__Script = QChar__Script(11)
	QChar__Script_Bengali               QChar__Script = QChar__Script(12)
	QChar__Script_Gurmukhi              QChar__Script = QChar__Script(13)
	QChar__Script_Gujarati              QChar__Script = QChar__Script(14)
	QChar__Script_Oriya                 QChar__Script = QChar__Script(15)
	QChar__Script_Tamil                 QChar__Script = QChar__Script(16)
	QChar__Script_Telugu                QChar__Script = QChar__Script(17)
	QChar__Script_Kannada               QChar__Script = QChar__Script(18)
	QChar__Script_Malayalam             QChar__Script = QChar__Script(19)
	QChar__Script_Sinhala               QChar__Script = QChar__Script(20)
	QChar__Script_Thai                  QChar__Script = QChar__Script(21)
	QChar__Script_Lao                   QChar__Script = QChar__Script(22)
	QChar__Script_Tibetan               QChar__Script = QChar__Script(23)
	QChar__Script_Myanmar               QChar__Script = QChar__Script(24)
	QChar__Script_Georgian              QChar__Script = QChar__Script(25)
	QChar__Script_Hangul                QChar__Script = QChar__Script(26)
	QChar__Script_Ethiopic              QChar__Script = QChar__Script(27)
	QChar__Script_Cherokee              QChar__Script = QChar__Script(28)
	QChar__Script_CanadianAboriginal    QChar__Script = QChar__Script(29)
	QChar__Script_Ogham                 QChar__Script = QChar__Script(30)
	QChar__Script_Runic                 QChar__Script = QChar__Script(31)
	QChar__Script_Khmer                 QChar__Script = QChar__Script(32)
	QChar__Script_Mongolian             QChar__Script = QChar__Script(33)
	QChar__Script_Hiragana              QChar__Script = QChar__Script(34)
	QChar__Script_Katakana              QChar__Script = QChar__Script(35)
	QChar__Script_Bopomofo              QChar__Script = QChar__Script(36)
	QChar__Script_Han                   QChar__Script = QChar__Script(37)
	QChar__Script_Yi                    QChar__Script = QChar__Script(38)
	QChar__Script_OldItalic             QChar__Script = QChar__Script(39)
	QChar__Script_Gothic                QChar__Script = QChar__Script(40)
	QChar__Script_Deseret               QChar__Script = QChar__Script(41)
	QChar__Script_Tagalog               QChar__Script = QChar__Script(42)
	QChar__Script_Hanunoo               QChar__Script = QChar__Script(43)
	QChar__Script_Buhid                 QChar__Script = QChar__Script(44)
	QChar__Script_Tagbanwa              QChar__Script = QChar__Script(45)
	QChar__Script_Coptic                QChar__Script = QChar__Script(46)
	QChar__Script_Limbu                 QChar__Script = QChar__Script(47)
	QChar__Script_TaiLe                 QChar__Script = QChar__Script(48)
	QChar__Script_LinearB               QChar__Script = QChar__Script(49)
	QChar__Script_Ugaritic              QChar__Script = QChar__Script(50)
	QChar__Script_Shavian               QChar__Script = QChar__Script(51)
	QChar__Script_Osmanya               QChar__Script = QChar__Script(52)
	QChar__Script_Cypriot               QChar__Script = QChar__Script(53)
	QChar__Script_Braille               QChar__Script = QChar__Script(54)
	QChar__Script_Buginese              QChar__Script = QChar__Script(55)
	QChar__Script_NewTaiLue             QChar__Script = QChar__Script(56)
	QChar__Script_Glagolitic            QChar__Script = QChar__Script(57)
	QChar__Script_Tifinagh              QChar__Script = QChar__Script(58)
	QChar__Script_SylotiNagri           QChar__Script = QChar__Script(59)
	QChar__Script_OldPersian            QChar__Script = QChar__Script(60)
	QChar__Script_Kharoshthi            QChar__Script = QChar__Script(61)
	QChar__Script_Balinese              QChar__Script = QChar__Script(62)
	QChar__Script_Cuneiform             QChar__Script = QChar__Script(63)
	QChar__Script_Phoenician            QChar__Script = QChar__Script(64)
	QChar__Script_PhagsPa               QChar__Script = QChar__Script(65)
	QChar__Script_Nko                   QChar__Script = QChar__Script(66)
	QChar__Script_Sundanese             QChar__Script = QChar__Script(67)
	QChar__Script_Lepcha                QChar__Script = QChar__Script(68)
	QChar__Script_OlChiki               QChar__Script = QChar__Script(69)
	QChar__Script_Vai                   QChar__Script = QChar__Script(70)
	QChar__Script_Saurashtra            QChar__Script = QChar__Script(71)
	QChar__Script_KayahLi               QChar__Script = QChar__Script(72)
	QChar__Script_Rejang                QChar__Script = QChar__Script(73)
	QChar__Script_Lycian                QChar__Script = QChar__Script(74)
	QChar__Script_Carian                QChar__Script = QChar__Script(75)
	QChar__Script_Lydian                QChar__Script = QChar__Script(76)
	QChar__Script_Cham                  QChar__Script = QChar__Script(77)
	QChar__Script_TaiTham               QChar__Script = QChar__Script(78)
	QChar__Script_TaiViet               QChar__Script = QChar__Script(79)
	QChar__Script_Avestan               QChar__Script = QChar__Script(80)
	QChar__Script_EgyptianHieroglyphs   QChar__Script = QChar__Script(81)
	QChar__Script_Samaritan             QChar__Script = QChar__Script(82)
	QChar__Script_Lisu                  QChar__Script = QChar__Script(83)
	QChar__Script_Bamum                 QChar__Script = QChar__Script(84)
	QChar__Script_Javanese              QChar__Script = QChar__Script(85)
	QChar__Script_MeeteiMayek           QChar__Script = QChar__Script(86)
	QChar__Script_ImperialAramaic       QChar__Script = QChar__Script(87)
	QChar__Script_OldSouthArabian       QChar__Script = QChar__Script(88)
	QChar__Script_InscriptionalParthian QChar__Script = QChar__Script(89)
	QChar__Script_InscriptionalPahlavi  QChar__Script = QChar__Script(90)
	QChar__Script_OldTurkic             QChar__Script = QChar__Script(91)
	QChar__Script_Kaithi                QChar__Script = QChar__Script(92)
	QChar__Script_Batak                 QChar__Script = QChar__Script(93)
	QChar__Script_Brahmi                QChar__Script = QChar__Script(94)
	QChar__Script_Mandaic               QChar__Script = QChar__Script(95)
	QChar__Script_Chakma                QChar__Script = QChar__Script(96)
	QChar__Script_MeroiticCursive       QChar__Script = QChar__Script(97)
	QChar__Script_MeroiticHieroglyphs   QChar__Script = QChar__Script(98)
	QChar__Script_Miao                  QChar__Script = QChar__Script(99)
	QChar__Script_Sharada               QChar__Script = QChar__Script(100)
	QChar__Script_SoraSompeng           QChar__Script = QChar__Script(101)
	QChar__Script_Takri                 QChar__Script = QChar__Script(102)
	QChar__Script_CaucasianAlbanian     QChar__Script = QChar__Script(103)
	QChar__Script_BassaVah              QChar__Script = QChar__Script(104)
	QChar__Script_Duployan              QChar__Script = QChar__Script(105)
	QChar__Script_Elbasan               QChar__Script = QChar__Script(106)
	QChar__Script_Grantha               QChar__Script = QChar__Script(107)
	QChar__Script_PahawhHmong           QChar__Script = QChar__Script(108)
	QChar__Script_Khojki                QChar__Script = QChar__Script(109)
	QChar__Script_LinearA               QChar__Script = QChar__Script(110)
	QChar__Script_Mahajani              QChar__Script = QChar__Script(111)
	QChar__Script_Manichaean            QChar__Script = QChar__Script(112)
	QChar__Script_MendeKikakui          QChar__Script = QChar__Script(113)
	QChar__Script_Modi                  QChar__Script = QChar__Script(114)
	QChar__Script_Mro                   QChar__Script = QChar__Script(115)
	QChar__Script_OldNorthArabian       QChar__Script = QChar__Script(116)
	QChar__Script_Nabataean             QChar__Script = QChar__Script(117)
	QChar__Script_Palmyrene             QChar__Script = QChar__Script(118)
	QChar__Script_PauCinHau             QChar__Script = QChar__Script(119)
	QChar__Script_OldPermic             QChar__Script = QChar__Script(120)
	QChar__Script_PsalterPahlavi        QChar__Script = QChar__Script(121)
	QChar__Script_Siddham               QChar__Script = QChar__Script(122)
	QChar__Script_Khudawadi             QChar__Script = QChar__Script(123)
	QChar__Script_Tirhuta               QChar__Script = QChar__Script(124)
	QChar__Script_WarangCiti            QChar__Script = QChar__Script(125)
	QChar__Script_Ahom                  QChar__Script = QChar__Script(126)
	QChar__Script_AnatolianHieroglyphs  QChar__Script = QChar__Script(127)
	QChar__Script_Hatran                QChar__Script = QChar__Script(128)
	QChar__Script_Multani               QChar__Script = QChar__Script(129)
	QChar__Script_OldHungarian          QChar__Script = QChar__Script(130)
	QChar__Script_SignWriting           QChar__Script = QChar__Script(131)
	QChar__Script_Adlam                 QChar__Script = QChar__Script(132)
	QChar__Script_Bhaiksuki             QChar__Script = QChar__Script(133)
	QChar__Script_Marchen               QChar__Script = QChar__Script(134)
	QChar__Script_Newa                  QChar__Script = QChar__Script(135)
	QChar__Script_Osage                 QChar__Script = QChar__Script(136)
	QChar__Script_Tangut                QChar__Script = QChar__Script(137)
	QChar__Script_MasaramGondi          QChar__Script = QChar__Script(138)
	QChar__Script_Nushu                 QChar__Script = QChar__Script(139)
	QChar__Script_Soyombo               QChar__Script = QChar__Script(140)
	QChar__Script_ZanabazarSquare       QChar__Script = QChar__Script(141)
	QChar__ScriptCount                  QChar__Script = QChar__Script(142)
)

//go:generate stringer -type=QChar__Direction
//QChar::Direction
type QChar__Direction int64

const (
	QChar__DirL   QChar__Direction = QChar__Direction(0)
	QChar__DirR   QChar__Direction = QChar__Direction(1)
	QChar__DirEN  QChar__Direction = QChar__Direction(2)
	QChar__DirES  QChar__Direction = QChar__Direction(3)
	QChar__DirET  QChar__Direction = QChar__Direction(4)
	QChar__DirAN  QChar__Direction = QChar__Direction(5)
	QChar__DirCS  QChar__Direction = QChar__Direction(6)
	QChar__DirB   QChar__Direction = QChar__Direction(7)
	QChar__DirS   QChar__Direction = QChar__Direction(8)
	QChar__DirWS  QChar__Direction = QChar__Direction(9)
	QChar__DirON  QChar__Direction = QChar__Direction(10)
	QChar__DirLRE QChar__Direction = QChar__Direction(11)
	QChar__DirLRO QChar__Direction = QChar__Direction(12)
	QChar__DirAL  QChar__Direction = QChar__Direction(13)
	QChar__DirRLE QChar__Direction = QChar__Direction(14)
	QChar__DirRLO QChar__Direction = QChar__Direction(15)
	QChar__DirPDF QChar__Direction = QChar__Direction(16)
	QChar__DirNSM QChar__Direction = QChar__Direction(17)
	QChar__DirBN  QChar__Direction = QChar__Direction(18)
	QChar__DirLRI QChar__Direction = QChar__Direction(19)
	QChar__DirRLI QChar__Direction = QChar__Direction(20)
	QChar__DirFSI QChar__Direction = QChar__Direction(21)
	QChar__DirPDI QChar__Direction = QChar__Direction(22)
)

//go:generate stringer -type=QChar__Decomposition
//QChar::Decomposition
type QChar__Decomposition int64

const (
	QChar__NoDecomposition QChar__Decomposition = QChar__Decomposition(0)
	QChar__Canonical       QChar__Decomposition = QChar__Decomposition(1)
	QChar__Font            QChar__Decomposition = QChar__Decomposition(2)
	QChar__NoBreak         QChar__Decomposition = QChar__Decomposition(3)
	QChar__Initial         QChar__Decomposition = QChar__Decomposition(4)
	QChar__Medial          QChar__Decomposition = QChar__Decomposition(5)
	QChar__Final           QChar__Decomposition = QChar__Decomposition(6)
	QChar__Isolated        QChar__Decomposition = QChar__Decomposition(7)
	QChar__Circle          QChar__Decomposition = QChar__Decomposition(8)
	QChar__Super           QChar__Decomposition = QChar__Decomposition(9)
	QChar__Sub             QChar__Decomposition = QChar__Decomposition(10)
	QChar__Vertical        QChar__Decomposition = QChar__Decomposition(11)
	QChar__Wide            QChar__Decomposition = QChar__Decomposition(12)
	QChar__Narrow          QChar__Decomposition = QChar__Decomposition(13)
	QChar__Small           QChar__Decomposition = QChar__Decomposition(14)
	QChar__Square          QChar__Decomposition = QChar__Decomposition(15)
	QChar__Compat          QChar__Decomposition = QChar__Decomposition(16)
	QChar__Fraction        QChar__Decomposition = QChar__Decomposition(17)
)

//go:generate stringer -type=QChar__JoiningType
//QChar::JoiningType
type QChar__JoiningType int64

const (
	QChar__Joining_None        QChar__JoiningType = QChar__JoiningType(0)
	QChar__Joining_Causing     QChar__JoiningType = QChar__JoiningType(1)
	QChar__Joining_Dual        QChar__JoiningType = QChar__JoiningType(2)
	QChar__Joining_Right       QChar__JoiningType = QChar__JoiningType(3)
	QChar__Joining_Left        QChar__JoiningType = QChar__JoiningType(4)
	QChar__Joining_Transparent QChar__JoiningType = QChar__JoiningType(5)
)

//go:generate stringer -type=QChar__UnicodeVersion
//QChar::UnicodeVersion
type QChar__UnicodeVersion int64

const (
	QChar__Unicode_Unassigned QChar__UnicodeVersion = QChar__UnicodeVersion(0)
	QChar__Unicode_1_1        QChar__UnicodeVersion = QChar__UnicodeVersion(1)
	QChar__Unicode_2_0        QChar__UnicodeVersion = QChar__UnicodeVersion(2)
	QChar__Unicode_2_1_2      QChar__UnicodeVersion = QChar__UnicodeVersion(3)
	QChar__Unicode_3_0        QChar__UnicodeVersion = QChar__UnicodeVersion(4)
	QChar__Unicode_3_1        QChar__UnicodeVersion = QChar__UnicodeVersion(5)
	QChar__Unicode_3_2        QChar__UnicodeVersion = QChar__UnicodeVersion(6)
	QChar__Unicode_4_0        QChar__UnicodeVersion = QChar__UnicodeVersion(7)
	QChar__Unicode_4_1        QChar__UnicodeVersion = QChar__UnicodeVersion(8)
	QChar__Unicode_5_0        QChar__UnicodeVersion = QChar__UnicodeVersion(9)
	QChar__Unicode_5_1        QChar__UnicodeVersion = QChar__UnicodeVersion(10)
	QChar__Unicode_5_2        QChar__UnicodeVersion = QChar__UnicodeVersion(11)
	QChar__Unicode_6_0        QChar__UnicodeVersion = QChar__UnicodeVersion(12)
	QChar__Unicode_6_1        QChar__UnicodeVersion = QChar__UnicodeVersion(13)
	QChar__Unicode_6_2        QChar__UnicodeVersion = QChar__UnicodeVersion(14)
	QChar__Unicode_6_3        QChar__UnicodeVersion = QChar__UnicodeVersion(15)
	QChar__Unicode_7_0        QChar__UnicodeVersion = QChar__UnicodeVersion(16)
	QChar__Unicode_8_0        QChar__UnicodeVersion = QChar__UnicodeVersion(17)
	QChar__Unicode_9_0        QChar__UnicodeVersion = QChar__UnicodeVersion(18)
	QChar__Unicode_10_0       QChar__UnicodeVersion = QChar__UnicodeVersion(19)
)

func NewQChar() *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQChar", ""}).(*QChar)
}

func NewQChar2(code uint16) *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQChar2", "", code}).(*QChar)
}

func NewQChar3(cell string, row string) *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQChar3", "", cell, row}).(*QChar)
}

func NewQChar4(code int16) *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQChar4", "", code}).(*QChar)
}

func NewQChar5(code uint) *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQChar5", "", code}).(*QChar)
}

func NewQChar6(code int) *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQChar6", "", code}).(*QChar)
}

func NewQChar7(ch QChar__SpecialCharacter) *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQChar7", "", ch}).(*QChar)
}

func NewQChar8(ch QLatin1Char_ITF) *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQChar8", "", ch}).(*QChar)
}

func NewQChar11(ch string) *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQChar11", "", ch}).(*QChar)
}

func NewQChar12(ch string) *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQChar12", "", ch}).(*QChar)
}

func (ptr *QChar) Category() QChar__Category {

	return QChar__Category(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Category"}).(float64))
}

func QChar_Category2(ucs4 uint) QChar__Category {

	return QChar__Category(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_Category2", "", ucs4}).(float64))
}

func (ptr *QChar) Category2(ucs4 uint) QChar__Category {

	return QChar__Category(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_Category2", "", ucs4}).(float64))
}

func (ptr *QChar) Cell() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Cell"}).(string)
}

func QChar_CurrentUnicodeVersion() QChar__UnicodeVersion {

	return QChar__UnicodeVersion(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_CurrentUnicodeVersion", ""}).(float64))
}

func (ptr *QChar) CurrentUnicodeVersion() QChar__UnicodeVersion {

	return QChar__UnicodeVersion(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_CurrentUnicodeVersion", ""}).(float64))
}

func (ptr *QChar) Decomposition() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Decomposition"}).(string)
}

func QChar_Decomposition2(ucs4 uint) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_Decomposition2", "", ucs4}).(string)
}

func (ptr *QChar) Decomposition2(ucs4 uint) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_Decomposition2", "", ucs4}).(string)
}

func (ptr *QChar) DecompositionTag() QChar__Decomposition {

	return QChar__Decomposition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DecompositionTag"}).(float64))
}

func QChar_DecompositionTag2(ucs4 uint) QChar__Decomposition {

	return QChar__Decomposition(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_DecompositionTag2", "", ucs4}).(float64))
}

func (ptr *QChar) DecompositionTag2(ucs4 uint) QChar__Decomposition {

	return QChar__Decomposition(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_DecompositionTag2", "", ucs4}).(float64))
}

func (ptr *QChar) DigitValue() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DigitValue"}).(float64))
}

func QChar_DigitValue2(ucs4 uint) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_DigitValue2", "", ucs4}).(float64))
}

func (ptr *QChar) DigitValue2(ucs4 uint) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_DigitValue2", "", ucs4}).(float64))
}

func (ptr *QChar) Direction() QChar__Direction {

	return QChar__Direction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Direction"}).(float64))
}

func QChar_Direction2(ucs4 uint) QChar__Direction {

	return QChar__Direction(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_Direction2", "", ucs4}).(float64))
}

func (ptr *QChar) Direction2(ucs4 uint) QChar__Direction {

	return QChar__Direction(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_Direction2", "", ucs4}).(float64))
}

func QChar_FromLatin1(c string) *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_FromLatin1", "", c}).(*QChar)
}

func (ptr *QChar) FromLatin1(c string) *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_FromLatin1", "", c}).(*QChar)
}

func (ptr *QChar) HasMirrored() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasMirrored"}).(bool)
}

func QChar_HasMirrored2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_HasMirrored2", "", ucs4}).(bool)
}

func (ptr *QChar) HasMirrored2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_HasMirrored2", "", ucs4}).(bool)
}

func QChar_HighSurrogate(ucs4 uint) uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_HighSurrogate", "", ucs4}).(float64))
}

func (ptr *QChar) HighSurrogate(ucs4 uint) uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_HighSurrogate", "", ucs4}).(float64))
}

func (ptr *QChar) IsDigit() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDigit"}).(bool)
}

func QChar_IsDigit2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsDigit2", "", ucs4}).(bool)
}

func (ptr *QChar) IsDigit2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsDigit2", "", ucs4}).(bool)
}

func (ptr *QChar) IsHighSurrogate() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsHighSurrogate"}).(bool)
}

func QChar_IsHighSurrogate2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsHighSurrogate2", "", ucs4}).(bool)
}

func (ptr *QChar) IsHighSurrogate2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsHighSurrogate2", "", ucs4}).(bool)
}

func (ptr *QChar) IsLetter() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLetter"}).(bool)
}

func QChar_IsLetter2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsLetter2", "", ucs4}).(bool)
}

func (ptr *QChar) IsLetter2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsLetter2", "", ucs4}).(bool)
}

func (ptr *QChar) IsLetterOrNumber() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLetterOrNumber"}).(bool)
}

func QChar_IsLetterOrNumber2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsLetterOrNumber2", "", ucs4}).(bool)
}

func (ptr *QChar) IsLetterOrNumber2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsLetterOrNumber2", "", ucs4}).(bool)
}

func (ptr *QChar) IsLowSurrogate() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLowSurrogate"}).(bool)
}

func QChar_IsLowSurrogate2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsLowSurrogate2", "", ucs4}).(bool)
}

func (ptr *QChar) IsLowSurrogate2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsLowSurrogate2", "", ucs4}).(bool)
}

func (ptr *QChar) IsLower() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLower"}).(bool)
}

func QChar_IsLower2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsLower2", "", ucs4}).(bool)
}

func (ptr *QChar) IsLower2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsLower2", "", ucs4}).(bool)
}

func (ptr *QChar) IsMark() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMark"}).(bool)
}

func QChar_IsMark2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsMark2", "", ucs4}).(bool)
}

func (ptr *QChar) IsMark2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsMark2", "", ucs4}).(bool)
}

func (ptr *QChar) IsNonCharacter() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNonCharacter"}).(bool)
}

func QChar_IsNonCharacter2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsNonCharacter2", "", ucs4}).(bool)
}

func (ptr *QChar) IsNonCharacter2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsNonCharacter2", "", ucs4}).(bool)
}

func (ptr *QChar) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QChar) IsNumber() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNumber"}).(bool)
}

func QChar_IsNumber2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsNumber2", "", ucs4}).(bool)
}

func (ptr *QChar) IsNumber2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsNumber2", "", ucs4}).(bool)
}

func (ptr *QChar) IsPrint() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsPrint"}).(bool)
}

func QChar_IsPrint2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsPrint2", "", ucs4}).(bool)
}

func (ptr *QChar) IsPrint2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsPrint2", "", ucs4}).(bool)
}

func (ptr *QChar) IsPunct() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsPunct"}).(bool)
}

func QChar_IsPunct2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsPunct2", "", ucs4}).(bool)
}

func (ptr *QChar) IsPunct2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsPunct2", "", ucs4}).(bool)
}

func (ptr *QChar) IsSpace() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSpace"}).(bool)
}

func QChar_IsSpace2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsSpace2", "", ucs4}).(bool)
}

func (ptr *QChar) IsSpace2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsSpace2", "", ucs4}).(bool)
}

func (ptr *QChar) IsSurrogate() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSurrogate"}).(bool)
}

func QChar_IsSurrogate2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsSurrogate2", "", ucs4}).(bool)
}

func (ptr *QChar) IsSurrogate2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsSurrogate2", "", ucs4}).(bool)
}

func (ptr *QChar) IsSymbol() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSymbol"}).(bool)
}

func QChar_IsSymbol2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsSymbol2", "", ucs4}).(bool)
}

func (ptr *QChar) IsSymbol2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsSymbol2", "", ucs4}).(bool)
}

func (ptr *QChar) IsTitleCase() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTitleCase"}).(bool)
}

func QChar_IsTitleCase2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsTitleCase2", "", ucs4}).(bool)
}

func (ptr *QChar) IsTitleCase2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsTitleCase2", "", ucs4}).(bool)
}

func (ptr *QChar) IsUpper() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsUpper"}).(bool)
}

func QChar_IsUpper2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsUpper2", "", ucs4}).(bool)
}

func (ptr *QChar) IsUpper2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_IsUpper2", "", ucs4}).(bool)
}

func (ptr *QChar) JoiningType() QChar__JoiningType {

	return QChar__JoiningType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "JoiningType"}).(float64))
}

func QChar_JoiningType2(ucs4 uint) QChar__JoiningType {

	return QChar__JoiningType(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_JoiningType2", "", ucs4}).(float64))
}

func (ptr *QChar) JoiningType2(ucs4 uint) QChar__JoiningType {

	return QChar__JoiningType(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_JoiningType2", "", ucs4}).(float64))
}

func QChar_LowSurrogate(ucs4 uint) uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_LowSurrogate", "", ucs4}).(float64))
}

func (ptr *QChar) LowSurrogate(ucs4 uint) uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_LowSurrogate", "", ucs4}).(float64))
}

func (ptr *QChar) MirroredChar() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MirroredChar"}).(*QChar)
}

func QChar_MirroredChar2(ucs4 uint) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_MirroredChar2", "", ucs4}).(float64))
}

func (ptr *QChar) MirroredChar2(ucs4 uint) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_MirroredChar2", "", ucs4}).(float64))
}

func QChar_RequiresSurrogates(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_RequiresSurrogates", "", ucs4}).(bool)
}

func (ptr *QChar) RequiresSurrogates(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QChar_RequiresSurrogates", "", ucs4}).(bool)
}

func (ptr *QChar) Row() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Row"}).(string)
}

func (ptr *QChar) Script() QChar__Script {

	return QChar__Script(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Script"}).(float64))
}

func QChar_Script2(ucs4 uint) QChar__Script {

	return QChar__Script(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_Script2", "", ucs4}).(float64))
}

func (ptr *QChar) Script2(ucs4 uint) QChar__Script {

	return QChar__Script(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_Script2", "", ucs4}).(float64))
}

func QChar_SurrogateToUcs4(high uint16, low uint16) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_SurrogateToUcs4", "", high, low}).(float64))
}

func (ptr *QChar) SurrogateToUcs4(high uint16, low uint16) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_SurrogateToUcs4", "", high, low}).(float64))
}

func QChar_SurrogateToUcs42(high QChar_ITF, low QChar_ITF) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_SurrogateToUcs42", "", high, low}).(float64))
}

func (ptr *QChar) SurrogateToUcs42(high QChar_ITF, low QChar_ITF) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_SurrogateToUcs42", "", high, low}).(float64))
}

func (ptr *QChar) ToCaseFolded() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCaseFolded"}).(*QChar)
}

func QChar_ToCaseFolded2(ucs4 uint) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_ToCaseFolded2", "", ucs4}).(float64))
}

func (ptr *QChar) ToCaseFolded2(ucs4 uint) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_ToCaseFolded2", "", ucs4}).(float64))
}

func (ptr *QChar) ToLatin1() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLatin1"}).(string)
}

func (ptr *QChar) ToLower() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLower"}).(*QChar)
}

func QChar_ToLower2(ucs4 uint) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_ToLower2", "", ucs4}).(float64))
}

func (ptr *QChar) ToLower2(ucs4 uint) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_ToLower2", "", ucs4}).(float64))
}

func (ptr *QChar) ToTitleCase() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToTitleCase"}).(*QChar)
}

func QChar_ToTitleCase2(ucs4 uint) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_ToTitleCase2", "", ucs4}).(float64))
}

func (ptr *QChar) ToTitleCase2(ucs4 uint) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_ToTitleCase2", "", ucs4}).(float64))
}

func (ptr *QChar) ToUpper() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUpper"}).(*QChar)
}

func QChar_ToUpper2(ucs4 uint) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_ToUpper2", "", ucs4}).(float64))
}

func (ptr *QChar) ToUpper2(ucs4 uint) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_ToUpper2", "", ucs4}).(float64))
}

func (ptr *QChar) Unicode() uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unicode"}).(float64))
}

func (ptr *QChar) Unicode2() uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unicode2"}).(float64))
}

func (ptr *QChar) UnicodeVersion() QChar__UnicodeVersion {

	return QChar__UnicodeVersion(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnicodeVersion"}).(float64))
}

func QChar_UnicodeVersion2(ucs4 uint) QChar__UnicodeVersion {

	return QChar__UnicodeVersion(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_UnicodeVersion2", "", ucs4}).(float64))
}

func (ptr *QChar) UnicodeVersion2(ucs4 uint) QChar__UnicodeVersion {

	return QChar__UnicodeVersion(internal.CallLocalFunction([]interface{}{"", "", "core.QChar_UnicodeVersion2", "", ucs4}).(float64))
}

type QChildEvent struct {
	QEvent
}

type QChildEvent_ITF interface {
	QEvent_ITF
	QChildEvent_PTR() *QChildEvent
}

func (ptr *QChildEvent) QChildEvent_PTR() *QChildEvent {
	return ptr
}

func (ptr *QChildEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QChildEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQChildEvent(ptr QChildEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QChildEvent_PTR().Pointer()
	}
	return nil
}

func (n *QChildEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QChildEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQChildEventFromPointer(ptr unsafe.Pointer) (n *QChildEvent) {
	n = new(QChildEvent)
	n.InitFromInternal(uintptr(ptr), "core.QChildEvent")
	return
}

func (ptr *QChildEvent) DestroyQChildEvent() {
}

func NewQChildEvent(ty QEvent__Type, child QObject_ITF) *QChildEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQChildEvent", "", ty, child}).(*QChildEvent)
}

func (ptr *QChildEvent) Added() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Added"}).(bool)
}

func (ptr *QChildEvent) Child() *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Child"}).(*QObject)
}

func (ptr *QChildEvent) Polished() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Polished"}).(bool)
}

func (ptr *QChildEvent) Removed() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Removed"}).(bool)
}

type QCollator struct {
	internal.Internal
}

type QCollator_ITF interface {
	QCollator_PTR() *QCollator
}

func (ptr *QCollator) QCollator_PTR() *QCollator {
	return ptr
}

func (ptr *QCollator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCollator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCollator(ptr QCollator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCollator_PTR().Pointer()
	}
	return nil
}

func (n *QCollator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCollatorFromPointer(ptr unsafe.Pointer) (n *QCollator) {
	n = new(QCollator)
	n.InitFromInternal(uintptr(ptr), "core.QCollator")
	return
}
func NewQCollator(locale QLocale_ITF) *QCollator {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCollator", "", locale}).(*QCollator)
}

func NewQCollator2(other QCollator_ITF) *QCollator {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCollator2", "", other}).(*QCollator)
}

func NewQCollator3(other QCollator_ITF) *QCollator {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCollator3", "", other}).(*QCollator)
}

func (ptr *QCollator) CaseSensitivity() Qt__CaseSensitivity {

	return Qt__CaseSensitivity(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CaseSensitivity"}).(float64))
}

func (ptr *QCollator) Compare(s1 string, s2 string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Compare", s1, s2}).(float64))
}

func (ptr *QCollator) Compare2(s1 QStringRef_ITF, s2 QStringRef_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Compare2", s1, s2}).(float64))
}

func (ptr *QCollator) Compare3(s1 QChar_ITF, len1 int, s2 QChar_ITF, len2 int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Compare3", s1, len1, s2, len2}).(float64))
}

func (ptr *QCollator) IgnorePunctuation() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IgnorePunctuation"}).(bool)
}

func (ptr *QCollator) Locale() *QLocale {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Locale"}).(*QLocale)
}

func (ptr *QCollator) NumericMode() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NumericMode"}).(bool)
}

func (ptr *QCollator) SetCaseSensitivity(sensitivity Qt__CaseSensitivity) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCaseSensitivity", sensitivity})
}

func (ptr *QCollator) SetIgnorePunctuation(on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIgnorePunctuation", on})
}

func (ptr *QCollator) SetLocale(locale QLocale_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLocale", locale})
}

func (ptr *QCollator) SetNumericMode(on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNumericMode", on})
}

func (ptr *QCollator) SortKey(stri string) *QCollatorSortKey {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortKey", stri}).(*QCollatorSortKey)
}

func (ptr *QCollator) Swap(other QCollator_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QCollator) DestroyQCollator() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCollator"})
}

type QCollatorSortKey struct {
	internal.Internal
}

type QCollatorSortKey_ITF interface {
	QCollatorSortKey_PTR() *QCollatorSortKey
}

func (ptr *QCollatorSortKey) QCollatorSortKey_PTR() *QCollatorSortKey {
	return ptr
}

func (ptr *QCollatorSortKey) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCollatorSortKey) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCollatorSortKey(ptr QCollatorSortKey_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCollatorSortKey_PTR().Pointer()
	}
	return nil
}

func (n *QCollatorSortKey) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCollatorSortKeyFromPointer(ptr unsafe.Pointer) (n *QCollatorSortKey) {
	n = new(QCollatorSortKey)
	n.InitFromInternal(uintptr(ptr), "core.QCollatorSortKey")
	return
}
func NewQCollatorSortKey(other QCollatorSortKey_ITF) *QCollatorSortKey {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCollatorSortKey", "", other}).(*QCollatorSortKey)
}

func (ptr *QCollatorSortKey) Compare(otherKey QCollatorSortKey_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Compare", otherKey}).(float64))
}

func (ptr *QCollatorSortKey) Swap(other QCollatorSortKey_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QCollatorSortKey) DestroyQCollatorSortKey() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCollatorSortKey"})
}

type QCommandLineOption struct {
	internal.Internal
}

type QCommandLineOption_ITF interface {
	QCommandLineOption_PTR() *QCommandLineOption
}

func (ptr *QCommandLineOption) QCommandLineOption_PTR() *QCommandLineOption {
	return ptr
}

func (ptr *QCommandLineOption) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCommandLineOption) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCommandLineOption(ptr QCommandLineOption_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCommandLineOption_PTR().Pointer()
	}
	return nil
}

func (n *QCommandLineOption) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCommandLineOptionFromPointer(ptr unsafe.Pointer) (n *QCommandLineOption) {
	n = new(QCommandLineOption)
	n.InitFromInternal(uintptr(ptr), "core.QCommandLineOption")
	return
}

//go:generate stringer -type=QCommandLineOption__Flag
//QCommandLineOption::Flag
type QCommandLineOption__Flag int64

const (
	QCommandLineOption__HiddenFromHelp   QCommandLineOption__Flag = QCommandLineOption__Flag(0x1)
	QCommandLineOption__ShortOptionStyle QCommandLineOption__Flag = QCommandLineOption__Flag(0x2)
)

func NewQCommandLineOption(name string) *QCommandLineOption {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCommandLineOption", "", name}).(*QCommandLineOption)
}

func NewQCommandLineOption2(names []string) *QCommandLineOption {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCommandLineOption2", "", names}).(*QCommandLineOption)
}

func NewQCommandLineOption3(name string, description string, valueName string, defaultValue string) *QCommandLineOption {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCommandLineOption3", "", name, description, valueName, defaultValue}).(*QCommandLineOption)
}

func NewQCommandLineOption4(names []string, description string, valueName string, defaultValue string) *QCommandLineOption {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCommandLineOption4", "", names, description, valueName, defaultValue}).(*QCommandLineOption)
}

func NewQCommandLineOption5(other QCommandLineOption_ITF) *QCommandLineOption {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCommandLineOption5", "", other}).(*QCommandLineOption)
}

func (ptr *QCommandLineOption) DefaultValues() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultValues"}).([]string)
}

func (ptr *QCommandLineOption) Description() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Description"}).(string)
}

func (ptr *QCommandLineOption) Flags() QCommandLineOption__Flag {

	return QCommandLineOption__Flag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flags"}).(float64))
}

func (ptr *QCommandLineOption) Names() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Names"}).([]string)
}

func (ptr *QCommandLineOption) SetDefaultValue(defaultValue string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultValue", defaultValue})
}

func (ptr *QCommandLineOption) SetDefaultValues(defaultValues []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultValues", defaultValues})
}

func (ptr *QCommandLineOption) SetDescription(description string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDescription", description})
}

func (ptr *QCommandLineOption) SetFlags(flags QCommandLineOption__Flag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlags", flags})
}

func (ptr *QCommandLineOption) SetValueName(valueName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValueName", valueName})
}

func (ptr *QCommandLineOption) Swap(other QCommandLineOption_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QCommandLineOption) ValueName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueName"}).(string)
}

func (ptr *QCommandLineOption) DestroyQCommandLineOption() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCommandLineOption"})
}

type QCommandLineParser struct {
	internal.Internal
}

type QCommandLineParser_ITF interface {
	QCommandLineParser_PTR() *QCommandLineParser
}

func (ptr *QCommandLineParser) QCommandLineParser_PTR() *QCommandLineParser {
	return ptr
}

func (ptr *QCommandLineParser) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCommandLineParser) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCommandLineParser(ptr QCommandLineParser_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCommandLineParser_PTR().Pointer()
	}
	return nil
}

func (n *QCommandLineParser) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCommandLineParserFromPointer(ptr unsafe.Pointer) (n *QCommandLineParser) {
	n = new(QCommandLineParser)
	n.InitFromInternal(uintptr(ptr), "core.QCommandLineParser")
	return
}

//go:generate stringer -type=QCommandLineParser__SingleDashWordOptionMode
//QCommandLineParser::SingleDashWordOptionMode
type QCommandLineParser__SingleDashWordOptionMode int64

const (
	QCommandLineParser__ParseAsCompactedShortOptions QCommandLineParser__SingleDashWordOptionMode = QCommandLineParser__SingleDashWordOptionMode(0)
	QCommandLineParser__ParseAsLongOptions           QCommandLineParser__SingleDashWordOptionMode = QCommandLineParser__SingleDashWordOptionMode(1)
)

//go:generate stringer -type=QCommandLineParser__OptionsAfterPositionalArgumentsMode
//QCommandLineParser::OptionsAfterPositionalArgumentsMode
type QCommandLineParser__OptionsAfterPositionalArgumentsMode int64

const (
	QCommandLineParser__ParseAsOptions             QCommandLineParser__OptionsAfterPositionalArgumentsMode = QCommandLineParser__OptionsAfterPositionalArgumentsMode(0)
	QCommandLineParser__ParseAsPositionalArguments QCommandLineParser__OptionsAfterPositionalArgumentsMode = QCommandLineParser__OptionsAfterPositionalArgumentsMode(1)
)

func NewQCommandLineParser() *QCommandLineParser {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCommandLineParser", ""}).(*QCommandLineParser)
}

func (ptr *QCommandLineParser) AddHelpOption() *QCommandLineOption {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddHelpOption"}).(*QCommandLineOption)
}

func (ptr *QCommandLineParser) AddOption(option QCommandLineOption_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddOption", option}).(bool)
}

func (ptr *QCommandLineParser) AddOptions(options []*QCommandLineOption) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddOptions", options}).(bool)
}

func (ptr *QCommandLineParser) AddPositionalArgument(name string, description string, syntax string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPositionalArgument", name, description, syntax})
}

func (ptr *QCommandLineParser) AddVersionOption() *QCommandLineOption {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddVersionOption"}).(*QCommandLineOption)
}

func (ptr *QCommandLineParser) ApplicationDescription() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApplicationDescription"}).(string)
}

func (ptr *QCommandLineParser) ClearPositionalArguments() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearPositionalArguments"})
}

func (ptr *QCommandLineParser) ErrorText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorText"}).(string)
}

func (ptr *QCommandLineParser) HelpText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HelpText"}).(string)
}

func (ptr *QCommandLineParser) IsSet(name string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSet", name}).(bool)
}

func (ptr *QCommandLineParser) IsSet2(option QCommandLineOption_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSet2", option}).(bool)
}

func (ptr *QCommandLineParser) OptionNames() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OptionNames"}).([]string)
}

func (ptr *QCommandLineParser) Parse(arguments []string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parse", arguments}).(bool)
}

func (ptr *QCommandLineParser) PositionalArguments() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PositionalArguments"}).([]string)
}

func (ptr *QCommandLineParser) Process(arguments []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Process", arguments})
}

func (ptr *QCommandLineParser) Process2(app QCoreApplication_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Process2", app})
}

func (ptr *QCommandLineParser) SetApplicationDescription(description string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetApplicationDescription", description})
}

func (ptr *QCommandLineParser) SetOptionsAfterPositionalArgumentsMode(parsingMode QCommandLineParser__OptionsAfterPositionalArgumentsMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOptionsAfterPositionalArgumentsMode", parsingMode})
}

func (ptr *QCommandLineParser) SetSingleDashWordOptionMode(singleDashWordOptionMode QCommandLineParser__SingleDashWordOptionMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSingleDashWordOptionMode", singleDashWordOptionMode})
}

func (ptr *QCommandLineParser) ShowHelp(exitCode int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowHelp", exitCode})
}

func (ptr *QCommandLineParser) ShowVersion() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowVersion"})
}

func (ptr *QCommandLineParser) UnknownOptionNames() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnknownOptionNames"}).([]string)
}

func (ptr *QCommandLineParser) Value(optionName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value", optionName}).(string)
}

func (ptr *QCommandLineParser) Value2(option QCommandLineOption_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value2", option}).(string)
}

func (ptr *QCommandLineParser) Values(optionName string) []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Values", optionName}).([]string)
}

func (ptr *QCommandLineParser) Values2(option QCommandLineOption_ITF) []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Values2", option}).([]string)
}

func (ptr *QCommandLineParser) DestroyQCommandLineParser() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCommandLineParser"})
}

func (ptr *QCommandLineParser) __addOptions_options_atList(i int) *QCommandLineOption {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__addOptions_options_atList", i}).(*QCommandLineOption)
}

func (ptr *QCommandLineParser) __addOptions_options_setList(i QCommandLineOption_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__addOptions_options_setList", i})
}

func (ptr *QCommandLineParser) __addOptions_options_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__addOptions_options_newList"}).(unsafe.Pointer)
}

type QConcatenateTablesProxyModel struct {
	QAbstractItemModel
}

type QConcatenateTablesProxyModel_ITF interface {
	QAbstractItemModel_ITF
	QConcatenateTablesProxyModel_PTR() *QConcatenateTablesProxyModel
}

func (ptr *QConcatenateTablesProxyModel) QConcatenateTablesProxyModel_PTR() *QConcatenateTablesProxyModel {
	return ptr
}

func (ptr *QConcatenateTablesProxyModel) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemModel_PTR().Pointer()
	}
	return nil
}

func (ptr *QConcatenateTablesProxyModel) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractItemModel_PTR().SetPointer(p)
	}
}

func PointerFromQConcatenateTablesProxyModel(ptr QConcatenateTablesProxyModel_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QConcatenateTablesProxyModel_PTR().Pointer()
	}
	return nil
}

func (n *QConcatenateTablesProxyModel) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractItemModel_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QConcatenateTablesProxyModel) ClassNameInternalF() string {
	return n.QAbstractItemModel_PTR().ClassNameInternalF()
}

func NewQConcatenateTablesProxyModelFromPointer(ptr unsafe.Pointer) (n *QConcatenateTablesProxyModel) {
	n = new(QConcatenateTablesProxyModel)
	n.InitFromInternal(uintptr(ptr), "core.QConcatenateTablesProxyModel")
	return
}
func NewQConcatenateTablesProxyModel(parent QObject_ITF) *QConcatenateTablesProxyModel {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQConcatenateTablesProxyModel", "", parent}).(*QConcatenateTablesProxyModel)
}

func (ptr *QConcatenateTablesProxyModel) AddSourceModel(sourceModel QAbstractItemModel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddSourceModel", sourceModel})
}

func (ptr *QConcatenateTablesProxyModel) ConnectColumnCount(f func(parent *QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QConcatenateTablesProxyModel) DisconnectColumnCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnCount"})
}

func (ptr *QConcatenateTablesProxyModel) ColumnCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount", parent}).(float64))
}

func (ptr *QConcatenateTablesProxyModel) ColumnCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCountDefault", parent}).(float64))
}

func (ptr *QConcatenateTablesProxyModel) ConnectData(f func(index *QModelIndex, role int) *QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QConcatenateTablesProxyModel) DisconnectData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectData"})
}

func (ptr *QConcatenateTablesProxyModel) Data(index QModelIndex_ITF, role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", index, role}).(*QVariant)
}

func (ptr *QConcatenateTablesProxyModel) DataDefault(index QModelIndex_ITF, role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataDefault", index, role}).(*QVariant)
}

func (ptr *QConcatenateTablesProxyModel) ConnectIndex(f func(row int, column int, parent *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QConcatenateTablesProxyModel) DisconnectIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndex"})
}

func (ptr *QConcatenateTablesProxyModel) Index(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index", row, column, parent}).(*QModelIndex)
}

func (ptr *QConcatenateTablesProxyModel) IndexDefault(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexDefault", row, column, parent}).(*QModelIndex)
}

func (ptr *QConcatenateTablesProxyModel) MapFromSource(sourceIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromSource", sourceIndex}).(*QModelIndex)
}

func (ptr *QConcatenateTablesProxyModel) MapToSource(proxyIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToSource", proxyIndex}).(*QModelIndex)
}

func (ptr *QConcatenateTablesProxyModel) ConnectParent(f func(index *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectParent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QConcatenateTablesProxyModel) DisconnectParent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectParent"})
}

func (ptr *QConcatenateTablesProxyModel) Parent(index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent", index}).(*QModelIndex)
}

func (ptr *QConcatenateTablesProxyModel) ParentDefault(index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentDefault", index}).(*QModelIndex)
}

func (ptr *QConcatenateTablesProxyModel) RemoveSourceModel(sourceModel QAbstractItemModel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveSourceModel", sourceModel})
}

func (ptr *QConcatenateTablesProxyModel) ConnectRowCount(f func(parent *QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QConcatenateTablesProxyModel) DisconnectRowCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowCount"})
}

func (ptr *QConcatenateTablesProxyModel) RowCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount", parent}).(float64))
}

func (ptr *QConcatenateTablesProxyModel) RowCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCountDefault", parent}).(float64))
}

func (ptr *QConcatenateTablesProxyModel) ConnectDestroyQConcatenateTablesProxyModel(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQConcatenateTablesProxyModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QConcatenateTablesProxyModel) DisconnectDestroyQConcatenateTablesProxyModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQConcatenateTablesProxyModel"})
}

func (ptr *QConcatenateTablesProxyModel) DestroyQConcatenateTablesProxyModel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQConcatenateTablesProxyModel"})
}

func (ptr *QConcatenateTablesProxyModel) DestroyQConcatenateTablesProxyModelDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQConcatenateTablesProxyModelDefault"})
}

type QContiguousCache struct {
	internal.Internal
}

type QContiguousCache_ITF interface {
	QContiguousCache_PTR() *QContiguousCache
}

func (ptr *QContiguousCache) QContiguousCache_PTR() *QContiguousCache {
	return ptr
}

func (ptr *QContiguousCache) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QContiguousCache) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQContiguousCache(ptr QContiguousCache_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QContiguousCache_PTR().Pointer()
	}
	return nil
}

func (n *QContiguousCache) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQContiguousCacheFromPointer(ptr unsafe.Pointer) (n *QContiguousCache) {
	n = new(QContiguousCache)
	n.InitFromInternal(uintptr(ptr), "core.QContiguousCache")
	return
}

type QContiguousCacheData struct {
	internal.Internal
}

type QContiguousCacheData_ITF interface {
	QContiguousCacheData_PTR() *QContiguousCacheData
}

func (ptr *QContiguousCacheData) QContiguousCacheData_PTR() *QContiguousCacheData {
	return ptr
}

func (ptr *QContiguousCacheData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QContiguousCacheData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQContiguousCacheData(ptr QContiguousCacheData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QContiguousCacheData_PTR().Pointer()
	}
	return nil
}

func (n *QContiguousCacheData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQContiguousCacheDataFromPointer(ptr unsafe.Pointer) (n *QContiguousCacheData) {
	n = new(QContiguousCacheData)
	n.InitFromInternal(uintptr(ptr), "core.QContiguousCacheData")
	return
}

func (ptr *QContiguousCacheData) DestroyQContiguousCacheData() {
}

type QContiguousCacheTypedData struct {
	internal.Internal
}

type QContiguousCacheTypedData_ITF interface {
	QContiguousCacheTypedData_PTR() *QContiguousCacheTypedData
}

func (ptr *QContiguousCacheTypedData) QContiguousCacheTypedData_PTR() *QContiguousCacheTypedData {
	return ptr
}

func (ptr *QContiguousCacheTypedData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QContiguousCacheTypedData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQContiguousCacheTypedData(ptr QContiguousCacheTypedData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QContiguousCacheTypedData_PTR().Pointer()
	}
	return nil
}

func (n *QContiguousCacheTypedData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQContiguousCacheTypedDataFromPointer(ptr unsafe.Pointer) (n *QContiguousCacheTypedData) {
	n = new(QContiguousCacheTypedData)
	n.InitFromInternal(uintptr(ptr), "core.QContiguousCacheTypedData")
	return
}

func (ptr *QContiguousCacheTypedData) DestroyQContiguousCacheTypedData() {
}

type QCoreApplication struct {
	QObject
}

type QCoreApplication_ITF interface {
	QObject_ITF
	QCoreApplication_PTR() *QCoreApplication
}

func (ptr *QCoreApplication) QCoreApplication_PTR() *QCoreApplication {
	return ptr
}

func (ptr *QCoreApplication) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QCoreApplication) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQCoreApplication(ptr QCoreApplication_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCoreApplication_PTR().Pointer()
	}
	return nil
}

func (n *QCoreApplication) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCoreApplication) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQCoreApplicationFromPointer(ptr unsafe.Pointer) (n *QCoreApplication) {
	n = new(QCoreApplication)
	n.InitFromInternal(uintptr(ptr), "core.QCoreApplication")
	return
}
func NewQCoreApplication(argc int, argv []string) *QCoreApplication {

	gow.InitProcess()
	return NewQCoreApplicationFromPointer(QCoreApplication_Instance().Pointer())
}

func (ptr *QCoreApplication) ConnectAboutToQuit(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAboutToQuit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCoreApplication) DisconnectAboutToQuit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAboutToQuit"})
}

func QCoreApplication_AddLibraryPath(path string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_AddLibraryPath", "", path})
}

func (ptr *QCoreApplication) AddLibraryPath(path string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_AddLibraryPath", "", path})
}

func QCoreApplication_ApplicationDirPath() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ApplicationDirPath", ""}).(string)
}

func (ptr *QCoreApplication) ApplicationDirPath() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ApplicationDirPath", ""}).(string)
}

func QCoreApplication_ApplicationFilePath() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ApplicationFilePath", ""}).(string)
}

func (ptr *QCoreApplication) ApplicationFilePath() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ApplicationFilePath", ""}).(string)
}

func QCoreApplication_ApplicationName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ApplicationName", ""}).(string)
}

func (ptr *QCoreApplication) ApplicationName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ApplicationName", ""}).(string)
}

func (ptr *QCoreApplication) ConnectApplicationNameChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectApplicationNameChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCoreApplication) DisconnectApplicationNameChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectApplicationNameChanged"})
}

func (ptr *QCoreApplication) ApplicationNameChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApplicationNameChanged"})
}

func QCoreApplication_ApplicationPid() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ApplicationPid", ""}).(float64))
}

func (ptr *QCoreApplication) ApplicationPid() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ApplicationPid", ""}).(float64))
}

func QCoreApplication_ApplicationVersion() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ApplicationVersion", ""}).(string)
}

func (ptr *QCoreApplication) ApplicationVersion() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ApplicationVersion", ""}).(string)
}

func (ptr *QCoreApplication) ConnectApplicationVersionChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectApplicationVersionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCoreApplication) DisconnectApplicationVersionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectApplicationVersionChanged"})
}

func (ptr *QCoreApplication) ApplicationVersionChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApplicationVersionChanged"})
}

func QCoreApplication_Arguments() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_Arguments", ""}).([]string)
}

func (ptr *QCoreApplication) Arguments() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_Arguments", ""}).([]string)
}

func QCoreApplication_ClosingDown() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ClosingDown", ""}).(bool)
}

func (ptr *QCoreApplication) ClosingDown() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ClosingDown", ""}).(bool)
}

func QCoreApplication_EventDispatcher() *QAbstractEventDispatcher {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_EventDispatcher", ""}).(*QAbstractEventDispatcher)
}

func (ptr *QCoreApplication) EventDispatcher() *QAbstractEventDispatcher {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_EventDispatcher", ""}).(*QAbstractEventDispatcher)
}

func QCoreApplication_Exec() int {

	gow.Exec()
	return 0
}

func (ptr *QCoreApplication) Exec() int {

	gow.Exec()
	return 0
}

func QCoreApplication_Exit(returnCode int) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_Exit", "", returnCode})
}

func (ptr *QCoreApplication) Exit(returnCode int) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_Exit", "", returnCode})
}

func (ptr *QCoreApplication) InstallNativeEventFilter(filterObj QAbstractNativeEventFilter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InstallNativeEventFilter", filterObj})
}

func QCoreApplication_InstallTranslator(translationFile QTranslator_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_InstallTranslator", "", translationFile}).(bool)
}

func (ptr *QCoreApplication) InstallTranslator(translationFile QTranslator_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_InstallTranslator", "", translationFile}).(bool)
}

func QCoreApplication_Instance() *QCoreApplication {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_Instance", ""}).(*QCoreApplication)
}

func (ptr *QCoreApplication) Instance() *QCoreApplication {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_Instance", ""}).(*QCoreApplication)
}

func QCoreApplication_IsQuitLockEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_IsQuitLockEnabled", ""}).(bool)
}

func (ptr *QCoreApplication) IsQuitLockEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_IsQuitLockEnabled", ""}).(bool)
}

func QCoreApplication_IsSetuidAllowed() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_IsSetuidAllowed", ""}).(bool)
}

func (ptr *QCoreApplication) IsSetuidAllowed() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_IsSetuidAllowed", ""}).(bool)
}

func QCoreApplication_LibraryPaths() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_LibraryPaths", ""}).([]string)
}

func (ptr *QCoreApplication) LibraryPaths() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_LibraryPaths", ""}).([]string)
}

func QCoreApplication_OrganizationDomain() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_OrganizationDomain", ""}).(string)
}

func (ptr *QCoreApplication) OrganizationDomain() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_OrganizationDomain", ""}).(string)
}

func (ptr *QCoreApplication) ConnectOrganizationDomainChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOrganizationDomainChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCoreApplication) DisconnectOrganizationDomainChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOrganizationDomainChanged"})
}

func (ptr *QCoreApplication) OrganizationDomainChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OrganizationDomainChanged"})
}

func QCoreApplication_OrganizationName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_OrganizationName", ""}).(string)
}

func (ptr *QCoreApplication) OrganizationName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_OrganizationName", ""}).(string)
}

func (ptr *QCoreApplication) ConnectOrganizationNameChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOrganizationNameChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCoreApplication) DisconnectOrganizationNameChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOrganizationNameChanged"})
}

func (ptr *QCoreApplication) OrganizationNameChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OrganizationNameChanged"})
}

func QCoreApplication_PostEvent(receiver QObject_ITF, event QEvent_ITF, priority int) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_PostEvent", "", receiver, event, priority})
}

func (ptr *QCoreApplication) PostEvent(receiver QObject_ITF, event QEvent_ITF, priority int) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_PostEvent", "", receiver, event, priority})
}

func QCoreApplication_ProcessEvents(flags QEventLoop__ProcessEventsFlag) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ProcessEvents", "", flags})
}

func (ptr *QCoreApplication) ProcessEvents(flags QEventLoop__ProcessEventsFlag) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ProcessEvents", "", flags})
}

func QCoreApplication_ProcessEvents2(flags QEventLoop__ProcessEventsFlag, ms int) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ProcessEvents2", "", flags, ms})
}

func (ptr *QCoreApplication) ProcessEvents2(flags QEventLoop__ProcessEventsFlag, ms int) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_ProcessEvents2", "", flags, ms})
}

func (ptr *QCoreApplication) ConnectQuit(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectQuit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCoreApplication) DisconnectQuit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectQuit"})
}

func (ptr *QCoreApplication) Quit() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Quit"})
}

func (ptr *QCoreApplication) QuitDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "QuitDefault"})
}

func QCoreApplication_RemoveLibraryPath(path string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_RemoveLibraryPath", "", path})
}

func (ptr *QCoreApplication) RemoveLibraryPath(path string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_RemoveLibraryPath", "", path})
}

func (ptr *QCoreApplication) RemoveNativeEventFilter(filterObject QAbstractNativeEventFilter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveNativeEventFilter", filterObject})
}

func QCoreApplication_RemovePostedEvents(receiver QObject_ITF, eventType int) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_RemovePostedEvents", "", receiver, eventType})
}

func (ptr *QCoreApplication) RemovePostedEvents(receiver QObject_ITF, eventType int) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_RemovePostedEvents", "", receiver, eventType})
}

func QCoreApplication_RemoveTranslator(translationFile QTranslator_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_RemoveTranslator", "", translationFile}).(bool)
}

func (ptr *QCoreApplication) RemoveTranslator(translationFile QTranslator_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_RemoveTranslator", "", translationFile}).(bool)
}

func QCoreApplication_SendEvent(receiver QObject_ITF, event QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SendEvent", "", receiver, event}).(bool)
}

func (ptr *QCoreApplication) SendEvent(receiver QObject_ITF, event QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SendEvent", "", receiver, event}).(bool)
}

func QCoreApplication_SendPostedEvents(receiver QObject_ITF, event_type int) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SendPostedEvents", "", receiver, event_type})
}

func (ptr *QCoreApplication) SendPostedEvents(receiver QObject_ITF, event_type int) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SendPostedEvents", "", receiver, event_type})
}

func QCoreApplication_SetApplicationName(application string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetApplicationName", "", application})
}

func (ptr *QCoreApplication) SetApplicationName(application string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetApplicationName", "", application})
}

func QCoreApplication_SetApplicationVersion(version string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetApplicationVersion", "", version})
}

func (ptr *QCoreApplication) SetApplicationVersion(version string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetApplicationVersion", "", version})
}

func QCoreApplication_SetAttribute(attribute Qt__ApplicationAttribute, on bool) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetAttribute", "", attribute, on})
}

func (ptr *QCoreApplication) SetAttribute(attribute Qt__ApplicationAttribute, on bool) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetAttribute", "", attribute, on})
}

func QCoreApplication_SetEventDispatcher(eventDispatcher QAbstractEventDispatcher_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetEventDispatcher", "", eventDispatcher})
}

func (ptr *QCoreApplication) SetEventDispatcher(eventDispatcher QAbstractEventDispatcher_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetEventDispatcher", "", eventDispatcher})
}

func QCoreApplication_SetLibraryPaths(paths []string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetLibraryPaths", "", paths})
}

func (ptr *QCoreApplication) SetLibraryPaths(paths []string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetLibraryPaths", "", paths})
}

func QCoreApplication_SetOrganizationDomain(orgDomain string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetOrganizationDomain", "", orgDomain})
}

func (ptr *QCoreApplication) SetOrganizationDomain(orgDomain string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetOrganizationDomain", "", orgDomain})
}

func QCoreApplication_SetOrganizationName(orgName string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetOrganizationName", "", orgName})
}

func (ptr *QCoreApplication) SetOrganizationName(orgName string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetOrganizationName", "", orgName})
}

func QCoreApplication_SetQuitLockEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetQuitLockEnabled", "", enabled})
}

func (ptr *QCoreApplication) SetQuitLockEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetQuitLockEnabled", "", enabled})
}

func QCoreApplication_SetSetuidAllowed(allow bool) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetSetuidAllowed", "", allow})
}

func (ptr *QCoreApplication) SetSetuidAllowed(allow bool) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_SetSetuidAllowed", "", allow})
}

func QCoreApplication_StartingUp() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_StartingUp", ""}).(bool)
}

func (ptr *QCoreApplication) StartingUp() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_StartingUp", ""}).(bool)
}

func QCoreApplication_TestAttribute(attribute Qt__ApplicationAttribute) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_TestAttribute", "", attribute}).(bool)
}

func (ptr *QCoreApplication) TestAttribute(attribute Qt__ApplicationAttribute) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_TestAttribute", "", attribute}).(bool)
}

func QCoreApplication_Translate(context string, sourceText string, disambiguation string, n int) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_Translate", "", context, sourceText, disambiguation, n}).(string)
}

func (ptr *QCoreApplication) Translate(context string, sourceText string, disambiguation string, n int) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCoreApplication_Translate", "", context, sourceText, disambiguation, n}).(string)
}

func (ptr *QCoreApplication) ConnectDestroyQCoreApplication(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCoreApplication", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCoreApplication) DisconnectDestroyQCoreApplication() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCoreApplication"})
}

func (ptr *QCoreApplication) DestroyQCoreApplication() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCoreApplication"})
}

func (ptr *QCoreApplication) DestroyQCoreApplicationDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCoreApplicationDefault"})
}

type QCryptographicHash struct {
	internal.Internal
}

type QCryptographicHash_ITF interface {
	QCryptographicHash_PTR() *QCryptographicHash
}

func (ptr *QCryptographicHash) QCryptographicHash_PTR() *QCryptographicHash {
	return ptr
}

func (ptr *QCryptographicHash) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCryptographicHash) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCryptographicHash(ptr QCryptographicHash_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCryptographicHash_PTR().Pointer()
	}
	return nil
}

func (n *QCryptographicHash) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCryptographicHashFromPointer(ptr unsafe.Pointer) (n *QCryptographicHash) {
	n = new(QCryptographicHash)
	n.InitFromInternal(uintptr(ptr), "core.QCryptographicHash")
	return
}

//go:generate stringer -type=QCryptographicHash__Algorithm
//QCryptographicHash::Algorithm
type QCryptographicHash__Algorithm int64

const (
	QCryptographicHash__Md4          QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(0)
	QCryptographicHash__Md5          QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(1)
	QCryptographicHash__Sha1         QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(2)
	QCryptographicHash__Sha224       QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(3)
	QCryptographicHash__Sha256       QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(4)
	QCryptographicHash__Sha384       QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(5)
	QCryptographicHash__Sha512       QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(6)
	QCryptographicHash__Keccak_224   QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(7)
	QCryptographicHash__Keccak_256   QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(8)
	QCryptographicHash__Keccak_384   QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(9)
	QCryptographicHash__Keccak_512   QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(10)
	QCryptographicHash__RealSha3_224 QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(11)
	QCryptographicHash__RealSha3_256 QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(12)
	QCryptographicHash__RealSha3_384 QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(13)
	QCryptographicHash__RealSha3_512 QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(14)
	QCryptographicHash__Sha3_224     QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(QCryptographicHash__RealSha3_224)
	QCryptographicHash__Sha3_256     QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(QCryptographicHash__RealSha3_256)
	QCryptographicHash__Sha3_384     QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(QCryptographicHash__RealSha3_384)
	QCryptographicHash__Sha3_512     QCryptographicHash__Algorithm = QCryptographicHash__Algorithm(QCryptographicHash__RealSha3_512)
)

func NewQCryptographicHash(method QCryptographicHash__Algorithm) *QCryptographicHash {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQCryptographicHash", "", method}).(*QCryptographicHash)
}

func (ptr *QCryptographicHash) AddData(data []byte, length int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddData", data, length})
}

func (ptr *QCryptographicHash) AddData2(data QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddData2", data})
}

func (ptr *QCryptographicHash) AddData3(device QIODevice_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddData3", device}).(bool)
}

func QCryptographicHash_Hash(data QByteArray_ITF, method QCryptographicHash__Algorithm) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCryptographicHash_Hash", "", data, method}).(*QByteArray)
}

func (ptr *QCryptographicHash) Hash(data QByteArray_ITF, method QCryptographicHash__Algorithm) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QCryptographicHash_Hash", "", data, method}).(*QByteArray)
}

func QCryptographicHash_HashLength(method QCryptographicHash__Algorithm) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QCryptographicHash_HashLength", "", method}).(float64))
}

func (ptr *QCryptographicHash) HashLength(method QCryptographicHash__Algorithm) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QCryptographicHash_HashLength", "", method}).(float64))
}

func (ptr *QCryptographicHash) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QCryptographicHash) Result() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Result"}).(*QByteArray)
}

func (ptr *QCryptographicHash) DestroyQCryptographicHash() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCryptographicHash"})
}

type QDataStream struct {
	internal.Internal
}

type QDataStream_ITF interface {
	QDataStream_PTR() *QDataStream
}

func (ptr *QDataStream) QDataStream_PTR() *QDataStream {
	return ptr
}

func (ptr *QDataStream) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QDataStream) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQDataStream(ptr QDataStream_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDataStream_PTR().Pointer()
	}
	return nil
}

func (n *QDataStream) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQDataStreamFromPointer(ptr unsafe.Pointer) (n *QDataStream) {
	n = new(QDataStream)
	n.InitFromInternal(uintptr(ptr), "core.QDataStream")
	return
}

//go:generate stringer -type=QDataStream__Version
//QDataStream::Version
type QDataStream__Version int64

const (
	QDataStream__Qt_1_0                    QDataStream__Version = QDataStream__Version(1)
	QDataStream__Qt_2_0                    QDataStream__Version = QDataStream__Version(2)
	QDataStream__Qt_2_1                    QDataStream__Version = QDataStream__Version(3)
	QDataStream__Qt_3_0                    QDataStream__Version = QDataStream__Version(4)
	QDataStream__Qt_3_1                    QDataStream__Version = QDataStream__Version(5)
	QDataStream__Qt_3_3                    QDataStream__Version = QDataStream__Version(6)
	QDataStream__Qt_4_0                    QDataStream__Version = QDataStream__Version(7)
	QDataStream__Qt_4_1                    QDataStream__Version = QDataStream__Version(QDataStream__Qt_4_0)
	QDataStream__Qt_4_2                    QDataStream__Version = QDataStream__Version(8)
	QDataStream__Qt_4_3                    QDataStream__Version = QDataStream__Version(9)
	QDataStream__Qt_4_4                    QDataStream__Version = QDataStream__Version(10)
	QDataStream__Qt_4_5                    QDataStream__Version = QDataStream__Version(11)
	QDataStream__Qt_4_6                    QDataStream__Version = QDataStream__Version(12)
	QDataStream__Qt_4_7                    QDataStream__Version = QDataStream__Version(QDataStream__Qt_4_6)
	QDataStream__Qt_4_8                    QDataStream__Version = QDataStream__Version(QDataStream__Qt_4_7)
	QDataStream__Qt_4_9                    QDataStream__Version = QDataStream__Version(QDataStream__Qt_4_8)
	QDataStream__Qt_5_0                    QDataStream__Version = QDataStream__Version(13)
	QDataStream__Qt_5_1                    QDataStream__Version = QDataStream__Version(14)
	QDataStream__Qt_5_2                    QDataStream__Version = QDataStream__Version(15)
	QDataStream__Qt_5_3                    QDataStream__Version = QDataStream__Version(QDataStream__Qt_5_2)
	QDataStream__Qt_5_4                    QDataStream__Version = QDataStream__Version(16)
	QDataStream__Qt_5_5                    QDataStream__Version = QDataStream__Version(QDataStream__Qt_5_4)
	QDataStream__Qt_5_6                    QDataStream__Version = QDataStream__Version(17)
	QDataStream__Qt_5_7                    QDataStream__Version = QDataStream__Version(QDataStream__Qt_5_6)
	QDataStream__Qt_5_8                    QDataStream__Version = QDataStream__Version(QDataStream__Qt_5_7)
	QDataStream__Qt_5_9                    QDataStream__Version = QDataStream__Version(QDataStream__Qt_5_8)
	QDataStream__Qt_5_10                   QDataStream__Version = QDataStream__Version(QDataStream__Qt_5_9)
	QDataStream__Qt_5_11                   QDataStream__Version = QDataStream__Version(QDataStream__Qt_5_10)
	QDataStream__Qt_5_12                   QDataStream__Version = QDataStream__Version(18)
	QDataStream__Qt_5_13                   QDataStream__Version = QDataStream__Version(19)
	QDataStream__Qt_DefaultCompiledVersion QDataStream__Version = QDataStream__Version(QDataStream__Qt_5_13)
)

//go:generate stringer -type=QDataStream__ByteOrder
//QDataStream::ByteOrder
type QDataStream__ByteOrder int64

const (
	QDataStream__BigEndian    QDataStream__ByteOrder = QDataStream__ByteOrder(QSysInfo__BigEndian)
	QDataStream__LittleEndian QDataStream__ByteOrder = QDataStream__ByteOrder(QSysInfo__LittleEndian)
)

//go:generate stringer -type=QDataStream__Status
//QDataStream::Status
type QDataStream__Status int64

const (
	QDataStream__Ok              QDataStream__Status = QDataStream__Status(0)
	QDataStream__ReadPastEnd     QDataStream__Status = QDataStream__Status(1)
	QDataStream__ReadCorruptData QDataStream__Status = QDataStream__Status(2)
	QDataStream__WriteFailed     QDataStream__Status = QDataStream__Status(3)
)

//go:generate stringer -type=QDataStream__FloatingPointPrecision
//QDataStream::FloatingPointPrecision
type QDataStream__FloatingPointPrecision int64

const (
	QDataStream__SinglePrecision QDataStream__FloatingPointPrecision = QDataStream__FloatingPointPrecision(0)
	QDataStream__DoublePrecision QDataStream__FloatingPointPrecision = QDataStream__FloatingPointPrecision(1)
)

func NewQDataStream() *QDataStream {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDataStream", ""}).(*QDataStream)
}

func NewQDataStream2(d QIODevice_ITF) *QDataStream {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDataStream2", "", d}).(*QDataStream)
}

func NewQDataStream3(a QByteArray_ITF, mode QIODevice__OpenModeFlag) *QDataStream {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDataStream3", "", a, mode}).(*QDataStream)
}

func NewQDataStream4(a QByteArray_ITF) *QDataStream {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDataStream4", "", a}).(*QDataStream)
}

func (ptr *QDataStream) AbortTransaction() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AbortTransaction"})
}

func (ptr *QDataStream) AtEnd() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AtEnd"}).(bool)
}

func (ptr *QDataStream) ByteOrder() QDataStream__ByteOrder {

	return QDataStream__ByteOrder(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ByteOrder"}).(float64))
}

func (ptr *QDataStream) CommitTransaction() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CommitTransaction"}).(bool)
}

func (ptr *QDataStream) Device() *QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Device"}).(*QIODevice)
}

func (ptr *QDataStream) FloatingPointPrecision() QDataStream__FloatingPointPrecision {

	return QDataStream__FloatingPointPrecision(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FloatingPointPrecision"}).(float64))
}

func (ptr *QDataStream) ReadRawData(s []byte, l int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadRawData", s, l}).(float64))
}

func (ptr *QDataStream) ResetStatus() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetStatus"})
}

func (ptr *QDataStream) RollbackTransaction() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RollbackTransaction"})
}

func (ptr *QDataStream) SetByteOrder(bo QDataStream__ByteOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetByteOrder", bo})
}

func (ptr *QDataStream) SetDevice(d QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDevice", d})
}

func (ptr *QDataStream) SetFloatingPointPrecision(precision QDataStream__FloatingPointPrecision) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFloatingPointPrecision", precision})
}

func (ptr *QDataStream) SetStatus(status QDataStream__Status) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStatus", status})
}

func (ptr *QDataStream) SetVersion(v int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVersion", v})
}

func (ptr *QDataStream) SkipRawData(l int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SkipRawData", l}).(float64))
}

func (ptr *QDataStream) StartTransaction() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartTransaction"})
}

func (ptr *QDataStream) Status() QDataStream__Status {

	return QDataStream__Status(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Status"}).(float64))
}

func (ptr *QDataStream) Version() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Version"}).(float64))
}

func (ptr *QDataStream) WriteRawData(s []byte, l int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteRawData", s, l}).(float64))
}

func (ptr *QDataStream) DestroyQDataStream() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDataStream"})
}

type QDate struct {
	internal.Internal
}

type QDate_ITF interface {
	QDate_PTR() *QDate
}

func (ptr *QDate) QDate_PTR() *QDate {
	return ptr
}

func (ptr *QDate) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QDate) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQDate(ptr QDate_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDate_PTR().Pointer()
	}
	return nil
}

func (n *QDate) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQDateFromPointer(ptr unsafe.Pointer) (n *QDate) {
	n = new(QDate)
	n.InitFromInternal(uintptr(ptr), "core.QDate")
	return
}

func (ptr *QDate) DestroyQDate() {
}

//go:generate stringer -type=QDate__MonthNameType
//QDate::MonthNameType
type QDate__MonthNameType int64

const (
	QDate__DateFormat       QDate__MonthNameType = QDate__MonthNameType(0)
	QDate__StandaloneFormat QDate__MonthNameType = QDate__MonthNameType(1)
)

func NewQDate2() *QDate {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDate2", ""}).(*QDate)
}

func NewQDate3(y int, m int, d int) *QDate {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDate3", "", y, m, d}).(*QDate)
}

func (ptr *QDate) AddDays(ndays int64) *QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddDays", ndays}).(*QDate)
}

func (ptr *QDate) AddMonths(nmonths int) *QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddMonths", nmonths}).(*QDate)
}

func (ptr *QDate) AddYears(nyears int) *QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddYears", nyears}).(*QDate)
}

func QDate_CurrentDate() *QDate {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDate_CurrentDate", ""}).(*QDate)
}

func (ptr *QDate) CurrentDate() *QDate {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDate_CurrentDate", ""}).(*QDate)
}

func (ptr *QDate) Day() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Day"}).(float64))
}

func (ptr *QDate) DayOfWeek() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DayOfWeek"}).(float64))
}

func (ptr *QDate) DayOfYear() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DayOfYear"}).(float64))
}

func (ptr *QDate) DaysInMonth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DaysInMonth"}).(float64))
}

func (ptr *QDate) DaysInYear() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DaysInYear"}).(float64))
}

func (ptr *QDate) DaysTo(d QDate_ITF) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DaysTo", d}).(float64))
}

func QDate_FromJulianDay(jd int64) *QDate {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDate_FromJulianDay", "", jd}).(*QDate)
}

func (ptr *QDate) FromJulianDay(jd int64) *QDate {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDate_FromJulianDay", "", jd}).(*QDate)
}

func QDate_FromString(stri string, format Qt__DateFormat) *QDate {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDate_FromString", "", stri, format}).(*QDate)
}

func (ptr *QDate) FromString(stri string, format Qt__DateFormat) *QDate {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDate_FromString", "", stri, format}).(*QDate)
}

func QDate_FromString2(stri string, format string) *QDate {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDate_FromString2", "", stri, format}).(*QDate)
}

func (ptr *QDate) FromString2(stri string, format string) *QDate {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDate_FromString2", "", stri, format}).(*QDate)
}

func (ptr *QDate) GetDate(year int, month int, day int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetDate", year, month, day})
}

func QDate_IsLeapYear(year int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDate_IsLeapYear", "", year}).(bool)
}

func (ptr *QDate) IsLeapYear(year int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDate_IsLeapYear", "", year}).(bool)
}

func (ptr *QDate) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QDate) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func QDate_IsValid2(year int, month int, day int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDate_IsValid2", "", year, month, day}).(bool)
}

func (ptr *QDate) IsValid2(year int, month int, day int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDate_IsValid2", "", year, month, day}).(bool)
}

func (ptr *QDate) Month() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Month"}).(float64))
}

func (ptr *QDate) SetDate(year int, month int, day int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDate", year, month, day}).(bool)
}

func (ptr *QDate) ToJulianDay() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToJulianDay"}).(float64))
}

func (ptr *QDate) ToString(format string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString", format}).(string)
}

func (ptr *QDate) ToString2(format Qt__DateFormat) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString2", format}).(string)
}

func (ptr *QDate) ToString3(format QStringView_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString3", format}).(string)
}

func (ptr *QDate) WeekNumber(yearNumber int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WeekNumber", yearNumber}).(float64))
}

func (ptr *QDate) Year() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Year"}).(float64))
}

type QDateTime struct {
	internal.Internal
}

type QDateTime_ITF interface {
	QDateTime_PTR() *QDateTime
}

func (ptr *QDateTime) QDateTime_PTR() *QDateTime {
	return ptr
}

func (ptr *QDateTime) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QDateTime) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQDateTime(ptr QDateTime_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDateTime_PTR().Pointer()
	}
	return nil
}

func (n *QDateTime) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQDateTimeFromPointer(ptr unsafe.Pointer) (n *QDateTime) {
	n = new(QDateTime)
	n.InitFromInternal(uintptr(ptr), "core.QDateTime")
	return
}
func NewQDateTime() *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDateTime", ""}).(*QDateTime)
}

func NewQDateTime2(date QDate_ITF) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDateTime2", "", date}).(*QDateTime)
}

func NewQDateTime3(date QDate_ITF, ti QTime_ITF, spec Qt__TimeSpec) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDateTime3", "", date, ti, spec}).(*QDateTime)
}

func NewQDateTime4(date QDate_ITF, ti QTime_ITF, spec Qt__TimeSpec, offsetSeconds int) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDateTime4", "", date, ti, spec, offsetSeconds}).(*QDateTime)
}

func NewQDateTime5(date QDate_ITF, ti QTime_ITF, timeZone QTimeZone_ITF) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDateTime5", "", date, ti, timeZone}).(*QDateTime)
}

func NewQDateTime6(other QDateTime_ITF) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDateTime6", "", other}).(*QDateTime)
}

func NewQDateTime7(other QDateTime_ITF) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDateTime7", "", other}).(*QDateTime)
}

func (ptr *QDateTime) AddDays(ndays int64) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddDays", ndays}).(*QDateTime)
}

func (ptr *QDateTime) AddMSecs(msecs int64) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddMSecs", msecs}).(*QDateTime)
}

func (ptr *QDateTime) AddMonths(nmonths int) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddMonths", nmonths}).(*QDateTime)
}

func (ptr *QDateTime) AddSecs(s int64) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddSecs", s}).(*QDateTime)
}

func (ptr *QDateTime) AddYears(nyears int) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddYears", nyears}).(*QDateTime)
}

func QDateTime_CurrentDateTime() *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_CurrentDateTime", ""}).(*QDateTime)
}

func (ptr *QDateTime) CurrentDateTime() *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_CurrentDateTime", ""}).(*QDateTime)
}

func QDateTime_CurrentDateTimeUtc() *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_CurrentDateTimeUtc", ""}).(*QDateTime)
}

func (ptr *QDateTime) CurrentDateTimeUtc() *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_CurrentDateTimeUtc", ""}).(*QDateTime)
}

func QDateTime_CurrentMSecsSinceEpoch() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_CurrentMSecsSinceEpoch", ""}).(float64))
}

func (ptr *QDateTime) CurrentMSecsSinceEpoch() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_CurrentMSecsSinceEpoch", ""}).(float64))
}

func QDateTime_CurrentSecsSinceEpoch() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_CurrentSecsSinceEpoch", ""}).(float64))
}

func (ptr *QDateTime) CurrentSecsSinceEpoch() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_CurrentSecsSinceEpoch", ""}).(float64))
}

func (ptr *QDateTime) Date() *QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Date"}).(*QDate)
}

func (ptr *QDateTime) DaysTo(other QDateTime_ITF) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DaysTo", other}).(float64))
}

func QDateTime_FromMSecsSinceEpoch(msecs int64) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_FromMSecsSinceEpoch", "", msecs}).(*QDateTime)
}

func (ptr *QDateTime) FromMSecsSinceEpoch(msecs int64) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_FromMSecsSinceEpoch", "", msecs}).(*QDateTime)
}

func QDateTime_FromMSecsSinceEpoch2(msecs int64, spec Qt__TimeSpec, offsetSeconds int) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_FromMSecsSinceEpoch2", "", msecs, spec, offsetSeconds}).(*QDateTime)
}

func (ptr *QDateTime) FromMSecsSinceEpoch2(msecs int64, spec Qt__TimeSpec, offsetSeconds int) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_FromMSecsSinceEpoch2", "", msecs, spec, offsetSeconds}).(*QDateTime)
}

func QDateTime_FromMSecsSinceEpoch3(msecs int64, timeZone QTimeZone_ITF) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_FromMSecsSinceEpoch3", "", msecs, timeZone}).(*QDateTime)
}

func (ptr *QDateTime) FromMSecsSinceEpoch3(msecs int64, timeZone QTimeZone_ITF) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_FromMSecsSinceEpoch3", "", msecs, timeZone}).(*QDateTime)
}

func QDateTime_FromSecsSinceEpoch(secs int64, spec Qt__TimeSpec, offsetSeconds int) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_FromSecsSinceEpoch", "", secs, spec, offsetSeconds}).(*QDateTime)
}

func (ptr *QDateTime) FromSecsSinceEpoch(secs int64, spec Qt__TimeSpec, offsetSeconds int) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_FromSecsSinceEpoch", "", secs, spec, offsetSeconds}).(*QDateTime)
}

func QDateTime_FromSecsSinceEpoch2(secs int64, timeZone QTimeZone_ITF) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_FromSecsSinceEpoch2", "", secs, timeZone}).(*QDateTime)
}

func (ptr *QDateTime) FromSecsSinceEpoch2(secs int64, timeZone QTimeZone_ITF) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_FromSecsSinceEpoch2", "", secs, timeZone}).(*QDateTime)
}

func QDateTime_FromString(stri string, format Qt__DateFormat) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_FromString", "", stri, format}).(*QDateTime)
}

func (ptr *QDateTime) FromString(stri string, format Qt__DateFormat) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_FromString", "", stri, format}).(*QDateTime)
}

func QDateTime_FromString2(stri string, format string) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_FromString2", "", stri, format}).(*QDateTime)
}

func (ptr *QDateTime) FromString2(stri string, format string) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDateTime_FromString2", "", stri, format}).(*QDateTime)
}

func (ptr *QDateTime) IsDaylightTime() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDaylightTime"}).(bool)
}

func (ptr *QDateTime) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QDateTime) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QDateTime) MsecsTo(other QDateTime_ITF) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MsecsTo", other}).(float64))
}

func (ptr *QDateTime) OffsetFromUtc() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OffsetFromUtc"}).(float64))
}

func (ptr *QDateTime) SecsTo(other QDateTime_ITF) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SecsTo", other}).(float64))
}

func (ptr *QDateTime) SetDate(date QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDate", date})
}

func (ptr *QDateTime) SetMSecsSinceEpoch(msecs int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMSecsSinceEpoch", msecs})
}

func (ptr *QDateTime) SetOffsetFromUtc(offsetSeconds int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffsetFromUtc", offsetSeconds})
}

func (ptr *QDateTime) SetSecsSinceEpoch(secs int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSecsSinceEpoch", secs})
}

func (ptr *QDateTime) SetTime(ti QTime_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTime", ti})
}

func (ptr *QDateTime) SetTimeSpec(spec Qt__TimeSpec) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTimeSpec", spec})
}

func (ptr *QDateTime) SetTimeZone(toZone QTimeZone_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTimeZone", toZone})
}

func (ptr *QDateTime) Swap(other QDateTime_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QDateTime) Time() *QTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Time"}).(*QTime)
}

func (ptr *QDateTime) TimeSpec() Qt__TimeSpec {

	return Qt__TimeSpec(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimeSpec"}).(float64))
}

func (ptr *QDateTime) TimeZone() *QTimeZone {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimeZone"}).(*QTimeZone)
}

func (ptr *QDateTime) TimeZoneAbbreviation() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimeZoneAbbreviation"}).(string)
}

func (ptr *QDateTime) ToLocalTime() *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLocalTime"}).(*QDateTime)
}

func (ptr *QDateTime) ToMSecsSinceEpoch() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToMSecsSinceEpoch"}).(float64))
}

func (ptr *QDateTime) ToOffsetFromUtc(offsetSeconds int) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToOffsetFromUtc", offsetSeconds}).(*QDateTime)
}

func (ptr *QDateTime) ToSecsSinceEpoch() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToSecsSinceEpoch"}).(float64))
}

func (ptr *QDateTime) ToString(format string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString", format}).(string)
}

func (ptr *QDateTime) ToString2(format Qt__DateFormat) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString2", format}).(string)
}

func (ptr *QDateTime) ToString3(format QStringView_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString3", format}).(string)
}

func (ptr *QDateTime) ToTimeSpec(spec Qt__TimeSpec) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToTimeSpec", spec}).(*QDateTime)
}

func (ptr *QDateTime) ToTimeZone(timeZone QTimeZone_ITF) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToTimeZone", timeZone}).(*QDateTime)
}

func (ptr *QDateTime) ToUTC() *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUTC"}).(*QDateTime)
}

func (ptr *QDateTime) DestroyQDateTime() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDateTime"})
}

type QDeadlineTimer struct {
	internal.Internal
}

type QDeadlineTimer_ITF interface {
	QDeadlineTimer_PTR() *QDeadlineTimer
}

func (ptr *QDeadlineTimer) QDeadlineTimer_PTR() *QDeadlineTimer {
	return ptr
}

func (ptr *QDeadlineTimer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QDeadlineTimer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQDeadlineTimer(ptr QDeadlineTimer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDeadlineTimer_PTR().Pointer()
	}
	return nil
}

func (n *QDeadlineTimer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQDeadlineTimerFromPointer(ptr unsafe.Pointer) (n *QDeadlineTimer) {
	n = new(QDeadlineTimer)
	n.InitFromInternal(uintptr(ptr), "core.QDeadlineTimer")
	return
}

func (ptr *QDeadlineTimer) DestroyQDeadlineTimer() {
}

//go:generate stringer -type=QDeadlineTimer__ForeverConstant
//QDeadlineTimer::ForeverConstant
type QDeadlineTimer__ForeverConstant int64

const (
	QDeadlineTimer__Forever QDeadlineTimer__ForeverConstant = QDeadlineTimer__ForeverConstant(0)
)

func NewQDeadlineTimer(timerType Qt__TimerType) *QDeadlineTimer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDeadlineTimer", "", timerType}).(*QDeadlineTimer)
}

func NewQDeadlineTimer2(vqd QDeadlineTimer__ForeverConstant, timerType Qt__TimerType) *QDeadlineTimer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDeadlineTimer2", "", vqd, timerType}).(*QDeadlineTimer)
}

func NewQDeadlineTimer3(msecs int64, ty Qt__TimerType) *QDeadlineTimer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDeadlineTimer3", "", msecs, ty}).(*QDeadlineTimer)
}

func (ptr *QDeadlineTimer) Deadline() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Deadline"}).(float64))
}

func (ptr *QDeadlineTimer) DeadlineNSecs() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeadlineNSecs"}).(float64))
}

func (ptr *QDeadlineTimer) HasExpired() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasExpired"}).(bool)
}

func (ptr *QDeadlineTimer) IsForever() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsForever"}).(bool)
}

func (ptr *QDeadlineTimer) RemainingTime() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemainingTime"}).(float64))
}

func (ptr *QDeadlineTimer) RemainingTimeNSecs() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemainingTimeNSecs"}).(float64))
}

func (ptr *QDeadlineTimer) SetDeadline(msecs int64, timerType Qt__TimerType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDeadline", msecs, timerType})
}

func (ptr *QDeadlineTimer) SetPreciseDeadline(secs int64, nsecs int64, timerType Qt__TimerType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPreciseDeadline", secs, nsecs, timerType})
}

func (ptr *QDeadlineTimer) SetPreciseRemainingTime(secs int64, nsecs int64, timerType Qt__TimerType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPreciseRemainingTime", secs, nsecs, timerType})
}

func (ptr *QDeadlineTimer) SetRemainingTime(msecs int64, timerType Qt__TimerType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRemainingTime", msecs, timerType})
}

func (ptr *QDeadlineTimer) SetTimerType(timerType Qt__TimerType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTimerType", timerType})
}

func (ptr *QDeadlineTimer) Swap(other QDeadlineTimer_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QDeadlineTimer) TimerType() Qt__TimerType {

	return Qt__TimerType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerType"}).(float64))
}

type QDebug struct {
	internal.Internal
}

type QDebug_ITF interface {
	QDebug_PTR() *QDebug
}

func (ptr *QDebug) QDebug_PTR() *QDebug {
	return ptr
}

func (ptr *QDebug) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QDebug) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQDebug(ptr QDebug_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDebug_PTR().Pointer()
	}
	return nil
}

func (n *QDebug) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQDebugFromPointer(ptr unsafe.Pointer) (n *QDebug) {
	n = new(QDebug)
	n.InitFromInternal(uintptr(ptr), "core.QDebug")
	return
}

//go:generate stringer -type=QDebug__VerbosityLevel
//QDebug::VerbosityLevel
type QDebug__VerbosityLevel int64

const (
	QDebug__MinimumVerbosity QDebug__VerbosityLevel = QDebug__VerbosityLevel(0)
	QDebug__DefaultVerbosity QDebug__VerbosityLevel = QDebug__VerbosityLevel(2)
	QDebug__MaximumVerbosity QDebug__VerbosityLevel = QDebug__VerbosityLevel(7)
)

func NewQDebug(device QIODevice_ITF) *QDebug {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDebug", "", device}).(*QDebug)
}

func NewQDebug2(stri string) *QDebug {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDebug2", "", stri}).(*QDebug)
}

func NewQDebug4(o QDebug_ITF) *QDebug {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDebug4", "", o}).(*QDebug)
}

func (ptr *QDebug) AutoInsertSpaces() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoInsertSpaces"}).(bool)
}

func (ptr *QDebug) MaybeQuote(c string) *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaybeQuote", c}).(*QDebug)
}

func (ptr *QDebug) MaybeSpace() *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaybeSpace"}).(*QDebug)
}

func (ptr *QDebug) Noquote() *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Noquote"}).(*QDebug)
}

func (ptr *QDebug) Nospace() *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Nospace"}).(*QDebug)
}

func (ptr *QDebug) Quote() *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Quote"}).(*QDebug)
}

func (ptr *QDebug) ResetFormat() *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetFormat"}).(*QDebug)
}

func (ptr *QDebug) SetAutoInsertSpaces(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoInsertSpaces", b})
}

func (ptr *QDebug) SetVerbosity(verbosityLevel int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerbosity", verbosityLevel})
}

func (ptr *QDebug) Space() *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Space"}).(*QDebug)
}

func (ptr *QDebug) Swap(other QDebug_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QDebug) Verbosity(verbosityLevel int) *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Verbosity", verbosityLevel}).(*QDebug)
}

func (ptr *QDebug) Verbosity2() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Verbosity2"}).(float64))
}

func (ptr *QDebug) DestroyQDebug() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDebug"})
}

type QDebugStateSaver struct {
	internal.Internal
}

type QDebugStateSaver_ITF interface {
	QDebugStateSaver_PTR() *QDebugStateSaver
}

func (ptr *QDebugStateSaver) QDebugStateSaver_PTR() *QDebugStateSaver {
	return ptr
}

func (ptr *QDebugStateSaver) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QDebugStateSaver) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQDebugStateSaver(ptr QDebugStateSaver_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDebugStateSaver_PTR().Pointer()
	}
	return nil
}

func (n *QDebugStateSaver) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQDebugStateSaverFromPointer(ptr unsafe.Pointer) (n *QDebugStateSaver) {
	n = new(QDebugStateSaver)
	n.InitFromInternal(uintptr(ptr), "core.QDebugStateSaver")
	return
}
func NewQDebugStateSaver(dbg QDebug_ITF) *QDebugStateSaver {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDebugStateSaver", "", dbg}).(*QDebugStateSaver)
}

func (ptr *QDebugStateSaver) DestroyQDebugStateSaver() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDebugStateSaver"})
}

type QDeferredDeleteEvent struct {
	QEvent
}

type QDeferredDeleteEvent_ITF interface {
	QEvent_ITF
	QDeferredDeleteEvent_PTR() *QDeferredDeleteEvent
}

func (ptr *QDeferredDeleteEvent) QDeferredDeleteEvent_PTR() *QDeferredDeleteEvent {
	return ptr
}

func (ptr *QDeferredDeleteEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QDeferredDeleteEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQDeferredDeleteEvent(ptr QDeferredDeleteEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDeferredDeleteEvent_PTR().Pointer()
	}
	return nil
}

func (n *QDeferredDeleteEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDeferredDeleteEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQDeferredDeleteEventFromPointer(ptr unsafe.Pointer) (n *QDeferredDeleteEvent) {
	n = new(QDeferredDeleteEvent)
	n.InitFromInternal(uintptr(ptr), "core.QDeferredDeleteEvent")
	return
}

func (ptr *QDeferredDeleteEvent) DestroyQDeferredDeleteEvent() {
}

func NewQDeferredDeleteEvent() *QDeferredDeleteEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDeferredDeleteEvent", ""}).(*QDeferredDeleteEvent)
}

func (ptr *QDeferredDeleteEvent) LoopLevel() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoopLevel"}).(float64))
}

type QDir struct {
	internal.Internal
}

type QDir_ITF interface {
	QDir_PTR() *QDir
}

func (ptr *QDir) QDir_PTR() *QDir {
	return ptr
}

func (ptr *QDir) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QDir) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQDir(ptr QDir_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDir_PTR().Pointer()
	}
	return nil
}

func (n *QDir) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQDirFromPointer(ptr unsafe.Pointer) (n *QDir) {
	n = new(QDir)
	n.InitFromInternal(uintptr(ptr), "core.QDir")
	return
}

//go:generate stringer -type=QDir__Filter
//QDir::Filter
type QDir__Filter int64

const (
	QDir__Dirs           QDir__Filter = QDir__Filter(0x001)
	QDir__Files          QDir__Filter = QDir__Filter(0x002)
	QDir__Drives         QDir__Filter = QDir__Filter(0x004)
	QDir__NoSymLinks     QDir__Filter = QDir__Filter(0x008)
	QDir__AllEntries     QDir__Filter = QDir__Filter(QDir__Dirs | QDir__Files | QDir__Drives)
	QDir__TypeMask       QDir__Filter = QDir__Filter(0x00f)
	QDir__Readable       QDir__Filter = QDir__Filter(0x010)
	QDir__Writable       QDir__Filter = QDir__Filter(0x020)
	QDir__Executable     QDir__Filter = QDir__Filter(0x040)
	QDir__PermissionMask QDir__Filter = QDir__Filter(0x070)
	QDir__Modified       QDir__Filter = QDir__Filter(0x080)
	QDir__Hidden         QDir__Filter = QDir__Filter(0x100)
	QDir__System         QDir__Filter = QDir__Filter(0x200)
	QDir__AccessMask     QDir__Filter = QDir__Filter(0x3F0)
	QDir__AllDirs        QDir__Filter = QDir__Filter(0x400)
	QDir__CaseSensitive  QDir__Filter = QDir__Filter(0x800)
	QDir__NoDot          QDir__Filter = QDir__Filter(0x2000)
	QDir__NoDotDot       QDir__Filter = QDir__Filter(0x4000)
	QDir__NoDotAndDotDot QDir__Filter = QDir__Filter(QDir__NoDot | QDir__NoDotDot)
	QDir__NoFilter       QDir__Filter = QDir__Filter(-1)
)

//go:generate stringer -type=QDir__SortFlag
//QDir::SortFlag
type QDir__SortFlag int64

const (
	QDir__Name        QDir__SortFlag = QDir__SortFlag(0x00)
	QDir__Time        QDir__SortFlag = QDir__SortFlag(0x01)
	QDir__Size        QDir__SortFlag = QDir__SortFlag(0x02)
	QDir__Unsorted    QDir__SortFlag = QDir__SortFlag(0x03)
	QDir__SortByMask  QDir__SortFlag = QDir__SortFlag(0x03)
	QDir__DirsFirst   QDir__SortFlag = QDir__SortFlag(0x04)
	QDir__Reversed    QDir__SortFlag = QDir__SortFlag(0x08)
	QDir__IgnoreCase  QDir__SortFlag = QDir__SortFlag(0x10)
	QDir__DirsLast    QDir__SortFlag = QDir__SortFlag(0x20)
	QDir__LocaleAware QDir__SortFlag = QDir__SortFlag(0x40)
	QDir__Type        QDir__SortFlag = QDir__SortFlag(0x80)
	QDir__NoSort      QDir__SortFlag = QDir__SortFlag(-1)
)

func NewQDir(dir QDir_ITF) *QDir {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDir", "", dir}).(*QDir)
}

func NewQDir2(path string) *QDir {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDir2", "", path}).(*QDir)
}

func NewQDir3(path string, nameFilter string, sort QDir__SortFlag, filters QDir__Filter) *QDir {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDir3", "", path, nameFilter, sort, filters}).(*QDir)
}

func (ptr *QDir) AbsoluteFilePath(fileName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AbsoluteFilePath", fileName}).(string)
}

func (ptr *QDir) AbsolutePath() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AbsolutePath"}).(string)
}

func QDir_AddSearchPath(prefix string, path string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QDir_AddSearchPath", "", prefix, path})
}

func (ptr *QDir) AddSearchPath(prefix string, path string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QDir_AddSearchPath", "", prefix, path})
}

func (ptr *QDir) CanonicalPath() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanonicalPath"}).(string)
}

func (ptr *QDir) Cd(dirName string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Cd", dirName}).(bool)
}

func (ptr *QDir) CdUp() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CdUp"}).(bool)
}

func QDir_CleanPath(path string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_CleanPath", "", path}).(string)
}

func (ptr *QDir) CleanPath(path string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_CleanPath", "", path}).(string)
}

func (ptr *QDir) Count() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func QDir_Current() *QDir {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Current", ""}).(*QDir)
}

func (ptr *QDir) Current() *QDir {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Current", ""}).(*QDir)
}

func QDir_CurrentPath() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_CurrentPath", ""}).(string)
}

func (ptr *QDir) CurrentPath() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_CurrentPath", ""}).(string)
}

func (ptr *QDir) DirName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DirName"}).(string)
}

func QDir_Drives() []*QFileInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Drives", ""}).([]*QFileInfo)
}

func (ptr *QDir) Drives() []*QFileInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Drives", ""}).([]*QFileInfo)
}

func (ptr *QDir) EntryInfoList(nameFilters []string, filters QDir__Filter, sort QDir__SortFlag) []*QFileInfo {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EntryInfoList", nameFilters, filters, sort}).([]*QFileInfo)
}

func (ptr *QDir) EntryInfoList2(filters QDir__Filter, sort QDir__SortFlag) []*QFileInfo {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EntryInfoList2", filters, sort}).([]*QFileInfo)
}

func (ptr *QDir) EntryList(nameFilters []string, filters QDir__Filter, sort QDir__SortFlag) []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EntryList", nameFilters, filters, sort}).([]string)
}

func (ptr *QDir) EntryList2(filters QDir__Filter, sort QDir__SortFlag) []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EntryList2", filters, sort}).([]string)
}

func (ptr *QDir) Exists(name string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exists", name}).(bool)
}

func (ptr *QDir) Exists2() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exists2"}).(bool)
}

func (ptr *QDir) FilePath(fileName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilePath", fileName}).(string)
}

func (ptr *QDir) Filter() QDir__Filter {

	return QDir__Filter(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Filter"}).(float64))
}

func QDir_FromNativeSeparators(pathName string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_FromNativeSeparators", "", pathName}).(string)
}

func (ptr *QDir) FromNativeSeparators(pathName string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_FromNativeSeparators", "", pathName}).(string)
}

func QDir_Home() *QDir {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Home", ""}).(*QDir)
}

func (ptr *QDir) Home() *QDir {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Home", ""}).(*QDir)
}

func QDir_HomePath() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_HomePath", ""}).(string)
}

func (ptr *QDir) HomePath() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_HomePath", ""}).(string)
}

func (ptr *QDir) IsAbsolute() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAbsolute"}).(bool)
}

func QDir_IsAbsolutePath(path string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_IsAbsolutePath", "", path}).(bool)
}

func (ptr *QDir) IsAbsolutePath(path string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_IsAbsolutePath", "", path}).(bool)
}

func (ptr *QDir) IsEmpty(filters QDir__Filter) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty", filters}).(bool)
}

func (ptr *QDir) IsReadable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadable"}).(bool)
}

func (ptr *QDir) IsRelative() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRelative"}).(bool)
}

func QDir_IsRelativePath(path string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_IsRelativePath", "", path}).(bool)
}

func (ptr *QDir) IsRelativePath(path string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_IsRelativePath", "", path}).(bool)
}

func (ptr *QDir) IsRoot() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRoot"}).(bool)
}

func QDir_ListSeparator() *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_ListSeparator", ""}).(*QChar)
}

func (ptr *QDir) ListSeparator() *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_ListSeparator", ""}).(*QChar)
}

func (ptr *QDir) MakeAbsolute() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MakeAbsolute"}).(bool)
}

func QDir_Match(filter string, fileName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Match", "", filter, fileName}).(bool)
}

func (ptr *QDir) Match(filter string, fileName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Match", "", filter, fileName}).(bool)
}

func QDir_Match2(filters []string, fileName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Match2", "", filters, fileName}).(bool)
}

func (ptr *QDir) Match2(filters []string, fileName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Match2", "", filters, fileName}).(bool)
}

func (ptr *QDir) Mkdir(dirName string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mkdir", dirName}).(bool)
}

func (ptr *QDir) Mkpath(dirPath string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mkpath", dirPath}).(bool)
}

func (ptr *QDir) NameFilters() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NameFilters"}).([]string)
}

func (ptr *QDir) Path() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Path"}).(string)
}

func (ptr *QDir) Refresh() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Refresh"})
}

func (ptr *QDir) RelativeFilePath(fileName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RelativeFilePath", fileName}).(string)
}

func (ptr *QDir) Remove(fileName string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove", fileName}).(bool)
}

func (ptr *QDir) RemoveRecursively() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRecursively"}).(bool)
}

func (ptr *QDir) Rename(oldName string, newName string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rename", oldName, newName}).(bool)
}

func (ptr *QDir) Rmdir(dirName string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rmdir", dirName}).(bool)
}

func (ptr *QDir) Rmpath(dirPath string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rmpath", dirPath}).(bool)
}

func QDir_Root() *QDir {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Root", ""}).(*QDir)
}

func (ptr *QDir) Root() *QDir {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Root", ""}).(*QDir)
}

func QDir_RootPath() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_RootPath", ""}).(string)
}

func (ptr *QDir) RootPath() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_RootPath", ""}).(string)
}

func QDir_SearchPaths(prefix string) []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_SearchPaths", "", prefix}).([]string)
}

func (ptr *QDir) SearchPaths(prefix string) []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_SearchPaths", "", prefix}).([]string)
}

func QDir_Separator() *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Separator", ""}).(*QChar)
}

func (ptr *QDir) Separator() *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Separator", ""}).(*QChar)
}

func QDir_SetCurrent(path string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_SetCurrent", "", path}).(bool)
}

func (ptr *QDir) SetCurrent(path string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_SetCurrent", "", path}).(bool)
}

func (ptr *QDir) SetFilter(filters QDir__Filter) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilter", filters})
}

func (ptr *QDir) SetNameFilters(nameFilters []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNameFilters", nameFilters})
}

func (ptr *QDir) SetPath(path string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPath", path})
}

func QDir_SetSearchPaths(prefix string, searchPaths []string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QDir_SetSearchPaths", "", prefix, searchPaths})
}

func (ptr *QDir) SetSearchPaths(prefix string, searchPaths []string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QDir_SetSearchPaths", "", prefix, searchPaths})
}

func (ptr *QDir) SetSorting(sort QDir__SortFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSorting", sort})
}

func (ptr *QDir) Sorting() QDir__SortFlag {

	return QDir__SortFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Sorting"}).(float64))
}

func (ptr *QDir) Swap(other QDir_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func QDir_Temp() *QDir {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Temp", ""}).(*QDir)
}

func (ptr *QDir) Temp() *QDir {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_Temp", ""}).(*QDir)
}

func QDir_TempPath() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_TempPath", ""}).(string)
}

func (ptr *QDir) TempPath() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_TempPath", ""}).(string)
}

func QDir_ToNativeSeparators(pathName string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_ToNativeSeparators", "", pathName}).(string)
}

func (ptr *QDir) ToNativeSeparators(pathName string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QDir_ToNativeSeparators", "", pathName}).(string)
}

func (ptr *QDir) DestroyQDir() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDir"})
}

func (ptr *QDir) __drives_atList(i int) *QFileInfo {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drives_atList", i}).(*QFileInfo)
}

func (ptr *QDir) __drives_setList(i QFileInfo_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drives_setList", i})
}

func (ptr *QDir) __drives_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drives_newList"}).(unsafe.Pointer)
}

func (ptr *QDir) __entryInfoList_atList(i int) *QFileInfo {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__entryInfoList_atList", i}).(*QFileInfo)
}

func (ptr *QDir) __entryInfoList_setList(i QFileInfo_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__entryInfoList_setList", i})
}

func (ptr *QDir) __entryInfoList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__entryInfoList_newList"}).(unsafe.Pointer)
}

func (ptr *QDir) __entryInfoList_atList2(i int) *QFileInfo {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__entryInfoList_atList2", i}).(*QFileInfo)
}

func (ptr *QDir) __entryInfoList_setList2(i QFileInfo_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__entryInfoList_setList2", i})
}

func (ptr *QDir) __entryInfoList_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__entryInfoList_newList2"}).(unsafe.Pointer)
}

type QDirIterator struct {
	internal.Internal
}

type QDirIterator_ITF interface {
	QDirIterator_PTR() *QDirIterator
}

func (ptr *QDirIterator) QDirIterator_PTR() *QDirIterator {
	return ptr
}

func (ptr *QDirIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QDirIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQDirIterator(ptr QDirIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDirIterator_PTR().Pointer()
	}
	return nil
}

func (n *QDirIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQDirIteratorFromPointer(ptr unsafe.Pointer) (n *QDirIterator) {
	n = new(QDirIterator)
	n.InitFromInternal(uintptr(ptr), "core.QDirIterator")
	return
}

//go:generate stringer -type=QDirIterator__IteratorFlag
//QDirIterator::IteratorFlag
type QDirIterator__IteratorFlag int64

const (
	QDirIterator__NoIteratorFlags QDirIterator__IteratorFlag = QDirIterator__IteratorFlag(0x0)
	QDirIterator__FollowSymlinks  QDirIterator__IteratorFlag = QDirIterator__IteratorFlag(0x1)
	QDirIterator__Subdirectories  QDirIterator__IteratorFlag = QDirIterator__IteratorFlag(0x2)
)

type QDynamicPropertyChangeEvent struct {
	QEvent
}

type QDynamicPropertyChangeEvent_ITF interface {
	QEvent_ITF
	QDynamicPropertyChangeEvent_PTR() *QDynamicPropertyChangeEvent
}

func (ptr *QDynamicPropertyChangeEvent) QDynamicPropertyChangeEvent_PTR() *QDynamicPropertyChangeEvent {
	return ptr
}

func (ptr *QDynamicPropertyChangeEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QDynamicPropertyChangeEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQDynamicPropertyChangeEvent(ptr QDynamicPropertyChangeEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDynamicPropertyChangeEvent_PTR().Pointer()
	}
	return nil
}

func (n *QDynamicPropertyChangeEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDynamicPropertyChangeEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQDynamicPropertyChangeEventFromPointer(ptr unsafe.Pointer) (n *QDynamicPropertyChangeEvent) {
	n = new(QDynamicPropertyChangeEvent)
	n.InitFromInternal(uintptr(ptr), "core.QDynamicPropertyChangeEvent")
	return
}

func (ptr *QDynamicPropertyChangeEvent) DestroyQDynamicPropertyChangeEvent() {
}

func NewQDynamicPropertyChangeEvent(name QByteArray_ITF) *QDynamicPropertyChangeEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQDynamicPropertyChangeEvent", "", name}).(*QDynamicPropertyChangeEvent)
}

func (ptr *QDynamicPropertyChangeEvent) PropertyName() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PropertyName"}).(*QByteArray)
}

type QEasingCurve struct {
	internal.Internal
}

type QEasingCurve_ITF interface {
	QEasingCurve_PTR() *QEasingCurve
}

func (ptr *QEasingCurve) QEasingCurve_PTR() *QEasingCurve {
	return ptr
}

func (ptr *QEasingCurve) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QEasingCurve) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQEasingCurve(ptr QEasingCurve_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QEasingCurve_PTR().Pointer()
	}
	return nil
}

func (n *QEasingCurve) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQEasingCurveFromPointer(ptr unsafe.Pointer) (n *QEasingCurve) {
	n = new(QEasingCurve)
	n.InitFromInternal(uintptr(ptr), "core.QEasingCurve")
	return
}

//go:generate stringer -type=QEasingCurve__Type
//QEasingCurve::Type
type QEasingCurve__Type int64

const (
	QEasingCurve__Linear       QEasingCurve__Type = QEasingCurve__Type(0)
	QEasingCurve__InQuad       QEasingCurve__Type = QEasingCurve__Type(1)
	QEasingCurve__OutQuad      QEasingCurve__Type = QEasingCurve__Type(2)
	QEasingCurve__InOutQuad    QEasingCurve__Type = QEasingCurve__Type(3)
	QEasingCurve__OutInQuad    QEasingCurve__Type = QEasingCurve__Type(4)
	QEasingCurve__InCubic      QEasingCurve__Type = QEasingCurve__Type(5)
	QEasingCurve__OutCubic     QEasingCurve__Type = QEasingCurve__Type(6)
	QEasingCurve__InOutCubic   QEasingCurve__Type = QEasingCurve__Type(7)
	QEasingCurve__OutInCubic   QEasingCurve__Type = QEasingCurve__Type(8)
	QEasingCurve__InQuart      QEasingCurve__Type = QEasingCurve__Type(9)
	QEasingCurve__OutQuart     QEasingCurve__Type = QEasingCurve__Type(10)
	QEasingCurve__InOutQuart   QEasingCurve__Type = QEasingCurve__Type(11)
	QEasingCurve__OutInQuart   QEasingCurve__Type = QEasingCurve__Type(12)
	QEasingCurve__InQuint      QEasingCurve__Type = QEasingCurve__Type(13)
	QEasingCurve__OutQuint     QEasingCurve__Type = QEasingCurve__Type(14)
	QEasingCurve__InOutQuint   QEasingCurve__Type = QEasingCurve__Type(15)
	QEasingCurve__OutInQuint   QEasingCurve__Type = QEasingCurve__Type(16)
	QEasingCurve__InSine       QEasingCurve__Type = QEasingCurve__Type(17)
	QEasingCurve__OutSine      QEasingCurve__Type = QEasingCurve__Type(18)
	QEasingCurve__InOutSine    QEasingCurve__Type = QEasingCurve__Type(19)
	QEasingCurve__OutInSine    QEasingCurve__Type = QEasingCurve__Type(20)
	QEasingCurve__InExpo       QEasingCurve__Type = QEasingCurve__Type(21)
	QEasingCurve__OutExpo      QEasingCurve__Type = QEasingCurve__Type(22)
	QEasingCurve__InOutExpo    QEasingCurve__Type = QEasingCurve__Type(23)
	QEasingCurve__OutInExpo    QEasingCurve__Type = QEasingCurve__Type(24)
	QEasingCurve__InCirc       QEasingCurve__Type = QEasingCurve__Type(25)
	QEasingCurve__OutCirc      QEasingCurve__Type = QEasingCurve__Type(26)
	QEasingCurve__InOutCirc    QEasingCurve__Type = QEasingCurve__Type(27)
	QEasingCurve__OutInCirc    QEasingCurve__Type = QEasingCurve__Type(28)
	QEasingCurve__InElastic    QEasingCurve__Type = QEasingCurve__Type(29)
	QEasingCurve__OutElastic   QEasingCurve__Type = QEasingCurve__Type(30)
	QEasingCurve__InOutElastic QEasingCurve__Type = QEasingCurve__Type(31)
	QEasingCurve__OutInElastic QEasingCurve__Type = QEasingCurve__Type(32)
	QEasingCurve__InBack       QEasingCurve__Type = QEasingCurve__Type(33)
	QEasingCurve__OutBack      QEasingCurve__Type = QEasingCurve__Type(34)
	QEasingCurve__InOutBack    QEasingCurve__Type = QEasingCurve__Type(35)
	QEasingCurve__OutInBack    QEasingCurve__Type = QEasingCurve__Type(36)
	QEasingCurve__InBounce     QEasingCurve__Type = QEasingCurve__Type(37)
	QEasingCurve__OutBounce    QEasingCurve__Type = QEasingCurve__Type(38)
	QEasingCurve__InOutBounce  QEasingCurve__Type = QEasingCurve__Type(39)
	QEasingCurve__OutInBounce  QEasingCurve__Type = QEasingCurve__Type(40)
	QEasingCurve__InCurve      QEasingCurve__Type = QEasingCurve__Type(41)
	QEasingCurve__OutCurve     QEasingCurve__Type = QEasingCurve__Type(42)
	QEasingCurve__SineCurve    QEasingCurve__Type = QEasingCurve__Type(43)
	QEasingCurve__CosineCurve  QEasingCurve__Type = QEasingCurve__Type(44)
	QEasingCurve__BezierSpline QEasingCurve__Type = QEasingCurve__Type(45)
	QEasingCurve__TCBSpline    QEasingCurve__Type = QEasingCurve__Type(46)
	QEasingCurve__Custom       QEasingCurve__Type = QEasingCurve__Type(47)
	QEasingCurve__NCurveTypes  QEasingCurve__Type = QEasingCurve__Type(48)
)

func NewQEasingCurve(ty QEasingCurve__Type) *QEasingCurve {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQEasingCurve", "", ty}).(*QEasingCurve)
}

func NewQEasingCurve2(other QEasingCurve_ITF) *QEasingCurve {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQEasingCurve2", "", other}).(*QEasingCurve)
}

func NewQEasingCurve3(other QEasingCurve_ITF) *QEasingCurve {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQEasingCurve3", "", other}).(*QEasingCurve)
}

func (ptr *QEasingCurve) AddCubicBezierSegment(c1 QPointF_ITF, c2 QPointF_ITF, endPoint QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddCubicBezierSegment", c1, c2, endPoint})
}

func (ptr *QEasingCurve) AddTCBSegment(nextPoint QPointF_ITF, t float64, c float64, b float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddTCBSegment", nextPoint, t, c, b})
}

func (ptr *QEasingCurve) Amplitude() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Amplitude"}).(float64)
}

func (ptr *QEasingCurve) Overshoot() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Overshoot"}).(float64)
}

func (ptr *QEasingCurve) Period() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Period"}).(float64)
}

func (ptr *QEasingCurve) SetAmplitude(amplitude float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAmplitude", amplitude})
}

func (ptr *QEasingCurve) SetOvershoot(overshoot float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOvershoot", overshoot})
}

func (ptr *QEasingCurve) SetPeriod(period float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPeriod", period})
}

func (ptr *QEasingCurve) SetType(ty QEasingCurve__Type) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetType", ty})
}

func (ptr *QEasingCurve) Swap(other QEasingCurve_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QEasingCurve) ToCubicSpline() []*QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCubicSpline"}).([]*QPointF)
}

func (ptr *QEasingCurve) Type() QEasingCurve__Type {

	return QEasingCurve__Type(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QEasingCurve) ValueForProgress(progress float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueForProgress", progress}).(float64)
}

func (ptr *QEasingCurve) DestroyQEasingCurve() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQEasingCurve"})
}

func (ptr *QEasingCurve) __cubicBezierSpline_atList(i int) *QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__cubicBezierSpline_atList", i}).(*QPointF)
}

func (ptr *QEasingCurve) __cubicBezierSpline_setList(i QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__cubicBezierSpline_setList", i})
}

func (ptr *QEasingCurve) __cubicBezierSpline_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__cubicBezierSpline_newList"}).(unsafe.Pointer)
}

func (ptr *QEasingCurve) __toCubicSpline_atList(i int) *QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toCubicSpline_atList", i}).(*QPointF)
}

func (ptr *QEasingCurve) __toCubicSpline_setList(i QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toCubicSpline_setList", i})
}

func (ptr *QEasingCurve) __toCubicSpline_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toCubicSpline_newList"}).(unsafe.Pointer)
}

type QElapsedTimer struct {
	internal.Internal
}

type QElapsedTimer_ITF interface {
	QElapsedTimer_PTR() *QElapsedTimer
}

func (ptr *QElapsedTimer) QElapsedTimer_PTR() *QElapsedTimer {
	return ptr
}

func (ptr *QElapsedTimer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QElapsedTimer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQElapsedTimer(ptr QElapsedTimer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QElapsedTimer_PTR().Pointer()
	}
	return nil
}

func (n *QElapsedTimer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQElapsedTimerFromPointer(ptr unsafe.Pointer) (n *QElapsedTimer) {
	n = new(QElapsedTimer)
	n.InitFromInternal(uintptr(ptr), "core.QElapsedTimer")
	return
}

func (ptr *QElapsedTimer) DestroyQElapsedTimer() {
}

//go:generate stringer -type=QElapsedTimer__ClockType
//QElapsedTimer::ClockType
type QElapsedTimer__ClockType int64

const (
	QElapsedTimer__SystemTime         QElapsedTimer__ClockType = QElapsedTimer__ClockType(0)
	QElapsedTimer__MonotonicClock     QElapsedTimer__ClockType = QElapsedTimer__ClockType(1)
	QElapsedTimer__TickCounter        QElapsedTimer__ClockType = QElapsedTimer__ClockType(2)
	QElapsedTimer__MachAbsoluteTime   QElapsedTimer__ClockType = QElapsedTimer__ClockType(3)
	QElapsedTimer__PerformanceCounter QElapsedTimer__ClockType = QElapsedTimer__ClockType(4)
)

func NewQElapsedTimer() *QElapsedTimer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQElapsedTimer", ""}).(*QElapsedTimer)
}

func QElapsedTimer_ClockType() QElapsedTimer__ClockType {

	return QElapsedTimer__ClockType(internal.CallLocalFunction([]interface{}{"", "", "core.QElapsedTimer_ClockType", ""}).(float64))
}

func (ptr *QElapsedTimer) ClockType() QElapsedTimer__ClockType {

	return QElapsedTimer__ClockType(internal.CallLocalFunction([]interface{}{"", "", "core.QElapsedTimer_ClockType", ""}).(float64))
}

func (ptr *QElapsedTimer) Elapsed() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Elapsed"}).(float64))
}

func (ptr *QElapsedTimer) HasExpired(timeout int64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasExpired", timeout}).(bool)
}

func (ptr *QElapsedTimer) Invalidate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Invalidate"})
}

func QElapsedTimer_IsMonotonic() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QElapsedTimer_IsMonotonic", ""}).(bool)
}

func (ptr *QElapsedTimer) IsMonotonic() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QElapsedTimer_IsMonotonic", ""}).(bool)
}

func (ptr *QElapsedTimer) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QElapsedTimer) MsecsSinceReference() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MsecsSinceReference"}).(float64))
}

func (ptr *QElapsedTimer) MsecsTo(other QElapsedTimer_ITF) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MsecsTo", other}).(float64))
}

func (ptr *QElapsedTimer) NsecsElapsed() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NsecsElapsed"}).(float64))
}

func (ptr *QElapsedTimer) Restart() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Restart"}).(float64))
}

func (ptr *QElapsedTimer) SecsTo(other QElapsedTimer_ITF) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SecsTo", other}).(float64))
}

func (ptr *QElapsedTimer) Start() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start"})
}

type QEnableSharedFromThis struct {
	internal.Internal
}

type QEnableSharedFromThis_ITF interface {
	QEnableSharedFromThis_PTR() *QEnableSharedFromThis
}

func (ptr *QEnableSharedFromThis) QEnableSharedFromThis_PTR() *QEnableSharedFromThis {
	return ptr
}

func (ptr *QEnableSharedFromThis) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QEnableSharedFromThis) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQEnableSharedFromThis(ptr QEnableSharedFromThis_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QEnableSharedFromThis_PTR().Pointer()
	}
	return nil
}

func (n *QEnableSharedFromThis) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQEnableSharedFromThisFromPointer(ptr unsafe.Pointer) (n *QEnableSharedFromThis) {
	n = new(QEnableSharedFromThis)
	n.InitFromInternal(uintptr(ptr), "core.QEnableSharedFromThis")
	return
}

func (ptr *QEnableSharedFromThis) DestroyQEnableSharedFromThis() {
}

type QEvent struct {
	internal.Internal
}

type QEvent_ITF interface {
	QEvent_PTR() *QEvent
}

func (ptr *QEvent) QEvent_PTR() *QEvent {
	return ptr
}

func (ptr *QEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQEvent(ptr QEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (n *QEvent) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQEventFromPointer(ptr unsafe.Pointer) (n *QEvent) {
	n = new(QEvent)
	n.InitFromInternal(uintptr(ptr), "core.QEvent")
	return
}

//go:generate stringer -type=QEvent__Type
//QEvent::Type
type QEvent__Type int64

const (
	QEvent__None                             QEvent__Type = QEvent__Type(0)
	QEvent__Timer                            QEvent__Type = QEvent__Type(1)
	QEvent__MouseButtonPress                 QEvent__Type = QEvent__Type(2)
	QEvent__MouseButtonRelease               QEvent__Type = QEvent__Type(3)
	QEvent__MouseButtonDblClick              QEvent__Type = QEvent__Type(4)
	QEvent__MouseMove                        QEvent__Type = QEvent__Type(5)
	QEvent__KeyPress                         QEvent__Type = QEvent__Type(6)
	QEvent__KeyRelease                       QEvent__Type = QEvent__Type(7)
	QEvent__FocusIn                          QEvent__Type = QEvent__Type(8)
	QEvent__FocusOut                         QEvent__Type = QEvent__Type(9)
	QEvent__FocusAboutToChange               QEvent__Type = QEvent__Type(23)
	QEvent__Enter                            QEvent__Type = QEvent__Type(10)
	QEvent__Leave                            QEvent__Type = QEvent__Type(11)
	QEvent__Paint                            QEvent__Type = QEvent__Type(12)
	QEvent__Move                             QEvent__Type = QEvent__Type(13)
	QEvent__Resize                           QEvent__Type = QEvent__Type(14)
	QEvent__Create                           QEvent__Type = QEvent__Type(15)
	QEvent__Destroy                          QEvent__Type = QEvent__Type(16)
	QEvent__Show                             QEvent__Type = QEvent__Type(17)
	QEvent__Hide                             QEvent__Type = QEvent__Type(18)
	QEvent__Close                            QEvent__Type = QEvent__Type(19)
	QEvent__Quit                             QEvent__Type = QEvent__Type(20)
	QEvent__ParentChange                     QEvent__Type = QEvent__Type(21)
	QEvent__ParentAboutToChange              QEvent__Type = QEvent__Type(131)
	QEvent__ThreadChange                     QEvent__Type = QEvent__Type(22)
	QEvent__WindowActivate                   QEvent__Type = QEvent__Type(24)
	QEvent__WindowDeactivate                 QEvent__Type = QEvent__Type(25)
	QEvent__ShowToParent                     QEvent__Type = QEvent__Type(26)
	QEvent__HideToParent                     QEvent__Type = QEvent__Type(27)
	QEvent__Wheel                            QEvent__Type = QEvent__Type(31)
	QEvent__WindowTitleChange                QEvent__Type = QEvent__Type(33)
	QEvent__WindowIconChange                 QEvent__Type = QEvent__Type(34)
	QEvent__ApplicationWindowIconChange      QEvent__Type = QEvent__Type(35)
	QEvent__ApplicationFontChange            QEvent__Type = QEvent__Type(36)
	QEvent__ApplicationLayoutDirectionChange QEvent__Type = QEvent__Type(37)
	QEvent__ApplicationPaletteChange         QEvent__Type = QEvent__Type(38)
	QEvent__PaletteChange                    QEvent__Type = QEvent__Type(39)
	QEvent__Clipboard                        QEvent__Type = QEvent__Type(40)
	QEvent__Speech                           QEvent__Type = QEvent__Type(42)
	QEvent__MetaCall                         QEvent__Type = QEvent__Type(43)
	QEvent__SockAct                          QEvent__Type = QEvent__Type(50)
	QEvent__WinEventAct                      QEvent__Type = QEvent__Type(132)
	QEvent__DeferredDelete                   QEvent__Type = QEvent__Type(52)
	QEvent__DragEnter                        QEvent__Type = QEvent__Type(60)
	QEvent__DragMove                         QEvent__Type = QEvent__Type(61)
	QEvent__DragLeave                        QEvent__Type = QEvent__Type(62)
	QEvent__Drop                             QEvent__Type = QEvent__Type(63)
	QEvent__DragResponse                     QEvent__Type = QEvent__Type(64)
	QEvent__ChildAdded                       QEvent__Type = QEvent__Type(68)
	QEvent__ChildPolished                    QEvent__Type = QEvent__Type(69)
	QEvent__ChildRemoved                     QEvent__Type = QEvent__Type(71)
	QEvent__ShowWindowRequest                QEvent__Type = QEvent__Type(73)
	QEvent__PolishRequest                    QEvent__Type = QEvent__Type(74)
	QEvent__Polish                           QEvent__Type = QEvent__Type(75)
	QEvent__LayoutRequest                    QEvent__Type = QEvent__Type(76)
	QEvent__UpdateRequest                    QEvent__Type = QEvent__Type(77)
	QEvent__UpdateLater                      QEvent__Type = QEvent__Type(78)
	QEvent__EmbeddingControl                 QEvent__Type = QEvent__Type(79)
	QEvent__ActivateControl                  QEvent__Type = QEvent__Type(80)
	QEvent__DeactivateControl                QEvent__Type = QEvent__Type(81)
	QEvent__ContextMenu                      QEvent__Type = QEvent__Type(82)
	QEvent__InputMethod                      QEvent__Type = QEvent__Type(83)
	QEvent__TabletMove                       QEvent__Type = QEvent__Type(87)
	QEvent__LocaleChange                     QEvent__Type = QEvent__Type(88)
	QEvent__LanguageChange                   QEvent__Type = QEvent__Type(89)
	QEvent__LayoutDirectionChange            QEvent__Type = QEvent__Type(90)
	QEvent__Style                            QEvent__Type = QEvent__Type(91)
	QEvent__TabletPress                      QEvent__Type = QEvent__Type(92)
	QEvent__TabletRelease                    QEvent__Type = QEvent__Type(93)
	QEvent__OkRequest                        QEvent__Type = QEvent__Type(94)
	QEvent__HelpRequest                      QEvent__Type = QEvent__Type(95)
	QEvent__IconDrag                         QEvent__Type = QEvent__Type(96)
	QEvent__FontChange                       QEvent__Type = QEvent__Type(97)
	QEvent__EnabledChange                    QEvent__Type = QEvent__Type(98)
	QEvent__ActivationChange                 QEvent__Type = QEvent__Type(99)
	QEvent__StyleChange                      QEvent__Type = QEvent__Type(100)
	QEvent__IconTextChange                   QEvent__Type = QEvent__Type(101)
	QEvent__ModifiedChange                   QEvent__Type = QEvent__Type(102)
	QEvent__MouseTrackingChange              QEvent__Type = QEvent__Type(109)
	QEvent__WindowBlocked                    QEvent__Type = QEvent__Type(103)
	QEvent__WindowUnblocked                  QEvent__Type = QEvent__Type(104)
	QEvent__WindowStateChange                QEvent__Type = QEvent__Type(105)
	QEvent__ReadOnlyChange                   QEvent__Type = QEvent__Type(106)
	QEvent__ToolTip                          QEvent__Type = QEvent__Type(110)
	QEvent__WhatsThis                        QEvent__Type = QEvent__Type(111)
	QEvent__StatusTip                        QEvent__Type = QEvent__Type(112)
	QEvent__ActionChanged                    QEvent__Type = QEvent__Type(113)
	QEvent__ActionAdded                      QEvent__Type = QEvent__Type(114)
	QEvent__ActionRemoved                    QEvent__Type = QEvent__Type(115)
	QEvent__FileOpen                         QEvent__Type = QEvent__Type(116)
	QEvent__Shortcut                         QEvent__Type = QEvent__Type(117)
	QEvent__ShortcutOverride                 QEvent__Type = QEvent__Type(51)
	QEvent__WhatsThisClicked                 QEvent__Type = QEvent__Type(118)
	QEvent__ToolBarChange                    QEvent__Type = QEvent__Type(120)
	QEvent__ApplicationActivate              QEvent__Type = QEvent__Type(121)
	QEvent__ApplicationActivated             QEvent__Type = QEvent__Type(QEvent__ApplicationActivate)
	QEvent__ApplicationDeactivate            QEvent__Type = QEvent__Type(122)
	QEvent__ApplicationDeactivated           QEvent__Type = QEvent__Type(QEvent__ApplicationDeactivate)
	QEvent__QueryWhatsThis                   QEvent__Type = QEvent__Type(123)
	QEvent__EnterWhatsThisMode               QEvent__Type = QEvent__Type(124)
	QEvent__LeaveWhatsThisMode               QEvent__Type = QEvent__Type(125)
	QEvent__ZOrderChange                     QEvent__Type = QEvent__Type(126)
	QEvent__HoverEnter                       QEvent__Type = QEvent__Type(127)
	QEvent__HoverLeave                       QEvent__Type = QEvent__Type(128)
	QEvent__HoverMove                        QEvent__Type = QEvent__Type(129)
	QEvent__EnterEditFocus                   QEvent__Type = QEvent__Type(150)
	QEvent__LeaveEditFocus                   QEvent__Type = QEvent__Type(151)
	QEvent__AcceptDropsChange                QEvent__Type = QEvent__Type(152)
	QEvent__ZeroTimerEvent                   QEvent__Type = QEvent__Type(154)
	QEvent__GraphicsSceneMouseMove           QEvent__Type = QEvent__Type(155)
	QEvent__GraphicsSceneMousePress          QEvent__Type = QEvent__Type(156)
	QEvent__GraphicsSceneMouseRelease        QEvent__Type = QEvent__Type(157)
	QEvent__GraphicsSceneMouseDoubleClick    QEvent__Type = QEvent__Type(158)
	QEvent__GraphicsSceneContextMenu         QEvent__Type = QEvent__Type(159)
	QEvent__GraphicsSceneHoverEnter          QEvent__Type = QEvent__Type(160)
	QEvent__GraphicsSceneHoverMove           QEvent__Type = QEvent__Type(161)
	QEvent__GraphicsSceneHoverLeave          QEvent__Type = QEvent__Type(162)
	QEvent__GraphicsSceneHelp                QEvent__Type = QEvent__Type(163)
	QEvent__GraphicsSceneDragEnter           QEvent__Type = QEvent__Type(164)
	QEvent__GraphicsSceneDragMove            QEvent__Type = QEvent__Type(165)
	QEvent__GraphicsSceneDragLeave           QEvent__Type = QEvent__Type(166)
	QEvent__GraphicsSceneDrop                QEvent__Type = QEvent__Type(167)
	QEvent__GraphicsSceneWheel               QEvent__Type = QEvent__Type(168)
	QEvent__KeyboardLayoutChange             QEvent__Type = QEvent__Type(169)
	QEvent__DynamicPropertyChange            QEvent__Type = QEvent__Type(170)
	QEvent__TabletEnterProximity             QEvent__Type = QEvent__Type(171)
	QEvent__TabletLeaveProximity             QEvent__Type = QEvent__Type(172)
	QEvent__NonClientAreaMouseMove           QEvent__Type = QEvent__Type(173)
	QEvent__NonClientAreaMouseButtonPress    QEvent__Type = QEvent__Type(174)
	QEvent__NonClientAreaMouseButtonRelease  QEvent__Type = QEvent__Type(175)
	QEvent__NonClientAreaMouseButtonDblClick QEvent__Type = QEvent__Type(176)
	QEvent__MacSizeChange                    QEvent__Type = QEvent__Type(177)
	QEvent__ContentsRectChange               QEvent__Type = QEvent__Type(178)
	QEvent__MacGLWindowChange                QEvent__Type = QEvent__Type(179)
	QEvent__FutureCallOut                    QEvent__Type = QEvent__Type(180)
	QEvent__GraphicsSceneResize              QEvent__Type = QEvent__Type(181)
	QEvent__GraphicsSceneMove                QEvent__Type = QEvent__Type(182)
	QEvent__CursorChange                     QEvent__Type = QEvent__Type(183)
	QEvent__ToolTipChange                    QEvent__Type = QEvent__Type(184)
	QEvent__NetworkReplyUpdated              QEvent__Type = QEvent__Type(185)
	QEvent__GrabMouse                        QEvent__Type = QEvent__Type(186)
	QEvent__UngrabMouse                      QEvent__Type = QEvent__Type(187)
	QEvent__GrabKeyboard                     QEvent__Type = QEvent__Type(188)
	QEvent__UngrabKeyboard                   QEvent__Type = QEvent__Type(189)
	QEvent__MacGLClearDrawable               QEvent__Type = QEvent__Type(191)
	QEvent__StateMachineSignal               QEvent__Type = QEvent__Type(192)
	QEvent__StateMachineWrapped              QEvent__Type = QEvent__Type(193)
	QEvent__TouchBegin                       QEvent__Type = QEvent__Type(194)
	QEvent__TouchUpdate                      QEvent__Type = QEvent__Type(195)
	QEvent__TouchEnd                         QEvent__Type = QEvent__Type(196)
	QEvent__NativeGesture                    QEvent__Type = QEvent__Type(197)
	QEvent__RequestSoftwareInputPanel        QEvent__Type = QEvent__Type(199)
	QEvent__CloseSoftwareInputPanel          QEvent__Type = QEvent__Type(200)
	QEvent__WinIdChange                      QEvent__Type = QEvent__Type(203)
	QEvent__Gesture                          QEvent__Type = QEvent__Type(198)
	QEvent__GestureOverride                  QEvent__Type = QEvent__Type(202)
	QEvent__ScrollPrepare                    QEvent__Type = QEvent__Type(204)
	QEvent__Scroll                           QEvent__Type = QEvent__Type(205)
	QEvent__Expose                           QEvent__Type = QEvent__Type(206)
	QEvent__InputMethodQuery                 QEvent__Type = QEvent__Type(207)
	QEvent__OrientationChange                QEvent__Type = QEvent__Type(208)
	QEvent__TouchCancel                      QEvent__Type = QEvent__Type(209)
	QEvent__ThemeChange                      QEvent__Type = QEvent__Type(210)
	QEvent__SockClose                        QEvent__Type = QEvent__Type(211)
	QEvent__PlatformPanel                    QEvent__Type = QEvent__Type(212)
	QEvent__StyleAnimationUpdate             QEvent__Type = QEvent__Type(213)
	QEvent__ApplicationStateChange           QEvent__Type = QEvent__Type(214)
	QEvent__WindowChangeInternal             QEvent__Type = QEvent__Type(215)
	QEvent__ScreenChangeInternal             QEvent__Type = QEvent__Type(216)
	QEvent__PlatformSurface                  QEvent__Type = QEvent__Type(217)
	QEvent__Pointer                          QEvent__Type = QEvent__Type(218)
	QEvent__TabletTrackingChange             QEvent__Type = QEvent__Type(219)
	QEvent__User                             QEvent__Type = QEvent__Type(1000)
	QEvent__MaxUser                          QEvent__Type = QEvent__Type(65535)
)

func NewQEvent(ty QEvent__Type) *QEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQEvent", "", ty}).(*QEvent)
}

func (ptr *QEvent) Accept() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Accept"})
}

func (ptr *QEvent) Ignore() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ignore"})
}

func (ptr *QEvent) IsAccepted() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAccepted"}).(bool)
}

func QEvent_RegisterEventType(hint int) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QEvent_RegisterEventType", "", hint}).(float64))
}

func (ptr *QEvent) RegisterEventType(hint int) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QEvent_RegisterEventType", "", hint}).(float64))
}

func (ptr *QEvent) SetAccepted(accepted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAccepted", accepted})
}

func (ptr *QEvent) Spontaneous() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Spontaneous"}).(bool)
}

func (ptr *QEvent) Type() QEvent__Type {

	return QEvent__Type(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QEvent) ConnectDestroyQEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QEvent) DisconnectDestroyQEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQEvent"})
}

func (ptr *QEvent) DestroyQEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQEvent"})
}

func (ptr *QEvent) DestroyQEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQEventDefault"})
}

type QEventLoop struct {
	QObject
}

type QEventLoop_ITF interface {
	QObject_ITF
	QEventLoop_PTR() *QEventLoop
}

func (ptr *QEventLoop) QEventLoop_PTR() *QEventLoop {
	return ptr
}

func (ptr *QEventLoop) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QEventLoop) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQEventLoop(ptr QEventLoop_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QEventLoop_PTR().Pointer()
	}
	return nil
}

func (n *QEventLoop) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QEventLoop) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQEventLoopFromPointer(ptr unsafe.Pointer) (n *QEventLoop) {
	n = new(QEventLoop)
	n.InitFromInternal(uintptr(ptr), "core.QEventLoop")
	return
}

//go:generate stringer -type=QEventLoop__ProcessEventsFlag
//QEventLoop::ProcessEventsFlag
type QEventLoop__ProcessEventsFlag int64

const (
	QEventLoop__AllEvents              QEventLoop__ProcessEventsFlag = QEventLoop__ProcessEventsFlag(0x00)
	QEventLoop__ExcludeUserInputEvents QEventLoop__ProcessEventsFlag = QEventLoop__ProcessEventsFlag(0x01)
	QEventLoop__ExcludeSocketNotifiers QEventLoop__ProcessEventsFlag = QEventLoop__ProcessEventsFlag(0x02)
	QEventLoop__WaitForMoreEvents      QEventLoop__ProcessEventsFlag = QEventLoop__ProcessEventsFlag(0x04)
	QEventLoop__X11ExcludeTimers       QEventLoop__ProcessEventsFlag = QEventLoop__ProcessEventsFlag(0x08)
	QEventLoop__EventLoopExec          QEventLoop__ProcessEventsFlag = QEventLoop__ProcessEventsFlag(0x20)
	QEventLoop__DialogExec             QEventLoop__ProcessEventsFlag = QEventLoop__ProcessEventsFlag(0x40)
)

func NewQEventLoop(parent QObject_ITF) *QEventLoop {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQEventLoop", "", parent}).(*QEventLoop)
}

func (ptr *QEventLoop) Exec(flags QEventLoop__ProcessEventsFlag) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exec", flags}).(float64))
}

func (ptr *QEventLoop) Exit(returnCode int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exit", returnCode})
}

func (ptr *QEventLoop) IsRunning() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRunning"}).(bool)
}

func (ptr *QEventLoop) ProcessEvents(flags QEventLoop__ProcessEventsFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProcessEvents", flags}).(bool)
}

func (ptr *QEventLoop) ProcessEvents2(flags QEventLoop__ProcessEventsFlag, maxTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProcessEvents2", flags, maxTime})
}

func (ptr *QEventLoop) ConnectQuit(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectQuit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QEventLoop) DisconnectQuit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectQuit"})
}

func (ptr *QEventLoop) Quit() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Quit"})
}

func (ptr *QEventLoop) QuitDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "QuitDefault"})
}

func (ptr *QEventLoop) WakeUp() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WakeUp"})
}

func (ptr *QEventLoop) ConnectDestroyQEventLoop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQEventLoop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QEventLoop) DisconnectDestroyQEventLoop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQEventLoop"})
}

func (ptr *QEventLoop) DestroyQEventLoop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQEventLoop"})
}

func (ptr *QEventLoop) DestroyQEventLoopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQEventLoopDefault"})
}

type QEventLoopLocker struct {
	internal.Internal
}

type QEventLoopLocker_ITF interface {
	QEventLoopLocker_PTR() *QEventLoopLocker
}

func (ptr *QEventLoopLocker) QEventLoopLocker_PTR() *QEventLoopLocker {
	return ptr
}

func (ptr *QEventLoopLocker) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QEventLoopLocker) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQEventLoopLocker(ptr QEventLoopLocker_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QEventLoopLocker_PTR().Pointer()
	}
	return nil
}

func (n *QEventLoopLocker) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQEventLoopLockerFromPointer(ptr unsafe.Pointer) (n *QEventLoopLocker) {
	n = new(QEventLoopLocker)
	n.InitFromInternal(uintptr(ptr), "core.QEventLoopLocker")
	return
}
func NewQEventLoopLocker() *QEventLoopLocker {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQEventLoopLocker", ""}).(*QEventLoopLocker)
}

func NewQEventLoopLocker2(loop QEventLoop_ITF) *QEventLoopLocker {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQEventLoopLocker2", "", loop}).(*QEventLoopLocker)
}

func NewQEventLoopLocker3(thread QThread_ITF) *QEventLoopLocker {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQEventLoopLocker3", "", thread}).(*QEventLoopLocker)
}

func (ptr *QEventLoopLocker) DestroyQEventLoopLocker() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQEventLoopLocker"})
}

type QEventTransition struct {
	QAbstractTransition
}

type QEventTransition_ITF interface {
	QAbstractTransition_ITF
	QEventTransition_PTR() *QEventTransition
}

func (ptr *QEventTransition) QEventTransition_PTR() *QEventTransition {
	return ptr
}

func (ptr *QEventTransition) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractTransition_PTR().Pointer()
	}
	return nil
}

func (ptr *QEventTransition) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractTransition_PTR().SetPointer(p)
	}
}

func PointerFromQEventTransition(ptr QEventTransition_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QEventTransition_PTR().Pointer()
	}
	return nil
}

func (n *QEventTransition) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractTransition_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QEventTransition) ClassNameInternalF() string {
	return n.QAbstractTransition_PTR().ClassNameInternalF()
}

func NewQEventTransitionFromPointer(ptr unsafe.Pointer) (n *QEventTransition) {
	n = new(QEventTransition)
	n.InitFromInternal(uintptr(ptr), "core.QEventTransition")
	return
}
func NewQEventTransition(sourceState QState_ITF) *QEventTransition {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQEventTransition", "", sourceState}).(*QEventTransition)
}

func NewQEventTransition2(object QObject_ITF, ty QEvent__Type, sourceState QState_ITF) *QEventTransition {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQEventTransition2", "", object, ty, sourceState}).(*QEventTransition)
}

func (ptr *QEventTransition) EventSource() *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventSource"}).(*QObject)
}

func (ptr *QEventTransition) ConnectEventTest(f func(event *QEvent) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEventTest", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QEventTransition) DisconnectEventTest() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEventTest"})
}

func (ptr *QEventTransition) EventTest(event QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventTest", event}).(bool)
}

func (ptr *QEventTransition) EventTestDefault(event QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventTestDefault", event}).(bool)
}

func (ptr *QEventTransition) EventType() QEvent__Type {

	return QEvent__Type(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventType"}).(float64))
}

func (ptr *QEventTransition) ConnectOnTransition(f func(event *QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOnTransition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QEventTransition) DisconnectOnTransition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOnTransition"})
}

func (ptr *QEventTransition) OnTransition(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnTransition", event})
}

func (ptr *QEventTransition) OnTransitionDefault(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnTransitionDefault", event})
}

func (ptr *QEventTransition) SetEventSource(object QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEventSource", object})
}

func (ptr *QEventTransition) SetEventType(ty QEvent__Type) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEventType", ty})
}

func (ptr *QEventTransition) ConnectDestroyQEventTransition(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQEventTransition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QEventTransition) DisconnectDestroyQEventTransition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQEventTransition"})
}

func (ptr *QEventTransition) DestroyQEventTransition() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQEventTransition"})
}

func (ptr *QEventTransition) DestroyQEventTransitionDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQEventTransitionDefault"})
}

type QException struct {
	internal.Internal
}

type QException_ITF interface {
	QException_PTR() *QException
}

func (ptr *QException) QException_PTR() *QException {
	return ptr
}

func (ptr *QException) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QException) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQException(ptr QException_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QException_PTR().Pointer()
	}
	return nil
}

func (n *QException) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQExceptionFromPointer(ptr unsafe.Pointer) (n *QException) {
	n = new(QException)
	n.InitFromInternal(uintptr(ptr), "core.QException")
	return
}

func (ptr *QException) DestroyQException() {
}

type QExplicitlySharedDataPointer struct {
	internal.Internal
}

type QExplicitlySharedDataPointer_ITF interface {
	QExplicitlySharedDataPointer_PTR() *QExplicitlySharedDataPointer
}

func (ptr *QExplicitlySharedDataPointer) QExplicitlySharedDataPointer_PTR() *QExplicitlySharedDataPointer {
	return ptr
}

func (ptr *QExplicitlySharedDataPointer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QExplicitlySharedDataPointer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQExplicitlySharedDataPointer(ptr QExplicitlySharedDataPointer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QExplicitlySharedDataPointer_PTR().Pointer()
	}
	return nil
}

func (n *QExplicitlySharedDataPointer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQExplicitlySharedDataPointerFromPointer(ptr unsafe.Pointer) (n *QExplicitlySharedDataPointer) {
	n = new(QExplicitlySharedDataPointer)
	n.InitFromInternal(uintptr(ptr), "core.QExplicitlySharedDataPointer")
	return
}

type QFactoryInterface struct {
	internal.Internal
}

type QFactoryInterface_ITF interface {
	QFactoryInterface_PTR() *QFactoryInterface
}

func (ptr *QFactoryInterface) QFactoryInterface_PTR() *QFactoryInterface {
	return ptr
}

func (ptr *QFactoryInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFactoryInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFactoryInterface(ptr QFactoryInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFactoryInterface_PTR().Pointer()
	}
	return nil
}

func (n *QFactoryInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFactoryInterfaceFromPointer(ptr unsafe.Pointer) (n *QFactoryInterface) {
	n = new(QFactoryInterface)
	n.InitFromInternal(uintptr(ptr), "core.QFactoryInterface")
	return
}

func (ptr *QFactoryInterface) DestroyQFactoryInterface() {
}

type QFile struct {
	QFileDevice
}

type QFile_ITF interface {
	QFileDevice_ITF
	QFile_PTR() *QFile
}

func (ptr *QFile) QFile_PTR() *QFile {
	return ptr
}

func (ptr *QFile) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QFileDevice_PTR().Pointer()
	}
	return nil
}

func (ptr *QFile) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QFileDevice_PTR().SetPointer(p)
	}
}

func PointerFromQFile(ptr QFile_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFile_PTR().Pointer()
	}
	return nil
}

func (n *QFile) InitFromInternal(ptr uintptr, name string) {
	n.QFileDevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFile) ClassNameInternalF() string {
	return n.QFileDevice_PTR().ClassNameInternalF()
}

func NewQFileFromPointer(ptr unsafe.Pointer) (n *QFile) {
	n = new(QFile)
	n.InitFromInternal(uintptr(ptr), "core.QFile")
	return
}
func NewQFile() *QFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFile", ""}).(*QFile)
}

func NewQFile2(name string) *QFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFile2", "", name}).(*QFile)
}

func NewQFile3(parent QObject_ITF) *QFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFile3", "", parent}).(*QFile)
}

func NewQFile4(name string, parent QObject_ITF) *QFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFile4", "", name, parent}).(*QFile)
}

func (ptr *QFile) Copy(newName string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Copy", newName}).(bool)
}

func QFile_Copy2(fileName string, newName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_Copy2", "", fileName, newName}).(bool)
}

func (ptr *QFile) Copy2(fileName string, newName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_Copy2", "", fileName, newName}).(bool)
}

func QFile_DecodeName(localFileName QByteArray_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_DecodeName", "", localFileName}).(string)
}

func (ptr *QFile) DecodeName(localFileName QByteArray_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_DecodeName", "", localFileName}).(string)
}

func QFile_DecodeName2(localFileName string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_DecodeName2", "", localFileName}).(string)
}

func (ptr *QFile) DecodeName2(localFileName string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_DecodeName2", "", localFileName}).(string)
}

func QFile_EncodeName(fileName string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_EncodeName", "", fileName}).(*QByteArray)
}

func (ptr *QFile) EncodeName(fileName string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_EncodeName", "", fileName}).(*QByteArray)
}

func QFile_Exists(fileName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_Exists", "", fileName}).(bool)
}

func (ptr *QFile) Exists(fileName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_Exists", "", fileName}).(bool)
}

func (ptr *QFile) Exists2() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exists2"}).(bool)
}

func (ptr *QFile) Link(linkName string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Link", linkName}).(bool)
}

func QFile_Link2(fileName string, linkName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_Link2", "", fileName, linkName}).(bool)
}

func (ptr *QFile) Link2(fileName string, linkName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_Link2", "", fileName, linkName}).(bool)
}

func (ptr *QFile) Open3(fd int, mode QIODevice__OpenModeFlag, handleFlags QFileDevice__FileHandleFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Open3", fd, mode, handleFlags}).(bool)
}

func QFile_Permissions2(fileName string) QFileDevice__Permission {

	return QFileDevice__Permission(internal.CallLocalFunction([]interface{}{"", "", "core.QFile_Permissions2", "", fileName}).(float64))
}

func (ptr *QFile) Permissions2(fileName string) QFileDevice__Permission {

	return QFileDevice__Permission(internal.CallLocalFunction([]interface{}{"", "", "core.QFile_Permissions2", "", fileName}).(float64))
}

func (ptr *QFile) Remove() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove"}).(bool)
}

func QFile_Remove2(fileName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_Remove2", "", fileName}).(bool)
}

func (ptr *QFile) Remove2(fileName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_Remove2", "", fileName}).(bool)
}

func (ptr *QFile) Rename(newName string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rename", newName}).(bool)
}

func QFile_Rename2(oldName string, newName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_Rename2", "", oldName, newName}).(bool)
}

func (ptr *QFile) Rename2(oldName string, newName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_Rename2", "", oldName, newName}).(bool)
}

func QFile_Resize2(fileName string, sz int64) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_Resize2", "", fileName, sz}).(bool)
}

func (ptr *QFile) Resize2(fileName string, sz int64) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_Resize2", "", fileName, sz}).(bool)
}

func (ptr *QFile) SetFileName(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileName", name})
}

func QFile_SetPermissions2(fileName string, permissions QFileDevice__Permission) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_SetPermissions2", "", fileName, permissions}).(bool)
}

func (ptr *QFile) SetPermissions2(fileName string, permissions QFileDevice__Permission) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_SetPermissions2", "", fileName, permissions}).(bool)
}

func QFile_SymLinkTarget(fileName string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_SymLinkTarget", "", fileName}).(string)
}

func (ptr *QFile) SymLinkTarget(fileName string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFile_SymLinkTarget", "", fileName}).(string)
}

func (ptr *QFile) SymLinkTarget2() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SymLinkTarget2"}).(string)
}

func (ptr *QFile) ConnectDestroyQFile(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQFile", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFile) DisconnectDestroyQFile() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQFile"})
}

func (ptr *QFile) DestroyQFile() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFile"})
}

func (ptr *QFile) DestroyQFileDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFileDefault"})
}

type QFileDevice struct {
	QIODevice
}

type QFileDevice_ITF interface {
	QIODevice_ITF
	QFileDevice_PTR() *QFileDevice
}

func (ptr *QFileDevice) QFileDevice_PTR() *QFileDevice {
	return ptr
}

func (ptr *QFileDevice) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QIODevice_PTR().Pointer()
	}
	return nil
}

func (ptr *QFileDevice) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QIODevice_PTR().SetPointer(p)
	}
}

func PointerFromQFileDevice(ptr QFileDevice_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFileDevice_PTR().Pointer()
	}
	return nil
}

func (n *QFileDevice) InitFromInternal(ptr uintptr, name string) {
	n.QIODevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFileDevice) ClassNameInternalF() string {
	return n.QIODevice_PTR().ClassNameInternalF()
}

func NewQFileDeviceFromPointer(ptr unsafe.Pointer) (n *QFileDevice) {
	n = new(QFileDevice)
	n.InitFromInternal(uintptr(ptr), "core.QFileDevice")
	return
}

//go:generate stringer -type=QFileDevice__FileError
//QFileDevice::FileError
type QFileDevice__FileError int64

const (
	QFileDevice__NoError          QFileDevice__FileError = QFileDevice__FileError(0)
	QFileDevice__ReadError        QFileDevice__FileError = QFileDevice__FileError(1)
	QFileDevice__WriteError       QFileDevice__FileError = QFileDevice__FileError(2)
	QFileDevice__FatalError       QFileDevice__FileError = QFileDevice__FileError(3)
	QFileDevice__ResourceError    QFileDevice__FileError = QFileDevice__FileError(4)
	QFileDevice__OpenError        QFileDevice__FileError = QFileDevice__FileError(5)
	QFileDevice__AbortError       QFileDevice__FileError = QFileDevice__FileError(6)
	QFileDevice__TimeOutError     QFileDevice__FileError = QFileDevice__FileError(7)
	QFileDevice__UnspecifiedError QFileDevice__FileError = QFileDevice__FileError(8)
	QFileDevice__RemoveError      QFileDevice__FileError = QFileDevice__FileError(9)
	QFileDevice__RenameError      QFileDevice__FileError = QFileDevice__FileError(10)
	QFileDevice__PositionError    QFileDevice__FileError = QFileDevice__FileError(11)
	QFileDevice__ResizeError      QFileDevice__FileError = QFileDevice__FileError(12)
	QFileDevice__PermissionsError QFileDevice__FileError = QFileDevice__FileError(13)
	QFileDevice__CopyError        QFileDevice__FileError = QFileDevice__FileError(14)
)

//go:generate stringer -type=QFileDevice__FileTime
//QFileDevice::FileTime
type QFileDevice__FileTime int64

const (
	QFileDevice__FileAccessTime         QFileDevice__FileTime = QFileDevice__FileTime(0)
	QFileDevice__FileBirthTime          QFileDevice__FileTime = QFileDevice__FileTime(1)
	QFileDevice__FileMetadataChangeTime QFileDevice__FileTime = QFileDevice__FileTime(2)
	QFileDevice__FileModificationTime   QFileDevice__FileTime = QFileDevice__FileTime(3)
)

//go:generate stringer -type=QFileDevice__Permission
//QFileDevice::Permission
type QFileDevice__Permission int64

const (
	QFileDevice__ReadOwner  QFileDevice__Permission = QFileDevice__Permission(0x4000)
	QFileDevice__WriteOwner QFileDevice__Permission = QFileDevice__Permission(0x2000)
	QFileDevice__ExeOwner   QFileDevice__Permission = QFileDevice__Permission(0x1000)
	QFileDevice__ReadUser   QFileDevice__Permission = QFileDevice__Permission(0x0400)
	QFileDevice__WriteUser  QFileDevice__Permission = QFileDevice__Permission(0x0200)
	QFileDevice__ExeUser    QFileDevice__Permission = QFileDevice__Permission(0x0100)
	QFileDevice__ReadGroup  QFileDevice__Permission = QFileDevice__Permission(0x0040)
	QFileDevice__WriteGroup QFileDevice__Permission = QFileDevice__Permission(0x0020)
	QFileDevice__ExeGroup   QFileDevice__Permission = QFileDevice__Permission(0x0010)
	QFileDevice__ReadOther  QFileDevice__Permission = QFileDevice__Permission(0x0004)
	QFileDevice__WriteOther QFileDevice__Permission = QFileDevice__Permission(0x0002)
	QFileDevice__ExeOther   QFileDevice__Permission = QFileDevice__Permission(0x0001)
)

//go:generate stringer -type=QFileDevice__FileHandleFlag
//QFileDevice::FileHandleFlag
type QFileDevice__FileHandleFlag int64

const (
	QFileDevice__AutoCloseHandle QFileDevice__FileHandleFlag = QFileDevice__FileHandleFlag(0x0001)
	QFileDevice__DontCloseHandle QFileDevice__FileHandleFlag = QFileDevice__FileHandleFlag(0)
)

//go:generate stringer -type=QFileDevice__MemoryMapFlags
//QFileDevice::MemoryMapFlags
type QFileDevice__MemoryMapFlags int64

const (
	QFileDevice__NoOptions        QFileDevice__MemoryMapFlags = QFileDevice__MemoryMapFlags(0)
	QFileDevice__MapPrivateOption QFileDevice__MemoryMapFlags = QFileDevice__MemoryMapFlags(0x0001)
)

func (ptr *QFileDevice) Error() QFileDevice__FileError {

	return QFileDevice__FileError(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QFileDevice) ConnectFileName(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFileName", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDevice) DisconnectFileName() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFileName"})
}

func (ptr *QFileDevice) FileName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName"}).(string)
}

func (ptr *QFileDevice) FileNameDefault() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileNameDefault"}).(string)
}

func (ptr *QFileDevice) FileTime(ti QFileDevice__FileTime) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileTime", ti}).(*QDateTime)
}

func (ptr *QFileDevice) Flush() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flush"}).(bool)
}

func (ptr *QFileDevice) Handle() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Handle"}).(float64))
}

func (ptr *QFileDevice) Map(offset int64, size int64, flags QFileDevice__MemoryMapFlags) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map", offset, size, flags}).(string)
}

func (ptr *QFileDevice) ConnectPermissions(f func() QFileDevice__Permission) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPermissions", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDevice) DisconnectPermissions() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPermissions"})
}

func (ptr *QFileDevice) Permissions() QFileDevice__Permission {

	return QFileDevice__Permission(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Permissions"}).(float64))
}

func (ptr *QFileDevice) PermissionsDefault() QFileDevice__Permission {

	return QFileDevice__Permission(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PermissionsDefault"}).(float64))
}

func (ptr *QFileDevice) ConnectReadData(f func(data *string, l int64) int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReadData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDevice) DisconnectReadData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReadData"})
}

func (ptr *QFileDevice) ReadData(data *string, l int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadData", data, l}).(float64))
}

func (ptr *QFileDevice) ReadDataDefault(data *string, l int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadDataDefault", data, l}).(float64))
}

func (ptr *QFileDevice) ConnectResize(f func(sz int64) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDevice) DisconnectResize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResize"})
}

func (ptr *QFileDevice) Resize(sz int64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resize", sz}).(bool)
}

func (ptr *QFileDevice) ResizeDefault(sz int64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeDefault", sz}).(bool)
}

func (ptr *QFileDevice) SetFileTime(newDate QDateTime_ITF, fileTime QFileDevice__FileTime) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileTime", newDate, fileTime}).(bool)
}

func (ptr *QFileDevice) ConnectSetPermissions(f func(permissions QFileDevice__Permission) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPermissions", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDevice) DisconnectSetPermissions() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPermissions"})
}

func (ptr *QFileDevice) SetPermissions(permissions QFileDevice__Permission) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPermissions", permissions}).(bool)
}

func (ptr *QFileDevice) SetPermissionsDefault(permissions QFileDevice__Permission) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPermissionsDefault", permissions}).(bool)
}

func (ptr *QFileDevice) Unmap(address string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unmap", address}).(bool)
}

func (ptr *QFileDevice) UnsetError() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnsetError"})
}

func (ptr *QFileDevice) ConnectWriteData(f func(data []byte, l int64) int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWriteData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDevice) DisconnectWriteData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWriteData"})
}

func (ptr *QFileDevice) WriteData(data []byte, l int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteData", data, l}).(float64))
}

func (ptr *QFileDevice) WriteDataDefault(data []byte, l int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteDataDefault", data, l}).(float64))
}

func (ptr *QFileDevice) ConnectDestroyQFileDevice(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQFileDevice", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDevice) DisconnectDestroyQFileDevice() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQFileDevice"})
}

func (ptr *QFileDevice) DestroyQFileDevice() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFileDevice"})
}

func (ptr *QFileDevice) DestroyQFileDeviceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFileDeviceDefault"})
}

type QFileInfo struct {
	internal.Internal
}

type QFileInfo_ITF interface {
	QFileInfo_PTR() *QFileInfo
}

func (ptr *QFileInfo) QFileInfo_PTR() *QFileInfo {
	return ptr
}

func (ptr *QFileInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFileInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFileInfo(ptr QFileInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFileInfo_PTR().Pointer()
	}
	return nil
}

func (n *QFileInfo) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFileInfoFromPointer(ptr unsafe.Pointer) (n *QFileInfo) {
	n = new(QFileInfo)
	n.InitFromInternal(uintptr(ptr), "core.QFileInfo")
	return
}
func NewQFileInfo2() *QFileInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFileInfo2", ""}).(*QFileInfo)
}

func NewQFileInfo3(file string) *QFileInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFileInfo3", "", file}).(*QFileInfo)
}

func NewQFileInfo4(file QFile_ITF) *QFileInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFileInfo4", "", file}).(*QFileInfo)
}

func NewQFileInfo5(dir QDir_ITF, file string) *QFileInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFileInfo5", "", dir, file}).(*QFileInfo)
}

func NewQFileInfo6(fileinfo QFileInfo_ITF) *QFileInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFileInfo6", "", fileinfo}).(*QFileInfo)
}

func (ptr *QFileInfo) AbsoluteDir() *QDir {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AbsoluteDir"}).(*QDir)
}

func (ptr *QFileInfo) AbsoluteFilePath() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AbsoluteFilePath"}).(string)
}

func (ptr *QFileInfo) AbsolutePath() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AbsolutePath"}).(string)
}

func (ptr *QFileInfo) BaseName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BaseName"}).(string)
}

func (ptr *QFileInfo) BirthTime() *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BirthTime"}).(*QDateTime)
}

func (ptr *QFileInfo) BundleName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BundleName"}).(string)
}

func (ptr *QFileInfo) Caching() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Caching"}).(bool)
}

func (ptr *QFileInfo) CanonicalFilePath() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanonicalFilePath"}).(string)
}

func (ptr *QFileInfo) CanonicalPath() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanonicalPath"}).(string)
}

func (ptr *QFileInfo) CompleteBaseName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompleteBaseName"}).(string)
}

func (ptr *QFileInfo) CompleteSuffix() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompleteSuffix"}).(string)
}

func (ptr *QFileInfo) Dir() *QDir {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Dir"}).(*QDir)
}

func (ptr *QFileInfo) Exists() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exists"}).(bool)
}

func QFileInfo_Exists2(file string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFileInfo_Exists2", "", file}).(bool)
}

func (ptr *QFileInfo) Exists2(file string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QFileInfo_Exists2", "", file}).(bool)
}

func (ptr *QFileInfo) FileName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName"}).(string)
}

func (ptr *QFileInfo) FilePath() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilePath"}).(string)
}

func (ptr *QFileInfo) Group() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Group"}).(string)
}

func (ptr *QFileInfo) GroupId() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GroupId"}).(float64))
}

func (ptr *QFileInfo) IsAbsolute() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAbsolute"}).(bool)
}

func (ptr *QFileInfo) IsBundle() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsBundle"}).(bool)
}

func (ptr *QFileInfo) IsDir() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDir"}).(bool)
}

func (ptr *QFileInfo) IsExecutable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsExecutable"}).(bool)
}

func (ptr *QFileInfo) IsFile() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFile"}).(bool)
}

func (ptr *QFileInfo) IsHidden() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsHidden"}).(bool)
}

func (ptr *QFileInfo) IsNativePath() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNativePath"}).(bool)
}

func (ptr *QFileInfo) IsReadable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadable"}).(bool)
}

func (ptr *QFileInfo) IsRelative() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRelative"}).(bool)
}

func (ptr *QFileInfo) IsRoot() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRoot"}).(bool)
}

func (ptr *QFileInfo) IsSymLink() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSymLink"}).(bool)
}

func (ptr *QFileInfo) IsWritable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsWritable"}).(bool)
}

func (ptr *QFileInfo) LastModified() *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastModified"}).(*QDateTime)
}

func (ptr *QFileInfo) LastRead() *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastRead"}).(*QDateTime)
}

func (ptr *QFileInfo) MakeAbsolute() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MakeAbsolute"}).(bool)
}

func (ptr *QFileInfo) MetadataChangeTime() *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetadataChangeTime"}).(*QDateTime)
}

func (ptr *QFileInfo) Owner() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Owner"}).(string)
}

func (ptr *QFileInfo) OwnerId() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OwnerId"}).(float64))
}

func (ptr *QFileInfo) Path() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Path"}).(string)
}

func (ptr *QFileInfo) Refresh() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Refresh"})
}

func (ptr *QFileInfo) SetCaching(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCaching", enable})
}

func (ptr *QFileInfo) SetFile(file string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFile", file})
}

func (ptr *QFileInfo) SetFile2(file QFile_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFile2", file})
}

func (ptr *QFileInfo) SetFile3(dir QDir_ITF, file string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFile3", dir, file})
}

func (ptr *QFileInfo) Size() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

func (ptr *QFileInfo) Suffix() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Suffix"}).(string)
}

func (ptr *QFileInfo) Swap(other QFileInfo_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QFileInfo) SymLinkTarget() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SymLinkTarget"}).(string)
}

func (ptr *QFileInfo) DestroyQFileInfo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFileInfo"})
}

type QFileSelector struct {
	QObject
}

type QFileSelector_ITF interface {
	QObject_ITF
	QFileSelector_PTR() *QFileSelector
}

func (ptr *QFileSelector) QFileSelector_PTR() *QFileSelector {
	return ptr
}

func (ptr *QFileSelector) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QFileSelector) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQFileSelector(ptr QFileSelector_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFileSelector_PTR().Pointer()
	}
	return nil
}

func (n *QFileSelector) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFileSelector) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQFileSelectorFromPointer(ptr unsafe.Pointer) (n *QFileSelector) {
	n = new(QFileSelector)
	n.InitFromInternal(uintptr(ptr), "core.QFileSelector")
	return
}
func NewQFileSelector(parent QObject_ITF) *QFileSelector {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFileSelector", "", parent}).(*QFileSelector)
}

func (ptr *QFileSelector) AllSelectors() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllSelectors"}).([]string)
}

func (ptr *QFileSelector) ExtraSelectors() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExtraSelectors"}).([]string)
}

func (ptr *QFileSelector) Select(filePath string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Select", filePath}).(string)
}

func (ptr *QFileSelector) Select2(filePath QUrl_ITF) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Select2", filePath}).(*QUrl)
}

func (ptr *QFileSelector) SetExtraSelectors(list []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetExtraSelectors", list})
}

func (ptr *QFileSelector) ConnectDestroyQFileSelector(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQFileSelector", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileSelector) DisconnectDestroyQFileSelector() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQFileSelector"})
}

func (ptr *QFileSelector) DestroyQFileSelector() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFileSelector"})
}

func (ptr *QFileSelector) DestroyQFileSelectorDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFileSelectorDefault"})
}

type QFileSystemWatcher struct {
	QObject
}

type QFileSystemWatcher_ITF interface {
	QObject_ITF
	QFileSystemWatcher_PTR() *QFileSystemWatcher
}

func (ptr *QFileSystemWatcher) QFileSystemWatcher_PTR() *QFileSystemWatcher {
	return ptr
}

func (ptr *QFileSystemWatcher) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QFileSystemWatcher) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQFileSystemWatcher(ptr QFileSystemWatcher_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFileSystemWatcher_PTR().Pointer()
	}
	return nil
}

func (n *QFileSystemWatcher) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFileSystemWatcher) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQFileSystemWatcherFromPointer(ptr unsafe.Pointer) (n *QFileSystemWatcher) {
	n = new(QFileSystemWatcher)
	n.InitFromInternal(uintptr(ptr), "core.QFileSystemWatcher")
	return
}
func NewQFileSystemWatcher(parent QObject_ITF) *QFileSystemWatcher {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFileSystemWatcher", "", parent}).(*QFileSystemWatcher)
}

func NewQFileSystemWatcher2(paths []string, parent QObject_ITF) *QFileSystemWatcher {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFileSystemWatcher2", "", paths, parent}).(*QFileSystemWatcher)
}

func (ptr *QFileSystemWatcher) AddPath(path string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPath", path}).(bool)
}

func (ptr *QFileSystemWatcher) AddPaths(paths []string) []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPaths", paths}).([]string)
}

func (ptr *QFileSystemWatcher) Directories() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Directories"}).([]string)
}

func (ptr *QFileSystemWatcher) ConnectDirectoryChanged(f func(path string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDirectoryChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileSystemWatcher) DisconnectDirectoryChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDirectoryChanged"})
}

func (ptr *QFileSystemWatcher) ConnectFileChanged(f func(path string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFileChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileSystemWatcher) DisconnectFileChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFileChanged"})
}

func (ptr *QFileSystemWatcher) Files() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Files"}).([]string)
}

func (ptr *QFileSystemWatcher) RemovePath(path string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemovePath", path}).(bool)
}

func (ptr *QFileSystemWatcher) RemovePaths(paths []string) []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemovePaths", paths}).([]string)
}

func (ptr *QFileSystemWatcher) ConnectDestroyQFileSystemWatcher(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQFileSystemWatcher", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileSystemWatcher) DisconnectDestroyQFileSystemWatcher() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQFileSystemWatcher"})
}

func (ptr *QFileSystemWatcher) DestroyQFileSystemWatcher() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFileSystemWatcher"})
}

func (ptr *QFileSystemWatcher) DestroyQFileSystemWatcherDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFileSystemWatcherDefault"})
}

type QFinalState struct {
	QAbstractState
}

type QFinalState_ITF interface {
	QAbstractState_ITF
	QFinalState_PTR() *QFinalState
}

func (ptr *QFinalState) QFinalState_PTR() *QFinalState {
	return ptr
}

func (ptr *QFinalState) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractState_PTR().Pointer()
	}
	return nil
}

func (ptr *QFinalState) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractState_PTR().SetPointer(p)
	}
}

func PointerFromQFinalState(ptr QFinalState_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFinalState_PTR().Pointer()
	}
	return nil
}

func (n *QFinalState) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractState_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFinalState) ClassNameInternalF() string {
	return n.QAbstractState_PTR().ClassNameInternalF()
}

func NewQFinalStateFromPointer(ptr unsafe.Pointer) (n *QFinalState) {
	n = new(QFinalState)
	n.InitFromInternal(uintptr(ptr), "core.QFinalState")
	return
}
func NewQFinalState(parent QState_ITF) *QFinalState {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFinalState", "", parent}).(*QFinalState)
}

func (ptr *QFinalState) ConnectOnEntry(f func(event *QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOnEntry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFinalState) DisconnectOnEntry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOnEntry"})
}

func (ptr *QFinalState) OnEntry(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnEntry", event})
}

func (ptr *QFinalState) OnEntryDefault(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnEntryDefault", event})
}

func (ptr *QFinalState) ConnectOnExit(f func(event *QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOnExit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFinalState) DisconnectOnExit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOnExit"})
}

func (ptr *QFinalState) OnExit(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnExit", event})
}

func (ptr *QFinalState) OnExitDefault(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnExitDefault", event})
}

func (ptr *QFinalState) ConnectDestroyQFinalState(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQFinalState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFinalState) DisconnectDestroyQFinalState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQFinalState"})
}

func (ptr *QFinalState) DestroyQFinalState() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFinalState"})
}

func (ptr *QFinalState) DestroyQFinalStateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFinalStateDefault"})
}

type QFlag struct {
	internal.Internal
}

type QFlag_ITF interface {
	QFlag_PTR() *QFlag
}

func (ptr *QFlag) QFlag_PTR() *QFlag {
	return ptr
}

func (ptr *QFlag) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFlag) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFlag(ptr QFlag_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFlag_PTR().Pointer()
	}
	return nil
}

func (n *QFlag) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFlagFromPointer(ptr unsafe.Pointer) (n *QFlag) {
	n = new(QFlag)
	n.InitFromInternal(uintptr(ptr), "core.QFlag")
	return
}

func (ptr *QFlag) DestroyQFlag() {
}

func NewQFlag(value int) *QFlag {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFlag", "", value}).(*QFlag)
}

func NewQFlag2(value uint) *QFlag {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFlag2", "", value}).(*QFlag)
}

func NewQFlag3(value int16) *QFlag {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFlag3", "", value}).(*QFlag)
}

func NewQFlag4(value uint16) *QFlag {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQFlag4", "", value}).(*QFlag)
}

type QFlags struct {
	internal.Internal
}

type QFlags_ITF interface {
	QFlags_PTR() *QFlags
}

func (ptr *QFlags) QFlags_PTR() *QFlags {
	return ptr
}

func (ptr *QFlags) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFlags) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFlags(ptr QFlags_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFlags_PTR().Pointer()
	}
	return nil
}

func (n *QFlags) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFlagsFromPointer(ptr unsafe.Pointer) (n *QFlags) {
	n = new(QFlags)
	n.InitFromInternal(uintptr(ptr), "core.QFlags")
	return
}

func (ptr *QFlags) DestroyQFlags() {
}

type QFuture struct {
	internal.Internal
}

type QFuture_ITF interface {
	QFuture_PTR() *QFuture
}

func (ptr *QFuture) QFuture_PTR() *QFuture {
	return ptr
}

func (ptr *QFuture) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFuture) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFuture(ptr QFuture_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFuture_PTR().Pointer()
	}
	return nil
}

func (n *QFuture) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFutureFromPointer(ptr unsafe.Pointer) (n *QFuture) {
	n = new(QFuture)
	n.InitFromInternal(uintptr(ptr), "core.QFuture")
	return
}

type QFutureInterface struct {
	QFutureInterfaceBase
}

type QFutureInterface_ITF interface {
	QFutureInterfaceBase_ITF
	QFutureInterface_PTR() *QFutureInterface
}

func (ptr *QFutureInterface) QFutureInterface_PTR() *QFutureInterface {
	return ptr
}

func (ptr *QFutureInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QFutureInterfaceBase_PTR().Pointer()
	}
	return nil
}

func (ptr *QFutureInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QFutureInterfaceBase_PTR().SetPointer(p)
	}
}

func PointerFromQFutureInterface(ptr QFutureInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFutureInterface_PTR().Pointer()
	}
	return nil
}

func (n *QFutureInterface) InitFromInternal(ptr uintptr, name string) {
	n.QFutureInterfaceBase_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFutureInterface) ClassNameInternalF() string {
	return n.QFutureInterfaceBase_PTR().ClassNameInternalF()
}

func NewQFutureInterfaceFromPointer(ptr unsafe.Pointer) (n *QFutureInterface) {
	n = new(QFutureInterface)
	n.InitFromInternal(uintptr(ptr), "core.QFutureInterface")
	return
}

func (ptr *QFutureInterface) DestroyQFutureInterface() {
}

func (ptr *QFutureInterface) __reportResults_results_atList(i int) *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__reportResults_results_atList", i}).(*QObject)
}

func (ptr *QFutureInterface) __reportResults_results_setList(i QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__reportResults_results_setList", i})
}

func (ptr *QFutureInterface) __reportResults_results_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__reportResults_results_newList"}).(unsafe.Pointer)
}

func (ptr *QFutureInterface) __results_atList(i int) *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__results_atList", i}).(*QObject)
}

func (ptr *QFutureInterface) __results_setList(i QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__results_setList", i})
}

func (ptr *QFutureInterface) __results_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__results_newList"}).(unsafe.Pointer)
}

type QFutureInterfaceBase struct {
	internal.Internal
}

type QFutureInterfaceBase_ITF interface {
	QFutureInterfaceBase_PTR() *QFutureInterfaceBase
}

func (ptr *QFutureInterfaceBase) QFutureInterfaceBase_PTR() *QFutureInterfaceBase {
	return ptr
}

func (ptr *QFutureInterfaceBase) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFutureInterfaceBase) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFutureInterfaceBase(ptr QFutureInterfaceBase_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFutureInterfaceBase_PTR().Pointer()
	}
	return nil
}

func (n *QFutureInterfaceBase) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFutureInterfaceBaseFromPointer(ptr unsafe.Pointer) (n *QFutureInterfaceBase) {
	n = new(QFutureInterfaceBase)
	n.InitFromInternal(uintptr(ptr), "core.QFutureInterfaceBase")
	return
}

func (ptr *QFutureInterfaceBase) DestroyQFutureInterfaceBase() {
}

type QFutureIterator struct {
	internal.Internal
}

type QFutureIterator_ITF interface {
	QFutureIterator_PTR() *QFutureIterator
}

func (ptr *QFutureIterator) QFutureIterator_PTR() *QFutureIterator {
	return ptr
}

func (ptr *QFutureIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFutureIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFutureIterator(ptr QFutureIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFutureIterator_PTR().Pointer()
	}
	return nil
}

func (n *QFutureIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFutureIteratorFromPointer(ptr unsafe.Pointer) (n *QFutureIterator) {
	n = new(QFutureIterator)
	n.InitFromInternal(uintptr(ptr), "core.QFutureIterator")
	return
}

func (ptr *QFutureIterator) DestroyQFutureIterator() {
}

type QFutureSynchronizer struct {
	internal.Internal
}

type QFutureSynchronizer_ITF interface {
	QFutureSynchronizer_PTR() *QFutureSynchronizer
}

func (ptr *QFutureSynchronizer) QFutureSynchronizer_PTR() *QFutureSynchronizer {
	return ptr
}

func (ptr *QFutureSynchronizer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFutureSynchronizer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFutureSynchronizer(ptr QFutureSynchronizer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFutureSynchronizer_PTR().Pointer()
	}
	return nil
}

func (n *QFutureSynchronizer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFutureSynchronizerFromPointer(ptr unsafe.Pointer) (n *QFutureSynchronizer) {
	n = new(QFutureSynchronizer)
	n.InitFromInternal(uintptr(ptr), "core.QFutureSynchronizer")
	return
}

type QFutureWatcher struct {
	QObject
}

type QFutureWatcher_ITF interface {
	QObject_ITF
	QFutureWatcher_PTR() *QFutureWatcher
}

func (ptr *QFutureWatcher) QFutureWatcher_PTR() *QFutureWatcher {
	return ptr
}

func (ptr *QFutureWatcher) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QFutureWatcher) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQFutureWatcher(ptr QFutureWatcher_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFutureWatcher_PTR().Pointer()
	}
	return nil
}

func (n *QFutureWatcher) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFutureWatcher) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQFutureWatcherFromPointer(ptr unsafe.Pointer) (n *QFutureWatcher) {
	n = new(QFutureWatcher)
	n.InitFromInternal(uintptr(ptr), "core.QFutureWatcher")
	return
}

type QFutureWatcherBase struct {
	QObject
}

type QFutureWatcherBase_ITF interface {
	QObject_ITF
	QFutureWatcherBase_PTR() *QFutureWatcherBase
}

func (ptr *QFutureWatcherBase) QFutureWatcherBase_PTR() *QFutureWatcherBase {
	return ptr
}

func (ptr *QFutureWatcherBase) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QFutureWatcherBase) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQFutureWatcherBase(ptr QFutureWatcherBase_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFutureWatcherBase_PTR().Pointer()
	}
	return nil
}

func (n *QFutureWatcherBase) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFutureWatcherBase) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQFutureWatcherBaseFromPointer(ptr unsafe.Pointer) (n *QFutureWatcherBase) {
	n = new(QFutureWatcherBase)
	n.InitFromInternal(uintptr(ptr), "core.QFutureWatcherBase")
	return
}

func (ptr *QFutureWatcherBase) DestroyQFutureWatcherBase() {
}

type QGenericArgument struct {
	internal.Internal
}

type QGenericArgument_ITF interface {
	QGenericArgument_PTR() *QGenericArgument
}

func (ptr *QGenericArgument) QGenericArgument_PTR() *QGenericArgument {
	return ptr
}

func (ptr *QGenericArgument) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QGenericArgument) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQGenericArgument(ptr QGenericArgument_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGenericArgument_PTR().Pointer()
	}
	return nil
}

func (n *QGenericArgument) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQGenericArgumentFromPointer(ptr unsafe.Pointer) (n *QGenericArgument) {
	n = new(QGenericArgument)
	n.InitFromInternal(uintptr(ptr), "core.QGenericArgument")
	return
}

func (ptr *QGenericArgument) DestroyQGenericArgument() {
}

func NewQGenericArgument(name string, data unsafe.Pointer) *QGenericArgument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQGenericArgument", "", name, data}).(*QGenericArgument)
}

func (ptr *QGenericArgument) Data() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data"}).(unsafe.Pointer)
}

func (ptr *QGenericArgument) Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(string)
}

type QGenericAtomicOps struct {
	internal.Internal
}

type QGenericAtomicOps_ITF interface {
	QGenericAtomicOps_PTR() *QGenericAtomicOps
}

func (ptr *QGenericAtomicOps) QGenericAtomicOps_PTR() *QGenericAtomicOps {
	return ptr
}

func (ptr *QGenericAtomicOps) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QGenericAtomicOps) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQGenericAtomicOps(ptr QGenericAtomicOps_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGenericAtomicOps_PTR().Pointer()
	}
	return nil
}

func (n *QGenericAtomicOps) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQGenericAtomicOpsFromPointer(ptr unsafe.Pointer) (n *QGenericAtomicOps) {
	n = new(QGenericAtomicOps)
	n.InitFromInternal(uintptr(ptr), "core.QGenericAtomicOps")
	return
}

func (ptr *QGenericAtomicOps) DestroyQGenericAtomicOps() {
}

type QGenericReturnArgument struct {
	QGenericArgument
}

type QGenericReturnArgument_ITF interface {
	QGenericArgument_ITF
	QGenericReturnArgument_PTR() *QGenericReturnArgument
}

func (ptr *QGenericReturnArgument) QGenericReturnArgument_PTR() *QGenericReturnArgument {
	return ptr
}

func (ptr *QGenericReturnArgument) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGenericArgument_PTR().Pointer()
	}
	return nil
}

func (ptr *QGenericReturnArgument) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGenericArgument_PTR().SetPointer(p)
	}
}

func PointerFromQGenericReturnArgument(ptr QGenericReturnArgument_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGenericReturnArgument_PTR().Pointer()
	}
	return nil
}

func (n *QGenericReturnArgument) InitFromInternal(ptr uintptr, name string) {
	n.QGenericArgument_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGenericReturnArgument) ClassNameInternalF() string {
	return n.QGenericArgument_PTR().ClassNameInternalF()
}

func NewQGenericReturnArgumentFromPointer(ptr unsafe.Pointer) (n *QGenericReturnArgument) {
	n = new(QGenericReturnArgument)
	n.InitFromInternal(uintptr(ptr), "core.QGenericReturnArgument")
	return
}

func (ptr *QGenericReturnArgument) DestroyQGenericReturnArgument() {
}

func NewQGenericReturnArgument(name string, data unsafe.Pointer) *QGenericReturnArgument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQGenericReturnArgument", "", name, data}).(*QGenericReturnArgument)
}

type QGlobalStatic struct {
	internal.Internal
}

type QGlobalStatic_ITF interface {
	QGlobalStatic_PTR() *QGlobalStatic
}

func (ptr *QGlobalStatic) QGlobalStatic_PTR() *QGlobalStatic {
	return ptr
}

func (ptr *QGlobalStatic) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QGlobalStatic) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQGlobalStatic(ptr QGlobalStatic_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGlobalStatic_PTR().Pointer()
	}
	return nil
}

func (n *QGlobalStatic) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQGlobalStaticFromPointer(ptr unsafe.Pointer) (n *QGlobalStatic) {
	n = new(QGlobalStatic)
	n.InitFromInternal(uintptr(ptr), "core.QGlobalStatic")
	return
}

func (ptr *QGlobalStatic) DestroyQGlobalStatic() {
}

type QHash struct {
	internal.Internal
}

type QHash_ITF interface {
	QHash_PTR() *QHash
}

func (ptr *QHash) QHash_PTR() *QHash {
	return ptr
}

func (ptr *QHash) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QHash) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQHash(ptr QHash_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QHash_PTR().Pointer()
	}
	return nil
}

func (n *QHash) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQHashFromPointer(ptr unsafe.Pointer) (n *QHash) {
	n = new(QHash)
	n.InitFromInternal(uintptr(ptr), "core.QHash")
	return
}

type QHashData struct {
	internal.Internal
}

type QHashData_ITF interface {
	QHashData_PTR() *QHashData
}

func (ptr *QHashData) QHashData_PTR() *QHashData {
	return ptr
}

func (ptr *QHashData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QHashData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQHashData(ptr QHashData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QHashData_PTR().Pointer()
	}
	return nil
}

func (n *QHashData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQHashDataFromPointer(ptr unsafe.Pointer) (n *QHashData) {
	n = new(QHashData)
	n.InitFromInternal(uintptr(ptr), "core.QHashData")
	return
}

func (ptr *QHashData) DestroyQHashData() {
}

type QHashIterator struct {
	internal.Internal
}

type QHashIterator_ITF interface {
	QHashIterator_PTR() *QHashIterator
}

func (ptr *QHashIterator) QHashIterator_PTR() *QHashIterator {
	return ptr
}

func (ptr *QHashIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QHashIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQHashIterator(ptr QHashIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QHashIterator_PTR().Pointer()
	}
	return nil
}

func (n *QHashIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQHashIteratorFromPointer(ptr unsafe.Pointer) (n *QHashIterator) {
	n = new(QHashIterator)
	n.InitFromInternal(uintptr(ptr), "core.QHashIterator")
	return
}

func (ptr *QHashIterator) DestroyQHashIterator() {
}

type QHashNode struct {
	internal.Internal
}

type QHashNode_ITF interface {
	QHashNode_PTR() *QHashNode
}

func (ptr *QHashNode) QHashNode_PTR() *QHashNode {
	return ptr
}

func (ptr *QHashNode) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QHashNode) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQHashNode(ptr QHashNode_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QHashNode_PTR().Pointer()
	}
	return nil
}

func (n *QHashNode) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQHashNodeFromPointer(ptr unsafe.Pointer) (n *QHashNode) {
	n = new(QHashNode)
	n.InitFromInternal(uintptr(ptr), "core.QHashNode")
	return
}

func (ptr *QHashNode) DestroyQHashNode() {
}

type QHistoryState struct {
	QAbstractState
}

type QHistoryState_ITF interface {
	QAbstractState_ITF
	QHistoryState_PTR() *QHistoryState
}

func (ptr *QHistoryState) QHistoryState_PTR() *QHistoryState {
	return ptr
}

func (ptr *QHistoryState) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractState_PTR().Pointer()
	}
	return nil
}

func (ptr *QHistoryState) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractState_PTR().SetPointer(p)
	}
}

func PointerFromQHistoryState(ptr QHistoryState_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QHistoryState_PTR().Pointer()
	}
	return nil
}

func (n *QHistoryState) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractState_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QHistoryState) ClassNameInternalF() string {
	return n.QAbstractState_PTR().ClassNameInternalF()
}

func NewQHistoryStateFromPointer(ptr unsafe.Pointer) (n *QHistoryState) {
	n = new(QHistoryState)
	n.InitFromInternal(uintptr(ptr), "core.QHistoryState")
	return
}

//go:generate stringer -type=QHistoryState__HistoryType
//QHistoryState::HistoryType
type QHistoryState__HistoryType int64

const (
	QHistoryState__ShallowHistory QHistoryState__HistoryType = QHistoryState__HistoryType(0)
	QHistoryState__DeepHistory    QHistoryState__HistoryType = QHistoryState__HistoryType(1)
)

func NewQHistoryState(parent QState_ITF) *QHistoryState {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQHistoryState", "", parent}).(*QHistoryState)
}

func NewQHistoryState2(ty QHistoryState__HistoryType, parent QState_ITF) *QHistoryState {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQHistoryState2", "", ty, parent}).(*QHistoryState)
}

func (ptr *QHistoryState) DefaultState() *QAbstractState {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultState"}).(*QAbstractState)
}

func (ptr *QHistoryState) ConnectDefaultStateChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDefaultStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHistoryState) DisconnectDefaultStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDefaultStateChanged"})
}

func (ptr *QHistoryState) DefaultTransition() *QAbstractTransition {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultTransition"}).(*QAbstractTransition)
}

func (ptr *QHistoryState) ConnectDefaultTransitionChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDefaultTransitionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHistoryState) DisconnectDefaultTransitionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDefaultTransitionChanged"})
}

func (ptr *QHistoryState) HistoryType() QHistoryState__HistoryType {

	return QHistoryState__HistoryType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HistoryType"}).(float64))
}

func (ptr *QHistoryState) ConnectHistoryTypeChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHistoryTypeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHistoryState) DisconnectHistoryTypeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHistoryTypeChanged"})
}

func (ptr *QHistoryState) ConnectOnEntry(f func(event *QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOnEntry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHistoryState) DisconnectOnEntry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOnEntry"})
}

func (ptr *QHistoryState) OnEntry(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnEntry", event})
}

func (ptr *QHistoryState) OnEntryDefault(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnEntryDefault", event})
}

func (ptr *QHistoryState) ConnectOnExit(f func(event *QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOnExit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHistoryState) DisconnectOnExit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOnExit"})
}

func (ptr *QHistoryState) OnExit(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnExit", event})
}

func (ptr *QHistoryState) OnExitDefault(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnExitDefault", event})
}

func (ptr *QHistoryState) SetDefaultState(state QAbstractState_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultState", state})
}

func (ptr *QHistoryState) SetDefaultTransition(transition QAbstractTransition_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultTransition", transition})
}

func (ptr *QHistoryState) SetHistoryType(ty QHistoryState__HistoryType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHistoryType", ty})
}

func (ptr *QHistoryState) ConnectDestroyQHistoryState(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQHistoryState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHistoryState) DisconnectDestroyQHistoryState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQHistoryState"})
}

func (ptr *QHistoryState) DestroyQHistoryState() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQHistoryState"})
}

func (ptr *QHistoryState) DestroyQHistoryStateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQHistoryStateDefault"})
}

type QIODevice struct {
	QObject
}

type QIODevice_ITF interface {
	QObject_ITF
	QIODevice_PTR() *QIODevice
}

func (ptr *QIODevice) QIODevice_PTR() *QIODevice {
	return ptr
}

func (ptr *QIODevice) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QIODevice) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQIODevice(ptr QIODevice_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QIODevice_PTR().Pointer()
	}
	return nil
}

func (n *QIODevice) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QIODevice) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQIODeviceFromPointer(ptr unsafe.Pointer) (n *QIODevice) {
	n = new(QIODevice)
	n.InitFromInternal(uintptr(ptr), "core.QIODevice")
	return
}

//go:generate stringer -type=QIODevice__OpenModeFlag
//QIODevice::OpenModeFlag
type QIODevice__OpenModeFlag int64

const (
	QIODevice__NotOpen      QIODevice__OpenModeFlag = QIODevice__OpenModeFlag(0x0000)
	QIODevice__ReadOnly     QIODevice__OpenModeFlag = QIODevice__OpenModeFlag(0x0001)
	QIODevice__WriteOnly    QIODevice__OpenModeFlag = QIODevice__OpenModeFlag(0x0002)
	QIODevice__ReadWrite    QIODevice__OpenModeFlag = QIODevice__OpenModeFlag(QIODevice__ReadOnly | QIODevice__WriteOnly)
	QIODevice__Append       QIODevice__OpenModeFlag = QIODevice__OpenModeFlag(0x0004)
	QIODevice__Truncate     QIODevice__OpenModeFlag = QIODevice__OpenModeFlag(0x0008)
	QIODevice__Text         QIODevice__OpenModeFlag = QIODevice__OpenModeFlag(0x0010)
	QIODevice__Unbuffered   QIODevice__OpenModeFlag = QIODevice__OpenModeFlag(0x0020)
	QIODevice__NewOnly      QIODevice__OpenModeFlag = QIODevice__OpenModeFlag(0x0040)
	QIODevice__ExistingOnly QIODevice__OpenModeFlag = QIODevice__OpenModeFlag(0x0080)
)

func NewQIODevice() *QIODevice {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQIODevice", ""}).(*QIODevice)
}

func NewQIODevice2(parent QObject_ITF) *QIODevice {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQIODevice2", "", parent}).(*QIODevice)
}

func (ptr *QIODevice) ConnectAboutToClose(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAboutToClose", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectAboutToClose() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAboutToClose"})
}

func (ptr *QIODevice) AboutToClose() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AboutToClose"})
}

func (ptr *QIODevice) ConnectAtEnd(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAtEnd", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectAtEnd() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAtEnd"})
}

func (ptr *QIODevice) AtEnd() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AtEnd"}).(bool)
}

func (ptr *QIODevice) AtEndDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AtEndDefault"}).(bool)
}

func (ptr *QIODevice) ConnectBytesAvailable(f func() int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBytesAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectBytesAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBytesAvailable"})
}

func (ptr *QIODevice) BytesAvailable() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesAvailable"}).(float64))
}

func (ptr *QIODevice) BytesAvailableDefault() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesAvailableDefault"}).(float64))
}

func (ptr *QIODevice) ConnectBytesToWrite(f func() int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBytesToWrite", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectBytesToWrite() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBytesToWrite"})
}

func (ptr *QIODevice) BytesToWrite() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesToWrite"}).(float64))
}

func (ptr *QIODevice) BytesToWriteDefault() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesToWriteDefault"}).(float64))
}

func (ptr *QIODevice) ConnectBytesWritten(f func(bytes int64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBytesWritten", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectBytesWritten() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBytesWritten"})
}

func (ptr *QIODevice) BytesWritten(bytes int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesWritten", bytes})
}

func (ptr *QIODevice) ConnectCanReadLine(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCanReadLine", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectCanReadLine() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCanReadLine"})
}

func (ptr *QIODevice) CanReadLine() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanReadLine"}).(bool)
}

func (ptr *QIODevice) CanReadLineDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanReadLineDefault"}).(bool)
}

func (ptr *QIODevice) ConnectChannelBytesWritten(f func(channel int, bytes int64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectChannelBytesWritten", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectChannelBytesWritten() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectChannelBytesWritten"})
}

func (ptr *QIODevice) ChannelBytesWritten(channel int, bytes int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChannelBytesWritten", channel, bytes})
}

func (ptr *QIODevice) ConnectChannelReadyRead(f func(channel int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectChannelReadyRead", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectChannelReadyRead() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectChannelReadyRead"})
}

func (ptr *QIODevice) ChannelReadyRead(channel int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChannelReadyRead", channel})
}

func (ptr *QIODevice) ConnectClose(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClose", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectClose() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClose"})
}

func (ptr *QIODevice) Close() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Close"})
}

func (ptr *QIODevice) CloseDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloseDefault"})
}

func (ptr *QIODevice) CommitTransaction() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CommitTransaction"})
}

func (ptr *QIODevice) CurrentReadChannel() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentReadChannel"}).(float64))
}

func (ptr *QIODevice) CurrentWriteChannel() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentWriteChannel"}).(float64))
}

func (ptr *QIODevice) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QIODevice) GetChar(c string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetChar", c}).(bool)
}

func (ptr *QIODevice) IsOpen() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsOpen"}).(bool)
}

func (ptr *QIODevice) IsReadable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadable"}).(bool)
}

func (ptr *QIODevice) ConnectIsSequential(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsSequential", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectIsSequential() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsSequential"})
}

func (ptr *QIODevice) IsSequential() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSequential"}).(bool)
}

func (ptr *QIODevice) IsSequentialDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSequentialDefault"}).(bool)
}

func (ptr *QIODevice) IsTextModeEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTextModeEnabled"}).(bool)
}

func (ptr *QIODevice) IsTransactionStarted() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTransactionStarted"}).(bool)
}

func (ptr *QIODevice) IsWritable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsWritable"}).(bool)
}

func (ptr *QIODevice) ConnectOpen(f func(mode QIODevice__OpenModeFlag) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOpen", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectOpen() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOpen"})
}

func (ptr *QIODevice) Open(mode QIODevice__OpenModeFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Open", mode}).(bool)
}

func (ptr *QIODevice) OpenDefault(mode QIODevice__OpenModeFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpenDefault", mode}).(bool)
}

func (ptr *QIODevice) OpenMode() QIODevice__OpenModeFlag {

	return QIODevice__OpenModeFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpenMode"}).(float64))
}

func (ptr *QIODevice) Peek(data string, maxSize int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Peek", data, maxSize}).(float64))
}

func (ptr *QIODevice) Peek2(maxSize int64) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Peek2", maxSize}).(*QByteArray)
}

func (ptr *QIODevice) ConnectPos(f func() int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPos", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectPos() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPos"})
}

func (ptr *QIODevice) Pos() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(float64))
}

func (ptr *QIODevice) PosDefault() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PosDefault"}).(float64))
}

func (ptr *QIODevice) PutChar(c string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PutChar", c}).(bool)
}

func (ptr *QIODevice) Read(data []byte, maxSize int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read", data, maxSize}).(float64))
}

func (ptr *QIODevice) Read2(maxSize int64) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read2", maxSize}).(*QByteArray)
}

func (ptr *QIODevice) ReadAll() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadAll"}).(*QByteArray)
}

func (ptr *QIODevice) ReadChannelCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadChannelCount"}).(float64))
}

func (ptr *QIODevice) ConnectReadChannelFinished(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReadChannelFinished", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectReadChannelFinished() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReadChannelFinished"})
}

func (ptr *QIODevice) ReadChannelFinished() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadChannelFinished"})
}

func (ptr *QIODevice) ConnectReadData(f func(data *string, maxSize int64) int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReadData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectReadData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReadData"})
}

func (ptr *QIODevice) ReadData(data *string, maxSize int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadData", data, maxSize}).(float64))
}

func (ptr *QIODevice) ReadLine(data []byte, maxSize int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadLine", data, maxSize}).(float64))
}

func (ptr *QIODevice) ReadLine2(maxSize int64) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadLine2", maxSize}).(*QByteArray)
}

func (ptr *QIODevice) ConnectReadLineData(f func(data []byte, maxSize int64) int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReadLineData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectReadLineData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReadLineData"})
}

func (ptr *QIODevice) ReadLineData(data []byte, maxSize int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadLineData", data, maxSize}).(float64))
}

func (ptr *QIODevice) ReadLineDataDefault(data []byte, maxSize int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadLineDataDefault", data, maxSize}).(float64))
}

func (ptr *QIODevice) ConnectReadyRead(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReadyRead", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectReadyRead() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReadyRead"})
}

func (ptr *QIODevice) ReadyRead() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadyRead"})
}

func (ptr *QIODevice) ConnectReset(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectReset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReset"})
}

func (ptr *QIODevice) Reset() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"}).(bool)
}

func (ptr *QIODevice) ResetDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetDefault"}).(bool)
}

func (ptr *QIODevice) RollbackTransaction() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RollbackTransaction"})
}

func (ptr *QIODevice) ConnectSeek(f func(pos int64) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSeek", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectSeek() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSeek"})
}

func (ptr *QIODevice) Seek(pos int64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Seek", pos}).(bool)
}

func (ptr *QIODevice) SeekDefault(pos int64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SeekDefault", pos}).(bool)
}

func (ptr *QIODevice) SetCurrentReadChannel(channel int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentReadChannel", channel})
}

func (ptr *QIODevice) SetCurrentWriteChannel(channel int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentWriteChannel", channel})
}

func (ptr *QIODevice) SetErrorString(str string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetErrorString", str})
}

func (ptr *QIODevice) SetOpenMode(openMode QIODevice__OpenModeFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOpenMode", openMode})
}

func (ptr *QIODevice) SetTextModeEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextModeEnabled", enabled})
}

func (ptr *QIODevice) ConnectSize(f func() int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSize"})
}

func (ptr *QIODevice) Size() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

func (ptr *QIODevice) SizeDefault() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeDefault"}).(float64))
}

func (ptr *QIODevice) Skip(maxSize int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Skip", maxSize}).(float64))
}

func (ptr *QIODevice) StartTransaction() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartTransaction"})
}

func (ptr *QIODevice) UngetChar(c string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UngetChar", c})
}

func (ptr *QIODevice) ConnectWaitForBytesWritten(f func(msecs int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWaitForBytesWritten", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectWaitForBytesWritten() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWaitForBytesWritten"})
}

func (ptr *QIODevice) WaitForBytesWritten(msecs int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WaitForBytesWritten", msecs}).(bool)
}

func (ptr *QIODevice) WaitForBytesWrittenDefault(msecs int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WaitForBytesWrittenDefault", msecs}).(bool)
}

func (ptr *QIODevice) ConnectWaitForReadyRead(f func(msecs int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWaitForReadyRead", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectWaitForReadyRead() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWaitForReadyRead"})
}

func (ptr *QIODevice) WaitForReadyRead(msecs int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WaitForReadyRead", msecs}).(bool)
}

func (ptr *QIODevice) WaitForReadyReadDefault(msecs int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WaitForReadyReadDefault", msecs}).(bool)
}

func (ptr *QIODevice) Write(data []byte, maxSize int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write", data, maxSize}).(float64))
}

func (ptr *QIODevice) Write2(data string) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write2", data}).(float64))
}

func (ptr *QIODevice) Write3(byteArray QByteArray_ITF) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write3", byteArray}).(float64))
}

func (ptr *QIODevice) WriteChannelCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteChannelCount"}).(float64))
}

func (ptr *QIODevice) ConnectWriteData(f func(data []byte, maxSize int64) int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWriteData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectWriteData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWriteData"})
}

func (ptr *QIODevice) WriteData(data []byte, maxSize int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteData", data, maxSize}).(float64))
}

func (ptr *QIODevice) ConnectDestroyQIODevice(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQIODevice", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIODevice) DisconnectDestroyQIODevice() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQIODevice"})
}

func (ptr *QIODevice) DestroyQIODevice() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQIODevice"})
}

func (ptr *QIODevice) DestroyQIODeviceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQIODeviceDefault"})
}

type QIdentityProxyModel struct {
	QAbstractProxyModel
}

type QIdentityProxyModel_ITF interface {
	QAbstractProxyModel_ITF
	QIdentityProxyModel_PTR() *QIdentityProxyModel
}

func (ptr *QIdentityProxyModel) QIdentityProxyModel_PTR() *QIdentityProxyModel {
	return ptr
}

func (ptr *QIdentityProxyModel) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractProxyModel_PTR().Pointer()
	}
	return nil
}

func (ptr *QIdentityProxyModel) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractProxyModel_PTR().SetPointer(p)
	}
}

func PointerFromQIdentityProxyModel(ptr QIdentityProxyModel_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QIdentityProxyModel_PTR().Pointer()
	}
	return nil
}

func (n *QIdentityProxyModel) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractProxyModel_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QIdentityProxyModel) ClassNameInternalF() string {
	return n.QAbstractProxyModel_PTR().ClassNameInternalF()
}

func NewQIdentityProxyModelFromPointer(ptr unsafe.Pointer) (n *QIdentityProxyModel) {
	n = new(QIdentityProxyModel)
	n.InitFromInternal(uintptr(ptr), "core.QIdentityProxyModel")
	return
}
func NewQIdentityProxyModel(parent QObject_ITF) *QIdentityProxyModel {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQIdentityProxyModel", "", parent}).(*QIdentityProxyModel)
}

func (ptr *QIdentityProxyModel) ConnectColumnCount(f func(parent *QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIdentityProxyModel) DisconnectColumnCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnCount"})
}

func (ptr *QIdentityProxyModel) ColumnCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount", parent}).(float64))
}

func (ptr *QIdentityProxyModel) ColumnCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCountDefault", parent}).(float64))
}

func (ptr *QIdentityProxyModel) ConnectIndex(f func(row int, column int, parent *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIdentityProxyModel) DisconnectIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndex"})
}

func (ptr *QIdentityProxyModel) Index(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index", row, column, parent}).(*QModelIndex)
}

func (ptr *QIdentityProxyModel) IndexDefault(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexDefault", row, column, parent}).(*QModelIndex)
}

func (ptr *QIdentityProxyModel) ConnectMapFromSource(f func(sourceIndex *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMapFromSource", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIdentityProxyModel) DisconnectMapFromSource() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMapFromSource"})
}

func (ptr *QIdentityProxyModel) MapFromSource(sourceIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromSource", sourceIndex}).(*QModelIndex)
}

func (ptr *QIdentityProxyModel) MapFromSourceDefault(sourceIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromSourceDefault", sourceIndex}).(*QModelIndex)
}

func (ptr *QIdentityProxyModel) ConnectMapToSource(f func(proxyIndex *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMapToSource", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIdentityProxyModel) DisconnectMapToSource() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMapToSource"})
}

func (ptr *QIdentityProxyModel) MapToSource(proxyIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToSource", proxyIndex}).(*QModelIndex)
}

func (ptr *QIdentityProxyModel) MapToSourceDefault(proxyIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToSourceDefault", proxyIndex}).(*QModelIndex)
}

func (ptr *QIdentityProxyModel) ConnectParent(f func(child *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectParent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIdentityProxyModel) DisconnectParent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectParent"})
}

func (ptr *QIdentityProxyModel) Parent(child QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent", child}).(*QModelIndex)
}

func (ptr *QIdentityProxyModel) ParentDefault(child QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentDefault", child}).(*QModelIndex)
}

func (ptr *QIdentityProxyModel) ConnectRowCount(f func(parent *QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIdentityProxyModel) DisconnectRowCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowCount"})
}

func (ptr *QIdentityProxyModel) RowCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount", parent}).(float64))
}

func (ptr *QIdentityProxyModel) RowCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCountDefault", parent}).(float64))
}

func (ptr *QIdentityProxyModel) ConnectDestroyQIdentityProxyModel(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQIdentityProxyModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIdentityProxyModel) DisconnectDestroyQIdentityProxyModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQIdentityProxyModel"})
}

func (ptr *QIdentityProxyModel) DestroyQIdentityProxyModel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQIdentityProxyModel"})
}

func (ptr *QIdentityProxyModel) DestroyQIdentityProxyModelDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQIdentityProxyModelDefault"})
}

type QIncompatibleFlag struct {
	internal.Internal
}

type QIncompatibleFlag_ITF interface {
	QIncompatibleFlag_PTR() *QIncompatibleFlag
}

func (ptr *QIncompatibleFlag) QIncompatibleFlag_PTR() *QIncompatibleFlag {
	return ptr
}

func (ptr *QIncompatibleFlag) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QIncompatibleFlag) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQIncompatibleFlag(ptr QIncompatibleFlag_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QIncompatibleFlag_PTR().Pointer()
	}
	return nil
}

func (n *QIncompatibleFlag) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQIncompatibleFlagFromPointer(ptr unsafe.Pointer) (n *QIncompatibleFlag) {
	n = new(QIncompatibleFlag)
	n.InitFromInternal(uintptr(ptr), "core.QIncompatibleFlag")
	return
}

func (ptr *QIncompatibleFlag) DestroyQIncompatibleFlag() {
}

type QInternal struct {
	internal.Internal
}

type QInternal_ITF interface {
	QInternal_PTR() *QInternal
}

func (ptr *QInternal) QInternal_PTR() *QInternal {
	return ptr
}

func (ptr *QInternal) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QInternal) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQInternal(ptr QInternal_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QInternal_PTR().Pointer()
	}
	return nil
}

func (n *QInternal) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQInternalFromPointer(ptr unsafe.Pointer) (n *QInternal) {
	n = new(QInternal)
	n.InitFromInternal(uintptr(ptr), "core.QInternal")
	return
}

func (ptr *QInternal) DestroyQInternal() {
}

type QItemSelection struct {
	internal.Internal
}

type QItemSelection_ITF interface {
	QItemSelection_PTR() *QItemSelection
}

func (ptr *QItemSelection) QItemSelection_PTR() *QItemSelection {
	return ptr
}

func (ptr *QItemSelection) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QItemSelection) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQItemSelection(ptr QItemSelection_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QItemSelection_PTR().Pointer()
	}
	return nil
}

func (n *QItemSelection) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQItemSelectionFromPointer(ptr unsafe.Pointer) (n *QItemSelection) {
	n = new(QItemSelection)
	n.InitFromInternal(uintptr(ptr), "core.QItemSelection")
	return
}

func (ptr *QItemSelection) DestroyQItemSelection() {
}

func NewQItemSelection() *QItemSelection {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQItemSelection", ""}).(*QItemSelection)
}

func NewQItemSelection2(topLeft QModelIndex_ITF, bottomRight QModelIndex_ITF) *QItemSelection {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQItemSelection2", "", topLeft, bottomRight}).(*QItemSelection)
}

func (ptr *QItemSelection) Contains(index QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", index}).(bool)
}

func (ptr *QItemSelection) Indexes() []*QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Indexes"}).([]*QModelIndex)
}

func (ptr *QItemSelection) Merge(other QItemSelection_ITF, command QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Merge", other, command})
}

func (ptr *QItemSelection) Select(topLeft QModelIndex_ITF, bottomRight QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Select", topLeft, bottomRight})
}

func QItemSelection_Split(ran QItemSelectionRange_ITF, other QItemSelectionRange_ITF, result QItemSelection_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QItemSelection_Split", "", ran, other, result})
}

func (ptr *QItemSelection) Split(ran QItemSelectionRange_ITF, other QItemSelectionRange_ITF, result QItemSelection_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QItemSelection_Split", "", ran, other, result})
}

func (ptr *QItemSelection) __indexes_atList(i int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__indexes_atList", i}).(*QModelIndex)
}

func (ptr *QItemSelection) __indexes_setList(i QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__indexes_setList", i})
}

func (ptr *QItemSelection) __indexes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__indexes_newList"}).(unsafe.Pointer)
}

type QItemSelectionModel struct {
	QObject
}

type QItemSelectionModel_ITF interface {
	QObject_ITF
	QItemSelectionModel_PTR() *QItemSelectionModel
}

func (ptr *QItemSelectionModel) QItemSelectionModel_PTR() *QItemSelectionModel {
	return ptr
}

func (ptr *QItemSelectionModel) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QItemSelectionModel) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQItemSelectionModel(ptr QItemSelectionModel_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QItemSelectionModel_PTR().Pointer()
	}
	return nil
}

func (n *QItemSelectionModel) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QItemSelectionModel) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQItemSelectionModelFromPointer(ptr unsafe.Pointer) (n *QItemSelectionModel) {
	n = new(QItemSelectionModel)
	n.InitFromInternal(uintptr(ptr), "core.QItemSelectionModel")
	return
}

//go:generate stringer -type=QItemSelectionModel__SelectionFlag
//QItemSelectionModel::SelectionFlag
type QItemSelectionModel__SelectionFlag int64

const (
	QItemSelectionModel__NoUpdate       QItemSelectionModel__SelectionFlag = QItemSelectionModel__SelectionFlag(0x0000)
	QItemSelectionModel__Clear          QItemSelectionModel__SelectionFlag = QItemSelectionModel__SelectionFlag(0x0001)
	QItemSelectionModel__Select         QItemSelectionModel__SelectionFlag = QItemSelectionModel__SelectionFlag(0x0002)
	QItemSelectionModel__Deselect       QItemSelectionModel__SelectionFlag = QItemSelectionModel__SelectionFlag(0x0004)
	QItemSelectionModel__Toggle         QItemSelectionModel__SelectionFlag = QItemSelectionModel__SelectionFlag(0x0008)
	QItemSelectionModel__Current        QItemSelectionModel__SelectionFlag = QItemSelectionModel__SelectionFlag(0x0010)
	QItemSelectionModel__Rows           QItemSelectionModel__SelectionFlag = QItemSelectionModel__SelectionFlag(0x0020)
	QItemSelectionModel__Columns        QItemSelectionModel__SelectionFlag = QItemSelectionModel__SelectionFlag(0x0040)
	QItemSelectionModel__SelectCurrent  QItemSelectionModel__SelectionFlag = QItemSelectionModel__SelectionFlag(QItemSelectionModel__Select | QItemSelectionModel__Current)
	QItemSelectionModel__ToggleCurrent  QItemSelectionModel__SelectionFlag = QItemSelectionModel__SelectionFlag(QItemSelectionModel__Toggle | QItemSelectionModel__Current)
	QItemSelectionModel__ClearAndSelect QItemSelectionModel__SelectionFlag = QItemSelectionModel__SelectionFlag(QItemSelectionModel__Clear | QItemSelectionModel__Select)
)

func NewQItemSelectionModel(model QAbstractItemModel_ITF) *QItemSelectionModel {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQItemSelectionModel", "", model}).(*QItemSelectionModel)
}

func NewQItemSelectionModel2(model QAbstractItemModel_ITF, parent QObject_ITF) *QItemSelectionModel {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQItemSelectionModel2", "", model, parent}).(*QItemSelectionModel)
}

func (ptr *QItemSelectionModel) ConnectClear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemSelectionModel) DisconnectClear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClear"})
}

func (ptr *QItemSelectionModel) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QItemSelectionModel) ClearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearDefault"})
}

func (ptr *QItemSelectionModel) ConnectClearCurrentIndex(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClearCurrentIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemSelectionModel) DisconnectClearCurrentIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClearCurrentIndex"})
}

func (ptr *QItemSelectionModel) ClearCurrentIndex() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearCurrentIndex"})
}

func (ptr *QItemSelectionModel) ClearCurrentIndexDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearCurrentIndexDefault"})
}

func (ptr *QItemSelectionModel) ConnectClearSelection(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClearSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemSelectionModel) DisconnectClearSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClearSelection"})
}

func (ptr *QItemSelectionModel) ClearSelection() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearSelection"})
}

func (ptr *QItemSelectionModel) ClearSelectionDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearSelectionDefault"})
}

func (ptr *QItemSelectionModel) ColumnIntersectsSelection(column int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnIntersectsSelection", column, parent}).(bool)
}

func (ptr *QItemSelectionModel) ConnectCurrentChanged(f func(current *QModelIndex, previous *QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemSelectionModel) DisconnectCurrentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentChanged"})
}

func (ptr *QItemSelectionModel) CurrentChanged(current QModelIndex_ITF, previous QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChanged", current, previous})
}

func (ptr *QItemSelectionModel) ConnectCurrentColumnChanged(f func(current *QModelIndex, previous *QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentColumnChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemSelectionModel) DisconnectCurrentColumnChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentColumnChanged"})
}

func (ptr *QItemSelectionModel) CurrentColumnChanged(current QModelIndex_ITF, previous QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentColumnChanged", current, previous})
}

func (ptr *QItemSelectionModel) CurrentIndex() *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentIndex"}).(*QModelIndex)
}

func (ptr *QItemSelectionModel) ConnectCurrentRowChanged(f func(current *QModelIndex, previous *QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentRowChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemSelectionModel) DisconnectCurrentRowChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentRowChanged"})
}

func (ptr *QItemSelectionModel) CurrentRowChanged(current QModelIndex_ITF, previous QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentRowChanged", current, previous})
}

func (ptr *QItemSelectionModel) EmitSelectionChanged(newSelection QItemSelection_ITF, oldSelection QItemSelection_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EmitSelectionChanged", newSelection, oldSelection})
}

func (ptr *QItemSelectionModel) HasSelection() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasSelection"}).(bool)
}

func (ptr *QItemSelectionModel) IsColumnSelected(column int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsColumnSelected", column, parent}).(bool)
}

func (ptr *QItemSelectionModel) IsRowSelected(row int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRowSelected", row, parent}).(bool)
}

func (ptr *QItemSelectionModel) IsSelected(index QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSelected", index}).(bool)
}

func (ptr *QItemSelectionModel) Model() *QAbstractItemModel {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Model"}).(*QAbstractItemModel)
}

func (ptr *QItemSelectionModel) Model2() *QAbstractItemModel {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Model2"}).(*QAbstractItemModel)
}

func (ptr *QItemSelectionModel) ConnectModelChanged(f func(model *QAbstractItemModel)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectModelChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemSelectionModel) DisconnectModelChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectModelChanged"})
}

func (ptr *QItemSelectionModel) ModelChanged(model QAbstractItemModel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ModelChanged", model})
}

func (ptr *QItemSelectionModel) ConnectReset(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemSelectionModel) DisconnectReset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReset"})
}

func (ptr *QItemSelectionModel) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QItemSelectionModel) ResetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetDefault"})
}

func (ptr *QItemSelectionModel) RowIntersectsSelection(row int, parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowIntersectsSelection", row, parent}).(bool)
}

func (ptr *QItemSelectionModel) ConnectSelect(f func(index *QModelIndex, command QItemSelectionModel__SelectionFlag)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemSelectionModel) DisconnectSelect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelect"})
}

func (ptr *QItemSelectionModel) Select(index QModelIndex_ITF, command QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Select", index, command})
}

func (ptr *QItemSelectionModel) SelectDefault(index QModelIndex_ITF, command QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectDefault", index, command})
}

func (ptr *QItemSelectionModel) ConnectSelect2(f func(selection *QItemSelection, command QItemSelectionModel__SelectionFlag)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelect2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemSelectionModel) DisconnectSelect2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelect2"})
}

func (ptr *QItemSelectionModel) Select2(selection QItemSelection_ITF, command QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Select2", selection, command})
}

func (ptr *QItemSelectionModel) Select2Default(selection QItemSelection_ITF, command QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Select2Default", selection, command})
}

func (ptr *QItemSelectionModel) SelectedColumns(row int) []*QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedColumns", row}).([]*QModelIndex)
}

func (ptr *QItemSelectionModel) SelectedIndexes() []*QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedIndexes"}).([]*QModelIndex)
}

func (ptr *QItemSelectionModel) SelectedRows(column int) []*QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedRows", column}).([]*QModelIndex)
}

func (ptr *QItemSelectionModel) Selection() *QItemSelection {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Selection"}).(*QItemSelection)
}

func (ptr *QItemSelectionModel) ConnectSelectionChanged(f func(selected *QItemSelection, deselected *QItemSelection)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemSelectionModel) DisconnectSelectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectionChanged"})
}

func (ptr *QItemSelectionModel) SelectionChanged(selected QItemSelection_ITF, deselected QItemSelection_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChanged", selected, deselected})
}

func (ptr *QItemSelectionModel) ConnectSetCurrentIndex(f func(index *QModelIndex, command QItemSelectionModel__SelectionFlag)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemSelectionModel) DisconnectSetCurrentIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentIndex"})
}

func (ptr *QItemSelectionModel) SetCurrentIndex(index QModelIndex_ITF, command QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndex", index, command})
}

func (ptr *QItemSelectionModel) SetCurrentIndexDefault(index QModelIndex_ITF, command QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndexDefault", index, command})
}

func (ptr *QItemSelectionModel) SetModel(model QAbstractItemModel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModel", model})
}

func (ptr *QItemSelectionModel) ConnectDestroyQItemSelectionModel(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQItemSelectionModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemSelectionModel) DisconnectDestroyQItemSelectionModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQItemSelectionModel"})
}

func (ptr *QItemSelectionModel) DestroyQItemSelectionModel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQItemSelectionModel"})
}

func (ptr *QItemSelectionModel) DestroyQItemSelectionModelDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQItemSelectionModelDefault"})
}

func (ptr *QItemSelectionModel) __selectedColumns_atList(i int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedColumns_atList", i}).(*QModelIndex)
}

func (ptr *QItemSelectionModel) __selectedColumns_setList(i QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedColumns_setList", i})
}

func (ptr *QItemSelectionModel) __selectedColumns_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedColumns_newList"}).(unsafe.Pointer)
}

func (ptr *QItemSelectionModel) __selectedIndexes_atList(i int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedIndexes_atList", i}).(*QModelIndex)
}

func (ptr *QItemSelectionModel) __selectedIndexes_setList(i QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedIndexes_setList", i})
}

func (ptr *QItemSelectionModel) __selectedIndexes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedIndexes_newList"}).(unsafe.Pointer)
}

func (ptr *QItemSelectionModel) __selectedRows_atList(i int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedRows_atList", i}).(*QModelIndex)
}

func (ptr *QItemSelectionModel) __selectedRows_setList(i QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedRows_setList", i})
}

func (ptr *QItemSelectionModel) __selectedRows_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedRows_newList"}).(unsafe.Pointer)
}

type QItemSelectionRange struct {
	internal.Internal
}

type QItemSelectionRange_ITF interface {
	QItemSelectionRange_PTR() *QItemSelectionRange
}

func (ptr *QItemSelectionRange) QItemSelectionRange_PTR() *QItemSelectionRange {
	return ptr
}

func (ptr *QItemSelectionRange) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QItemSelectionRange) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQItemSelectionRange(ptr QItemSelectionRange_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QItemSelectionRange_PTR().Pointer()
	}
	return nil
}

func (n *QItemSelectionRange) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQItemSelectionRangeFromPointer(ptr unsafe.Pointer) (n *QItemSelectionRange) {
	n = new(QItemSelectionRange)
	n.InitFromInternal(uintptr(ptr), "core.QItemSelectionRange")
	return
}

func (ptr *QItemSelectionRange) DestroyQItemSelectionRange() {
}

func NewQItemSelectionRange() *QItemSelectionRange {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQItemSelectionRange", ""}).(*QItemSelectionRange)
}

func NewQItemSelectionRange2(other QItemSelectionRange_ITF) *QItemSelectionRange {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQItemSelectionRange2", "", other}).(*QItemSelectionRange)
}

func NewQItemSelectionRange4(topLeft QModelIndex_ITF, bottomRight QModelIndex_ITF) *QItemSelectionRange {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQItemSelectionRange4", "", topLeft, bottomRight}).(*QItemSelectionRange)
}

func NewQItemSelectionRange5(index QModelIndex_ITF) *QItemSelectionRange {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQItemSelectionRange5", "", index}).(*QItemSelectionRange)
}

func (ptr *QItemSelectionRange) Bottom() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bottom"}).(float64))
}

func (ptr *QItemSelectionRange) BottomRight() *QPersistentModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BottomRight"}).(*QPersistentModelIndex)
}

func (ptr *QItemSelectionRange) Contains(index QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", index}).(bool)
}

func (ptr *QItemSelectionRange) Contains2(row int, column int, parentIndex QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains2", row, column, parentIndex}).(bool)
}

func (ptr *QItemSelectionRange) Height() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64))
}

func (ptr *QItemSelectionRange) Indexes() []*QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Indexes"}).([]*QModelIndex)
}

func (ptr *QItemSelectionRange) Intersected(other QItemSelectionRange_ITF) *QItemSelectionRange {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersected", other}).(*QItemSelectionRange)
}

func (ptr *QItemSelectionRange) Intersects(other QItemSelectionRange_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersects", other}).(bool)
}

func (ptr *QItemSelectionRange) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QItemSelectionRange) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QItemSelectionRange) Left() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Left"}).(float64))
}

func (ptr *QItemSelectionRange) Model() *QAbstractItemModel {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Model"}).(*QAbstractItemModel)
}

func (ptr *QItemSelectionRange) Parent() *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent"}).(*QModelIndex)
}

func (ptr *QItemSelectionRange) Right() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Right"}).(float64))
}

func (ptr *QItemSelectionRange) Swap(other QItemSelectionRange_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QItemSelectionRange) Top() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Top"}).(float64))
}

func (ptr *QItemSelectionRange) TopLeft() *QPersistentModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopLeft"}).(*QPersistentModelIndex)
}

func (ptr *QItemSelectionRange) Width() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64))
}

func (ptr *QItemSelectionRange) __indexes_atList(i int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__indexes_atList", i}).(*QModelIndex)
}

func (ptr *QItemSelectionRange) __indexes_setList(i QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__indexes_setList", i})
}

func (ptr *QItemSelectionRange) __indexes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__indexes_newList"}).(unsafe.Pointer)
}

type QJsonArray struct {
	internal.Internal
}

type QJsonArray_ITF interface {
	QJsonArray_PTR() *QJsonArray
}

func (ptr *QJsonArray) QJsonArray_PTR() *QJsonArray {
	return ptr
}

func (ptr *QJsonArray) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QJsonArray) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQJsonArray(ptr QJsonArray_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QJsonArray_PTR().Pointer()
	}
	return nil
}

func (n *QJsonArray) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQJsonArrayFromPointer(ptr unsafe.Pointer) (n *QJsonArray) {
	n = new(QJsonArray)
	n.InitFromInternal(uintptr(ptr), "core.QJsonArray")
	return
}
func NewQJsonArray() *QJsonArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonArray", ""}).(*QJsonArray)
}

func NewQJsonArray3(other QJsonArray_ITF) *QJsonArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonArray3", "", other}).(*QJsonArray)
}

func NewQJsonArray4(other QJsonArray_ITF) *QJsonArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonArray4", "", other}).(*QJsonArray)
}

func (ptr *QJsonArray) Append(value QJsonValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Append", value})
}

func (ptr *QJsonArray) At(i int) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "At", i}).(*QJsonValue)
}

func (ptr *QJsonArray) Contains(value QJsonValue_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", value}).(bool)
}

func (ptr *QJsonArray) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QJsonArray) Empty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Empty"}).(bool)
}

func (ptr *QJsonArray) First() *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "First"}).(*QJsonValue)
}

func QJsonArray_FromStringList(list []string) *QJsonArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonArray_FromStringList", "", list}).(*QJsonArray)
}

func (ptr *QJsonArray) FromStringList(list []string) *QJsonArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonArray_FromStringList", "", list}).(*QJsonArray)
}

func QJsonArray_FromVariantList(list []*QVariant) *QJsonArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonArray_FromVariantList", "", list}).(*QJsonArray)
}

func (ptr *QJsonArray) FromVariantList(list []*QVariant) *QJsonArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonArray_FromVariantList", "", list}).(*QJsonArray)
}

func (ptr *QJsonArray) Insert(i int, value QJsonValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Insert", i, value})
}

func (ptr *QJsonArray) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QJsonArray) Last() *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Last"}).(*QJsonValue)
}

func (ptr *QJsonArray) Pop_back() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pop_back"})
}

func (ptr *QJsonArray) Pop_front() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pop_front"})
}

func (ptr *QJsonArray) Prepend(value QJsonValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Prepend", value})
}

func (ptr *QJsonArray) Push_back(value QJsonValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Push_back", value})
}

func (ptr *QJsonArray) Push_front(value QJsonValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Push_front", value})
}

func (ptr *QJsonArray) RemoveAt(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveAt", i})
}

func (ptr *QJsonArray) RemoveFirst() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveFirst"})
}

func (ptr *QJsonArray) RemoveLast() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveLast"})
}

func (ptr *QJsonArray) Replace(i int, value QJsonValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Replace", i, value})
}

func (ptr *QJsonArray) Size() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

func (ptr *QJsonArray) Swap(other QJsonArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QJsonArray) TakeAt(i int) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeAt", i}).(*QJsonValue)
}

func (ptr *QJsonArray) ToVariantList() []*QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariantList"}).([]*QVariant)
}

func (ptr *QJsonArray) DestroyQJsonArray() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQJsonArray"})
}

func (ptr *QJsonArray) __fromVariantList_list_atList(i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromVariantList_list_atList", i}).(*QVariant)
}

func (ptr *QJsonArray) __fromVariantList_list_setList(i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromVariantList_list_setList", i})
}

func (ptr *QJsonArray) __fromVariantList_list_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromVariantList_list_newList"}).(unsafe.Pointer)
}

func (ptr *QJsonArray) __toVariantList_atList(i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantList_atList", i}).(*QVariant)
}

func (ptr *QJsonArray) __toVariantList_setList(i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantList_setList", i})
}

func (ptr *QJsonArray) __toVariantList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantList_newList"}).(unsafe.Pointer)
}

type QJsonDocument struct {
	internal.Internal
}

type QJsonDocument_ITF interface {
	QJsonDocument_PTR() *QJsonDocument
}

func (ptr *QJsonDocument) QJsonDocument_PTR() *QJsonDocument {
	return ptr
}

func (ptr *QJsonDocument) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QJsonDocument) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQJsonDocument(ptr QJsonDocument_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QJsonDocument_PTR().Pointer()
	}
	return nil
}

func (n *QJsonDocument) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQJsonDocumentFromPointer(ptr unsafe.Pointer) (n *QJsonDocument) {
	n = new(QJsonDocument)
	n.InitFromInternal(uintptr(ptr), "core.QJsonDocument")
	return
}

//go:generate stringer -type=QJsonDocument__DataValidation
//QJsonDocument::DataValidation
type QJsonDocument__DataValidation int64

const (
	QJsonDocument__Validate         QJsonDocument__DataValidation = QJsonDocument__DataValidation(0)
	QJsonDocument__BypassValidation QJsonDocument__DataValidation = QJsonDocument__DataValidation(1)
)

//go:generate stringer -type=QJsonDocument__JsonFormat
//QJsonDocument::JsonFormat
type QJsonDocument__JsonFormat int64

const (
	QJsonDocument__Indented QJsonDocument__JsonFormat = QJsonDocument__JsonFormat(0)
	QJsonDocument__Compact  QJsonDocument__JsonFormat = QJsonDocument__JsonFormat(1)
)

func NewQJsonDocument() *QJsonDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonDocument", ""}).(*QJsonDocument)
}

func NewQJsonDocument2(object QJsonObject_ITF) *QJsonDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonDocument2", "", object}).(*QJsonDocument)
}

func NewQJsonDocument3(array QJsonArray_ITF) *QJsonDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonDocument3", "", array}).(*QJsonDocument)
}

func NewQJsonDocument4(other QJsonDocument_ITF) *QJsonDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonDocument4", "", other}).(*QJsonDocument)
}

func NewQJsonDocument5(other QJsonDocument_ITF) *QJsonDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonDocument5", "", other}).(*QJsonDocument)
}

func (ptr *QJsonDocument) Array() *QJsonArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Array"}).(*QJsonArray)
}

func QJsonDocument_FromBinaryData(data QByteArray_ITF, validation QJsonDocument__DataValidation) *QJsonDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonDocument_FromBinaryData", "", data, validation}).(*QJsonDocument)
}

func (ptr *QJsonDocument) FromBinaryData(data QByteArray_ITF, validation QJsonDocument__DataValidation) *QJsonDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonDocument_FromBinaryData", "", data, validation}).(*QJsonDocument)
}

func QJsonDocument_FromJson(json QByteArray_ITF, error QJsonParseError_ITF) *QJsonDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonDocument_FromJson", "", json, error}).(*QJsonDocument)
}

func (ptr *QJsonDocument) FromJson(json QByteArray_ITF, error QJsonParseError_ITF) *QJsonDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonDocument_FromJson", "", json, error}).(*QJsonDocument)
}

func QJsonDocument_FromRawData(data []byte, size int, validation QJsonDocument__DataValidation) *QJsonDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonDocument_FromRawData", "", data, size, validation}).(*QJsonDocument)
}

func (ptr *QJsonDocument) FromRawData(data []byte, size int, validation QJsonDocument__DataValidation) *QJsonDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonDocument_FromRawData", "", data, size, validation}).(*QJsonDocument)
}

func QJsonDocument_FromVariant(variant QVariant_ITF) *QJsonDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonDocument_FromVariant", "", variant}).(*QJsonDocument)
}

func (ptr *QJsonDocument) FromVariant(variant QVariant_ITF) *QJsonDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonDocument_FromVariant", "", variant}).(*QJsonDocument)
}

func (ptr *QJsonDocument) IsArray() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsArray"}).(bool)
}

func (ptr *QJsonDocument) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QJsonDocument) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QJsonDocument) IsObject() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsObject"}).(bool)
}

func (ptr *QJsonDocument) Object() *QJsonObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Object"}).(*QJsonObject)
}

func (ptr *QJsonDocument) RawData(size int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RawData", size}).(string)
}

func (ptr *QJsonDocument) SetArray(array QJsonArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetArray", array})
}

func (ptr *QJsonDocument) SetObject(object QJsonObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetObject", object})
}

func (ptr *QJsonDocument) Swap(other QJsonDocument_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QJsonDocument) ToBinaryData() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToBinaryData"}).(*QByteArray)
}

func (ptr *QJsonDocument) ToJson() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToJson"}).(*QByteArray)
}

func (ptr *QJsonDocument) ToJson2(format QJsonDocument__JsonFormat) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToJson2", format}).(*QByteArray)
}

func (ptr *QJsonDocument) ToVariant() *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariant"}).(*QVariant)
}

func (ptr *QJsonDocument) DestroyQJsonDocument() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQJsonDocument"})
}

type QJsonObject struct {
	internal.Internal
}

type QJsonObject_ITF interface {
	QJsonObject_PTR() *QJsonObject
}

func (ptr *QJsonObject) QJsonObject_PTR() *QJsonObject {
	return ptr
}

func (ptr *QJsonObject) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QJsonObject) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQJsonObject(ptr QJsonObject_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QJsonObject_PTR().Pointer()
	}
	return nil
}

func (n *QJsonObject) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQJsonObjectFromPointer(ptr unsafe.Pointer) (n *QJsonObject) {
	n = new(QJsonObject)
	n.InitFromInternal(uintptr(ptr), "core.QJsonObject")
	return
}
func NewQJsonObject() *QJsonObject {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonObject", ""}).(*QJsonObject)
}

func NewQJsonObject3(other QJsonObject_ITF) *QJsonObject {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonObject3", "", other}).(*QJsonObject)
}

func NewQJsonObject4(other QJsonObject_ITF) *QJsonObject {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonObject4", "", other}).(*QJsonObject)
}

func (ptr *QJsonObject) Contains(key string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", key}).(bool)
}

func (ptr *QJsonObject) Contains2(key QLatin1String_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains2", key}).(bool)
}

func (ptr *QJsonObject) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QJsonObject) Empty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Empty"}).(bool)
}

func QJsonObject_FromVariantHash(hash map[string]*QVariant) *QJsonObject {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonObject_FromVariantHash", "", hash}).(*QJsonObject)
}

func (ptr *QJsonObject) FromVariantHash(hash map[string]*QVariant) *QJsonObject {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonObject_FromVariantHash", "", hash}).(*QJsonObject)
}

func (ptr *QJsonObject) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QJsonObject) Keys() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Keys"}).([]string)
}

func (ptr *QJsonObject) Length() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Length"}).(float64))
}

func (ptr *QJsonObject) Remove(key string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove", key})
}

func (ptr *QJsonObject) Size() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

func (ptr *QJsonObject) Swap(other QJsonObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QJsonObject) Take(key string) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Take", key}).(*QJsonValue)
}

func (ptr *QJsonObject) ToVariantHash() map[string]*QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariantHash"}).(map[string]*QVariant)
}

func (ptr *QJsonObject) ToVariantMap() map[string]*QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariantMap"}).(map[string]*QVariant)
}

func (ptr *QJsonObject) Value(key string) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value", key}).(*QJsonValue)
}

func (ptr *QJsonObject) Value2(key QLatin1String_ITF) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value2", key}).(*QJsonValue)
}

func (ptr *QJsonObject) DestroyQJsonObject() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQJsonObject"})
}

func (ptr *QJsonObject) __fromVariantHash_hash_atList(v string, i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromVariantHash_hash_atList", v, i}).(*QVariant)
}

func (ptr *QJsonObject) __fromVariantHash_hash_setList(key string, i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromVariantHash_hash_setList", key, i})
}

func (ptr *QJsonObject) __fromVariantHash_hash_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromVariantHash_hash_newList"}).(unsafe.Pointer)
}

func (ptr *QJsonObject) __fromVariantHash_hash_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromVariantHash_hash_keyList"}).([]string)
}

func (ptr *QJsonObject) __toVariantHash_atList(v string, i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantHash_atList", v, i}).(*QVariant)
}

func (ptr *QJsonObject) __toVariantHash_setList(key string, i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantHash_setList", key, i})
}

func (ptr *QJsonObject) __toVariantHash_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantHash_newList"}).(unsafe.Pointer)
}

func (ptr *QJsonObject) __toVariantHash_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantHash_keyList"}).([]string)
}

func (ptr *QJsonObject) __toVariantMap_atList(v string, i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantMap_atList", v, i}).(*QVariant)
}

func (ptr *QJsonObject) __toVariantMap_setList(key string, i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantMap_setList", key, i})
}

func (ptr *QJsonObject) __toVariantMap_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantMap_newList"}).(unsafe.Pointer)
}

func (ptr *QJsonObject) __toVariantMap_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toVariantMap_keyList"}).([]string)
}

func (ptr *QJsonObject) ____fromVariantHash_hash_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____fromVariantHash_hash_keyList_atList", i}).(string)
}

func (ptr *QJsonObject) ____fromVariantHash_hash_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____fromVariantHash_hash_keyList_setList", i})
}

func (ptr *QJsonObject) ____fromVariantHash_hash_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____fromVariantHash_hash_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QJsonObject) ____fromVariantMap_map_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____fromVariantMap_map_keyList_atList", i}).(string)
}

func (ptr *QJsonObject) ____fromVariantMap_map_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____fromVariantMap_map_keyList_setList", i})
}

func (ptr *QJsonObject) ____fromVariantMap_map_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____fromVariantMap_map_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QJsonObject) ____toVariantHash_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toVariantHash_keyList_atList", i}).(string)
}

func (ptr *QJsonObject) ____toVariantHash_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toVariantHash_keyList_setList", i})
}

func (ptr *QJsonObject) ____toVariantHash_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toVariantHash_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QJsonObject) ____toVariantMap_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toVariantMap_keyList_atList", i}).(string)
}

func (ptr *QJsonObject) ____toVariantMap_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toVariantMap_keyList_setList", i})
}

func (ptr *QJsonObject) ____toVariantMap_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toVariantMap_keyList_newList"}).(unsafe.Pointer)
}

type QJsonParseError struct {
	internal.Internal
}

type QJsonParseError_ITF interface {
	QJsonParseError_PTR() *QJsonParseError
}

func (ptr *QJsonParseError) QJsonParseError_PTR() *QJsonParseError {
	return ptr
}

func (ptr *QJsonParseError) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QJsonParseError) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQJsonParseError(ptr QJsonParseError_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QJsonParseError_PTR().Pointer()
	}
	return nil
}

func (n *QJsonParseError) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQJsonParseErrorFromPointer(ptr unsafe.Pointer) (n *QJsonParseError) {
	n = new(QJsonParseError)
	n.InitFromInternal(uintptr(ptr), "core.QJsonParseError")
	return
}

func (ptr *QJsonParseError) DestroyQJsonParseError() {
}

//go:generate stringer -type=QJsonParseError__ParseError
//QJsonParseError::ParseError
type QJsonParseError__ParseError int64

const (
	QJsonParseError__NoError               QJsonParseError__ParseError = QJsonParseError__ParseError(0)
	QJsonParseError__UnterminatedObject    QJsonParseError__ParseError = QJsonParseError__ParseError(1)
	QJsonParseError__MissingNameSeparator  QJsonParseError__ParseError = QJsonParseError__ParseError(2)
	QJsonParseError__UnterminatedArray     QJsonParseError__ParseError = QJsonParseError__ParseError(3)
	QJsonParseError__MissingValueSeparator QJsonParseError__ParseError = QJsonParseError__ParseError(4)
	QJsonParseError__IllegalValue          QJsonParseError__ParseError = QJsonParseError__ParseError(5)
	QJsonParseError__TerminationByNumber   QJsonParseError__ParseError = QJsonParseError__ParseError(6)
	QJsonParseError__IllegalNumber         QJsonParseError__ParseError = QJsonParseError__ParseError(7)
	QJsonParseError__IllegalEscapeSequence QJsonParseError__ParseError = QJsonParseError__ParseError(8)
	QJsonParseError__IllegalUTF8String     QJsonParseError__ParseError = QJsonParseError__ParseError(9)
	QJsonParseError__UnterminatedString    QJsonParseError__ParseError = QJsonParseError__ParseError(10)
	QJsonParseError__MissingObject         QJsonParseError__ParseError = QJsonParseError__ParseError(11)
	QJsonParseError__DeepNesting           QJsonParseError__ParseError = QJsonParseError__ParseError(12)
	QJsonParseError__DocumentTooLarge      QJsonParseError__ParseError = QJsonParseError__ParseError(13)
	QJsonParseError__GarbageAtEnd          QJsonParseError__ParseError = QJsonParseError__ParseError(14)
)

func (ptr *QJsonParseError) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QJsonParseError) Offset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Offset"}).(float64))
}

func (ptr *QJsonParseError) SetOffset(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffset", vin})
}

func (ptr *QJsonParseError) Error() QJsonParseError__ParseError {

	return QJsonParseError__ParseError(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QJsonParseError) SetError(vqj QJsonParseError__ParseError) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetError", vqj})
}

type QJsonValue struct {
	internal.Internal
}

type QJsonValue_ITF interface {
	QJsonValue_PTR() *QJsonValue
}

func (ptr *QJsonValue) QJsonValue_PTR() *QJsonValue {
	return ptr
}

func (ptr *QJsonValue) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QJsonValue) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQJsonValue(ptr QJsonValue_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QJsonValue_PTR().Pointer()
	}
	return nil
}

func (n *QJsonValue) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQJsonValueFromPointer(ptr unsafe.Pointer) (n *QJsonValue) {
	n = new(QJsonValue)
	n.InitFromInternal(uintptr(ptr), "core.QJsonValue")
	return
}

//go:generate stringer -type=QJsonValue__Type
//QJsonValue::Type
type QJsonValue__Type int64

const (
	QJsonValue__Null      QJsonValue__Type = QJsonValue__Type(0x0)
	QJsonValue__Bool      QJsonValue__Type = QJsonValue__Type(0x1)
	QJsonValue__Double    QJsonValue__Type = QJsonValue__Type(0x2)
	QJsonValue__String    QJsonValue__Type = QJsonValue__Type(0x3)
	QJsonValue__Array     QJsonValue__Type = QJsonValue__Type(0x4)
	QJsonValue__Object    QJsonValue__Type = QJsonValue__Type(0x5)
	QJsonValue__Undefined QJsonValue__Type = QJsonValue__Type(0x80)
)

func NewQJsonValue(ty QJsonValue__Type) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonValue", "", ty}).(*QJsonValue)
}

func NewQJsonValue2(b bool) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonValue2", "", b}).(*QJsonValue)
}

func NewQJsonValue3(n float64) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonValue3", "", n}).(*QJsonValue)
}

func NewQJsonValue4(n int) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonValue4", "", n}).(*QJsonValue)
}

func NewQJsonValue5(n int64) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonValue5", "", n}).(*QJsonValue)
}

func NewQJsonValue6(s string) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonValue6", "", s}).(*QJsonValue)
}

func NewQJsonValue7(s QLatin1String_ITF) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonValue7", "", s}).(*QJsonValue)
}

func NewQJsonValue8(s string) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonValue8", "", s}).(*QJsonValue)
}

func NewQJsonValue9(a QJsonArray_ITF) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonValue9", "", a}).(*QJsonValue)
}

func NewQJsonValue10(o QJsonObject_ITF) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonValue10", "", o}).(*QJsonValue)
}

func NewQJsonValue11(other QJsonValue_ITF) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonValue11", "", other}).(*QJsonValue)
}

func NewQJsonValue12(other QJsonValue_ITF) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQJsonValue12", "", other}).(*QJsonValue)
}

func QJsonValue_FromVariant(variant QVariant_ITF) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonValue_FromVariant", "", variant}).(*QJsonValue)
}

func (ptr *QJsonValue) FromVariant(variant QVariant_ITF) *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QJsonValue_FromVariant", "", variant}).(*QJsonValue)
}

func (ptr *QJsonValue) IsArray() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsArray"}).(bool)
}

func (ptr *QJsonValue) IsBool() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsBool"}).(bool)
}

func (ptr *QJsonValue) IsDouble() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDouble"}).(bool)
}

func (ptr *QJsonValue) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QJsonValue) IsObject() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsObject"}).(bool)
}

func (ptr *QJsonValue) IsString() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsString"}).(bool)
}

func (ptr *QJsonValue) IsUndefined() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsUndefined"}).(bool)
}

func (ptr *QJsonValue) Swap(other QJsonValue_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QJsonValue) ToArray(defaultValue QJsonArray_ITF) *QJsonArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToArray", defaultValue}).(*QJsonArray)
}

func (ptr *QJsonValue) ToArray2() *QJsonArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToArray2"}).(*QJsonArray)
}

func (ptr *QJsonValue) ToBool(defaultValue bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToBool", defaultValue}).(bool)
}

func (ptr *QJsonValue) ToDouble(defaultValue float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToDouble", defaultValue}).(float64)
}

func (ptr *QJsonValue) ToInt(defaultValue int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToInt", defaultValue}).(float64))
}

func (ptr *QJsonValue) ToObject(defaultValue QJsonObject_ITF) *QJsonObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToObject", defaultValue}).(*QJsonObject)
}

func (ptr *QJsonValue) ToObject2() *QJsonObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToObject2"}).(*QJsonObject)
}

func (ptr *QJsonValue) ToString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString"}).(string)
}

func (ptr *QJsonValue) ToString2(defaultValue string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString2", defaultValue}).(string)
}

func (ptr *QJsonValue) ToVariant() *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariant"}).(*QVariant)
}

func (ptr *QJsonValue) Type() QJsonValue__Type {

	return QJsonValue__Type(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QJsonValue) DestroyQJsonValue() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQJsonValue"})
}

type QJsonValuePtr struct {
	internal.Internal
}

type QJsonValuePtr_ITF interface {
	QJsonValuePtr_PTR() *QJsonValuePtr
}

func (ptr *QJsonValuePtr) QJsonValuePtr_PTR() *QJsonValuePtr {
	return ptr
}

func (ptr *QJsonValuePtr) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QJsonValuePtr) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQJsonValuePtr(ptr QJsonValuePtr_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QJsonValuePtr_PTR().Pointer()
	}
	return nil
}

func (n *QJsonValuePtr) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQJsonValuePtrFromPointer(ptr unsafe.Pointer) (n *QJsonValuePtr) {
	n = new(QJsonValuePtr)
	n.InitFromInternal(uintptr(ptr), "core.QJsonValuePtr")
	return
}

func (ptr *QJsonValuePtr) DestroyQJsonValuePtr() {
}

type QJsonValueRefPtr struct {
	internal.Internal
}

type QJsonValueRefPtr_ITF interface {
	QJsonValueRefPtr_PTR() *QJsonValueRefPtr
}

func (ptr *QJsonValueRefPtr) QJsonValueRefPtr_PTR() *QJsonValueRefPtr {
	return ptr
}

func (ptr *QJsonValueRefPtr) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QJsonValueRefPtr) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQJsonValueRefPtr(ptr QJsonValueRefPtr_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QJsonValueRefPtr_PTR().Pointer()
	}
	return nil
}

func (n *QJsonValueRefPtr) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQJsonValueRefPtrFromPointer(ptr unsafe.Pointer) (n *QJsonValueRefPtr) {
	n = new(QJsonValueRefPtr)
	n.InitFromInternal(uintptr(ptr), "core.QJsonValueRefPtr")
	return
}

func (ptr *QJsonValueRefPtr) DestroyQJsonValueRefPtr() {
}

type QKeyValueIterator struct {
	internal.Internal
}

type QKeyValueIterator_ITF interface {
	QKeyValueIterator_PTR() *QKeyValueIterator
}

func (ptr *QKeyValueIterator) QKeyValueIterator_PTR() *QKeyValueIterator {
	return ptr
}

func (ptr *QKeyValueIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QKeyValueIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQKeyValueIterator(ptr QKeyValueIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QKeyValueIterator_PTR().Pointer()
	}
	return nil
}

func (n *QKeyValueIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQKeyValueIteratorFromPointer(ptr unsafe.Pointer) (n *QKeyValueIterator) {
	n = new(QKeyValueIterator)
	n.InitFromInternal(uintptr(ptr), "core.QKeyValueIterator")
	return
}

func (ptr *QKeyValueIterator) DestroyQKeyValueIterator() {
}

type QLEInteger struct {
	internal.Internal
}

type QLEInteger_ITF interface {
	QLEInteger_PTR() *QLEInteger
}

func (ptr *QLEInteger) QLEInteger_PTR() *QLEInteger {
	return ptr
}

func (ptr *QLEInteger) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QLEInteger) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQLEInteger(ptr QLEInteger_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLEInteger_PTR().Pointer()
	}
	return nil
}

func (n *QLEInteger) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQLEIntegerFromPointer(ptr unsafe.Pointer) (n *QLEInteger) {
	n = new(QLEInteger)
	n.InitFromInternal(uintptr(ptr), "core.QLEInteger")
	return
}

func (ptr *QLEInteger) DestroyQLEInteger() {
}

type QLatin1Char struct {
	internal.Internal
}

type QLatin1Char_ITF interface {
	QLatin1Char_PTR() *QLatin1Char
}

func (ptr *QLatin1Char) QLatin1Char_PTR() *QLatin1Char {
	return ptr
}

func (ptr *QLatin1Char) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QLatin1Char) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQLatin1Char(ptr QLatin1Char_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLatin1Char_PTR().Pointer()
	}
	return nil
}

func (n *QLatin1Char) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQLatin1CharFromPointer(ptr unsafe.Pointer) (n *QLatin1Char) {
	n = new(QLatin1Char)
	n.InitFromInternal(uintptr(ptr), "core.QLatin1Char")
	return
}

func (ptr *QLatin1Char) DestroyQLatin1Char() {
}

func NewQLatin1Char(c string) *QLatin1Char {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLatin1Char", "", c}).(*QLatin1Char)
}

func (ptr *QLatin1Char) ToLatin1() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLatin1"}).(string)
}

func (ptr *QLatin1Char) Unicode() uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unicode"}).(float64))
}

type QLatin1String struct {
	internal.Internal
}

type QLatin1String_ITF interface {
	QLatin1String_PTR() *QLatin1String
}

func (ptr *QLatin1String) QLatin1String_PTR() *QLatin1String {
	return ptr
}

func (ptr *QLatin1String) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QLatin1String) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQLatin1String(ptr QLatin1String_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLatin1String_PTR().Pointer()
	}
	return nil
}

func (n *QLatin1String) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQLatin1StringFromPointer(ptr unsafe.Pointer) (n *QLatin1String) {
	n = new(QLatin1String)
	n.InitFromInternal(uintptr(ptr), "core.QLatin1String")
	return
}

func (ptr *QLatin1String) DestroyQLatin1String() {
}

func NewQLatin1String() *QLatin1String {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLatin1String", ""}).(*QLatin1String)
}

func NewQLatin1String2(str string) *QLatin1String {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLatin1String2", "", str}).(*QLatin1String)
}

func NewQLatin1String3(first string, last string) *QLatin1String {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLatin1String3", "", first, last}).(*QLatin1String)
}

func NewQLatin1String4(str string, size int) *QLatin1String {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLatin1String4", "", str, size}).(*QLatin1String)
}

func NewQLatin1String5(str QByteArray_ITF) *QLatin1String {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLatin1String5", "", str}).(*QLatin1String)
}

func (ptr *QLatin1String) Chop(length int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Chop", length})
}

func (ptr *QLatin1String) Chopped(length int) *QLatin1String {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Chopped", length}).(*QLatin1String)
}

func (ptr *QLatin1String) Data() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data"}).(string)
}

func (ptr *QLatin1String) EndsWith(str QStringView_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith", str, cs}).(bool)
}

func (ptr *QLatin1String) EndsWith2(l1 QLatin1String_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith2", l1, cs}).(bool)
}

func (ptr *QLatin1String) EndsWith3(ch QChar_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith3", ch}).(bool)
}

func (ptr *QLatin1String) EndsWith4(ch QChar_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith4", ch, cs}).(bool)
}

func (ptr *QLatin1String) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QLatin1String) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QLatin1String) Latin1() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Latin1"}).(string)
}

func (ptr *QLatin1String) Left(length int) *QLatin1String {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Left", length}).(*QLatin1String)
}

func (ptr *QLatin1String) Mid(start int) *QLatin1String {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mid", start}).(*QLatin1String)
}

func (ptr *QLatin1String) Mid2(start int, length int) *QLatin1String {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mid2", start, length}).(*QLatin1String)
}

func (ptr *QLatin1String) Right(length int) *QLatin1String {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Right", length}).(*QLatin1String)
}

func (ptr *QLatin1String) Size() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

func (ptr *QLatin1String) StartsWith(str QStringView_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith", str, cs}).(bool)
}

func (ptr *QLatin1String) StartsWith2(l1 QLatin1String_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith2", l1, cs}).(bool)
}

func (ptr *QLatin1String) StartsWith3(ch QChar_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith3", ch}).(bool)
}

func (ptr *QLatin1String) StartsWith4(ch QChar_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith4", ch, cs}).(bool)
}

func (ptr *QLatin1String) Trimmed() *QLatin1String {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Trimmed"}).(*QLatin1String)
}

func (ptr *QLatin1String) Truncate(length int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Truncate", length})
}

type QLibrary struct {
	QObject
}

type QLibrary_ITF interface {
	QObject_ITF
	QLibrary_PTR() *QLibrary
}

func (ptr *QLibrary) QLibrary_PTR() *QLibrary {
	return ptr
}

func (ptr *QLibrary) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QLibrary) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQLibrary(ptr QLibrary_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLibrary_PTR().Pointer()
	}
	return nil
}

func (n *QLibrary) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QLibrary) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQLibraryFromPointer(ptr unsafe.Pointer) (n *QLibrary) {
	n = new(QLibrary)
	n.InitFromInternal(uintptr(ptr), "core.QLibrary")
	return
}

//go:generate stringer -type=QLibrary__LoadHint
//QLibrary::LoadHint
type QLibrary__LoadHint int64

const (
	QLibrary__ResolveAllSymbolsHint     QLibrary__LoadHint = QLibrary__LoadHint(0x01)
	QLibrary__ExportExternalSymbolsHint QLibrary__LoadHint = QLibrary__LoadHint(0x02)
	QLibrary__LoadArchiveMemberHint     QLibrary__LoadHint = QLibrary__LoadHint(0x04)
	QLibrary__PreventUnloadHint         QLibrary__LoadHint = QLibrary__LoadHint(0x08)
	QLibrary__DeepBindHint              QLibrary__LoadHint = QLibrary__LoadHint(0x10)
)

func NewQLibrary(parent QObject_ITF) *QLibrary {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLibrary", "", parent}).(*QLibrary)
}

func NewQLibrary2(fileName string, parent QObject_ITF) *QLibrary {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLibrary2", "", fileName, parent}).(*QLibrary)
}

func NewQLibrary3(fileName string, verNum int, parent QObject_ITF) *QLibrary {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLibrary3", "", fileName, verNum, parent}).(*QLibrary)
}

func NewQLibrary4(fileName string, version string, parent QObject_ITF) *QLibrary {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLibrary4", "", fileName, version, parent}).(*QLibrary)
}

func (ptr *QLibrary) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QLibrary) FileName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName"}).(string)
}

func QLibrary_IsLibrary(fileName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLibrary_IsLibrary", "", fileName}).(bool)
}

func (ptr *QLibrary) IsLibrary(fileName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLibrary_IsLibrary", "", fileName}).(bool)
}

func (ptr *QLibrary) IsLoaded() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLoaded"}).(bool)
}

func (ptr *QLibrary) Load() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Load"}).(bool)
}

func (ptr *QLibrary) LoadHints() QLibrary__LoadHint {

	return QLibrary__LoadHint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadHints"}).(float64))
}

func (ptr *QLibrary) Resolve(symbol string) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resolve", symbol}).(unsafe.Pointer)
}

func QLibrary_Resolve2(fileName string, symbol string) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLibrary_Resolve2", "", fileName, symbol}).(unsafe.Pointer)
}

func (ptr *QLibrary) Resolve2(fileName string, symbol string) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLibrary_Resolve2", "", fileName, symbol}).(unsafe.Pointer)
}

func QLibrary_Resolve3(fileName string, verNum int, symbol string) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLibrary_Resolve3", "", fileName, verNum, symbol}).(unsafe.Pointer)
}

func (ptr *QLibrary) Resolve3(fileName string, verNum int, symbol string) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLibrary_Resolve3", "", fileName, verNum, symbol}).(unsafe.Pointer)
}

func QLibrary_Resolve4(fileName string, version string, symbol string) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLibrary_Resolve4", "", fileName, version, symbol}).(unsafe.Pointer)
}

func (ptr *QLibrary) Resolve4(fileName string, version string, symbol string) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLibrary_Resolve4", "", fileName, version, symbol}).(unsafe.Pointer)
}

func (ptr *QLibrary) SetFileName(fileName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileName", fileName})
}

func (ptr *QLibrary) SetFileNameAndVersion(fileName string, versionNumber int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileNameAndVersion", fileName, versionNumber})
}

func (ptr *QLibrary) SetFileNameAndVersion2(fileName string, version string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileNameAndVersion2", fileName, version})
}

func (ptr *QLibrary) SetLoadHints(hints QLibrary__LoadHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLoadHints", hints})
}

func (ptr *QLibrary) Unload() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unload"}).(bool)
}

func (ptr *QLibrary) ConnectDestroyQLibrary(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQLibrary", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLibrary) DisconnectDestroyQLibrary() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQLibrary"})
}

func (ptr *QLibrary) DestroyQLibrary() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQLibrary"})
}

func (ptr *QLibrary) DestroyQLibraryDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQLibraryDefault"})
}

type QLibraryInfo struct {
	internal.Internal
}

type QLibraryInfo_ITF interface {
	QLibraryInfo_PTR() *QLibraryInfo
}

func (ptr *QLibraryInfo) QLibraryInfo_PTR() *QLibraryInfo {
	return ptr
}

func (ptr *QLibraryInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QLibraryInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQLibraryInfo(ptr QLibraryInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLibraryInfo_PTR().Pointer()
	}
	return nil
}

func (n *QLibraryInfo) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQLibraryInfoFromPointer(ptr unsafe.Pointer) (n *QLibraryInfo) {
	n = new(QLibraryInfo)
	n.InitFromInternal(uintptr(ptr), "core.QLibraryInfo")
	return
}

func (ptr *QLibraryInfo) DestroyQLibraryInfo() {
}

//go:generate stringer -type=QLibraryInfo__LibraryLocation
//QLibraryInfo::LibraryLocation
type QLibraryInfo__LibraryLocation int64

const (
	QLibraryInfo__PrefixPath             QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(0)
	QLibraryInfo__DocumentationPath      QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(1)
	QLibraryInfo__HeadersPath            QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(2)
	QLibraryInfo__LibrariesPath          QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(3)
	QLibraryInfo__LibraryExecutablesPath QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(4)
	QLibraryInfo__BinariesPath           QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(5)
	QLibraryInfo__PluginsPath            QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(6)
	QLibraryInfo__ImportsPath            QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(7)
	QLibraryInfo__Qml2ImportsPath        QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(8)
	QLibraryInfo__ArchDataPath           QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(9)
	QLibraryInfo__DataPath               QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(10)
	QLibraryInfo__TranslationsPath       QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(11)
	QLibraryInfo__ExamplesPath           QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(12)
	QLibraryInfo__TestsPath              QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(13)
	QLibraryInfo__SettingsPath           QLibraryInfo__LibraryLocation = QLibraryInfo__LibraryLocation(100)
)

func QLibraryInfo_IsDebugBuild() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLibraryInfo_IsDebugBuild", ""}).(bool)
}

func (ptr *QLibraryInfo) IsDebugBuild() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLibraryInfo_IsDebugBuild", ""}).(bool)
}

func QLibraryInfo_Location(loc QLibraryInfo__LibraryLocation) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLibraryInfo_Location", "", loc}).(string)
}

func (ptr *QLibraryInfo) Location(loc QLibraryInfo__LibraryLocation) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLibraryInfo_Location", "", loc}).(string)
}

func QLibraryInfo_Version() *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLibraryInfo_Version", ""}).(*QVersionNumber)
}

func (ptr *QLibraryInfo) Version() *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLibraryInfo_Version", ""}).(*QVersionNumber)
}

type QLine struct {
	internal.Internal
}

type QLine_ITF interface {
	QLine_PTR() *QLine
}

func (ptr *QLine) QLine_PTR() *QLine {
	return ptr
}

func (ptr *QLine) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QLine) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQLine(ptr QLine_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLine_PTR().Pointer()
	}
	return nil
}

func (n *QLine) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQLineFromPointer(ptr unsafe.Pointer) (n *QLine) {
	n = new(QLine)
	n.InitFromInternal(uintptr(ptr), "core.QLine")
	return
}

func (ptr *QLine) DestroyQLine() {
}

func NewQLine() *QLine {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLine", ""}).(*QLine)
}

func NewQLine2(p1 QPoint_ITF, p2 QPoint_ITF) *QLine {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLine2", "", p1, p2}).(*QLine)
}

func NewQLine3(x1 int, y1 int, x2 int, y2 int) *QLine {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLine3", "", x1, y1, x2, y2}).(*QLine)
}

func (ptr *QLine) Center() *QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Center"}).(*QPoint)
}

func (ptr *QLine) Dx() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Dx"}).(float64))
}

func (ptr *QLine) Dy() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Dy"}).(float64))
}

func (ptr *QLine) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QLine) P1() *QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "P1"}).(*QPoint)
}

func (ptr *QLine) P2() *QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "P2"}).(*QPoint)
}

func (ptr *QLine) SetLine(x1 int, y1 int, x2 int, y2 int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLine", x1, y1, x2, y2})
}

func (ptr *QLine) SetP1(p1 QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetP1", p1})
}

func (ptr *QLine) SetP2(p2 QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetP2", p2})
}

func (ptr *QLine) SetPoints(p1 QPoint_ITF, p2 QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPoints", p1, p2})
}

func (ptr *QLine) Translate(offset QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate", offset})
}

func (ptr *QLine) Translate2(dx int, dy int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate2", dx, dy})
}

func (ptr *QLine) Translated(offset QPoint_ITF) *QLine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated", offset}).(*QLine)
}

func (ptr *QLine) Translated2(dx int, dy int) *QLine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated2", dx, dy}).(*QLine)
}

func (ptr *QLine) X1() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X1"}).(float64))
}

func (ptr *QLine) X2() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X2"}).(float64))
}

func (ptr *QLine) Y1() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y1"}).(float64))
}

func (ptr *QLine) Y2() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y2"}).(float64))
}

type QLineF struct {
	internal.Internal
}

type QLineF_ITF interface {
	QLineF_PTR() *QLineF
}

func (ptr *QLineF) QLineF_PTR() *QLineF {
	return ptr
}

func (ptr *QLineF) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QLineF) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQLineF(ptr QLineF_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLineF_PTR().Pointer()
	}
	return nil
}

func (n *QLineF) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQLineFFromPointer(ptr unsafe.Pointer) (n *QLineF) {
	n = new(QLineF)
	n.InitFromInternal(uintptr(ptr), "core.QLineF")
	return
}

func (ptr *QLineF) DestroyQLineF() {
}

//go:generate stringer -type=QLineF__IntersectType
//QLineF::IntersectType
type QLineF__IntersectType int64

const (
	QLineF__NoIntersection        QLineF__IntersectType = QLineF__IntersectType(0)
	QLineF__BoundedIntersection   QLineF__IntersectType = QLineF__IntersectType(1)
	QLineF__UnboundedIntersection QLineF__IntersectType = QLineF__IntersectType(2)
)

func NewQLineF() *QLineF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLineF", ""}).(*QLineF)
}

func NewQLineF2(p1 QPointF_ITF, p2 QPointF_ITF) *QLineF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLineF2", "", p1, p2}).(*QLineF)
}

func NewQLineF3(x1 float64, y1 float64, x2 float64, y2 float64) *QLineF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLineF3", "", x1, y1, x2, y2}).(*QLineF)
}

func NewQLineF4(line QLine_ITF) *QLineF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLineF4", "", line}).(*QLineF)
}

func (ptr *QLineF) Angle() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Angle"}).(float64)
}

func (ptr *QLineF) AngleTo(line QLineF_ITF) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AngleTo", line}).(float64)
}

func (ptr *QLineF) Center() *QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Center"}).(*QPointF)
}

func (ptr *QLineF) Dx() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Dx"}).(float64)
}

func (ptr *QLineF) Dy() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Dy"}).(float64)
}

func QLineF_FromPolar(length float64, angle float64) *QLineF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLineF_FromPolar", "", length, angle}).(*QLineF)
}

func (ptr *QLineF) FromPolar(length float64, angle float64) *QLineF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLineF_FromPolar", "", length, angle}).(*QLineF)
}

func (ptr *QLineF) Intersect(line QLineF_ITF, intersectionPoint QPointF_ITF) QLineF__IntersectType {

	return QLineF__IntersectType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersect", line, intersectionPoint}).(float64))
}

func (ptr *QLineF) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QLineF) Length() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Length"}).(float64)
}

func (ptr *QLineF) NormalVector() *QLineF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NormalVector"}).(*QLineF)
}

func (ptr *QLineF) P1() *QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "P1"}).(*QPointF)
}

func (ptr *QLineF) P2() *QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "P2"}).(*QPointF)
}

func (ptr *QLineF) PointAt(t float64) *QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PointAt", t}).(*QPointF)
}

func (ptr *QLineF) SetAngle(angle float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAngle", angle})
}

func (ptr *QLineF) SetLength(length float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLength", length})
}

func (ptr *QLineF) SetLine(x1 float64, y1 float64, x2 float64, y2 float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLine", x1, y1, x2, y2})
}

func (ptr *QLineF) SetP1(p1 QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetP1", p1})
}

func (ptr *QLineF) SetP2(p2 QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetP2", p2})
}

func (ptr *QLineF) SetPoints(p1 QPointF_ITF, p2 QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPoints", p1, p2})
}

func (ptr *QLineF) ToLine() *QLine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLine"}).(*QLine)
}

func (ptr *QLineF) Translate(offset QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate", offset})
}

func (ptr *QLineF) Translate2(dx float64, dy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate2", dx, dy})
}

func (ptr *QLineF) Translated(offset QPointF_ITF) *QLineF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated", offset}).(*QLineF)
}

func (ptr *QLineF) Translated2(dx float64, dy float64) *QLineF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated2", dx, dy}).(*QLineF)
}

func (ptr *QLineF) UnitVector() *QLineF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnitVector"}).(*QLineF)
}

func (ptr *QLineF) X1() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X1"}).(float64)
}

func (ptr *QLineF) X2() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X2"}).(float64)
}

func (ptr *QLineF) Y1() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y1"}).(float64)
}

func (ptr *QLineF) Y2() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y2"}).(float64)
}

type QLinkedList struct {
	internal.Internal
}

type QLinkedList_ITF interface {
	QLinkedList_PTR() *QLinkedList
}

func (ptr *QLinkedList) QLinkedList_PTR() *QLinkedList {
	return ptr
}

func (ptr *QLinkedList) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QLinkedList) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQLinkedList(ptr QLinkedList_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLinkedList_PTR().Pointer()
	}
	return nil
}

func (n *QLinkedList) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQLinkedListFromPointer(ptr unsafe.Pointer) (n *QLinkedList) {
	n = new(QLinkedList)
	n.InitFromInternal(uintptr(ptr), "core.QLinkedList")
	return
}

type QLinkedListIterator struct {
	internal.Internal
}

type QLinkedListIterator_ITF interface {
	QLinkedListIterator_PTR() *QLinkedListIterator
}

func (ptr *QLinkedListIterator) QLinkedListIterator_PTR() *QLinkedListIterator {
	return ptr
}

func (ptr *QLinkedListIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QLinkedListIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQLinkedListIterator(ptr QLinkedListIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLinkedListIterator_PTR().Pointer()
	}
	return nil
}

func (n *QLinkedListIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQLinkedListIteratorFromPointer(ptr unsafe.Pointer) (n *QLinkedListIterator) {
	n = new(QLinkedListIterator)
	n.InitFromInternal(uintptr(ptr), "core.QLinkedListIterator")
	return
}

func (ptr *QLinkedListIterator) DestroyQLinkedListIterator() {
}

type QLinkedListNode struct {
	internal.Internal
}

type QLinkedListNode_ITF interface {
	QLinkedListNode_PTR() *QLinkedListNode
}

func (ptr *QLinkedListNode) QLinkedListNode_PTR() *QLinkedListNode {
	return ptr
}

func (ptr *QLinkedListNode) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QLinkedListNode) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQLinkedListNode(ptr QLinkedListNode_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLinkedListNode_PTR().Pointer()
	}
	return nil
}

func (n *QLinkedListNode) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQLinkedListNodeFromPointer(ptr unsafe.Pointer) (n *QLinkedListNode) {
	n = new(QLinkedListNode)
	n.InitFromInternal(uintptr(ptr), "core.QLinkedListNode")
	return
}

func (ptr *QLinkedListNode) DestroyQLinkedListNode() {
}

type QListData struct {
	internal.Internal
}

type QListData_ITF interface {
	QListData_PTR() *QListData
}

func (ptr *QListData) QListData_PTR() *QListData {
	return ptr
}

func (ptr *QListData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QListData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQListData(ptr QListData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QListData_PTR().Pointer()
	}
	return nil
}

func (n *QListData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQListDataFromPointer(ptr unsafe.Pointer) (n *QListData) {
	n = new(QListData)
	n.InitFromInternal(uintptr(ptr), "core.QListData")
	return
}

func (ptr *QListData) DestroyQListData() {
}

type QListIterator struct {
	internal.Internal
}

type QListIterator_ITF interface {
	QListIterator_PTR() *QListIterator
}

func (ptr *QListIterator) QListIterator_PTR() *QListIterator {
	return ptr
}

func (ptr *QListIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QListIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQListIterator(ptr QListIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QListIterator_PTR().Pointer()
	}
	return nil
}

func (n *QListIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQListIteratorFromPointer(ptr unsafe.Pointer) (n *QListIterator) {
	n = new(QListIterator)
	n.InitFromInternal(uintptr(ptr), "core.QListIterator")
	return
}

func (ptr *QListIterator) DestroyQListIterator() {
}

type QListSpecialMethods struct {
	internal.Internal
}

type QListSpecialMethods_ITF interface {
	QListSpecialMethods_PTR() *QListSpecialMethods
}

func (ptr *QListSpecialMethods) QListSpecialMethods_PTR() *QListSpecialMethods {
	return ptr
}

func (ptr *QListSpecialMethods) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QListSpecialMethods) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQListSpecialMethods(ptr QListSpecialMethods_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QListSpecialMethods_PTR().Pointer()
	}
	return nil
}

func (n *QListSpecialMethods) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQListSpecialMethodsFromPointer(ptr unsafe.Pointer) (n *QListSpecialMethods) {
	n = new(QListSpecialMethods)
	n.InitFromInternal(uintptr(ptr), "core.QListSpecialMethods")
	return
}

func (ptr *QListSpecialMethods) DestroyQListSpecialMethods() {
}

type QLittleEndianStorageType struct {
	internal.Internal
}

type QLittleEndianStorageType_ITF interface {
	QLittleEndianStorageType_PTR() *QLittleEndianStorageType
}

func (ptr *QLittleEndianStorageType) QLittleEndianStorageType_PTR() *QLittleEndianStorageType {
	return ptr
}

func (ptr *QLittleEndianStorageType) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QLittleEndianStorageType) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQLittleEndianStorageType(ptr QLittleEndianStorageType_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLittleEndianStorageType_PTR().Pointer()
	}
	return nil
}

func (n *QLittleEndianStorageType) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQLittleEndianStorageTypeFromPointer(ptr unsafe.Pointer) (n *QLittleEndianStorageType) {
	n = new(QLittleEndianStorageType)
	n.InitFromInternal(uintptr(ptr), "core.QLittleEndianStorageType")
	return
}

func (ptr *QLittleEndianStorageType) DestroyQLittleEndianStorageType() {
}

type QLocale struct {
	internal.Internal
}

type QLocale_ITF interface {
	QLocale_PTR() *QLocale
}

func (ptr *QLocale) QLocale_PTR() *QLocale {
	return ptr
}

func (ptr *QLocale) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QLocale) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQLocale(ptr QLocale_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLocale_PTR().Pointer()
	}
	return nil
}

func (n *QLocale) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQLocaleFromPointer(ptr unsafe.Pointer) (n *QLocale) {
	n = new(QLocale)
	n.InitFromInternal(uintptr(ptr), "core.QLocale")
	return
}

//go:generate stringer -type=QLocale__Language
//QLocale::Language
type QLocale__Language int64

const (
	QLocale__AnyLanguage               QLocale__Language = QLocale__Language(0)
	QLocale__C                         QLocale__Language = QLocale__Language(1)
	QLocale__Abkhazian                 QLocale__Language = QLocale__Language(2)
	QLocale__Oromo                     QLocale__Language = QLocale__Language(3)
	QLocale__Afar                      QLocale__Language = QLocale__Language(4)
	QLocale__Afrikaans                 QLocale__Language = QLocale__Language(5)
	QLocale__Albanian                  QLocale__Language = QLocale__Language(6)
	QLocale__Amharic                   QLocale__Language = QLocale__Language(7)
	QLocale__Arabic                    QLocale__Language = QLocale__Language(8)
	QLocale__Armenian                  QLocale__Language = QLocale__Language(9)
	QLocale__Assamese                  QLocale__Language = QLocale__Language(10)
	QLocale__Aymara                    QLocale__Language = QLocale__Language(11)
	QLocale__Azerbaijani               QLocale__Language = QLocale__Language(12)
	QLocale__Bashkir                   QLocale__Language = QLocale__Language(13)
	QLocale__Basque                    QLocale__Language = QLocale__Language(14)
	QLocale__Bengali                   QLocale__Language = QLocale__Language(15)
	QLocale__Dzongkha                  QLocale__Language = QLocale__Language(16)
	QLocale__Bihari                    QLocale__Language = QLocale__Language(17)
	QLocale__Bislama                   QLocale__Language = QLocale__Language(18)
	QLocale__Breton                    QLocale__Language = QLocale__Language(19)
	QLocale__Bulgarian                 QLocale__Language = QLocale__Language(20)
	QLocale__Burmese                   QLocale__Language = QLocale__Language(21)
	QLocale__Belarusian                QLocale__Language = QLocale__Language(22)
	QLocale__Khmer                     QLocale__Language = QLocale__Language(23)
	QLocale__Catalan                   QLocale__Language = QLocale__Language(24)
	QLocale__Chinese                   QLocale__Language = QLocale__Language(25)
	QLocale__Corsican                  QLocale__Language = QLocale__Language(26)
	QLocale__Croatian                  QLocale__Language = QLocale__Language(27)
	QLocale__Czech                     QLocale__Language = QLocale__Language(28)
	QLocale__Danish                    QLocale__Language = QLocale__Language(29)
	QLocale__Dutch                     QLocale__Language = QLocale__Language(30)
	QLocale__English                   QLocale__Language = QLocale__Language(31)
	QLocale__Esperanto                 QLocale__Language = QLocale__Language(32)
	QLocale__Estonian                  QLocale__Language = QLocale__Language(33)
	QLocale__Faroese                   QLocale__Language = QLocale__Language(34)
	QLocale__Fijian                    QLocale__Language = QLocale__Language(35)
	QLocale__Finnish                   QLocale__Language = QLocale__Language(36)
	QLocale__French                    QLocale__Language = QLocale__Language(37)
	QLocale__WesternFrisian            QLocale__Language = QLocale__Language(38)
	QLocale__Gaelic                    QLocale__Language = QLocale__Language(39)
	QLocale__Galician                  QLocale__Language = QLocale__Language(40)
	QLocale__Georgian                  QLocale__Language = QLocale__Language(41)
	QLocale__German                    QLocale__Language = QLocale__Language(42)
	QLocale__Greek                     QLocale__Language = QLocale__Language(43)
	QLocale__Greenlandic               QLocale__Language = QLocale__Language(44)
	QLocale__Guarani                   QLocale__Language = QLocale__Language(45)
	QLocale__Gujarati                  QLocale__Language = QLocale__Language(46)
	QLocale__Hausa                     QLocale__Language = QLocale__Language(47)
	QLocale__Hebrew                    QLocale__Language = QLocale__Language(48)
	QLocale__Hindi                     QLocale__Language = QLocale__Language(49)
	QLocale__Hungarian                 QLocale__Language = QLocale__Language(50)
	QLocale__Icelandic                 QLocale__Language = QLocale__Language(51)
	QLocale__Indonesian                QLocale__Language = QLocale__Language(52)
	QLocale__Interlingua               QLocale__Language = QLocale__Language(53)
	QLocale__Interlingue               QLocale__Language = QLocale__Language(54)
	QLocale__Inuktitut                 QLocale__Language = QLocale__Language(55)
	QLocale__Inupiak                   QLocale__Language = QLocale__Language(56)
	QLocale__Irish                     QLocale__Language = QLocale__Language(57)
	QLocale__Italian                   QLocale__Language = QLocale__Language(58)
	QLocale__Japanese                  QLocale__Language = QLocale__Language(59)
	QLocale__Javanese                  QLocale__Language = QLocale__Language(60)
	QLocale__Kannada                   QLocale__Language = QLocale__Language(61)
	QLocale__Kashmiri                  QLocale__Language = QLocale__Language(62)
	QLocale__Kazakh                    QLocale__Language = QLocale__Language(63)
	QLocale__Kinyarwanda               QLocale__Language = QLocale__Language(64)
	QLocale__Kirghiz                   QLocale__Language = QLocale__Language(65)
	QLocale__Korean                    QLocale__Language = QLocale__Language(66)
	QLocale__Kurdish                   QLocale__Language = QLocale__Language(67)
	QLocale__Rundi                     QLocale__Language = QLocale__Language(68)
	QLocale__Lao                       QLocale__Language = QLocale__Language(69)
	QLocale__Latin                     QLocale__Language = QLocale__Language(70)
	QLocale__Latvian                   QLocale__Language = QLocale__Language(71)
	QLocale__Lingala                   QLocale__Language = QLocale__Language(72)
	QLocale__Lithuanian                QLocale__Language = QLocale__Language(73)
	QLocale__Macedonian                QLocale__Language = QLocale__Language(74)
	QLocale__Malagasy                  QLocale__Language = QLocale__Language(75)
	QLocale__Malay                     QLocale__Language = QLocale__Language(76)
	QLocale__Malayalam                 QLocale__Language = QLocale__Language(77)
	QLocale__Maltese                   QLocale__Language = QLocale__Language(78)
	QLocale__Maori                     QLocale__Language = QLocale__Language(79)
	QLocale__Marathi                   QLocale__Language = QLocale__Language(80)
	QLocale__Marshallese               QLocale__Language = QLocale__Language(81)
	QLocale__Mongolian                 QLocale__Language = QLocale__Language(82)
	QLocale__NauruLanguage             QLocale__Language = QLocale__Language(83)
	QLocale__Nepali                    QLocale__Language = QLocale__Language(84)
	QLocale__NorwegianBokmal           QLocale__Language = QLocale__Language(85)
	QLocale__Occitan                   QLocale__Language = QLocale__Language(86)
	QLocale__Oriya                     QLocale__Language = QLocale__Language(87)
	QLocale__Pashto                    QLocale__Language = QLocale__Language(88)
	QLocale__Persian                   QLocale__Language = QLocale__Language(89)
	QLocale__Polish                    QLocale__Language = QLocale__Language(90)
	QLocale__Portuguese                QLocale__Language = QLocale__Language(91)
	QLocale__Punjabi                   QLocale__Language = QLocale__Language(92)
	QLocale__Quechua                   QLocale__Language = QLocale__Language(93)
	QLocale__Romansh                   QLocale__Language = QLocale__Language(94)
	QLocale__Romanian                  QLocale__Language = QLocale__Language(95)
	QLocale__Russian                   QLocale__Language = QLocale__Language(96)
	QLocale__Samoan                    QLocale__Language = QLocale__Language(97)
	QLocale__Sango                     QLocale__Language = QLocale__Language(98)
	QLocale__Sanskrit                  QLocale__Language = QLocale__Language(99)
	QLocale__Serbian                   QLocale__Language = QLocale__Language(100)
	QLocale__Ossetic                   QLocale__Language = QLocale__Language(101)
	QLocale__SouthernSotho             QLocale__Language = QLocale__Language(102)
	QLocale__Tswana                    QLocale__Language = QLocale__Language(103)
	QLocale__Shona                     QLocale__Language = QLocale__Language(104)
	QLocale__Sindhi                    QLocale__Language = QLocale__Language(105)
	QLocale__Sinhala                   QLocale__Language = QLocale__Language(106)
	QLocale__Swati                     QLocale__Language = QLocale__Language(107)
	QLocale__Slovak                    QLocale__Language = QLocale__Language(108)
	QLocale__Slovenian                 QLocale__Language = QLocale__Language(109)
	QLocale__Somali                    QLocale__Language = QLocale__Language(110)
	QLocale__Spanish                   QLocale__Language = QLocale__Language(111)
	QLocale__Sundanese                 QLocale__Language = QLocale__Language(112)
	QLocale__Swahili                   QLocale__Language = QLocale__Language(113)
	QLocale__Swedish                   QLocale__Language = QLocale__Language(114)
	QLocale__Sardinian                 QLocale__Language = QLocale__Language(115)
	QLocale__Tajik                     QLocale__Language = QLocale__Language(116)
	QLocale__Tamil                     QLocale__Language = QLocale__Language(117)
	QLocale__Tatar                     QLocale__Language = QLocale__Language(118)
	QLocale__Telugu                    QLocale__Language = QLocale__Language(119)
	QLocale__Thai                      QLocale__Language = QLocale__Language(120)
	QLocale__Tibetan                   QLocale__Language = QLocale__Language(121)
	QLocale__Tigrinya                  QLocale__Language = QLocale__Language(122)
	QLocale__Tongan                    QLocale__Language = QLocale__Language(123)
	QLocale__Tsonga                    QLocale__Language = QLocale__Language(124)
	QLocale__Turkish                   QLocale__Language = QLocale__Language(125)
	QLocale__Turkmen                   QLocale__Language = QLocale__Language(126)
	QLocale__Tahitian                  QLocale__Language = QLocale__Language(127)
	QLocale__Uighur                    QLocale__Language = QLocale__Language(128)
	QLocale__Ukrainian                 QLocale__Language = QLocale__Language(129)
	QLocale__Urdu                      QLocale__Language = QLocale__Language(130)
	QLocale__Uzbek                     QLocale__Language = QLocale__Language(131)
	QLocale__Vietnamese                QLocale__Language = QLocale__Language(132)
	QLocale__Volapuk                   QLocale__Language = QLocale__Language(133)
	QLocale__Welsh                     QLocale__Language = QLocale__Language(134)
	QLocale__Wolof                     QLocale__Language = QLocale__Language(135)
	QLocale__Xhosa                     QLocale__Language = QLocale__Language(136)
	QLocale__Yiddish                   QLocale__Language = QLocale__Language(137)
	QLocale__Yoruba                    QLocale__Language = QLocale__Language(138)
	QLocale__Zhuang                    QLocale__Language = QLocale__Language(139)
	QLocale__Zulu                      QLocale__Language = QLocale__Language(140)
	QLocale__NorwegianNynorsk          QLocale__Language = QLocale__Language(141)
	QLocale__Bosnian                   QLocale__Language = QLocale__Language(142)
	QLocale__Divehi                    QLocale__Language = QLocale__Language(143)
	QLocale__Manx                      QLocale__Language = QLocale__Language(144)
	QLocale__Cornish                   QLocale__Language = QLocale__Language(145)
	QLocale__Akan                      QLocale__Language = QLocale__Language(146)
	QLocale__Konkani                   QLocale__Language = QLocale__Language(147)
	QLocale__Ga                        QLocale__Language = QLocale__Language(148)
	QLocale__Igbo                      QLocale__Language = QLocale__Language(149)
	QLocale__Kamba                     QLocale__Language = QLocale__Language(150)
	QLocale__Syriac                    QLocale__Language = QLocale__Language(151)
	QLocale__Blin                      QLocale__Language = QLocale__Language(152)
	QLocale__Geez                      QLocale__Language = QLocale__Language(153)
	QLocale__Koro                      QLocale__Language = QLocale__Language(154)
	QLocale__Sidamo                    QLocale__Language = QLocale__Language(155)
	QLocale__Atsam                     QLocale__Language = QLocale__Language(156)
	QLocale__Tigre                     QLocale__Language = QLocale__Language(157)
	QLocale__Jju                       QLocale__Language = QLocale__Language(158)
	QLocale__Friulian                  QLocale__Language = QLocale__Language(159)
	QLocale__Venda                     QLocale__Language = QLocale__Language(160)
	QLocale__Ewe                       QLocale__Language = QLocale__Language(161)
	QLocale__Walamo                    QLocale__Language = QLocale__Language(162)
	QLocale__Hawaiian                  QLocale__Language = QLocale__Language(163)
	QLocale__Tyap                      QLocale__Language = QLocale__Language(164)
	QLocale__Nyanja                    QLocale__Language = QLocale__Language(165)
	QLocale__Filipino                  QLocale__Language = QLocale__Language(166)
	QLocale__SwissGerman               QLocale__Language = QLocale__Language(167)
	QLocale__SichuanYi                 QLocale__Language = QLocale__Language(168)
	QLocale__Kpelle                    QLocale__Language = QLocale__Language(169)
	QLocale__LowGerman                 QLocale__Language = QLocale__Language(170)
	QLocale__SouthNdebele              QLocale__Language = QLocale__Language(171)
	QLocale__NorthernSotho             QLocale__Language = QLocale__Language(172)
	QLocale__NorthernSami              QLocale__Language = QLocale__Language(173)
	QLocale__Taroko                    QLocale__Language = QLocale__Language(174)
	QLocale__Gusii                     QLocale__Language = QLocale__Language(175)
	QLocale__Taita                     QLocale__Language = QLocale__Language(176)
	QLocale__Fulah                     QLocale__Language = QLocale__Language(177)
	QLocale__Kikuyu                    QLocale__Language = QLocale__Language(178)
	QLocale__Samburu                   QLocale__Language = QLocale__Language(179)
	QLocale__Sena                      QLocale__Language = QLocale__Language(180)
	QLocale__NorthNdebele              QLocale__Language = QLocale__Language(181)
	QLocale__Rombo                     QLocale__Language = QLocale__Language(182)
	QLocale__Tachelhit                 QLocale__Language = QLocale__Language(183)
	QLocale__Kabyle                    QLocale__Language = QLocale__Language(184)
	QLocale__Nyankole                  QLocale__Language = QLocale__Language(185)
	QLocale__Bena                      QLocale__Language = QLocale__Language(186)
	QLocale__Vunjo                     QLocale__Language = QLocale__Language(187)
	QLocale__Bambara                   QLocale__Language = QLocale__Language(188)
	QLocale__Embu                      QLocale__Language = QLocale__Language(189)
	QLocale__Cherokee                  QLocale__Language = QLocale__Language(190)
	QLocale__Morisyen                  QLocale__Language = QLocale__Language(191)
	QLocale__Makonde                   QLocale__Language = QLocale__Language(192)
	QLocale__Langi                     QLocale__Language = QLocale__Language(193)
	QLocale__Ganda                     QLocale__Language = QLocale__Language(194)
	QLocale__Bemba                     QLocale__Language = QLocale__Language(195)
	QLocale__Kabuverdianu              QLocale__Language = QLocale__Language(196)
	QLocale__Meru                      QLocale__Language = QLocale__Language(197)
	QLocale__Kalenjin                  QLocale__Language = QLocale__Language(198)
	QLocale__Nama                      QLocale__Language = QLocale__Language(199)
	QLocale__Machame                   QLocale__Language = QLocale__Language(200)
	QLocale__Colognian                 QLocale__Language = QLocale__Language(201)
	QLocale__Masai                     QLocale__Language = QLocale__Language(202)
	QLocale__Soga                      QLocale__Language = QLocale__Language(203)
	QLocale__Luyia                     QLocale__Language = QLocale__Language(204)
	QLocale__Asu                       QLocale__Language = QLocale__Language(205)
	QLocale__Teso                      QLocale__Language = QLocale__Language(206)
	QLocale__Saho                      QLocale__Language = QLocale__Language(207)
	QLocale__KoyraChiini               QLocale__Language = QLocale__Language(208)
	QLocale__Rwa                       QLocale__Language = QLocale__Language(209)
	QLocale__Luo                       QLocale__Language = QLocale__Language(210)
	QLocale__Chiga                     QLocale__Language = QLocale__Language(211)
	QLocale__CentralMoroccoTamazight   QLocale__Language = QLocale__Language(212)
	QLocale__KoyraboroSenni            QLocale__Language = QLocale__Language(213)
	QLocale__Shambala                  QLocale__Language = QLocale__Language(214)
	QLocale__Bodo                      QLocale__Language = QLocale__Language(215)
	QLocale__Avaric                    QLocale__Language = QLocale__Language(216)
	QLocale__Chamorro                  QLocale__Language = QLocale__Language(217)
	QLocale__Chechen                   QLocale__Language = QLocale__Language(218)
	QLocale__Church                    QLocale__Language = QLocale__Language(219)
	QLocale__Chuvash                   QLocale__Language = QLocale__Language(220)
	QLocale__Cree                      QLocale__Language = QLocale__Language(221)
	QLocale__Haitian                   QLocale__Language = QLocale__Language(222)
	QLocale__Herero                    QLocale__Language = QLocale__Language(223)
	QLocale__HiriMotu                  QLocale__Language = QLocale__Language(224)
	QLocale__Kanuri                    QLocale__Language = QLocale__Language(225)
	QLocale__Komi                      QLocale__Language = QLocale__Language(226)
	QLocale__Kongo                     QLocale__Language = QLocale__Language(227)
	QLocale__Kwanyama                  QLocale__Language = QLocale__Language(228)
	QLocale__Limburgish                QLocale__Language = QLocale__Language(229)
	QLocale__LubaKatanga               QLocale__Language = QLocale__Language(230)
	QLocale__Luxembourgish             QLocale__Language = QLocale__Language(231)
	QLocale__Navaho                    QLocale__Language = QLocale__Language(232)
	QLocale__Ndonga                    QLocale__Language = QLocale__Language(233)
	QLocale__Ojibwa                    QLocale__Language = QLocale__Language(234)
	QLocale__Pali                      QLocale__Language = QLocale__Language(235)
	QLocale__Walloon                   QLocale__Language = QLocale__Language(236)
	QLocale__Aghem                     QLocale__Language = QLocale__Language(237)
	QLocale__Basaa                     QLocale__Language = QLocale__Language(238)
	QLocale__Zarma                     QLocale__Language = QLocale__Language(239)
	QLocale__Duala                     QLocale__Language = QLocale__Language(240)
	QLocale__JolaFonyi                 QLocale__Language = QLocale__Language(241)
	QLocale__Ewondo                    QLocale__Language = QLocale__Language(242)
	QLocale__Bafia                     QLocale__Language = QLocale__Language(243)
	QLocale__MakhuwaMeetto             QLocale__Language = QLocale__Language(244)
	QLocale__Mundang                   QLocale__Language = QLocale__Language(245)
	QLocale__Kwasio                    QLocale__Language = QLocale__Language(246)
	QLocale__Nuer                      QLocale__Language = QLocale__Language(247)
	QLocale__Sakha                     QLocale__Language = QLocale__Language(248)
	QLocale__Sangu                     QLocale__Language = QLocale__Language(249)
	QLocale__CongoSwahili              QLocale__Language = QLocale__Language(250)
	QLocale__Tasawaq                   QLocale__Language = QLocale__Language(251)
	QLocale__Vai                       QLocale__Language = QLocale__Language(252)
	QLocale__Walser                    QLocale__Language = QLocale__Language(253)
	QLocale__Yangben                   QLocale__Language = QLocale__Language(254)
	QLocale__Avestan                   QLocale__Language = QLocale__Language(255)
	QLocale__Asturian                  QLocale__Language = QLocale__Language(256)
	QLocale__Ngomba                    QLocale__Language = QLocale__Language(257)
	QLocale__Kako                      QLocale__Language = QLocale__Language(258)
	QLocale__Meta                      QLocale__Language = QLocale__Language(259)
	QLocale__Ngiemboon                 QLocale__Language = QLocale__Language(260)
	QLocale__Aragonese                 QLocale__Language = QLocale__Language(261)
	QLocale__Akkadian                  QLocale__Language = QLocale__Language(262)
	QLocale__AncientEgyptian           QLocale__Language = QLocale__Language(263)
	QLocale__AncientGreek              QLocale__Language = QLocale__Language(264)
	QLocale__Aramaic                   QLocale__Language = QLocale__Language(265)
	QLocale__Balinese                  QLocale__Language = QLocale__Language(266)
	QLocale__Bamun                     QLocale__Language = QLocale__Language(267)
	QLocale__BatakToba                 QLocale__Language = QLocale__Language(268)
	QLocale__Buginese                  QLocale__Language = QLocale__Language(269)
	QLocale__Buhid                     QLocale__Language = QLocale__Language(270)
	QLocale__Carian                    QLocale__Language = QLocale__Language(271)
	QLocale__Chakma                    QLocale__Language = QLocale__Language(272)
	QLocale__ClassicalMandaic          QLocale__Language = QLocale__Language(273)
	QLocale__Coptic                    QLocale__Language = QLocale__Language(274)
	QLocale__Dogri                     QLocale__Language = QLocale__Language(275)
	QLocale__EasternCham               QLocale__Language = QLocale__Language(276)
	QLocale__EasternKayah              QLocale__Language = QLocale__Language(277)
	QLocale__Etruscan                  QLocale__Language = QLocale__Language(278)
	QLocale__Gothic                    QLocale__Language = QLocale__Language(279)
	QLocale__Hanunoo                   QLocale__Language = QLocale__Language(280)
	QLocale__Ingush                    QLocale__Language = QLocale__Language(281)
	QLocale__LargeFloweryMiao          QLocale__Language = QLocale__Language(282)
	QLocale__Lepcha                    QLocale__Language = QLocale__Language(283)
	QLocale__Limbu                     QLocale__Language = QLocale__Language(284)
	QLocale__Lisu                      QLocale__Language = QLocale__Language(285)
	QLocale__Lu                        QLocale__Language = QLocale__Language(286)
	QLocale__Lycian                    QLocale__Language = QLocale__Language(287)
	QLocale__Lydian                    QLocale__Language = QLocale__Language(288)
	QLocale__Mandingo                  QLocale__Language = QLocale__Language(289)
	QLocale__Manipuri                  QLocale__Language = QLocale__Language(290)
	QLocale__Meroitic                  QLocale__Language = QLocale__Language(291)
	QLocale__NorthernThai              QLocale__Language = QLocale__Language(292)
	QLocale__OldIrish                  QLocale__Language = QLocale__Language(293)
	QLocale__OldNorse                  QLocale__Language = QLocale__Language(294)
	QLocale__OldPersian                QLocale__Language = QLocale__Language(295)
	QLocale__OldTurkish                QLocale__Language = QLocale__Language(296)
	QLocale__Pahlavi                   QLocale__Language = QLocale__Language(297)
	QLocale__Parthian                  QLocale__Language = QLocale__Language(298)
	QLocale__Phoenician                QLocale__Language = QLocale__Language(299)
	QLocale__PrakritLanguage           QLocale__Language = QLocale__Language(300)
	QLocale__Rejang                    QLocale__Language = QLocale__Language(301)
	QLocale__Sabaean                   QLocale__Language = QLocale__Language(302)
	QLocale__Samaritan                 QLocale__Language = QLocale__Language(303)
	QLocale__Santali                   QLocale__Language = QLocale__Language(304)
	QLocale__Saurashtra                QLocale__Language = QLocale__Language(305)
	QLocale__Sora                      QLocale__Language = QLocale__Language(306)
	QLocale__Sylheti                   QLocale__Language = QLocale__Language(307)
	QLocale__Tagbanwa                  QLocale__Language = QLocale__Language(308)
	QLocale__TaiDam                    QLocale__Language = QLocale__Language(309)
	QLocale__TaiNua                    QLocale__Language = QLocale__Language(310)
	QLocale__Ugaritic                  QLocale__Language = QLocale__Language(311)
	QLocale__Akoose                    QLocale__Language = QLocale__Language(312)
	QLocale__Lakota                    QLocale__Language = QLocale__Language(313)
	QLocale__StandardMoroccanTamazight QLocale__Language = QLocale__Language(314)
	QLocale__Mapuche                   QLocale__Language = QLocale__Language(315)
	QLocale__CentralKurdish            QLocale__Language = QLocale__Language(316)
	QLocale__LowerSorbian              QLocale__Language = QLocale__Language(317)
	QLocale__UpperSorbian              QLocale__Language = QLocale__Language(318)
	QLocale__Kenyang                   QLocale__Language = QLocale__Language(319)
	QLocale__Mohawk                    QLocale__Language = QLocale__Language(320)
	QLocale__Nko                       QLocale__Language = QLocale__Language(321)
	QLocale__Prussian                  QLocale__Language = QLocale__Language(322)
	QLocale__Kiche                     QLocale__Language = QLocale__Language(323)
	QLocale__SouthernSami              QLocale__Language = QLocale__Language(324)
	QLocale__LuleSami                  QLocale__Language = QLocale__Language(325)
	QLocale__InariSami                 QLocale__Language = QLocale__Language(326)
	QLocale__SkoltSami                 QLocale__Language = QLocale__Language(327)
	QLocale__Warlpiri                  QLocale__Language = QLocale__Language(328)
	QLocale__ManichaeanMiddlePersian   QLocale__Language = QLocale__Language(329)
	QLocale__Mende                     QLocale__Language = QLocale__Language(330)
	QLocale__AncientNorthArabian       QLocale__Language = QLocale__Language(331)
	QLocale__LinearA                   QLocale__Language = QLocale__Language(332)
	QLocale__HmongNjua                 QLocale__Language = QLocale__Language(333)
	QLocale__Ho                        QLocale__Language = QLocale__Language(334)
	QLocale__Lezghian                  QLocale__Language = QLocale__Language(335)
	QLocale__Bassa                     QLocale__Language = QLocale__Language(336)
	QLocale__Mono                      QLocale__Language = QLocale__Language(337)
	QLocale__TedimChin                 QLocale__Language = QLocale__Language(338)
	QLocale__Maithili                  QLocale__Language = QLocale__Language(339)
	QLocale__Ahom                      QLocale__Language = QLocale__Language(340)
	QLocale__AmericanSignLanguage      QLocale__Language = QLocale__Language(341)
	QLocale__ArdhamagadhiPrakrit       QLocale__Language = QLocale__Language(342)
	QLocale__Bhojpuri                  QLocale__Language = QLocale__Language(343)
	QLocale__HieroglyphicLuwian        QLocale__Language = QLocale__Language(344)
	QLocale__LiteraryChinese           QLocale__Language = QLocale__Language(345)
	QLocale__Mazanderani               QLocale__Language = QLocale__Language(346)
	QLocale__Mru                       QLocale__Language = QLocale__Language(347)
	QLocale__Newari                    QLocale__Language = QLocale__Language(348)
	QLocale__NorthernLuri              QLocale__Language = QLocale__Language(349)
	QLocale__Palauan                   QLocale__Language = QLocale__Language(350)
	QLocale__Papiamento                QLocale__Language = QLocale__Language(351)
	QLocale__Saraiki                   QLocale__Language = QLocale__Language(352)
	QLocale__TokelauLanguage           QLocale__Language = QLocale__Language(353)
	QLocale__TokPisin                  QLocale__Language = QLocale__Language(354)
	QLocale__TuvaluLanguage            QLocale__Language = QLocale__Language(355)
	QLocale__UncodedLanguages          QLocale__Language = QLocale__Language(356)
	QLocale__Cantonese                 QLocale__Language = QLocale__Language(357)
	QLocale__Osage                     QLocale__Language = QLocale__Language(358)
	QLocale__Tangut                    QLocale__Language = QLocale__Language(359)
	QLocale__Ido                       QLocale__Language = QLocale__Language(360)
	QLocale__Lojban                    QLocale__Language = QLocale__Language(361)
	QLocale__Sicilian                  QLocale__Language = QLocale__Language(362)
	QLocale__SouthernKurdish           QLocale__Language = QLocale__Language(363)
	QLocale__WesternBalochi            QLocale__Language = QLocale__Language(364)
	QLocale__Afan                      QLocale__Language = QLocale__Language(QLocale__Oromo)
	QLocale__Bhutani                   QLocale__Language = QLocale__Language(QLocale__Dzongkha)
	QLocale__Byelorussian              QLocale__Language = QLocale__Language(QLocale__Belarusian)
	QLocale__Cambodian                 QLocale__Language = QLocale__Language(QLocale__Khmer)
	QLocale__Chewa                     QLocale__Language = QLocale__Language(QLocale__Nyanja)
	QLocale__Frisian                   QLocale__Language = QLocale__Language(QLocale__WesternFrisian)
	QLocale__Kurundi                   QLocale__Language = QLocale__Language(QLocale__Rundi)
	QLocale__Moldavian                 QLocale__Language = QLocale__Language(QLocale__Romanian)
	QLocale__Norwegian                 QLocale__Language = QLocale__Language(QLocale__NorwegianBokmal)
	QLocale__RhaetoRomance             QLocale__Language = QLocale__Language(QLocale__Romansh)
	QLocale__SerboCroatian             QLocale__Language = QLocale__Language(QLocale__Serbian)
	QLocale__Tagalog                   QLocale__Language = QLocale__Language(QLocale__Filipino)
	QLocale__Twi                       QLocale__Language = QLocale__Language(QLocale__Akan)
	QLocale__Uigur                     QLocale__Language = QLocale__Language(QLocale__Uighur)
	QLocale__LastLanguage              QLocale__Language = QLocale__Language(QLocale__WesternBalochi)
)

//go:generate stringer -type=QLocale__Script
//QLocale::Script
type QLocale__Script int64

const (
	QLocale__AnyScript                   QLocale__Script = QLocale__Script(0)
	QLocale__ArabicScript                QLocale__Script = QLocale__Script(1)
	QLocale__CyrillicScript              QLocale__Script = QLocale__Script(2)
	QLocale__DeseretScript               QLocale__Script = QLocale__Script(3)
	QLocale__GurmukhiScript              QLocale__Script = QLocale__Script(4)
	QLocale__SimplifiedHanScript         QLocale__Script = QLocale__Script(5)
	QLocale__TraditionalHanScript        QLocale__Script = QLocale__Script(6)
	QLocale__LatinScript                 QLocale__Script = QLocale__Script(7)
	QLocale__MongolianScript             QLocale__Script = QLocale__Script(8)
	QLocale__TifinaghScript              QLocale__Script = QLocale__Script(9)
	QLocale__ArmenianScript              QLocale__Script = QLocale__Script(10)
	QLocale__BengaliScript               QLocale__Script = QLocale__Script(11)
	QLocale__CherokeeScript              QLocale__Script = QLocale__Script(12)
	QLocale__DevanagariScript            QLocale__Script = QLocale__Script(13)
	QLocale__EthiopicScript              QLocale__Script = QLocale__Script(14)
	QLocale__GeorgianScript              QLocale__Script = QLocale__Script(15)
	QLocale__GreekScript                 QLocale__Script = QLocale__Script(16)
	QLocale__GujaratiScript              QLocale__Script = QLocale__Script(17)
	QLocale__HebrewScript                QLocale__Script = QLocale__Script(18)
	QLocale__JapaneseScript              QLocale__Script = QLocale__Script(19)
	QLocale__KhmerScript                 QLocale__Script = QLocale__Script(20)
	QLocale__KannadaScript               QLocale__Script = QLocale__Script(21)
	QLocale__KoreanScript                QLocale__Script = QLocale__Script(22)
	QLocale__LaoScript                   QLocale__Script = QLocale__Script(23)
	QLocale__MalayalamScript             QLocale__Script = QLocale__Script(24)
	QLocale__MyanmarScript               QLocale__Script = QLocale__Script(25)
	QLocale__OriyaScript                 QLocale__Script = QLocale__Script(26)
	QLocale__TamilScript                 QLocale__Script = QLocale__Script(27)
	QLocale__TeluguScript                QLocale__Script = QLocale__Script(28)
	QLocale__ThaanaScript                QLocale__Script = QLocale__Script(29)
	QLocale__ThaiScript                  QLocale__Script = QLocale__Script(30)
	QLocale__TibetanScript               QLocale__Script = QLocale__Script(31)
	QLocale__SinhalaScript               QLocale__Script = QLocale__Script(32)
	QLocale__SyriacScript                QLocale__Script = QLocale__Script(33)
	QLocale__YiScript                    QLocale__Script = QLocale__Script(34)
	QLocale__VaiScript                   QLocale__Script = QLocale__Script(35)
	QLocale__AvestanScript               QLocale__Script = QLocale__Script(36)
	QLocale__BalineseScript              QLocale__Script = QLocale__Script(37)
	QLocale__BamumScript                 QLocale__Script = QLocale__Script(38)
	QLocale__BatakScript                 QLocale__Script = QLocale__Script(39)
	QLocale__BopomofoScript              QLocale__Script = QLocale__Script(40)
	QLocale__BrahmiScript                QLocale__Script = QLocale__Script(41)
	QLocale__BugineseScript              QLocale__Script = QLocale__Script(42)
	QLocale__BuhidScript                 QLocale__Script = QLocale__Script(43)
	QLocale__CanadianAboriginalScript    QLocale__Script = QLocale__Script(44)
	QLocale__CarianScript                QLocale__Script = QLocale__Script(45)
	QLocale__ChakmaScript                QLocale__Script = QLocale__Script(46)
	QLocale__ChamScript                  QLocale__Script = QLocale__Script(47)
	QLocale__CopticScript                QLocale__Script = QLocale__Script(48)
	QLocale__CypriotScript               QLocale__Script = QLocale__Script(49)
	QLocale__EgyptianHieroglyphsScript   QLocale__Script = QLocale__Script(50)
	QLocale__FraserScript                QLocale__Script = QLocale__Script(51)
	QLocale__GlagoliticScript            QLocale__Script = QLocale__Script(52)
	QLocale__GothicScript                QLocale__Script = QLocale__Script(53)
	QLocale__HanScript                   QLocale__Script = QLocale__Script(54)
	QLocale__HangulScript                QLocale__Script = QLocale__Script(55)
	QLocale__HanunooScript               QLocale__Script = QLocale__Script(56)
	QLocale__ImperialAramaicScript       QLocale__Script = QLocale__Script(57)
	QLocale__InscriptionalPahlaviScript  QLocale__Script = QLocale__Script(58)
	QLocale__InscriptionalParthianScript QLocale__Script = QLocale__Script(59)
	QLocale__JavaneseScript              QLocale__Script = QLocale__Script(60)
	QLocale__KaithiScript                QLocale__Script = QLocale__Script(61)
	QLocale__KatakanaScript              QLocale__Script = QLocale__Script(62)
	QLocale__KayahLiScript               QLocale__Script = QLocale__Script(63)
	QLocale__KharoshthiScript            QLocale__Script = QLocale__Script(64)
	QLocale__LannaScript                 QLocale__Script = QLocale__Script(65)
	QLocale__LepchaScript                QLocale__Script = QLocale__Script(66)
	QLocale__LimbuScript                 QLocale__Script = QLocale__Script(67)
	QLocale__LinearBScript               QLocale__Script = QLocale__Script(68)
	QLocale__LycianScript                QLocale__Script = QLocale__Script(69)
	QLocale__LydianScript                QLocale__Script = QLocale__Script(70)
	QLocale__MandaeanScript              QLocale__Script = QLocale__Script(71)
	QLocale__MeiteiMayekScript           QLocale__Script = QLocale__Script(72)
	QLocale__MeroiticScript              QLocale__Script = QLocale__Script(73)
	QLocale__MeroiticCursiveScript       QLocale__Script = QLocale__Script(74)
	QLocale__NkoScript                   QLocale__Script = QLocale__Script(75)
	QLocale__NewTaiLueScript             QLocale__Script = QLocale__Script(76)
	QLocale__OghamScript                 QLocale__Script = QLocale__Script(77)
	QLocale__OlChikiScript               QLocale__Script = QLocale__Script(78)
	QLocale__OldItalicScript             QLocale__Script = QLocale__Script(79)
	QLocale__OldPersianScript            QLocale__Script = QLocale__Script(80)
	QLocale__OldSouthArabianScript       QLocale__Script = QLocale__Script(81)
	QLocale__OrkhonScript                QLocale__Script = QLocale__Script(82)
	QLocale__OsmanyaScript               QLocale__Script = QLocale__Script(83)
	QLocale__PhagsPaScript               QLocale__Script = QLocale__Script(84)
	QLocale__PhoenicianScript            QLocale__Script = QLocale__Script(85)
	QLocale__PollardPhoneticScript       QLocale__Script = QLocale__Script(86)
	QLocale__RejangScript                QLocale__Script = QLocale__Script(87)
	QLocale__RunicScript                 QLocale__Script = QLocale__Script(88)
	QLocale__SamaritanScript             QLocale__Script = QLocale__Script(89)
	QLocale__SaurashtraScript            QLocale__Script = QLocale__Script(90)
	QLocale__SharadaScript               QLocale__Script = QLocale__Script(91)
	QLocale__ShavianScript               QLocale__Script = QLocale__Script(92)
	QLocale__SoraSompengScript           QLocale__Script = QLocale__Script(93)
	QLocale__CuneiformScript             QLocale__Script = QLocale__Script(94)
	QLocale__SundaneseScript             QLocale__Script = QLocale__Script(95)
	QLocale__SylotiNagriScript           QLocale__Script = QLocale__Script(96)
	QLocale__TagalogScript               QLocale__Script = QLocale__Script(97)
	QLocale__TagbanwaScript              QLocale__Script = QLocale__Script(98)
	QLocale__TaiLeScript                 QLocale__Script = QLocale__Script(99)
	QLocale__TaiVietScript               QLocale__Script = QLocale__Script(100)
	QLocale__TakriScript                 QLocale__Script = QLocale__Script(101)
	QLocale__UgariticScript              QLocale__Script = QLocale__Script(102)
	QLocale__BrailleScript               QLocale__Script = QLocale__Script(103)
	QLocale__HiraganaScript              QLocale__Script = QLocale__Script(104)
	QLocale__CaucasianAlbanianScript     QLocale__Script = QLocale__Script(105)
	QLocale__BassaVahScript              QLocale__Script = QLocale__Script(106)
	QLocale__DuployanScript              QLocale__Script = QLocale__Script(107)
	QLocale__ElbasanScript               QLocale__Script = QLocale__Script(108)
	QLocale__GranthaScript               QLocale__Script = QLocale__Script(109)
	QLocale__PahawhHmongScript           QLocale__Script = QLocale__Script(110)
	QLocale__KhojkiScript                QLocale__Script = QLocale__Script(111)
	QLocale__LinearAScript               QLocale__Script = QLocale__Script(112)
	QLocale__MahajaniScript              QLocale__Script = QLocale__Script(113)
	QLocale__ManichaeanScript            QLocale__Script = QLocale__Script(114)
	QLocale__MendeKikakuiScript          QLocale__Script = QLocale__Script(115)
	QLocale__ModiScript                  QLocale__Script = QLocale__Script(116)
	QLocale__MroScript                   QLocale__Script = QLocale__Script(117)
	QLocale__OldNorthArabianScript       QLocale__Script = QLocale__Script(118)
	QLocale__NabataeanScript             QLocale__Script = QLocale__Script(119)
	QLocale__PalmyreneScript             QLocale__Script = QLocale__Script(120)
	QLocale__PauCinHauScript             QLocale__Script = QLocale__Script(121)
	QLocale__OldPermicScript             QLocale__Script = QLocale__Script(122)
	QLocale__PsalterPahlaviScript        QLocale__Script = QLocale__Script(123)
	QLocale__SiddhamScript               QLocale__Script = QLocale__Script(124)
	QLocale__KhudawadiScript             QLocale__Script = QLocale__Script(125)
	QLocale__TirhutaScript               QLocale__Script = QLocale__Script(126)
	QLocale__VarangKshitiScript          QLocale__Script = QLocale__Script(127)
	QLocale__AhomScript                  QLocale__Script = QLocale__Script(128)
	QLocale__AnatolianHieroglyphsScript  QLocale__Script = QLocale__Script(129)
	QLocale__HatranScript                QLocale__Script = QLocale__Script(130)
	QLocale__MultaniScript               QLocale__Script = QLocale__Script(131)
	QLocale__OldHungarianScript          QLocale__Script = QLocale__Script(132)
	QLocale__SignWritingScript           QLocale__Script = QLocale__Script(133)
	QLocale__AdlamScript                 QLocale__Script = QLocale__Script(134)
	QLocale__BhaiksukiScript             QLocale__Script = QLocale__Script(135)
	QLocale__MarchenScript               QLocale__Script = QLocale__Script(136)
	QLocale__NewaScript                  QLocale__Script = QLocale__Script(137)
	QLocale__OsageScript                 QLocale__Script = QLocale__Script(138)
	QLocale__TangutScript                QLocale__Script = QLocale__Script(139)
	QLocale__HanWithBopomofoScript       QLocale__Script = QLocale__Script(140)
	QLocale__JamoScript                  QLocale__Script = QLocale__Script(141)
	QLocale__SimplifiedChineseScript     QLocale__Script = QLocale__Script(QLocale__SimplifiedHanScript)
	QLocale__TraditionalChineseScript    QLocale__Script = QLocale__Script(QLocale__TraditionalHanScript)
	QLocale__LastScript                  QLocale__Script = QLocale__Script(QLocale__JamoScript)
)

//go:generate stringer -type=QLocale__Country
//QLocale::Country
type QLocale__Country int64

const (
	QLocale__AnyCountry                             QLocale__Country = QLocale__Country(0)
	QLocale__Afghanistan                            QLocale__Country = QLocale__Country(1)
	QLocale__Albania                                QLocale__Country = QLocale__Country(2)
	QLocale__Algeria                                QLocale__Country = QLocale__Country(3)
	QLocale__AmericanSamoa                          QLocale__Country = QLocale__Country(4)
	QLocale__Andorra                                QLocale__Country = QLocale__Country(5)
	QLocale__Angola                                 QLocale__Country = QLocale__Country(6)
	QLocale__Anguilla                               QLocale__Country = QLocale__Country(7)
	QLocale__Antarctica                             QLocale__Country = QLocale__Country(8)
	QLocale__AntiguaAndBarbuda                      QLocale__Country = QLocale__Country(9)
	QLocale__Argentina                              QLocale__Country = QLocale__Country(10)
	QLocale__Armenia                                QLocale__Country = QLocale__Country(11)
	QLocale__Aruba                                  QLocale__Country = QLocale__Country(12)
	QLocale__Australia                              QLocale__Country = QLocale__Country(13)
	QLocale__Austria                                QLocale__Country = QLocale__Country(14)
	QLocale__Azerbaijan                             QLocale__Country = QLocale__Country(15)
	QLocale__Bahamas                                QLocale__Country = QLocale__Country(16)
	QLocale__Bahrain                                QLocale__Country = QLocale__Country(17)
	QLocale__Bangladesh                             QLocale__Country = QLocale__Country(18)
	QLocale__Barbados                               QLocale__Country = QLocale__Country(19)
	QLocale__Belarus                                QLocale__Country = QLocale__Country(20)
	QLocale__Belgium                                QLocale__Country = QLocale__Country(21)
	QLocale__Belize                                 QLocale__Country = QLocale__Country(22)
	QLocale__Benin                                  QLocale__Country = QLocale__Country(23)
	QLocale__Bermuda                                QLocale__Country = QLocale__Country(24)
	QLocale__Bhutan                                 QLocale__Country = QLocale__Country(25)
	QLocale__Bolivia                                QLocale__Country = QLocale__Country(26)
	QLocale__BosniaAndHerzegowina                   QLocale__Country = QLocale__Country(27)
	QLocale__Botswana                               QLocale__Country = QLocale__Country(28)
	QLocale__BouvetIsland                           QLocale__Country = QLocale__Country(29)
	QLocale__Brazil                                 QLocale__Country = QLocale__Country(30)
	QLocale__BritishIndianOceanTerritory            QLocale__Country = QLocale__Country(31)
	QLocale__Brunei                                 QLocale__Country = QLocale__Country(32)
	QLocale__Bulgaria                               QLocale__Country = QLocale__Country(33)
	QLocale__BurkinaFaso                            QLocale__Country = QLocale__Country(34)
	QLocale__Burundi                                QLocale__Country = QLocale__Country(35)
	QLocale__Cambodia                               QLocale__Country = QLocale__Country(36)
	QLocale__Cameroon                               QLocale__Country = QLocale__Country(37)
	QLocale__Canada                                 QLocale__Country = QLocale__Country(38)
	QLocale__CapeVerde                              QLocale__Country = QLocale__Country(39)
	QLocale__CaymanIslands                          QLocale__Country = QLocale__Country(40)
	QLocale__CentralAfricanRepublic                 QLocale__Country = QLocale__Country(41)
	QLocale__Chad                                   QLocale__Country = QLocale__Country(42)
	QLocale__Chile                                  QLocale__Country = QLocale__Country(43)
	QLocale__China                                  QLocale__Country = QLocale__Country(44)
	QLocale__ChristmasIsland                        QLocale__Country = QLocale__Country(45)
	QLocale__CocosIslands                           QLocale__Country = QLocale__Country(46)
	QLocale__Colombia                               QLocale__Country = QLocale__Country(47)
	QLocale__Comoros                                QLocale__Country = QLocale__Country(48)
	QLocale__CongoKinshasa                          QLocale__Country = QLocale__Country(49)
	QLocale__CongoBrazzaville                       QLocale__Country = QLocale__Country(50)
	QLocale__CookIslands                            QLocale__Country = QLocale__Country(51)
	QLocale__CostaRica                              QLocale__Country = QLocale__Country(52)
	QLocale__IvoryCoast                             QLocale__Country = QLocale__Country(53)
	QLocale__Croatia                                QLocale__Country = QLocale__Country(54)
	QLocale__Cuba                                   QLocale__Country = QLocale__Country(55)
	QLocale__Cyprus                                 QLocale__Country = QLocale__Country(56)
	QLocale__CzechRepublic                          QLocale__Country = QLocale__Country(57)
	QLocale__Denmark                                QLocale__Country = QLocale__Country(58)
	QLocale__Djibouti                               QLocale__Country = QLocale__Country(59)
	QLocale__Dominica                               QLocale__Country = QLocale__Country(60)
	QLocale__DominicanRepublic                      QLocale__Country = QLocale__Country(61)
	QLocale__EastTimor                              QLocale__Country = QLocale__Country(62)
	QLocale__Ecuador                                QLocale__Country = QLocale__Country(63)
	QLocale__Egypt                                  QLocale__Country = QLocale__Country(64)
	QLocale__ElSalvador                             QLocale__Country = QLocale__Country(65)
	QLocale__EquatorialGuinea                       QLocale__Country = QLocale__Country(66)
	QLocale__Eritrea                                QLocale__Country = QLocale__Country(67)
	QLocale__Estonia                                QLocale__Country = QLocale__Country(68)
	QLocale__Ethiopia                               QLocale__Country = QLocale__Country(69)
	QLocale__FalklandIslands                        QLocale__Country = QLocale__Country(70)
	QLocale__FaroeIslands                           QLocale__Country = QLocale__Country(71)
	QLocale__Fiji                                   QLocale__Country = QLocale__Country(72)
	QLocale__Finland                                QLocale__Country = QLocale__Country(73)
	QLocale__France                                 QLocale__Country = QLocale__Country(74)
	QLocale__Guernsey                               QLocale__Country = QLocale__Country(75)
	QLocale__FrenchGuiana                           QLocale__Country = QLocale__Country(76)
	QLocale__FrenchPolynesia                        QLocale__Country = QLocale__Country(77)
	QLocale__FrenchSouthernTerritories              QLocale__Country = QLocale__Country(78)
	QLocale__Gabon                                  QLocale__Country = QLocale__Country(79)
	QLocale__Gambia                                 QLocale__Country = QLocale__Country(80)
	QLocale__Georgia                                QLocale__Country = QLocale__Country(81)
	QLocale__Germany                                QLocale__Country = QLocale__Country(82)
	QLocale__Ghana                                  QLocale__Country = QLocale__Country(83)
	QLocale__Gibraltar                              QLocale__Country = QLocale__Country(84)
	QLocale__Greece                                 QLocale__Country = QLocale__Country(85)
	QLocale__Greenland                              QLocale__Country = QLocale__Country(86)
	QLocale__Grenada                                QLocale__Country = QLocale__Country(87)
	QLocale__Guadeloupe                             QLocale__Country = QLocale__Country(88)
	QLocale__Guam                                   QLocale__Country = QLocale__Country(89)
	QLocale__Guatemala                              QLocale__Country = QLocale__Country(90)
	QLocale__Guinea                                 QLocale__Country = QLocale__Country(91)
	QLocale__GuineaBissau                           QLocale__Country = QLocale__Country(92)
	QLocale__Guyana                                 QLocale__Country = QLocale__Country(93)
	QLocale__Haiti                                  QLocale__Country = QLocale__Country(94)
	QLocale__HeardAndMcDonaldIslands                QLocale__Country = QLocale__Country(95)
	QLocale__Honduras                               QLocale__Country = QLocale__Country(96)
	QLocale__HongKong                               QLocale__Country = QLocale__Country(97)
	QLocale__Hungary                                QLocale__Country = QLocale__Country(98)
	QLocale__Iceland                                QLocale__Country = QLocale__Country(99)
	QLocale__India                                  QLocale__Country = QLocale__Country(100)
	QLocale__Indonesia                              QLocale__Country = QLocale__Country(101)
	QLocale__Iran                                   QLocale__Country = QLocale__Country(102)
	QLocale__Iraq                                   QLocale__Country = QLocale__Country(103)
	QLocale__Ireland                                QLocale__Country = QLocale__Country(104)
	QLocale__Israel                                 QLocale__Country = QLocale__Country(105)
	QLocale__Italy                                  QLocale__Country = QLocale__Country(106)
	QLocale__Jamaica                                QLocale__Country = QLocale__Country(107)
	QLocale__Japan                                  QLocale__Country = QLocale__Country(108)
	QLocale__Jordan                                 QLocale__Country = QLocale__Country(109)
	QLocale__Kazakhstan                             QLocale__Country = QLocale__Country(110)
	QLocale__Kenya                                  QLocale__Country = QLocale__Country(111)
	QLocale__Kiribati                               QLocale__Country = QLocale__Country(112)
	QLocale__NorthKorea                             QLocale__Country = QLocale__Country(113)
	QLocale__SouthKorea                             QLocale__Country = QLocale__Country(114)
	QLocale__Kuwait                                 QLocale__Country = QLocale__Country(115)
	QLocale__Kyrgyzstan                             QLocale__Country = QLocale__Country(116)
	QLocale__Laos                                   QLocale__Country = QLocale__Country(117)
	QLocale__Latvia                                 QLocale__Country = QLocale__Country(118)
	QLocale__Lebanon                                QLocale__Country = QLocale__Country(119)
	QLocale__Lesotho                                QLocale__Country = QLocale__Country(120)
	QLocale__Liberia                                QLocale__Country = QLocale__Country(121)
	QLocale__Libya                                  QLocale__Country = QLocale__Country(122)
	QLocale__Liechtenstein                          QLocale__Country = QLocale__Country(123)
	QLocale__Lithuania                              QLocale__Country = QLocale__Country(124)
	QLocale__Luxembourg                             QLocale__Country = QLocale__Country(125)
	QLocale__Macau                                  QLocale__Country = QLocale__Country(126)
	QLocale__Macedonia                              QLocale__Country = QLocale__Country(127)
	QLocale__Madagascar                             QLocale__Country = QLocale__Country(128)
	QLocale__Malawi                                 QLocale__Country = QLocale__Country(129)
	QLocale__Malaysia                               QLocale__Country = QLocale__Country(130)
	QLocale__Maldives                               QLocale__Country = QLocale__Country(131)
	QLocale__Mali                                   QLocale__Country = QLocale__Country(132)
	QLocale__Malta                                  QLocale__Country = QLocale__Country(133)
	QLocale__MarshallIslands                        QLocale__Country = QLocale__Country(134)
	QLocale__Martinique                             QLocale__Country = QLocale__Country(135)
	QLocale__Mauritania                             QLocale__Country = QLocale__Country(136)
	QLocale__Mauritius                              QLocale__Country = QLocale__Country(137)
	QLocale__Mayotte                                QLocale__Country = QLocale__Country(138)
	QLocale__Mexico                                 QLocale__Country = QLocale__Country(139)
	QLocale__Micronesia                             QLocale__Country = QLocale__Country(140)
	QLocale__Moldova                                QLocale__Country = QLocale__Country(141)
	QLocale__Monaco                                 QLocale__Country = QLocale__Country(142)
	QLocale__Mongolia                               QLocale__Country = QLocale__Country(143)
	QLocale__Montserrat                             QLocale__Country = QLocale__Country(144)
	QLocale__Morocco                                QLocale__Country = QLocale__Country(145)
	QLocale__Mozambique                             QLocale__Country = QLocale__Country(146)
	QLocale__Myanmar                                QLocale__Country = QLocale__Country(147)
	QLocale__Namibia                                QLocale__Country = QLocale__Country(148)
	QLocale__NauruCountry                           QLocale__Country = QLocale__Country(149)
	QLocale__Nepal                                  QLocale__Country = QLocale__Country(150)
	QLocale__Netherlands                            QLocale__Country = QLocale__Country(151)
	QLocale__CuraSao                                QLocale__Country = QLocale__Country(152)
	QLocale__NewCaledonia                           QLocale__Country = QLocale__Country(153)
	QLocale__NewZealand                             QLocale__Country = QLocale__Country(154)
	QLocale__Nicaragua                              QLocale__Country = QLocale__Country(155)
	QLocale__Niger                                  QLocale__Country = QLocale__Country(156)
	QLocale__Nigeria                                QLocale__Country = QLocale__Country(157)
	QLocale__Niue                                   QLocale__Country = QLocale__Country(158)
	QLocale__NorfolkIsland                          QLocale__Country = QLocale__Country(159)
	QLocale__NorthernMarianaIslands                 QLocale__Country = QLocale__Country(160)
	QLocale__Norway                                 QLocale__Country = QLocale__Country(161)
	QLocale__Oman                                   QLocale__Country = QLocale__Country(162)
	QLocale__Pakistan                               QLocale__Country = QLocale__Country(163)
	QLocale__Palau                                  QLocale__Country = QLocale__Country(164)
	QLocale__PalestinianTerritories                 QLocale__Country = QLocale__Country(165)
	QLocale__Panama                                 QLocale__Country = QLocale__Country(166)
	QLocale__PapuaNewGuinea                         QLocale__Country = QLocale__Country(167)
	QLocale__Paraguay                               QLocale__Country = QLocale__Country(168)
	QLocale__Peru                                   QLocale__Country = QLocale__Country(169)
	QLocale__Philippines                            QLocale__Country = QLocale__Country(170)
	QLocale__Pitcairn                               QLocale__Country = QLocale__Country(171)
	QLocale__Poland                                 QLocale__Country = QLocale__Country(172)
	QLocale__Portugal                               QLocale__Country = QLocale__Country(173)
	QLocale__PuertoRico                             QLocale__Country = QLocale__Country(174)
	QLocale__Qatar                                  QLocale__Country = QLocale__Country(175)
	QLocale__Reunion                                QLocale__Country = QLocale__Country(176)
	QLocale__Romania                                QLocale__Country = QLocale__Country(177)
	QLocale__Russia                                 QLocale__Country = QLocale__Country(178)
	QLocale__Rwanda                                 QLocale__Country = QLocale__Country(179)
	QLocale__SaintKittsAndNevis                     QLocale__Country = QLocale__Country(180)
	QLocale__SaintLucia                             QLocale__Country = QLocale__Country(181)
	QLocale__SaintVincentAndTheGrenadines           QLocale__Country = QLocale__Country(182)
	QLocale__Samoa                                  QLocale__Country = QLocale__Country(183)
	QLocale__SanMarino                              QLocale__Country = QLocale__Country(184)
	QLocale__SaoTomeAndPrincipe                     QLocale__Country = QLocale__Country(185)
	QLocale__SaudiArabia                            QLocale__Country = QLocale__Country(186)
	QLocale__Senegal                                QLocale__Country = QLocale__Country(187)
	QLocale__Seychelles                             QLocale__Country = QLocale__Country(188)
	QLocale__SierraLeone                            QLocale__Country = QLocale__Country(189)
	QLocale__Singapore                              QLocale__Country = QLocale__Country(190)
	QLocale__Slovakia                               QLocale__Country = QLocale__Country(191)
	QLocale__Slovenia                               QLocale__Country = QLocale__Country(192)
	QLocale__SolomonIslands                         QLocale__Country = QLocale__Country(193)
	QLocale__Somalia                                QLocale__Country = QLocale__Country(194)
	QLocale__SouthAfrica                            QLocale__Country = QLocale__Country(195)
	QLocale__SouthGeorgiaAndTheSouthSandwichIslands QLocale__Country = QLocale__Country(196)
	QLocale__Spain                                  QLocale__Country = QLocale__Country(197)
	QLocale__SriLanka                               QLocale__Country = QLocale__Country(198)
	QLocale__SaintHelena                            QLocale__Country = QLocale__Country(199)
	QLocale__SaintPierreAndMiquelon                 QLocale__Country = QLocale__Country(200)
	QLocale__Sudan                                  QLocale__Country = QLocale__Country(201)
	QLocale__Suriname                               QLocale__Country = QLocale__Country(202)
	QLocale__SvalbardAndJanMayenIslands             QLocale__Country = QLocale__Country(203)
	QLocale__Swaziland                              QLocale__Country = QLocale__Country(204)
	QLocale__Sweden                                 QLocale__Country = QLocale__Country(205)
	QLocale__Switzerland                            QLocale__Country = QLocale__Country(206)
	QLocale__Syria                                  QLocale__Country = QLocale__Country(207)
	QLocale__Taiwan                                 QLocale__Country = QLocale__Country(208)
	QLocale__Tajikistan                             QLocale__Country = QLocale__Country(209)
	QLocale__Tanzania                               QLocale__Country = QLocale__Country(210)
	QLocale__Thailand                               QLocale__Country = QLocale__Country(211)
	QLocale__Togo                                   QLocale__Country = QLocale__Country(212)
	QLocale__TokelauCountry                         QLocale__Country = QLocale__Country(213)
	QLocale__Tonga                                  QLocale__Country = QLocale__Country(214)
	QLocale__TrinidadAndTobago                      QLocale__Country = QLocale__Country(215)
	QLocale__Tunisia                                QLocale__Country = QLocale__Country(216)
	QLocale__Turkey                                 QLocale__Country = QLocale__Country(217)
	QLocale__Turkmenistan                           QLocale__Country = QLocale__Country(218)
	QLocale__TurksAndCaicosIslands                  QLocale__Country = QLocale__Country(219)
	QLocale__TuvaluCountry                          QLocale__Country = QLocale__Country(220)
	QLocale__Uganda                                 QLocale__Country = QLocale__Country(221)
	QLocale__Ukraine                                QLocale__Country = QLocale__Country(222)
	QLocale__UnitedArabEmirates                     QLocale__Country = QLocale__Country(223)
	QLocale__UnitedKingdom                          QLocale__Country = QLocale__Country(224)
	QLocale__UnitedStates                           QLocale__Country = QLocale__Country(225)
	QLocale__UnitedStatesMinorOutlyingIslands       QLocale__Country = QLocale__Country(226)
	QLocale__Uruguay                                QLocale__Country = QLocale__Country(227)
	QLocale__Uzbekistan                             QLocale__Country = QLocale__Country(228)
	QLocale__Vanuatu                                QLocale__Country = QLocale__Country(229)
	QLocale__VaticanCityState                       QLocale__Country = QLocale__Country(230)
	QLocale__Venezuela                              QLocale__Country = QLocale__Country(231)
	QLocale__Vietnam                                QLocale__Country = QLocale__Country(232)
	QLocale__BritishVirginIslands                   QLocale__Country = QLocale__Country(233)
	QLocale__UnitedStatesVirginIslands              QLocale__Country = QLocale__Country(234)
	QLocale__WallisAndFutunaIslands                 QLocale__Country = QLocale__Country(235)
	QLocale__WesternSahara                          QLocale__Country = QLocale__Country(236)
	QLocale__Yemen                                  QLocale__Country = QLocale__Country(237)
	QLocale__CanaryIslands                          QLocale__Country = QLocale__Country(238)
	QLocale__Zambia                                 QLocale__Country = QLocale__Country(239)
	QLocale__Zimbabwe                               QLocale__Country = QLocale__Country(240)
	QLocale__ClippertonIsland                       QLocale__Country = QLocale__Country(241)
	QLocale__Montenegro                             QLocale__Country = QLocale__Country(242)
	QLocale__Serbia                                 QLocale__Country = QLocale__Country(243)
	QLocale__SaintBarthelemy                        QLocale__Country = QLocale__Country(244)
	QLocale__SaintMartin                            QLocale__Country = QLocale__Country(245)
	QLocale__LatinAmerica                           QLocale__Country = QLocale__Country(246)
	QLocale__AscensionIsland                        QLocale__Country = QLocale__Country(247)
	QLocale__AlandIslands                           QLocale__Country = QLocale__Country(248)
	QLocale__DiegoGarcia                            QLocale__Country = QLocale__Country(249)
	QLocale__CeutaAndMelilla                        QLocale__Country = QLocale__Country(250)
	QLocale__IsleOfMan                              QLocale__Country = QLocale__Country(251)
	QLocale__Jersey                                 QLocale__Country = QLocale__Country(252)
	QLocale__TristanDaCunha                         QLocale__Country = QLocale__Country(253)
	QLocale__SouthSudan                             QLocale__Country = QLocale__Country(254)
	QLocale__Bonaire                                QLocale__Country = QLocale__Country(255)
	QLocale__SintMaarten                            QLocale__Country = QLocale__Country(256)
	QLocale__Kosovo                                 QLocale__Country = QLocale__Country(257)
	QLocale__EuropeanUnion                          QLocale__Country = QLocale__Country(258)
	QLocale__OutlyingOceania                        QLocale__Country = QLocale__Country(259)
	QLocale__World                                  QLocale__Country = QLocale__Country(260)
	QLocale__Europe                                 QLocale__Country = QLocale__Country(261)
	QLocale__DemocraticRepublicOfCongo              QLocale__Country = QLocale__Country(QLocale__CongoKinshasa)
	QLocale__DemocraticRepublicOfKorea              QLocale__Country = QLocale__Country(QLocale__NorthKorea)
	QLocale__LatinAmericaAndTheCaribbean            QLocale__Country = QLocale__Country(QLocale__LatinAmerica)
	QLocale__PeoplesRepublicOfCongo                 QLocale__Country = QLocale__Country(QLocale__CongoBrazzaville)
	QLocale__RepublicOfKorea                        QLocale__Country = QLocale__Country(QLocale__SouthKorea)
	QLocale__RussianFederation                      QLocale__Country = QLocale__Country(QLocale__Russia)
	QLocale__SyrianArabRepublic                     QLocale__Country = QLocale__Country(QLocale__Syria)
	QLocale__Tokelau                                QLocale__Country = QLocale__Country(QLocale__TokelauCountry)
	QLocale__Tuvalu                                 QLocale__Country = QLocale__Country(QLocale__TuvaluCountry)
	QLocale__LastCountry                            QLocale__Country = QLocale__Country(QLocale__Europe)
)

//go:generate stringer -type=QLocale__MeasurementSystem
//QLocale::MeasurementSystem
type QLocale__MeasurementSystem int64

const (
	QLocale__MetricSystem     QLocale__MeasurementSystem = QLocale__MeasurementSystem(0)
	QLocale__ImperialUSSystem QLocale__MeasurementSystem = QLocale__MeasurementSystem(1)
	QLocale__ImperialUKSystem QLocale__MeasurementSystem = QLocale__MeasurementSystem(2)
	QLocale__ImperialSystem   QLocale__MeasurementSystem = QLocale__MeasurementSystem(QLocale__ImperialUSSystem)
)

//go:generate stringer -type=QLocale__FormatType
//QLocale::FormatType
type QLocale__FormatType int64

const (
	QLocale__LongFormat   QLocale__FormatType = QLocale__FormatType(0)
	QLocale__ShortFormat  QLocale__FormatType = QLocale__FormatType(1)
	QLocale__NarrowFormat QLocale__FormatType = QLocale__FormatType(2)
)

//go:generate stringer -type=QLocale__NumberOption
//QLocale::NumberOption
type QLocale__NumberOption int64

const (
	QLocale__DefaultNumberOptions          QLocale__NumberOption = QLocale__NumberOption(0x0)
	QLocale__OmitGroupSeparator            QLocale__NumberOption = QLocale__NumberOption(0x01)
	QLocale__RejectGroupSeparator          QLocale__NumberOption = QLocale__NumberOption(0x02)
	QLocale__OmitLeadingZeroInExponent     QLocale__NumberOption = QLocale__NumberOption(0x04)
	QLocale__RejectLeadingZeroInExponent   QLocale__NumberOption = QLocale__NumberOption(0x08)
	QLocale__IncludeTrailingZeroesAfterDot QLocale__NumberOption = QLocale__NumberOption(0x10)
	QLocale__RejectTrailingZeroesAfterDot  QLocale__NumberOption = QLocale__NumberOption(0x20)
)

//go:generate stringer -type=QLocale__FloatingPointPrecisionOption
//QLocale::FloatingPointPrecisionOption
type QLocale__FloatingPointPrecisionOption int64

const (
	QLocale__FloatingPointShortest QLocale__FloatingPointPrecisionOption = QLocale__FloatingPointPrecisionOption(-128)
)

//go:generate stringer -type=QLocale__CurrencySymbolFormat
//QLocale::CurrencySymbolFormat
type QLocale__CurrencySymbolFormat int64

const (
	QLocale__CurrencyIsoCode     QLocale__CurrencySymbolFormat = QLocale__CurrencySymbolFormat(0)
	QLocale__CurrencySymbol      QLocale__CurrencySymbolFormat = QLocale__CurrencySymbolFormat(1)
	QLocale__CurrencyDisplayName QLocale__CurrencySymbolFormat = QLocale__CurrencySymbolFormat(2)
)

//go:generate stringer -type=QLocale__DataSizeFormat
//QLocale::DataSizeFormat
type QLocale__DataSizeFormat int64

const (
	QLocale__DataSizeBase1000          QLocale__DataSizeFormat = QLocale__DataSizeFormat(1)
	QLocale__DataSizeSIQuantifiers     QLocale__DataSizeFormat = QLocale__DataSizeFormat(2)
	QLocale__DataSizeIecFormat         QLocale__DataSizeFormat = QLocale__DataSizeFormat(0)
	QLocale__DataSizeTraditionalFormat QLocale__DataSizeFormat = QLocale__DataSizeFormat(QLocale__DataSizeSIQuantifiers)
	QLocale__DataSizeSIFormat          QLocale__DataSizeFormat = QLocale__DataSizeFormat(QLocale__DataSizeBase1000 | QLocale__DataSizeSIQuantifiers)
)

//go:generate stringer -type=QLocale__QuotationStyle
//QLocale::QuotationStyle
type QLocale__QuotationStyle int64

var (
	QLocale__StandardQuotation  QLocale__QuotationStyle = QLocale__QuotationStyle(0)
	QLocale__AlternateQuotation QLocale__QuotationStyle = QLocale__QuotationStyle(1)
)

func NewQLocale() *QLocale {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLocale", ""}).(*QLocale)
}

func NewQLocale2(name string) *QLocale {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLocale2", "", name}).(*QLocale)
}

func NewQLocale3(language QLocale__Language, country QLocale__Country) *QLocale {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLocale3", "", language, country}).(*QLocale)
}

func NewQLocale4(language QLocale__Language, scri QLocale__Script, country QLocale__Country) *QLocale {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLocale4", "", language, scri, country}).(*QLocale)
}

func NewQLocale5(other QLocale_ITF) *QLocale {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLocale5", "", other}).(*QLocale)
}

func (ptr *QLocale) AmText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AmText"}).(string)
}

func (ptr *QLocale) Bcp47Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bcp47Name"}).(string)
}

func QLocale_C() *QLocale {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLocale_C", ""}).(*QLocale)
}

func (ptr *QLocale) C() *QLocale {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLocale_C", ""}).(*QLocale)
}

func (ptr *QLocale) Country() QLocale__Country {

	return QLocale__Country(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Country"}).(float64))
}

func QLocale_CountryToString(country QLocale__Country) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLocale_CountryToString", "", country}).(string)
}

func (ptr *QLocale) CountryToString(country QLocale__Country) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLocale_CountryToString", "", country}).(string)
}

func (ptr *QLocale) CreateSeparatedList(list []string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateSeparatedList", list}).(string)
}

func (ptr *QLocale) CurrencySymbol(format QLocale__CurrencySymbolFormat) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrencySymbol", format}).(string)
}

func (ptr *QLocale) DateFormat(format QLocale__FormatType) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DateFormat", format}).(string)
}

func (ptr *QLocale) DateTimeFormat(format QLocale__FormatType) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DateTimeFormat", format}).(string)
}

func (ptr *QLocale) DayName(day int, ty QLocale__FormatType) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DayName", day, ty}).(string)
}

func (ptr *QLocale) DecimalPoint() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DecimalPoint"}).(*QChar)
}

func (ptr *QLocale) Exponential() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exponential"}).(*QChar)
}

func (ptr *QLocale) FirstDayOfWeek() Qt__DayOfWeek {

	return Qt__DayOfWeek(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FirstDayOfWeek"}).(float64))
}

func (ptr *QLocale) FormattedDataSize2(bytes int64, precision int, format QLocale__DataSizeFormat) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FormattedDataSize2", bytes, precision, format}).(string)
}

func (ptr *QLocale) GroupSeparator() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GroupSeparator"}).(*QChar)
}

func (ptr *QLocale) Language() QLocale__Language {

	return QLocale__Language(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Language"}).(float64))
}

func QLocale_LanguageToString(language QLocale__Language) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLocale_LanguageToString", "", language}).(string)
}

func (ptr *QLocale) LanguageToString(language QLocale__Language) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLocale_LanguageToString", "", language}).(string)
}

func QLocale_MatchingLocales(language QLocale__Language, scri QLocale__Script, country QLocale__Country) []*QLocale {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLocale_MatchingLocales", "", language, scri, country}).([]*QLocale)
}

func (ptr *QLocale) MatchingLocales(language QLocale__Language, scri QLocale__Script, country QLocale__Country) []*QLocale {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLocale_MatchingLocales", "", language, scri, country}).([]*QLocale)
}

func (ptr *QLocale) MeasurementSystem() QLocale__MeasurementSystem {

	return QLocale__MeasurementSystem(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MeasurementSystem"}).(float64))
}

func (ptr *QLocale) MonthName(month int, ty QLocale__FormatType) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MonthName", month, ty}).(string)
}

func (ptr *QLocale) Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(string)
}

func (ptr *QLocale) NativeCountryName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NativeCountryName"}).(string)
}

func (ptr *QLocale) NativeLanguageName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NativeLanguageName"}).(string)
}

func (ptr *QLocale) NegativeSign() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NegativeSign"}).(*QChar)
}

func (ptr *QLocale) NumberOptions() QLocale__NumberOption {

	return QLocale__NumberOption(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NumberOptions"}).(float64))
}

func (ptr *QLocale) Percent() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Percent"}).(*QChar)
}

func (ptr *QLocale) PmText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PmText"}).(string)
}

func (ptr *QLocale) PositiveSign() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PositiveSign"}).(*QChar)
}

func (ptr *QLocale) QuoteString(str string, style QLocale__QuotationStyle) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "QuoteString", str, style}).(string)
}

func (ptr *QLocale) QuoteString2(str QStringRef_ITF, style QLocale__QuotationStyle) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "QuoteString2", str, style}).(string)
}

func (ptr *QLocale) Script() QLocale__Script {

	return QLocale__Script(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Script"}).(float64))
}

func QLocale_ScriptToString(scri QLocale__Script) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLocale_ScriptToString", "", scri}).(string)
}

func (ptr *QLocale) ScriptToString(scri QLocale__Script) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLocale_ScriptToString", "", scri}).(string)
}

func QLocale_SetDefault(locale QLocale_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QLocale_SetDefault", "", locale})
}

func (ptr *QLocale) SetDefault(locale QLocale_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QLocale_SetDefault", "", locale})
}

func (ptr *QLocale) SetNumberOptions(options QLocale__NumberOption) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNumberOptions", options})
}

func (ptr *QLocale) StandaloneDayName(day int, ty QLocale__FormatType) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandaloneDayName", day, ty}).(string)
}

func (ptr *QLocale) StandaloneMonthName(month int, ty QLocale__FormatType) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandaloneMonthName", month, ty}).(string)
}

func (ptr *QLocale) Swap(other QLocale_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func QLocale_System() *QLocale {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLocale_System", ""}).(*QLocale)
}

func (ptr *QLocale) System() *QLocale {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLocale_System", ""}).(*QLocale)
}

func (ptr *QLocale) TextDirection() Qt__LayoutDirection {

	return Qt__LayoutDirection(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextDirection"}).(float64))
}

func (ptr *QLocale) TimeFormat(format QLocale__FormatType) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimeFormat", format}).(string)
}

func (ptr *QLocale) ToCurrencyString(value int64, symbol string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCurrencyString", value, symbol}).(string)
}

func (ptr *QLocale) ToCurrencyString2(value uint64, symbol string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCurrencyString2", value, symbol}).(string)
}

func (ptr *QLocale) ToCurrencyString3(value int16, symbol string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCurrencyString3", value, symbol}).(string)
}

func (ptr *QLocale) ToCurrencyString4(value uint16, symbol string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCurrencyString4", value, symbol}).(string)
}

func (ptr *QLocale) ToCurrencyString5(value int, symbol string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCurrencyString5", value, symbol}).(string)
}

func (ptr *QLocale) ToCurrencyString6(value uint, symbol string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCurrencyString6", value, symbol}).(string)
}

func (ptr *QLocale) ToCurrencyString7(value float64, symbol string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCurrencyString7", value, symbol}).(string)
}

func (ptr *QLocale) ToCurrencyString8(value float64, symbol string, precision int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCurrencyString8", value, symbol, precision}).(string)
}

func (ptr *QLocale) ToCurrencyString9(value float32, symbol string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCurrencyString9", value, symbol}).(string)
}

func (ptr *QLocale) ToCurrencyString10(i float32, symbol string, precision int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCurrencyString10", i, symbol, precision}).(string)
}

func (ptr *QLocale) ToDate(stri string, format QLocale__FormatType) *QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToDate", stri, format}).(*QDate)
}

func (ptr *QLocale) ToDate2(stri string, format string) *QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToDate2", stri, format}).(*QDate)
}

func (ptr *QLocale) ToDateTime(stri string, format QLocale__FormatType) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToDateTime", stri, format}).(*QDateTime)
}

func (ptr *QLocale) ToDateTime2(stri string, format string) *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToDateTime2", stri, format}).(*QDateTime)
}

func (ptr *QLocale) ToDouble(s string, ok *bool) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToDouble", s, ok}).(float64)
}

func (ptr *QLocale) ToDouble2(s QStringRef_ITF, ok *bool) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToDouble2", s, ok}).(float64)
}

func (ptr *QLocale) ToDouble3(s QStringView_ITF, ok *bool) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToDouble3", s, ok}).(float64)
}

func (ptr *QLocale) ToFloat(s string, ok *bool) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToFloat", s, ok}).(float32)
}

func (ptr *QLocale) ToFloat2(s QStringRef_ITF, ok *bool) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToFloat2", s, ok}).(float32)
}

func (ptr *QLocale) ToFloat3(s QStringView_ITF, ok *bool) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToFloat3", s, ok}).(float32)
}

func (ptr *QLocale) ToInt(s string, ok *bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToInt", s, ok}).(float64))
}

func (ptr *QLocale) ToInt2(s QStringRef_ITF, ok *bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToInt2", s, ok}).(float64))
}

func (ptr *QLocale) ToInt3(s QStringView_ITF, ok *bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToInt3", s, ok}).(float64))
}

func (ptr *QLocale) ToLong(s string, ok *bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLong", s, ok}).(float64))
}

func (ptr *QLocale) ToLong2(s QStringRef_ITF, ok *bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLong2", s, ok}).(float64))
}

func (ptr *QLocale) ToLong3(s QStringView_ITF, ok *bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLong3", s, ok}).(float64))
}

func (ptr *QLocale) ToLongLong(s string, ok *bool) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLongLong", s, ok}).(float64))
}

func (ptr *QLocale) ToLongLong2(s QStringRef_ITF, ok *bool) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLongLong2", s, ok}).(float64))
}

func (ptr *QLocale) ToLongLong3(s QStringView_ITF, ok *bool) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLongLong3", s, ok}).(float64))
}

func (ptr *QLocale) ToLower(str string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLower", str}).(string)
}

func (ptr *QLocale) ToShort(s string, ok *bool) int16 {

	return int16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToShort", s, ok}).(float64))
}

func (ptr *QLocale) ToShort2(s QStringRef_ITF, ok *bool) int16 {

	return int16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToShort2", s, ok}).(float64))
}

func (ptr *QLocale) ToShort3(s QStringView_ITF, ok *bool) int16 {

	return int16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToShort3", s, ok}).(float64))
}

func (ptr *QLocale) ToString(i int64) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString", i}).(string)
}

func (ptr *QLocale) ToString2(i uint64) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString2", i}).(string)
}

func (ptr *QLocale) ToString3(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString3", i}).(string)
}

func (ptr *QLocale) ToString4(i uint) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString4", i}).(string)
}

func (ptr *QLocale) ToString5(i int16) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString5", i}).(string)
}

func (ptr *QLocale) ToString6(i uint16) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString6", i}).(string)
}

func (ptr *QLocale) ToString7(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString7", i}).(string)
}

func (ptr *QLocale) ToString8(i uint) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString8", i}).(string)
}

func (ptr *QLocale) ToString9(i float64, ff string, prec int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString9", i, ff, prec}).(string)
}

func (ptr *QLocale) ToString10(i float32, ff string, prec int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString10", i, ff, prec}).(string)
}

func (ptr *QLocale) ToString11(date QDate_ITF, format string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString11", date, format}).(string)
}

func (ptr *QLocale) ToString12(ti QTime_ITF, format string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString12", ti, format}).(string)
}

func (ptr *QLocale) ToString13(dateTime QDateTime_ITF, format string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString13", dateTime, format}).(string)
}

func (ptr *QLocale) ToString14(date QDate_ITF, format QStringView_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString14", date, format}).(string)
}

func (ptr *QLocale) ToString15(ti QTime_ITF, format QStringView_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString15", ti, format}).(string)
}

func (ptr *QLocale) ToString16(dateTime QDateTime_ITF, format QStringView_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString16", dateTime, format}).(string)
}

func (ptr *QLocale) ToString17(date QDate_ITF, format QLocale__FormatType) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString17", date, format}).(string)
}

func (ptr *QLocale) ToString18(ti QTime_ITF, format QLocale__FormatType) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString18", ti, format}).(string)
}

func (ptr *QLocale) ToString19(dateTime QDateTime_ITF, format QLocale__FormatType) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString19", dateTime, format}).(string)
}

func (ptr *QLocale) ToTime(stri string, format QLocale__FormatType) *QTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToTime", stri, format}).(*QTime)
}

func (ptr *QLocale) ToTime2(stri string, format string) *QTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToTime2", stri, format}).(*QTime)
}

func (ptr *QLocale) ToUInt(s string, ok *bool) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUInt", s, ok}).(float64))
}

func (ptr *QLocale) ToUInt2(s QStringRef_ITF, ok *bool) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUInt2", s, ok}).(float64))
}

func (ptr *QLocale) ToUInt3(s QStringView_ITF, ok *bool) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUInt3", s, ok}).(float64))
}

func (ptr *QLocale) ToULong(s string, ok *bool) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToULong", s, ok}).(float64))
}

func (ptr *QLocale) ToULong2(s QStringRef_ITF, ok *bool) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToULong2", s, ok}).(float64))
}

func (ptr *QLocale) ToULong3(s QStringView_ITF, ok *bool) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToULong3", s, ok}).(float64))
}

func (ptr *QLocale) ToULongLong(s string, ok *bool) uint64 {

	return uint64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToULongLong", s, ok}).(float64))
}

func (ptr *QLocale) ToULongLong2(s QStringRef_ITF, ok *bool) uint64 {

	return uint64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToULongLong2", s, ok}).(float64))
}

func (ptr *QLocale) ToULongLong3(s QStringView_ITF, ok *bool) uint64 {

	return uint64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToULongLong3", s, ok}).(float64))
}

func (ptr *QLocale) ToUShort(s string, ok *bool) uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUShort", s, ok}).(float64))
}

func (ptr *QLocale) ToUShort2(s QStringRef_ITF, ok *bool) uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUShort2", s, ok}).(float64))
}

func (ptr *QLocale) ToUShort3(s QStringView_ITF, ok *bool) uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUShort3", s, ok}).(float64))
}

func (ptr *QLocale) ToUpper(str string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUpper", str}).(string)
}

func (ptr *QLocale) UiLanguages() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UiLanguages"}).([]string)
}

func (ptr *QLocale) Weekdays() []Qt__DayOfWeek {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Weekdays"}).([]Qt__DayOfWeek)
}

func (ptr *QLocale) ZeroDigit() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ZeroDigit"}).(*QChar)
}

func (ptr *QLocale) DestroyQLocale() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQLocale"})
}

func (ptr *QLocale) __matchingLocales_atList(i int) *QLocale {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__matchingLocales_atList", i}).(*QLocale)
}

func (ptr *QLocale) __matchingLocales_setList(i QLocale_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__matchingLocales_setList", i})
}

func (ptr *QLocale) __matchingLocales_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__matchingLocales_newList"}).(unsafe.Pointer)
}

func (ptr *QLocale) __weekdays_atList(i int) Qt__DayOfWeek {

	return Qt__DayOfWeek(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__weekdays_atList", i}).(float64))
}

func (ptr *QLocale) __weekdays_setList(i Qt__DayOfWeek) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__weekdays_setList", i})
}

func (ptr *QLocale) __weekdays_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__weekdays_newList"}).(unsafe.Pointer)
}

type QLockFile struct {
	internal.Internal
}

type QLockFile_ITF interface {
	QLockFile_PTR() *QLockFile
}

func (ptr *QLockFile) QLockFile_PTR() *QLockFile {
	return ptr
}

func (ptr *QLockFile) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QLockFile) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQLockFile(ptr QLockFile_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLockFile_PTR().Pointer()
	}
	return nil
}

func (n *QLockFile) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQLockFileFromPointer(ptr unsafe.Pointer) (n *QLockFile) {
	n = new(QLockFile)
	n.InitFromInternal(uintptr(ptr), "core.QLockFile")
	return
}

//go:generate stringer -type=QLockFile__LockError
//QLockFile::LockError
type QLockFile__LockError int64

const (
	QLockFile__NoError         QLockFile__LockError = QLockFile__LockError(0)
	QLockFile__LockFailedError QLockFile__LockError = QLockFile__LockError(1)
	QLockFile__PermissionError QLockFile__LockError = QLockFile__LockError(2)
	QLockFile__UnknownError    QLockFile__LockError = QLockFile__LockError(3)
)

func NewQLockFile(fileName string) *QLockFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLockFile", "", fileName}).(*QLockFile)
}

func (ptr *QLockFile) Error() QLockFile__LockError {

	return QLockFile__LockError(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QLockFile) GetLockInfo(pid int64, hostname string, appname string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetLockInfo", pid, hostname, appname}).(bool)
}

func (ptr *QLockFile) IsLocked() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLocked"}).(bool)
}

func (ptr *QLockFile) Lock() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Lock"}).(bool)
}

func (ptr *QLockFile) RemoveStaleLockFile() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveStaleLockFile"}).(bool)
}

func (ptr *QLockFile) SetStaleLockTime(staleLockTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStaleLockTime", staleLockTime})
}

func (ptr *QLockFile) StaleLockTime() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StaleLockTime"}).(float64))
}

func (ptr *QLockFile) TryLock(timeout int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TryLock", timeout}).(bool)
}

func (ptr *QLockFile) Unlock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unlock"})
}

func (ptr *QLockFile) DestroyQLockFile() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQLockFile"})
}

type QLoggingCategory struct {
	internal.Internal
}

type QLoggingCategory_ITF interface {
	QLoggingCategory_PTR() *QLoggingCategory
}

func (ptr *QLoggingCategory) QLoggingCategory_PTR() *QLoggingCategory {
	return ptr
}

func (ptr *QLoggingCategory) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QLoggingCategory) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQLoggingCategory(ptr QLoggingCategory_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLoggingCategory_PTR().Pointer()
	}
	return nil
}

func (n *QLoggingCategory) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQLoggingCategoryFromPointer(ptr unsafe.Pointer) (n *QLoggingCategory) {
	n = new(QLoggingCategory)
	n.InitFromInternal(uintptr(ptr), "core.QLoggingCategory")
	return
}
func NewQLoggingCategory2(category string) *QLoggingCategory {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQLoggingCategory2", "", category}).(*QLoggingCategory)
}

func (ptr *QLoggingCategory) CategoryName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CategoryName"}).(string)
}

func QLoggingCategory_DefaultCategory() *QLoggingCategory {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLoggingCategory_DefaultCategory", ""}).(*QLoggingCategory)
}

func (ptr *QLoggingCategory) DefaultCategory() *QLoggingCategory {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QLoggingCategory_DefaultCategory", ""}).(*QLoggingCategory)
}

func (ptr *QLoggingCategory) IsCriticalEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCriticalEnabled"}).(bool)
}

func (ptr *QLoggingCategory) IsDebugEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDebugEnabled"}).(bool)
}

func (ptr *QLoggingCategory) IsInfoEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsInfoEnabled"}).(bool)
}

func (ptr *QLoggingCategory) IsWarningEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsWarningEnabled"}).(bool)
}

func QLoggingCategory_SetFilterRules(rules string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QLoggingCategory_SetFilterRules", "", rules})
}

func (ptr *QLoggingCategory) SetFilterRules(rules string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QLoggingCategory_SetFilterRules", "", rules})
}

func (ptr *QLoggingCategory) DestroyQLoggingCategory() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQLoggingCategory"})
}

type QMap struct {
	internal.Internal
}

type QMap_ITF interface {
	QMap_PTR() *QMap
}

func (ptr *QMap) QMap_PTR() *QMap {
	return ptr
}

func (ptr *QMap) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMap) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMap(ptr QMap_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMap_PTR().Pointer()
	}
	return nil
}

func (n *QMap) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMapFromPointer(ptr unsafe.Pointer) (n *QMap) {
	n = new(QMap)
	n.InitFromInternal(uintptr(ptr), "core.QMap")
	return
}

type QMapData struct {
	internal.Internal
}

type QMapData_ITF interface {
	QMapData_PTR() *QMapData
}

func (ptr *QMapData) QMapData_PTR() *QMapData {
	return ptr
}

func (ptr *QMapData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMapData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMapData(ptr QMapData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMapData_PTR().Pointer()
	}
	return nil
}

func (n *QMapData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMapDataFromPointer(ptr unsafe.Pointer) (n *QMapData) {
	n = new(QMapData)
	n.InitFromInternal(uintptr(ptr), "core.QMapData")
	return
}

func (ptr *QMapData) DestroyQMapData() {
}

type QMapDataBase struct {
	internal.Internal
}

type QMapDataBase_ITF interface {
	QMapDataBase_PTR() *QMapDataBase
}

func (ptr *QMapDataBase) QMapDataBase_PTR() *QMapDataBase {
	return ptr
}

func (ptr *QMapDataBase) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMapDataBase) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMapDataBase(ptr QMapDataBase_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMapDataBase_PTR().Pointer()
	}
	return nil
}

func (n *QMapDataBase) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMapDataBaseFromPointer(ptr unsafe.Pointer) (n *QMapDataBase) {
	n = new(QMapDataBase)
	n.InitFromInternal(uintptr(ptr), "core.QMapDataBase")
	return
}

func (ptr *QMapDataBase) DestroyQMapDataBase() {
}

type QMapIterator struct {
	internal.Internal
}

type QMapIterator_ITF interface {
	QMapIterator_PTR() *QMapIterator
}

func (ptr *QMapIterator) QMapIterator_PTR() *QMapIterator {
	return ptr
}

func (ptr *QMapIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMapIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMapIterator(ptr QMapIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMapIterator_PTR().Pointer()
	}
	return nil
}

func (n *QMapIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMapIteratorFromPointer(ptr unsafe.Pointer) (n *QMapIterator) {
	n = new(QMapIterator)
	n.InitFromInternal(uintptr(ptr), "core.QMapIterator")
	return
}

func (ptr *QMapIterator) DestroyQMapIterator() {
}

type QMapNode struct {
	internal.Internal
}

type QMapNode_ITF interface {
	QMapNode_PTR() *QMapNode
}

func (ptr *QMapNode) QMapNode_PTR() *QMapNode {
	return ptr
}

func (ptr *QMapNode) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMapNode) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMapNode(ptr QMapNode_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMapNode_PTR().Pointer()
	}
	return nil
}

func (n *QMapNode) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMapNodeFromPointer(ptr unsafe.Pointer) (n *QMapNode) {
	n = new(QMapNode)
	n.InitFromInternal(uintptr(ptr), "core.QMapNode")
	return
}

func (ptr *QMapNode) DestroyQMapNode() {
}

type QMapNodeBase struct {
	internal.Internal
}

type QMapNodeBase_ITF interface {
	QMapNodeBase_PTR() *QMapNodeBase
}

func (ptr *QMapNodeBase) QMapNodeBase_PTR() *QMapNodeBase {
	return ptr
}

func (ptr *QMapNodeBase) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMapNodeBase) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMapNodeBase(ptr QMapNodeBase_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMapNodeBase_PTR().Pointer()
	}
	return nil
}

func (n *QMapNodeBase) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMapNodeBaseFromPointer(ptr unsafe.Pointer) (n *QMapNodeBase) {
	n = new(QMapNodeBase)
	n.InitFromInternal(uintptr(ptr), "core.QMapNodeBase")
	return
}

func (ptr *QMapNodeBase) DestroyQMapNodeBase() {
}

type QMargins struct {
	internal.Internal
}

type QMargins_ITF interface {
	QMargins_PTR() *QMargins
}

func (ptr *QMargins) QMargins_PTR() *QMargins {
	return ptr
}

func (ptr *QMargins) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMargins) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMargins(ptr QMargins_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMargins_PTR().Pointer()
	}
	return nil
}

func (n *QMargins) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMarginsFromPointer(ptr unsafe.Pointer) (n *QMargins) {
	n = new(QMargins)
	n.InitFromInternal(uintptr(ptr), "core.QMargins")
	return
}

func (ptr *QMargins) DestroyQMargins() {
}

func NewQMargins() *QMargins {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMargins", ""}).(*QMargins)
}

func NewQMargins2(left int, top int, right int, bottom int) *QMargins {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMargins2", "", left, top, right, bottom}).(*QMargins)
}

func (ptr *QMargins) Bottom() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bottom"}).(float64))
}

func (ptr *QMargins) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QMargins) Left() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Left"}).(float64))
}

func (ptr *QMargins) Right() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Right"}).(float64))
}

func (ptr *QMargins) SetBottom(bottom int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottom", bottom})
}

func (ptr *QMargins) SetLeft(left int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLeft", left})
}

func (ptr *QMargins) SetRight(right int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRight", right})
}

func (ptr *QMargins) SetTop(Top int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTop", Top})
}

func (ptr *QMargins) Top() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Top"}).(float64))
}

type QMarginsF struct {
	internal.Internal
}

type QMarginsF_ITF interface {
	QMarginsF_PTR() *QMarginsF
}

func (ptr *QMarginsF) QMarginsF_PTR() *QMarginsF {
	return ptr
}

func (ptr *QMarginsF) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMarginsF) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMarginsF(ptr QMarginsF_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMarginsF_PTR().Pointer()
	}
	return nil
}

func (n *QMarginsF) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMarginsFFromPointer(ptr unsafe.Pointer) (n *QMarginsF) {
	n = new(QMarginsF)
	n.InitFromInternal(uintptr(ptr), "core.QMarginsF")
	return
}

func (ptr *QMarginsF) DestroyQMarginsF() {
}

func NewQMarginsF() *QMarginsF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMarginsF", ""}).(*QMarginsF)
}

func NewQMarginsF2(left float64, top float64, right float64, bottom float64) *QMarginsF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMarginsF2", "", left, top, right, bottom}).(*QMarginsF)
}

func NewQMarginsF3(margins QMargins_ITF) *QMarginsF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMarginsF3", "", margins}).(*QMarginsF)
}

func (ptr *QMarginsF) Bottom() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bottom"}).(float64)
}

func (ptr *QMarginsF) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QMarginsF) Left() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Left"}).(float64)
}

func (ptr *QMarginsF) Right() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Right"}).(float64)
}

func (ptr *QMarginsF) SetBottom(bottom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottom", bottom})
}

func (ptr *QMarginsF) SetLeft(left float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLeft", left})
}

func (ptr *QMarginsF) SetRight(right float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRight", right})
}

func (ptr *QMarginsF) SetTop(Top float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTop", Top})
}

func (ptr *QMarginsF) ToMargins() *QMargins {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToMargins"}).(*QMargins)
}

func (ptr *QMarginsF) Top() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Top"}).(float64)
}

type QMessageAuthenticationCode struct {
	internal.Internal
}

type QMessageAuthenticationCode_ITF interface {
	QMessageAuthenticationCode_PTR() *QMessageAuthenticationCode
}

func (ptr *QMessageAuthenticationCode) QMessageAuthenticationCode_PTR() *QMessageAuthenticationCode {
	return ptr
}

func (ptr *QMessageAuthenticationCode) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMessageAuthenticationCode) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMessageAuthenticationCode(ptr QMessageAuthenticationCode_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMessageAuthenticationCode_PTR().Pointer()
	}
	return nil
}

func (n *QMessageAuthenticationCode) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMessageAuthenticationCodeFromPointer(ptr unsafe.Pointer) (n *QMessageAuthenticationCode) {
	n = new(QMessageAuthenticationCode)
	n.InitFromInternal(uintptr(ptr), "core.QMessageAuthenticationCode")
	return
}
func NewQMessageAuthenticationCode(method QCryptographicHash__Algorithm, key QByteArray_ITF) *QMessageAuthenticationCode {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMessageAuthenticationCode", "", method, key}).(*QMessageAuthenticationCode)
}

func (ptr *QMessageAuthenticationCode) AddData(data []byte, length int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddData", data, length})
}

func (ptr *QMessageAuthenticationCode) AddData2(data QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddData2", data})
}

func (ptr *QMessageAuthenticationCode) AddData3(device QIODevice_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddData3", device}).(bool)
}

func QMessageAuthenticationCode_Hash(message QByteArray_ITF, key QByteArray_ITF, method QCryptographicHash__Algorithm) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMessageAuthenticationCode_Hash", "", message, key, method}).(*QByteArray)
}

func (ptr *QMessageAuthenticationCode) Hash(message QByteArray_ITF, key QByteArray_ITF, method QCryptographicHash__Algorithm) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMessageAuthenticationCode_Hash", "", message, key, method}).(*QByteArray)
}

func (ptr *QMessageAuthenticationCode) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QMessageAuthenticationCode) Result() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Result"}).(*QByteArray)
}

func (ptr *QMessageAuthenticationCode) SetKey(key QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetKey", key})
}

func (ptr *QMessageAuthenticationCode) DestroyQMessageAuthenticationCode() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMessageAuthenticationCode"})
}

type QMessageLogContext struct {
	internal.Internal
}

type QMessageLogContext_ITF interface {
	QMessageLogContext_PTR() *QMessageLogContext
}

func (ptr *QMessageLogContext) QMessageLogContext_PTR() *QMessageLogContext {
	return ptr
}

func (ptr *QMessageLogContext) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMessageLogContext) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMessageLogContext(ptr QMessageLogContext_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMessageLogContext_PTR().Pointer()
	}
	return nil
}

func (n *QMessageLogContext) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMessageLogContextFromPointer(ptr unsafe.Pointer) (n *QMessageLogContext) {
	n = new(QMessageLogContext)
	n.InitFromInternal(uintptr(ptr), "core.QMessageLogContext")
	return
}

func (ptr *QMessageLogContext) DestroyQMessageLogContext() {
}

type QMessageLogger struct {
	internal.Internal
}

type QMessageLogger_ITF interface {
	QMessageLogger_PTR() *QMessageLogger
}

func (ptr *QMessageLogger) QMessageLogger_PTR() *QMessageLogger {
	return ptr
}

func (ptr *QMessageLogger) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMessageLogger) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMessageLogger(ptr QMessageLogger_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMessageLogger_PTR().Pointer()
	}
	return nil
}

func (n *QMessageLogger) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMessageLoggerFromPointer(ptr unsafe.Pointer) (n *QMessageLogger) {
	n = new(QMessageLogger)
	n.InitFromInternal(uintptr(ptr), "core.QMessageLogger")
	return
}

func (ptr *QMessageLogger) DestroyQMessageLogger() {
}

func NewQMessageLogger2() *QMessageLogger {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMessageLogger2", ""}).(*QMessageLogger)
}

func NewQMessageLogger3(file string, line int, function string) *QMessageLogger {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMessageLogger3", "", file, line, function}).(*QMessageLogger)
}

func NewQMessageLogger4(file string, line int, function string, category string) *QMessageLogger {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMessageLogger4", "", file, line, function, category}).(*QMessageLogger)
}

func (ptr *QMessageLogger) Critical4() *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Critical4"}).(*QDebug)
}

func (ptr *QMessageLogger) Critical5(cat QLoggingCategory_ITF) *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Critical5", cat}).(*QDebug)
}

func (ptr *QMessageLogger) Debug4() *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Debug4"}).(*QDebug)
}

func (ptr *QMessageLogger) Debug5(cat QLoggingCategory_ITF) *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Debug5", cat}).(*QDebug)
}

func (ptr *QMessageLogger) Info4() *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Info4"}).(*QDebug)
}

func (ptr *QMessageLogger) Info5(cat QLoggingCategory_ITF) *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Info5", cat}).(*QDebug)
}

func (ptr *QMessageLogger) Warning4() *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Warning4"}).(*QDebug)
}

func (ptr *QMessageLogger) Warning5(cat QLoggingCategory_ITF) *QDebug {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Warning5", cat}).(*QDebug)
}

type QMetaClassInfo struct {
	internal.Internal
}

type QMetaClassInfo_ITF interface {
	QMetaClassInfo_PTR() *QMetaClassInfo
}

func (ptr *QMetaClassInfo) QMetaClassInfo_PTR() *QMetaClassInfo {
	return ptr
}

func (ptr *QMetaClassInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMetaClassInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMetaClassInfo(ptr QMetaClassInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaClassInfo_PTR().Pointer()
	}
	return nil
}

func (n *QMetaClassInfo) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMetaClassInfoFromPointer(ptr unsafe.Pointer) (n *QMetaClassInfo) {
	n = new(QMetaClassInfo)
	n.InitFromInternal(uintptr(ptr), "core.QMetaClassInfo")
	return
}

func (ptr *QMetaClassInfo) DestroyQMetaClassInfo() {
}

func (ptr *QMetaClassInfo) Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(string)
}

func (ptr *QMetaClassInfo) Value() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value"}).(string)
}

type QMetaEnum struct {
	internal.Internal
}

type QMetaEnum_ITF interface {
	QMetaEnum_PTR() *QMetaEnum
}

func (ptr *QMetaEnum) QMetaEnum_PTR() *QMetaEnum {
	return ptr
}

func (ptr *QMetaEnum) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMetaEnum) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMetaEnum(ptr QMetaEnum_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaEnum_PTR().Pointer()
	}
	return nil
}

func (n *QMetaEnum) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMetaEnumFromPointer(ptr unsafe.Pointer) (n *QMetaEnum) {
	n = new(QMetaEnum)
	n.InitFromInternal(uintptr(ptr), "core.QMetaEnum")
	return
}

func (ptr *QMetaEnum) DestroyQMetaEnum() {
}

func (ptr *QMetaEnum) EnumName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnumName"}).(string)
}

func (ptr *QMetaEnum) IsFlag() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFlag"}).(bool)
}

func (ptr *QMetaEnum) IsScoped() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsScoped"}).(bool)
}

func (ptr *QMetaEnum) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QMetaEnum) Key(index int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Key", index}).(string)
}

func (ptr *QMetaEnum) KeyCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyCount"}).(float64))
}

func (ptr *QMetaEnum) KeyToValue(key string, ok *bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyToValue", key, ok}).(float64))
}

func (ptr *QMetaEnum) KeysToValue(keys string, ok *bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeysToValue", keys, ok}).(float64))
}

func (ptr *QMetaEnum) Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(string)
}

func (ptr *QMetaEnum) Scope() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scope"}).(string)
}

func (ptr *QMetaEnum) Value(index int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value", index}).(float64))
}

func (ptr *QMetaEnum) ValueToKey(value int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueToKey", value}).(string)
}

func (ptr *QMetaEnum) ValueToKeys(value int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueToKeys", value}).(*QByteArray)
}

type QMetaMethod struct {
	internal.Internal
}

type QMetaMethod_ITF interface {
	QMetaMethod_PTR() *QMetaMethod
}

func (ptr *QMetaMethod) QMetaMethod_PTR() *QMetaMethod {
	return ptr
}

func (ptr *QMetaMethod) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMetaMethod) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMetaMethod(ptr QMetaMethod_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaMethod_PTR().Pointer()
	}
	return nil
}

func (n *QMetaMethod) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMetaMethodFromPointer(ptr unsafe.Pointer) (n *QMetaMethod) {
	n = new(QMetaMethod)
	n.InitFromInternal(uintptr(ptr), "core.QMetaMethod")
	return
}

func (ptr *QMetaMethod) DestroyQMetaMethod() {
}

//go:generate stringer -type=QMetaMethod__Access
//QMetaMethod::Access
type QMetaMethod__Access int64

const (
	QMetaMethod__Private   QMetaMethod__Access = QMetaMethod__Access(0)
	QMetaMethod__Protected QMetaMethod__Access = QMetaMethod__Access(1)
	QMetaMethod__Public    QMetaMethod__Access = QMetaMethod__Access(2)
)

//go:generate stringer -type=QMetaMethod__MethodType
//QMetaMethod::MethodType
type QMetaMethod__MethodType int64

const (
	QMetaMethod__Method      QMetaMethod__MethodType = QMetaMethod__MethodType(0)
	QMetaMethod__Signal      QMetaMethod__MethodType = QMetaMethod__MethodType(1)
	QMetaMethod__Slot        QMetaMethod__MethodType = QMetaMethod__MethodType(2)
	QMetaMethod__Constructor QMetaMethod__MethodType = QMetaMethod__MethodType(3)
)

func (ptr *QMetaMethod) Access() QMetaMethod__Access {

	return QMetaMethod__Access(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Access"}).(float64))
}

func (ptr *QMetaMethod) Invoke(object QObject_ITF, connectionType Qt__ConnectionType, returnValue QGenericReturnArgument_ITF, val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Invoke", object, connectionType, returnValue, val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(bool)
}

func (ptr *QMetaMethod) Invoke2(object QObject_ITF, returnValue QGenericReturnArgument_ITF, val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Invoke2", object, returnValue, val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(bool)
}

func (ptr *QMetaMethod) Invoke3(object QObject_ITF, connectionType Qt__ConnectionType, val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Invoke3", object, connectionType, val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(bool)
}

func (ptr *QMetaMethod) Invoke4(object QObject_ITF, val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Invoke4", object, val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(bool)
}

func (ptr *QMetaMethod) InvokeOnGadget(gadget unsafe.Pointer, returnValue QGenericReturnArgument_ITF, val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvokeOnGadget", gadget, returnValue, val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(bool)
}

func (ptr *QMetaMethod) InvokeOnGadget2(gadget unsafe.Pointer, val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvokeOnGadget2", gadget, val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(bool)
}

func (ptr *QMetaMethod) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QMetaMethod) MethodIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MethodIndex"}).(float64))
}

func (ptr *QMetaMethod) MethodSignature() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MethodSignature"}).(*QByteArray)
}

func (ptr *QMetaMethod) MethodType() QMetaMethod__MethodType {

	return QMetaMethod__MethodType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MethodType"}).(float64))
}

func (ptr *QMetaMethod) Name() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(*QByteArray)
}

func (ptr *QMetaMethod) ParameterCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParameterCount"}).(float64))
}

func (ptr *QMetaMethod) ParameterNames() []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParameterNames"}).([]*QByteArray)
}

func (ptr *QMetaMethod) ParameterType(index int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParameterType", index}).(float64))
}

func (ptr *QMetaMethod) ParameterTypes() []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParameterTypes"}).([]*QByteArray)
}

func (ptr *QMetaMethod) ReturnType() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReturnType"}).(float64))
}

func (ptr *QMetaMethod) Revision() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Revision"}).(float64))
}

func (ptr *QMetaMethod) Tag() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Tag"}).(string)
}

func (ptr *QMetaMethod) TypeName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TypeName"}).(string)
}

func (ptr *QMetaMethod) __parameterNames_atList(i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__parameterNames_atList", i}).(*QByteArray)
}

func (ptr *QMetaMethod) __parameterNames_setList(i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__parameterNames_setList", i})
}

func (ptr *QMetaMethod) __parameterNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__parameterNames_newList"}).(unsafe.Pointer)
}

func (ptr *QMetaMethod) __parameterTypes_atList(i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__parameterTypes_atList", i}).(*QByteArray)
}

func (ptr *QMetaMethod) __parameterTypes_setList(i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__parameterTypes_setList", i})
}

func (ptr *QMetaMethod) __parameterTypes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__parameterTypes_newList"}).(unsafe.Pointer)
}

type QMetaObject struct {
	internal.Internal
}

type QMetaObject_ITF interface {
	QMetaObject_PTR() *QMetaObject
}

func (ptr *QMetaObject) QMetaObject_PTR() *QMetaObject {
	return ptr
}

func (ptr *QMetaObject) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMetaObject) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMetaObject(ptr QMetaObject_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaObject_PTR().Pointer()
	}
	return nil
}

func (n *QMetaObject) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMetaObjectFromPointer(ptr unsafe.Pointer) (n *QMetaObject) {
	n = new(QMetaObject)
	n.InitFromInternal(uintptr(ptr), "core.QMetaObject")
	return
}

func (ptr *QMetaObject) DestroyQMetaObject() {
}

func QMetaObject_CheckConnectArgs(sign string, method string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_CheckConnectArgs", "", sign, method}).(bool)
}

func (ptr *QMetaObject) CheckConnectArgs(sign string, method string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_CheckConnectArgs", "", sign, method}).(bool)
}

func QMetaObject_CheckConnectArgs2(sign QMetaMethod_ITF, method QMetaMethod_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_CheckConnectArgs2", "", sign, method}).(bool)
}

func (ptr *QMetaObject) CheckConnectArgs2(sign QMetaMethod_ITF, method QMetaMethod_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_CheckConnectArgs2", "", sign, method}).(bool)
}

func (ptr *QMetaObject) ClassInfoCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClassInfoCount"}).(float64))
}

func (ptr *QMetaObject) ClassInfoOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClassInfoOffset"}).(float64))
}

func (ptr *QMetaObject) ClassName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClassName"}).(string)
}

func QMetaObject_ConnectSlotsByName(object QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_ConnectSlotsByName", "", object})
}

func (ptr *QMetaObject) ConnectSlotsByName(object QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_ConnectSlotsByName", "", object})
}

func (ptr *QMetaObject) Constructor(index int) *QMetaMethod {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Constructor", index}).(*QMetaMethod)
}

func (ptr *QMetaObject) ConstructorCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConstructorCount"}).(float64))
}

func (ptr *QMetaObject) EnumeratorCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnumeratorCount"}).(float64))
}

func (ptr *QMetaObject) EnumeratorOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnumeratorOffset"}).(float64))
}

func (ptr *QMetaObject) IndexOfClassInfo(name string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOfClassInfo", name}).(float64))
}

func (ptr *QMetaObject) IndexOfConstructor(constructor string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOfConstructor", constructor}).(float64))
}

func (ptr *QMetaObject) IndexOfEnumerator(name string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOfEnumerator", name}).(float64))
}

func (ptr *QMetaObject) IndexOfMethod(method string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOfMethod", method}).(float64))
}

func (ptr *QMetaObject) IndexOfProperty(name string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOfProperty", name}).(float64))
}

func (ptr *QMetaObject) IndexOfSignal(sign string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOfSignal", sign}).(float64))
}

func (ptr *QMetaObject) IndexOfSlot(slot string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOfSlot", slot}).(float64))
}

func (ptr *QMetaObject) Inherits(metaObject QMetaObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Inherits", metaObject}).(bool)
}

func QMetaObject_InvokeMethod(obj QObject_ITF, member string, ty Qt__ConnectionType, ret QGenericReturnArgument_ITF, val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_InvokeMethod", "", obj, member, ty, ret, val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(bool)
}

func (ptr *QMetaObject) InvokeMethod(obj QObject_ITF, member string, ty Qt__ConnectionType, ret QGenericReturnArgument_ITF, val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_InvokeMethod", "", obj, member, ty, ret, val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(bool)
}

func QMetaObject_InvokeMethod2(obj QObject_ITF, member string, ret QGenericReturnArgument_ITF, val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_InvokeMethod2", "", obj, member, ret, val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(bool)
}

func (ptr *QMetaObject) InvokeMethod2(obj QObject_ITF, member string, ret QGenericReturnArgument_ITF, val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_InvokeMethod2", "", obj, member, ret, val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(bool)
}

func QMetaObject_InvokeMethod3(obj QObject_ITF, member string, ty Qt__ConnectionType, val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_InvokeMethod3", "", obj, member, ty, val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(bool)
}

func (ptr *QMetaObject) InvokeMethod3(obj QObject_ITF, member string, ty Qt__ConnectionType, val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_InvokeMethod3", "", obj, member, ty, val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(bool)
}

func QMetaObject_InvokeMethod4(obj QObject_ITF, member string, val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_InvokeMethod4", "", obj, member, val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(bool)
}

func (ptr *QMetaObject) InvokeMethod4(obj QObject_ITF, member string, val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_InvokeMethod4", "", obj, member, val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(bool)
}

func (ptr *QMetaObject) Method(index int) *QMetaMethod {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Method", index}).(*QMetaMethod)
}

func (ptr *QMetaObject) MethodCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MethodCount"}).(float64))
}

func (ptr *QMetaObject) MethodOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MethodOffset"}).(float64))
}

func (ptr *QMetaObject) NewInstance(val0 QGenericArgument_ITF, val1 QGenericArgument_ITF, val2 QGenericArgument_ITF, val3 QGenericArgument_ITF, val4 QGenericArgument_ITF, val5 QGenericArgument_ITF, val6 QGenericArgument_ITF, val7 QGenericArgument_ITF, val8 QGenericArgument_ITF, val9 QGenericArgument_ITF) *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NewInstance", val0, val1, val2, val3, val4, val5, val6, val7, val8, val9}).(*QObject)
}

func QMetaObject_NormalizedSignature(method string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_NormalizedSignature", "", method}).(*QByteArray)
}

func (ptr *QMetaObject) NormalizedSignature(method string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_NormalizedSignature", "", method}).(*QByteArray)
}

func QMetaObject_NormalizedType(ty string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_NormalizedType", "", ty}).(*QByteArray)
}

func (ptr *QMetaObject) NormalizedType(ty string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaObject_NormalizedType", "", ty}).(*QByteArray)
}

func (ptr *QMetaObject) PropertyCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PropertyCount"}).(float64))
}

func (ptr *QMetaObject) PropertyOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PropertyOffset"}).(float64))
}

func (ptr *QMetaObject) SuperClass() *QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SuperClass"}).(*QMetaObject)
}

type QMetaProperty struct {
	internal.Internal
}

type QMetaProperty_ITF interface {
	QMetaProperty_PTR() *QMetaProperty
}

func (ptr *QMetaProperty) QMetaProperty_PTR() *QMetaProperty {
	return ptr
}

func (ptr *QMetaProperty) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMetaProperty) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMetaProperty(ptr QMetaProperty_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaProperty_PTR().Pointer()
	}
	return nil
}

func (n *QMetaProperty) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMetaPropertyFromPointer(ptr unsafe.Pointer) (n *QMetaProperty) {
	n = new(QMetaProperty)
	n.InitFromInternal(uintptr(ptr), "core.QMetaProperty")
	return
}

func (ptr *QMetaProperty) DestroyQMetaProperty() {
}

func (ptr *QMetaProperty) HasNotifySignal() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasNotifySignal"}).(bool)
}

func (ptr *QMetaProperty) IsConstant() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsConstant"}).(bool)
}

func (ptr *QMetaProperty) IsDesignable(object QObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDesignable", object}).(bool)
}

func (ptr *QMetaProperty) IsEnumType() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEnumType"}).(bool)
}

func (ptr *QMetaProperty) IsFinal() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFinal"}).(bool)
}

func (ptr *QMetaProperty) IsFlagType() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFlagType"}).(bool)
}

func (ptr *QMetaProperty) IsReadable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadable"}).(bool)
}

func (ptr *QMetaProperty) IsResettable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsResettable"}).(bool)
}

func (ptr *QMetaProperty) IsScriptable(object QObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsScriptable", object}).(bool)
}

func (ptr *QMetaProperty) IsStored(object QObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsStored", object}).(bool)
}

func (ptr *QMetaProperty) IsUser(object QObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsUser", object}).(bool)
}

func (ptr *QMetaProperty) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QMetaProperty) IsWritable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsWritable"}).(bool)
}

func (ptr *QMetaProperty) Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(string)
}

func (ptr *QMetaProperty) NotifySignal() *QMetaMethod {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NotifySignal"}).(*QMetaMethod)
}

func (ptr *QMetaProperty) NotifySignalIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NotifySignalIndex"}).(float64))
}

func (ptr *QMetaProperty) PropertyIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PropertyIndex"}).(float64))
}

func (ptr *QMetaProperty) Read(object QObject_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read", object}).(*QVariant)
}

func (ptr *QMetaProperty) ReadOnGadget(gadget unsafe.Pointer) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadOnGadget", gadget}).(*QVariant)
}

func (ptr *QMetaProperty) Reset(object QObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset", object}).(bool)
}

func (ptr *QMetaProperty) ResetOnGadget(gadget unsafe.Pointer) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetOnGadget", gadget}).(bool)
}

func (ptr *QMetaProperty) Revision() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Revision"}).(float64))
}

func (ptr *QMetaProperty) Type() QVariant__Type {

	return QVariant__Type(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QMetaProperty) TypeName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TypeName"}).(string)
}

func (ptr *QMetaProperty) UserType() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UserType"}).(float64))
}

func (ptr *QMetaProperty) Write(object QObject_ITF, value QVariant_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write", object, value}).(bool)
}

func (ptr *QMetaProperty) WriteOnGadget(gadget unsafe.Pointer, value QVariant_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteOnGadget", gadget, value}).(bool)
}

type QMetaType struct {
	internal.Internal
}

type QMetaType_ITF interface {
	QMetaType_PTR() *QMetaType
}

func (ptr *QMetaType) QMetaType_PTR() *QMetaType {
	return ptr
}

func (ptr *QMetaType) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMetaType) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMetaType(ptr QMetaType_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaType_PTR().Pointer()
	}
	return nil
}

func (n *QMetaType) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMetaTypeFromPointer(ptr unsafe.Pointer) (n *QMetaType) {
	n = new(QMetaType)
	n.InitFromInternal(uintptr(ptr), "core.QMetaType")
	return
}

//go:generate stringer -type=QMetaType__Type
//QMetaType::Type
type QMetaType__Type int64

const (
	QMetaType__UnknownType           QMetaType__Type = QMetaType__Type(0)
	QMetaType__Bool                  QMetaType__Type = QMetaType__Type(1)
	QMetaType__Int                   QMetaType__Type = QMetaType__Type(2)
	QMetaType__UInt                  QMetaType__Type = QMetaType__Type(3)
	QMetaType__LongLong              QMetaType__Type = QMetaType__Type(4)
	QMetaType__ULongLong             QMetaType__Type = QMetaType__Type(5)
	QMetaType__Double                QMetaType__Type = QMetaType__Type(6)
	QMetaType__Long                  QMetaType__Type = QMetaType__Type(32)
	QMetaType__Short                 QMetaType__Type = QMetaType__Type(33)
	QMetaType__Char                  QMetaType__Type = QMetaType__Type(34)
	QMetaType__ULong                 QMetaType__Type = QMetaType__Type(35)
	QMetaType__UShort                QMetaType__Type = QMetaType__Type(36)
	QMetaType__UChar                 QMetaType__Type = QMetaType__Type(37)
	QMetaType__Float                 QMetaType__Type = QMetaType__Type(38)
	QMetaType__VoidStar              QMetaType__Type = QMetaType__Type(31)
	QMetaType__QChar                 QMetaType__Type = QMetaType__Type(7)
	QMetaType__QString               QMetaType__Type = QMetaType__Type(10)
	QMetaType__QStringList           QMetaType__Type = QMetaType__Type(11)
	QMetaType__QByteArray            QMetaType__Type = QMetaType__Type(12)
	QMetaType__QBitArray             QMetaType__Type = QMetaType__Type(13)
	QMetaType__QDate                 QMetaType__Type = QMetaType__Type(14)
	QMetaType__QTime                 QMetaType__Type = QMetaType__Type(15)
	QMetaType__QDateTime             QMetaType__Type = QMetaType__Type(16)
	QMetaType__QUrl                  QMetaType__Type = QMetaType__Type(17)
	QMetaType__QLocale               QMetaType__Type = QMetaType__Type(18)
	QMetaType__QRect                 QMetaType__Type = QMetaType__Type(19)
	QMetaType__QRectF                QMetaType__Type = QMetaType__Type(20)
	QMetaType__QSize                 QMetaType__Type = QMetaType__Type(21)
	QMetaType__QSizeF                QMetaType__Type = QMetaType__Type(22)
	QMetaType__QLine                 QMetaType__Type = QMetaType__Type(23)
	QMetaType__QLineF                QMetaType__Type = QMetaType__Type(24)
	QMetaType__QPoint                QMetaType__Type = QMetaType__Type(25)
	QMetaType__QPointF               QMetaType__Type = QMetaType__Type(26)
	QMetaType__QRegExp               QMetaType__Type = QMetaType__Type(27)
	QMetaType__QEasingCurve          QMetaType__Type = QMetaType__Type(29)
	QMetaType__QUuid                 QMetaType__Type = QMetaType__Type(30)
	QMetaType__QVariant              QMetaType__Type = QMetaType__Type(41)
	QMetaType__QModelIndex           QMetaType__Type = QMetaType__Type(42)
	QMetaType__QPersistentModelIndex QMetaType__Type = QMetaType__Type(50)
	QMetaType__QRegularExpression    QMetaType__Type = QMetaType__Type(44)
	QMetaType__QJsonValue            QMetaType__Type = QMetaType__Type(45)
	QMetaType__QJsonObject           QMetaType__Type = QMetaType__Type(46)
	QMetaType__QJsonArray            QMetaType__Type = QMetaType__Type(47)
	QMetaType__QJsonDocument         QMetaType__Type = QMetaType__Type(48)
	QMetaType__QByteArrayList        QMetaType__Type = QMetaType__Type(49)
	QMetaType__QObjectStar           QMetaType__Type = QMetaType__Type(39)
	QMetaType__SChar                 QMetaType__Type = QMetaType__Type(40)
	QMetaType__Void                  QMetaType__Type = QMetaType__Type(43)
	QMetaType__Nullptr               QMetaType__Type = QMetaType__Type(51)
	QMetaType__QVariantMap           QMetaType__Type = QMetaType__Type(8)
	QMetaType__QVariantList          QMetaType__Type = QMetaType__Type(9)
	QMetaType__QVariantHash          QMetaType__Type = QMetaType__Type(28)
	QMetaType__QCborSimpleType       QMetaType__Type = QMetaType__Type(52)
	QMetaType__QCborValue            QMetaType__Type = QMetaType__Type(53)
	QMetaType__QCborArray            QMetaType__Type = QMetaType__Type(54)
	QMetaType__QCborMap              QMetaType__Type = QMetaType__Type(55)
	QMetaType__QFont                 QMetaType__Type = QMetaType__Type(64)
	QMetaType__QPixmap               QMetaType__Type = QMetaType__Type(65)
	QMetaType__QBrush                QMetaType__Type = QMetaType__Type(66)
	QMetaType__QColor                QMetaType__Type = QMetaType__Type(67)
	QMetaType__QPalette              QMetaType__Type = QMetaType__Type(68)
	QMetaType__QIcon                 QMetaType__Type = QMetaType__Type(69)
	QMetaType__QImage                QMetaType__Type = QMetaType__Type(70)
	QMetaType__QPolygon              QMetaType__Type = QMetaType__Type(71)
	QMetaType__QRegion               QMetaType__Type = QMetaType__Type(72)
	QMetaType__QBitmap               QMetaType__Type = QMetaType__Type(73)
	QMetaType__QCursor               QMetaType__Type = QMetaType__Type(74)
	QMetaType__QKeySequence          QMetaType__Type = QMetaType__Type(75)
	QMetaType__QPen                  QMetaType__Type = QMetaType__Type(76)
	QMetaType__QTextLength           QMetaType__Type = QMetaType__Type(77)
	QMetaType__QTextFormat           QMetaType__Type = QMetaType__Type(78)
	QMetaType__QMatrix               QMetaType__Type = QMetaType__Type(79)
	QMetaType__QTransform            QMetaType__Type = QMetaType__Type(80)
	QMetaType__QMatrix4x4            QMetaType__Type = QMetaType__Type(81)
	QMetaType__QVector2D             QMetaType__Type = QMetaType__Type(82)
	QMetaType__QVector3D             QMetaType__Type = QMetaType__Type(83)
	QMetaType__QVector4D             QMetaType__Type = QMetaType__Type(84)
	QMetaType__QQuaternion           QMetaType__Type = QMetaType__Type(85)
	QMetaType__QPolygonF             QMetaType__Type = QMetaType__Type(86)
	QMetaType__QSizePolicy           QMetaType__Type = QMetaType__Type(121)
	QMetaType__LastCoreType          QMetaType__Type = QMetaType__Type(QMetaType__QCborMap)
	QMetaType__LastGuiType           QMetaType__Type = QMetaType__Type(QMetaType__QPolygonF)
	QMetaType__User                  QMetaType__Type = QMetaType__Type(1024)
)

//go:generate stringer -type=QMetaType__TypeFlag
//QMetaType::TypeFlag
type QMetaType__TypeFlag int64

const (
	QMetaType__NeedsConstruction        QMetaType__TypeFlag = QMetaType__TypeFlag(0x1)
	QMetaType__NeedsDestruction         QMetaType__TypeFlag = QMetaType__TypeFlag(0x2)
	QMetaType__MovableType              QMetaType__TypeFlag = QMetaType__TypeFlag(0x4)
	QMetaType__PointerToQObject         QMetaType__TypeFlag = QMetaType__TypeFlag(0x8)
	QMetaType__IsEnumeration            QMetaType__TypeFlag = QMetaType__TypeFlag(0x10)
	QMetaType__SharedPointerToQObject   QMetaType__TypeFlag = QMetaType__TypeFlag(0x20)
	QMetaType__WeakPointerToQObject     QMetaType__TypeFlag = QMetaType__TypeFlag(0x40)
	QMetaType__TrackingPointerToQObject QMetaType__TypeFlag = QMetaType__TypeFlag(0x80)
	QMetaType__WasDeclaredAsMetaType    QMetaType__TypeFlag = QMetaType__TypeFlag(0x100)
	QMetaType__IsGadget                 QMetaType__TypeFlag = QMetaType__TypeFlag(0x200)
	QMetaType__PointerToGadget          QMetaType__TypeFlag = QMetaType__TypeFlag(0x400)
)

func NewQMetaType(typeId int) *QMetaType {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMetaType", "", typeId}).(*QMetaType)
}

func QMetaType_Compare(lhs unsafe.Pointer, rhs unsafe.Pointer, typeId int, result int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Compare", "", lhs, rhs, typeId, result}).(bool)
}

func (ptr *QMetaType) Compare(lhs unsafe.Pointer, rhs unsafe.Pointer, typeId int, result int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Compare", "", lhs, rhs, typeId, result}).(bool)
}

func QMetaType_Construct2(ty int, whe unsafe.Pointer, copy unsafe.Pointer) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Construct2", "", ty, whe, copy}).(unsafe.Pointer)
}

func (ptr *QMetaType) Construct2(ty int, whe unsafe.Pointer, copy unsafe.Pointer) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Construct2", "", ty, whe, copy}).(unsafe.Pointer)
}

func (ptr *QMetaType) Construct3(whe unsafe.Pointer, copy unsafe.Pointer) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Construct3", whe, copy}).(unsafe.Pointer)
}

func QMetaType_Convert(from unsafe.Pointer, fromTypeId int, to unsafe.Pointer, toTypeId int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Convert", "", from, fromTypeId, to, toTypeId}).(bool)
}

func (ptr *QMetaType) Convert(from unsafe.Pointer, fromTypeId int, to unsafe.Pointer, toTypeId int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Convert", "", from, fromTypeId, to, toTypeId}).(bool)
}

func QMetaType_Create(ty int, copy unsafe.Pointer) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Create", "", ty, copy}).(unsafe.Pointer)
}

func (ptr *QMetaType) Create(ty int, copy unsafe.Pointer) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Create", "", ty, copy}).(unsafe.Pointer)
}

func (ptr *QMetaType) Create2(copy unsafe.Pointer) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create2", copy}).(unsafe.Pointer)
}

func QMetaType_DebugStream(dbg QDebug_ITF, rhs unsafe.Pointer, typeId int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_DebugStream", "", dbg, rhs, typeId}).(bool)
}

func (ptr *QMetaType) DebugStream(dbg QDebug_ITF, rhs unsafe.Pointer, typeId int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_DebugStream", "", dbg, rhs, typeId}).(bool)
}

func QMetaType_Destroy(ty int, data unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Destroy", "", ty, data})
}

func (ptr *QMetaType) Destroy(ty int, data unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Destroy", "", ty, data})
}

func (ptr *QMetaType) Destroy2(data unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Destroy2", data})
}

func QMetaType_Destruct(ty int, whe unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Destruct", "", ty, whe})
}

func (ptr *QMetaType) Destruct(ty int, whe unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Destruct", "", ty, whe})
}

func (ptr *QMetaType) Destruct2(data unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Destruct2", data})
}

func QMetaType_Equals(lhs unsafe.Pointer, rhs unsafe.Pointer, typeId int, result int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Equals", "", lhs, rhs, typeId, result}).(bool)
}

func (ptr *QMetaType) Equals(lhs unsafe.Pointer, rhs unsafe.Pointer, typeId int, result int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Equals", "", lhs, rhs, typeId, result}).(bool)
}

func (ptr *QMetaType) Flags() QMetaType__TypeFlag {

	return QMetaType__TypeFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flags"}).(float64))
}

func (ptr *QMetaType) Id() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Id"}).(float64))
}

func QMetaType_IsRegistered(ty int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_IsRegistered", "", ty}).(bool)
}

func (ptr *QMetaType) IsRegistered(ty int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_IsRegistered", "", ty}).(bool)
}

func (ptr *QMetaType) IsRegistered2() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRegistered2"}).(bool)
}

func (ptr *QMetaType) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func QMetaType_Load(stream QDataStream_ITF, ty int, data unsafe.Pointer) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Load", "", stream, ty, data}).(bool)
}

func (ptr *QMetaType) Load(stream QDataStream_ITF, ty int, data unsafe.Pointer) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Load", "", stream, ty, data}).(bool)
}

func (ptr *QMetaType) MetaObject() *QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObject"}).(*QMetaObject)
}

func QMetaType_MetaObjectForType(ty int) *QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_MetaObjectForType", "", ty}).(*QMetaObject)
}

func (ptr *QMetaType) MetaObjectForType(ty int) *QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_MetaObjectForType", "", ty}).(*QMetaObject)
}

func QMetaType_Save(stream QDataStream_ITF, ty int, data unsafe.Pointer) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Save", "", stream, ty, data}).(bool)
}

func (ptr *QMetaType) Save(stream QDataStream_ITF, ty int, data unsafe.Pointer) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Save", "", stream, ty, data}).(bool)
}

func QMetaType_SizeOf(ty int) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_SizeOf", "", ty}).(float64))
}

func (ptr *QMetaType) SizeOf(ty int) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_SizeOf", "", ty}).(float64))
}

func (ptr *QMetaType) SizeOf2() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeOf2"}).(float64))
}

func QMetaType_Type(typeName string) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Type", "", typeName}).(float64))
}

func (ptr *QMetaType) Type(typeName string) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Type", "", typeName}).(float64))
}

func QMetaType_Type2(typeName QByteArray_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Type2", "", typeName}).(float64))
}

func (ptr *QMetaType) Type2(typeName QByteArray_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_Type2", "", typeName}).(float64))
}

func QMetaType_TypeFlags(ty int) QMetaType__TypeFlag {

	return QMetaType__TypeFlag(internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_TypeFlags", "", ty}).(float64))
}

func (ptr *QMetaType) TypeFlags(ty int) QMetaType__TypeFlag {

	return QMetaType__TypeFlag(internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_TypeFlags", "", ty}).(float64))
}

func QMetaType_TypeName(typeId int) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_TypeName", "", typeId}).(string)
}

func (ptr *QMetaType) TypeName(typeId int) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QMetaType_TypeName", "", typeId}).(string)
}

func (ptr *QMetaType) DestroyQMetaType() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMetaType"})
}

type QMimeData struct {
	QObject
}

type QMimeData_ITF interface {
	QObject_ITF
	QMimeData_PTR() *QMimeData
}

func (ptr *QMimeData) QMimeData_PTR() *QMimeData {
	return ptr
}

func (ptr *QMimeData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QMimeData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQMimeData(ptr QMimeData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMimeData_PTR().Pointer()
	}
	return nil
}

func (n *QMimeData) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMimeData) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQMimeDataFromPointer(ptr unsafe.Pointer) (n *QMimeData) {
	n = new(QMimeData)
	n.InitFromInternal(uintptr(ptr), "core.QMimeData")
	return
}
func NewQMimeData() *QMimeData {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMimeData", ""}).(*QMimeData)
}

func (ptr *QMimeData) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QMimeData) ColorData() *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColorData"}).(*QVariant)
}

func (ptr *QMimeData) Data(mimeType string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", mimeType}).(*QByteArray)
}

func (ptr *QMimeData) ConnectFormats(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFormats", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMimeData) DisconnectFormats() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFormats"})
}

func (ptr *QMimeData) Formats() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Formats"}).([]string)
}

func (ptr *QMimeData) FormatsDefault() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FormatsDefault"}).([]string)
}

func (ptr *QMimeData) HasColor() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasColor"}).(bool)
}

func (ptr *QMimeData) ConnectHasFormat(f func(mimeType string) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHasFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMimeData) DisconnectHasFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHasFormat"})
}

func (ptr *QMimeData) HasFormat(mimeType string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasFormat", mimeType}).(bool)
}

func (ptr *QMimeData) HasFormatDefault(mimeType string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasFormatDefault", mimeType}).(bool)
}

func (ptr *QMimeData) HasHtml() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasHtml"}).(bool)
}

func (ptr *QMimeData) HasImage() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasImage"}).(bool)
}

func (ptr *QMimeData) HasText() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasText"}).(bool)
}

func (ptr *QMimeData) HasUrls() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasUrls"}).(bool)
}

func (ptr *QMimeData) Html() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Html"}).(string)
}

func (ptr *QMimeData) ImageData() *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageData"}).(*QVariant)
}

func (ptr *QMimeData) RemoveFormat(mimeType string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveFormat", mimeType})
}

func (ptr *QMimeData) ConnectRetrieveData(f func(mimeType string, ty QVariant__Type) *QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRetrieveData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMimeData) DisconnectRetrieveData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRetrieveData"})
}

func (ptr *QMimeData) RetrieveData(mimeType string, ty QVariant__Type) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RetrieveData", mimeType, ty}).(*QVariant)
}

func (ptr *QMimeData) RetrieveDataDefault(mimeType string, ty QVariant__Type) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RetrieveDataDefault", mimeType, ty}).(*QVariant)
}

func (ptr *QMimeData) SetColorData(color QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColorData", color})
}

func (ptr *QMimeData) SetData(mimeType string, data QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData", mimeType, data})
}

func (ptr *QMimeData) SetHtml(html string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHtml", html})
}

func (ptr *QMimeData) SetImageData(image QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetImageData", image})
}

func (ptr *QMimeData) SetText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", text})
}

func (ptr *QMimeData) SetUrls(urls []*QUrl) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUrls", urls})
}

func (ptr *QMimeData) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QMimeData) Urls() []*QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Urls"}).([]*QUrl)
}

func (ptr *QMimeData) ConnectDestroyQMimeData(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMimeData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMimeData) DisconnectDestroyQMimeData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMimeData"})
}

func (ptr *QMimeData) DestroyQMimeData() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMimeData"})
}

func (ptr *QMimeData) DestroyQMimeDataDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMimeDataDefault"})
}

func (ptr *QMimeData) __setUrls_urls_atList(i int) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setUrls_urls_atList", i}).(*QUrl)
}

func (ptr *QMimeData) __setUrls_urls_setList(i QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setUrls_urls_setList", i})
}

func (ptr *QMimeData) __setUrls_urls_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setUrls_urls_newList"}).(unsafe.Pointer)
}

func (ptr *QMimeData) __urls_atList(i int) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__urls_atList", i}).(*QUrl)
}

func (ptr *QMimeData) __urls_setList(i QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__urls_setList", i})
}

func (ptr *QMimeData) __urls_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__urls_newList"}).(unsafe.Pointer)
}

type QMimeDatabase struct {
	internal.Internal
}

type QMimeDatabase_ITF interface {
	QMimeDatabase_PTR() *QMimeDatabase
}

func (ptr *QMimeDatabase) QMimeDatabase_PTR() *QMimeDatabase {
	return ptr
}

func (ptr *QMimeDatabase) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMimeDatabase) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMimeDatabase(ptr QMimeDatabase_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMimeDatabase_PTR().Pointer()
	}
	return nil
}

func (n *QMimeDatabase) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMimeDatabaseFromPointer(ptr unsafe.Pointer) (n *QMimeDatabase) {
	n = new(QMimeDatabase)
	n.InitFromInternal(uintptr(ptr), "core.QMimeDatabase")
	return
}

//go:generate stringer -type=QMimeDatabase__MatchMode
//QMimeDatabase::MatchMode
type QMimeDatabase__MatchMode int64

const (
	QMimeDatabase__MatchDefault   QMimeDatabase__MatchMode = QMimeDatabase__MatchMode(0x0)
	QMimeDatabase__MatchExtension QMimeDatabase__MatchMode = QMimeDatabase__MatchMode(0x1)
	QMimeDatabase__MatchContent   QMimeDatabase__MatchMode = QMimeDatabase__MatchMode(0x2)
)

func NewQMimeDatabase2() *QMimeDatabase {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMimeDatabase2", ""}).(*QMimeDatabase)
}

func (ptr *QMimeDatabase) AllMimeTypes() []*QMimeType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllMimeTypes"}).([]*QMimeType)
}

func (ptr *QMimeDatabase) MimeTypeForData(data QByteArray_ITF) *QMimeType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypeForData", data}).(*QMimeType)
}

func (ptr *QMimeDatabase) MimeTypeForData2(device QIODevice_ITF) *QMimeType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypeForData2", device}).(*QMimeType)
}

func (ptr *QMimeDatabase) MimeTypeForFile(fileInfo QFileInfo_ITF, mode QMimeDatabase__MatchMode) *QMimeType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypeForFile", fileInfo, mode}).(*QMimeType)
}

func (ptr *QMimeDatabase) MimeTypeForFile2(fileName string, mode QMimeDatabase__MatchMode) *QMimeType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypeForFile2", fileName, mode}).(*QMimeType)
}

func (ptr *QMimeDatabase) MimeTypeForFileNameAndData(fileName string, device QIODevice_ITF) *QMimeType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypeForFileNameAndData", fileName, device}).(*QMimeType)
}

func (ptr *QMimeDatabase) MimeTypeForFileNameAndData2(fileName string, data QByteArray_ITF) *QMimeType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypeForFileNameAndData2", fileName, data}).(*QMimeType)
}

func (ptr *QMimeDatabase) MimeTypeForName(nameOrAlias string) *QMimeType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypeForName", nameOrAlias}).(*QMimeType)
}

func (ptr *QMimeDatabase) MimeTypeForUrl(url QUrl_ITF) *QMimeType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypeForUrl", url}).(*QMimeType)
}

func (ptr *QMimeDatabase) MimeTypesForFileName(fileName string) []*QMimeType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypesForFileName", fileName}).([]*QMimeType)
}

func (ptr *QMimeDatabase) SuffixForFileName(fileName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SuffixForFileName", fileName}).(string)
}

func (ptr *QMimeDatabase) DestroyQMimeDatabase() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMimeDatabase"})
}

func (ptr *QMimeDatabase) __allMimeTypes_atList(i int) *QMimeType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__allMimeTypes_atList", i}).(*QMimeType)
}

func (ptr *QMimeDatabase) __allMimeTypes_setList(i QMimeType_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__allMimeTypes_setList", i})
}

func (ptr *QMimeDatabase) __allMimeTypes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__allMimeTypes_newList"}).(unsafe.Pointer)
}

func (ptr *QMimeDatabase) __mimeTypesForFileName_atList(i int) *QMimeType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeTypesForFileName_atList", i}).(*QMimeType)
}

func (ptr *QMimeDatabase) __mimeTypesForFileName_setList(i QMimeType_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeTypesForFileName_setList", i})
}

func (ptr *QMimeDatabase) __mimeTypesForFileName_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeTypesForFileName_newList"}).(unsafe.Pointer)
}

type QMimeType struct {
	internal.Internal
}

type QMimeType_ITF interface {
	QMimeType_PTR() *QMimeType
}

func (ptr *QMimeType) QMimeType_PTR() *QMimeType {
	return ptr
}

func (ptr *QMimeType) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMimeType) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMimeType(ptr QMimeType_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMimeType_PTR().Pointer()
	}
	return nil
}

func (n *QMimeType) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMimeTypeFromPointer(ptr unsafe.Pointer) (n *QMimeType) {
	n = new(QMimeType)
	n.InitFromInternal(uintptr(ptr), "core.QMimeType")
	return
}
func NewQMimeType() *QMimeType {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMimeType", ""}).(*QMimeType)
}

func NewQMimeType2(other QMimeType_ITF) *QMimeType {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMimeType2", "", other}).(*QMimeType)
}

func (ptr *QMimeType) Aliases() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Aliases"}).([]string)
}

func (ptr *QMimeType) AllAncestors() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllAncestors"}).([]string)
}

func (ptr *QMimeType) Comment() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Comment"}).(string)
}

func (ptr *QMimeType) FilterString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilterString"}).(string)
}

func (ptr *QMimeType) GenericIconName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GenericIconName"}).(string)
}

func (ptr *QMimeType) GlobPatterns() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobPatterns"}).([]string)
}

func (ptr *QMimeType) IconName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconName"}).(string)
}

func (ptr *QMimeType) Inherits(mimeTypeName string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Inherits", mimeTypeName}).(bool)
}

func (ptr *QMimeType) IsDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDefault"}).(bool)
}

func (ptr *QMimeType) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QMimeType) Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(string)
}

func (ptr *QMimeType) ParentMimeTypes() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentMimeTypes"}).([]string)
}

func (ptr *QMimeType) PreferredSuffix() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PreferredSuffix"}).(string)
}

func (ptr *QMimeType) Suffixes() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Suffixes"}).([]string)
}

func (ptr *QMimeType) Swap(other QMimeType_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QMimeType) DestroyQMimeType() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMimeType"})
}

type QModelIndex struct {
	internal.Internal
}

type QModelIndex_ITF interface {
	QModelIndex_PTR() *QModelIndex
}

func (ptr *QModelIndex) QModelIndex_PTR() *QModelIndex {
	return ptr
}

func (ptr *QModelIndex) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QModelIndex) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQModelIndex(ptr QModelIndex_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QModelIndex_PTR().Pointer()
	}
	return nil
}

func (n *QModelIndex) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQModelIndexFromPointer(ptr unsafe.Pointer) (n *QModelIndex) {
	n = new(QModelIndex)
	n.InitFromInternal(uintptr(ptr), "core.QModelIndex")
	return
}

func (ptr *QModelIndex) DestroyQModelIndex() {
}

func NewQModelIndex() *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQModelIndex", ""}).(*QModelIndex)
}

func (ptr *QModelIndex) Column() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Column"}).(float64))
}

func (ptr *QModelIndex) Data(role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", role}).(*QVariant)
}

func (ptr *QModelIndex) Flags() Qt__ItemFlag {

	return Qt__ItemFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flags"}).(float64))
}

func (ptr *QModelIndex) InternalId() uintptr {

	return uintptr(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InternalId"}).(float64))
}

func (ptr *QModelIndex) InternalPointer() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InternalPointer"}).(unsafe.Pointer)
}

func (ptr *QModelIndex) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QModelIndex) Model() *QAbstractItemModel {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Model"}).(*QAbstractItemModel)
}

func (ptr *QModelIndex) Parent() *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent"}).(*QModelIndex)
}

func (ptr *QModelIndex) Row() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Row"}).(float64))
}

func (ptr *QModelIndex) Sibling(row int, column int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Sibling", row, column}).(*QModelIndex)
}

func (ptr *QModelIndex) SiblingAtColumn(column int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SiblingAtColumn", column}).(*QModelIndex)
}

func (ptr *QModelIndex) SiblingAtRow(row int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SiblingAtRow", row}).(*QModelIndex)
}

type QMultiHash struct {
	QHash
}

type QMultiHash_ITF interface {
	QHash_ITF
	QMultiHash_PTR() *QMultiHash
}

func (ptr *QMultiHash) QMultiHash_PTR() *QMultiHash {
	return ptr
}

func (ptr *QMultiHash) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QHash_PTR().Pointer()
	}
	return nil
}

func (ptr *QMultiHash) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QHash_PTR().SetPointer(p)
	}
}

func PointerFromQMultiHash(ptr QMultiHash_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMultiHash_PTR().Pointer()
	}
	return nil
}

func (n *QMultiHash) InitFromInternal(ptr uintptr, name string) {
	n.QHash_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMultiHash) ClassNameInternalF() string {
	return n.QHash_PTR().ClassNameInternalF()
}

func NewQMultiHashFromPointer(ptr unsafe.Pointer) (n *QMultiHash) {
	n = new(QMultiHash)
	n.InitFromInternal(uintptr(ptr), "core.QMultiHash")
	return
}

func (ptr *QMultiHash) DestroyQMultiHash() {
}

type QMultiMap struct {
	QMap
}

type QMultiMap_ITF interface {
	QMap_ITF
	QMultiMap_PTR() *QMultiMap
}

func (ptr *QMultiMap) QMultiMap_PTR() *QMultiMap {
	return ptr
}

func (ptr *QMultiMap) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMap_PTR().Pointer()
	}
	return nil
}

func (ptr *QMultiMap) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMap_PTR().SetPointer(p)
	}
}

func PointerFromQMultiMap(ptr QMultiMap_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMultiMap_PTR().Pointer()
	}
	return nil
}

func (n *QMultiMap) InitFromInternal(ptr uintptr, name string) {
	n.QMap_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMultiMap) ClassNameInternalF() string {
	return n.QMap_PTR().ClassNameInternalF()
}

func NewQMultiMapFromPointer(ptr unsafe.Pointer) (n *QMultiMap) {
	n = new(QMultiMap)
	n.InitFromInternal(uintptr(ptr), "core.QMultiMap")
	return
}

func (ptr *QMultiMap) DestroyQMultiMap() {
}

type QMutableHashIterator struct {
	internal.Internal
}

type QMutableHashIterator_ITF interface {
	QMutableHashIterator_PTR() *QMutableHashIterator
}

func (ptr *QMutableHashIterator) QMutableHashIterator_PTR() *QMutableHashIterator {
	return ptr
}

func (ptr *QMutableHashIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMutableHashIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMutableHashIterator(ptr QMutableHashIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMutableHashIterator_PTR().Pointer()
	}
	return nil
}

func (n *QMutableHashIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMutableHashIteratorFromPointer(ptr unsafe.Pointer) (n *QMutableHashIterator) {
	n = new(QMutableHashIterator)
	n.InitFromInternal(uintptr(ptr), "core.QMutableHashIterator")
	return
}

func (ptr *QMutableHashIterator) DestroyQMutableHashIterator() {
}

type QMutableLinkedListIterator struct {
	internal.Internal
}

type QMutableLinkedListIterator_ITF interface {
	QMutableLinkedListIterator_PTR() *QMutableLinkedListIterator
}

func (ptr *QMutableLinkedListIterator) QMutableLinkedListIterator_PTR() *QMutableLinkedListIterator {
	return ptr
}

func (ptr *QMutableLinkedListIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMutableLinkedListIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMutableLinkedListIterator(ptr QMutableLinkedListIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMutableLinkedListIterator_PTR().Pointer()
	}
	return nil
}

func (n *QMutableLinkedListIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMutableLinkedListIteratorFromPointer(ptr unsafe.Pointer) (n *QMutableLinkedListIterator) {
	n = new(QMutableLinkedListIterator)
	n.InitFromInternal(uintptr(ptr), "core.QMutableLinkedListIterator")
	return
}

func (ptr *QMutableLinkedListIterator) DestroyQMutableLinkedListIterator() {
}

type QMutableListIterator struct {
	internal.Internal
}

type QMutableListIterator_ITF interface {
	QMutableListIterator_PTR() *QMutableListIterator
}

func (ptr *QMutableListIterator) QMutableListIterator_PTR() *QMutableListIterator {
	return ptr
}

func (ptr *QMutableListIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMutableListIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMutableListIterator(ptr QMutableListIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMutableListIterator_PTR().Pointer()
	}
	return nil
}

func (n *QMutableListIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMutableListIteratorFromPointer(ptr unsafe.Pointer) (n *QMutableListIterator) {
	n = new(QMutableListIterator)
	n.InitFromInternal(uintptr(ptr), "core.QMutableListIterator")
	return
}

func (ptr *QMutableListIterator) DestroyQMutableListIterator() {
}

type QMutableMapIterator struct {
	internal.Internal
}

type QMutableMapIterator_ITF interface {
	QMutableMapIterator_PTR() *QMutableMapIterator
}

func (ptr *QMutableMapIterator) QMutableMapIterator_PTR() *QMutableMapIterator {
	return ptr
}

func (ptr *QMutableMapIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMutableMapIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMutableMapIterator(ptr QMutableMapIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMutableMapIterator_PTR().Pointer()
	}
	return nil
}

func (n *QMutableMapIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMutableMapIteratorFromPointer(ptr unsafe.Pointer) (n *QMutableMapIterator) {
	n = new(QMutableMapIterator)
	n.InitFromInternal(uintptr(ptr), "core.QMutableMapIterator")
	return
}

func (ptr *QMutableMapIterator) DestroyQMutableMapIterator() {
}

type QMutableSetIterator struct {
	internal.Internal
}

type QMutableSetIterator_ITF interface {
	QMutableSetIterator_PTR() *QMutableSetIterator
}

func (ptr *QMutableSetIterator) QMutableSetIterator_PTR() *QMutableSetIterator {
	return ptr
}

func (ptr *QMutableSetIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMutableSetIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMutableSetIterator(ptr QMutableSetIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMutableSetIterator_PTR().Pointer()
	}
	return nil
}

func (n *QMutableSetIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMutableSetIteratorFromPointer(ptr unsafe.Pointer) (n *QMutableSetIterator) {
	n = new(QMutableSetIterator)
	n.InitFromInternal(uintptr(ptr), "core.QMutableSetIterator")
	return
}

func (ptr *QMutableSetIterator) DestroyQMutableSetIterator() {
}

type QMutableVectorIterator struct {
	internal.Internal
}

type QMutableVectorIterator_ITF interface {
	QMutableVectorIterator_PTR() *QMutableVectorIterator
}

func (ptr *QMutableVectorIterator) QMutableVectorIterator_PTR() *QMutableVectorIterator {
	return ptr
}

func (ptr *QMutableVectorIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMutableVectorIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMutableVectorIterator(ptr QMutableVectorIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMutableVectorIterator_PTR().Pointer()
	}
	return nil
}

func (n *QMutableVectorIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMutableVectorIteratorFromPointer(ptr unsafe.Pointer) (n *QMutableVectorIterator) {
	n = new(QMutableVectorIterator)
	n.InitFromInternal(uintptr(ptr), "core.QMutableVectorIterator")
	return
}

func (ptr *QMutableVectorIterator) DestroyQMutableVectorIterator() {
}

type QMutex struct {
	QBasicMutex
}

type QMutex_ITF interface {
	QBasicMutex_ITF
	QMutex_PTR() *QMutex
}

func (ptr *QMutex) QMutex_PTR() *QMutex {
	return ptr
}

func (ptr *QMutex) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QBasicMutex_PTR().Pointer()
	}
	return nil
}

func (ptr *QMutex) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QBasicMutex_PTR().SetPointer(p)
	}
}

func PointerFromQMutex(ptr QMutex_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMutex_PTR().Pointer()
	}
	return nil
}

func (n *QMutex) InitFromInternal(ptr uintptr, name string) {
	n.QBasicMutex_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMutex) ClassNameInternalF() string {
	return n.QBasicMutex_PTR().ClassNameInternalF()
}

func NewQMutexFromPointer(ptr unsafe.Pointer) (n *QMutex) {
	n = new(QMutex)
	n.InitFromInternal(uintptr(ptr), "core.QMutex")
	return
}

//go:generate stringer -type=QMutex__RecursionMode
//QMutex::RecursionMode
type QMutex__RecursionMode int64

const (
	QMutex__NonRecursive QMutex__RecursionMode = QMutex__RecursionMode(0)
	QMutex__Recursive    QMutex__RecursionMode = QMutex__RecursionMode(1)
)

func NewQMutex(mode QMutex__RecursionMode) *QMutex {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMutex", "", mode}).(*QMutex)
}

func (ptr *QMutex) Lock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Lock"})
}

func (ptr *QMutex) TryLock(timeout int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TryLock", timeout}).(bool)
}

func (ptr *QMutex) Try_lock() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Try_lock"}).(bool)
}

func (ptr *QMutex) Unlock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unlock"})
}

func (ptr *QMutex) DestroyQMutex() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMutex"})
}

type QMutexLocker struct {
	internal.Internal
}

type QMutexLocker_ITF interface {
	QMutexLocker_PTR() *QMutexLocker
}

func (ptr *QMutexLocker) QMutexLocker_PTR() *QMutexLocker {
	return ptr
}

func (ptr *QMutexLocker) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMutexLocker) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMutexLocker(ptr QMutexLocker_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMutexLocker_PTR().Pointer()
	}
	return nil
}

func (n *QMutexLocker) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMutexLockerFromPointer(ptr unsafe.Pointer) (n *QMutexLocker) {
	n = new(QMutexLocker)
	n.InitFromInternal(uintptr(ptr), "core.QMutexLocker")
	return
}
func NewQMutexLocker(mutex QMutex_ITF) *QMutexLocker {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQMutexLocker", "", mutex}).(*QMutexLocker)
}

func (ptr *QMutexLocker) Mutex() *QMutex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mutex"}).(*QMutex)
}

func (ptr *QMutexLocker) Relock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Relock"})
}

func (ptr *QMutexLocker) Unlock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unlock"})
}

func (ptr *QMutexLocker) DestroyQMutexLocker() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMutexLocker"})
}

type QNoDebug struct {
	internal.Internal
}

type QNoDebug_ITF interface {
	QNoDebug_PTR() *QNoDebug
}

func (ptr *QNoDebug) QNoDebug_PTR() *QNoDebug {
	return ptr
}

func (ptr *QNoDebug) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QNoDebug) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQNoDebug(ptr QNoDebug_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QNoDebug_PTR().Pointer()
	}
	return nil
}

func (n *QNoDebug) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQNoDebugFromPointer(ptr unsafe.Pointer) (n *QNoDebug) {
	n = new(QNoDebug)
	n.InitFromInternal(uintptr(ptr), "core.QNoDebug")
	return
}

func (ptr *QNoDebug) DestroyQNoDebug() {
}

type QObject struct {
	internal.Internal
}

type QObject_ITF interface {
	QObject_PTR() *QObject
}

func (ptr *QObject) QObject_PTR() *QObject {
	return ptr
}

func (ptr *QObject) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QObject) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQObject(ptr QObject_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (n *QObject) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQObjectFromPointer(ptr unsafe.Pointer) (n *QObject) {
	n = new(QObject)
	n.InitFromInternal(uintptr(ptr), "core.QObject")
	return
}

func (ptr *QObject) ConnectSignal(f interface{}, a interface{}, t Qt__ConnectionType) {
	fn := strings.TrimSuffix(strings.Split(runtime.FuncForPC(reflect.ValueOf(f).Pointer()).Name(), ".Connect")[1], "-fm")
	qt.RegisterConnectionType(ptr.Pointer(), strings.ToLower(fn[:1])+fn[1:], int64(t))
	reflect.ValueOf(f).Call([]reflect.Value{reflect.ValueOf(a)})
}

func NewQObject(parent QObject_ITF) *QObject {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQObject", "", parent}).(*QObject)
}

func (ptr *QObject) BlockSignals(block bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockSignals", block}).(bool)
}

func (ptr *QObject) ConnectChildEvent(f func(event *QChildEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectChildEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QObject) DisconnectChildEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectChildEvent"})
}

func (ptr *QObject) ChildEvent(event QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEvent", event})
}

func (ptr *QObject) ChildEventDefault(event QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QObject) Children() []*QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Children"}).([]*QObject)
}

func (ptr *QObject) ConnectConnectNotify(f func(sign *QMetaMethod)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectConnectNotify", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QObject) DisconnectConnectNotify() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectConnectNotify"})
}

func (ptr *QObject) ConnectNotify(sign QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotify", sign})
}

func (ptr *QObject) ConnectNotifyDefault(sign QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QObject) ConnectCustomEvent(f func(event *QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCustomEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QObject) DisconnectCustomEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCustomEvent"})
}

func (ptr *QObject) CustomEvent(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEvent", event})
}

func (ptr *QObject) CustomEventDefault(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QObject) ConnectDeleteLater(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDeleteLater", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QObject) DisconnectDeleteLater() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDeleteLater"})
}

func (ptr *QObject) DeleteLater() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLater"})
}

func (ptr *QObject) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QObject) ConnectDestroyed(f func(obj *QObject)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QObject) DisconnectDestroyed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyed"})
}

func (ptr *QObject) Destroyed(obj QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Destroyed", obj})
}

func QObject_Disconnect(sender QObject_ITF, sign string, receiver QObject_ITF, method string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QObject_Disconnect", "", sender, sign, receiver, method}).(bool)
}

func (ptr *QObject) Disconnect(sender QObject_ITF, sign string, receiver QObject_ITF, method string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QObject_Disconnect", "", sender, sign, receiver, method}).(bool)
}

func QObject_Disconnect2(sender QObject_ITF, sign QMetaMethod_ITF, receiver QObject_ITF, method QMetaMethod_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QObject_Disconnect2", "", sender, sign, receiver, method}).(bool)
}

func (ptr *QObject) Disconnect2(sender QObject_ITF, sign QMetaMethod_ITF, receiver QObject_ITF, method QMetaMethod_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QObject_Disconnect2", "", sender, sign, receiver, method}).(bool)
}

func (ptr *QObject) Disconnect3(sign string, receiver QObject_ITF, method string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Disconnect3", sign, receiver, method}).(bool)
}

func (ptr *QObject) Disconnect4(receiver QObject_ITF, method string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Disconnect4", receiver, method}).(bool)
}

func (ptr *QObject) ConnectDisconnectNotify(f func(sign *QMetaMethod)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDisconnectNotify", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QObject) DisconnectDisconnectNotify() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDisconnectNotify"})
}

func (ptr *QObject) DisconnectNotify(sign QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotify", sign})
}

func (ptr *QObject) DisconnectNotifyDefault(sign QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QObject) DumpObjectInfo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DumpObjectInfo"})
}

func (ptr *QObject) DumpObjectTree() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DumpObjectTree"})
}

func (ptr *QObject) DynamicPropertyNames() []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DynamicPropertyNames"}).([]*QByteArray)
}

func (ptr *QObject) ConnectEvent(f func(e *QEvent) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QObject) DisconnectEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEvent"})
}

func (ptr *QObject) Event(e QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Event", e}).(bool)
}

func (ptr *QObject) EventDefault(e QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QObject) ConnectEventFilter(f func(watched *QObject, event *QEvent) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEventFilter", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QObject) DisconnectEventFilter() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEventFilter"})
}

func (ptr *QObject) EventFilter(watched QObject_ITF, event QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilter", watched, event}).(bool)
}

func (ptr *QObject) EventFilterDefault(watched QObject_ITF, event QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QObject) FindChild(name string, options Qt__FindChildOption) *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FindChild", name, options}).(*QObject)
}

func (ptr *QObject) FindChildren(name string, options Qt__FindChildOption) []*QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FindChildren", name, options}).([]*QObject)
}

func (ptr *QObject) FindChildren3(re QRegularExpression_ITF, options Qt__FindChildOption) []*QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FindChildren3", re, options}).([]*QObject)
}

func (ptr *QObject) Inherits(className string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Inherits", className}).(bool)
}

func (ptr *QObject) InstallEventFilter(filterObj QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InstallEventFilter", filterObj})
}

func (ptr *QObject) IsSignalConnected(sign QMetaMethod_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSignalConnected", sign}).(bool)
}

func (ptr *QObject) IsWidgetType() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsWidgetType"}).(bool)
}

func (ptr *QObject) IsWindowType() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsWindowType"}).(bool)
}

func (ptr *QObject) KillTimer(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KillTimer", id})
}

func (ptr *QObject) ConnectMetaObject(f func() *QMetaObject) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMetaObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QObject) DisconnectMetaObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMetaObject"})
}

func (ptr *QObject) MetaObject() *QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObject"}).(*QMetaObject)
}

func (ptr *QObject) MetaObjectDefault() *QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*QMetaObject)
}

func (ptr *QObject) MoveToThread(targetThread QThread_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveToThread", targetThread})
}

func (ptr *QObject) ObjectName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ObjectName"}).(string)
}

func (ptr *QObject) ConnectObjectNameChanged(f func(objectName string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectObjectNameChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QObject) DisconnectObjectNameChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectObjectNameChanged"})
}

func (ptr *QObject) Parent() *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent"}).(*QObject)
}

func (ptr *QObject) Property(name string) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Property", name}).(*QVariant)
}

func (ptr *QObject) Receivers(sign string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Receivers", sign}).(float64))
}

func (ptr *QObject) RemoveEventFilter(obj QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveEventFilter", obj})
}

func (ptr *QObject) Sender() *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Sender"}).(*QObject)
}

func (ptr *QObject) SenderSignalIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SenderSignalIndex"}).(float64))
}

func (ptr *QObject) SetObjectName(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetObjectName", name})
}

func (ptr *QObject) SetParent(parent QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetParent", parent})
}

func (ptr *QObject) SetProperty(name string, value QVariant_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetProperty", name, value}).(bool)
}

func (ptr *QObject) SignalsBlocked() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SignalsBlocked"}).(bool)
}

func (ptr *QObject) StartTimer(interval int, timerType Qt__TimerType) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartTimer", interval, timerType}).(float64))
}

func (ptr *QObject) Thread() *QThread {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Thread"}).(*QThread)
}

func (ptr *QObject) ConnectTimerEvent(f func(event *QTimerEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTimerEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QObject) DisconnectTimerEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTimerEvent"})
}

func (ptr *QObject) TimerEvent(event QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEvent", event})
}

func (ptr *QObject) TimerEventDefault(event QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

func QObject_Tr(sourceText string, disambiguation string, n int) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QObject_Tr", "", sourceText, disambiguation, n}).(string)
}

func (ptr *QObject) Tr(sourceText string, disambiguation string, n int) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QObject_Tr", "", sourceText, disambiguation, n}).(string)
}

func (ptr *QObject) ConnectDestroyQObject(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QObject) DisconnectDestroyQObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQObject"})
}

func (ptr *QObject) DestroyQObject() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQObject"})
}

func (ptr *QObject) DestroyQObjectDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQObjectDefault"})
}

func (ptr *QObject) InvokeMethod(name string, arg QVariant_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvokeMethod", name, arg}).(*QVariant)
}

func (ptr *QObject) ToVariant() *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariant"}).(*QVariant)
}

func (ptr *QObject) __children_atList(i int) *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*QObject)
}

func (ptr *QObject) __children_setList(i QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QObject) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QObject) __dynamicPropertyNames_atList(i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*QByteArray)
}

func (ptr *QObject) __dynamicPropertyNames_setList(i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QObject) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QObject) __findChildren_atList(i int) *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*QObject)
}

func (ptr *QObject) __findChildren_setList(i QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QObject) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QObject) __findChildren_atList2(i int) *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList2", i}).(*QObject)
}

func (ptr *QObject) __findChildren_setList2(i QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList2", i})
}

func (ptr *QObject) __findChildren_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList2"}).(unsafe.Pointer)
}

func (ptr *QObject) __findChildren_atList3(i int) *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*QObject)
}

func (ptr *QObject) __findChildren_setList3(i QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QObject) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

type QObjectCleanupHandler struct {
	QObject
}

type QObjectCleanupHandler_ITF interface {
	QObject_ITF
	QObjectCleanupHandler_PTR() *QObjectCleanupHandler
}

func (ptr *QObjectCleanupHandler) QObjectCleanupHandler_PTR() *QObjectCleanupHandler {
	return ptr
}

func (ptr *QObjectCleanupHandler) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QObjectCleanupHandler) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQObjectCleanupHandler(ptr QObjectCleanupHandler_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QObjectCleanupHandler_PTR().Pointer()
	}
	return nil
}

func (n *QObjectCleanupHandler) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QObjectCleanupHandler) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQObjectCleanupHandlerFromPointer(ptr unsafe.Pointer) (n *QObjectCleanupHandler) {
	n = new(QObjectCleanupHandler)
	n.InitFromInternal(uintptr(ptr), "core.QObjectCleanupHandler")
	return
}
func NewQObjectCleanupHandler() *QObjectCleanupHandler {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQObjectCleanupHandler", ""}).(*QObjectCleanupHandler)
}

func (ptr *QObjectCleanupHandler) Add(object QObject_ITF) *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Add", object}).(*QObject)
}

func (ptr *QObjectCleanupHandler) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QObjectCleanupHandler) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QObjectCleanupHandler) Remove(object QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove", object})
}

func (ptr *QObjectCleanupHandler) ConnectDestroyQObjectCleanupHandler(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQObjectCleanupHandler", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QObjectCleanupHandler) DisconnectDestroyQObjectCleanupHandler() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQObjectCleanupHandler"})
}

func (ptr *QObjectCleanupHandler) DestroyQObjectCleanupHandler() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQObjectCleanupHandler"})
}

func (ptr *QObjectCleanupHandler) DestroyQObjectCleanupHandlerDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQObjectCleanupHandlerDefault"})
}

func (ptr *QObjectCleanupHandler) __cleanupObjects_atList(i int) *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__cleanupObjects_atList", i}).(*QObject)
}

func (ptr *QObjectCleanupHandler) __cleanupObjects_setList(i QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__cleanupObjects_setList", i})
}

func (ptr *QObjectCleanupHandler) __cleanupObjects_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__cleanupObjects_newList"}).(unsafe.Pointer)
}

func (ptr *QObjectCleanupHandler) __setCleanupObjects__atList(i int) *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setCleanupObjects__atList", i}).(*QObject)
}

func (ptr *QObjectCleanupHandler) __setCleanupObjects__setList(i QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setCleanupObjects__setList", i})
}

func (ptr *QObjectCleanupHandler) __setCleanupObjects__newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setCleanupObjects__newList"}).(unsafe.Pointer)
}

type QObjectData struct {
	internal.Internal
}

type QObjectData_ITF interface {
	QObjectData_PTR() *QObjectData
}

func (ptr *QObjectData) QObjectData_PTR() *QObjectData {
	return ptr
}

func (ptr *QObjectData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QObjectData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQObjectData(ptr QObjectData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QObjectData_PTR().Pointer()
	}
	return nil
}

func (n *QObjectData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQObjectDataFromPointer(ptr unsafe.Pointer) (n *QObjectData) {
	n = new(QObjectData)
	n.InitFromInternal(uintptr(ptr), "core.QObjectData")
	return
}

func (ptr *QObjectData) DestroyQObjectData() {
}

func (ptr *QObjectData) __children_atList(i int) *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*QObject)
}

func (ptr *QObjectData) __children_setList(i QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QObjectData) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QObjectData) __setChildren__atList(i int) *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setChildren__atList", i}).(*QObject)
}

func (ptr *QObjectData) __setChildren__setList(i QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setChildren__setList", i})
}

func (ptr *QObjectData) __setChildren__newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setChildren__newList"}).(unsafe.Pointer)
}

type QObjectUserData struct {
	internal.Internal
}

type QObjectUserData_ITF interface {
	QObjectUserData_PTR() *QObjectUserData
}

func (ptr *QObjectUserData) QObjectUserData_PTR() *QObjectUserData {
	return ptr
}

func (ptr *QObjectUserData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QObjectUserData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQObjectUserData(ptr QObjectUserData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QObjectUserData_PTR().Pointer()
	}
	return nil
}

func (n *QObjectUserData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQObjectUserDataFromPointer(ptr unsafe.Pointer) (n *QObjectUserData) {
	n = new(QObjectUserData)
	n.InitFromInternal(uintptr(ptr), "core.QObjectUserData")
	return
}

func (ptr *QObjectUserData) DestroyQObjectUserData() {
}

type QOperatingSystemVersion struct {
	internal.Internal
}

type QOperatingSystemVersion_ITF interface {
	QOperatingSystemVersion_PTR() *QOperatingSystemVersion
}

func (ptr *QOperatingSystemVersion) QOperatingSystemVersion_PTR() *QOperatingSystemVersion {
	return ptr
}

func (ptr *QOperatingSystemVersion) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QOperatingSystemVersion) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQOperatingSystemVersion(ptr QOperatingSystemVersion_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOperatingSystemVersion_PTR().Pointer()
	}
	return nil
}

func (n *QOperatingSystemVersion) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQOperatingSystemVersionFromPointer(ptr unsafe.Pointer) (n *QOperatingSystemVersion) {
	n = new(QOperatingSystemVersion)
	n.InitFromInternal(uintptr(ptr), "core.QOperatingSystemVersion")
	return
}

func (ptr *QOperatingSystemVersion) DestroyQOperatingSystemVersion() {
}

//go:generate stringer -type=QOperatingSystemVersion__OSType
//QOperatingSystemVersion::OSType
type QOperatingSystemVersion__OSType int64

const (
	QOperatingSystemVersion__Unknown QOperatingSystemVersion__OSType = QOperatingSystemVersion__OSType(0)
	QOperatingSystemVersion__Windows QOperatingSystemVersion__OSType = QOperatingSystemVersion__OSType(1)
	QOperatingSystemVersion__MacOS   QOperatingSystemVersion__OSType = QOperatingSystemVersion__OSType(2)
	QOperatingSystemVersion__IOS     QOperatingSystemVersion__OSType = QOperatingSystemVersion__OSType(3)
	QOperatingSystemVersion__TvOS    QOperatingSystemVersion__OSType = QOperatingSystemVersion__OSType(4)
	QOperatingSystemVersion__WatchOS QOperatingSystemVersion__OSType = QOperatingSystemVersion__OSType(5)
	QOperatingSystemVersion__Android QOperatingSystemVersion__OSType = QOperatingSystemVersion__OSType(6)
)

func NewQOperatingSystemVersion2(osType QOperatingSystemVersion__OSType, vmajor int, vminor int, vmicro int) *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQOperatingSystemVersion2", "", osType, vmajor, vminor, vmicro}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_Current() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_Current", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) Current() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_Current", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_CurrentType() QOperatingSystemVersion__OSType {

	return QOperatingSystemVersion__OSType(internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_CurrentType", ""}).(float64))
}

func (ptr *QOperatingSystemVersion) CurrentType() QOperatingSystemVersion__OSType {

	return QOperatingSystemVersion__OSType(internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_CurrentType", ""}).(float64))
}

func (ptr *QOperatingSystemVersion) MajorVersion() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MajorVersion"}).(float64))
}

func (ptr *QOperatingSystemVersion) MicroVersion() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MicroVersion"}).(float64))
}

func (ptr *QOperatingSystemVersion) MinorVersion() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinorVersion"}).(float64))
}

func (ptr *QOperatingSystemVersion) Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(string)
}

func (ptr *QOperatingSystemVersion) SegmentCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SegmentCount"}).(float64))
}

func (ptr *QOperatingSystemVersion) Type() QOperatingSystemVersion__OSType {

	return QOperatingSystemVersion__OSType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func QOperatingSystemVersion_Windows7() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_Windows7", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) Windows7() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_Windows7", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_Windows8() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_Windows8", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) Windows8() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_Windows8", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_Windows8_1() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_Windows8_1", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) Windows8_1() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_Windows8_1", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_Windows10() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_Windows10", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) Windows10() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_Windows10", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_OSXMavericks() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_OSXMavericks", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) OSXMavericks() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_OSXMavericks", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_OSXYosemite() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_OSXYosemite", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) OSXYosemite() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_OSXYosemite", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_OSXElCapitan() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_OSXElCapitan", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) OSXElCapitan() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_OSXElCapitan", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_MacOSSierra() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_MacOSSierra", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) MacOSSierra() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_MacOSSierra", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_MacOSHighSierra() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_MacOSHighSierra", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) MacOSHighSierra() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_MacOSHighSierra", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_MacOSMojave() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_MacOSMojave", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) MacOSMojave() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_MacOSMojave", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_AndroidJellyBean() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidJellyBean", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) AndroidJellyBean() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidJellyBean", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_AndroidJellyBean_MR1() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidJellyBean_MR1", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) AndroidJellyBean_MR1() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidJellyBean_MR1", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_AndroidJellyBean_MR2() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidJellyBean_MR2", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) AndroidJellyBean_MR2() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidJellyBean_MR2", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_AndroidKitKat() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidKitKat", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) AndroidKitKat() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidKitKat", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_AndroidLollipop() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidLollipop", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) AndroidLollipop() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidLollipop", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_AndroidLollipop_MR1() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidLollipop_MR1", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) AndroidLollipop_MR1() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidLollipop_MR1", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_AndroidMarshmallow() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidMarshmallow", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) AndroidMarshmallow() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidMarshmallow", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_AndroidNougat() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidNougat", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) AndroidNougat() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidNougat", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_AndroidNougat_MR1() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidNougat_MR1", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) AndroidNougat_MR1() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidNougat_MR1", ""}).(*QOperatingSystemVersion)
}

func QOperatingSystemVersion_AndroidOreo() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidOreo", ""}).(*QOperatingSystemVersion)
}

func (ptr *QOperatingSystemVersion) AndroidOreo() *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QOperatingSystemVersion_AndroidOreo", ""}).(*QOperatingSystemVersion)
}

func NewQOperatingSystemVersion(other QOperatingSystemVersion_ITF) *QOperatingSystemVersion {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQOperatingSystemVersion", "", other}).(*QOperatingSystemVersion)
}

type QPair struct {
	internal.Internal
}

type QPair_ITF interface {
	QPair_PTR() *QPair
}

func (ptr *QPair) QPair_PTR() *QPair {
	return ptr
}

func (ptr *QPair) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPair) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPair(ptr QPair_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPair_PTR().Pointer()
	}
	return nil
}

func (n *QPair) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPairFromPointer(ptr unsafe.Pointer) (n *QPair) {
	n = new(QPair)
	n.InitFromInternal(uintptr(ptr), "core.QPair")
	return
}

func (ptr *QPair) DestroyQPair() {
}

type QParallelAnimationGroup struct {
	QAnimationGroup
}

type QParallelAnimationGroup_ITF interface {
	QAnimationGroup_ITF
	QParallelAnimationGroup_PTR() *QParallelAnimationGroup
}

func (ptr *QParallelAnimationGroup) QParallelAnimationGroup_PTR() *QParallelAnimationGroup {
	return ptr
}

func (ptr *QParallelAnimationGroup) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAnimationGroup_PTR().Pointer()
	}
	return nil
}

func (ptr *QParallelAnimationGroup) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAnimationGroup_PTR().SetPointer(p)
	}
}

func PointerFromQParallelAnimationGroup(ptr QParallelAnimationGroup_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QParallelAnimationGroup_PTR().Pointer()
	}
	return nil
}

func (n *QParallelAnimationGroup) InitFromInternal(ptr uintptr, name string) {
	n.QAnimationGroup_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QParallelAnimationGroup) ClassNameInternalF() string {
	return n.QAnimationGroup_PTR().ClassNameInternalF()
}

func NewQParallelAnimationGroupFromPointer(ptr unsafe.Pointer) (n *QParallelAnimationGroup) {
	n = new(QParallelAnimationGroup)
	n.InitFromInternal(uintptr(ptr), "core.QParallelAnimationGroup")
	return
}
func NewQParallelAnimationGroup(parent QObject_ITF) *QParallelAnimationGroup {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQParallelAnimationGroup", "", parent}).(*QParallelAnimationGroup)
}

func (ptr *QParallelAnimationGroup) ConnectDuration(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDuration", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QParallelAnimationGroup) DisconnectDuration() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDuration"})
}

func (ptr *QParallelAnimationGroup) Duration() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Duration"}).(float64))
}

func (ptr *QParallelAnimationGroup) DurationDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DurationDefault"}).(float64))
}

func (ptr *QParallelAnimationGroup) ConnectUpdateCurrentTime(f func(currentTime int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateCurrentTime", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QParallelAnimationGroup) DisconnectUpdateCurrentTime() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateCurrentTime"})
}

func (ptr *QParallelAnimationGroup) UpdateCurrentTime(currentTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCurrentTime", currentTime})
}

func (ptr *QParallelAnimationGroup) UpdateCurrentTimeDefault(currentTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCurrentTimeDefault", currentTime})
}

func (ptr *QParallelAnimationGroup) ConnectDestroyQParallelAnimationGroup(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQParallelAnimationGroup", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QParallelAnimationGroup) DisconnectDestroyQParallelAnimationGroup() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQParallelAnimationGroup"})
}

func (ptr *QParallelAnimationGroup) DestroyQParallelAnimationGroup() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQParallelAnimationGroup"})
}

func (ptr *QParallelAnimationGroup) DestroyQParallelAnimationGroupDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQParallelAnimationGroupDefault"})
}

type QPauseAnimation struct {
	QAbstractAnimation
}

type QPauseAnimation_ITF interface {
	QAbstractAnimation_ITF
	QPauseAnimation_PTR() *QPauseAnimation
}

func (ptr *QPauseAnimation) QPauseAnimation_PTR() *QPauseAnimation {
	return ptr
}

func (ptr *QPauseAnimation) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAnimation_PTR().Pointer()
	}
	return nil
}

func (ptr *QPauseAnimation) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAnimation_PTR().SetPointer(p)
	}
}

func PointerFromQPauseAnimation(ptr QPauseAnimation_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPauseAnimation_PTR().Pointer()
	}
	return nil
}

func (n *QPauseAnimation) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAnimation_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPauseAnimation) ClassNameInternalF() string {
	return n.QAbstractAnimation_PTR().ClassNameInternalF()
}

func NewQPauseAnimationFromPointer(ptr unsafe.Pointer) (n *QPauseAnimation) {
	n = new(QPauseAnimation)
	n.InitFromInternal(uintptr(ptr), "core.QPauseAnimation")
	return
}
func NewQPauseAnimation(parent QObject_ITF) *QPauseAnimation {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQPauseAnimation", "", parent}).(*QPauseAnimation)
}

func NewQPauseAnimation2(msecs int, parent QObject_ITF) *QPauseAnimation {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQPauseAnimation2", "", msecs, parent}).(*QPauseAnimation)
}

func (ptr *QPauseAnimation) ConnectDuration(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDuration", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPauseAnimation) DisconnectDuration() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDuration"})
}

func (ptr *QPauseAnimation) Duration() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Duration"}).(float64))
}

func (ptr *QPauseAnimation) DurationDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DurationDefault"}).(float64))
}

func (ptr *QPauseAnimation) SetDuration(msecs int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDuration", msecs})
}

func (ptr *QPauseAnimation) ConnectUpdateCurrentTime(f func(vin int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateCurrentTime", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPauseAnimation) DisconnectUpdateCurrentTime() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateCurrentTime"})
}

func (ptr *QPauseAnimation) UpdateCurrentTime(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCurrentTime", vin})
}

func (ptr *QPauseAnimation) UpdateCurrentTimeDefault(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCurrentTimeDefault", vin})
}

func (ptr *QPauseAnimation) ConnectDestroyQPauseAnimation(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQPauseAnimation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPauseAnimation) DisconnectDestroyQPauseAnimation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQPauseAnimation"})
}

func (ptr *QPauseAnimation) DestroyQPauseAnimation() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPauseAnimation"})
}

func (ptr *QPauseAnimation) DestroyQPauseAnimationDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPauseAnimationDefault"})
}

type QPersistentModelIndex struct {
	internal.Internal
}

type QPersistentModelIndex_ITF interface {
	QPersistentModelIndex_PTR() *QPersistentModelIndex
}

func (ptr *QPersistentModelIndex) QPersistentModelIndex_PTR() *QPersistentModelIndex {
	return ptr
}

func (ptr *QPersistentModelIndex) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPersistentModelIndex) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPersistentModelIndex(ptr QPersistentModelIndex_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPersistentModelIndex_PTR().Pointer()
	}
	return nil
}

func (n *QPersistentModelIndex) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPersistentModelIndexFromPointer(ptr unsafe.Pointer) (n *QPersistentModelIndex) {
	n = new(QPersistentModelIndex)
	n.InitFromInternal(uintptr(ptr), "core.QPersistentModelIndex")
	return
}

func (ptr *QPersistentModelIndex) DestroyQPersistentModelIndex() {
}

func NewQPersistentModelIndex2(index QModelIndex_ITF) *QPersistentModelIndex {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQPersistentModelIndex2", "", index}).(*QPersistentModelIndex)
}

func NewQPersistentModelIndex3(other QPersistentModelIndex_ITF) *QPersistentModelIndex {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQPersistentModelIndex3", "", other}).(*QPersistentModelIndex)
}

func NewQPersistentModelIndex4(other QPersistentModelIndex_ITF) *QPersistentModelIndex {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQPersistentModelIndex4", "", other}).(*QPersistentModelIndex)
}

func (ptr *QPersistentModelIndex) Column() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Column"}).(float64))
}

func (ptr *QPersistentModelIndex) Data(role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", role}).(*QVariant)
}

func (ptr *QPersistentModelIndex) Flags() Qt__ItemFlag {

	return Qt__ItemFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flags"}).(float64))
}

func (ptr *QPersistentModelIndex) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QPersistentModelIndex) Model() *QAbstractItemModel {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Model"}).(*QAbstractItemModel)
}

func (ptr *QPersistentModelIndex) Parent() *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent"}).(*QModelIndex)
}

func (ptr *QPersistentModelIndex) Row() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Row"}).(float64))
}

func (ptr *QPersistentModelIndex) Sibling(row int, column int) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Sibling", row, column}).(*QModelIndex)
}

func (ptr *QPersistentModelIndex) Swap(other QPersistentModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

type QPluginLoader struct {
	QObject
}

type QPluginLoader_ITF interface {
	QObject_ITF
	QPluginLoader_PTR() *QPluginLoader
}

func (ptr *QPluginLoader) QPluginLoader_PTR() *QPluginLoader {
	return ptr
}

func (ptr *QPluginLoader) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QPluginLoader) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQPluginLoader(ptr QPluginLoader_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPluginLoader_PTR().Pointer()
	}
	return nil
}

func (n *QPluginLoader) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPluginLoader) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQPluginLoaderFromPointer(ptr unsafe.Pointer) (n *QPluginLoader) {
	n = new(QPluginLoader)
	n.InitFromInternal(uintptr(ptr), "core.QPluginLoader")
	return
}
func NewQPluginLoader(parent QObject_ITF) *QPluginLoader {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQPluginLoader", "", parent}).(*QPluginLoader)
}

func NewQPluginLoader2(fileName string, parent QObject_ITF) *QPluginLoader {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQPluginLoader2", "", fileName, parent}).(*QPluginLoader)
}

func (ptr *QPluginLoader) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QPluginLoader) FileName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName"}).(string)
}

func (ptr *QPluginLoader) Instance() *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Instance"}).(*QObject)
}

func (ptr *QPluginLoader) IsLoaded() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLoaded"}).(bool)
}

func (ptr *QPluginLoader) Load() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Load"}).(bool)
}

func (ptr *QPluginLoader) LoadHints() QLibrary__LoadHint {

	return QLibrary__LoadHint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadHints"}).(float64))
}

func (ptr *QPluginLoader) MetaData() *QJsonObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaData"}).(*QJsonObject)
}

func (ptr *QPluginLoader) SetFileName(fileName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileName", fileName})
}

func (ptr *QPluginLoader) SetLoadHints(loadHints QLibrary__LoadHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLoadHints", loadHints})
}

func QPluginLoader_StaticInstances() []*QObject {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QPluginLoader_StaticInstances", ""}).([]*QObject)
}

func (ptr *QPluginLoader) StaticInstances() []*QObject {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QPluginLoader_StaticInstances", ""}).([]*QObject)
}

func (ptr *QPluginLoader) Unload() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unload"}).(bool)
}

func (ptr *QPluginLoader) ConnectDestroyQPluginLoader(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQPluginLoader", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPluginLoader) DisconnectDestroyQPluginLoader() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQPluginLoader"})
}

func (ptr *QPluginLoader) DestroyQPluginLoader() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPluginLoader"})
}

func (ptr *QPluginLoader) DestroyQPluginLoaderDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPluginLoaderDefault"})
}

func (ptr *QPluginLoader) __staticInstances_atList(i int) *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__staticInstances_atList", i}).(*QObject)
}

func (ptr *QPluginLoader) __staticInstances_setList(i QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__staticInstances_setList", i})
}

func (ptr *QPluginLoader) __staticInstances_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__staticInstances_newList"}).(unsafe.Pointer)
}

func (ptr *QPluginLoader) __staticPlugins_setList(i QStaticPlugin_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__staticPlugins_setList", i})
}

func (ptr *QPluginLoader) __staticPlugins_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__staticPlugins_newList"}).(unsafe.Pointer)
}

type QPoint struct {
	internal.Internal
}

type QPoint_ITF interface {
	QPoint_PTR() *QPoint
}

func (ptr *QPoint) QPoint_PTR() *QPoint {
	return ptr
}

func (ptr *QPoint) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPoint) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPoint(ptr QPoint_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPoint_PTR().Pointer()
	}
	return nil
}

func (n *QPoint) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPointFromPointer(ptr unsafe.Pointer) (n *QPoint) {
	n = new(QPoint)
	n.InitFromInternal(uintptr(ptr), "core.QPoint")
	return
}

func (ptr *QPoint) DestroyQPoint() {
}

func NewQPoint() *QPoint {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQPoint", ""}).(*QPoint)
}

func NewQPoint2(xpos int, ypos int) *QPoint {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQPoint2", "", xpos, ypos}).(*QPoint)
}

func QPoint_DotProduct(p1 QPoint_ITF, p2 QPoint_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QPoint_DotProduct", "", p1, p2}).(float64))
}

func (ptr *QPoint) DotProduct(p1 QPoint_ITF, p2 QPoint_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QPoint_DotProduct", "", p1, p2}).(float64))
}

func (ptr *QPoint) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QPoint) ManhattanLength() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ManhattanLength"}).(float64))
}

func (ptr *QPoint) Rx() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rx"}).(float64))
}

func (ptr *QPoint) Ry() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ry"}).(float64))
}

func (ptr *QPoint) SetX(x int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetX", x})
}

func (ptr *QPoint) SetY(y int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetY", y})
}

func (ptr *QPoint) X() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float64))
}

func (ptr *QPoint) Y() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float64))
}

type QPointF struct {
	internal.Internal
}

type QPointF_ITF interface {
	QPointF_PTR() *QPointF
}

func (ptr *QPointF) QPointF_PTR() *QPointF {
	return ptr
}

func (ptr *QPointF) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPointF) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPointF(ptr QPointF_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPointF_PTR().Pointer()
	}
	return nil
}

func (n *QPointF) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPointFFromPointer(ptr unsafe.Pointer) (n *QPointF) {
	n = new(QPointF)
	n.InitFromInternal(uintptr(ptr), "core.QPointF")
	return
}

func (ptr *QPointF) DestroyQPointF() {
}

func NewQPointF() *QPointF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQPointF", ""}).(*QPointF)
}

func NewQPointF2(point QPoint_ITF) *QPointF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQPointF2", "", point}).(*QPointF)
}

func NewQPointF3(xpos float64, ypos float64) *QPointF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQPointF3", "", xpos, ypos}).(*QPointF)
}

func QPointF_DotProduct(p1 QPointF_ITF, p2 QPointF_ITF) float64 {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QPointF_DotProduct", "", p1, p2}).(float64)
}

func (ptr *QPointF) DotProduct(p1 QPointF_ITF, p2 QPointF_ITF) float64 {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QPointF_DotProduct", "", p1, p2}).(float64)
}

func (ptr *QPointF) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QPointF) ManhattanLength() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ManhattanLength"}).(float64)
}

func (ptr *QPointF) Rx() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rx"}).(float64)
}

func (ptr *QPointF) Ry() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ry"}).(float64)
}

func (ptr *QPointF) SetX(x float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetX", x})
}

func (ptr *QPointF) SetY(y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetY", y})
}

func (ptr *QPointF) ToPoint() *QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPoint"}).(*QPoint)
}

func (ptr *QPointF) X() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float64)
}

func (ptr *QPointF) Y() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float64)
}

type QPointer struct {
	internal.Internal
}

type QPointer_ITF interface {
	QPointer_PTR() *QPointer
}

func (ptr *QPointer) QPointer_PTR() *QPointer {
	return ptr
}

func (ptr *QPointer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPointer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPointer(ptr QPointer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPointer_PTR().Pointer()
	}
	return nil
}

func (n *QPointer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPointerFromPointer(ptr unsafe.Pointer) (n *QPointer) {
	n = new(QPointer)
	n.InitFromInternal(uintptr(ptr), "core.QPointer")
	return
}

type QProcess struct {
	QIODevice
}

type QProcess_ITF interface {
	QIODevice_ITF
	QProcess_PTR() *QProcess
}

func (ptr *QProcess) QProcess_PTR() *QProcess {
	return ptr
}

func (ptr *QProcess) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QIODevice_PTR().Pointer()
	}
	return nil
}

func (ptr *QProcess) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QIODevice_PTR().SetPointer(p)
	}
}

func PointerFromQProcess(ptr QProcess_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QProcess_PTR().Pointer()
	}
	return nil
}

func (n *QProcess) InitFromInternal(ptr uintptr, name string) {
	n.QIODevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QProcess) ClassNameInternalF() string {
	return n.QIODevice_PTR().ClassNameInternalF()
}

func NewQProcessFromPointer(ptr unsafe.Pointer) (n *QProcess) {
	n = new(QProcess)
	n.InitFromInternal(uintptr(ptr), "core.QProcess")
	return
}

//go:generate stringer -type=QProcess__ProcessError
//QProcess::ProcessError
type QProcess__ProcessError int64

const (
	QProcess__FailedToStart QProcess__ProcessError = QProcess__ProcessError(0)
	QProcess__Crashed       QProcess__ProcessError = QProcess__ProcessError(1)
	QProcess__Timedout      QProcess__ProcessError = QProcess__ProcessError(2)
	QProcess__ReadError     QProcess__ProcessError = QProcess__ProcessError(3)
	QProcess__WriteError    QProcess__ProcessError = QProcess__ProcessError(4)
	QProcess__UnknownError  QProcess__ProcessError = QProcess__ProcessError(5)
)

//go:generate stringer -type=QProcess__ProcessState
//QProcess::ProcessState
type QProcess__ProcessState int64

const (
	QProcess__NotRunning QProcess__ProcessState = QProcess__ProcessState(0)
	QProcess__Starting   QProcess__ProcessState = QProcess__ProcessState(1)
	QProcess__Running    QProcess__ProcessState = QProcess__ProcessState(2)
)

//go:generate stringer -type=QProcess__ProcessChannel
//QProcess::ProcessChannel
type QProcess__ProcessChannel int64

const (
	QProcess__StandardOutput QProcess__ProcessChannel = QProcess__ProcessChannel(0)
	QProcess__StandardError  QProcess__ProcessChannel = QProcess__ProcessChannel(1)
)

//go:generate stringer -type=QProcess__ProcessChannelMode
//QProcess::ProcessChannelMode
type QProcess__ProcessChannelMode int64

const (
	QProcess__SeparateChannels       QProcess__ProcessChannelMode = QProcess__ProcessChannelMode(0)
	QProcess__MergedChannels         QProcess__ProcessChannelMode = QProcess__ProcessChannelMode(1)
	QProcess__ForwardedChannels      QProcess__ProcessChannelMode = QProcess__ProcessChannelMode(2)
	QProcess__ForwardedOutputChannel QProcess__ProcessChannelMode = QProcess__ProcessChannelMode(3)
	QProcess__ForwardedErrorChannel  QProcess__ProcessChannelMode = QProcess__ProcessChannelMode(4)
)

//go:generate stringer -type=QProcess__InputChannelMode
//QProcess::InputChannelMode
type QProcess__InputChannelMode int64

const (
	QProcess__ManagedInputChannel   QProcess__InputChannelMode = QProcess__InputChannelMode(0)
	QProcess__ForwardedInputChannel QProcess__InputChannelMode = QProcess__InputChannelMode(1)
)

//go:generate stringer -type=QProcess__ExitStatus
//QProcess::ExitStatus
type QProcess__ExitStatus int64

const (
	QProcess__NormalExit QProcess__ExitStatus = QProcess__ExitStatus(0)
	QProcess__CrashExit  QProcess__ExitStatus = QProcess__ExitStatus(1)
)

func NewQProcess(parent QObject_ITF) *QProcess {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQProcess", "", parent}).(*QProcess)
}

func (ptr *QProcess) Arguments() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Arguments"}).([]string)
}

func (ptr *QProcess) CloseReadChannel(channel QProcess__ProcessChannel) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloseReadChannel", channel})
}

func (ptr *QProcess) CloseWriteChannel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloseWriteChannel"})
}

func (ptr *QProcess) Error() QProcess__ProcessError {

	return QProcess__ProcessError(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QProcess) ConnectErrorOccurred(f func(error QProcess__ProcessError)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectErrorOccurred", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProcess) DisconnectErrorOccurred() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectErrorOccurred"})
}

func (ptr *QProcess) ErrorOccurred(error QProcess__ProcessError) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorOccurred", error})
}

func QProcess_Execute(program string, arguments []string) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QProcess_Execute", "", program, arguments}).(float64))
}

func (ptr *QProcess) Execute(program string, arguments []string) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QProcess_Execute", "", program, arguments}).(float64))
}

func QProcess_Execute2(command string) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QProcess_Execute2", "", command}).(float64))
}

func (ptr *QProcess) Execute2(command string) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QProcess_Execute2", "", command}).(float64))
}

func (ptr *QProcess) ExitCode() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExitCode"}).(float64))
}

func (ptr *QProcess) ExitStatus() QProcess__ExitStatus {

	return QProcess__ExitStatus(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExitStatus"}).(float64))
}

func (ptr *QProcess) ConnectFinished(f func(exitCode int, exitStatus QProcess__ExitStatus)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFinished", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProcess) DisconnectFinished() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFinished"})
}

func (ptr *QProcess) Finished(exitCode int, exitStatus QProcess__ExitStatus) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Finished", exitCode, exitStatus})
}

func (ptr *QProcess) InputChannelMode() QProcess__InputChannelMode {

	return QProcess__InputChannelMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputChannelMode"}).(float64))
}

func (ptr *QProcess) ConnectKill(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectKill", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProcess) DisconnectKill() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectKill"})
}

func (ptr *QProcess) Kill() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Kill"})
}

func (ptr *QProcess) KillDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KillDefault"})
}

func (ptr *QProcess) NativeArguments() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NativeArguments"}).(string)
}

func QProcess_NullDevice() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QProcess_NullDevice", ""}).(string)
}

func (ptr *QProcess) NullDevice() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QProcess_NullDevice", ""}).(string)
}

func (ptr *QProcess) ProcessChannelMode() QProcess__ProcessChannelMode {

	return QProcess__ProcessChannelMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProcessChannelMode"}).(float64))
}

func (ptr *QProcess) ProcessEnvironment() *QProcessEnvironment {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProcessEnvironment"}).(*QProcessEnvironment)
}

func (ptr *QProcess) ProcessId() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProcessId"}).(float64))
}

func (ptr *QProcess) Program() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Program"}).(string)
}

func (ptr *QProcess) ReadAllStandardError() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadAllStandardError"}).(*QByteArray)
}

func (ptr *QProcess) ReadAllStandardOutput() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadAllStandardOutput"}).(*QByteArray)
}

func (ptr *QProcess) ReadChannel() QProcess__ProcessChannel {

	return QProcess__ProcessChannel(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadChannel"}).(float64))
}

func (ptr *QProcess) ConnectReadData(f func(data *string, maxlen int64) int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReadData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProcess) DisconnectReadData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReadData"})
}

func (ptr *QProcess) ReadData(data *string, maxlen int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadData", data, maxlen}).(float64))
}

func (ptr *QProcess) ReadDataDefault(data *string, maxlen int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadDataDefault", data, maxlen}).(float64))
}

func (ptr *QProcess) ConnectReadyReadStandardError(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReadyReadStandardError", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProcess) DisconnectReadyReadStandardError() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReadyReadStandardError"})
}

func (ptr *QProcess) ConnectReadyReadStandardOutput(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReadyReadStandardOutput", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProcess) DisconnectReadyReadStandardOutput() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReadyReadStandardOutput"})
}

func (ptr *QProcess) SetArguments(arguments []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetArguments", arguments})
}

func (ptr *QProcess) SetInputChannelMode(mode QProcess__InputChannelMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInputChannelMode", mode})
}

func (ptr *QProcess) SetNativeArguments(arguments string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNativeArguments", arguments})
}

func (ptr *QProcess) SetProcessChannelMode(mode QProcess__ProcessChannelMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetProcessChannelMode", mode})
}

func (ptr *QProcess) SetProcessEnvironment(environment QProcessEnvironment_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetProcessEnvironment", environment})
}

func (ptr *QProcess) SetProcessState(state QProcess__ProcessState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetProcessState", state})
}

func (ptr *QProcess) SetProgram(program string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetProgram", program})
}

func (ptr *QProcess) SetReadChannel(channel QProcess__ProcessChannel) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetReadChannel", channel})
}

func (ptr *QProcess) SetStandardErrorFile(fileName string, mode QIODevice__OpenModeFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStandardErrorFile", fileName, mode})
}

func (ptr *QProcess) SetStandardInputFile(fileName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStandardInputFile", fileName})
}

func (ptr *QProcess) SetStandardOutputFile(fileName string, mode QIODevice__OpenModeFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStandardOutputFile", fileName, mode})
}

func (ptr *QProcess) SetStandardOutputProcess(destination QProcess_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStandardOutputProcess", destination})
}

func (ptr *QProcess) SetWorkingDirectory(dir string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWorkingDirectory", dir})
}

func (ptr *QProcess) ConnectSetupChildProcess(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetupChildProcess", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProcess) DisconnectSetupChildProcess() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetupChildProcess"})
}

func (ptr *QProcess) SetupChildProcess() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetupChildProcess"})
}

func (ptr *QProcess) SetupChildProcessDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetupChildProcessDefault"})
}

func (ptr *QProcess) Start(program string, arguments []string, mode QIODevice__OpenModeFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start", program, arguments, mode})
}

func (ptr *QProcess) Start2(command string, mode QIODevice__OpenModeFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start2", command, mode})
}

func (ptr *QProcess) Start3(mode QIODevice__OpenModeFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start3", mode})
}

func (ptr *QProcess) StartDetached(pid int64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDetached", pid}).(bool)
}

func QProcess_StartDetached2(program string, arguments []string, workingDirectory string, pid int64) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QProcess_StartDetached2", "", program, arguments, workingDirectory, pid}).(bool)
}

func (ptr *QProcess) StartDetached2(program string, arguments []string, workingDirectory string, pid int64) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QProcess_StartDetached2", "", program, arguments, workingDirectory, pid}).(bool)
}

func QProcess_StartDetached3(command string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QProcess_StartDetached3", "", command}).(bool)
}

func (ptr *QProcess) StartDetached3(command string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QProcess_StartDetached3", "", command}).(bool)
}

func (ptr *QProcess) ConnectStarted(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStarted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProcess) DisconnectStarted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStarted"})
}

func (ptr *QProcess) State() QProcess__ProcessState {

	return QProcess__ProcessState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QProcess) ConnectStateChanged(f func(newState QProcess__ProcessState)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProcess) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func QProcess_SystemEnvironment() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QProcess_SystemEnvironment", ""}).([]string)
}

func (ptr *QProcess) SystemEnvironment() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QProcess_SystemEnvironment", ""}).([]string)
}

func (ptr *QProcess) ConnectTerminate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTerminate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProcess) DisconnectTerminate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTerminate"})
}

func (ptr *QProcess) Terminate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Terminate"})
}

func (ptr *QProcess) TerminateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TerminateDefault"})
}

func (ptr *QProcess) WaitForFinished(msecs int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WaitForFinished", msecs}).(bool)
}

func (ptr *QProcess) WaitForStarted(msecs int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WaitForStarted", msecs}).(bool)
}

func (ptr *QProcess) WorkingDirectory() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WorkingDirectory"}).(string)
}

func (ptr *QProcess) ConnectWriteData(f func(data []byte, l int64) int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWriteData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProcess) DisconnectWriteData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWriteData"})
}

func (ptr *QProcess) WriteData(data []byte, l int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteData", data, l}).(float64))
}

func (ptr *QProcess) WriteDataDefault(data []byte, l int64) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteDataDefault", data, l}).(float64))
}

func (ptr *QProcess) ConnectDestroyQProcess(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQProcess", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProcess) DisconnectDestroyQProcess() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQProcess"})
}

func (ptr *QProcess) DestroyQProcess() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQProcess"})
}

func (ptr *QProcess) DestroyQProcessDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQProcessDefault"})
}

type QProcessEnvironment struct {
	internal.Internal
}

type QProcessEnvironment_ITF interface {
	QProcessEnvironment_PTR() *QProcessEnvironment
}

func (ptr *QProcessEnvironment) QProcessEnvironment_PTR() *QProcessEnvironment {
	return ptr
}

func (ptr *QProcessEnvironment) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QProcessEnvironment) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQProcessEnvironment(ptr QProcessEnvironment_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QProcessEnvironment_PTR().Pointer()
	}
	return nil
}

func (n *QProcessEnvironment) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQProcessEnvironmentFromPointer(ptr unsafe.Pointer) (n *QProcessEnvironment) {
	n = new(QProcessEnvironment)
	n.InitFromInternal(uintptr(ptr), "core.QProcessEnvironment")
	return
}
func NewQProcessEnvironment() *QProcessEnvironment {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQProcessEnvironment", ""}).(*QProcessEnvironment)
}

func NewQProcessEnvironment2(other QProcessEnvironment_ITF) *QProcessEnvironment {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQProcessEnvironment2", "", other}).(*QProcessEnvironment)
}

func (ptr *QProcessEnvironment) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QProcessEnvironment) Contains(name string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", name}).(bool)
}

func (ptr *QProcessEnvironment) Insert(name string, value string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Insert", name, value})
}

func (ptr *QProcessEnvironment) Insert2(e QProcessEnvironment_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Insert2", e})
}

func (ptr *QProcessEnvironment) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QProcessEnvironment) Keys() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Keys"}).([]string)
}

func (ptr *QProcessEnvironment) Remove(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove", name})
}

func (ptr *QProcessEnvironment) Swap(other QProcessEnvironment_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func QProcessEnvironment_SystemEnvironment() *QProcessEnvironment {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QProcessEnvironment_SystemEnvironment", ""}).(*QProcessEnvironment)
}

func (ptr *QProcessEnvironment) SystemEnvironment() *QProcessEnvironment {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QProcessEnvironment_SystemEnvironment", ""}).(*QProcessEnvironment)
}

func (ptr *QProcessEnvironment) ToStringList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToStringList"}).([]string)
}

func (ptr *QProcessEnvironment) Value(name string, defaultValue string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value", name, defaultValue}).(string)
}

func (ptr *QProcessEnvironment) DestroyQProcessEnvironment() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQProcessEnvironment"})
}

type QPropertyAnimation struct {
	QVariantAnimation
}

type QPropertyAnimation_ITF interface {
	QVariantAnimation_ITF
	QPropertyAnimation_PTR() *QPropertyAnimation
}

func (ptr *QPropertyAnimation) QPropertyAnimation_PTR() *QPropertyAnimation {
	return ptr
}

func (ptr *QPropertyAnimation) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVariantAnimation_PTR().Pointer()
	}
	return nil
}

func (ptr *QPropertyAnimation) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVariantAnimation_PTR().SetPointer(p)
	}
}

func PointerFromQPropertyAnimation(ptr QPropertyAnimation_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPropertyAnimation_PTR().Pointer()
	}
	return nil
}

func (n *QPropertyAnimation) InitFromInternal(ptr uintptr, name string) {
	n.QVariantAnimation_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPropertyAnimation) ClassNameInternalF() string {
	return n.QVariantAnimation_PTR().ClassNameInternalF()
}

func NewQPropertyAnimationFromPointer(ptr unsafe.Pointer) (n *QPropertyAnimation) {
	n = new(QPropertyAnimation)
	n.InitFromInternal(uintptr(ptr), "core.QPropertyAnimation")
	return
}
func NewQPropertyAnimation(parent QObject_ITF) *QPropertyAnimation {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQPropertyAnimation", "", parent}).(*QPropertyAnimation)
}

func NewQPropertyAnimation2(target QObject_ITF, propertyName QByteArray_ITF, parent QObject_ITF) *QPropertyAnimation {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQPropertyAnimation2", "", target, propertyName, parent}).(*QPropertyAnimation)
}

func (ptr *QPropertyAnimation) PropertyName() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PropertyName"}).(*QByteArray)
}

func (ptr *QPropertyAnimation) SetPropertyName(propertyName QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPropertyName", propertyName})
}

func (ptr *QPropertyAnimation) SetTargetObject(target QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTargetObject", target})
}

func (ptr *QPropertyAnimation) TargetObject() *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TargetObject"}).(*QObject)
}

func (ptr *QPropertyAnimation) ConnectDestroyQPropertyAnimation(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQPropertyAnimation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPropertyAnimation) DisconnectDestroyQPropertyAnimation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQPropertyAnimation"})
}

func (ptr *QPropertyAnimation) DestroyQPropertyAnimation() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPropertyAnimation"})
}

func (ptr *QPropertyAnimation) DestroyQPropertyAnimationDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPropertyAnimationDefault"})
}

type QQueue struct {
	internal.Internal
}

type QQueue_ITF interface {
	QQueue_PTR() *QQueue
}

func (ptr *QQueue) QQueue_PTR() *QQueue {
	return ptr
}

func (ptr *QQueue) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QQueue) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQQueue(ptr QQueue_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QQueue_PTR().Pointer()
	}
	return nil
}

func (n *QQueue) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQQueueFromPointer(ptr unsafe.Pointer) (n *QQueue) {
	n = new(QQueue)
	n.InitFromInternal(uintptr(ptr), "core.QQueue")
	return
}

func (ptr *QQueue) DestroyQQueue() {
}

type QRandomGenerator struct {
	internal.Internal
}

type QRandomGenerator_ITF interface {
	QRandomGenerator_PTR() *QRandomGenerator
}

func (ptr *QRandomGenerator) QRandomGenerator_PTR() *QRandomGenerator {
	return ptr
}

func (ptr *QRandomGenerator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QRandomGenerator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQRandomGenerator(ptr QRandomGenerator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRandomGenerator_PTR().Pointer()
	}
	return nil
}

func (n *QRandomGenerator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQRandomGeneratorFromPointer(ptr unsafe.Pointer) (n *QRandomGenerator) {
	n = new(QRandomGenerator)
	n.InitFromInternal(uintptr(ptr), "core.QRandomGenerator")
	return
}

func (ptr *QRandomGenerator) DestroyQRandomGenerator() {
}

func NewQRandomGenerator(seedValue uint) *QRandomGenerator {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRandomGenerator", "", seedValue}).(*QRandomGenerator)
}

func NewQRandomGenerator5(begin uint, end uint) *QRandomGenerator {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRandomGenerator5", "", begin, end}).(*QRandomGenerator)
}

func NewQRandomGenerator6(other QRandomGenerator_ITF) *QRandomGenerator {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRandomGenerator6", "", other}).(*QRandomGenerator)
}

func (ptr *QRandomGenerator) Bounded(highest float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bounded", highest}).(float64)
}

func (ptr *QRandomGenerator) Bounded2(highest uint) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bounded2", highest}).(float64))
}

func (ptr *QRandomGenerator) Bounded3(highest int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bounded3", highest}).(float64))
}

func (ptr *QRandomGenerator) Bounded4(lowest uint, highest uint) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bounded4", lowest, highest}).(float64))
}

func (ptr *QRandomGenerator) Bounded5(lowest int, highest int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bounded5", lowest, highest}).(float64))
}

func (ptr *QRandomGenerator) Discard(z uint64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Discard", z})
}

func (ptr *QRandomGenerator) Generate() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Generate"}).(float64))
}

func (ptr *QRandomGenerator) Generate64() uint64 {

	return uint64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Generate64"}).(float64))
}

func (ptr *QRandomGenerator) GenerateDouble() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GenerateDouble"}).(float64)
}

func QRandomGenerator_Global() *QRandomGenerator {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QRandomGenerator_Global", ""}).(*QRandomGenerator)
}

func (ptr *QRandomGenerator) Global() *QRandomGenerator {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QRandomGenerator_Global", ""}).(*QRandomGenerator)
}

func QRandomGenerator_SecurelySeeded() *QRandomGenerator {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QRandomGenerator_SecurelySeeded", ""}).(*QRandomGenerator)
}

func (ptr *QRandomGenerator) SecurelySeeded() *QRandomGenerator {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QRandomGenerator_SecurelySeeded", ""}).(*QRandomGenerator)
}

func (ptr *QRandomGenerator) Seed(seed uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Seed", seed})
}

func QRandomGenerator_System() *QRandomGenerator {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QRandomGenerator_System", ""}).(*QRandomGenerator)
}

func (ptr *QRandomGenerator) System() *QRandomGenerator {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QRandomGenerator_System", ""}).(*QRandomGenerator)
}

type QRandomGenerator64 struct {
	QRandomGenerator
}

type QRandomGenerator64_ITF interface {
	QRandomGenerator_ITF
	QRandomGenerator64_PTR() *QRandomGenerator64
}

func (ptr *QRandomGenerator64) QRandomGenerator64_PTR() *QRandomGenerator64 {
	return ptr
}

func (ptr *QRandomGenerator64) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QRandomGenerator_PTR().Pointer()
	}
	return nil
}

func (ptr *QRandomGenerator64) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QRandomGenerator_PTR().SetPointer(p)
	}
}

func PointerFromQRandomGenerator64(ptr QRandomGenerator64_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRandomGenerator64_PTR().Pointer()
	}
	return nil
}

func (n *QRandomGenerator64) InitFromInternal(ptr uintptr, name string) {
	n.QRandomGenerator_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QRandomGenerator64) ClassNameInternalF() string {
	return n.QRandomGenerator_PTR().ClassNameInternalF()
}

func NewQRandomGenerator64FromPointer(ptr unsafe.Pointer) (n *QRandomGenerator64) {
	n = new(QRandomGenerator64)
	n.InitFromInternal(uintptr(ptr), "core.QRandomGenerator64")
	return
}

func (ptr *QRandomGenerator64) DestroyQRandomGenerator64() {
}

func (ptr *QRandomGenerator64) Generate() uint64 {

	return uint64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Generate"}).(float64))
}

type QReadLocker struct {
	internal.Internal
}

type QReadLocker_ITF interface {
	QReadLocker_PTR() *QReadLocker
}

func (ptr *QReadLocker) QReadLocker_PTR() *QReadLocker {
	return ptr
}

func (ptr *QReadLocker) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QReadLocker) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQReadLocker(ptr QReadLocker_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QReadLocker_PTR().Pointer()
	}
	return nil
}

func (n *QReadLocker) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQReadLockerFromPointer(ptr unsafe.Pointer) (n *QReadLocker) {
	n = new(QReadLocker)
	n.InitFromInternal(uintptr(ptr), "core.QReadLocker")
	return
}
func NewQReadLocker(lock QReadWriteLock_ITF) *QReadLocker {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQReadLocker", "", lock}).(*QReadLocker)
}

func (ptr *QReadLocker) ReadWriteLock() *QReadWriteLock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadWriteLock"}).(*QReadWriteLock)
}

func (ptr *QReadLocker) Relock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Relock"})
}

func (ptr *QReadLocker) Unlock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unlock"})
}

func (ptr *QReadLocker) DestroyQReadLocker() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQReadLocker"})
}

type QReadWriteLock struct {
	internal.Internal
}

type QReadWriteLock_ITF interface {
	QReadWriteLock_PTR() *QReadWriteLock
}

func (ptr *QReadWriteLock) QReadWriteLock_PTR() *QReadWriteLock {
	return ptr
}

func (ptr *QReadWriteLock) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QReadWriteLock) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQReadWriteLock(ptr QReadWriteLock_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QReadWriteLock_PTR().Pointer()
	}
	return nil
}

func (n *QReadWriteLock) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQReadWriteLockFromPointer(ptr unsafe.Pointer) (n *QReadWriteLock) {
	n = new(QReadWriteLock)
	n.InitFromInternal(uintptr(ptr), "core.QReadWriteLock")
	return
}

//go:generate stringer -type=QReadWriteLock__RecursionMode
//QReadWriteLock::RecursionMode
type QReadWriteLock__RecursionMode int64

const (
	QReadWriteLock__NonRecursive QReadWriteLock__RecursionMode = QReadWriteLock__RecursionMode(0)
	QReadWriteLock__Recursive    QReadWriteLock__RecursionMode = QReadWriteLock__RecursionMode(1)
)

func NewQReadWriteLock(recursionMode QReadWriteLock__RecursionMode) *QReadWriteLock {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQReadWriteLock", "", recursionMode}).(*QReadWriteLock)
}

func (ptr *QReadWriteLock) LockForRead() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LockForRead"})
}

func (ptr *QReadWriteLock) LockForWrite() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LockForWrite"})
}

func (ptr *QReadWriteLock) TryLockForRead() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TryLockForRead"}).(bool)
}

func (ptr *QReadWriteLock) TryLockForRead2(timeout int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TryLockForRead2", timeout}).(bool)
}

func (ptr *QReadWriteLock) TryLockForWrite() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TryLockForWrite"}).(bool)
}

func (ptr *QReadWriteLock) TryLockForWrite2(timeout int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TryLockForWrite2", timeout}).(bool)
}

func (ptr *QReadWriteLock) Unlock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unlock"})
}

func (ptr *QReadWriteLock) DestroyQReadWriteLock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQReadWriteLock"})
}

type QRect struct {
	internal.Internal
}

type QRect_ITF interface {
	QRect_PTR() *QRect
}

func (ptr *QRect) QRect_PTR() *QRect {
	return ptr
}

func (ptr *QRect) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QRect) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQRect(ptr QRect_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRect_PTR().Pointer()
	}
	return nil
}

func (n *QRect) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQRectFromPointer(ptr unsafe.Pointer) (n *QRect) {
	n = new(QRect)
	n.InitFromInternal(uintptr(ptr), "core.QRect")
	return
}

func (ptr *QRect) DestroyQRect() {
}

func NewQRect() *QRect {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRect", ""}).(*QRect)
}

func NewQRect2(topLeft QPoint_ITF, bottomRight QPoint_ITF) *QRect {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRect2", "", topLeft, bottomRight}).(*QRect)
}

func NewQRect3(topLeft QPoint_ITF, size QSize_ITF) *QRect {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRect3", "", topLeft, size}).(*QRect)
}

func NewQRect4(x int, y int, width int, height int) *QRect {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRect4", "", x, y, width, height}).(*QRect)
}

func (ptr *QRect) Adjust(dx1 int, dy1 int, dx2 int, dy2 int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Adjust", dx1, dy1, dx2, dy2})
}

func (ptr *QRect) Adjusted(dx1 int, dy1 int, dx2 int, dy2 int) *QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Adjusted", dx1, dy1, dx2, dy2}).(*QRect)
}

func (ptr *QRect) Bottom() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bottom"}).(float64))
}

func (ptr *QRect) BottomLeft() *QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BottomLeft"}).(*QPoint)
}

func (ptr *QRect) BottomRight() *QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BottomRight"}).(*QPoint)
}

func (ptr *QRect) Center() *QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Center"}).(*QPoint)
}

func (ptr *QRect) Contains(point QPoint_ITF, proper bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", point, proper}).(bool)
}

func (ptr *QRect) Contains2(rectangle QRect_ITF, proper bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains2", rectangle, proper}).(bool)
}

func (ptr *QRect) Contains3(x int, y int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains3", x, y}).(bool)
}

func (ptr *QRect) Contains4(x int, y int, proper bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains4", x, y, proper}).(bool)
}

func (ptr *QRect) GetCoords(x1 int, y1 int, x2 int, y2 int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetCoords", x1, y1, x2, y2})
}

func (ptr *QRect) GetRect(x int, y int, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetRect", x, y, width, height})
}

func (ptr *QRect) Height() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64))
}

func (ptr *QRect) Intersected(rectangle QRect_ITF) *QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersected", rectangle}).(*QRect)
}

func (ptr *QRect) Intersects(rectangle QRect_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersects", rectangle}).(bool)
}

func (ptr *QRect) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QRect) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QRect) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QRect) Left() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Left"}).(float64))
}

func (ptr *QRect) MarginsAdded(margins QMargins_ITF) *QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MarginsAdded", margins}).(*QRect)
}

func (ptr *QRect) MarginsRemoved(margins QMargins_ITF) *QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MarginsRemoved", margins}).(*QRect)
}

func (ptr *QRect) MoveBottom(y int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveBottom", y})
}

func (ptr *QRect) MoveBottomLeft(position QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveBottomLeft", position})
}

func (ptr *QRect) MoveBottomRight(position QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveBottomRight", position})
}

func (ptr *QRect) MoveCenter(position QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCenter", position})
}

func (ptr *QRect) MoveLeft(x int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveLeft", x})
}

func (ptr *QRect) MoveRight(x int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveRight", x})
}

func (ptr *QRect) MoveTo(x int, y int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveTo", x, y})
}

func (ptr *QRect) MoveTo2(position QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveTo2", position})
}

func (ptr *QRect) MoveTop(y int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveTop", y})
}

func (ptr *QRect) MoveTopLeft(position QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveTopLeft", position})
}

func (ptr *QRect) MoveTopRight(position QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveTopRight", position})
}

func (ptr *QRect) Normalized() *QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Normalized"}).(*QRect)
}

func (ptr *QRect) Right() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Right"}).(float64))
}

func (ptr *QRect) SetBottom(y int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottom", y})
}

func (ptr *QRect) SetBottomLeft(position QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottomLeft", position})
}

func (ptr *QRect) SetBottomRight(position QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottomRight", position})
}

func (ptr *QRect) SetCoords(x1 int, y1 int, x2 int, y2 int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCoords", x1, y1, x2, y2})
}

func (ptr *QRect) SetHeight(height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeight", height})
}

func (ptr *QRect) SetLeft(x int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLeft", x})
}

func (ptr *QRect) SetRect(x int, y int, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRect", x, y, width, height})
}

func (ptr *QRect) SetRight(x int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRight", x})
}

func (ptr *QRect) SetSize(size QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSize", size})
}

func (ptr *QRect) SetTop(y int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTop", y})
}

func (ptr *QRect) SetTopLeft(position QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTopLeft", position})
}

func (ptr *QRect) SetTopRight(position QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTopRight", position})
}

func (ptr *QRect) SetWidth(width int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidth", width})
}

func (ptr *QRect) SetX(x int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetX", x})
}

func (ptr *QRect) SetY(y int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetY", y})
}

func (ptr *QRect) Size() *QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(*QSize)
}

func (ptr *QRect) Top() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Top"}).(float64))
}

func (ptr *QRect) TopLeft() *QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopLeft"}).(*QPoint)
}

func (ptr *QRect) TopRight() *QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopRight"}).(*QPoint)
}

func (ptr *QRect) Translate(dx int, dy int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate", dx, dy})
}

func (ptr *QRect) Translate2(offset QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate2", offset})
}

func (ptr *QRect) Translated(dx int, dy int) *QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated", dx, dy}).(*QRect)
}

func (ptr *QRect) Translated2(offset QPoint_ITF) *QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated2", offset}).(*QRect)
}

func (ptr *QRect) Transposed() *QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transposed"}).(*QRect)
}

func (ptr *QRect) United(rectangle QRect_ITF) *QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "United", rectangle}).(*QRect)
}

func (ptr *QRect) Width() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64))
}

func (ptr *QRect) X() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float64))
}

func (ptr *QRect) Y() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float64))
}

type QRectF struct {
	internal.Internal
}

type QRectF_ITF interface {
	QRectF_PTR() *QRectF
}

func (ptr *QRectF) QRectF_PTR() *QRectF {
	return ptr
}

func (ptr *QRectF) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QRectF) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQRectF(ptr QRectF_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRectF_PTR().Pointer()
	}
	return nil
}

func (n *QRectF) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQRectFFromPointer(ptr unsafe.Pointer) (n *QRectF) {
	n = new(QRectF)
	n.InitFromInternal(uintptr(ptr), "core.QRectF")
	return
}

func (ptr *QRectF) DestroyQRectF() {
}

func NewQRectF() *QRectF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRectF", ""}).(*QRectF)
}

func NewQRectF2(topLeft QPointF_ITF, size QSizeF_ITF) *QRectF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRectF2", "", topLeft, size}).(*QRectF)
}

func NewQRectF3(topLeft QPointF_ITF, bottomRight QPointF_ITF) *QRectF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRectF3", "", topLeft, bottomRight}).(*QRectF)
}

func NewQRectF4(x float64, y float64, width float64, height float64) *QRectF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRectF4", "", x, y, width, height}).(*QRectF)
}

func NewQRectF5(rectangle QRect_ITF) *QRectF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRectF5", "", rectangle}).(*QRectF)
}

func (ptr *QRectF) Adjust(dx1 float64, dy1 float64, dx2 float64, dy2 float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Adjust", dx1, dy1, dx2, dy2})
}

func (ptr *QRectF) Adjusted(dx1 float64, dy1 float64, dx2 float64, dy2 float64) *QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Adjusted", dx1, dy1, dx2, dy2}).(*QRectF)
}

func (ptr *QRectF) Bottom() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bottom"}).(float64)
}

func (ptr *QRectF) BottomLeft() *QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BottomLeft"}).(*QPointF)
}

func (ptr *QRectF) BottomRight() *QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BottomRight"}).(*QPointF)
}

func (ptr *QRectF) Center() *QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Center"}).(*QPointF)
}

func (ptr *QRectF) Contains(point QPointF_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", point}).(bool)
}

func (ptr *QRectF) Contains2(rectangle QRectF_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains2", rectangle}).(bool)
}

func (ptr *QRectF) Contains3(x float64, y float64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains3", x, y}).(bool)
}

func (ptr *QRectF) GetCoords(x1 float64, y1 float64, x2 float64, y2 float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetCoords", x1, y1, x2, y2})
}

func (ptr *QRectF) GetRect(x float64, y float64, width float64, height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetRect", x, y, width, height})
}

func (ptr *QRectF) Height() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64)
}

func (ptr *QRectF) Intersected(rectangle QRectF_ITF) *QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersected", rectangle}).(*QRectF)
}

func (ptr *QRectF) Intersects(rectangle QRectF_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersects", rectangle}).(bool)
}

func (ptr *QRectF) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QRectF) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QRectF) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QRectF) Left() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Left"}).(float64)
}

func (ptr *QRectF) MarginsAdded(margins QMarginsF_ITF) *QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MarginsAdded", margins}).(*QRectF)
}

func (ptr *QRectF) MarginsRemoved(margins QMarginsF_ITF) *QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MarginsRemoved", margins}).(*QRectF)
}

func (ptr *QRectF) MoveBottom(y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveBottom", y})
}

func (ptr *QRectF) MoveBottomLeft(position QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveBottomLeft", position})
}

func (ptr *QRectF) MoveBottomRight(position QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveBottomRight", position})
}

func (ptr *QRectF) MoveCenter(position QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCenter", position})
}

func (ptr *QRectF) MoveLeft(x float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveLeft", x})
}

func (ptr *QRectF) MoveRight(x float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveRight", x})
}

func (ptr *QRectF) MoveTo(x float64, y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveTo", x, y})
}

func (ptr *QRectF) MoveTo2(position QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveTo2", position})
}

func (ptr *QRectF) MoveTop(y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveTop", y})
}

func (ptr *QRectF) MoveTopLeft(position QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveTopLeft", position})
}

func (ptr *QRectF) MoveTopRight(position QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveTopRight", position})
}

func (ptr *QRectF) Normalized() *QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Normalized"}).(*QRectF)
}

func (ptr *QRectF) Right() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Right"}).(float64)
}

func (ptr *QRectF) SetBottom(y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottom", y})
}

func (ptr *QRectF) SetBottomLeft(position QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottomLeft", position})
}

func (ptr *QRectF) SetBottomRight(position QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottomRight", position})
}

func (ptr *QRectF) SetCoords(x1 float64, y1 float64, x2 float64, y2 float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCoords", x1, y1, x2, y2})
}

func (ptr *QRectF) SetHeight(height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeight", height})
}

func (ptr *QRectF) SetLeft(x float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLeft", x})
}

func (ptr *QRectF) SetRect(x float64, y float64, width float64, height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRect", x, y, width, height})
}

func (ptr *QRectF) SetRight(x float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRight", x})
}

func (ptr *QRectF) SetSize(size QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSize", size})
}

func (ptr *QRectF) SetTop(y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTop", y})
}

func (ptr *QRectF) SetTopLeft(position QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTopLeft", position})
}

func (ptr *QRectF) SetTopRight(position QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTopRight", position})
}

func (ptr *QRectF) SetWidth(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidth", width})
}

func (ptr *QRectF) SetX(x float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetX", x})
}

func (ptr *QRectF) SetY(y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetY", y})
}

func (ptr *QRectF) Size() *QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(*QSizeF)
}

func (ptr *QRectF) ToAlignedRect() *QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToAlignedRect"}).(*QRect)
}

func (ptr *QRectF) ToRect() *QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToRect"}).(*QRect)
}

func (ptr *QRectF) Top() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Top"}).(float64)
}

func (ptr *QRectF) TopLeft() *QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopLeft"}).(*QPointF)
}

func (ptr *QRectF) TopRight() *QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopRight"}).(*QPointF)
}

func (ptr *QRectF) Translate(dx float64, dy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate", dx, dy})
}

func (ptr *QRectF) Translate2(offset QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate2", offset})
}

func (ptr *QRectF) Translated(dx float64, dy float64) *QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated", dx, dy}).(*QRectF)
}

func (ptr *QRectF) Translated2(offset QPointF_ITF) *QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated2", offset}).(*QRectF)
}

func (ptr *QRectF) Transposed() *QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transposed"}).(*QRectF)
}

func (ptr *QRectF) United(rectangle QRectF_ITF) *QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "United", rectangle}).(*QRectF)
}

func (ptr *QRectF) Width() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64)
}

func (ptr *QRectF) X() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float64)
}

func (ptr *QRectF) Y() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float64)
}

type QRegExp struct {
	internal.Internal
}

type QRegExp_ITF interface {
	QRegExp_PTR() *QRegExp
}

func (ptr *QRegExp) QRegExp_PTR() *QRegExp {
	return ptr
}

func (ptr *QRegExp) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QRegExp) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQRegExp(ptr QRegExp_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRegExp_PTR().Pointer()
	}
	return nil
}

func (n *QRegExp) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQRegExpFromPointer(ptr unsafe.Pointer) (n *QRegExp) {
	n = new(QRegExp)
	n.InitFromInternal(uintptr(ptr), "core.QRegExp")
	return
}

//go:generate stringer -type=QRegExp__PatternSyntax
//QRegExp::PatternSyntax
type QRegExp__PatternSyntax int64

const (
	QRegExp__RegExp         QRegExp__PatternSyntax = QRegExp__PatternSyntax(0)
	QRegExp__Wildcard       QRegExp__PatternSyntax = QRegExp__PatternSyntax(1)
	QRegExp__FixedString    QRegExp__PatternSyntax = QRegExp__PatternSyntax(2)
	QRegExp__RegExp2        QRegExp__PatternSyntax = QRegExp__PatternSyntax(3)
	QRegExp__WildcardUnix   QRegExp__PatternSyntax = QRegExp__PatternSyntax(4)
	QRegExp__W3CXmlSchema11 QRegExp__PatternSyntax = QRegExp__PatternSyntax(5)
)

//go:generate stringer -type=QRegExp__CaretMode
//QRegExp::CaretMode
type QRegExp__CaretMode int64

const (
	QRegExp__CaretAtZero    QRegExp__CaretMode = QRegExp__CaretMode(0)
	QRegExp__CaretAtOffset  QRegExp__CaretMode = QRegExp__CaretMode(1)
	QRegExp__CaretWontMatch QRegExp__CaretMode = QRegExp__CaretMode(2)
)

func NewQRegExp() *QRegExp {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRegExp", ""}).(*QRegExp)
}

func NewQRegExp2(pattern string, cs Qt__CaseSensitivity, syntax QRegExp__PatternSyntax) *QRegExp {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRegExp2", "", pattern, cs, syntax}).(*QRegExp)
}

func NewQRegExp3(rx QRegExp_ITF) *QRegExp {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRegExp3", "", rx}).(*QRegExp)
}

func (ptr *QRegExp) Cap(nth int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Cap", nth}).(string)
}

func (ptr *QRegExp) CaptureCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CaptureCount"}).(float64))
}

func (ptr *QRegExp) CapturedTexts() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedTexts"}).([]string)
}

func (ptr *QRegExp) CaseSensitivity() Qt__CaseSensitivity {

	return Qt__CaseSensitivity(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CaseSensitivity"}).(float64))
}

func (ptr *QRegExp) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func QRegExp_Escape(str string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QRegExp_Escape", "", str}).(string)
}

func (ptr *QRegExp) Escape(str string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QRegExp_Escape", "", str}).(string)
}

func (ptr *QRegExp) ExactMatch(str string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExactMatch", str}).(bool)
}

func (ptr *QRegExp) IndexIn(str string, offset int, caretMode QRegExp__CaretMode) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexIn", str, offset, caretMode}).(float64))
}

func (ptr *QRegExp) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QRegExp) IsMinimal() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMinimal"}).(bool)
}

func (ptr *QRegExp) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QRegExp) LastIndexIn(str string, offset int, caretMode QRegExp__CaretMode) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastIndexIn", str, offset, caretMode}).(float64))
}

func (ptr *QRegExp) MatchedLength() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MatchedLength"}).(float64))
}

func (ptr *QRegExp) Pattern() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pattern"}).(string)
}

func (ptr *QRegExp) PatternSyntax() QRegExp__PatternSyntax {

	return QRegExp__PatternSyntax(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PatternSyntax"}).(float64))
}

func (ptr *QRegExp) Pos(nth int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos", nth}).(float64))
}

func (ptr *QRegExp) SetCaseSensitivity(cs Qt__CaseSensitivity) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCaseSensitivity", cs})
}

func (ptr *QRegExp) SetMinimal(minimal bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimal", minimal})
}

func (ptr *QRegExp) SetPattern(pattern string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPattern", pattern})
}

func (ptr *QRegExp) SetPatternSyntax(syntax QRegExp__PatternSyntax) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPatternSyntax", syntax})
}

func (ptr *QRegExp) Swap(other QRegExp_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QRegExp) DestroyQRegExp() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRegExp"})
}

type QRegularExpression struct {
	internal.Internal
}

type QRegularExpression_ITF interface {
	QRegularExpression_PTR() *QRegularExpression
}

func (ptr *QRegularExpression) QRegularExpression_PTR() *QRegularExpression {
	return ptr
}

func (ptr *QRegularExpression) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QRegularExpression) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQRegularExpression(ptr QRegularExpression_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRegularExpression_PTR().Pointer()
	}
	return nil
}

func (n *QRegularExpression) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQRegularExpressionFromPointer(ptr unsafe.Pointer) (n *QRegularExpression) {
	n = new(QRegularExpression)
	n.InitFromInternal(uintptr(ptr), "core.QRegularExpression")
	return
}

//go:generate stringer -type=QRegularExpression__PatternOption
//QRegularExpression::PatternOption
type QRegularExpression__PatternOption int64

const (
	QRegularExpression__NoPatternOption                 QRegularExpression__PatternOption = QRegularExpression__PatternOption(0x0000)
	QRegularExpression__CaseInsensitiveOption           QRegularExpression__PatternOption = QRegularExpression__PatternOption(0x0001)
	QRegularExpression__DotMatchesEverythingOption      QRegularExpression__PatternOption = QRegularExpression__PatternOption(0x0002)
	QRegularExpression__MultilineOption                 QRegularExpression__PatternOption = QRegularExpression__PatternOption(0x0004)
	QRegularExpression__ExtendedPatternSyntaxOption     QRegularExpression__PatternOption = QRegularExpression__PatternOption(0x0008)
	QRegularExpression__InvertedGreedinessOption        QRegularExpression__PatternOption = QRegularExpression__PatternOption(0x0010)
	QRegularExpression__DontCaptureOption               QRegularExpression__PatternOption = QRegularExpression__PatternOption(0x0020)
	QRegularExpression__UseUnicodePropertiesOption      QRegularExpression__PatternOption = QRegularExpression__PatternOption(0x0040)
	QRegularExpression__OptimizeOnFirstUsageOption      QRegularExpression__PatternOption = QRegularExpression__PatternOption(0x0080)
	QRegularExpression__DontAutomaticallyOptimizeOption QRegularExpression__PatternOption = QRegularExpression__PatternOption(0x0100)
)

//go:generate stringer -type=QRegularExpression__MatchType
//QRegularExpression::MatchType
type QRegularExpression__MatchType int64

const (
	QRegularExpression__NormalMatch                QRegularExpression__MatchType = QRegularExpression__MatchType(0)
	QRegularExpression__PartialPreferCompleteMatch QRegularExpression__MatchType = QRegularExpression__MatchType(1)
	QRegularExpression__PartialPreferFirstMatch    QRegularExpression__MatchType = QRegularExpression__MatchType(2)
	QRegularExpression__NoMatch                    QRegularExpression__MatchType = QRegularExpression__MatchType(3)
)

//go:generate stringer -type=QRegularExpression__MatchOption
//QRegularExpression::MatchOption
type QRegularExpression__MatchOption int64

const (
	QRegularExpression__NoMatchOption                     QRegularExpression__MatchOption = QRegularExpression__MatchOption(0x0000)
	QRegularExpression__AnchoredMatchOption               QRegularExpression__MatchOption = QRegularExpression__MatchOption(0x0001)
	QRegularExpression__DontCheckSubjectStringMatchOption QRegularExpression__MatchOption = QRegularExpression__MatchOption(0x0002)
)

func NewQRegularExpression() *QRegularExpression {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRegularExpression", ""}).(*QRegularExpression)
}

func NewQRegularExpression2(pattern string, options QRegularExpression__PatternOption) *QRegularExpression {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRegularExpression2", "", pattern, options}).(*QRegularExpression)
}

func NewQRegularExpression3(re QRegularExpression_ITF) *QRegularExpression {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRegularExpression3", "", re}).(*QRegularExpression)
}

func QRegularExpression_AnchoredPattern(expression string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QRegularExpression_AnchoredPattern", "", expression}).(string)
}

func (ptr *QRegularExpression) AnchoredPattern(expression string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QRegularExpression_AnchoredPattern", "", expression}).(string)
}

func (ptr *QRegularExpression) CaptureCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CaptureCount"}).(float64))
}

func (ptr *QRegularExpression) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func QRegularExpression_Escape(str string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QRegularExpression_Escape", "", str}).(string)
}

func (ptr *QRegularExpression) Escape(str string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QRegularExpression_Escape", "", str}).(string)
}

func (ptr *QRegularExpression) GlobalMatch(subject string, offset int, matchType QRegularExpression__MatchType, matchOptions QRegularExpression__MatchOption) *QRegularExpressionMatchIterator {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalMatch", subject, offset, matchType, matchOptions}).(*QRegularExpressionMatchIterator)
}

func (ptr *QRegularExpression) GlobalMatch2(subjectRef QStringRef_ITF, offset int, matchType QRegularExpression__MatchType, matchOptions QRegularExpression__MatchOption) *QRegularExpressionMatchIterator {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalMatch2", subjectRef, offset, matchType, matchOptions}).(*QRegularExpressionMatchIterator)
}

func (ptr *QRegularExpression) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QRegularExpression) Match(subject string, offset int, matchType QRegularExpression__MatchType, matchOptions QRegularExpression__MatchOption) *QRegularExpressionMatch {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Match", subject, offset, matchType, matchOptions}).(*QRegularExpressionMatch)
}

func (ptr *QRegularExpression) Match2(subjectRef QStringRef_ITF, offset int, matchType QRegularExpression__MatchType, matchOptions QRegularExpression__MatchOption) *QRegularExpressionMatch {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Match2", subjectRef, offset, matchType, matchOptions}).(*QRegularExpressionMatch)
}

func (ptr *QRegularExpression) NamedCaptureGroups() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NamedCaptureGroups"}).([]string)
}

func (ptr *QRegularExpression) Optimize() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Optimize"})
}

func (ptr *QRegularExpression) Pattern() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pattern"}).(string)
}

func (ptr *QRegularExpression) PatternErrorOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PatternErrorOffset"}).(float64))
}

func (ptr *QRegularExpression) PatternOptions() QRegularExpression__PatternOption {

	return QRegularExpression__PatternOption(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PatternOptions"}).(float64))
}

func (ptr *QRegularExpression) SetPattern(pattern string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPattern", pattern})
}

func (ptr *QRegularExpression) SetPatternOptions(options QRegularExpression__PatternOption) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPatternOptions", options})
}

func (ptr *QRegularExpression) Swap(other QRegularExpression_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func QRegularExpression_WildcardToRegularExpression(pattern string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QRegularExpression_WildcardToRegularExpression", "", pattern}).(string)
}

func (ptr *QRegularExpression) WildcardToRegularExpression(pattern string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QRegularExpression_WildcardToRegularExpression", "", pattern}).(string)
}

func (ptr *QRegularExpression) DestroyQRegularExpression() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRegularExpression"})
}

type QRegularExpressionMatch struct {
	internal.Internal
}

type QRegularExpressionMatch_ITF interface {
	QRegularExpressionMatch_PTR() *QRegularExpressionMatch
}

func (ptr *QRegularExpressionMatch) QRegularExpressionMatch_PTR() *QRegularExpressionMatch {
	return ptr
}

func (ptr *QRegularExpressionMatch) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QRegularExpressionMatch) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQRegularExpressionMatch(ptr QRegularExpressionMatch_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRegularExpressionMatch_PTR().Pointer()
	}
	return nil
}

func (n *QRegularExpressionMatch) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQRegularExpressionMatchFromPointer(ptr unsafe.Pointer) (n *QRegularExpressionMatch) {
	n = new(QRegularExpressionMatch)
	n.InitFromInternal(uintptr(ptr), "core.QRegularExpressionMatch")
	return
}
func NewQRegularExpressionMatch() *QRegularExpressionMatch {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRegularExpressionMatch", ""}).(*QRegularExpressionMatch)
}

func NewQRegularExpressionMatch2(match QRegularExpressionMatch_ITF) *QRegularExpressionMatch {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRegularExpressionMatch2", "", match}).(*QRegularExpressionMatch)
}

func (ptr *QRegularExpressionMatch) Captured(nth int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Captured", nth}).(string)
}

func (ptr *QRegularExpressionMatch) Captured2(name string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Captured2", name}).(string)
}

func (ptr *QRegularExpressionMatch) Captured3(name QStringView_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Captured3", name}).(string)
}

func (ptr *QRegularExpressionMatch) CapturedEnd(nth int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedEnd", nth}).(float64))
}

func (ptr *QRegularExpressionMatch) CapturedEnd2(name string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedEnd2", name}).(float64))
}

func (ptr *QRegularExpressionMatch) CapturedEnd3(name QStringView_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedEnd3", name}).(float64))
}

func (ptr *QRegularExpressionMatch) CapturedLength(nth int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedLength", nth}).(float64))
}

func (ptr *QRegularExpressionMatch) CapturedLength2(name string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedLength2", name}).(float64))
}

func (ptr *QRegularExpressionMatch) CapturedLength3(name QStringView_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedLength3", name}).(float64))
}

func (ptr *QRegularExpressionMatch) CapturedRef(nth int) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedRef", nth}).(*QStringRef)
}

func (ptr *QRegularExpressionMatch) CapturedRef2(name string) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedRef2", name}).(*QStringRef)
}

func (ptr *QRegularExpressionMatch) CapturedRef3(name QStringView_ITF) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedRef3", name}).(*QStringRef)
}

func (ptr *QRegularExpressionMatch) CapturedStart(nth int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedStart", nth}).(float64))
}

func (ptr *QRegularExpressionMatch) CapturedStart2(name string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedStart2", name}).(float64))
}

func (ptr *QRegularExpressionMatch) CapturedStart3(name QStringView_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedStart3", name}).(float64))
}

func (ptr *QRegularExpressionMatch) CapturedTexts() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedTexts"}).([]string)
}

func (ptr *QRegularExpressionMatch) CapturedView(nth int) *QStringView {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedView", nth}).(*QStringView)
}

func (ptr *QRegularExpressionMatch) CapturedView2(name QStringView_ITF) *QStringView {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapturedView2", name}).(*QStringView)
}

func (ptr *QRegularExpressionMatch) HasMatch() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasMatch"}).(bool)
}

func (ptr *QRegularExpressionMatch) HasPartialMatch() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasPartialMatch"}).(bool)
}

func (ptr *QRegularExpressionMatch) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QRegularExpressionMatch) LastCapturedIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastCapturedIndex"}).(float64))
}

func (ptr *QRegularExpressionMatch) MatchOptions() QRegularExpression__MatchOption {

	return QRegularExpression__MatchOption(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MatchOptions"}).(float64))
}

func (ptr *QRegularExpressionMatch) MatchType() QRegularExpression__MatchType {

	return QRegularExpression__MatchType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MatchType"}).(float64))
}

func (ptr *QRegularExpressionMatch) RegularExpression() *QRegularExpression {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RegularExpression"}).(*QRegularExpression)
}

func (ptr *QRegularExpressionMatch) Swap(other QRegularExpressionMatch_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QRegularExpressionMatch) DestroyQRegularExpressionMatch() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRegularExpressionMatch"})
}

type QRegularExpressionMatchIterator struct {
	internal.Internal
}

type QRegularExpressionMatchIterator_ITF interface {
	QRegularExpressionMatchIterator_PTR() *QRegularExpressionMatchIterator
}

func (ptr *QRegularExpressionMatchIterator) QRegularExpressionMatchIterator_PTR() *QRegularExpressionMatchIterator {
	return ptr
}

func (ptr *QRegularExpressionMatchIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QRegularExpressionMatchIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQRegularExpressionMatchIterator(ptr QRegularExpressionMatchIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRegularExpressionMatchIterator_PTR().Pointer()
	}
	return nil
}

func (n *QRegularExpressionMatchIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQRegularExpressionMatchIteratorFromPointer(ptr unsafe.Pointer) (n *QRegularExpressionMatchIterator) {
	n = new(QRegularExpressionMatchIterator)
	n.InitFromInternal(uintptr(ptr), "core.QRegularExpressionMatchIterator")
	return
}

type QResource struct {
	internal.Internal
}

type QResource_ITF interface {
	QResource_PTR() *QResource
}

func (ptr *QResource) QResource_PTR() *QResource {
	return ptr
}

func (ptr *QResource) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QResource) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQResource(ptr QResource_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QResource_PTR().Pointer()
	}
	return nil
}

func (n *QResource) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQResourceFromPointer(ptr unsafe.Pointer) (n *QResource) {
	n = new(QResource)
	n.InitFromInternal(uintptr(ptr), "core.QResource")
	return
}

//go:generate stringer -type=QResource__Compression
//QResource::Compression
type QResource__Compression int64

const (
	QResource__NoCompression   QResource__Compression = QResource__Compression(0)
	QResource__ZlibCompression QResource__Compression = QResource__Compression(1)
	QResource__ZstdCompression QResource__Compression = QResource__Compression(2)
)

func NewQResource(file string, locale QLocale_ITF) *QResource {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQResource", "", file, locale}).(*QResource)
}

func (ptr *QResource) AbsoluteFilePath() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AbsoluteFilePath"}).(string)
}

func (ptr *QResource) Children() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Children"}).([]string)
}

func (ptr *QResource) CompressionAlgorithm() QResource__Compression {

	return QResource__Compression(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompressionAlgorithm"}).(float64))
}

func (ptr *QResource) Data() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data"}).(string)
}

func (ptr *QResource) FileName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName"}).(string)
}

func (ptr *QResource) IsCompressed() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCompressed"}).(bool)
}

func (ptr *QResource) IsDir() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDir"}).(bool)
}

func (ptr *QResource) IsFile() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFile"}).(bool)
}

func (ptr *QResource) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QResource) LastModified() *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastModified"}).(*QDateTime)
}

func (ptr *QResource) Locale() *QLocale {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Locale"}).(*QLocale)
}

func QResource_RegisterResource(rccFileName string, mapRoot string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QResource_RegisterResource", "", rccFileName, mapRoot}).(bool)
}

func (ptr *QResource) RegisterResource(rccFileName string, mapRoot string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QResource_RegisterResource", "", rccFileName, mapRoot}).(bool)
}

func QResource_RegisterResource2(rccData string, mapRoot string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QResource_RegisterResource2", "", rccData, mapRoot}).(bool)
}

func (ptr *QResource) RegisterResource2(rccData string, mapRoot string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QResource_RegisterResource2", "", rccData, mapRoot}).(bool)
}

func (ptr *QResource) SetFileName(file string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileName", file})
}

func (ptr *QResource) SetLocale(locale QLocale_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLocale", locale})
}

func (ptr *QResource) Size() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

func QResource_UnregisterResource(rccFileName string, mapRoot string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QResource_UnregisterResource", "", rccFileName, mapRoot}).(bool)
}

func (ptr *QResource) UnregisterResource(rccFileName string, mapRoot string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QResource_UnregisterResource", "", rccFileName, mapRoot}).(bool)
}

func QResource_UnregisterResource2(rccData string, mapRoot string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QResource_UnregisterResource2", "", rccData, mapRoot}).(bool)
}

func (ptr *QResource) UnregisterResource2(rccData string, mapRoot string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QResource_UnregisterResource2", "", rccData, mapRoot}).(bool)
}

func (ptr *QResource) DestroyQResource() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQResource"})
}

type QReturnArgument struct {
	QGenericReturnArgument
}

type QReturnArgument_ITF interface {
	QGenericReturnArgument_ITF
	QReturnArgument_PTR() *QReturnArgument
}

func (ptr *QReturnArgument) QReturnArgument_PTR() *QReturnArgument {
	return ptr
}

func (ptr *QReturnArgument) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGenericReturnArgument_PTR().Pointer()
	}
	return nil
}

func (ptr *QReturnArgument) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGenericReturnArgument_PTR().SetPointer(p)
	}
}

func PointerFromQReturnArgument(ptr QReturnArgument_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QReturnArgument_PTR().Pointer()
	}
	return nil
}

func (n *QReturnArgument) InitFromInternal(ptr uintptr, name string) {
	n.QGenericReturnArgument_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QReturnArgument) ClassNameInternalF() string {
	return n.QGenericReturnArgument_PTR().ClassNameInternalF()
}

func NewQReturnArgumentFromPointer(ptr unsafe.Pointer) (n *QReturnArgument) {
	n = new(QReturnArgument)
	n.InitFromInternal(uintptr(ptr), "core.QReturnArgument")
	return
}

func (ptr *QReturnArgument) DestroyQReturnArgument() {
}

type QRunnable struct {
	internal.Internal
}

type QRunnable_ITF interface {
	QRunnable_PTR() *QRunnable
}

func (ptr *QRunnable) QRunnable_PTR() *QRunnable {
	return ptr
}

func (ptr *QRunnable) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QRunnable) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQRunnable(ptr QRunnable_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRunnable_PTR().Pointer()
	}
	return nil
}

func (n *QRunnable) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQRunnableFromPointer(ptr unsafe.Pointer) (n *QRunnable) {
	n = new(QRunnable)
	n.InitFromInternal(uintptr(ptr), "core.QRunnable")
	return
}
func NewQRunnable() *QRunnable {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQRunnable", ""}).(*QRunnable)
}

func (ptr *QRunnable) AutoDelete() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoDelete"}).(bool)
}

func (ptr *QRunnable) ConnectRun(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRun", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRunnable) DisconnectRun() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRun"})
}

func (ptr *QRunnable) Run() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Run"})
}

func (ptr *QRunnable) SetAutoDelete(autoDelete bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoDelete", autoDelete})
}

func (ptr *QRunnable) ConnectDestroyQRunnable(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQRunnable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRunnable) DisconnectDestroyQRunnable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQRunnable"})
}

func (ptr *QRunnable) DestroyQRunnable() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRunnable"})
}

func (ptr *QRunnable) DestroyQRunnableDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRunnableDefault"})
}

type QSaveFile struct {
	QFileDevice
}

type QSaveFile_ITF interface {
	QFileDevice_ITF
	QSaveFile_PTR() *QSaveFile
}

func (ptr *QSaveFile) QSaveFile_PTR() *QSaveFile {
	return ptr
}

func (ptr *QSaveFile) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QFileDevice_PTR().Pointer()
	}
	return nil
}

func (ptr *QSaveFile) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QFileDevice_PTR().SetPointer(p)
	}
}

func PointerFromQSaveFile(ptr QSaveFile_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSaveFile_PTR().Pointer()
	}
	return nil
}

func (n *QSaveFile) InitFromInternal(ptr uintptr, name string) {
	n.QFileDevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSaveFile) ClassNameInternalF() string {
	return n.QFileDevice_PTR().ClassNameInternalF()
}

func NewQSaveFileFromPointer(ptr unsafe.Pointer) (n *QSaveFile) {
	n = new(QSaveFile)
	n.InitFromInternal(uintptr(ptr), "core.QSaveFile")
	return
}
func NewQSaveFile(name string) *QSaveFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSaveFile", "", name}).(*QSaveFile)
}

func NewQSaveFile2(parent QObject_ITF) *QSaveFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSaveFile2", "", parent}).(*QSaveFile)
}

func NewQSaveFile3(name string, parent QObject_ITF) *QSaveFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSaveFile3", "", name, parent}).(*QSaveFile)
}

func (ptr *QSaveFile) CancelWriting() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CancelWriting"})
}

func (ptr *QSaveFile) Commit() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Commit"}).(bool)
}

func (ptr *QSaveFile) DirectWriteFallback() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DirectWriteFallback"}).(bool)
}

func (ptr *QSaveFile) SetDirectWriteFallback(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDirectWriteFallback", enabled})
}

func (ptr *QSaveFile) SetFileName(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileName", name})
}

func (ptr *QSaveFile) ConnectDestroyQSaveFile(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSaveFile", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSaveFile) DisconnectDestroyQSaveFile() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSaveFile"})
}

func (ptr *QSaveFile) DestroyQSaveFile() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSaveFile"})
}

func (ptr *QSaveFile) DestroyQSaveFileDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSaveFileDefault"})
}

type QScopeGuard struct {
	internal.Internal
}

type QScopeGuard_ITF interface {
	QScopeGuard_PTR() *QScopeGuard
}

func (ptr *QScopeGuard) QScopeGuard_PTR() *QScopeGuard {
	return ptr
}

func (ptr *QScopeGuard) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QScopeGuard) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQScopeGuard(ptr QScopeGuard_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScopeGuard_PTR().Pointer()
	}
	return nil
}

func (n *QScopeGuard) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQScopeGuardFromPointer(ptr unsafe.Pointer) (n *QScopeGuard) {
	n = new(QScopeGuard)
	n.InitFromInternal(uintptr(ptr), "core.QScopeGuard")
	return
}

func (ptr *QScopeGuard) DestroyQScopeGuard() {
}

type QScopedArrayPointer struct {
	QScopedPointer
}

type QScopedArrayPointer_ITF interface {
	QScopedPointer_ITF
	QScopedArrayPointer_PTR() *QScopedArrayPointer
}

func (ptr *QScopedArrayPointer) QScopedArrayPointer_PTR() *QScopedArrayPointer {
	return ptr
}

func (ptr *QScopedArrayPointer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QScopedPointer_PTR().Pointer()
	}
	return nil
}

func (ptr *QScopedArrayPointer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QScopedPointer_PTR().SetPointer(p)
	}
}

func PointerFromQScopedArrayPointer(ptr QScopedArrayPointer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScopedArrayPointer_PTR().Pointer()
	}
	return nil
}

func (n *QScopedArrayPointer) InitFromInternal(ptr uintptr, name string) {
	n.QScopedPointer_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QScopedArrayPointer) ClassNameInternalF() string {
	return n.QScopedPointer_PTR().ClassNameInternalF()
}

func NewQScopedArrayPointerFromPointer(ptr unsafe.Pointer) (n *QScopedArrayPointer) {
	n = new(QScopedArrayPointer)
	n.InitFromInternal(uintptr(ptr), "core.QScopedArrayPointer")
	return
}

func (ptr *QScopedArrayPointer) DestroyQScopedArrayPointer() {
}

type QScopedPointer struct {
	internal.Internal
}

type QScopedPointer_ITF interface {
	QScopedPointer_PTR() *QScopedPointer
}

func (ptr *QScopedPointer) QScopedPointer_PTR() *QScopedPointer {
	return ptr
}

func (ptr *QScopedPointer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QScopedPointer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQScopedPointer(ptr QScopedPointer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScopedPointer_PTR().Pointer()
	}
	return nil
}

func (n *QScopedPointer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQScopedPointerFromPointer(ptr unsafe.Pointer) (n *QScopedPointer) {
	n = new(QScopedPointer)
	n.InitFromInternal(uintptr(ptr), "core.QScopedPointer")
	return
}

type QScopedPointerArrayDeleter struct {
	internal.Internal
}

type QScopedPointerArrayDeleter_ITF interface {
	QScopedPointerArrayDeleter_PTR() *QScopedPointerArrayDeleter
}

func (ptr *QScopedPointerArrayDeleter) QScopedPointerArrayDeleter_PTR() *QScopedPointerArrayDeleter {
	return ptr
}

func (ptr *QScopedPointerArrayDeleter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QScopedPointerArrayDeleter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQScopedPointerArrayDeleter(ptr QScopedPointerArrayDeleter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScopedPointerArrayDeleter_PTR().Pointer()
	}
	return nil
}

func (n *QScopedPointerArrayDeleter) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQScopedPointerArrayDeleterFromPointer(ptr unsafe.Pointer) (n *QScopedPointerArrayDeleter) {
	n = new(QScopedPointerArrayDeleter)
	n.InitFromInternal(uintptr(ptr), "core.QScopedPointerArrayDeleter")
	return
}

func (ptr *QScopedPointerArrayDeleter) DestroyQScopedPointerArrayDeleter() {
}

type QScopedPointerDeleter struct {
	internal.Internal
}

type QScopedPointerDeleter_ITF interface {
	QScopedPointerDeleter_PTR() *QScopedPointerDeleter
}

func (ptr *QScopedPointerDeleter) QScopedPointerDeleter_PTR() *QScopedPointerDeleter {
	return ptr
}

func (ptr *QScopedPointerDeleter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QScopedPointerDeleter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQScopedPointerDeleter(ptr QScopedPointerDeleter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScopedPointerDeleter_PTR().Pointer()
	}
	return nil
}

func (n *QScopedPointerDeleter) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQScopedPointerDeleterFromPointer(ptr unsafe.Pointer) (n *QScopedPointerDeleter) {
	n = new(QScopedPointerDeleter)
	n.InitFromInternal(uintptr(ptr), "core.QScopedPointerDeleter")
	return
}

func (ptr *QScopedPointerDeleter) DestroyQScopedPointerDeleter() {
}

type QScopedPointerObjectDeleteLater struct {
	internal.Internal
}

type QScopedPointerObjectDeleteLater_ITF interface {
	QScopedPointerObjectDeleteLater_PTR() *QScopedPointerObjectDeleteLater
}

func (ptr *QScopedPointerObjectDeleteLater) QScopedPointerObjectDeleteLater_PTR() *QScopedPointerObjectDeleteLater {
	return ptr
}

func (ptr *QScopedPointerObjectDeleteLater) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QScopedPointerObjectDeleteLater) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQScopedPointerObjectDeleteLater(ptr QScopedPointerObjectDeleteLater_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScopedPointerObjectDeleteLater_PTR().Pointer()
	}
	return nil
}

func (n *QScopedPointerObjectDeleteLater) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQScopedPointerObjectDeleteLaterFromPointer(ptr unsafe.Pointer) (n *QScopedPointerObjectDeleteLater) {
	n = new(QScopedPointerObjectDeleteLater)
	n.InitFromInternal(uintptr(ptr), "core.QScopedPointerObjectDeleteLater")
	return
}

func (ptr *QScopedPointerObjectDeleteLater) DestroyQScopedPointerObjectDeleteLater() {
}

type QScopedPointerPodDeleter struct {
	internal.Internal
}

type QScopedPointerPodDeleter_ITF interface {
	QScopedPointerPodDeleter_PTR() *QScopedPointerPodDeleter
}

func (ptr *QScopedPointerPodDeleter) QScopedPointerPodDeleter_PTR() *QScopedPointerPodDeleter {
	return ptr
}

func (ptr *QScopedPointerPodDeleter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QScopedPointerPodDeleter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQScopedPointerPodDeleter(ptr QScopedPointerPodDeleter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScopedPointerPodDeleter_PTR().Pointer()
	}
	return nil
}

func (n *QScopedPointerPodDeleter) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQScopedPointerPodDeleterFromPointer(ptr unsafe.Pointer) (n *QScopedPointerPodDeleter) {
	n = new(QScopedPointerPodDeleter)
	n.InitFromInternal(uintptr(ptr), "core.QScopedPointerPodDeleter")
	return
}

func (ptr *QScopedPointerPodDeleter) DestroyQScopedPointerPodDeleter() {
}

type QScopedValueRollback struct {
	internal.Internal
}

type QScopedValueRollback_ITF interface {
	QScopedValueRollback_PTR() *QScopedValueRollback
}

func (ptr *QScopedValueRollback) QScopedValueRollback_PTR() *QScopedValueRollback {
	return ptr
}

func (ptr *QScopedValueRollback) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QScopedValueRollback) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQScopedValueRollback(ptr QScopedValueRollback_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScopedValueRollback_PTR().Pointer()
	}
	return nil
}

func (n *QScopedValueRollback) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQScopedValueRollbackFromPointer(ptr unsafe.Pointer) (n *QScopedValueRollback) {
	n = new(QScopedValueRollback)
	n.InitFromInternal(uintptr(ptr), "core.QScopedValueRollback")
	return
}

type QSemaphore struct {
	internal.Internal
}

type QSemaphore_ITF interface {
	QSemaphore_PTR() *QSemaphore
}

func (ptr *QSemaphore) QSemaphore_PTR() *QSemaphore {
	return ptr
}

func (ptr *QSemaphore) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSemaphore) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSemaphore(ptr QSemaphore_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSemaphore_PTR().Pointer()
	}
	return nil
}

func (n *QSemaphore) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSemaphoreFromPointer(ptr unsafe.Pointer) (n *QSemaphore) {
	n = new(QSemaphore)
	n.InitFromInternal(uintptr(ptr), "core.QSemaphore")
	return
}
func NewQSemaphore(n int) *QSemaphore {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSemaphore", "", n}).(*QSemaphore)
}

func (ptr *QSemaphore) Acquire(n int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Acquire", n})
}

func (ptr *QSemaphore) Available() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Available"}).(float64))
}

func (ptr *QSemaphore) Release(n int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Release", n})
}

func (ptr *QSemaphore) TryAcquire(n int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TryAcquire", n}).(bool)
}

func (ptr *QSemaphore) TryAcquire2(n int, timeout int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TryAcquire2", n, timeout}).(bool)
}

func (ptr *QSemaphore) DestroyQSemaphore() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSemaphore"})
}

type QSemaphoreReleaser struct {
	internal.Internal
}

type QSemaphoreReleaser_ITF interface {
	QSemaphoreReleaser_PTR() *QSemaphoreReleaser
}

func (ptr *QSemaphoreReleaser) QSemaphoreReleaser_PTR() *QSemaphoreReleaser {
	return ptr
}

func (ptr *QSemaphoreReleaser) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSemaphoreReleaser) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSemaphoreReleaser(ptr QSemaphoreReleaser_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSemaphoreReleaser_PTR().Pointer()
	}
	return nil
}

func (n *QSemaphoreReleaser) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSemaphoreReleaserFromPointer(ptr unsafe.Pointer) (n *QSemaphoreReleaser) {
	n = new(QSemaphoreReleaser)
	n.InitFromInternal(uintptr(ptr), "core.QSemaphoreReleaser")
	return
}
func NewQSemaphoreReleaser() *QSemaphoreReleaser {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSemaphoreReleaser", ""}).(*QSemaphoreReleaser)
}

func NewQSemaphoreReleaser2(sem QSemaphore_ITF, n int) *QSemaphoreReleaser {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSemaphoreReleaser2", "", sem, n}).(*QSemaphoreReleaser)
}

func NewQSemaphoreReleaser3(sem QSemaphore_ITF, n int) *QSemaphoreReleaser {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSemaphoreReleaser3", "", sem, n}).(*QSemaphoreReleaser)
}

func (ptr *QSemaphoreReleaser) Cancel() *QSemaphore {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Cancel"}).(*QSemaphore)
}

func (ptr *QSemaphoreReleaser) Semaphore() *QSemaphore {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Semaphore"}).(*QSemaphore)
}

func (ptr *QSemaphoreReleaser) Swap(other QSemaphoreReleaser_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QSemaphoreReleaser) DestroyQSemaphoreReleaser() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSemaphoreReleaser"})
}

type QSequentialAnimationGroup struct {
	QAnimationGroup
}

type QSequentialAnimationGroup_ITF interface {
	QAnimationGroup_ITF
	QSequentialAnimationGroup_PTR() *QSequentialAnimationGroup
}

func (ptr *QSequentialAnimationGroup) QSequentialAnimationGroup_PTR() *QSequentialAnimationGroup {
	return ptr
}

func (ptr *QSequentialAnimationGroup) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAnimationGroup_PTR().Pointer()
	}
	return nil
}

func (ptr *QSequentialAnimationGroup) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAnimationGroup_PTR().SetPointer(p)
	}
}

func PointerFromQSequentialAnimationGroup(ptr QSequentialAnimationGroup_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSequentialAnimationGroup_PTR().Pointer()
	}
	return nil
}

func (n *QSequentialAnimationGroup) InitFromInternal(ptr uintptr, name string) {
	n.QAnimationGroup_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSequentialAnimationGroup) ClassNameInternalF() string {
	return n.QAnimationGroup_PTR().ClassNameInternalF()
}

func NewQSequentialAnimationGroupFromPointer(ptr unsafe.Pointer) (n *QSequentialAnimationGroup) {
	n = new(QSequentialAnimationGroup)
	n.InitFromInternal(uintptr(ptr), "core.QSequentialAnimationGroup")
	return
}
func NewQSequentialAnimationGroup(parent QObject_ITF) *QSequentialAnimationGroup {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSequentialAnimationGroup", "", parent}).(*QSequentialAnimationGroup)
}

func (ptr *QSequentialAnimationGroup) AddPause(msecs int) *QPauseAnimation {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPause", msecs}).(*QPauseAnimation)
}

func (ptr *QSequentialAnimationGroup) CurrentAnimation() *QAbstractAnimation {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentAnimation"}).(*QAbstractAnimation)
}

func (ptr *QSequentialAnimationGroup) ConnectCurrentAnimationChanged(f func(current *QAbstractAnimation)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentAnimationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSequentialAnimationGroup) DisconnectCurrentAnimationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentAnimationChanged"})
}

func (ptr *QSequentialAnimationGroup) CurrentAnimationChanged(current QAbstractAnimation_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentAnimationChanged", current})
}

func (ptr *QSequentialAnimationGroup) ConnectDuration(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDuration", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSequentialAnimationGroup) DisconnectDuration() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDuration"})
}

func (ptr *QSequentialAnimationGroup) Duration() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Duration"}).(float64))
}

func (ptr *QSequentialAnimationGroup) DurationDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DurationDefault"}).(float64))
}

func (ptr *QSequentialAnimationGroup) InsertPause(index int, msecs int) *QPauseAnimation {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertPause", index, msecs}).(*QPauseAnimation)
}

func (ptr *QSequentialAnimationGroup) ConnectUpdateCurrentTime(f func(currentTime int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateCurrentTime", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSequentialAnimationGroup) DisconnectUpdateCurrentTime() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateCurrentTime"})
}

func (ptr *QSequentialAnimationGroup) UpdateCurrentTime(currentTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCurrentTime", currentTime})
}

func (ptr *QSequentialAnimationGroup) UpdateCurrentTimeDefault(currentTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCurrentTimeDefault", currentTime})
}

func (ptr *QSequentialAnimationGroup) ConnectDestroyQSequentialAnimationGroup(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSequentialAnimationGroup", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSequentialAnimationGroup) DisconnectDestroyQSequentialAnimationGroup() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSequentialAnimationGroup"})
}

func (ptr *QSequentialAnimationGroup) DestroyQSequentialAnimationGroup() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSequentialAnimationGroup"})
}

func (ptr *QSequentialAnimationGroup) DestroyQSequentialAnimationGroupDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSequentialAnimationGroupDefault"})
}

type QSequentialIterable struct {
	internal.Internal
}

type QSequentialIterable_ITF interface {
	QSequentialIterable_PTR() *QSequentialIterable
}

func (ptr *QSequentialIterable) QSequentialIterable_PTR() *QSequentialIterable {
	return ptr
}

func (ptr *QSequentialIterable) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSequentialIterable) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSequentialIterable(ptr QSequentialIterable_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSequentialIterable_PTR().Pointer()
	}
	return nil
}

func (n *QSequentialIterable) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSequentialIterableFromPointer(ptr unsafe.Pointer) (n *QSequentialIterable) {
	n = new(QSequentialIterable)
	n.InitFromInternal(uintptr(ptr), "core.QSequentialIterable")
	return
}

func (ptr *QSequentialIterable) DestroyQSequentialIterable() {
}

func (ptr *QSequentialIterable) At(idx int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "At", idx}).(*QVariant)
}

func (ptr *QSequentialIterable) CanReverseIterate() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanReverseIterate"}).(bool)
}

func (ptr *QSequentialIterable) Size() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

type QSet struct {
	internal.Internal
}

type QSet_ITF interface {
	QSet_PTR() *QSet
}

func (ptr *QSet) QSet_PTR() *QSet {
	return ptr
}

func (ptr *QSet) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSet) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSet(ptr QSet_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSet_PTR().Pointer()
	}
	return nil
}

func (n *QSet) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSetFromPointer(ptr unsafe.Pointer) (n *QSet) {
	n = new(QSet)
	n.InitFromInternal(uintptr(ptr), "core.QSet")
	return
}

func (ptr *QSet) DestroyQSet() {
}

type QSetIterator struct {
	internal.Internal
}

type QSetIterator_ITF interface {
	QSetIterator_PTR() *QSetIterator
}

func (ptr *QSetIterator) QSetIterator_PTR() *QSetIterator {
	return ptr
}

func (ptr *QSetIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSetIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSetIterator(ptr QSetIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSetIterator_PTR().Pointer()
	}
	return nil
}

func (n *QSetIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSetIteratorFromPointer(ptr unsafe.Pointer) (n *QSetIterator) {
	n = new(QSetIterator)
	n.InitFromInternal(uintptr(ptr), "core.QSetIterator")
	return
}

func (ptr *QSetIterator) DestroyQSetIterator() {
}

type QSettings struct {
	QObject
}

type QSettings_ITF interface {
	QObject_ITF
	QSettings_PTR() *QSettings
}

func (ptr *QSettings) QSettings_PTR() *QSettings {
	return ptr
}

func (ptr *QSettings) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QSettings) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQSettings(ptr QSettings_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSettings_PTR().Pointer()
	}
	return nil
}

func (n *QSettings) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSettings) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQSettingsFromPointer(ptr unsafe.Pointer) (n *QSettings) {
	n = new(QSettings)
	n.InitFromInternal(uintptr(ptr), "core.QSettings")
	return
}

//go:generate stringer -type=QSettings__Status
//QSettings::Status
type QSettings__Status int64

const (
	QSettings__NoError     QSettings__Status = QSettings__Status(0)
	QSettings__AccessError QSettings__Status = QSettings__Status(1)
	QSettings__FormatError QSettings__Status = QSettings__Status(2)
)

//go:generate stringer -type=QSettings__Format
//QSettings::Format
type QSettings__Format int64

const (
	QSettings__NativeFormat     QSettings__Format = QSettings__Format(0)
	QSettings__IniFormat        QSettings__Format = QSettings__Format(1)
	QSettings__Registry32Format QSettings__Format = QSettings__Format(2)
	QSettings__Registry64Format QSettings__Format = QSettings__Format(3)
	QSettings__InvalidFormat    QSettings__Format = QSettings__Format(16)
	QSettings__CustomFormat1    QSettings__Format = QSettings__Format(17)
	QSettings__CustomFormat2    QSettings__Format = QSettings__Format(18)
	QSettings__CustomFormat3    QSettings__Format = QSettings__Format(19)
	QSettings__CustomFormat4    QSettings__Format = QSettings__Format(20)
	QSettings__CustomFormat5    QSettings__Format = QSettings__Format(21)
	QSettings__CustomFormat6    QSettings__Format = QSettings__Format(22)
	QSettings__CustomFormat7    QSettings__Format = QSettings__Format(23)
	QSettings__CustomFormat8    QSettings__Format = QSettings__Format(24)
	QSettings__CustomFormat9    QSettings__Format = QSettings__Format(25)
	QSettings__CustomFormat10   QSettings__Format = QSettings__Format(26)
	QSettings__CustomFormat11   QSettings__Format = QSettings__Format(27)
	QSettings__CustomFormat12   QSettings__Format = QSettings__Format(28)
	QSettings__CustomFormat13   QSettings__Format = QSettings__Format(29)
	QSettings__CustomFormat14   QSettings__Format = QSettings__Format(30)
	QSettings__CustomFormat15   QSettings__Format = QSettings__Format(31)
	QSettings__CustomFormat16   QSettings__Format = QSettings__Format(32)
)

//go:generate stringer -type=QSettings__Scope
//QSettings::Scope
type QSettings__Scope int64

const (
	QSettings__UserScope   QSettings__Scope = QSettings__Scope(0)
	QSettings__SystemScope QSettings__Scope = QSettings__Scope(1)
)

func NewQSettings(organization string, application string, parent QObject_ITF) *QSettings {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSettings", "", organization, application, parent}).(*QSettings)
}

func NewQSettings2(scope QSettings__Scope, organization string, application string, parent QObject_ITF) *QSettings {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSettings2", "", scope, organization, application, parent}).(*QSettings)
}

func NewQSettings3(format QSettings__Format, scope QSettings__Scope, organization string, application string, parent QObject_ITF) *QSettings {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSettings3", "", format, scope, organization, application, parent}).(*QSettings)
}

func NewQSettings4(fileName string, format QSettings__Format, parent QObject_ITF) *QSettings {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSettings4", "", fileName, format, parent}).(*QSettings)
}

func NewQSettings5(parent QObject_ITF) *QSettings {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSettings5", "", parent}).(*QSettings)
}

func NewQSettings6(scope QSettings__Scope, parent QObject_ITF) *QSettings {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSettings6", "", scope, parent}).(*QSettings)
}

func (ptr *QSettings) AllKeys() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllKeys"}).([]string)
}

func (ptr *QSettings) ApplicationName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApplicationName"}).(string)
}

func (ptr *QSettings) BeginGroup(prefix string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginGroup", prefix})
}

func (ptr *QSettings) BeginReadArray(prefix string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginReadArray", prefix}).(float64))
}

func (ptr *QSettings) BeginWriteArray(prefix string, size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginWriteArray", prefix, size})
}

func (ptr *QSettings) ChildGroups() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildGroups"}).([]string)
}

func (ptr *QSettings) ChildKeys() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildKeys"}).([]string)
}

func (ptr *QSettings) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QSettings) Contains(key string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", key}).(bool)
}

func QSettings_DefaultFormat() QSettings__Format {

	return QSettings__Format(internal.CallLocalFunction([]interface{}{"", "", "core.QSettings_DefaultFormat", ""}).(float64))
}

func (ptr *QSettings) DefaultFormat() QSettings__Format {

	return QSettings__Format(internal.CallLocalFunction([]interface{}{"", "", "core.QSettings_DefaultFormat", ""}).(float64))
}

func (ptr *QSettings) EndArray() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndArray"})
}

func (ptr *QSettings) EndGroup() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndGroup"})
}

func (ptr *QSettings) FallbacksEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FallbacksEnabled"}).(bool)
}

func (ptr *QSettings) FileName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName"}).(string)
}

func (ptr *QSettings) Format() QSettings__Format {

	return QSettings__Format(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(float64))
}

func (ptr *QSettings) Group() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Group"}).(string)
}

func (ptr *QSettings) IniCodec() *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IniCodec"}).(*QTextCodec)
}

func (ptr *QSettings) IsAtomicSyncRequired() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAtomicSyncRequired"}).(bool)
}

func (ptr *QSettings) IsWritable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsWritable"}).(bool)
}

func (ptr *QSettings) OrganizationName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OrganizationName"}).(string)
}

func (ptr *QSettings) Remove(key string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove", key})
}

func (ptr *QSettings) Scope() QSettings__Scope {

	return QSettings__Scope(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scope"}).(float64))
}

func (ptr *QSettings) SetArrayIndex(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetArrayIndex", i})
}

func (ptr *QSettings) SetAtomicSyncRequired(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAtomicSyncRequired", enable})
}

func QSettings_SetDefaultFormat(format QSettings__Format) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QSettings_SetDefaultFormat", "", format})
}

func (ptr *QSettings) SetDefaultFormat(format QSettings__Format) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QSettings_SetDefaultFormat", "", format})
}

func (ptr *QSettings) SetFallbacksEnabled(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFallbacksEnabled", b})
}

func (ptr *QSettings) SetIniCodec(codec QTextCodec_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIniCodec", codec})
}

func (ptr *QSettings) SetIniCodec2(codecName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIniCodec2", codecName})
}

func QSettings_SetPath(format QSettings__Format, scope QSettings__Scope, path string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QSettings_SetPath", "", format, scope, path})
}

func (ptr *QSettings) SetPath(format QSettings__Format, scope QSettings__Scope, path string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QSettings_SetPath", "", format, scope, path})
}

func (ptr *QSettings) SetValue(key string, value QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValue", key, value})
}

func (ptr *QSettings) Status() QSettings__Status {

	return QSettings__Status(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Status"}).(float64))
}

func (ptr *QSettings) Sync() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Sync"})
}

func (ptr *QSettings) Value(key string, defaultValue QVariant_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value", key, defaultValue}).(*QVariant)
}

func (ptr *QSettings) ConnectDestroyQSettings(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSettings", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSettings) DisconnectDestroyQSettings() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSettings"})
}

func (ptr *QSettings) DestroyQSettings() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSettings"})
}

func (ptr *QSettings) DestroyQSettingsDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSettingsDefault"})
}

type QSharedData struct {
	internal.Internal
}

type QSharedData_ITF interface {
	QSharedData_PTR() *QSharedData
}

func (ptr *QSharedData) QSharedData_PTR() *QSharedData {
	return ptr
}

func (ptr *QSharedData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSharedData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSharedData(ptr QSharedData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSharedData_PTR().Pointer()
	}
	return nil
}

func (n *QSharedData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSharedDataFromPointer(ptr unsafe.Pointer) (n *QSharedData) {
	n = new(QSharedData)
	n.InitFromInternal(uintptr(ptr), "core.QSharedData")
	return
}

func (ptr *QSharedData) DestroyQSharedData() {
}

func NewQSharedData() *QSharedData {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSharedData", ""}).(*QSharedData)
}

func NewQSharedData2(vqs QSharedData_ITF) *QSharedData {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSharedData2", "", vqs}).(*QSharedData)
}

type QSharedDataPointer struct {
	internal.Internal
}

type QSharedDataPointer_ITF interface {
	QSharedDataPointer_PTR() *QSharedDataPointer
}

func (ptr *QSharedDataPointer) QSharedDataPointer_PTR() *QSharedDataPointer {
	return ptr
}

func (ptr *QSharedDataPointer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSharedDataPointer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSharedDataPointer(ptr QSharedDataPointer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSharedDataPointer_PTR().Pointer()
	}
	return nil
}

func (n *QSharedDataPointer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSharedDataPointerFromPointer(ptr unsafe.Pointer) (n *QSharedDataPointer) {
	n = new(QSharedDataPointer)
	n.InitFromInternal(uintptr(ptr), "core.QSharedDataPointer")
	return
}

type QSharedMemory struct {
	QObject
}

type QSharedMemory_ITF interface {
	QObject_ITF
	QSharedMemory_PTR() *QSharedMemory
}

func (ptr *QSharedMemory) QSharedMemory_PTR() *QSharedMemory {
	return ptr
}

func (ptr *QSharedMemory) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QSharedMemory) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQSharedMemory(ptr QSharedMemory_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSharedMemory_PTR().Pointer()
	}
	return nil
}

func (n *QSharedMemory) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSharedMemory) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQSharedMemoryFromPointer(ptr unsafe.Pointer) (n *QSharedMemory) {
	n = new(QSharedMemory)
	n.InitFromInternal(uintptr(ptr), "core.QSharedMemory")
	return
}

//go:generate stringer -type=QSharedMemory__AccessMode
//QSharedMemory::AccessMode
type QSharedMemory__AccessMode int64

const (
	QSharedMemory__ReadOnly  QSharedMemory__AccessMode = QSharedMemory__AccessMode(0)
	QSharedMemory__ReadWrite QSharedMemory__AccessMode = QSharedMemory__AccessMode(1)
)

//go:generate stringer -type=QSharedMemory__SharedMemoryError
//QSharedMemory::SharedMemoryError
type QSharedMemory__SharedMemoryError int64

const (
	QSharedMemory__NoError          QSharedMemory__SharedMemoryError = QSharedMemory__SharedMemoryError(0)
	QSharedMemory__PermissionDenied QSharedMemory__SharedMemoryError = QSharedMemory__SharedMemoryError(1)
	QSharedMemory__InvalidSize      QSharedMemory__SharedMemoryError = QSharedMemory__SharedMemoryError(2)
	QSharedMemory__KeyError         QSharedMemory__SharedMemoryError = QSharedMemory__SharedMemoryError(3)
	QSharedMemory__AlreadyExists    QSharedMemory__SharedMemoryError = QSharedMemory__SharedMemoryError(4)
	QSharedMemory__NotFound         QSharedMemory__SharedMemoryError = QSharedMemory__SharedMemoryError(5)
	QSharedMemory__LockError        QSharedMemory__SharedMemoryError = QSharedMemory__SharedMemoryError(6)
	QSharedMemory__OutOfResources   QSharedMemory__SharedMemoryError = QSharedMemory__SharedMemoryError(7)
	QSharedMemory__UnknownError     QSharedMemory__SharedMemoryError = QSharedMemory__SharedMemoryError(8)
)

func NewQSharedMemory(key string, parent QObject_ITF) *QSharedMemory {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSharedMemory", "", key, parent}).(*QSharedMemory)
}

func NewQSharedMemory2(parent QObject_ITF) *QSharedMemory {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSharedMemory2", "", parent}).(*QSharedMemory)
}

func (ptr *QSharedMemory) Attach(mode QSharedMemory__AccessMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Attach", mode}).(bool)
}

func (ptr *QSharedMemory) ConstData() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConstData"}).(unsafe.Pointer)
}

func (ptr *QSharedMemory) Create(size int, mode QSharedMemory__AccessMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create", size, mode}).(bool)
}

func (ptr *QSharedMemory) Data() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data"}).(unsafe.Pointer)
}

func (ptr *QSharedMemory) Data2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data2"}).(unsafe.Pointer)
}

func (ptr *QSharedMemory) Detach() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Detach"}).(bool)
}

func (ptr *QSharedMemory) Error() QSharedMemory__SharedMemoryError {

	return QSharedMemory__SharedMemoryError(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QSharedMemory) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QSharedMemory) IsAttached() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAttached"}).(bool)
}

func (ptr *QSharedMemory) Key() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Key"}).(string)
}

func (ptr *QSharedMemory) Lock() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Lock"}).(bool)
}

func (ptr *QSharedMemory) NativeKey() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NativeKey"}).(string)
}

func (ptr *QSharedMemory) SetKey(key string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetKey", key})
}

func (ptr *QSharedMemory) SetNativeKey(key string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNativeKey", key})
}

func (ptr *QSharedMemory) Size() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

func (ptr *QSharedMemory) Unlock() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unlock"}).(bool)
}

func (ptr *QSharedMemory) ConnectDestroyQSharedMemory(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSharedMemory", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSharedMemory) DisconnectDestroyQSharedMemory() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSharedMemory"})
}

func (ptr *QSharedMemory) DestroyQSharedMemory() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSharedMemory"})
}

func (ptr *QSharedMemory) DestroyQSharedMemoryDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSharedMemoryDefault"})
}

type QSharedPointer struct {
	internal.Internal
}

type QSharedPointer_ITF interface {
	QSharedPointer_PTR() *QSharedPointer
}

func (ptr *QSharedPointer) QSharedPointer_PTR() *QSharedPointer {
	return ptr
}

func (ptr *QSharedPointer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSharedPointer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSharedPointer(ptr QSharedPointer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSharedPointer_PTR().Pointer()
	}
	return nil
}

func (n *QSharedPointer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSharedPointerFromPointer(ptr unsafe.Pointer) (n *QSharedPointer) {
	n = new(QSharedPointer)
	n.InitFromInternal(uintptr(ptr), "core.QSharedPointer")
	return
}

type QSignalBlocker struct {
	internal.Internal
}

type QSignalBlocker_ITF interface {
	QSignalBlocker_PTR() *QSignalBlocker
}

func (ptr *QSignalBlocker) QSignalBlocker_PTR() *QSignalBlocker {
	return ptr
}

func (ptr *QSignalBlocker) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSignalBlocker) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSignalBlocker(ptr QSignalBlocker_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSignalBlocker_PTR().Pointer()
	}
	return nil
}

func (n *QSignalBlocker) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSignalBlockerFromPointer(ptr unsafe.Pointer) (n *QSignalBlocker) {
	n = new(QSignalBlocker)
	n.InitFromInternal(uintptr(ptr), "core.QSignalBlocker")
	return
}
func NewQSignalBlocker(object QObject_ITF) *QSignalBlocker {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSignalBlocker", "", object}).(*QSignalBlocker)
}

func NewQSignalBlocker2(object QObject_ITF) *QSignalBlocker {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSignalBlocker2", "", object}).(*QSignalBlocker)
}

func (ptr *QSignalBlocker) Reblock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reblock"})
}

func (ptr *QSignalBlocker) Unblock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unblock"})
}

func (ptr *QSignalBlocker) DestroyQSignalBlocker() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSignalBlocker"})
}

type QSignalMapper struct {
	QObject
}

type QSignalMapper_ITF interface {
	QObject_ITF
	QSignalMapper_PTR() *QSignalMapper
}

func (ptr *QSignalMapper) QSignalMapper_PTR() *QSignalMapper {
	return ptr
}

func (ptr *QSignalMapper) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QSignalMapper) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQSignalMapper(ptr QSignalMapper_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSignalMapper_PTR().Pointer()
	}
	return nil
}

func (n *QSignalMapper) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSignalMapper) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQSignalMapperFromPointer(ptr unsafe.Pointer) (n *QSignalMapper) {
	n = new(QSignalMapper)
	n.InitFromInternal(uintptr(ptr), "core.QSignalMapper")
	return
}

type QSignalTransition struct {
	QAbstractTransition
}

type QSignalTransition_ITF interface {
	QAbstractTransition_ITF
	QSignalTransition_PTR() *QSignalTransition
}

func (ptr *QSignalTransition) QSignalTransition_PTR() *QSignalTransition {
	return ptr
}

func (ptr *QSignalTransition) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractTransition_PTR().Pointer()
	}
	return nil
}

func (ptr *QSignalTransition) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractTransition_PTR().SetPointer(p)
	}
}

func PointerFromQSignalTransition(ptr QSignalTransition_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSignalTransition_PTR().Pointer()
	}
	return nil
}

func (n *QSignalTransition) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractTransition_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSignalTransition) ClassNameInternalF() string {
	return n.QAbstractTransition_PTR().ClassNameInternalF()
}

func NewQSignalTransitionFromPointer(ptr unsafe.Pointer) (n *QSignalTransition) {
	n = new(QSignalTransition)
	n.InitFromInternal(uintptr(ptr), "core.QSignalTransition")
	return
}
func NewQSignalTransition(sourceState QState_ITF) *QSignalTransition {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSignalTransition", "", sourceState}).(*QSignalTransition)
}

func NewQSignalTransition2(sender QObject_ITF, sign string, sourceState QState_ITF) *QSignalTransition {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSignalTransition2", "", sender, sign, sourceState}).(*QSignalTransition)
}

func (ptr *QSignalTransition) ConnectEventTest(f func(event *QEvent) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEventTest", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSignalTransition) DisconnectEventTest() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEventTest"})
}

func (ptr *QSignalTransition) EventTest(event QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventTest", event}).(bool)
}

func (ptr *QSignalTransition) EventTestDefault(event QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventTestDefault", event}).(bool)
}

func (ptr *QSignalTransition) ConnectOnTransition(f func(event *QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOnTransition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSignalTransition) DisconnectOnTransition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOnTransition"})
}

func (ptr *QSignalTransition) OnTransition(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnTransition", event})
}

func (ptr *QSignalTransition) OnTransitionDefault(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnTransitionDefault", event})
}

func (ptr *QSignalTransition) SenderObject() *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SenderObject"}).(*QObject)
}

func (ptr *QSignalTransition) ConnectSenderObjectChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSenderObjectChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSignalTransition) DisconnectSenderObjectChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSenderObjectChanged"})
}

func (ptr *QSignalTransition) SetSenderObject(sender QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSenderObject", sender})
}

func (ptr *QSignalTransition) SetSignal(sign QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSignal", sign})
}

func (ptr *QSignalTransition) Signal() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Signal"}).(*QByteArray)
}

func (ptr *QSignalTransition) ConnectSignalChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSignalChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSignalTransition) DisconnectSignalChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSignalChanged"})
}

func (ptr *QSignalTransition) ConnectDestroyQSignalTransition(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSignalTransition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSignalTransition) DisconnectDestroyQSignalTransition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSignalTransition"})
}

func (ptr *QSignalTransition) DestroyQSignalTransition() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSignalTransition"})
}

func (ptr *QSignalTransition) DestroyQSignalTransitionDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSignalTransitionDefault"})
}

type QSize struct {
	internal.Internal
}

type QSize_ITF interface {
	QSize_PTR() *QSize
}

func (ptr *QSize) QSize_PTR() *QSize {
	return ptr
}

func (ptr *QSize) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSize) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSize(ptr QSize_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSize_PTR().Pointer()
	}
	return nil
}

func (n *QSize) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSizeFromPointer(ptr unsafe.Pointer) (n *QSize) {
	n = new(QSize)
	n.InitFromInternal(uintptr(ptr), "core.QSize")
	return
}

func (ptr *QSize) DestroyQSize() {
}

func NewQSize() *QSize {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSize", ""}).(*QSize)
}

func NewQSize2(width int, height int) *QSize {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSize2", "", width, height}).(*QSize)
}

func (ptr *QSize) BoundedTo(otherSize QSize_ITF) *QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundedTo", otherSize}).(*QSize)
}

func (ptr *QSize) ExpandedTo(otherSize QSize_ITF) *QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandedTo", otherSize}).(*QSize)
}

func (ptr *QSize) Height() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64))
}

func (ptr *QSize) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QSize) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QSize) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QSize) Rheight() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rheight"}).(float64))
}

func (ptr *QSize) Rwidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rwidth"}).(float64))
}

func (ptr *QSize) Scale(width int, height int, mode Qt__AspectRatioMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scale", width, height, mode})
}

func (ptr *QSize) Scale2(size QSize_ITF, mode Qt__AspectRatioMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scale2", size, mode})
}

func (ptr *QSize) Scaled(width int, height int, mode Qt__AspectRatioMode) *QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scaled", width, height, mode}).(*QSize)
}

func (ptr *QSize) Scaled2(s QSize_ITF, mode Qt__AspectRatioMode) *QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scaled2", s, mode}).(*QSize)
}

func (ptr *QSize) SetHeight(height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeight", height})
}

func (ptr *QSize) SetWidth(width int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidth", width})
}

func (ptr *QSize) Transpose() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transpose"})
}

func (ptr *QSize) Transposed() *QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transposed"}).(*QSize)
}

func (ptr *QSize) Width() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64))
}

type QSizeF struct {
	internal.Internal
}

type QSizeF_ITF interface {
	QSizeF_PTR() *QSizeF
}

func (ptr *QSizeF) QSizeF_PTR() *QSizeF {
	return ptr
}

func (ptr *QSizeF) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSizeF) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSizeF(ptr QSizeF_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSizeF_PTR().Pointer()
	}
	return nil
}

func (n *QSizeF) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSizeFFromPointer(ptr unsafe.Pointer) (n *QSizeF) {
	n = new(QSizeF)
	n.InitFromInternal(uintptr(ptr), "core.QSizeF")
	return
}

func (ptr *QSizeF) DestroyQSizeF() {
}

func NewQSizeF() *QSizeF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSizeF", ""}).(*QSizeF)
}

func NewQSizeF2(size QSize_ITF) *QSizeF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSizeF2", "", size}).(*QSizeF)
}

func NewQSizeF3(width float64, height float64) *QSizeF {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSizeF3", "", width, height}).(*QSizeF)
}

func (ptr *QSizeF) BoundedTo(otherSize QSizeF_ITF) *QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundedTo", otherSize}).(*QSizeF)
}

func (ptr *QSizeF) ExpandedTo(otherSize QSizeF_ITF) *QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandedTo", otherSize}).(*QSizeF)
}

func (ptr *QSizeF) Height() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64)
}

func (ptr *QSizeF) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QSizeF) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QSizeF) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QSizeF) Rheight() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rheight"}).(float64)
}

func (ptr *QSizeF) Rwidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rwidth"}).(float64)
}

func (ptr *QSizeF) Scale(width float64, height float64, mode Qt__AspectRatioMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scale", width, height, mode})
}

func (ptr *QSizeF) Scale2(size QSizeF_ITF, mode Qt__AspectRatioMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scale2", size, mode})
}

func (ptr *QSizeF) Scaled(width float64, height float64, mode Qt__AspectRatioMode) *QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scaled", width, height, mode}).(*QSizeF)
}

func (ptr *QSizeF) Scaled2(s QSizeF_ITF, mode Qt__AspectRatioMode) *QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scaled2", s, mode}).(*QSizeF)
}

func (ptr *QSizeF) SetHeight(height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeight", height})
}

func (ptr *QSizeF) SetWidth(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidth", width})
}

func (ptr *QSizeF) ToSize() *QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToSize"}).(*QSize)
}

func (ptr *QSizeF) Transpose() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transpose"})
}

func (ptr *QSizeF) Transposed() *QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transposed"}).(*QSizeF)
}

func (ptr *QSizeF) Width() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64)
}

type QSocketNotifier struct {
	QObject
}

type QSocketNotifier_ITF interface {
	QObject_ITF
	QSocketNotifier_PTR() *QSocketNotifier
}

func (ptr *QSocketNotifier) QSocketNotifier_PTR() *QSocketNotifier {
	return ptr
}

func (ptr *QSocketNotifier) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QSocketNotifier) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQSocketNotifier(ptr QSocketNotifier_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSocketNotifier_PTR().Pointer()
	}
	return nil
}

func (n *QSocketNotifier) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSocketNotifier) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQSocketNotifierFromPointer(ptr unsafe.Pointer) (n *QSocketNotifier) {
	n = new(QSocketNotifier)
	n.InitFromInternal(uintptr(ptr), "core.QSocketNotifier")
	return
}

//go:generate stringer -type=QSocketNotifier__Type
//QSocketNotifier::Type
type QSocketNotifier__Type int64

const (
	QSocketNotifier__Read      QSocketNotifier__Type = QSocketNotifier__Type(0)
	QSocketNotifier__Write     QSocketNotifier__Type = QSocketNotifier__Type(1)
	QSocketNotifier__Exception QSocketNotifier__Type = QSocketNotifier__Type(2)
)

func (ptr *QSocketNotifier) ConnectActivated(f func(socket int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSocketNotifier) DisconnectActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActivated"})
}

func (ptr *QSocketNotifier) IsEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEnabled"}).(bool)
}

func (ptr *QSocketNotifier) ConnectSetEnabled(f func(enable bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetEnabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSocketNotifier) DisconnectSetEnabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetEnabled"})
}

func (ptr *QSocketNotifier) SetEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEnabled", enable})
}

func (ptr *QSocketNotifier) SetEnabledDefault(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEnabledDefault", enable})
}

func (ptr *QSocketNotifier) Type() QSocketNotifier__Type {

	return QSocketNotifier__Type(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QSocketNotifier) ConnectDestroyQSocketNotifier(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSocketNotifier", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSocketNotifier) DisconnectDestroyQSocketNotifier() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSocketNotifier"})
}

func (ptr *QSocketNotifier) DestroyQSocketNotifier() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSocketNotifier"})
}

func (ptr *QSocketNotifier) DestroyQSocketNotifierDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSocketNotifierDefault"})
}

type QSortFilterProxyModel struct {
	QAbstractProxyModel
}

type QSortFilterProxyModel_ITF interface {
	QAbstractProxyModel_ITF
	QSortFilterProxyModel_PTR() *QSortFilterProxyModel
}

func (ptr *QSortFilterProxyModel) QSortFilterProxyModel_PTR() *QSortFilterProxyModel {
	return ptr
}

func (ptr *QSortFilterProxyModel) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractProxyModel_PTR().Pointer()
	}
	return nil
}

func (ptr *QSortFilterProxyModel) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractProxyModel_PTR().SetPointer(p)
	}
}

func PointerFromQSortFilterProxyModel(ptr QSortFilterProxyModel_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSortFilterProxyModel_PTR().Pointer()
	}
	return nil
}

func (n *QSortFilterProxyModel) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractProxyModel_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSortFilterProxyModel) ClassNameInternalF() string {
	return n.QAbstractProxyModel_PTR().ClassNameInternalF()
}

func NewQSortFilterProxyModelFromPointer(ptr unsafe.Pointer) (n *QSortFilterProxyModel) {
	n = new(QSortFilterProxyModel)
	n.InitFromInternal(uintptr(ptr), "core.QSortFilterProxyModel")
	return
}
func NewQSortFilterProxyModel(parent QObject_ITF) *QSortFilterProxyModel {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSortFilterProxyModel", "", parent}).(*QSortFilterProxyModel)
}

func (ptr *QSortFilterProxyModel) ConnectColumnCount(f func(parent *QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectColumnCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnCount"})
}

func (ptr *QSortFilterProxyModel) ColumnCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount", parent}).(float64))
}

func (ptr *QSortFilterProxyModel) ColumnCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCountDefault", parent}).(float64))
}

func (ptr *QSortFilterProxyModel) DynamicSortFilter() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DynamicSortFilter"}).(bool)
}

func (ptr *QSortFilterProxyModel) ConnectFilterAcceptsColumn(f func(source_column int, source_parent *QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFilterAcceptsColumn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectFilterAcceptsColumn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFilterAcceptsColumn"})
}

func (ptr *QSortFilterProxyModel) FilterAcceptsColumn(source_column int, source_parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilterAcceptsColumn", source_column, source_parent}).(bool)
}

func (ptr *QSortFilterProxyModel) FilterAcceptsColumnDefault(source_column int, source_parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilterAcceptsColumnDefault", source_column, source_parent}).(bool)
}

func (ptr *QSortFilterProxyModel) ConnectFilterAcceptsRow(f func(source_row int, source_parent *QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFilterAcceptsRow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectFilterAcceptsRow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFilterAcceptsRow"})
}

func (ptr *QSortFilterProxyModel) FilterAcceptsRow(source_row int, source_parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilterAcceptsRow", source_row, source_parent}).(bool)
}

func (ptr *QSortFilterProxyModel) FilterAcceptsRowDefault(source_row int, source_parent QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilterAcceptsRowDefault", source_row, source_parent}).(bool)
}

func (ptr *QSortFilterProxyModel) FilterCaseSensitivity() Qt__CaseSensitivity {

	return Qt__CaseSensitivity(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilterCaseSensitivity"}).(float64))
}

func (ptr *QSortFilterProxyModel) FilterKeyColumn() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilterKeyColumn"}).(float64))
}

func (ptr *QSortFilterProxyModel) FilterRegExp() *QRegExp {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilterRegExp"}).(*QRegExp)
}

func (ptr *QSortFilterProxyModel) FilterRegularExpression() *QRegularExpression {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilterRegularExpression"}).(*QRegularExpression)
}

func (ptr *QSortFilterProxyModel) FilterRole() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilterRole"}).(float64))
}

func (ptr *QSortFilterProxyModel) ConnectIndex(f func(row int, column int, parent *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndex"})
}

func (ptr *QSortFilterProxyModel) Index(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index", row, column, parent}).(*QModelIndex)
}

func (ptr *QSortFilterProxyModel) IndexDefault(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexDefault", row, column, parent}).(*QModelIndex)
}

func (ptr *QSortFilterProxyModel) ConnectInvalidate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInvalidate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectInvalidate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInvalidate"})
}

func (ptr *QSortFilterProxyModel) Invalidate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Invalidate"})
}

func (ptr *QSortFilterProxyModel) InvalidateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvalidateDefault"})
}

func (ptr *QSortFilterProxyModel) InvalidateFilter() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvalidateFilter"})
}

func (ptr *QSortFilterProxyModel) IsRecursiveFilteringEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRecursiveFilteringEnabled"}).(bool)
}

func (ptr *QSortFilterProxyModel) IsSortLocaleAware() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSortLocaleAware"}).(bool)
}

func (ptr *QSortFilterProxyModel) ConnectLessThan(f func(source_left *QModelIndex, source_right *QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLessThan", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectLessThan() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLessThan"})
}

func (ptr *QSortFilterProxyModel) LessThan(source_left QModelIndex_ITF, source_right QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LessThan", source_left, source_right}).(bool)
}

func (ptr *QSortFilterProxyModel) LessThanDefault(source_left QModelIndex_ITF, source_right QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LessThanDefault", source_left, source_right}).(bool)
}

func (ptr *QSortFilterProxyModel) ConnectMapFromSource(f func(sourceIndex *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMapFromSource", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectMapFromSource() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMapFromSource"})
}

func (ptr *QSortFilterProxyModel) MapFromSource(sourceIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromSource", sourceIndex}).(*QModelIndex)
}

func (ptr *QSortFilterProxyModel) MapFromSourceDefault(sourceIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromSourceDefault", sourceIndex}).(*QModelIndex)
}

func (ptr *QSortFilterProxyModel) ConnectMapToSource(f func(proxyIndex *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMapToSource", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectMapToSource() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMapToSource"})
}

func (ptr *QSortFilterProxyModel) MapToSource(proxyIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToSource", proxyIndex}).(*QModelIndex)
}

func (ptr *QSortFilterProxyModel) MapToSourceDefault(proxyIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToSourceDefault", proxyIndex}).(*QModelIndex)
}

func (ptr *QSortFilterProxyModel) ConnectParent(f func(child *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectParent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectParent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectParent"})
}

func (ptr *QSortFilterProxyModel) Parent(child QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent", child}).(*QModelIndex)
}

func (ptr *QSortFilterProxyModel) ParentDefault(child QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentDefault", child}).(*QModelIndex)
}

func (ptr *QSortFilterProxyModel) ConnectRowCount(f func(parent *QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectRowCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowCount"})
}

func (ptr *QSortFilterProxyModel) RowCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount", parent}).(float64))
}

func (ptr *QSortFilterProxyModel) RowCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCountDefault", parent}).(float64))
}

func (ptr *QSortFilterProxyModel) SetDynamicSortFilter(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDynamicSortFilter", enable})
}

func (ptr *QSortFilterProxyModel) SetFilterCaseSensitivity(cs Qt__CaseSensitivity) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterCaseSensitivity", cs})
}

func (ptr *QSortFilterProxyModel) ConnectSetFilterFixedString(f func(pattern string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFilterFixedString", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectSetFilterFixedString() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFilterFixedString"})
}

func (ptr *QSortFilterProxyModel) SetFilterFixedString(pattern string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterFixedString", pattern})
}

func (ptr *QSortFilterProxyModel) SetFilterFixedStringDefault(pattern string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterFixedStringDefault", pattern})
}

func (ptr *QSortFilterProxyModel) SetFilterKeyColumn(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterKeyColumn", column})
}

func (ptr *QSortFilterProxyModel) ConnectSetFilterRegExp(f func(regExp *QRegExp)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFilterRegExp", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectSetFilterRegExp() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFilterRegExp"})
}

func (ptr *QSortFilterProxyModel) SetFilterRegExp(regExp QRegExp_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterRegExp", regExp})
}

func (ptr *QSortFilterProxyModel) SetFilterRegExpDefault(regExp QRegExp_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterRegExpDefault", regExp})
}

func (ptr *QSortFilterProxyModel) ConnectSetFilterRegExp2(f func(pattern string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFilterRegExp2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectSetFilterRegExp2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFilterRegExp2"})
}

func (ptr *QSortFilterProxyModel) SetFilterRegExp2(pattern string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterRegExp2", pattern})
}

func (ptr *QSortFilterProxyModel) SetFilterRegExp2Default(pattern string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterRegExp2Default", pattern})
}

func (ptr *QSortFilterProxyModel) ConnectSetFilterRegularExpression(f func(pattern string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFilterRegularExpression", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectSetFilterRegularExpression() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFilterRegularExpression"})
}

func (ptr *QSortFilterProxyModel) SetFilterRegularExpression(pattern string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterRegularExpression", pattern})
}

func (ptr *QSortFilterProxyModel) SetFilterRegularExpressionDefault(pattern string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterRegularExpressionDefault", pattern})
}

func (ptr *QSortFilterProxyModel) ConnectSetFilterRegularExpression2(f func(regularExpression *QRegularExpression)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFilterRegularExpression2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectSetFilterRegularExpression2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFilterRegularExpression2"})
}

func (ptr *QSortFilterProxyModel) SetFilterRegularExpression2(regularExpression QRegularExpression_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterRegularExpression2", regularExpression})
}

func (ptr *QSortFilterProxyModel) SetFilterRegularExpression2Default(regularExpression QRegularExpression_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterRegularExpression2Default", regularExpression})
}

func (ptr *QSortFilterProxyModel) SetFilterRole(role int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterRole", role})
}

func (ptr *QSortFilterProxyModel) ConnectSetFilterWildcard(f func(pattern string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFilterWildcard", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectSetFilterWildcard() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFilterWildcard"})
}

func (ptr *QSortFilterProxyModel) SetFilterWildcard(pattern string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterWildcard", pattern})
}

func (ptr *QSortFilterProxyModel) SetFilterWildcardDefault(pattern string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterWildcardDefault", pattern})
}

func (ptr *QSortFilterProxyModel) SetRecursiveFilteringEnabled(recursive bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRecursiveFilteringEnabled", recursive})
}

func (ptr *QSortFilterProxyModel) SetSortCaseSensitivity(cs Qt__CaseSensitivity) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSortCaseSensitivity", cs})
}

func (ptr *QSortFilterProxyModel) SetSortLocaleAware(on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSortLocaleAware", on})
}

func (ptr *QSortFilterProxyModel) SetSortRole(role int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSortRole", role})
}

func (ptr *QSortFilterProxyModel) SortCaseSensitivity() Qt__CaseSensitivity {

	return Qt__CaseSensitivity(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortCaseSensitivity"}).(float64))
}

func (ptr *QSortFilterProxyModel) SortColumn() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortColumn"}).(float64))
}

func (ptr *QSortFilterProxyModel) SortOrder() Qt__SortOrder {

	return Qt__SortOrder(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortOrder"}).(float64))
}

func (ptr *QSortFilterProxyModel) SortRole() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortRole"}).(float64))
}

func (ptr *QSortFilterProxyModel) ConnectDestroyQSortFilterProxyModel(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSortFilterProxyModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSortFilterProxyModel) DisconnectDestroyQSortFilterProxyModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSortFilterProxyModel"})
}

func (ptr *QSortFilterProxyModel) DestroyQSortFilterProxyModel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSortFilterProxyModel"})
}

func (ptr *QSortFilterProxyModel) DestroyQSortFilterProxyModelDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSortFilterProxyModelDefault"})
}

type QSpecialInteger struct {
	internal.Internal
}

type QSpecialInteger_ITF interface {
	QSpecialInteger_PTR() *QSpecialInteger
}

func (ptr *QSpecialInteger) QSpecialInteger_PTR() *QSpecialInteger {
	return ptr
}

func (ptr *QSpecialInteger) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSpecialInteger) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSpecialInteger(ptr QSpecialInteger_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSpecialInteger_PTR().Pointer()
	}
	return nil
}

func (n *QSpecialInteger) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSpecialIntegerFromPointer(ptr unsafe.Pointer) (n *QSpecialInteger) {
	n = new(QSpecialInteger)
	n.InitFromInternal(uintptr(ptr), "core.QSpecialInteger")
	return
}

func (ptr *QSpecialInteger) DestroyQSpecialInteger() {
}

type QStack struct {
	QVector
}

type QStack_ITF interface {
	QVector_ITF
	QStack_PTR() *QStack
}

func (ptr *QStack) QStack_PTR() *QStack {
	return ptr
}

func (ptr *QStack) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVector_PTR().Pointer()
	}
	return nil
}

func (ptr *QStack) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVector_PTR().SetPointer(p)
	}
}

func PointerFromQStack(ptr QStack_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStack_PTR().Pointer()
	}
	return nil
}

func (n *QStack) InitFromInternal(ptr uintptr, name string) {
	n.QVector_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStack) ClassNameInternalF() string {
	return n.QVector_PTR().ClassNameInternalF()
}

func NewQStackFromPointer(ptr unsafe.Pointer) (n *QStack) {
	n = new(QStack)
	n.InitFromInternal(uintptr(ptr), "core.QStack")
	return
}

func (ptr *QStack) DestroyQStack() {
}

type QStandardPaths struct {
	internal.Internal
}

type QStandardPaths_ITF interface {
	QStandardPaths_PTR() *QStandardPaths
}

func (ptr *QStandardPaths) QStandardPaths_PTR() *QStandardPaths {
	return ptr
}

func (ptr *QStandardPaths) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStandardPaths) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStandardPaths(ptr QStandardPaths_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStandardPaths_PTR().Pointer()
	}
	return nil
}

func (n *QStandardPaths) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStandardPathsFromPointer(ptr unsafe.Pointer) (n *QStandardPaths) {
	n = new(QStandardPaths)
	n.InitFromInternal(uintptr(ptr), "core.QStandardPaths")
	return
}

func (ptr *QStandardPaths) DestroyQStandardPaths() {
}

//go:generate stringer -type=QStandardPaths__StandardLocation
//QStandardPaths::StandardLocation
type QStandardPaths__StandardLocation int64

const (
	QStandardPaths__DesktopLocation       QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(0)
	QStandardPaths__DocumentsLocation     QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(1)
	QStandardPaths__FontsLocation         QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(2)
	QStandardPaths__ApplicationsLocation  QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(3)
	QStandardPaths__MusicLocation         QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(4)
	QStandardPaths__MoviesLocation        QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(5)
	QStandardPaths__PicturesLocation      QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(6)
	QStandardPaths__TempLocation          QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(7)
	QStandardPaths__HomeLocation          QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(8)
	QStandardPaths__DataLocation          QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(9)
	QStandardPaths__CacheLocation         QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(10)
	QStandardPaths__GenericDataLocation   QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(11)
	QStandardPaths__RuntimeLocation       QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(12)
	QStandardPaths__ConfigLocation        QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(13)
	QStandardPaths__DownloadLocation      QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(14)
	QStandardPaths__GenericCacheLocation  QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(15)
	QStandardPaths__GenericConfigLocation QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(16)
	QStandardPaths__AppDataLocation       QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(17)
	QStandardPaths__AppConfigLocation     QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(18)
	QStandardPaths__AppLocalDataLocation  QStandardPaths__StandardLocation = QStandardPaths__StandardLocation(QStandardPaths__DataLocation)
)

//go:generate stringer -type=QStandardPaths__LocateOption
//QStandardPaths::LocateOption
type QStandardPaths__LocateOption int64

const (
	QStandardPaths__LocateFile      QStandardPaths__LocateOption = QStandardPaths__LocateOption(0x0)
	QStandardPaths__LocateDirectory QStandardPaths__LocateOption = QStandardPaths__LocateOption(0x1)
)

func QStandardPaths_DisplayName(ty QStandardPaths__StandardLocation) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStandardPaths_DisplayName", "", ty}).(string)
}

func (ptr *QStandardPaths) DisplayName(ty QStandardPaths__StandardLocation) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStandardPaths_DisplayName", "", ty}).(string)
}

func QStandardPaths_FindExecutable(executableName string, paths []string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStandardPaths_FindExecutable", "", executableName, paths}).(string)
}

func (ptr *QStandardPaths) FindExecutable(executableName string, paths []string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStandardPaths_FindExecutable", "", executableName, paths}).(string)
}

func QStandardPaths_Locate(ty QStandardPaths__StandardLocation, fileName string, options QStandardPaths__LocateOption) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStandardPaths_Locate", "", ty, fileName, options}).(string)
}

func (ptr *QStandardPaths) Locate(ty QStandardPaths__StandardLocation, fileName string, options QStandardPaths__LocateOption) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStandardPaths_Locate", "", ty, fileName, options}).(string)
}

func QStandardPaths_LocateAll(ty QStandardPaths__StandardLocation, fileName string, options QStandardPaths__LocateOption) []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStandardPaths_LocateAll", "", ty, fileName, options}).([]string)
}

func (ptr *QStandardPaths) LocateAll(ty QStandardPaths__StandardLocation, fileName string, options QStandardPaths__LocateOption) []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStandardPaths_LocateAll", "", ty, fileName, options}).([]string)
}

func QStandardPaths_SetTestModeEnabled(testMode bool) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QStandardPaths_SetTestModeEnabled", "", testMode})
}

func (ptr *QStandardPaths) SetTestModeEnabled(testMode bool) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QStandardPaths_SetTestModeEnabled", "", testMode})
}

func QStandardPaths_StandardLocations(ty QStandardPaths__StandardLocation) []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStandardPaths_StandardLocations", "", ty}).([]string)
}

func (ptr *QStandardPaths) StandardLocations(ty QStandardPaths__StandardLocation) []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStandardPaths_StandardLocations", "", ty}).([]string)
}

func QStandardPaths_WritableLocation(ty QStandardPaths__StandardLocation) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStandardPaths_WritableLocation", "", ty}).(string)
}

func (ptr *QStandardPaths) WritableLocation(ty QStandardPaths__StandardLocation) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStandardPaths_WritableLocation", "", ty}).(string)
}

type QState struct {
	QAbstractState
}

type QState_ITF interface {
	QAbstractState_ITF
	QState_PTR() *QState
}

func (ptr *QState) QState_PTR() *QState {
	return ptr
}

func (ptr *QState) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractState_PTR().Pointer()
	}
	return nil
}

func (ptr *QState) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractState_PTR().SetPointer(p)
	}
}

func PointerFromQState(ptr QState_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QState_PTR().Pointer()
	}
	return nil
}

func (n *QState) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractState_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QState) ClassNameInternalF() string {
	return n.QAbstractState_PTR().ClassNameInternalF()
}

func NewQStateFromPointer(ptr unsafe.Pointer) (n *QState) {
	n = new(QState)
	n.InitFromInternal(uintptr(ptr), "core.QState")
	return
}

//go:generate stringer -type=QState__ChildMode
//QState::ChildMode
type QState__ChildMode int64

const (
	QState__ExclusiveStates QState__ChildMode = QState__ChildMode(0)
	QState__ParallelStates  QState__ChildMode = QState__ChildMode(1)
)

//go:generate stringer -type=QState__RestorePolicy
//QState::RestorePolicy
type QState__RestorePolicy int64

const (
	QState__DontRestoreProperties QState__RestorePolicy = QState__RestorePolicy(0)
	QState__RestoreProperties     QState__RestorePolicy = QState__RestorePolicy(1)
)

func NewQState(parent QState_ITF) *QState {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQState", "", parent}).(*QState)
}

func NewQState2(childMode QState__ChildMode, parent QState_ITF) *QState {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQState2", "", childMode, parent}).(*QState)
}

func (ptr *QState) AddTransition(transition QAbstractTransition_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddTransition", transition})
}

func (ptr *QState) AddTransition2(sender QObject_ITF, sign string, target QAbstractState_ITF) *QSignalTransition {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddTransition2", sender, sign, target}).(*QSignalTransition)
}

func (ptr *QState) AddTransition4(target QAbstractState_ITF) *QAbstractTransition {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddTransition4", target}).(*QAbstractTransition)
}

func (ptr *QState) AssignProperty(object QObject_ITF, name string, value QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AssignProperty", object, name, value})
}

func (ptr *QState) ChildMode() QState__ChildMode {

	return QState__ChildMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildMode"}).(float64))
}

func (ptr *QState) ConnectChildModeChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectChildModeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QState) DisconnectChildModeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectChildModeChanged"})
}

func (ptr *QState) ErrorState() *QAbstractState {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorState"}).(*QAbstractState)
}

func (ptr *QState) ConnectErrorStateChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectErrorStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QState) DisconnectErrorStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectErrorStateChanged"})
}

func (ptr *QState) ConnectFinished(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFinished", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QState) DisconnectFinished() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFinished"})
}

func (ptr *QState) InitialState() *QAbstractState {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitialState"}).(*QAbstractState)
}

func (ptr *QState) ConnectInitialStateChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInitialStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QState) DisconnectInitialStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInitialStateChanged"})
}

func (ptr *QState) ConnectOnEntry(f func(event *QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOnEntry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QState) DisconnectOnEntry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOnEntry"})
}

func (ptr *QState) OnEntry(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnEntry", event})
}

func (ptr *QState) OnEntryDefault(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnEntryDefault", event})
}

func (ptr *QState) ConnectOnExit(f func(event *QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOnExit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QState) DisconnectOnExit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOnExit"})
}

func (ptr *QState) OnExit(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnExit", event})
}

func (ptr *QState) OnExitDefault(event QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnExitDefault", event})
}

func (ptr *QState) ConnectPropertiesAssigned(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPropertiesAssigned", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QState) DisconnectPropertiesAssigned() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPropertiesAssigned"})
}

func (ptr *QState) RemoveTransition(transition QAbstractTransition_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveTransition", transition})
}

func (ptr *QState) SetChildMode(mode QState__ChildMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChildMode", mode})
}

func (ptr *QState) SetErrorState(state QAbstractState_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetErrorState", state})
}

func (ptr *QState) SetInitialState(state QAbstractState_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInitialState", state})
}

func (ptr *QState) Transitions() []*QAbstractTransition {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transitions"}).([]*QAbstractTransition)
}

func (ptr *QState) ConnectDestroyQState(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QState) DisconnectDestroyQState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQState"})
}

func (ptr *QState) DestroyQState() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQState"})
}

func (ptr *QState) DestroyQStateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStateDefault"})
}

func (ptr *QState) __transitions_atList(i int) *QAbstractTransition {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__transitions_atList", i}).(*QAbstractTransition)
}

func (ptr *QState) __transitions_setList(i QAbstractTransition_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__transitions_setList", i})
}

func (ptr *QState) __transitions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__transitions_newList"}).(unsafe.Pointer)
}

type QStateMachine struct {
	QState
}

type QStateMachine_ITF interface {
	QState_ITF
	QStateMachine_PTR() *QStateMachine
}

func (ptr *QStateMachine) QStateMachine_PTR() *QStateMachine {
	return ptr
}

func (ptr *QStateMachine) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QState_PTR().Pointer()
	}
	return nil
}

func (ptr *QStateMachine) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QState_PTR().SetPointer(p)
	}
}

func PointerFromQStateMachine(ptr QStateMachine_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStateMachine_PTR().Pointer()
	}
	return nil
}

func (n *QStateMachine) InitFromInternal(ptr uintptr, name string) {
	n.QState_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStateMachine) ClassNameInternalF() string {
	return n.QState_PTR().ClassNameInternalF()
}

func NewQStateMachineFromPointer(ptr unsafe.Pointer) (n *QStateMachine) {
	n = new(QStateMachine)
	n.InitFromInternal(uintptr(ptr), "core.QStateMachine")
	return
}

//go:generate stringer -type=QStateMachine__EventPriority
//QStateMachine::EventPriority
type QStateMachine__EventPriority int64

const (
	QStateMachine__NormalPriority QStateMachine__EventPriority = QStateMachine__EventPriority(0)
	QStateMachine__HighPriority   QStateMachine__EventPriority = QStateMachine__EventPriority(1)
)

//go:generate stringer -type=QStateMachine__Error
//QStateMachine::Error
type QStateMachine__Error int64

const (
	QStateMachine__NoError                            QStateMachine__Error = QStateMachine__Error(0)
	QStateMachine__NoInitialStateError                QStateMachine__Error = QStateMachine__Error(1)
	QStateMachine__NoDefaultStateInHistoryStateError  QStateMachine__Error = QStateMachine__Error(2)
	QStateMachine__NoCommonAncestorForTransitionError QStateMachine__Error = QStateMachine__Error(3)
)

func NewQStateMachine(parent QObject_ITF) *QStateMachine {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStateMachine", "", parent}).(*QStateMachine)
}

func NewQStateMachine2(childMode QState__ChildMode, parent QObject_ITF) *QStateMachine {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStateMachine2", "", childMode, parent}).(*QStateMachine)
}

func (ptr *QStateMachine) AddDefaultAnimation(animation QAbstractAnimation_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddDefaultAnimation", animation})
}

func (ptr *QStateMachine) AddState(state QAbstractState_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddState", state})
}

func (ptr *QStateMachine) CancelDelayedEvent(id int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CancelDelayedEvent", id}).(bool)
}

func (ptr *QStateMachine) ClearError() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearError"})
}

func (ptr *QStateMachine) DefaultAnimations() []*QAbstractAnimation {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultAnimations"}).([]*QAbstractAnimation)
}

func (ptr *QStateMachine) Error() QStateMachine__Error {

	return QStateMachine__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QStateMachine) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QStateMachine) GlobalRestorePolicy() QState__RestorePolicy {

	return QState__RestorePolicy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalRestorePolicy"}).(float64))
}

func (ptr *QStateMachine) IsAnimated() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAnimated"}).(bool)
}

func (ptr *QStateMachine) IsRunning() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRunning"}).(bool)
}

func (ptr *QStateMachine) PostDelayedEvent(event QEvent_ITF, delay int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PostDelayedEvent", event, delay}).(float64))
}

func (ptr *QStateMachine) PostEvent(event QEvent_ITF, priority QStateMachine__EventPriority) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PostEvent", event, priority})
}

func (ptr *QStateMachine) RemoveDefaultAnimation(animation QAbstractAnimation_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveDefaultAnimation", animation})
}

func (ptr *QStateMachine) RemoveState(state QAbstractState_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveState", state})
}

func (ptr *QStateMachine) ConnectRunningChanged(f func(running bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRunningChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStateMachine) DisconnectRunningChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRunningChanged"})
}

func (ptr *QStateMachine) RunningChanged(running bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RunningChanged", running})
}

func (ptr *QStateMachine) SetAnimated(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAnimated", enabled})
}

func (ptr *QStateMachine) SetGlobalRestorePolicy(restorePolicy QState__RestorePolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGlobalRestorePolicy", restorePolicy})
}

func (ptr *QStateMachine) ConnectSetRunning(f func(running bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetRunning", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStateMachine) DisconnectSetRunning() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetRunning"})
}

func (ptr *QStateMachine) SetRunning(running bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRunning", running})
}

func (ptr *QStateMachine) SetRunningDefault(running bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRunningDefault", running})
}

func (ptr *QStateMachine) ConnectStart(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStateMachine) DisconnectStart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart"})
}

func (ptr *QStateMachine) Start() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start"})
}

func (ptr *QStateMachine) StartDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDefault"})
}

func (ptr *QStateMachine) ConnectStarted(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStarted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStateMachine) DisconnectStarted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStarted"})
}

func (ptr *QStateMachine) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStateMachine) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QStateMachine) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QStateMachine) StopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StopDefault"})
}

func (ptr *QStateMachine) ConnectStopped(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStopped", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStateMachine) DisconnectStopped() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStopped"})
}

func (ptr *QStateMachine) ConnectDestroyQStateMachine(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQStateMachine", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStateMachine) DisconnectDestroyQStateMachine() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQStateMachine"})
}

func (ptr *QStateMachine) DestroyQStateMachine() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStateMachine"})
}

func (ptr *QStateMachine) DestroyQStateMachineDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStateMachineDefault"})
}

func (ptr *QStateMachine) __defaultAnimations_atList(i int) *QAbstractAnimation {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__defaultAnimations_atList", i}).(*QAbstractAnimation)
}

func (ptr *QStateMachine) __defaultAnimations_setList(i QAbstractAnimation_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__defaultAnimations_setList", i})
}

func (ptr *QStateMachine) __defaultAnimations_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__defaultAnimations_newList"}).(unsafe.Pointer)
}

type QStaticByteArrayData struct {
	internal.Internal
}

type QStaticByteArrayData_ITF interface {
	QStaticByteArrayData_PTR() *QStaticByteArrayData
}

func (ptr *QStaticByteArrayData) QStaticByteArrayData_PTR() *QStaticByteArrayData {
	return ptr
}

func (ptr *QStaticByteArrayData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStaticByteArrayData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStaticByteArrayData(ptr QStaticByteArrayData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStaticByteArrayData_PTR().Pointer()
	}
	return nil
}

func (n *QStaticByteArrayData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStaticByteArrayDataFromPointer(ptr unsafe.Pointer) (n *QStaticByteArrayData) {
	n = new(QStaticByteArrayData)
	n.InitFromInternal(uintptr(ptr), "core.QStaticByteArrayData")
	return
}

func (ptr *QStaticByteArrayData) DestroyQStaticByteArrayData() {
}

type QStaticByteArrayMatcher struct {
	internal.Internal
}

type QStaticByteArrayMatcher_ITF interface {
	QStaticByteArrayMatcher_PTR() *QStaticByteArrayMatcher
}

func (ptr *QStaticByteArrayMatcher) QStaticByteArrayMatcher_PTR() *QStaticByteArrayMatcher {
	return ptr
}

func (ptr *QStaticByteArrayMatcher) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStaticByteArrayMatcher) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStaticByteArrayMatcher(ptr QStaticByteArrayMatcher_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStaticByteArrayMatcher_PTR().Pointer()
	}
	return nil
}

func (n *QStaticByteArrayMatcher) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStaticByteArrayMatcherFromPointer(ptr unsafe.Pointer) (n *QStaticByteArrayMatcher) {
	n = new(QStaticByteArrayMatcher)
	n.InitFromInternal(uintptr(ptr), "core.QStaticByteArrayMatcher")
	return
}

func (ptr *QStaticByteArrayMatcher) DestroyQStaticByteArrayMatcher() {
}

type QStaticPlugin struct {
	internal.Internal
}

type QStaticPlugin_ITF interface {
	QStaticPlugin_PTR() *QStaticPlugin
}

func (ptr *QStaticPlugin) QStaticPlugin_PTR() *QStaticPlugin {
	return ptr
}

func (ptr *QStaticPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStaticPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStaticPlugin(ptr QStaticPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStaticPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QStaticPlugin) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStaticPluginFromPointer(ptr unsafe.Pointer) (n *QStaticPlugin) {
	n = new(QStaticPlugin)
	n.InitFromInternal(uintptr(ptr), "core.QStaticPlugin")
	return
}

func (ptr *QStaticPlugin) DestroyQStaticPlugin() {
}

func (ptr *QStaticPlugin) Instance() *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Instance"}).(*QObject)
}

func (ptr *QStaticPlugin) MetaData() *QJsonObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaData"}).(*QJsonObject)
}

func (ptr *QStaticPlugin) RawMetaData() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RawMetaData"}).(string)
}

type QStaticStringData struct {
	internal.Internal
}

type QStaticStringData_ITF interface {
	QStaticStringData_PTR() *QStaticStringData
}

func (ptr *QStaticStringData) QStaticStringData_PTR() *QStaticStringData {
	return ptr
}

func (ptr *QStaticStringData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStaticStringData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStaticStringData(ptr QStaticStringData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStaticStringData_PTR().Pointer()
	}
	return nil
}

func (n *QStaticStringData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStaticStringDataFromPointer(ptr unsafe.Pointer) (n *QStaticStringData) {
	n = new(QStaticStringData)
	n.InitFromInternal(uintptr(ptr), "core.QStaticStringData")
	return
}

func (ptr *QStaticStringData) DestroyQStaticStringData() {
}

type QStorageInfo struct {
	internal.Internal
}

type QStorageInfo_ITF interface {
	QStorageInfo_PTR() *QStorageInfo
}

func (ptr *QStorageInfo) QStorageInfo_PTR() *QStorageInfo {
	return ptr
}

func (ptr *QStorageInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStorageInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStorageInfo(ptr QStorageInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStorageInfo_PTR().Pointer()
	}
	return nil
}

func (n *QStorageInfo) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStorageInfoFromPointer(ptr unsafe.Pointer) (n *QStorageInfo) {
	n = new(QStorageInfo)
	n.InitFromInternal(uintptr(ptr), "core.QStorageInfo")
	return
}
func NewQStorageInfo() *QStorageInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStorageInfo", ""}).(*QStorageInfo)
}

func NewQStorageInfo2(path string) *QStorageInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStorageInfo2", "", path}).(*QStorageInfo)
}

func NewQStorageInfo3(dir QDir_ITF) *QStorageInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStorageInfo3", "", dir}).(*QStorageInfo)
}

func NewQStorageInfo4(other QStorageInfo_ITF) *QStorageInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStorageInfo4", "", other}).(*QStorageInfo)
}

func (ptr *QStorageInfo) BlockSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockSize"}).(float64))
}

func (ptr *QStorageInfo) BytesAvailable() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesAvailable"}).(float64))
}

func (ptr *QStorageInfo) BytesFree() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesFree"}).(float64))
}

func (ptr *QStorageInfo) BytesTotal() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesTotal"}).(float64))
}

func (ptr *QStorageInfo) Device() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Device"}).(*QByteArray)
}

func (ptr *QStorageInfo) DisplayName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisplayName"}).(string)
}

func (ptr *QStorageInfo) FileSystemType() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileSystemType"}).(*QByteArray)
}

func (ptr *QStorageInfo) IsReadOnly() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadOnly"}).(bool)
}

func (ptr *QStorageInfo) IsReady() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReady"}).(bool)
}

func (ptr *QStorageInfo) IsRoot() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRoot"}).(bool)
}

func (ptr *QStorageInfo) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func QStorageInfo_MountedVolumes() []*QStorageInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStorageInfo_MountedVolumes", ""}).([]*QStorageInfo)
}

func (ptr *QStorageInfo) MountedVolumes() []*QStorageInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStorageInfo_MountedVolumes", ""}).([]*QStorageInfo)
}

func (ptr *QStorageInfo) Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(string)
}

func (ptr *QStorageInfo) Refresh() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Refresh"})
}

func QStorageInfo_Root() *QStorageInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStorageInfo_Root", ""}).(*QStorageInfo)
}

func (ptr *QStorageInfo) Root() *QStorageInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QStorageInfo_Root", ""}).(*QStorageInfo)
}

func (ptr *QStorageInfo) RootPath() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RootPath"}).(string)
}

func (ptr *QStorageInfo) SetPath(path string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPath", path})
}

func (ptr *QStorageInfo) Subvolume() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Subvolume"}).(*QByteArray)
}

func (ptr *QStorageInfo) Swap(other QStorageInfo_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QStorageInfo) DestroyQStorageInfo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStorageInfo"})
}

func (ptr *QStorageInfo) __mountedVolumes_atList(i int) *QStorageInfo {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mountedVolumes_atList", i}).(*QStorageInfo)
}

func (ptr *QStorageInfo) __mountedVolumes_setList(i QStorageInfo_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mountedVolumes_setList", i})
}

func (ptr *QStorageInfo) __mountedVolumes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mountedVolumes_newList"}).(unsafe.Pointer)
}

type QString struct {
	internal.Internal
}

type QString_ITF interface {
	QString_PTR() *QString
}

func (ptr *QString) QString_PTR() *QString {
	return ptr
}

func (ptr *QString) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QString) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQString(ptr QString_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QString_PTR().Pointer()
	}
	return nil
}

func (n *QString) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStringFromPointer(ptr unsafe.Pointer) (n *QString) {
	n = new(QString)
	n.InitFromInternal(uintptr(ptr), "core.QString")
	return
}

//go:generate stringer -type=QString__SectionFlag
//QString::SectionFlag
type QString__SectionFlag int64

const (
	QString__SectionDefault             QString__SectionFlag = QString__SectionFlag(0x00)
	QString__SectionSkipEmpty           QString__SectionFlag = QString__SectionFlag(0x01)
	QString__SectionIncludeLeadingSep   QString__SectionFlag = QString__SectionFlag(0x02)
	QString__SectionIncludeTrailingSep  QString__SectionFlag = QString__SectionFlag(0x04)
	QString__SectionCaseInsensitiveSeps QString__SectionFlag = QString__SectionFlag(0x08)
)

//go:generate stringer -type=QString__SplitBehavior
//QString::SplitBehavior
type QString__SplitBehavior int64

const (
	QString__KeepEmptyParts QString__SplitBehavior = QString__SplitBehavior(0)
	QString__SkipEmptyParts QString__SplitBehavior = QString__SplitBehavior(1)
)

//go:generate stringer -type=QString__NormalizationForm
//QString::NormalizationForm
type QString__NormalizationForm int64

const (
	QString__NormalizationForm_D  QString__NormalizationForm = QString__NormalizationForm(0)
	QString__NormalizationForm_C  QString__NormalizationForm = QString__NormalizationForm(1)
	QString__NormalizationForm_KD QString__NormalizationForm = QString__NormalizationForm(2)
	QString__NormalizationForm_KC QString__NormalizationForm = QString__NormalizationForm(3)
)

type QStringBuilderCommon struct {
	internal.Internal
}

type QStringBuilderCommon_ITF interface {
	QStringBuilderCommon_PTR() *QStringBuilderCommon
}

func (ptr *QStringBuilderCommon) QStringBuilderCommon_PTR() *QStringBuilderCommon {
	return ptr
}

func (ptr *QStringBuilderCommon) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStringBuilderCommon) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStringBuilderCommon(ptr QStringBuilderCommon_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStringBuilderCommon_PTR().Pointer()
	}
	return nil
}

func (n *QStringBuilderCommon) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStringBuilderCommonFromPointer(ptr unsafe.Pointer) (n *QStringBuilderCommon) {
	n = new(QStringBuilderCommon)
	n.InitFromInternal(uintptr(ptr), "core.QStringBuilderCommon")
	return
}

func (ptr *QStringBuilderCommon) DestroyQStringBuilderCommon() {
}

type QStringList struct {
	internal.Internal
}

type QStringList_ITF interface {
	QStringList_PTR() *QStringList
}

func (ptr *QStringList) QStringList_PTR() *QStringList {
	return ptr
}

func (ptr *QStringList) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStringList) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStringList(ptr QStringList_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStringList_PTR().Pointer()
	}
	return nil
}

func (n *QStringList) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStringListFromPointer(ptr unsafe.Pointer) (n *QStringList) {
	n = new(QStringList)
	n.InitFromInternal(uintptr(ptr), "core.QStringList")
	return
}

func (ptr *QStringList) DestroyQStringList() {
}

type QStringListModel struct {
	QAbstractListModel
}

type QStringListModel_ITF interface {
	QAbstractListModel_ITF
	QStringListModel_PTR() *QStringListModel
}

func (ptr *QStringListModel) QStringListModel_PTR() *QStringListModel {
	return ptr
}

func (ptr *QStringListModel) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractListModel_PTR().Pointer()
	}
	return nil
}

func (ptr *QStringListModel) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractListModel_PTR().SetPointer(p)
	}
}

func PointerFromQStringListModel(ptr QStringListModel_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStringListModel_PTR().Pointer()
	}
	return nil
}

func (n *QStringListModel) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractListModel_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStringListModel) ClassNameInternalF() string {
	return n.QAbstractListModel_PTR().ClassNameInternalF()
}

func NewQStringListModelFromPointer(ptr unsafe.Pointer) (n *QStringListModel) {
	n = new(QStringListModel)
	n.InitFromInternal(uintptr(ptr), "core.QStringListModel")
	return
}

func (ptr *QStringListModel) DestroyQStringListModel() {
}

func NewQStringListModel(parent QObject_ITF) *QStringListModel {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStringListModel", "", parent}).(*QStringListModel)
}

func NewQStringListModel2(strin []string, parent QObject_ITF) *QStringListModel {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStringListModel2", "", strin, parent}).(*QStringListModel)
}

func (ptr *QStringListModel) ConnectData(f func(index *QModelIndex, role int) *QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStringListModel) DisconnectData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectData"})
}

func (ptr *QStringListModel) Data(index QModelIndex_ITF, role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", index, role}).(*QVariant)
}

func (ptr *QStringListModel) DataDefault(index QModelIndex_ITF, role int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataDefault", index, role}).(*QVariant)
}

func (ptr *QStringListModel) ConnectRowCount(f func(parent *QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStringListModel) DisconnectRowCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowCount"})
}

func (ptr *QStringListModel) RowCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount", parent}).(float64))
}

func (ptr *QStringListModel) RowCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCountDefault", parent}).(float64))
}

func (ptr *QStringListModel) SetStringList(strin []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStringList", strin})
}

func (ptr *QStringListModel) StringList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StringList"}).([]string)
}

type QStringMatcher struct {
	internal.Internal
}

type QStringMatcher_ITF interface {
	QStringMatcher_PTR() *QStringMatcher
}

func (ptr *QStringMatcher) QStringMatcher_PTR() *QStringMatcher {
	return ptr
}

func (ptr *QStringMatcher) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStringMatcher) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStringMatcher(ptr QStringMatcher_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStringMatcher_PTR().Pointer()
	}
	return nil
}

func (n *QStringMatcher) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStringMatcherFromPointer(ptr unsafe.Pointer) (n *QStringMatcher) {
	n = new(QStringMatcher)
	n.InitFromInternal(uintptr(ptr), "core.QStringMatcher")
	return
}
func NewQStringMatcher() *QStringMatcher {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStringMatcher", ""}).(*QStringMatcher)
}

func NewQStringMatcher2(pattern string, cs Qt__CaseSensitivity) *QStringMatcher {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStringMatcher2", "", pattern, cs}).(*QStringMatcher)
}

func NewQStringMatcher3(uc QChar_ITF, length int, cs Qt__CaseSensitivity) *QStringMatcher {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStringMatcher3", "", uc, length, cs}).(*QStringMatcher)
}

func NewQStringMatcher4(other QStringMatcher_ITF) *QStringMatcher {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStringMatcher4", "", other}).(*QStringMatcher)
}

func (ptr *QStringMatcher) CaseSensitivity() Qt__CaseSensitivity {

	return Qt__CaseSensitivity(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CaseSensitivity"}).(float64))
}

func (ptr *QStringMatcher) IndexIn(str string, from int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexIn", str, from}).(float64))
}

func (ptr *QStringMatcher) IndexIn2(str QChar_ITF, length int, from int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexIn2", str, length, from}).(float64))
}

func (ptr *QStringMatcher) Pattern() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pattern"}).(string)
}

func (ptr *QStringMatcher) SetCaseSensitivity(cs Qt__CaseSensitivity) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCaseSensitivity", cs})
}

func (ptr *QStringMatcher) SetPattern(pattern string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPattern", pattern})
}

func (ptr *QStringMatcher) DestroyQStringMatcher() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStringMatcher"})
}

type QStringRef struct {
	internal.Internal
}

type QStringRef_ITF interface {
	QStringRef_PTR() *QStringRef
}

func (ptr *QStringRef) QStringRef_PTR() *QStringRef {
	return ptr
}

func (ptr *QStringRef) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStringRef) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStringRef(ptr QStringRef_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStringRef_PTR().Pointer()
	}
	return nil
}

func (n *QStringRef) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStringRefFromPointer(ptr unsafe.Pointer) (n *QStringRef) {
	n = new(QStringRef)
	n.InitFromInternal(uintptr(ptr), "core.QStringRef")
	return
}
func NewQStringRef() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStringRef", ""}).(*QStringRef)
}

func NewQStringRef2(stri string, position int, length int) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStringRef2", "", stri, position, length}).(*QStringRef)
}

func NewQStringRef3(stri string) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStringRef3", "", stri}).(*QStringRef)
}

func NewQStringRef4(other QStringRef_ITF) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStringRef4", "", other}).(*QStringRef)
}

func (ptr *QStringRef) AppendTo(stri string) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendTo", stri}).(*QStringRef)
}

func (ptr *QStringRef) At(position int) *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "At", position}).(*QChar)
}

func (ptr *QStringRef) Back() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Back"}).(*QChar)
}

func (ptr *QStringRef) Chop(n int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Chop", n})
}

func (ptr *QStringRef) Chopped(l int) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Chopped", l}).(*QStringRef)
}

func (ptr *QStringRef) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func QStringRef_Compare(s1 QStringRef_ITF, s2 string, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QStringRef_Compare", "", s1, s2, cs}).(float64))
}

func (ptr *QStringRef) Compare(s1 QStringRef_ITF, s2 string, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QStringRef_Compare", "", s1, s2, cs}).(float64))
}

func (ptr *QStringRef) Compare2(other string, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Compare2", other, cs}).(float64))
}

func (ptr *QStringRef) Compare3(other QStringRef_ITF, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Compare3", other, cs}).(float64))
}

func (ptr *QStringRef) Compare4(other QLatin1String_ITF, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Compare4", other, cs}).(float64))
}

func (ptr *QStringRef) Compare5(other QByteArray_ITF, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Compare5", other, cs}).(float64))
}

func QStringRef_Compare6(s1 QStringRef_ITF, s2 QStringRef_ITF, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QStringRef_Compare6", "", s1, s2, cs}).(float64))
}

func (ptr *QStringRef) Compare6(s1 QStringRef_ITF, s2 QStringRef_ITF, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QStringRef_Compare6", "", s1, s2, cs}).(float64))
}

func QStringRef_Compare7(s1 QStringRef_ITF, s2 QLatin1String_ITF, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QStringRef_Compare7", "", s1, s2, cs}).(float64))
}

func (ptr *QStringRef) Compare7(s1 QStringRef_ITF, s2 QLatin1String_ITF, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QStringRef_Compare7", "", s1, s2, cs}).(float64))
}

func (ptr *QStringRef) ConstData() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConstData"}).(*QChar)
}

func (ptr *QStringRef) Contains(str string, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", str, cs}).(bool)
}

func (ptr *QStringRef) Contains2(ch QChar_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains2", ch, cs}).(bool)
}

func (ptr *QStringRef) Contains3(str QLatin1String_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains3", str, cs}).(bool)
}

func (ptr *QStringRef) Contains4(str QStringRef_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains4", str, cs}).(bool)
}

func (ptr *QStringRef) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QStringRef) Count2(str string, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count2", str, cs}).(float64))
}

func (ptr *QStringRef) Count3(ch QChar_ITF, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count3", ch, cs}).(float64))
}

func (ptr *QStringRef) Count4(str QStringRef_ITF, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count4", str, cs}).(float64))
}

func (ptr *QStringRef) Data() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data"}).(*QChar)
}

func (ptr *QStringRef) EndsWith(str string, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith", str, cs}).(bool)
}

func (ptr *QStringRef) EndsWith2(str QStringView_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith2", str, cs}).(bool)
}

func (ptr *QStringRef) EndsWith3(str QLatin1String_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith3", str, cs}).(bool)
}

func (ptr *QStringRef) EndsWith4(ch QChar_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith4", ch, cs}).(bool)
}

func (ptr *QStringRef) EndsWith5(str QStringRef_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith5", str, cs}).(bool)
}

func (ptr *QStringRef) Front() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Front"}).(*QChar)
}

func (ptr *QStringRef) IndexOf(str string, from int, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOf", str, from, cs}).(float64))
}

func (ptr *QStringRef) IndexOf2(ch QChar_ITF, from int, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOf2", ch, from, cs}).(float64))
}

func (ptr *QStringRef) IndexOf3(str QLatin1String_ITF, from int, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOf3", str, from, cs}).(float64))
}

func (ptr *QStringRef) IndexOf4(str QStringRef_ITF, from int, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOf4", str, from, cs}).(float64))
}

func (ptr *QStringRef) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QStringRef) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QStringRef) IsRightToLeft() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRightToLeft"}).(bool)
}

func (ptr *QStringRef) LastIndexOf(str string, from int, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastIndexOf", str, from, cs}).(float64))
}

func (ptr *QStringRef) LastIndexOf2(ch QChar_ITF, from int, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastIndexOf2", ch, from, cs}).(float64))
}

func (ptr *QStringRef) LastIndexOf3(str QLatin1String_ITF, from int, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastIndexOf3", str, from, cs}).(float64))
}

func (ptr *QStringRef) LastIndexOf4(str QStringRef_ITF, from int, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastIndexOf4", str, from, cs}).(float64))
}

func (ptr *QStringRef) Left(n int) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Left", n}).(*QStringRef)
}

func (ptr *QStringRef) Length() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Length"}).(float64))
}

func QStringRef_LocaleAwareCompare(s1 QStringRef_ITF, s2 string) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QStringRef_LocaleAwareCompare", "", s1, s2}).(float64))
}

func (ptr *QStringRef) LocaleAwareCompare(s1 QStringRef_ITF, s2 string) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QStringRef_LocaleAwareCompare", "", s1, s2}).(float64))
}

func (ptr *QStringRef) LocaleAwareCompare2(other string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LocaleAwareCompare2", other}).(float64))
}

func (ptr *QStringRef) LocaleAwareCompare3(other QStringRef_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LocaleAwareCompare3", other}).(float64))
}

func QStringRef_LocaleAwareCompare4(s1 QStringRef_ITF, s2 QStringRef_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QStringRef_LocaleAwareCompare4", "", s1, s2}).(float64))
}

func (ptr *QStringRef) LocaleAwareCompare4(s1 QStringRef_ITF, s2 QStringRef_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QStringRef_LocaleAwareCompare4", "", s1, s2}).(float64))
}

func (ptr *QStringRef) Mid(position int, n int) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mid", position, n}).(*QStringRef)
}

func (ptr *QStringRef) Position() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(float64))
}

func (ptr *QStringRef) Right(n int) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Right", n}).(*QStringRef)
}

func (ptr *QStringRef) Size() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

func (ptr *QStringRef) Split(sep string, behavior QString__SplitBehavior, cs Qt__CaseSensitivity) []*QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Split", sep, behavior, cs}).([]*QStringRef)
}

func (ptr *QStringRef) Split2(sep QChar_ITF, behavior QString__SplitBehavior, cs Qt__CaseSensitivity) []*QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Split2", sep, behavior, cs}).([]*QStringRef)
}

func (ptr *QStringRef) StartsWith(str string, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith", str, cs}).(bool)
}

func (ptr *QStringRef) StartsWith2(str QStringView_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith2", str, cs}).(bool)
}

func (ptr *QStringRef) StartsWith3(str QLatin1String_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith3", str, cs}).(bool)
}

func (ptr *QStringRef) StartsWith4(ch QChar_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith4", ch, cs}).(bool)
}

func (ptr *QStringRef) StartsWith5(str QStringRef_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith5", str, cs}).(bool)
}

func (ptr *QStringRef) String() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "String"}).(string)
}

func (ptr *QStringRef) ToDouble(ok *bool) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToDouble", ok}).(float64)
}

func (ptr *QStringRef) ToFloat(ok *bool) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToFloat", ok}).(float32)
}

func (ptr *QStringRef) ToInt(ok *bool, base int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToInt", ok, base}).(float64))
}

func (ptr *QStringRef) ToLatin1() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLatin1"}).(*QByteArray)
}

func (ptr *QStringRef) ToLocal8Bit() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLocal8Bit"}).(*QByteArray)
}

func (ptr *QStringRef) ToLong(ok *bool, base int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLong", ok, base}).(float64))
}

func (ptr *QStringRef) ToLongLong(ok *bool, base int) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLongLong", ok, base}).(float64))
}

func (ptr *QStringRef) ToShort(ok *bool, base int) int16 {

	return int16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToShort", ok, base}).(float64))
}

func (ptr *QStringRef) ToString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString"}).(string)
}

func (ptr *QStringRef) ToUInt(ok *bool, base int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUInt", ok, base}).(float64))
}

func (ptr *QStringRef) ToULong(ok *bool, base int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToULong", ok, base}).(float64))
}

func (ptr *QStringRef) ToULongLong(ok *bool, base int) uint64 {

	return uint64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToULongLong", ok, base}).(float64))
}

func (ptr *QStringRef) ToUShort(ok *bool, base int) uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUShort", ok, base}).(float64))
}

func (ptr *QStringRef) ToUcs4() []uint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUcs4"}).([]uint)
}

func (ptr *QStringRef) ToUtf8() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUtf8"}).(*QByteArray)
}

func (ptr *QStringRef) Trimmed() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Trimmed"}).(*QStringRef)
}

func (ptr *QStringRef) Truncate(position int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Truncate", position})
}

func (ptr *QStringRef) Unicode() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unicode"}).(*QChar)
}

func (ptr *QStringRef) DestroyQStringRef() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStringRef"})
}

func (ptr *QStringRef) __split_atList(i int) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__split_atList", i}).(*QStringRef)
}

func (ptr *QStringRef) __split_setList(i QStringRef_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__split_setList", i})
}

func (ptr *QStringRef) __split_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__split_newList"}).(unsafe.Pointer)
}

func (ptr *QStringRef) __split_atList2(i int) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__split_atList2", i}).(*QStringRef)
}

func (ptr *QStringRef) __split_setList2(i QStringRef_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__split_setList2", i})
}

func (ptr *QStringRef) __split_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__split_newList2"}).(unsafe.Pointer)
}

func (ptr *QStringRef) __toUcs4_atList(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toUcs4_atList", i}).(float64))
}

func (ptr *QStringRef) __toUcs4_setList(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toUcs4_setList", i})
}

func (ptr *QStringRef) __toUcs4_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toUcs4_newList"}).(unsafe.Pointer)
}

type QStringView struct {
	internal.Internal
}

type QStringView_ITF interface {
	QStringView_PTR() *QStringView
}

func (ptr *QStringView) QStringView_PTR() *QStringView {
	return ptr
}

func (ptr *QStringView) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStringView) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStringView(ptr QStringView_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStringView_PTR().Pointer()
	}
	return nil
}

func (n *QStringView) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStringViewFromPointer(ptr unsafe.Pointer) (n *QStringView) {
	n = new(QStringView)
	n.InitFromInternal(uintptr(ptr), "core.QStringView")
	return
}

func (ptr *QStringView) DestroyQStringView() {
}

func NewQStringView() *QStringView {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStringView", ""}).(*QStringView)
}

func NewQStringView7(str string) *QStringView {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStringView7", "", str}).(*QStringView)
}

func NewQStringView8(str QStringRef_ITF) *QStringView {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQStringView8", "", str}).(*QStringView)
}

func (ptr *QStringView) Back() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Back"}).(*QChar)
}

func (ptr *QStringView) Compare(other QStringView_ITF, cs Qt__CaseSensitivity) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Compare", other, cs}).(float64))
}

func (ptr *QStringView) Empty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Empty"}).(bool)
}

func (ptr *QStringView) EndsWith(str QStringView_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith", str, cs}).(bool)
}

func (ptr *QStringView) EndsWith2(l1 QLatin1String_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith2", l1, cs}).(bool)
}

func (ptr *QStringView) EndsWith3(ch QChar_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith3", ch}).(bool)
}

func (ptr *QStringView) EndsWith4(ch QChar_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndsWith4", ch, cs}).(bool)
}

func (ptr *QStringView) First() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "First"}).(*QChar)
}

func (ptr *QStringView) Front() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Front"}).(*QChar)
}

func (ptr *QStringView) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QStringView) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QStringView) IsRightToLeft() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRightToLeft"}).(bool)
}

func (ptr *QStringView) Last() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Last"}).(*QChar)
}

func (ptr *QStringView) Length() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Length"}).(float64))
}

func (ptr *QStringView) StartsWith(str QStringView_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith", str, cs}).(bool)
}

func (ptr *QStringView) StartsWith2(l1 QLatin1String_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith2", l1, cs}).(bool)
}

func (ptr *QStringView) StartsWith3(ch QChar_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith3", ch}).(bool)
}

func (ptr *QStringView) StartsWith4(ch QChar_ITF, cs Qt__CaseSensitivity) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartsWith4", ch, cs}).(bool)
}

func (ptr *QStringView) ToLatin1() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLatin1"}).(*QByteArray)
}

func (ptr *QStringView) ToLocal8Bit() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLocal8Bit"}).(*QByteArray)
}

func (ptr *QStringView) ToString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString"}).(string)
}

func (ptr *QStringView) ToUcs4() []uint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUcs4"}).([]uint)
}

func (ptr *QStringView) ToUtf8() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUtf8"}).(*QByteArray)
}

func (ptr *QStringView) Trimmed() *QStringView {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Trimmed"}).(*QStringView)
}

func (ptr *QStringView) __convertToUcs4_atList(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__convertToUcs4_atList", i}).(float64))
}

func (ptr *QStringView) __convertToUcs4_setList(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__convertToUcs4_setList", i})
}

func (ptr *QStringView) __convertToUcs4_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__convertToUcs4_newList"}).(unsafe.Pointer)
}

func (ptr *QStringView) __toUcs4_atList(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toUcs4_atList", i}).(float64))
}

func (ptr *QStringView) __toUcs4_setList(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toUcs4_setList", i})
}

func (ptr *QStringView) __toUcs4_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toUcs4_newList"}).(unsafe.Pointer)
}

type QSysInfo struct {
	internal.Internal
}

type QSysInfo_ITF interface {
	QSysInfo_PTR() *QSysInfo
}

func (ptr *QSysInfo) QSysInfo_PTR() *QSysInfo {
	return ptr
}

func (ptr *QSysInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSysInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSysInfo(ptr QSysInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSysInfo_PTR().Pointer()
	}
	return nil
}

func (n *QSysInfo) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSysInfoFromPointer(ptr unsafe.Pointer) (n *QSysInfo) {
	n = new(QSysInfo)
	n.InitFromInternal(uintptr(ptr), "core.QSysInfo")
	return
}

func (ptr *QSysInfo) DestroyQSysInfo() {
}

//go:generate stringer -type=QSysInfo__Sizes
//QSysInfo::Sizes
type QSysInfo__Sizes int64

var (
	QSysInfo__WordSize QSysInfo__Sizes = QSysInfo__Sizes(0)
)

//go:generate stringer -type=QSysInfo__Endian
//QSysInfo::Endian
type QSysInfo__Endian int64

const (
	QSysInfo__BigEndian    QSysInfo__Endian = QSysInfo__Endian(0)
	QSysInfo__LittleEndian QSysInfo__Endian = QSysInfo__Endian(1)
)

func QSysInfo_BootUniqueId() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_BootUniqueId", ""}).(*QByteArray)
}

func (ptr *QSysInfo) BootUniqueId() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_BootUniqueId", ""}).(*QByteArray)
}

func QSysInfo_BuildAbi() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_BuildAbi", ""}).(string)
}

func (ptr *QSysInfo) BuildAbi() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_BuildAbi", ""}).(string)
}

func QSysInfo_BuildCpuArchitecture() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_BuildCpuArchitecture", ""}).(string)
}

func (ptr *QSysInfo) BuildCpuArchitecture() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_BuildCpuArchitecture", ""}).(string)
}

func QSysInfo_CurrentCpuArchitecture() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_CurrentCpuArchitecture", ""}).(string)
}

func (ptr *QSysInfo) CurrentCpuArchitecture() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_CurrentCpuArchitecture", ""}).(string)
}

func QSysInfo_KernelType() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_KernelType", ""}).(string)
}

func (ptr *QSysInfo) KernelType() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_KernelType", ""}).(string)
}

func QSysInfo_KernelVersion() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_KernelVersion", ""}).(string)
}

func (ptr *QSysInfo) KernelVersion() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_KernelVersion", ""}).(string)
}

func QSysInfo_MachineHostName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_MachineHostName", ""}).(string)
}

func (ptr *QSysInfo) MachineHostName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_MachineHostName", ""}).(string)
}

func QSysInfo_MachineUniqueId() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_MachineUniqueId", ""}).(*QByteArray)
}

func (ptr *QSysInfo) MachineUniqueId() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_MachineUniqueId", ""}).(*QByteArray)
}

func QSysInfo_PrettyProductName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_PrettyProductName", ""}).(string)
}

func (ptr *QSysInfo) PrettyProductName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_PrettyProductName", ""}).(string)
}

func QSysInfo_ProductType() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_ProductType", ""}).(string)
}

func (ptr *QSysInfo) ProductType() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_ProductType", ""}).(string)
}

func QSysInfo_ProductVersion() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_ProductVersion", ""}).(string)
}

func (ptr *QSysInfo) ProductVersion() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QSysInfo_ProductVersion", ""}).(string)
}

type QSystemSemaphore struct {
	internal.Internal
}

type QSystemSemaphore_ITF interface {
	QSystemSemaphore_PTR() *QSystemSemaphore
}

func (ptr *QSystemSemaphore) QSystemSemaphore_PTR() *QSystemSemaphore {
	return ptr
}

func (ptr *QSystemSemaphore) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSystemSemaphore) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSystemSemaphore(ptr QSystemSemaphore_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSystemSemaphore_PTR().Pointer()
	}
	return nil
}

func (n *QSystemSemaphore) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSystemSemaphoreFromPointer(ptr unsafe.Pointer) (n *QSystemSemaphore) {
	n = new(QSystemSemaphore)
	n.InitFromInternal(uintptr(ptr), "core.QSystemSemaphore")
	return
}

//go:generate stringer -type=QSystemSemaphore__AccessMode
//QSystemSemaphore::AccessMode
type QSystemSemaphore__AccessMode int64

const (
	QSystemSemaphore__Open   QSystemSemaphore__AccessMode = QSystemSemaphore__AccessMode(0)
	QSystemSemaphore__Create QSystemSemaphore__AccessMode = QSystemSemaphore__AccessMode(1)
)

//go:generate stringer -type=QSystemSemaphore__SystemSemaphoreError
//QSystemSemaphore::SystemSemaphoreError
type QSystemSemaphore__SystemSemaphoreError int64

const (
	QSystemSemaphore__NoError          QSystemSemaphore__SystemSemaphoreError = QSystemSemaphore__SystemSemaphoreError(0)
	QSystemSemaphore__PermissionDenied QSystemSemaphore__SystemSemaphoreError = QSystemSemaphore__SystemSemaphoreError(1)
	QSystemSemaphore__KeyError         QSystemSemaphore__SystemSemaphoreError = QSystemSemaphore__SystemSemaphoreError(2)
	QSystemSemaphore__AlreadyExists    QSystemSemaphore__SystemSemaphoreError = QSystemSemaphore__SystemSemaphoreError(3)
	QSystemSemaphore__NotFound         QSystemSemaphore__SystemSemaphoreError = QSystemSemaphore__SystemSemaphoreError(4)
	QSystemSemaphore__OutOfResources   QSystemSemaphore__SystemSemaphoreError = QSystemSemaphore__SystemSemaphoreError(5)
	QSystemSemaphore__UnknownError     QSystemSemaphore__SystemSemaphoreError = QSystemSemaphore__SystemSemaphoreError(6)
)

func NewQSystemSemaphore(key string, initialValue int, mode QSystemSemaphore__AccessMode) *QSystemSemaphore {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQSystemSemaphore", "", key, initialValue, mode}).(*QSystemSemaphore)
}

func (ptr *QSystemSemaphore) Acquire() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Acquire"}).(bool)
}

func (ptr *QSystemSemaphore) Error() QSystemSemaphore__SystemSemaphoreError {

	return QSystemSemaphore__SystemSemaphoreError(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QSystemSemaphore) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QSystemSemaphore) Key() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Key"}).(string)
}

func (ptr *QSystemSemaphore) Release(n int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Release", n}).(bool)
}

func (ptr *QSystemSemaphore) SetKey(key string, initialValue int, mode QSystemSemaphore__AccessMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetKey", key, initialValue, mode})
}

func (ptr *QSystemSemaphore) DestroyQSystemSemaphore() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSystemSemaphore"})
}

type QTemporaryDir struct {
	internal.Internal
}

type QTemporaryDir_ITF interface {
	QTemporaryDir_PTR() *QTemporaryDir
}

func (ptr *QTemporaryDir) QTemporaryDir_PTR() *QTemporaryDir {
	return ptr
}

func (ptr *QTemporaryDir) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTemporaryDir) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTemporaryDir(ptr QTemporaryDir_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTemporaryDir_PTR().Pointer()
	}
	return nil
}

func (n *QTemporaryDir) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTemporaryDirFromPointer(ptr unsafe.Pointer) (n *QTemporaryDir) {
	n = new(QTemporaryDir)
	n.InitFromInternal(uintptr(ptr), "core.QTemporaryDir")
	return
}
func NewQTemporaryDir() *QTemporaryDir {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTemporaryDir", ""}).(*QTemporaryDir)
}

func NewQTemporaryDir2(templatePath string) *QTemporaryDir {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTemporaryDir2", "", templatePath}).(*QTemporaryDir)
}

func (ptr *QTemporaryDir) AutoRemove() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoRemove"}).(bool)
}

func (ptr *QTemporaryDir) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QTemporaryDir) FilePath(fileName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilePath", fileName}).(string)
}

func (ptr *QTemporaryDir) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QTemporaryDir) Path() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Path"}).(string)
}

func (ptr *QTemporaryDir) Remove() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove"}).(bool)
}

func (ptr *QTemporaryDir) SetAutoRemove(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoRemove", b})
}

func (ptr *QTemporaryDir) DestroyQTemporaryDir() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTemporaryDir"})
}

type QTemporaryFile struct {
	QFile
}

type QTemporaryFile_ITF interface {
	QFile_ITF
	QTemporaryFile_PTR() *QTemporaryFile
}

func (ptr *QTemporaryFile) QTemporaryFile_PTR() *QTemporaryFile {
	return ptr
}

func (ptr *QTemporaryFile) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QFile_PTR().Pointer()
	}
	return nil
}

func (ptr *QTemporaryFile) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QFile_PTR().SetPointer(p)
	}
}

func PointerFromQTemporaryFile(ptr QTemporaryFile_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTemporaryFile_PTR().Pointer()
	}
	return nil
}

func (n *QTemporaryFile) InitFromInternal(ptr uintptr, name string) {
	n.QFile_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTemporaryFile) ClassNameInternalF() string {
	return n.QFile_PTR().ClassNameInternalF()
}

func NewQTemporaryFileFromPointer(ptr unsafe.Pointer) (n *QTemporaryFile) {
	n = new(QTemporaryFile)
	n.InitFromInternal(uintptr(ptr), "core.QTemporaryFile")
	return
}
func NewQTemporaryFile() *QTemporaryFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTemporaryFile", ""}).(*QTemporaryFile)
}

func NewQTemporaryFile2(templateName string) *QTemporaryFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTemporaryFile2", "", templateName}).(*QTemporaryFile)
}

func NewQTemporaryFile3(parent QObject_ITF) *QTemporaryFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTemporaryFile3", "", parent}).(*QTemporaryFile)
}

func NewQTemporaryFile4(templateName string, parent QObject_ITF) *QTemporaryFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTemporaryFile4", "", templateName, parent}).(*QTemporaryFile)
}

func (ptr *QTemporaryFile) AutoRemove() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoRemove"}).(bool)
}

func QTemporaryFile_CreateNativeFile(file QFile_ITF) *QTemporaryFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTemporaryFile_CreateNativeFile", "", file}).(*QTemporaryFile)
}

func (ptr *QTemporaryFile) CreateNativeFile(file QFile_ITF) *QTemporaryFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTemporaryFile_CreateNativeFile", "", file}).(*QTemporaryFile)
}

func QTemporaryFile_CreateNativeFile2(fileName string) *QTemporaryFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTemporaryFile_CreateNativeFile2", "", fileName}).(*QTemporaryFile)
}

func (ptr *QTemporaryFile) CreateNativeFile2(fileName string) *QTemporaryFile {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTemporaryFile_CreateNativeFile2", "", fileName}).(*QTemporaryFile)
}

func (ptr *QTemporaryFile) FileTemplate() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileTemplate"}).(string)
}

func (ptr *QTemporaryFile) Open() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Open"}).(bool)
}

func (ptr *QTemporaryFile) SetAutoRemove(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoRemove", b})
}

func (ptr *QTemporaryFile) SetFileTemplate(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileTemplate", name})
}

func (ptr *QTemporaryFile) ConnectDestroyQTemporaryFile(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTemporaryFile", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTemporaryFile) DisconnectDestroyQTemporaryFile() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTemporaryFile"})
}

func (ptr *QTemporaryFile) DestroyQTemporaryFile() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTemporaryFile"})
}

func (ptr *QTemporaryFile) DestroyQTemporaryFileDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTemporaryFileDefault"})
}

type QTextBoundaryFinder struct {
	internal.Internal
}

type QTextBoundaryFinder_ITF interface {
	QTextBoundaryFinder_PTR() *QTextBoundaryFinder
}

func (ptr *QTextBoundaryFinder) QTextBoundaryFinder_PTR() *QTextBoundaryFinder {
	return ptr
}

func (ptr *QTextBoundaryFinder) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextBoundaryFinder) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextBoundaryFinder(ptr QTextBoundaryFinder_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextBoundaryFinder_PTR().Pointer()
	}
	return nil
}

func (n *QTextBoundaryFinder) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextBoundaryFinderFromPointer(ptr unsafe.Pointer) (n *QTextBoundaryFinder) {
	n = new(QTextBoundaryFinder)
	n.InitFromInternal(uintptr(ptr), "core.QTextBoundaryFinder")
	return
}

//go:generate stringer -type=QTextBoundaryFinder__BoundaryType
//QTextBoundaryFinder::BoundaryType
type QTextBoundaryFinder__BoundaryType int64

const (
	QTextBoundaryFinder__Grapheme QTextBoundaryFinder__BoundaryType = QTextBoundaryFinder__BoundaryType(0)
	QTextBoundaryFinder__Word     QTextBoundaryFinder__BoundaryType = QTextBoundaryFinder__BoundaryType(1)
	QTextBoundaryFinder__Sentence QTextBoundaryFinder__BoundaryType = QTextBoundaryFinder__BoundaryType(2)
	QTextBoundaryFinder__Line     QTextBoundaryFinder__BoundaryType = QTextBoundaryFinder__BoundaryType(3)
)

//go:generate stringer -type=QTextBoundaryFinder__BoundaryReason
//QTextBoundaryFinder::BoundaryReason
type QTextBoundaryFinder__BoundaryReason int64

const (
	QTextBoundaryFinder__NotAtBoundary    QTextBoundaryFinder__BoundaryReason = QTextBoundaryFinder__BoundaryReason(0)
	QTextBoundaryFinder__BreakOpportunity QTextBoundaryFinder__BoundaryReason = QTextBoundaryFinder__BoundaryReason(0x1f)
	QTextBoundaryFinder__StartOfItem      QTextBoundaryFinder__BoundaryReason = QTextBoundaryFinder__BoundaryReason(0x20)
	QTextBoundaryFinder__EndOfItem        QTextBoundaryFinder__BoundaryReason = QTextBoundaryFinder__BoundaryReason(0x40)
	QTextBoundaryFinder__MandatoryBreak   QTextBoundaryFinder__BoundaryReason = QTextBoundaryFinder__BoundaryReason(0x80)
	QTextBoundaryFinder__SoftHyphen       QTextBoundaryFinder__BoundaryReason = QTextBoundaryFinder__BoundaryReason(0x100)
)

func NewQTextBoundaryFinder() *QTextBoundaryFinder {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTextBoundaryFinder", ""}).(*QTextBoundaryFinder)
}

func NewQTextBoundaryFinder2(other QTextBoundaryFinder_ITF) *QTextBoundaryFinder {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTextBoundaryFinder2", "", other}).(*QTextBoundaryFinder)
}

func NewQTextBoundaryFinder3(ty QTextBoundaryFinder__BoundaryType, stri string) *QTextBoundaryFinder {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTextBoundaryFinder3", "", ty, stri}).(*QTextBoundaryFinder)
}

func (ptr *QTextBoundaryFinder) BoundaryReasons() QTextBoundaryFinder__BoundaryReason {

	return QTextBoundaryFinder__BoundaryReason(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundaryReasons"}).(float64))
}

func (ptr *QTextBoundaryFinder) IsAtBoundary() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAtBoundary"}).(bool)
}

func (ptr *QTextBoundaryFinder) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QTextBoundaryFinder) Position() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(float64))
}

func (ptr *QTextBoundaryFinder) SetPosition(position int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPosition", position})
}

func (ptr *QTextBoundaryFinder) String() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "String"}).(string)
}

func (ptr *QTextBoundaryFinder) ToEnd() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToEnd"})
}

func (ptr *QTextBoundaryFinder) ToNextBoundary() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToNextBoundary"}).(float64))
}

func (ptr *QTextBoundaryFinder) ToPreviousBoundary() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPreviousBoundary"}).(float64))
}

func (ptr *QTextBoundaryFinder) ToStart() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToStart"})
}

func (ptr *QTextBoundaryFinder) Type() QTextBoundaryFinder__BoundaryType {

	return QTextBoundaryFinder__BoundaryType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QTextBoundaryFinder) DestroyQTextBoundaryFinder() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextBoundaryFinder"})
}

type QTextCodec struct {
	internal.Internal
}

type QTextCodec_ITF interface {
	QTextCodec_PTR() *QTextCodec
}

func (ptr *QTextCodec) QTextCodec_PTR() *QTextCodec {
	return ptr
}

func (ptr *QTextCodec) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextCodec) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextCodec(ptr QTextCodec_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextCodec_PTR().Pointer()
	}
	return nil
}

func (n *QTextCodec) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextCodecFromPointer(ptr unsafe.Pointer) (n *QTextCodec) {
	n = new(QTextCodec)
	n.InitFromInternal(uintptr(ptr), "core.QTextCodec")
	return
}

//go:generate stringer -type=QTextCodec__ConversionFlag
//QTextCodec::ConversionFlag
type QTextCodec__ConversionFlag int64

const (
	QTextCodec__DefaultConversion    QTextCodec__ConversionFlag = QTextCodec__ConversionFlag(0)
	QTextCodec__ConvertInvalidToNull QTextCodec__ConversionFlag = QTextCodec__ConversionFlag(0x80000000)
	QTextCodec__IgnoreHeader         QTextCodec__ConversionFlag = QTextCodec__ConversionFlag(0x1)
	QTextCodec__FreeFunction         QTextCodec__ConversionFlag = QTextCodec__ConversionFlag(0x2)
)

func (ptr *QTextCodec) ConnectAliases(f func() []*QByteArray) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAliases", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextCodec) DisconnectAliases() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAliases"})
}

func (ptr *QTextCodec) Aliases() []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Aliases"}).([]*QByteArray)
}

func (ptr *QTextCodec) AliasesDefault() []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AliasesDefault"}).([]*QByteArray)
}

func QTextCodec_AvailableCodecs() []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_AvailableCodecs", ""}).([]*QByteArray)
}

func (ptr *QTextCodec) AvailableCodecs() []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_AvailableCodecs", ""}).([]*QByteArray)
}

func QTextCodec_AvailableMibs() []int {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_AvailableMibs", ""}).([]int)
}

func (ptr *QTextCodec) AvailableMibs() []int {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_AvailableMibs", ""}).([]int)
}

func (ptr *QTextCodec) CanEncode(ch QChar_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanEncode", ch}).(bool)
}

func (ptr *QTextCodec) CanEncode2(s string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanEncode2", s}).(bool)
}

func (ptr *QTextCodec) CanEncode3(s QStringView_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanEncode3", s}).(bool)
}

func QTextCodec_CodecForHtml(ba QByteArray_ITF, defaultCodec QTextCodec_ITF) *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForHtml", "", ba, defaultCodec}).(*QTextCodec)
}

func (ptr *QTextCodec) CodecForHtml(ba QByteArray_ITF, defaultCodec QTextCodec_ITF) *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForHtml", "", ba, defaultCodec}).(*QTextCodec)
}

func QTextCodec_CodecForHtml2(ba QByteArray_ITF) *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForHtml2", "", ba}).(*QTextCodec)
}

func (ptr *QTextCodec) CodecForHtml2(ba QByteArray_ITF) *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForHtml2", "", ba}).(*QTextCodec)
}

func QTextCodec_CodecForLocale() *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForLocale", ""}).(*QTextCodec)
}

func (ptr *QTextCodec) CodecForLocale() *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForLocale", ""}).(*QTextCodec)
}

func QTextCodec_CodecForMib(mib int) *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForMib", "", mib}).(*QTextCodec)
}

func (ptr *QTextCodec) CodecForMib(mib int) *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForMib", "", mib}).(*QTextCodec)
}

func QTextCodec_CodecForName(name QByteArray_ITF) *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForName", "", name}).(*QTextCodec)
}

func (ptr *QTextCodec) CodecForName(name QByteArray_ITF) *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForName", "", name}).(*QTextCodec)
}

func QTextCodec_CodecForName2(name string) *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForName2", "", name}).(*QTextCodec)
}

func (ptr *QTextCodec) CodecForName2(name string) *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForName2", "", name}).(*QTextCodec)
}

func QTextCodec_CodecForUtfText(ba QByteArray_ITF, defaultCodec QTextCodec_ITF) *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForUtfText", "", ba, defaultCodec}).(*QTextCodec)
}

func (ptr *QTextCodec) CodecForUtfText(ba QByteArray_ITF, defaultCodec QTextCodec_ITF) *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForUtfText", "", ba, defaultCodec}).(*QTextCodec)
}

func QTextCodec_CodecForUtfText2(ba QByteArray_ITF) *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForUtfText2", "", ba}).(*QTextCodec)
}

func (ptr *QTextCodec) CodecForUtfText2(ba QByteArray_ITF) *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_CodecForUtfText2", "", ba}).(*QTextCodec)
}

func (ptr *QTextCodec) FromUnicode(str string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FromUnicode", str}).(*QByteArray)
}

func (ptr *QTextCodec) FromUnicode2(str QStringView_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FromUnicode2", str}).(*QByteArray)
}

func (ptr *QTextCodec) MakeDecoder(flags QTextCodec__ConversionFlag) *QTextDecoder {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MakeDecoder", flags}).(*QTextDecoder)
}

func (ptr *QTextCodec) MakeEncoder(flags QTextCodec__ConversionFlag) *QTextEncoder {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MakeEncoder", flags}).(*QTextEncoder)
}

func (ptr *QTextCodec) ConnectMibEnum(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMibEnum", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextCodec) DisconnectMibEnum() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMibEnum"})
}

func (ptr *QTextCodec) MibEnum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MibEnum"}).(float64))
}

func (ptr *QTextCodec) ConnectName(f func() *QByteArray) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectName", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextCodec) DisconnectName() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectName"})
}

func (ptr *QTextCodec) Name() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(*QByteArray)
}

func QTextCodec_SetCodecForLocale(c QTextCodec_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_SetCodecForLocale", "", c})
}

func (ptr *QTextCodec) SetCodecForLocale(c QTextCodec_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QTextCodec_SetCodecForLocale", "", c})
}

func (ptr *QTextCodec) ToUnicode(a QByteArray_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUnicode", a}).(string)
}

func (ptr *QTextCodec) ToUnicode2(chars string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUnicode2", chars}).(string)
}

func (ptr *QTextCodec) ConnectDestroyQTextCodec(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTextCodec", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextCodec) DisconnectDestroyQTextCodec() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTextCodec"})
}

func (ptr *QTextCodec) DestroyQTextCodec() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextCodec"})
}

func (ptr *QTextCodec) DestroyQTextCodecDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextCodecDefault"})
}

func (ptr *QTextCodec) __aliases_atList(i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__aliases_atList", i}).(*QByteArray)
}

func (ptr *QTextCodec) __aliases_setList(i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__aliases_setList", i})
}

func (ptr *QTextCodec) __aliases_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__aliases_newList"}).(unsafe.Pointer)
}

func (ptr *QTextCodec) __availableCodecs_atList(i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableCodecs_atList", i}).(*QByteArray)
}

func (ptr *QTextCodec) __availableCodecs_setList(i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableCodecs_setList", i})
}

func (ptr *QTextCodec) __availableCodecs_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableCodecs_newList"}).(unsafe.Pointer)
}

func (ptr *QTextCodec) __availableMibs_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableMibs_atList", i}).(float64))
}

func (ptr *QTextCodec) __availableMibs_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableMibs_setList", i})
}

func (ptr *QTextCodec) __availableMibs_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableMibs_newList"}).(unsafe.Pointer)
}

type QTextDecoder struct {
	internal.Internal
}

type QTextDecoder_ITF interface {
	QTextDecoder_PTR() *QTextDecoder
}

func (ptr *QTextDecoder) QTextDecoder_PTR() *QTextDecoder {
	return ptr
}

func (ptr *QTextDecoder) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextDecoder) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextDecoder(ptr QTextDecoder_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextDecoder_PTR().Pointer()
	}
	return nil
}

func (n *QTextDecoder) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextDecoderFromPointer(ptr unsafe.Pointer) (n *QTextDecoder) {
	n = new(QTextDecoder)
	n.InitFromInternal(uintptr(ptr), "core.QTextDecoder")
	return
}
func NewQTextDecoder2(codec QTextCodec_ITF) *QTextDecoder {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTextDecoder2", "", codec}).(*QTextDecoder)
}

func NewQTextDecoder3(codec QTextCodec_ITF, flags QTextCodec__ConversionFlag) *QTextDecoder {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTextDecoder3", "", codec, flags}).(*QTextDecoder)
}

func (ptr *QTextDecoder) ToUnicode(chars string, l int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUnicode", chars, l}).(string)
}

func (ptr *QTextDecoder) ToUnicode2(ba QByteArray_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUnicode2", ba}).(string)
}

func (ptr *QTextDecoder) ToUnicode3(target string, chars string, l int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUnicode3", target, chars, l})
}

func (ptr *QTextDecoder) DestroyQTextDecoder() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextDecoder"})
}

type QTextEncoder struct {
	internal.Internal
}

type QTextEncoder_ITF interface {
	QTextEncoder_PTR() *QTextEncoder
}

func (ptr *QTextEncoder) QTextEncoder_PTR() *QTextEncoder {
	return ptr
}

func (ptr *QTextEncoder) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextEncoder) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextEncoder(ptr QTextEncoder_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextEncoder_PTR().Pointer()
	}
	return nil
}

func (n *QTextEncoder) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextEncoderFromPointer(ptr unsafe.Pointer) (n *QTextEncoder) {
	n = new(QTextEncoder)
	n.InitFromInternal(uintptr(ptr), "core.QTextEncoder")
	return
}
func NewQTextEncoder2(codec QTextCodec_ITF) *QTextEncoder {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTextEncoder2", "", codec}).(*QTextEncoder)
}

func NewQTextEncoder3(codec QTextCodec_ITF, flags QTextCodec__ConversionFlag) *QTextEncoder {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTextEncoder3", "", codec, flags}).(*QTextEncoder)
}

func (ptr *QTextEncoder) FromUnicode(str string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FromUnicode", str}).(*QByteArray)
}

func (ptr *QTextEncoder) FromUnicode2(str QStringView_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FromUnicode2", str}).(*QByteArray)
}

func (ptr *QTextEncoder) FromUnicode3(uc QChar_ITF, l int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FromUnicode3", uc, l}).(*QByteArray)
}

func (ptr *QTextEncoder) DestroyQTextEncoder() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextEncoder"})
}

type QTextStream struct {
	internal.Internal
}

type QTextStream_ITF interface {
	QTextStream_PTR() *QTextStream
}

func (ptr *QTextStream) QTextStream_PTR() *QTextStream {
	return ptr
}

func (ptr *QTextStream) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextStream) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextStream(ptr QTextStream_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextStream_PTR().Pointer()
	}
	return nil
}

func (n *QTextStream) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextStreamFromPointer(ptr unsafe.Pointer) (n *QTextStream) {
	n = new(QTextStream)
	n.InitFromInternal(uintptr(ptr), "core.QTextStream")
	return
}

//go:generate stringer -type=QTextStream__RealNumberNotation
//QTextStream::RealNumberNotation
type QTextStream__RealNumberNotation int64

const (
	QTextStream__SmartNotation      QTextStream__RealNumberNotation = QTextStream__RealNumberNotation(0)
	QTextStream__FixedNotation      QTextStream__RealNumberNotation = QTextStream__RealNumberNotation(1)
	QTextStream__ScientificNotation QTextStream__RealNumberNotation = QTextStream__RealNumberNotation(2)
)

//go:generate stringer -type=QTextStream__FieldAlignment
//QTextStream::FieldAlignment
type QTextStream__FieldAlignment int64

const (
	QTextStream__AlignLeft            QTextStream__FieldAlignment = QTextStream__FieldAlignment(0)
	QTextStream__AlignRight           QTextStream__FieldAlignment = QTextStream__FieldAlignment(1)
	QTextStream__AlignCenter          QTextStream__FieldAlignment = QTextStream__FieldAlignment(2)
	QTextStream__AlignAccountingStyle QTextStream__FieldAlignment = QTextStream__FieldAlignment(3)
)

//go:generate stringer -type=QTextStream__Status
//QTextStream::Status
type QTextStream__Status int64

const (
	QTextStream__Ok              QTextStream__Status = QTextStream__Status(0)
	QTextStream__ReadPastEnd     QTextStream__Status = QTextStream__Status(1)
	QTextStream__ReadCorruptData QTextStream__Status = QTextStream__Status(2)
	QTextStream__WriteFailed     QTextStream__Status = QTextStream__Status(3)
)

//go:generate stringer -type=QTextStream__NumberFlag
//QTextStream::NumberFlag
type QTextStream__NumberFlag int64

const (
	QTextStream__ShowBase        QTextStream__NumberFlag = QTextStream__NumberFlag(0x1)
	QTextStream__ForcePoint      QTextStream__NumberFlag = QTextStream__NumberFlag(0x2)
	QTextStream__ForceSign       QTextStream__NumberFlag = QTextStream__NumberFlag(0x4)
	QTextStream__UppercaseBase   QTextStream__NumberFlag = QTextStream__NumberFlag(0x8)
	QTextStream__UppercaseDigits QTextStream__NumberFlag = QTextStream__NumberFlag(0x10)
)

func NewQTextStream() *QTextStream {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTextStream", ""}).(*QTextStream)
}

func NewQTextStream2(device QIODevice_ITF) *QTextStream {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTextStream2", "", device}).(*QTextStream)
}

func NewQTextStream4(stri string, openMode QIODevice__OpenModeFlag) *QTextStream {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTextStream4", "", stri, openMode}).(*QTextStream)
}

func NewQTextStream5(array QByteArray_ITF, openMode QIODevice__OpenModeFlag) *QTextStream {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTextStream5", "", array, openMode}).(*QTextStream)
}

func NewQTextStream6(array QByteArray_ITF, openMode QIODevice__OpenModeFlag) *QTextStream {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTextStream6", "", array, openMode}).(*QTextStream)
}

func (ptr *QTextStream) AtEnd() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AtEnd"}).(bool)
}

func (ptr *QTextStream) AutoDetectUnicode() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoDetectUnicode"}).(bool)
}

func (ptr *QTextStream) Codec() *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Codec"}).(*QTextCodec)
}

func (ptr *QTextStream) Device() *QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Device"}).(*QIODevice)
}

func (ptr *QTextStream) FieldAlignment() QTextStream__FieldAlignment {

	return QTextStream__FieldAlignment(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FieldAlignment"}).(float64))
}

func (ptr *QTextStream) FieldWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FieldWidth"}).(float64))
}

func (ptr *QTextStream) Flush() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flush"})
}

func (ptr *QTextStream) GenerateByteOrderMark() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GenerateByteOrderMark"}).(bool)
}

func (ptr *QTextStream) IntegerBase() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IntegerBase"}).(float64))
}

func (ptr *QTextStream) Locale() *QLocale {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Locale"}).(*QLocale)
}

func (ptr *QTextStream) NumberFlags() QTextStream__NumberFlag {

	return QTextStream__NumberFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NumberFlags"}).(float64))
}

func (ptr *QTextStream) PadChar() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PadChar"}).(*QChar)
}

func (ptr *QTextStream) Pos() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(float64))
}

func (ptr *QTextStream) Read(maxlen int64) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read", maxlen}).(string)
}

func (ptr *QTextStream) ReadAll() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadAll"}).(string)
}

func (ptr *QTextStream) ReadLine(maxlen int64) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadLine", maxlen}).(string)
}

func (ptr *QTextStream) ReadLineInto(line string, maxlen int64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadLineInto", line, maxlen}).(bool)
}

func (ptr *QTextStream) RealNumberNotation() QTextStream__RealNumberNotation {

	return QTextStream__RealNumberNotation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RealNumberNotation"}).(float64))
}

func (ptr *QTextStream) RealNumberPrecision() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RealNumberPrecision"}).(float64))
}

func (ptr *QTextStream) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QTextStream) ResetStatus() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetStatus"})
}

func (ptr *QTextStream) Seek(pos int64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Seek", pos}).(bool)
}

func (ptr *QTextStream) SetAutoDetectUnicode(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoDetectUnicode", enabled})
}

func (ptr *QTextStream) SetCodec(codec QTextCodec_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCodec", codec})
}

func (ptr *QTextStream) SetCodec2(codecName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCodec2", codecName})
}

func (ptr *QTextStream) SetDevice(device QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDevice", device})
}

func (ptr *QTextStream) SetFieldAlignment(mode QTextStream__FieldAlignment) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFieldAlignment", mode})
}

func (ptr *QTextStream) SetFieldWidth(width int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFieldWidth", width})
}

func (ptr *QTextStream) SetGenerateByteOrderMark(generate bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGenerateByteOrderMark", generate})
}

func (ptr *QTextStream) SetIntegerBase(base int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIntegerBase", base})
}

func (ptr *QTextStream) SetLocale(locale QLocale_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLocale", locale})
}

func (ptr *QTextStream) SetNumberFlags(flags QTextStream__NumberFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNumberFlags", flags})
}

func (ptr *QTextStream) SetPadChar(ch QChar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPadChar", ch})
}

func (ptr *QTextStream) SetRealNumberNotation(notation QTextStream__RealNumberNotation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRealNumberNotation", notation})
}

func (ptr *QTextStream) SetRealNumberPrecision(precision int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRealNumberPrecision", precision})
}

func (ptr *QTextStream) SetStatus(status QTextStream__Status) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStatus", status})
}

func (ptr *QTextStream) SetString(stri string, openMode QIODevice__OpenModeFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetString", stri, openMode})
}

func (ptr *QTextStream) SkipWhiteSpace() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SkipWhiteSpace"})
}

func (ptr *QTextStream) Status() QTextStream__Status {

	return QTextStream__Status(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Status"}).(float64))
}

func (ptr *QTextStream) String() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "String"}).(string)
}

func (ptr *QTextStream) ConnectDestroyQTextStream(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTextStream", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextStream) DisconnectDestroyQTextStream() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTextStream"})
}

func (ptr *QTextStream) DestroyQTextStream() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextStream"})
}

func (ptr *QTextStream) DestroyQTextStreamDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextStreamDefault"})
}

type QTextStreamManipulator struct {
	internal.Internal
}

type QTextStreamManipulator_ITF interface {
	QTextStreamManipulator_PTR() *QTextStreamManipulator
}

func (ptr *QTextStreamManipulator) QTextStreamManipulator_PTR() *QTextStreamManipulator {
	return ptr
}

func (ptr *QTextStreamManipulator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextStreamManipulator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextStreamManipulator(ptr QTextStreamManipulator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextStreamManipulator_PTR().Pointer()
	}
	return nil
}

func (n *QTextStreamManipulator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextStreamManipulatorFromPointer(ptr unsafe.Pointer) (n *QTextStreamManipulator) {
	n = new(QTextStreamManipulator)
	n.InitFromInternal(uintptr(ptr), "core.QTextStreamManipulator")
	return
}

func (ptr *QTextStreamManipulator) DestroyQTextStreamManipulator() {
}

type QThread struct {
	QObject
}

type QThread_ITF interface {
	QObject_ITF
	QThread_PTR() *QThread
}

func (ptr *QThread) QThread_PTR() *QThread {
	return ptr
}

func (ptr *QThread) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QThread) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQThread(ptr QThread_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QThread_PTR().Pointer()
	}
	return nil
}

func (n *QThread) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QThread) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQThreadFromPointer(ptr unsafe.Pointer) (n *QThread) {
	n = new(QThread)
	n.InitFromInternal(uintptr(ptr), "core.QThread")
	return
}

//go:generate stringer -type=QThread__Priority
//QThread::Priority
type QThread__Priority int64

const (
	QThread__IdlePriority         QThread__Priority = QThread__Priority(0)
	QThread__LowestPriority       QThread__Priority = QThread__Priority(1)
	QThread__LowPriority          QThread__Priority = QThread__Priority(2)
	QThread__NormalPriority       QThread__Priority = QThread__Priority(3)
	QThread__HighPriority         QThread__Priority = QThread__Priority(4)
	QThread__HighestPriority      QThread__Priority = QThread__Priority(5)
	QThread__TimeCriticalPriority QThread__Priority = QThread__Priority(6)
	QThread__InheritPriority      QThread__Priority = QThread__Priority(7)
)

func NewQThread(parent QObject_ITF) *QThread {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQThread", "", parent}).(*QThread)
}

func QThread_CurrentThread() *QThread {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QThread_CurrentThread", ""}).(*QThread)
}

func (ptr *QThread) CurrentThread() *QThread {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QThread_CurrentThread", ""}).(*QThread)
}

func (ptr *QThread) EventDispatcher() *QAbstractEventDispatcher {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDispatcher"}).(*QAbstractEventDispatcher)
}

func (ptr *QThread) Exec() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exec"}).(float64))
}

func (ptr *QThread) Exit(returnCode int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exit", returnCode})
}

func (ptr *QThread) ConnectFinished(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFinished", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QThread) DisconnectFinished() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFinished"})
}

func QThread_IdealThreadCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QThread_IdealThreadCount", ""}).(float64))
}

func (ptr *QThread) IdealThreadCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QThread_IdealThreadCount", ""}).(float64))
}

func (ptr *QThread) IsFinished() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFinished"}).(bool)
}

func (ptr *QThread) IsInterruptionRequested() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsInterruptionRequested"}).(bool)
}

func (ptr *QThread) IsRunning() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRunning"}).(bool)
}

func (ptr *QThread) LoopLevel() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoopLevel"}).(float64))
}

func QThread_Msleep(msecs uint) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QThread_Msleep", "", msecs})
}

func (ptr *QThread) Msleep(msecs uint) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QThread_Msleep", "", msecs})
}

func (ptr *QThread) Priority() QThread__Priority {

	return QThread__Priority(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Priority"}).(float64))
}

func (ptr *QThread) ConnectQuit(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectQuit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QThread) DisconnectQuit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectQuit"})
}

func (ptr *QThread) Quit() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Quit"})
}

func (ptr *QThread) QuitDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "QuitDefault"})
}

func (ptr *QThread) RequestInterruption() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestInterruption"})
}

func (ptr *QThread) ConnectRun(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRun", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QThread) DisconnectRun() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRun"})
}

func (ptr *QThread) Run() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Run"})
}

func (ptr *QThread) RunDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RunDefault"})
}

func (ptr *QThread) SetEventDispatcher(eventDispatcher QAbstractEventDispatcher_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEventDispatcher", eventDispatcher})
}

func (ptr *QThread) SetPriority(priority QThread__Priority) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPriority", priority})
}

func (ptr *QThread) SetStackSize(stackSize uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStackSize", stackSize})
}

func QThread_SetTerminationEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QThread_SetTerminationEnabled", "", enabled})
}

func (ptr *QThread) SetTerminationEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QThread_SetTerminationEnabled", "", enabled})
}

func QThread_Sleep(secs uint) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QThread_Sleep", "", secs})
}

func (ptr *QThread) Sleep(secs uint) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QThread_Sleep", "", secs})
}

func (ptr *QThread) StackSize() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StackSize"}).(float64))
}

func (ptr *QThread) ConnectStart(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QThread) DisconnectStart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart"})
}

func (ptr *QThread) Start() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start"})
}

func (ptr *QThread) StartDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDefault"})
}

func (ptr *QThread) ConnectStarted(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStarted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QThread) DisconnectStarted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStarted"})
}

func (ptr *QThread) ConnectTerminate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTerminate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QThread) DisconnectTerminate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTerminate"})
}

func (ptr *QThread) Terminate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Terminate"})
}

func (ptr *QThread) TerminateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TerminateDefault"})
}

func QThread_Usleep(usecs uint) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QThread_Usleep", "", usecs})
}

func (ptr *QThread) Usleep(usecs uint) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QThread_Usleep", "", usecs})
}

func (ptr *QThread) Wait(ti uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Wait", ti}).(bool)
}

func QThread_YieldCurrentThread() {

	internal.CallLocalFunction([]interface{}{"", "", "core.QThread_YieldCurrentThread", ""})
}

func (ptr *QThread) YieldCurrentThread() {

	internal.CallLocalFunction([]interface{}{"", "", "core.QThread_YieldCurrentThread", ""})
}

func (ptr *QThread) ConnectDestroyQThread(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQThread", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QThread) DisconnectDestroyQThread() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQThread"})
}

func (ptr *QThread) DestroyQThread() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQThread"})
}

func (ptr *QThread) DestroyQThreadDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQThreadDefault"})
}

type QThreadPool struct {
	QObject
}

type QThreadPool_ITF interface {
	QObject_ITF
	QThreadPool_PTR() *QThreadPool
}

func (ptr *QThreadPool) QThreadPool_PTR() *QThreadPool {
	return ptr
}

func (ptr *QThreadPool) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QThreadPool) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQThreadPool(ptr QThreadPool_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QThreadPool_PTR().Pointer()
	}
	return nil
}

func (n *QThreadPool) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QThreadPool) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQThreadPoolFromPointer(ptr unsafe.Pointer) (n *QThreadPool) {
	n = new(QThreadPool)
	n.InitFromInternal(uintptr(ptr), "core.QThreadPool")
	return
}
func NewQThreadPool(parent QObject_ITF) *QThreadPool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQThreadPool", "", parent}).(*QThreadPool)
}

func (ptr *QThreadPool) ActiveThreadCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveThreadCount"}).(float64))
}

func (ptr *QThreadPool) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QThreadPool) ExpiryTimeout() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpiryTimeout"}).(float64))
}

func QThreadPool_GlobalInstance() *QThreadPool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QThreadPool_GlobalInstance", ""}).(*QThreadPool)
}

func (ptr *QThreadPool) GlobalInstance() *QThreadPool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QThreadPool_GlobalInstance", ""}).(*QThreadPool)
}

func (ptr *QThreadPool) MaxThreadCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaxThreadCount"}).(float64))
}

func (ptr *QThreadPool) ReleaseThread() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReleaseThread"})
}

func (ptr *QThreadPool) ReserveThread() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReserveThread"})
}

func (ptr *QThreadPool) SetExpiryTimeout(expiryTimeout int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetExpiryTimeout", expiryTimeout})
}

func (ptr *QThreadPool) SetMaxThreadCount(maxThreadCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaxThreadCount", maxThreadCount})
}

func (ptr *QThreadPool) SetStackSize(stackSize uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStackSize", stackSize})
}

func (ptr *QThreadPool) StackSize() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StackSize"}).(float64))
}

func (ptr *QThreadPool) Start(runnable QRunnable_ITF, priority int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start", runnable, priority})
}

func (ptr *QThreadPool) TryStart(runnable QRunnable_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TryStart", runnable}).(bool)
}

func (ptr *QThreadPool) TryTake(runnable QRunnable_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TryTake", runnable}).(bool)
}

func (ptr *QThreadPool) WaitForDone(msecs int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WaitForDone", msecs}).(bool)
}

func (ptr *QThreadPool) ConnectDestroyQThreadPool(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQThreadPool", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QThreadPool) DisconnectDestroyQThreadPool() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQThreadPool"})
}

func (ptr *QThreadPool) DestroyQThreadPool() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQThreadPool"})
}

func (ptr *QThreadPool) DestroyQThreadPoolDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQThreadPoolDefault"})
}

type QThreadStorage struct {
	internal.Internal
}

type QThreadStorage_ITF interface {
	QThreadStorage_PTR() *QThreadStorage
}

func (ptr *QThreadStorage) QThreadStorage_PTR() *QThreadStorage {
	return ptr
}

func (ptr *QThreadStorage) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QThreadStorage) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQThreadStorage(ptr QThreadStorage_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QThreadStorage_PTR().Pointer()
	}
	return nil
}

func (n *QThreadStorage) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQThreadStorageFromPointer(ptr unsafe.Pointer) (n *QThreadStorage) {
	n = new(QThreadStorage)
	n.InitFromInternal(uintptr(ptr), "core.QThreadStorage")
	return
}

type QThreadStorageData struct {
	internal.Internal
}

type QThreadStorageData_ITF interface {
	QThreadStorageData_PTR() *QThreadStorageData
}

func (ptr *QThreadStorageData) QThreadStorageData_PTR() *QThreadStorageData {
	return ptr
}

func (ptr *QThreadStorageData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QThreadStorageData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQThreadStorageData(ptr QThreadStorageData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QThreadStorageData_PTR().Pointer()
	}
	return nil
}

func (n *QThreadStorageData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQThreadStorageDataFromPointer(ptr unsafe.Pointer) (n *QThreadStorageData) {
	n = new(QThreadStorageData)
	n.InitFromInternal(uintptr(ptr), "core.QThreadStorageData")
	return
}

func (ptr *QThreadStorageData) DestroyQThreadStorageData() {
}

type QTime struct {
	internal.Internal
}

type QTime_ITF interface {
	QTime_PTR() *QTime
}

func (ptr *QTime) QTime_PTR() *QTime {
	return ptr
}

func (ptr *QTime) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTime) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTime(ptr QTime_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTime_PTR().Pointer()
	}
	return nil
}

func (n *QTime) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTimeFromPointer(ptr unsafe.Pointer) (n *QTime) {
	n = new(QTime)
	n.InitFromInternal(uintptr(ptr), "core.QTime")
	return
}

func (ptr *QTime) DestroyQTime() {
}

func NewQTime2() *QTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTime2", ""}).(*QTime)
}

func NewQTime3(h int, m int, s int, ms int) *QTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTime3", "", h, m, s, ms}).(*QTime)
}

func (ptr *QTime) AddMSecs(ms int) *QTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddMSecs", ms}).(*QTime)
}

func (ptr *QTime) AddSecs(s int) *QTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddSecs", s}).(*QTime)
}

func QTime_CurrentTime() *QTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTime_CurrentTime", ""}).(*QTime)
}

func (ptr *QTime) CurrentTime() *QTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTime_CurrentTime", ""}).(*QTime)
}

func (ptr *QTime) Elapsed() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Elapsed"}).(float64))
}

func QTime_FromMSecsSinceStartOfDay(msecs int) *QTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTime_FromMSecsSinceStartOfDay", "", msecs}).(*QTime)
}

func (ptr *QTime) FromMSecsSinceStartOfDay(msecs int) *QTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTime_FromMSecsSinceStartOfDay", "", msecs}).(*QTime)
}

func QTime_FromString(stri string, format Qt__DateFormat) *QTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTime_FromString", "", stri, format}).(*QTime)
}

func (ptr *QTime) FromString(stri string, format Qt__DateFormat) *QTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTime_FromString", "", stri, format}).(*QTime)
}

func QTime_FromString2(stri string, format string) *QTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTime_FromString2", "", stri, format}).(*QTime)
}

func (ptr *QTime) FromString2(stri string, format string) *QTime {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTime_FromString2", "", stri, format}).(*QTime)
}

func (ptr *QTime) Hour() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Hour"}).(float64))
}

func (ptr *QTime) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QTime) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func QTime_IsValid2(h int, m int, s int, ms int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTime_IsValid2", "", h, m, s, ms}).(bool)
}

func (ptr *QTime) IsValid2(h int, m int, s int, ms int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTime_IsValid2", "", h, m, s, ms}).(bool)
}

func (ptr *QTime) Minute() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Minute"}).(float64))
}

func (ptr *QTime) Msec() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Msec"}).(float64))
}

func (ptr *QTime) MsecsSinceStartOfDay() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MsecsSinceStartOfDay"}).(float64))
}

func (ptr *QTime) MsecsTo(t QTime_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MsecsTo", t}).(float64))
}

func (ptr *QTime) Restart() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Restart"}).(float64))
}

func (ptr *QTime) Second() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Second"}).(float64))
}

func (ptr *QTime) SecsTo(t QTime_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SecsTo", t}).(float64))
}

func (ptr *QTime) SetHMS(h int, m int, s int, ms int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHMS", h, m, s, ms}).(bool)
}

func (ptr *QTime) Start() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start"})
}

func (ptr *QTime) ToString(format string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString", format}).(string)
}

func (ptr *QTime) ToString2(format Qt__DateFormat) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString2", format}).(string)
}

func (ptr *QTime) ToString3(format QStringView_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString3", format}).(string)
}

type QTimeLine struct {
	QObject
}

type QTimeLine_ITF interface {
	QObject_ITF
	QTimeLine_PTR() *QTimeLine
}

func (ptr *QTimeLine) QTimeLine_PTR() *QTimeLine {
	return ptr
}

func (ptr *QTimeLine) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QTimeLine) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQTimeLine(ptr QTimeLine_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTimeLine_PTR().Pointer()
	}
	return nil
}

func (n *QTimeLine) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTimeLine) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQTimeLineFromPointer(ptr unsafe.Pointer) (n *QTimeLine) {
	n = new(QTimeLine)
	n.InitFromInternal(uintptr(ptr), "core.QTimeLine")
	return
}

//go:generate stringer -type=QTimeLine__State
//QTimeLine::State
type QTimeLine__State int64

const (
	QTimeLine__NotRunning QTimeLine__State = QTimeLine__State(0)
	QTimeLine__Paused     QTimeLine__State = QTimeLine__State(1)
	QTimeLine__Running    QTimeLine__State = QTimeLine__State(2)
)

//go:generate stringer -type=QTimeLine__Direction
//QTimeLine::Direction
type QTimeLine__Direction int64

const (
	QTimeLine__Forward  QTimeLine__Direction = QTimeLine__Direction(0)
	QTimeLine__Backward QTimeLine__Direction = QTimeLine__Direction(1)
)

//go:generate stringer -type=QTimeLine__CurveShape
//QTimeLine::CurveShape
type QTimeLine__CurveShape int64

const (
	QTimeLine__EaseInCurve    QTimeLine__CurveShape = QTimeLine__CurveShape(0)
	QTimeLine__EaseOutCurve   QTimeLine__CurveShape = QTimeLine__CurveShape(1)
	QTimeLine__EaseInOutCurve QTimeLine__CurveShape = QTimeLine__CurveShape(2)
	QTimeLine__LinearCurve    QTimeLine__CurveShape = QTimeLine__CurveShape(3)
	QTimeLine__SineCurve      QTimeLine__CurveShape = QTimeLine__CurveShape(4)
	QTimeLine__CosineCurve    QTimeLine__CurveShape = QTimeLine__CurveShape(5)
)

func NewQTimeLine(duration int, parent QObject_ITF) *QTimeLine {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTimeLine", "", duration, parent}).(*QTimeLine)
}

func (ptr *QTimeLine) CurrentFrame() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentFrame"}).(float64))
}

func (ptr *QTimeLine) CurrentTime() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentTime"}).(float64))
}

func (ptr *QTimeLine) CurrentValue() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentValue"}).(float64)
}

func (ptr *QTimeLine) CurveShape() QTimeLine__CurveShape {

	return QTimeLine__CurveShape(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurveShape"}).(float64))
}

func (ptr *QTimeLine) Direction() QTimeLine__Direction {

	return QTimeLine__Direction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Direction"}).(float64))
}

func (ptr *QTimeLine) Duration() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Duration"}).(float64))
}

func (ptr *QTimeLine) EasingCurve() *QEasingCurve {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EasingCurve"}).(*QEasingCurve)
}

func (ptr *QTimeLine) EndFrame() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndFrame"}).(float64))
}

func (ptr *QTimeLine) ConnectFinished(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFinished", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimeLine) DisconnectFinished() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFinished"})
}

func (ptr *QTimeLine) ConnectFrameChanged(f func(frame int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFrameChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimeLine) DisconnectFrameChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFrameChanged"})
}

func (ptr *QTimeLine) FrameForTime(msec int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameForTime", msec}).(float64))
}

func (ptr *QTimeLine) LoopCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoopCount"}).(float64))
}

func (ptr *QTimeLine) ConnectResume(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimeLine) DisconnectResume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResume"})
}

func (ptr *QTimeLine) Resume() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resume"})
}

func (ptr *QTimeLine) ResumeDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResumeDefault"})
}

func (ptr *QTimeLine) ConnectSetCurrentTime(f func(msec int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentTime", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimeLine) DisconnectSetCurrentTime() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentTime"})
}

func (ptr *QTimeLine) SetCurrentTime(msec int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentTime", msec})
}

func (ptr *QTimeLine) SetCurrentTimeDefault(msec int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentTimeDefault", msec})
}

func (ptr *QTimeLine) SetCurveShape(shape QTimeLine__CurveShape) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurveShape", shape})
}

func (ptr *QTimeLine) SetDirection(direction QTimeLine__Direction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDirection", direction})
}

func (ptr *QTimeLine) SetDuration(duration int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDuration", duration})
}

func (ptr *QTimeLine) SetEasingCurve(curve QEasingCurve_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEasingCurve", curve})
}

func (ptr *QTimeLine) SetEndFrame(frame int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEndFrame", frame})
}

func (ptr *QTimeLine) SetFrameRange(startFrame int, endFrame int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrameRange", startFrame, endFrame})
}

func (ptr *QTimeLine) SetLoopCount(count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLoopCount", count})
}

func (ptr *QTimeLine) ConnectSetPaused(f func(paused bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPaused", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimeLine) DisconnectSetPaused() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPaused"})
}

func (ptr *QTimeLine) SetPaused(paused bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPaused", paused})
}

func (ptr *QTimeLine) SetPausedDefault(paused bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPausedDefault", paused})
}

func (ptr *QTimeLine) SetStartFrame(frame int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStartFrame", frame})
}

func (ptr *QTimeLine) SetUpdateInterval(interval int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUpdateInterval", interval})
}

func (ptr *QTimeLine) ConnectStart(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimeLine) DisconnectStart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart"})
}

func (ptr *QTimeLine) Start() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start"})
}

func (ptr *QTimeLine) StartDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDefault"})
}

func (ptr *QTimeLine) StartFrame() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartFrame"}).(float64))
}

func (ptr *QTimeLine) State() QTimeLine__State {

	return QTimeLine__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QTimeLine) ConnectStateChanged(f func(newState QTimeLine__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimeLine) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QTimeLine) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimeLine) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QTimeLine) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QTimeLine) StopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StopDefault"})
}

func (ptr *QTimeLine) ConnectToggleDirection(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectToggleDirection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimeLine) DisconnectToggleDirection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectToggleDirection"})
}

func (ptr *QTimeLine) ToggleDirection() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToggleDirection"})
}

func (ptr *QTimeLine) ToggleDirectionDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToggleDirectionDefault"})
}

func (ptr *QTimeLine) UpdateInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateInterval"}).(float64))
}

func (ptr *QTimeLine) ConnectValueChanged(f func(value float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValueChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimeLine) DisconnectValueChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValueChanged"})
}

func (ptr *QTimeLine) ConnectValueForTime(f func(msec int) float64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValueForTime", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimeLine) DisconnectValueForTime() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValueForTime"})
}

func (ptr *QTimeLine) ValueForTime(msec int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueForTime", msec}).(float64)
}

func (ptr *QTimeLine) ValueForTimeDefault(msec int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueForTimeDefault", msec}).(float64)
}

func (ptr *QTimeLine) ConnectDestroyQTimeLine(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTimeLine", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimeLine) DisconnectDestroyQTimeLine() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTimeLine"})
}

func (ptr *QTimeLine) DestroyQTimeLine() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTimeLine"})
}

func (ptr *QTimeLine) DestroyQTimeLineDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTimeLineDefault"})
}

type QTimeZone struct {
	internal.Internal
}

type QTimeZone_ITF interface {
	QTimeZone_PTR() *QTimeZone
}

func (ptr *QTimeZone) QTimeZone_PTR() *QTimeZone {
	return ptr
}

func (ptr *QTimeZone) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTimeZone) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTimeZone(ptr QTimeZone_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTimeZone_PTR().Pointer()
	}
	return nil
}

func (n *QTimeZone) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTimeZoneFromPointer(ptr unsafe.Pointer) (n *QTimeZone) {
	n = new(QTimeZone)
	n.InitFromInternal(uintptr(ptr), "core.QTimeZone")
	return
}

//go:generate stringer -type=QTimeZone__TimeType
//QTimeZone::TimeType
type QTimeZone__TimeType int64

const (
	QTimeZone__StandardTime QTimeZone__TimeType = QTimeZone__TimeType(0)
	QTimeZone__DaylightTime QTimeZone__TimeType = QTimeZone__TimeType(1)
	QTimeZone__GenericTime  QTimeZone__TimeType = QTimeZone__TimeType(2)
)

//go:generate stringer -type=QTimeZone__NameType
//QTimeZone::NameType
type QTimeZone__NameType int64

const (
	QTimeZone__DefaultName QTimeZone__NameType = QTimeZone__NameType(0)
	QTimeZone__LongName    QTimeZone__NameType = QTimeZone__NameType(1)
	QTimeZone__ShortName   QTimeZone__NameType = QTimeZone__NameType(2)
	QTimeZone__OffsetName  QTimeZone__NameType = QTimeZone__NameType(3)
)

func NewQTimeZone() *QTimeZone {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTimeZone", ""}).(*QTimeZone)
}

func NewQTimeZone2(ianaId QByteArray_ITF) *QTimeZone {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTimeZone2", "", ianaId}).(*QTimeZone)
}

func NewQTimeZone3(offsetSeconds int) *QTimeZone {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTimeZone3", "", offsetSeconds}).(*QTimeZone)
}

func NewQTimeZone4(ianaId QByteArray_ITF, offsetSeconds int, name string, abbreviation string, country QLocale__Country, comment string) *QTimeZone {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTimeZone4", "", ianaId, offsetSeconds, name, abbreviation, country, comment}).(*QTimeZone)
}

func NewQTimeZone5(other QTimeZone_ITF) *QTimeZone {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTimeZone5", "", other}).(*QTimeZone)
}

func (ptr *QTimeZone) Abbreviation(atDateTime QDateTime_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Abbreviation", atDateTime}).(string)
}

func QTimeZone_AvailableTimeZoneIds() []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_AvailableTimeZoneIds", ""}).([]*QByteArray)
}

func (ptr *QTimeZone) AvailableTimeZoneIds() []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_AvailableTimeZoneIds", ""}).([]*QByteArray)
}

func QTimeZone_AvailableTimeZoneIds2(country QLocale__Country) []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_AvailableTimeZoneIds2", "", country}).([]*QByteArray)
}

func (ptr *QTimeZone) AvailableTimeZoneIds2(country QLocale__Country) []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_AvailableTimeZoneIds2", "", country}).([]*QByteArray)
}

func QTimeZone_AvailableTimeZoneIds3(offsetSeconds int) []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_AvailableTimeZoneIds3", "", offsetSeconds}).([]*QByteArray)
}

func (ptr *QTimeZone) AvailableTimeZoneIds3(offsetSeconds int) []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_AvailableTimeZoneIds3", "", offsetSeconds}).([]*QByteArray)
}

func (ptr *QTimeZone) Comment() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Comment"}).(string)
}

func (ptr *QTimeZone) Country() QLocale__Country {

	return QLocale__Country(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Country"}).(float64))
}

func (ptr *QTimeZone) DaylightTimeOffset(atDateTime QDateTime_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DaylightTimeOffset", atDateTime}).(float64))
}

func (ptr *QTimeZone) DisplayName(atDateTime QDateTime_ITF, nameType QTimeZone__NameType, locale QLocale_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisplayName", atDateTime, nameType, locale}).(string)
}

func (ptr *QTimeZone) DisplayName2(timeType QTimeZone__TimeType, nameType QTimeZone__NameType, locale QLocale_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisplayName2", timeType, nameType, locale}).(string)
}

func (ptr *QTimeZone) HasDaylightTime() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasDaylightTime"}).(bool)
}

func (ptr *QTimeZone) HasTransitions() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasTransitions"}).(bool)
}

func QTimeZone_IanaIdToWindowsId(ianaId QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_IanaIdToWindowsId", "", ianaId}).(*QByteArray)
}

func (ptr *QTimeZone) IanaIdToWindowsId(ianaId QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_IanaIdToWindowsId", "", ianaId}).(*QByteArray)
}

func (ptr *QTimeZone) Id() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Id"}).(*QByteArray)
}

func (ptr *QTimeZone) IsDaylightTime(atDateTime QDateTime_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDaylightTime", atDateTime}).(bool)
}

func QTimeZone_IsTimeZoneIdAvailable(ianaId QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_IsTimeZoneIdAvailable", "", ianaId}).(bool)
}

func (ptr *QTimeZone) IsTimeZoneIdAvailable(ianaId QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_IsTimeZoneIdAvailable", "", ianaId}).(bool)
}

func (ptr *QTimeZone) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QTimeZone) OffsetFromUtc(atDateTime QDateTime_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OffsetFromUtc", atDateTime}).(float64))
}

func (ptr *QTimeZone) StandardTimeOffset(atDateTime QDateTime_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardTimeOffset", atDateTime}).(float64))
}

func (ptr *QTimeZone) Swap(other QTimeZone_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func QTimeZone_SystemTimeZone() *QTimeZone {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_SystemTimeZone", ""}).(*QTimeZone)
}

func (ptr *QTimeZone) SystemTimeZone() *QTimeZone {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_SystemTimeZone", ""}).(*QTimeZone)
}

func QTimeZone_SystemTimeZoneId() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_SystemTimeZoneId", ""}).(*QByteArray)
}

func (ptr *QTimeZone) SystemTimeZoneId() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_SystemTimeZoneId", ""}).(*QByteArray)
}

func QTimeZone_Utc() *QTimeZone {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_Utc", ""}).(*QTimeZone)
}

func (ptr *QTimeZone) Utc() *QTimeZone {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_Utc", ""}).(*QTimeZone)
}

func QTimeZone_WindowsIdToDefaultIanaId(windowsId QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_WindowsIdToDefaultIanaId", "", windowsId}).(*QByteArray)
}

func (ptr *QTimeZone) WindowsIdToDefaultIanaId(windowsId QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_WindowsIdToDefaultIanaId", "", windowsId}).(*QByteArray)
}

func QTimeZone_WindowsIdToDefaultIanaId2(windowsId QByteArray_ITF, country QLocale__Country) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_WindowsIdToDefaultIanaId2", "", windowsId, country}).(*QByteArray)
}

func (ptr *QTimeZone) WindowsIdToDefaultIanaId2(windowsId QByteArray_ITF, country QLocale__Country) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_WindowsIdToDefaultIanaId2", "", windowsId, country}).(*QByteArray)
}

func QTimeZone_WindowsIdToIanaIds(windowsId QByteArray_ITF) []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_WindowsIdToIanaIds", "", windowsId}).([]*QByteArray)
}

func (ptr *QTimeZone) WindowsIdToIanaIds(windowsId QByteArray_ITF) []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_WindowsIdToIanaIds", "", windowsId}).([]*QByteArray)
}

func QTimeZone_WindowsIdToIanaIds2(windowsId QByteArray_ITF, country QLocale__Country) []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_WindowsIdToIanaIds2", "", windowsId, country}).([]*QByteArray)
}

func (ptr *QTimeZone) WindowsIdToIanaIds2(windowsId QByteArray_ITF, country QLocale__Country) []*QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QTimeZone_WindowsIdToIanaIds2", "", windowsId, country}).([]*QByteArray)
}

func (ptr *QTimeZone) DestroyQTimeZone() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTimeZone"})
}

func (ptr *QTimeZone) __availableTimeZoneIds_atList(i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableTimeZoneIds_atList", i}).(*QByteArray)
}

func (ptr *QTimeZone) __availableTimeZoneIds_setList(i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableTimeZoneIds_setList", i})
}

func (ptr *QTimeZone) __availableTimeZoneIds_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableTimeZoneIds_newList"}).(unsafe.Pointer)
}

func (ptr *QTimeZone) __availableTimeZoneIds_atList2(i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableTimeZoneIds_atList2", i}).(*QByteArray)
}

func (ptr *QTimeZone) __availableTimeZoneIds_setList2(i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableTimeZoneIds_setList2", i})
}

func (ptr *QTimeZone) __availableTimeZoneIds_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableTimeZoneIds_newList2"}).(unsafe.Pointer)
}

func (ptr *QTimeZone) __availableTimeZoneIds_atList3(i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableTimeZoneIds_atList3", i}).(*QByteArray)
}

func (ptr *QTimeZone) __availableTimeZoneIds_setList3(i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableTimeZoneIds_setList3", i})
}

func (ptr *QTimeZone) __availableTimeZoneIds_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableTimeZoneIds_newList3"}).(unsafe.Pointer)
}

func (ptr *QTimeZone) __windowsIdToIanaIds_atList(i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__windowsIdToIanaIds_atList", i}).(*QByteArray)
}

func (ptr *QTimeZone) __windowsIdToIanaIds_setList(i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__windowsIdToIanaIds_setList", i})
}

func (ptr *QTimeZone) __windowsIdToIanaIds_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__windowsIdToIanaIds_newList"}).(unsafe.Pointer)
}

func (ptr *QTimeZone) __windowsIdToIanaIds_atList2(i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__windowsIdToIanaIds_atList2", i}).(*QByteArray)
}

func (ptr *QTimeZone) __windowsIdToIanaIds_setList2(i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__windowsIdToIanaIds_setList2", i})
}

func (ptr *QTimeZone) __windowsIdToIanaIds_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__windowsIdToIanaIds_newList2"}).(unsafe.Pointer)
}

type QTimer struct {
	QObject
}

type QTimer_ITF interface {
	QObject_ITF
	QTimer_PTR() *QTimer
}

func (ptr *QTimer) QTimer_PTR() *QTimer {
	return ptr
}

func (ptr *QTimer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QTimer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQTimer(ptr QTimer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTimer_PTR().Pointer()
	}
	return nil
}

func (n *QTimer) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTimer) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQTimerFromPointer(ptr unsafe.Pointer) (n *QTimer) {
	n = new(QTimer)
	n.InitFromInternal(uintptr(ptr), "core.QTimer")
	return
}
func NewQTimer(parent QObject_ITF) *QTimer {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTimer", "", parent}).(*QTimer)
}

func (ptr *QTimer) Interval() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Interval"}).(float64))
}

func (ptr *QTimer) IsActive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsActive"}).(bool)
}

func (ptr *QTimer) IsSingleShot() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSingleShot"}).(bool)
}

func (ptr *QTimer) RemainingTime() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemainingTime"}).(float64))
}

func (ptr *QTimer) SetInterval(msec int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInterval", msec})
}

func (ptr *QTimer) SetSingleShot(singleShot bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSingleShot", singleShot})
}

func (ptr *QTimer) SetTimerType(atype Qt__TimerType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTimerType", atype})
}

func QTimer_SingleShot(msec int, receiver QObject_ITF, member string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QTimer_SingleShot", "", msec, receiver, member})
}

func (ptr *QTimer) SingleShot(msec int, receiver QObject_ITF, member string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QTimer_SingleShot", "", msec, receiver, member})
}

func QTimer_SingleShot2(msec int, timerType Qt__TimerType, receiver QObject_ITF, member string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QTimer_SingleShot2", "", msec, timerType, receiver, member})
}

func (ptr *QTimer) SingleShot2(msec int, timerType Qt__TimerType, receiver QObject_ITF, member string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QTimer_SingleShot2", "", msec, timerType, receiver, member})
}

func (ptr *QTimer) ConnectStart(f func(msec int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimer) DisconnectStart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart"})
}

func (ptr *QTimer) Start(msec int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start", msec})
}

func (ptr *QTimer) StartDefault(msec int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDefault", msec})
}

func (ptr *QTimer) ConnectStart2(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimer) DisconnectStart2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart2"})
}

func (ptr *QTimer) Start2() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start2"})
}

func (ptr *QTimer) Start2Default() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start2Default"})
}

func (ptr *QTimer) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimer) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QTimer) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QTimer) StopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StopDefault"})
}

func (ptr *QTimer) ConnectTimeout(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTimeout", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimer) DisconnectTimeout() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTimeout"})
}

func (ptr *QTimer) TimerId() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerId"}).(float64))
}

func (ptr *QTimer) TimerType() Qt__TimerType {

	return Qt__TimerType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerType"}).(float64))
}

func (ptr *QTimer) ConnectDestroyQTimer(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTimer", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimer) DisconnectDestroyQTimer() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTimer"})
}

func (ptr *QTimer) DestroyQTimer() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTimer"})
}

func (ptr *QTimer) DestroyQTimerDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTimerDefault"})
}

type QTimerEvent struct {
	QEvent
}

type QTimerEvent_ITF interface {
	QEvent_ITF
	QTimerEvent_PTR() *QTimerEvent
}

func (ptr *QTimerEvent) QTimerEvent_PTR() *QTimerEvent {
	return ptr
}

func (ptr *QTimerEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QTimerEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQTimerEvent(ptr QTimerEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTimerEvent_PTR().Pointer()
	}
	return nil
}

func (n *QTimerEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTimerEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQTimerEventFromPointer(ptr unsafe.Pointer) (n *QTimerEvent) {
	n = new(QTimerEvent)
	n.InitFromInternal(uintptr(ptr), "core.QTimerEvent")
	return
}

func (ptr *QTimerEvent) DestroyQTimerEvent() {
}

func NewQTimerEvent(timerId int) *QTimerEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTimerEvent", "", timerId}).(*QTimerEvent)
}

func (ptr *QTimerEvent) TimerId() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerId"}).(float64))
}

type QTranslator struct {
	QObject
}

type QTranslator_ITF interface {
	QObject_ITF
	QTranslator_PTR() *QTranslator
}

func (ptr *QTranslator) QTranslator_PTR() *QTranslator {
	return ptr
}

func (ptr *QTranslator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QTranslator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQTranslator(ptr QTranslator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTranslator_PTR().Pointer()
	}
	return nil
}

func (n *QTranslator) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTranslator) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQTranslatorFromPointer(ptr unsafe.Pointer) (n *QTranslator) {
	n = new(QTranslator)
	n.InitFromInternal(uintptr(ptr), "core.QTranslator")
	return
}
func NewQTranslator(parent QObject_ITF) *QTranslator {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTranslator", "", parent}).(*QTranslator)
}

func (ptr *QTranslator) ConnectIsEmpty(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsEmpty", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTranslator) DisconnectIsEmpty() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsEmpty"})
}

func (ptr *QTranslator) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QTranslator) IsEmptyDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmptyDefault"}).(bool)
}

func (ptr *QTranslator) Load(filename string, directory string, search_delimiters string, suffix string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Load", filename, directory, search_delimiters, suffix}).(bool)
}

func (ptr *QTranslator) Load2(locale QLocale_ITF, filename string, prefix string, directory string, suffix string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Load2", locale, filename, prefix, directory, suffix}).(bool)
}

func (ptr *QTranslator) Load3(data string, l int, directory string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Load3", data, l, directory}).(bool)
}

func (ptr *QTranslator) ConnectTranslate(f func(context string, sourceText string, disambiguation string, n int) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTranslate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTranslator) DisconnectTranslate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTranslate"})
}

func (ptr *QTranslator) Translate(context string, sourceText string, disambiguation string, n int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate", context, sourceText, disambiguation, n}).(string)
}

func (ptr *QTranslator) TranslateDefault(context string, sourceText string, disambiguation string, n int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TranslateDefault", context, sourceText, disambiguation, n}).(string)
}

func (ptr *QTranslator) ConnectDestroyQTranslator(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTranslator", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTranslator) DisconnectDestroyQTranslator() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTranslator"})
}

func (ptr *QTranslator) DestroyQTranslator() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTranslator"})
}

func (ptr *QTranslator) DestroyQTranslatorDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTranslatorDefault"})
}

type QTransposeProxyModel struct {
	QAbstractProxyModel
}

type QTransposeProxyModel_ITF interface {
	QAbstractProxyModel_ITF
	QTransposeProxyModel_PTR() *QTransposeProxyModel
}

func (ptr *QTransposeProxyModel) QTransposeProxyModel_PTR() *QTransposeProxyModel {
	return ptr
}

func (ptr *QTransposeProxyModel) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractProxyModel_PTR().Pointer()
	}
	return nil
}

func (ptr *QTransposeProxyModel) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractProxyModel_PTR().SetPointer(p)
	}
}

func PointerFromQTransposeProxyModel(ptr QTransposeProxyModel_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTransposeProxyModel_PTR().Pointer()
	}
	return nil
}

func (n *QTransposeProxyModel) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractProxyModel_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTransposeProxyModel) ClassNameInternalF() string {
	return n.QAbstractProxyModel_PTR().ClassNameInternalF()
}

func NewQTransposeProxyModelFromPointer(ptr unsafe.Pointer) (n *QTransposeProxyModel) {
	n = new(QTransposeProxyModel)
	n.InitFromInternal(uintptr(ptr), "core.QTransposeProxyModel")
	return
}
func NewQTransposeProxyModel2(parent QObject_ITF) *QTransposeProxyModel {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQTransposeProxyModel2", "", parent}).(*QTransposeProxyModel)
}

func (ptr *QTransposeProxyModel) ConnectColumnCount(f func(parent *QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTransposeProxyModel) DisconnectColumnCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnCount"})
}

func (ptr *QTransposeProxyModel) ColumnCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount", parent}).(float64))
}

func (ptr *QTransposeProxyModel) ColumnCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCountDefault", parent}).(float64))
}

func (ptr *QTransposeProxyModel) ConnectIndex(f func(row int, column int, parent *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTransposeProxyModel) DisconnectIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndex"})
}

func (ptr *QTransposeProxyModel) Index(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index", row, column, parent}).(*QModelIndex)
}

func (ptr *QTransposeProxyModel) IndexDefault(row int, column int, parent QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexDefault", row, column, parent}).(*QModelIndex)
}

func (ptr *QTransposeProxyModel) ConnectMapFromSource(f func(sourceIndex *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMapFromSource", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTransposeProxyModel) DisconnectMapFromSource() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMapFromSource"})
}

func (ptr *QTransposeProxyModel) MapFromSource(sourceIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromSource", sourceIndex}).(*QModelIndex)
}

func (ptr *QTransposeProxyModel) MapFromSourceDefault(sourceIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromSourceDefault", sourceIndex}).(*QModelIndex)
}

func (ptr *QTransposeProxyModel) ConnectMapToSource(f func(proxyIndex *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMapToSource", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTransposeProxyModel) DisconnectMapToSource() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMapToSource"})
}

func (ptr *QTransposeProxyModel) MapToSource(proxyIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToSource", proxyIndex}).(*QModelIndex)
}

func (ptr *QTransposeProxyModel) MapToSourceDefault(proxyIndex QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToSourceDefault", proxyIndex}).(*QModelIndex)
}

func (ptr *QTransposeProxyModel) ConnectParent(f func(index *QModelIndex) *QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectParent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTransposeProxyModel) DisconnectParent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectParent"})
}

func (ptr *QTransposeProxyModel) Parent(index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent", index}).(*QModelIndex)
}

func (ptr *QTransposeProxyModel) ParentDefault(index QModelIndex_ITF) *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentDefault", index}).(*QModelIndex)
}

func (ptr *QTransposeProxyModel) ConnectRowCount(f func(parent *QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTransposeProxyModel) DisconnectRowCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowCount"})
}

func (ptr *QTransposeProxyModel) RowCount(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount", parent}).(float64))
}

func (ptr *QTransposeProxyModel) RowCountDefault(parent QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCountDefault", parent}).(float64))
}

func (ptr *QTransposeProxyModel) ConnectDestroyQTransposeProxyModel(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTransposeProxyModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTransposeProxyModel) DisconnectDestroyQTransposeProxyModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTransposeProxyModel"})
}

func (ptr *QTransposeProxyModel) DestroyQTransposeProxyModel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTransposeProxyModel"})
}

func (ptr *QTransposeProxyModel) DestroyQTransposeProxyModelDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTransposeProxyModelDefault"})
}

type QTypedArrayData struct {
	QArrayData
}

type QTypedArrayData_ITF interface {
	QArrayData_ITF
	QTypedArrayData_PTR() *QTypedArrayData
}

func (ptr *QTypedArrayData) QTypedArrayData_PTR() *QTypedArrayData {
	return ptr
}

func (ptr *QTypedArrayData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QArrayData_PTR().Pointer()
	}
	return nil
}

func (ptr *QTypedArrayData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QArrayData_PTR().SetPointer(p)
	}
}

func PointerFromQTypedArrayData(ptr QTypedArrayData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTypedArrayData_PTR().Pointer()
	}
	return nil
}

func (n *QTypedArrayData) InitFromInternal(ptr uintptr, name string) {
	n.QArrayData_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTypedArrayData) ClassNameInternalF() string {
	return n.QArrayData_PTR().ClassNameInternalF()
}

func NewQTypedArrayDataFromPointer(ptr unsafe.Pointer) (n *QTypedArrayData) {
	n = new(QTypedArrayData)
	n.InitFromInternal(uintptr(ptr), "core.QTypedArrayData")
	return
}

func (ptr *QTypedArrayData) DestroyQTypedArrayData() {
}

type QUnhandledException struct {
	QException
}

type QUnhandledException_ITF interface {
	QException_ITF
	QUnhandledException_PTR() *QUnhandledException
}

func (ptr *QUnhandledException) QUnhandledException_PTR() *QUnhandledException {
	return ptr
}

func (ptr *QUnhandledException) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QException_PTR().Pointer()
	}
	return nil
}

func (ptr *QUnhandledException) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QException_PTR().SetPointer(p)
	}
}

func PointerFromQUnhandledException(ptr QUnhandledException_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QUnhandledException_PTR().Pointer()
	}
	return nil
}

func (n *QUnhandledException) InitFromInternal(ptr uintptr, name string) {
	n.QException_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QUnhandledException) ClassNameInternalF() string {
	return n.QException_PTR().ClassNameInternalF()
}

func NewQUnhandledExceptionFromPointer(ptr unsafe.Pointer) (n *QUnhandledException) {
	n = new(QUnhandledException)
	n.InitFromInternal(uintptr(ptr), "core.QUnhandledException")
	return
}

func (ptr *QUnhandledException) DestroyQUnhandledException() {
}

type QUrl struct {
	internal.Internal
}

type QUrl_ITF interface {
	QUrl_PTR() *QUrl
}

func (ptr *QUrl) QUrl_PTR() *QUrl {
	return ptr
}

func (ptr *QUrl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QUrl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQUrl(ptr QUrl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QUrl_PTR().Pointer()
	}
	return nil
}

func (n *QUrl) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQUrlFromPointer(ptr unsafe.Pointer) (n *QUrl) {
	n = new(QUrl)
	n.InitFromInternal(uintptr(ptr), "core.QUrl")
	return
}

//go:generate stringer -type=QUrl__ParsingMode
//QUrl::ParsingMode
type QUrl__ParsingMode int64

const (
	QUrl__TolerantMode QUrl__ParsingMode = QUrl__ParsingMode(0)
	QUrl__StrictMode   QUrl__ParsingMode = QUrl__ParsingMode(1)
	QUrl__DecodedMode  QUrl__ParsingMode = QUrl__ParsingMode(2)
)

//go:generate stringer -type=QUrl__UrlFormattingOption
//QUrl::UrlFormattingOption
type QUrl__UrlFormattingOption int64

const (
	QUrl__None                  QUrl__UrlFormattingOption = QUrl__UrlFormattingOption(0x0)
	QUrl__RemoveScheme          QUrl__UrlFormattingOption = QUrl__UrlFormattingOption(0x1)
	QUrl__RemovePassword        QUrl__UrlFormattingOption = QUrl__UrlFormattingOption(0x2)
	QUrl__RemoveUserInfo        QUrl__UrlFormattingOption = QUrl__UrlFormattingOption(QUrl__RemovePassword | 0x4)
	QUrl__RemovePort            QUrl__UrlFormattingOption = QUrl__UrlFormattingOption(0x8)
	QUrl__RemoveAuthority       QUrl__UrlFormattingOption = QUrl__UrlFormattingOption(QUrl__RemoveUserInfo | QUrl__RemovePort | 0x10)
	QUrl__RemovePath            QUrl__UrlFormattingOption = QUrl__UrlFormattingOption(0x20)
	QUrl__RemoveQuery           QUrl__UrlFormattingOption = QUrl__UrlFormattingOption(0x40)
	QUrl__RemoveFragment        QUrl__UrlFormattingOption = QUrl__UrlFormattingOption(0x80)
	QUrl__PreferLocalFile       QUrl__UrlFormattingOption = QUrl__UrlFormattingOption(0x200)
	QUrl__StripTrailingSlash    QUrl__UrlFormattingOption = QUrl__UrlFormattingOption(0x400)
	QUrl__RemoveFilename        QUrl__UrlFormattingOption = QUrl__UrlFormattingOption(0x800)
	QUrl__NormalizePathSegments QUrl__UrlFormattingOption = QUrl__UrlFormattingOption(0x1000)
)

//go:generate stringer -type=QUrl__ComponentFormattingOption
//QUrl::ComponentFormattingOption
type QUrl__ComponentFormattingOption int64

const (
	QUrl__PrettyDecoded    QUrl__ComponentFormattingOption = QUrl__ComponentFormattingOption(0x000000)
	QUrl__EncodeSpaces     QUrl__ComponentFormattingOption = QUrl__ComponentFormattingOption(0x100000)
	QUrl__EncodeUnicode    QUrl__ComponentFormattingOption = QUrl__ComponentFormattingOption(0x200000)
	QUrl__EncodeDelimiters QUrl__ComponentFormattingOption = QUrl__ComponentFormattingOption(0x400000 | 0x800000)
	QUrl__EncodeReserved   QUrl__ComponentFormattingOption = QUrl__ComponentFormattingOption(0x1000000)
	QUrl__DecodeReserved   QUrl__ComponentFormattingOption = QUrl__ComponentFormattingOption(0x2000000)
	QUrl__FullyEncoded     QUrl__ComponentFormattingOption = QUrl__ComponentFormattingOption(QUrl__EncodeSpaces | QUrl__EncodeUnicode | QUrl__EncodeDelimiters | QUrl__EncodeReserved)
	QUrl__FullyDecoded     QUrl__ComponentFormattingOption = QUrl__ComponentFormattingOption(QUrl__FullyEncoded | QUrl__DecodeReserved | 0x4000000)
)

//go:generate stringer -type=QUrl__UserInputResolutionOption
//QUrl::UserInputResolutionOption
type QUrl__UserInputResolutionOption int64

const (
	QUrl__DefaultResolution QUrl__UserInputResolutionOption = QUrl__UserInputResolutionOption(0)
	QUrl__AssumeLocalFile   QUrl__UserInputResolutionOption = QUrl__UserInputResolutionOption(1)
)

func NewQUrl() *QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQUrl", ""}).(*QUrl)
}

func NewQUrl2(other QUrl_ITF) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQUrl2", "", other}).(*QUrl)
}

func NewQUrl3(url string, parsingMode QUrl__ParsingMode) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQUrl3", "", url, parsingMode}).(*QUrl)
}

func NewQUrl4(other QUrl_ITF) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQUrl4", "", other}).(*QUrl)
}

func (ptr *QUrl) Adjusted(options QUrl__UrlFormattingOption) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Adjusted", options}).(*QUrl)
}

func (ptr *QUrl) Authority(options QUrl__ComponentFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Authority", options}).(string)
}

func (ptr *QUrl) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QUrl) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QUrl) FileName(options QUrl__ComponentFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName", options}).(string)
}

func (ptr *QUrl) Fragment(options QUrl__ComponentFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Fragment", options}).(string)
}

func QUrl_FromAce(domain QByteArray_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_FromAce", "", domain}).(string)
}

func (ptr *QUrl) FromAce(domain QByteArray_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_FromAce", "", domain}).(string)
}

func QUrl_FromEncoded(input QByteArray_ITF, parsingMode QUrl__ParsingMode) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_FromEncoded", "", input, parsingMode}).(*QUrl)
}

func (ptr *QUrl) FromEncoded(input QByteArray_ITF, parsingMode QUrl__ParsingMode) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_FromEncoded", "", input, parsingMode}).(*QUrl)
}

func QUrl_FromLocalFile(localFile string) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_FromLocalFile", "", localFile}).(*QUrl)
}

func (ptr *QUrl) FromLocalFile(localFile string) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_FromLocalFile", "", localFile}).(*QUrl)
}

func QUrl_FromPercentEncoding(input QByteArray_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_FromPercentEncoding", "", input}).(string)
}

func (ptr *QUrl) FromPercentEncoding(input QByteArray_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_FromPercentEncoding", "", input}).(string)
}

func QUrl_FromStringList(urls []string, mode QUrl__ParsingMode) []*QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_FromStringList", "", urls, mode}).([]*QUrl)
}

func (ptr *QUrl) FromStringList(urls []string, mode QUrl__ParsingMode) []*QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_FromStringList", "", urls, mode}).([]*QUrl)
}

func QUrl_FromUserInput(userInput string) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_FromUserInput", "", userInput}).(*QUrl)
}

func (ptr *QUrl) FromUserInput(userInput string) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_FromUserInput", "", userInput}).(*QUrl)
}

func QUrl_FromUserInput2(userInput string, workingDirectory string, options QUrl__UserInputResolutionOption) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_FromUserInput2", "", userInput, workingDirectory, options}).(*QUrl)
}

func (ptr *QUrl) FromUserInput2(userInput string, workingDirectory string, options QUrl__UserInputResolutionOption) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_FromUserInput2", "", userInput, workingDirectory, options}).(*QUrl)
}

func (ptr *QUrl) HasFragment() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasFragment"}).(bool)
}

func (ptr *QUrl) HasQuery() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasQuery"}).(bool)
}

func (ptr *QUrl) Host(options QUrl__ComponentFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Host", options}).(string)
}

func QUrl_IdnWhitelist() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_IdnWhitelist", ""}).([]string)
}

func (ptr *QUrl) IdnWhitelist() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_IdnWhitelist", ""}).([]string)
}

func (ptr *QUrl) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QUrl) IsLocalFile() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLocalFile"}).(bool)
}

func (ptr *QUrl) IsParentOf(childUrl QUrl_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsParentOf", childUrl}).(bool)
}

func (ptr *QUrl) IsRelative() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRelative"}).(bool)
}

func (ptr *QUrl) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QUrl) Matches(url QUrl_ITF, options QUrl__UrlFormattingOption) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Matches", url, options}).(bool)
}

func (ptr *QUrl) Password(options QUrl__ComponentFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Password", options}).(string)
}

func (ptr *QUrl) Path(options QUrl__ComponentFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Path", options}).(string)
}

func (ptr *QUrl) Port(defaultPort int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Port", defaultPort}).(float64))
}

func (ptr *QUrl) Query(options QUrl__ComponentFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Query", options}).(string)
}

func (ptr *QUrl) Resolved(relative QUrl_ITF) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resolved", relative}).(*QUrl)
}

func (ptr *QUrl) Scheme() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scheme"}).(string)
}

func (ptr *QUrl) SetAuthority(authority string, mode QUrl__ParsingMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAuthority", authority, mode})
}

func (ptr *QUrl) SetFragment(fragment string, mode QUrl__ParsingMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFragment", fragment, mode})
}

func (ptr *QUrl) SetHost(host string, mode QUrl__ParsingMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHost", host, mode})
}

func QUrl_SetIdnWhitelist(list []string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_SetIdnWhitelist", "", list})
}

func (ptr *QUrl) SetIdnWhitelist(list []string) {

	internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_SetIdnWhitelist", "", list})
}

func (ptr *QUrl) SetPassword(password string, mode QUrl__ParsingMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPassword", password, mode})
}

func (ptr *QUrl) SetPath(path string, mode QUrl__ParsingMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPath", path, mode})
}

func (ptr *QUrl) SetPort(port int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPort", port})
}

func (ptr *QUrl) SetQuery(query string, mode QUrl__ParsingMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetQuery", query, mode})
}

func (ptr *QUrl) SetQuery2(query QUrlQuery_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetQuery2", query})
}

func (ptr *QUrl) SetScheme(scheme string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScheme", scheme})
}

func (ptr *QUrl) SetUrl(url string, parsingMode QUrl__ParsingMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUrl", url, parsingMode})
}

func (ptr *QUrl) SetUserInfo(userInfo string, mode QUrl__ParsingMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUserInfo", userInfo, mode})
}

func (ptr *QUrl) SetUserName(userName string, mode QUrl__ParsingMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUserName", userName, mode})
}

func (ptr *QUrl) Swap(other QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func QUrl_ToAce(domain string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_ToAce", "", domain}).(*QByteArray)
}

func (ptr *QUrl) ToAce(domain string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_ToAce", "", domain}).(*QByteArray)
}

func (ptr *QUrl) ToDisplayString(options QUrl__UrlFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToDisplayString", options}).(string)
}

func (ptr *QUrl) ToEncoded(options QUrl__UrlFormattingOption) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToEncoded", options}).(*QByteArray)
}

func (ptr *QUrl) ToLocalFile() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLocalFile"}).(string)
}

func QUrl_ToPercentEncoding(input string, exclude QByteArray_ITF, include QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_ToPercentEncoding", "", input, exclude, include}).(*QByteArray)
}

func (ptr *QUrl) ToPercentEncoding(input string, exclude QByteArray_ITF, include QByteArray_ITF) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_ToPercentEncoding", "", input, exclude, include}).(*QByteArray)
}

func (ptr *QUrl) ToString(options QUrl__UrlFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString", options}).(string)
}

func QUrl_ToStringList(urls []*QUrl, options QUrl__UrlFormattingOption) []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_ToStringList", "", urls, options}).([]string)
}

func (ptr *QUrl) ToStringList(urls []*QUrl, options QUrl__UrlFormattingOption) []string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrl_ToStringList", "", urls, options}).([]string)
}

func (ptr *QUrl) TopLevelDomain(options QUrl__ComponentFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopLevelDomain", options}).(string)
}

func (ptr *QUrl) Url(options QUrl__UrlFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Url", options}).(string)
}

func (ptr *QUrl) UserInfo(options QUrl__ComponentFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UserInfo", options}).(string)
}

func (ptr *QUrl) UserName(options QUrl__ComponentFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UserName", options}).(string)
}

func (ptr *QUrl) DestroyQUrl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQUrl"})
}

func (ptr *QUrl) __allEncodedQueryItemValues_atList(i int) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__allEncodedQueryItemValues_atList", i}).(*QByteArray)
}

func (ptr *QUrl) __allEncodedQueryItemValues_setList(i QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__allEncodedQueryItemValues_setList", i})
}

func (ptr *QUrl) __allEncodedQueryItemValues_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__allEncodedQueryItemValues_newList"}).(unsafe.Pointer)
}

func (ptr *QUrl) __fromStringList_atList(i int) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromStringList_atList", i}).(*QUrl)
}

func (ptr *QUrl) __fromStringList_setList(i QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromStringList_setList", i})
}

func (ptr *QUrl) __fromStringList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromStringList_newList"}).(unsafe.Pointer)
}

func (ptr *QUrl) __toStringList_urls_atList(i int) *QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toStringList_urls_atList", i}).(*QUrl)
}

func (ptr *QUrl) __toStringList_urls_setList(i QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toStringList_urls_setList", i})
}

func (ptr *QUrl) __toStringList_urls_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toStringList_urls_newList"}).(unsafe.Pointer)
}

type QUrlQuery struct {
	internal.Internal
}

type QUrlQuery_ITF interface {
	QUrlQuery_PTR() *QUrlQuery
}

func (ptr *QUrlQuery) QUrlQuery_PTR() *QUrlQuery {
	return ptr
}

func (ptr *QUrlQuery) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QUrlQuery) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQUrlQuery(ptr QUrlQuery_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QUrlQuery_PTR().Pointer()
	}
	return nil
}

func (n *QUrlQuery) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQUrlQueryFromPointer(ptr unsafe.Pointer) (n *QUrlQuery) {
	n = new(QUrlQuery)
	n.InitFromInternal(uintptr(ptr), "core.QUrlQuery")
	return
}
func NewQUrlQuery() *QUrlQuery {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQUrlQuery", ""}).(*QUrlQuery)
}

func NewQUrlQuery2(url QUrl_ITF) *QUrlQuery {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQUrlQuery2", "", url}).(*QUrlQuery)
}

func NewQUrlQuery3(queryString string) *QUrlQuery {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQUrlQuery3", "", queryString}).(*QUrlQuery)
}

func NewQUrlQuery5(other QUrlQuery_ITF) *QUrlQuery {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQUrlQuery5", "", other}).(*QUrlQuery)
}

func (ptr *QUrlQuery) AddQueryItem(key string, value string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddQueryItem", key, value})
}

func (ptr *QUrlQuery) AllQueryItemValues(key string, encoding QUrl__ComponentFormattingOption) []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllQueryItemValues", key, encoding}).([]string)
}

func (ptr *QUrlQuery) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func QUrlQuery_DefaultQueryPairDelimiter() *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrlQuery_DefaultQueryPairDelimiter", ""}).(*QChar)
}

func (ptr *QUrlQuery) DefaultQueryPairDelimiter() *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrlQuery_DefaultQueryPairDelimiter", ""}).(*QChar)
}

func QUrlQuery_DefaultQueryValueDelimiter() *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrlQuery_DefaultQueryValueDelimiter", ""}).(*QChar)
}

func (ptr *QUrlQuery) DefaultQueryValueDelimiter() *QChar {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUrlQuery_DefaultQueryValueDelimiter", ""}).(*QChar)
}

func (ptr *QUrlQuery) HasQueryItem(key string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasQueryItem", key}).(bool)
}

func (ptr *QUrlQuery) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QUrlQuery) Query(encoding QUrl__ComponentFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Query", encoding}).(string)
}

func (ptr *QUrlQuery) QueryItemValue(key string, encoding QUrl__ComponentFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "QueryItemValue", key, encoding}).(string)
}

func (ptr *QUrlQuery) QueryPairDelimiter() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "QueryPairDelimiter"}).(*QChar)
}

func (ptr *QUrlQuery) QueryValueDelimiter() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "QueryValueDelimiter"}).(*QChar)
}

func (ptr *QUrlQuery) RemoveAllQueryItems(key string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveAllQueryItems", key})
}

func (ptr *QUrlQuery) RemoveQueryItem(key string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveQueryItem", key})
}

func (ptr *QUrlQuery) SetQuery(queryString string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetQuery", queryString})
}

func (ptr *QUrlQuery) SetQueryDelimiters(valueDelimiter QChar_ITF, pairDelimiter QChar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetQueryDelimiters", valueDelimiter, pairDelimiter})
}

func (ptr *QUrlQuery) Swap(other QUrlQuery_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QUrlQuery) ToString(encoding QUrl__ComponentFormattingOption) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString", encoding}).(string)
}

func (ptr *QUrlQuery) DestroyQUrlQuery() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQUrlQuery"})
}

type QUrlTwoFlags struct {
	internal.Internal
}

type QUrlTwoFlags_ITF interface {
	QUrlTwoFlags_PTR() *QUrlTwoFlags
}

func (ptr *QUrlTwoFlags) QUrlTwoFlags_PTR() *QUrlTwoFlags {
	return ptr
}

func (ptr *QUrlTwoFlags) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QUrlTwoFlags) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQUrlTwoFlags(ptr QUrlTwoFlags_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QUrlTwoFlags_PTR().Pointer()
	}
	return nil
}

func (n *QUrlTwoFlags) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQUrlTwoFlagsFromPointer(ptr unsafe.Pointer) (n *QUrlTwoFlags) {
	n = new(QUrlTwoFlags)
	n.InitFromInternal(uintptr(ptr), "core.QUrlTwoFlags")
	return
}

func (ptr *QUrlTwoFlags) DestroyQUrlTwoFlags() {
}

type QUuid struct {
	internal.Internal
}

type QUuid_ITF interface {
	QUuid_PTR() *QUuid
}

func (ptr *QUuid) QUuid_PTR() *QUuid {
	return ptr
}

func (ptr *QUuid) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QUuid) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQUuid(ptr QUuid_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QUuid_PTR().Pointer()
	}
	return nil
}

func (n *QUuid) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQUuidFromPointer(ptr unsafe.Pointer) (n *QUuid) {
	n = new(QUuid)
	n.InitFromInternal(uintptr(ptr), "core.QUuid")
	return
}

func (ptr *QUuid) DestroyQUuid() {
}

//go:generate stringer -type=QUuid__Variant
//QUuid::Variant
type QUuid__Variant int64

const (
	QUuid__VarUnknown QUuid__Variant = QUuid__Variant(-1)
	QUuid__NCS        QUuid__Variant = QUuid__Variant(0)
	QUuid__DCE        QUuid__Variant = QUuid__Variant(2)
	QUuid__Microsoft  QUuid__Variant = QUuid__Variant(6)
	QUuid__Reserved   QUuid__Variant = QUuid__Variant(7)
)

//go:generate stringer -type=QUuid__Version
//QUuid::Version
type QUuid__Version int64

const (
	QUuid__VerUnknown    QUuid__Version = QUuid__Version(-1)
	QUuid__Time          QUuid__Version = QUuid__Version(1)
	QUuid__EmbeddedPOSIX QUuid__Version = QUuid__Version(2)
	QUuid__Md5           QUuid__Version = QUuid__Version(3)
	QUuid__Name          QUuid__Version = QUuid__Version(QUuid__Md5)
	QUuid__Random        QUuid__Version = QUuid__Version(4)
	QUuid__Sha1          QUuid__Version = QUuid__Version(5)
)

//go:generate stringer -type=QUuid__StringFormat
//QUuid::StringFormat
type QUuid__StringFormat int64

const (
	QUuid__WithBraces    QUuid__StringFormat = QUuid__StringFormat(0)
	QUuid__WithoutBraces QUuid__StringFormat = QUuid__StringFormat(1)
	QUuid__Id128         QUuid__StringFormat = QUuid__StringFormat(3)
)

func NewQUuid2() *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQUuid2", ""}).(*QUuid)
}

func NewQUuid3(l uint, w1 uint16, w2 uint16, b1 string, b2 string, b3 string, b4 string, b5 string, b6 string, b7 string, b8 string) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQUuid3", "", l, w1, w2, b1, b2, b3, b4, b5, b6, b7, b8}).(*QUuid)
}

func NewQUuid4(text string) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQUuid4", "", text}).(*QUuid)
}

func NewQUuid(text QByteArray_ITF) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQUuid", "", text}).(*QUuid)
}

func QUuid_CreateUuid() *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_CreateUuid", ""}).(*QUuid)
}

func (ptr *QUuid) CreateUuid() *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_CreateUuid", ""}).(*QUuid)
}

func QUuid_CreateUuidV3(ns QUuid_ITF, baseData QByteArray_ITF) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_CreateUuidV3", "", ns, baseData}).(*QUuid)
}

func (ptr *QUuid) CreateUuidV3(ns QUuid_ITF, baseData QByteArray_ITF) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_CreateUuidV3", "", ns, baseData}).(*QUuid)
}

func QUuid_CreateUuidV32(ns QUuid_ITF, baseData string) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_CreateUuidV32", "", ns, baseData}).(*QUuid)
}

func (ptr *QUuid) CreateUuidV32(ns QUuid_ITF, baseData string) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_CreateUuidV32", "", ns, baseData}).(*QUuid)
}

func QUuid_CreateUuidV5(ns QUuid_ITF, baseData QByteArray_ITF) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_CreateUuidV5", "", ns, baseData}).(*QUuid)
}

func (ptr *QUuid) CreateUuidV5(ns QUuid_ITF, baseData QByteArray_ITF) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_CreateUuidV5", "", ns, baseData}).(*QUuid)
}

func QUuid_CreateUuidV52(ns QUuid_ITF, baseData string) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_CreateUuidV52", "", ns, baseData}).(*QUuid)
}

func (ptr *QUuid) CreateUuidV52(ns QUuid_ITF, baseData string) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_CreateUuidV52", "", ns, baseData}).(*QUuid)
}

func QUuid_FromRfc4122(bytes QByteArray_ITF) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_FromRfc4122", "", bytes}).(*QUuid)
}

func (ptr *QUuid) FromRfc4122(bytes QByteArray_ITF) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_FromRfc4122", "", bytes}).(*QUuid)
}

func QUuid_FromString(text QStringView_ITF) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_FromString", "", text}).(*QUuid)
}

func (ptr *QUuid) FromString(text QStringView_ITF) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_FromString", "", text}).(*QUuid)
}

func QUuid_FromString2(text QLatin1String_ITF) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_FromString2", "", text}).(*QUuid)
}

func (ptr *QUuid) FromString2(text QLatin1String_ITF) *QUuid {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QUuid_FromString2", "", text}).(*QUuid)
}

func (ptr *QUuid) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QUuid) ToByteArray() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToByteArray"}).(*QByteArray)
}

func (ptr *QUuid) ToByteArray2(mode QUuid__StringFormat) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToByteArray2", mode}).(*QByteArray)
}

func (ptr *QUuid) ToRfc4122() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToRfc4122"}).(*QByteArray)
}

func (ptr *QUuid) ToString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString"}).(string)
}

func (ptr *QUuid) ToString2(mode QUuid__StringFormat) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString2", mode}).(string)
}

func (ptr *QUuid) Variant() QUuid__Variant {

	return QUuid__Variant(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Variant"}).(float64))
}

func (ptr *QUuid) Version() QUuid__Version {

	return QUuid__Version(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Version"}).(float64))
}

type QVarLengthArray struct {
	internal.Internal
}

type QVarLengthArray_ITF interface {
	QVarLengthArray_PTR() *QVarLengthArray
}

func (ptr *QVarLengthArray) QVarLengthArray_PTR() *QVarLengthArray {
	return ptr
}

func (ptr *QVarLengthArray) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVarLengthArray) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVarLengthArray(ptr QVarLengthArray_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVarLengthArray_PTR().Pointer()
	}
	return nil
}

func (n *QVarLengthArray) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVarLengthArrayFromPointer(ptr unsafe.Pointer) (n *QVarLengthArray) {
	n = new(QVarLengthArray)
	n.InitFromInternal(uintptr(ptr), "core.QVarLengthArray")
	return
}

type QVariant struct {
	internal.Internal
}

type QVariant_ITF interface {
	QVariant_PTR() *QVariant
}

func (ptr *QVariant) QVariant_PTR() *QVariant {
	return ptr
}

func (ptr *QVariant) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVariant) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVariant(ptr QVariant_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVariant_PTR().Pointer()
	}
	return nil
}

func (n *QVariant) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVariantFromPointer(ptr unsafe.Pointer) (n *QVariant) {
	n = new(QVariant)
	n.InitFromInternal(uintptr(ptr), "core.QVariant")
	return
}

type qVariant_ITF interface{ ToVariant() *QVariant }

func NewQVariant1(i interface{}) *QVariant {
	switch d := i.(type) {
	case *QVariant:
		return d
	case QVariant__Type:
		return NewQVariant2(d)
	case *QDataStream:
		return NewQVariant4(d)
	case int:
		return NewQVariant5(d)
	case uint:
		return NewQVariant6(d)
	case int64:
		return NewQVariant7(d)
	case uint64:
		return NewQVariant8(d)
	case bool:
		return NewQVariant9(d)
	case float64:
		return NewQVariant10(d)
	case float32:
		return NewQVariant11(d)
	case string:
		return NewQVariant12(d)
	case *QByteArray:
		return NewQVariant13(d)
	case *QBitArray:
		return NewQVariant14(d)
	case *QLatin1String:
		return NewQVariant16(d)
	case []string:
		return NewQVariant17(d)
	case *QChar:
		return NewQVariant18(d)
	case *QDate:
		return NewQVariant19(d)
	case *QTime:
		return NewQVariant20(d)
	case *QDateTime:
		return NewQVariant21(d)
	case []*QVariant:
		return NewQVariant22(d)
	case map[string]*QVariant:
		return NewQVariant23(d)
	case *QSize:
		return NewQVariant25(d)
	case *QSizeF:
		return NewQVariant26(d)
	case *QPoint:
		return NewQVariant27(d)
	case *QPointF:
		return NewQVariant28(d)
	case *QLine:
		return NewQVariant29(d)
	case *QLineF:
		return NewQVariant30(d)
	case *QRect:
		return NewQVariant31(d)
	case *QRectF:
		return NewQVariant32(d)
	case *QLocale:
		return NewQVariant33(d)
	case *QRegExp:
		return NewQVariant34(d)
	case *QRegularExpression:
		return NewQVariant35(d)
	case *QUrl:
		return NewQVariant36(d)
	case *QEasingCurve:
		return NewQVariant37(d)
	case *QUuid:
		return NewQVariant38(d)
	case *QJsonValue:
		return NewQVariant39(d)
	case *QJsonObject:
		return NewQVariant40(d)
	case *QJsonArray:
		return NewQVariant41(d)
	case *QJsonDocument:
		return NewQVariant42(d)
	case *QModelIndex:
		return NewQVariant43(d)
	case *QPersistentModelIndex:
		return NewQVariant44(d)
	case qVariant_ITF:
		return d.ToVariant()
	default:
		s := reflect.ValueOf(i)
		if s.Kind() == reflect.Ptr {
			s = s.Elem()
		}
		switch s.Kind() {
		case reflect.Struct:
			tmp := make(map[string]*QVariant, s.NumField())
			for id := 0; id < s.NumField(); id++ {
				field := s.Field(id)
				if !field.CanInterface() {
					continue
				}
				if tag, ok := s.Type().Field(id).Tag.Lookup("json"); ok {
					switch {
					case (strings.HasSuffix(tag, ",omitempty") && isZero(field)) || tag == "-":
					case strings.Count(tag, ",") == 0:
						tmp[tag] = NewQVariant1(field.Interface())
					default:
						tags := strings.Split(tag, ",")
						name := s.Type().Field(id).Name
						if len(tags[0]) != 0 {
							name = tags[0]
						}
						v := NewQVariant1(field.Interface())
						if tags[1] == "string" {
							v = NewQVariant1(v.ToString()) //TODO: pure go type conversion
						}
						tmp[name] = v
					}
				} else {
					tmp[s.Type().Field(id).Name] = NewQVariant1(field.Interface())
				}
			}
			return NewQVariant1(tmp)

		case reflect.Slice, reflect.Array:
			tmp := make([]*QVariant, s.Len())
			for id := 0; id < s.Len(); id++ {
				if field := s.Index(id); field.CanInterface() {
					tmp[id] = NewQVariant1(field.Interface())
				}
			}
			return NewQVariant1(tmp)

		case reflect.Map:
			tmp := make(map[string]*QVariant, s.Len())
			for _, id := range s.MapKeys() {
				if field := s.MapIndex(id); field.CanInterface() {
					if key := NewQVariant1(id.Interface()); key.CanConvert(int(QMetaType__QString)) {
						tmp[key.ToString()] = NewQVariant1(field.Interface())
					}
				}
			}
			return NewQVariant1(tmp)

		case reflect.UnsafePointer:
			return NewQVariant1(uint64(uintptr(s.Interface().(unsafe.Pointer))))

		case reflect.Uintptr:
			return NewQVariant1(uint64(s.Interface().(uintptr)))
		}

		if i != nil && s.Type().ConvertibleTo(reflect.TypeOf(int8(0))) {
			if s.Kind() == reflect.Int64 {
				return NewQVariant1(s.Convert(reflect.TypeOf(int64(0))).Interface())
			}
			return NewQVariant1(s.Interface())
		}

		return NewQVariant()
	}
}

func isZero(v reflect.Value) bool {
	switch v.Kind() {
	case reflect.Bool:
		return !v.Bool()
	case reflect.Int, reflect.Int8, reflect.Int16, reflect.Int32, reflect.Int64:
		return v.Int() == 0
	case reflect.Uint, reflect.Uint8, reflect.Uint16, reflect.Uint32, reflect.Uint64, reflect.Uintptr:
		return v.Uint() == 0
	case reflect.Float32, reflect.Float64:
		return math.Float64bits(v.Float()) == 0
	case reflect.Complex64, reflect.Complex128:
		c := v.Complex()
		return math.Float64bits(real(c)) == 0 && math.Float64bits(imag(c)) == 0
	case reflect.Array:
		for i := 0; i < v.Len(); i++ {
			if !isZero(v.Index(i)) {
				return false
			}
		}
		return true
	case reflect.Chan, reflect.Func, reflect.Interface, reflect.Map, reflect.Ptr, reflect.Slice, reflect.UnsafePointer:
		return v.IsNil()
	case reflect.String:
		return v.Len() == 0
	case reflect.Struct:
		for i := 0; i < v.NumField(); i++ {
			if !isZero(v.Field(i)) {
				return false
			}
		}
		return true
	default:
		// This should never happens, but will act as a safeguard for
		// later, as a default value doesn't makes sense here.
		panic(&reflect.ValueError{"reflect.Value.IsZero", v.Kind()})
	}
}
func (ptr *QVariant) ToInterface() interface{} {
	switch ptr.Type() {
	case QVariant__Bool:
		return ptr.ToBool()
	case QVariant__Int:
		return ptr.ToInt(nil)
	case QVariant__UInt:
		return ptr.ToUInt(nil)
	case QVariant__LongLong:
		return ptr.ToLongLong(nil)
	case QVariant__ULongLong:
		return ptr.ToULongLong(nil)
	case QVariant__Double:
		return ptr.ToDouble(nil)
	case QVariant__Char:
		return ptr.ToChar()
	case QVariant__Map:
		return ptr.ToMap()
	case QVariant__List:
		return ptr.ToList()
	case QVariant__String:
		return ptr.ToString()
	case QVariant__StringList:
		return ptr.ToStringList()
	case QVariant__ByteArray:
		return ptr.ToByteArray()
	case QVariant__BitArray:
		return ptr.ToBitArray()
	case QVariant__Date:
		return ptr.ToDate()
	case QVariant__Time:
		return ptr.ToTime()
	case QVariant__DateTime:
		return ptr.ToDateTime()
	case QVariant__Url:
		return ptr.ToUrl()
	case QVariant__Locale:
		return ptr.ToLocale()
	case QVariant__Rect:
		return ptr.ToRect()
	case QVariant__RectF:
		return ptr.ToRectF()
	case QVariant__Size:
		return ptr.ToSize()
	case QVariant__SizeF:
		return ptr.ToSizeF()
	case QVariant__Line:
		return ptr.ToLine()
	case QVariant__LineF:
		return ptr.ToLineF()
	case QVariant__Point:
		return ptr.ToPoint()
	case QVariant__PointF:
		return ptr.ToPointF()
	case QVariant__RegExp:
		return ptr.ToRegExp()
	case QVariant__RegularExpression:
		return ptr.ToRegularExpression()
	case QVariant__Hash:
		return ptr.ToHash()
	case QVariant__EasingCurve:
		return ptr.ToEasingCurve()
	case QVariant__Uuid:
		return ptr.ToUuid()
	case QVariant__ModelIndex:
		return ptr.ToModelIndex()
	case QVariant__PersistentModelIndex:
		return ptr.ToPersistentModelIndex()
	case QVariant__Font:
		return ptr.ToFont()
	case QVariant__Brush:
		return ptr.ToBrush()
	case QVariant__Color:
		return ptr.ToColor()
	case QVariant__Image:
		return ptr.ToImage()
	case QVariant__Icon:
		return ptr.ToIcon()

	}
	return ptr
}

func (ptr *QVariant) ToGoType(dst interface{}) {
	v := reflect.ValueOf(dst)
	if v.Kind() == reflect.Ptr {
		v = v.Elem()
	}

	switch ptr.Type() {
	case QVariant__List:
		d := ptr.ToList()

		switch v.Kind() {
		case reflect.Slice:
			v.Set(reflect.MakeSlice(v.Type(), len(d), len(d)))

		case reflect.Array:
			v.Set(reflect.Indirect(reflect.New(v.Type())))
		}

		for i := 0; i < len(d); i++ {
			switch v.Type().Elem().Kind() {
			case reflect.Struct, reflect.Map, reflect.Slice, reflect.Array:
				s := reflect.New(v.Type().Elem())
				d[i].ToGoType(s.Interface())
				v.Index(i).Set(reflect.Indirect(s))

			default:
				v.Index(i).Set(reflect.ValueOf(d[i].ToInterface()).Convert(v.Type().Elem()))
			}
		}

	case QVariant__Map:
		d := ptr.ToMap()

		if v.Kind() == reflect.Struct {
			for k, val := range d {
				realName := k
				toInt := false
				for id := 0; id < v.NumField(); id++ {
					if tag, ok := v.Type().Field(id).Tag.Lookup("json"); ok {
						switch {
						case strings.Count(tag, ",") == 0:
							if k == tag {
								realName = v.Type().Field(id).Name
							}
						default:
							tags := strings.Split(tag, ",")
							if k == tags[0] || (len(tags[0]) == 0 && k == v.Type().Field(id).Name) {
								realName = v.Type().Field(id).Name
								if tags[1] == "string" {
									toInt = true
								}
							}
						}
					}
				}
				field := v.FieldByName(realName)
				if !field.IsValid() {
					continue
				}
				if toInt {
					field.Set(reflect.ValueOf(val.ToLongLong(nil)).Convert(field.Type())) //TODO: pure go type conversion
				} else {
					val.ToGoType(field.Addr().Interface())
				}
			}
		} else {
			v.Set(reflect.MakeMapWithSize(v.Type(), len(d)))
			for k, val := range d {
				switch v.Type().Elem().Kind() {
				case reflect.Struct, reflect.Map, reflect.Slice, reflect.Array:
					s := reflect.New(v.Type().Elem())
					val.ToGoType(s.Interface())
					v.SetMapIndex(reflect.ValueOf(k).Convert(v.Type().Key()), reflect.Indirect(s))

				default:
					v.SetMapIndex(reflect.ValueOf(k).Convert(v.Type().Key()), reflect.ValueOf(val.ToInterface()).Convert(v.Type().Elem()))
				}
			}
		}

	default:
		if v.Kind() == reflect.String {
			v.Set(reflect.ValueOf(ptr.ToString()))
		} else {
			v.Set(reflect.ValueOf(ptr.ToInterface()).Convert(v.Type()))
		}
	}
}

//go:generate stringer -type=QVariant__Type
//QVariant::Type
type QVariant__Type int64

const (
	QVariant__Invalid              QVariant__Type = QVariant__Type(QMetaType__UnknownType)
	QVariant__Bool                 QVariant__Type = QVariant__Type(QMetaType__Bool)
	QVariant__Int                  QVariant__Type = QVariant__Type(QMetaType__Int)
	QVariant__UInt                 QVariant__Type = QVariant__Type(QMetaType__UInt)
	QVariant__LongLong             QVariant__Type = QVariant__Type(QMetaType__LongLong)
	QVariant__ULongLong            QVariant__Type = QVariant__Type(QMetaType__ULongLong)
	QVariant__Double               QVariant__Type = QVariant__Type(QMetaType__Double)
	QVariant__Char                 QVariant__Type = QVariant__Type(QMetaType__QChar)
	QVariant__Map                  QVariant__Type = QVariant__Type(QMetaType__QVariantMap)
	QVariant__List                 QVariant__Type = QVariant__Type(QMetaType__QVariantList)
	QVariant__String               QVariant__Type = QVariant__Type(QMetaType__QString)
	QVariant__StringList           QVariant__Type = QVariant__Type(QMetaType__QStringList)
	QVariant__ByteArray            QVariant__Type = QVariant__Type(QMetaType__QByteArray)
	QVariant__BitArray             QVariant__Type = QVariant__Type(QMetaType__QBitArray)
	QVariant__Date                 QVariant__Type = QVariant__Type(QMetaType__QDate)
	QVariant__Time                 QVariant__Type = QVariant__Type(QMetaType__QTime)
	QVariant__DateTime             QVariant__Type = QVariant__Type(QMetaType__QDateTime)
	QVariant__Url                  QVariant__Type = QVariant__Type(QMetaType__QUrl)
	QVariant__Locale               QVariant__Type = QVariant__Type(QMetaType__QLocale)
	QVariant__Rect                 QVariant__Type = QVariant__Type(QMetaType__QRect)
	QVariant__RectF                QVariant__Type = QVariant__Type(QMetaType__QRectF)
	QVariant__Size                 QVariant__Type = QVariant__Type(QMetaType__QSize)
	QVariant__SizeF                QVariant__Type = QVariant__Type(QMetaType__QSizeF)
	QVariant__Line                 QVariant__Type = QVariant__Type(QMetaType__QLine)
	QVariant__LineF                QVariant__Type = QVariant__Type(QMetaType__QLineF)
	QVariant__Point                QVariant__Type = QVariant__Type(QMetaType__QPoint)
	QVariant__PointF               QVariant__Type = QVariant__Type(QMetaType__QPointF)
	QVariant__RegExp               QVariant__Type = QVariant__Type(QMetaType__QRegExp)
	QVariant__RegularExpression    QVariant__Type = QVariant__Type(QMetaType__QRegularExpression)
	QVariant__Hash                 QVariant__Type = QVariant__Type(QMetaType__QVariantHash)
	QVariant__EasingCurve          QVariant__Type = QVariant__Type(QMetaType__QEasingCurve)
	QVariant__Uuid                 QVariant__Type = QVariant__Type(QMetaType__QUuid)
	QVariant__ModelIndex           QVariant__Type = QVariant__Type(QMetaType__QModelIndex)
	QVariant__PersistentModelIndex QVariant__Type = QVariant__Type(QMetaType__QPersistentModelIndex)
	QVariant__Font                 QVariant__Type = QVariant__Type(QMetaType__QFont)
	QVariant__Pixmap               QVariant__Type = QVariant__Type(QMetaType__QPixmap)
	QVariant__Brush                QVariant__Type = QVariant__Type(QMetaType__QBrush)
	QVariant__Color                QVariant__Type = QVariant__Type(QMetaType__QColor)
	QVariant__Palette              QVariant__Type = QVariant__Type(QMetaType__QPalette)
	QVariant__Image                QVariant__Type = QVariant__Type(QMetaType__QImage)
	QVariant__Polygon              QVariant__Type = QVariant__Type(QMetaType__QPolygon)
	QVariant__Region               QVariant__Type = QVariant__Type(QMetaType__QRegion)
	QVariant__Bitmap               QVariant__Type = QVariant__Type(QMetaType__QBitmap)
	QVariant__Cursor               QVariant__Type = QVariant__Type(QMetaType__QCursor)
	QVariant__KeySequence          QVariant__Type = QVariant__Type(QMetaType__QKeySequence)
	QVariant__Pen                  QVariant__Type = QVariant__Type(QMetaType__QPen)
	QVariant__TextLength           QVariant__Type = QVariant__Type(QMetaType__QTextLength)
	QVariant__TextFormat           QVariant__Type = QVariant__Type(QMetaType__QTextFormat)
	QVariant__Matrix               QVariant__Type = QVariant__Type(QMetaType__QMatrix)
	QVariant__Transform            QVariant__Type = QVariant__Type(QMetaType__QTransform)
	QVariant__Matrix4x4            QVariant__Type = QVariant__Type(QMetaType__QMatrix4x4)
	QVariant__Vector2D             QVariant__Type = QVariant__Type(QMetaType__QVector2D)
	QVariant__Vector3D             QVariant__Type = QVariant__Type(QMetaType__QVector3D)
	QVariant__Vector4D             QVariant__Type = QVariant__Type(QMetaType__QVector4D)
	QVariant__Quaternion           QVariant__Type = QVariant__Type(QMetaType__QQuaternion)
	QVariant__PolygonF             QVariant__Type = QVariant__Type(QMetaType__QPolygonF)
	QVariant__Icon                 QVariant__Type = QVariant__Type(QMetaType__QIcon)
	QVariant__SizePolicy           QVariant__Type = QVariant__Type(QMetaType__QSizePolicy)
	QVariant__UserType             QVariant__Type = QVariant__Type(QMetaType__User)
	QVariant__LastType             QVariant__Type = QVariant__Type(0xffffffff)
)

func NewQVariant() *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant", ""}).(*QVariant)
}

func NewQVariant2(ty QVariant__Type) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant2", "", ty}).(*QVariant)
}

func NewQVariant3(typeId int, copy unsafe.Pointer) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant3", "", typeId, copy}).(*QVariant)
}

func NewQVariant4(s QDataStream_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant4", "", s}).(*QVariant)
}

func NewQVariant5(val int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant5", "", val}).(*QVariant)
}

func NewQVariant6(val uint) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant6", "", val}).(*QVariant)
}

func NewQVariant7(val int64) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant7", "", val}).(*QVariant)
}

func NewQVariant8(val uint64) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant8", "", val}).(*QVariant)
}

func NewQVariant9(val bool) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant9", "", val}).(*QVariant)
}

func NewQVariant10(val float64) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant10", "", val}).(*QVariant)
}

func NewQVariant11(val float32) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant11", "", val}).(*QVariant)
}

func NewQVariant12(val string) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant12", "", val}).(*QVariant)
}

func NewQVariant13(val QByteArray_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant13", "", val}).(*QVariant)
}

func NewQVariant14(val QBitArray_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant14", "", val}).(*QVariant)
}

func NewQVariant15(val string) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant15", "", val}).(*QVariant)
}

func NewQVariant16(val QLatin1String_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant16", "", val}).(*QVariant)
}

func NewQVariant17(val []string) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant17", "", val}).(*QVariant)
}

func NewQVariant18(c QChar_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant18", "", c}).(*QVariant)
}

func NewQVariant19(val QDate_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant19", "", val}).(*QVariant)
}

func NewQVariant20(val QTime_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant20", "", val}).(*QVariant)
}

func NewQVariant21(val QDateTime_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant21", "", val}).(*QVariant)
}

func NewQVariant22(val []*QVariant) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant22", "", val}).(*QVariant)
}

func NewQVariant23(val map[string]*QVariant) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant23", "", val}).(*QVariant)
}

func NewQVariant24(val map[string]*QVariant) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant24", "", val}).(*QVariant)
}

func NewQVariant25(val QSize_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant25", "", val}).(*QVariant)
}

func NewQVariant26(val QSizeF_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant26", "", val}).(*QVariant)
}

func NewQVariant27(val QPoint_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant27", "", val}).(*QVariant)
}

func NewQVariant28(val QPointF_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant28", "", val}).(*QVariant)
}

func NewQVariant29(val QLine_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant29", "", val}).(*QVariant)
}

func NewQVariant30(val QLineF_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant30", "", val}).(*QVariant)
}

func NewQVariant31(val QRect_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant31", "", val}).(*QVariant)
}

func NewQVariant32(val QRectF_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant32", "", val}).(*QVariant)
}

func NewQVariant33(l QLocale_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant33", "", l}).(*QVariant)
}

func NewQVariant34(regExp QRegExp_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant34", "", regExp}).(*QVariant)
}

func NewQVariant35(re QRegularExpression_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant35", "", re}).(*QVariant)
}

func NewQVariant36(val QUrl_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant36", "", val}).(*QVariant)
}

func NewQVariant37(val QEasingCurve_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant37", "", val}).(*QVariant)
}

func NewQVariant38(val QUuid_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant38", "", val}).(*QVariant)
}

func NewQVariant39(val QJsonValue_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant39", "", val}).(*QVariant)
}

func NewQVariant40(val QJsonObject_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant40", "", val}).(*QVariant)
}

func NewQVariant41(val QJsonArray_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant41", "", val}).(*QVariant)
}

func NewQVariant42(val QJsonDocument_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant42", "", val}).(*QVariant)
}

func NewQVariant43(val QModelIndex_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant43", "", val}).(*QVariant)
}

func NewQVariant44(val QPersistentModelIndex_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant44", "", val}).(*QVariant)
}

func NewQVariant45(other QVariant_ITF) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariant45", "", other}).(*QVariant)
}

func (ptr *QVariant) CanConvert(targetTypeId int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanConvert", targetTypeId}).(bool)
}

func (ptr *QVariant) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QVariant) Convert(targetTypeId int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Convert", targetTypeId}).(bool)
}

func (ptr *QVariant) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QVariant) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func QVariant_NameToType(name string) QVariant__Type {

	return QVariant__Type(internal.CallLocalFunction([]interface{}{"", "", "core.QVariant_NameToType", "", name}).(float64))
}

func (ptr *QVariant) NameToType(name string) QVariant__Type {

	return QVariant__Type(internal.CallLocalFunction([]interface{}{"", "", "core.QVariant_NameToType", "", name}).(float64))
}

func (ptr *QVariant) Swap(other QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QVariant) ToBitArray() *QBitArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToBitArray"}).(*QBitArray)
}

func (ptr *QVariant) ToBool() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToBool"}).(bool)
}

func (ptr *QVariant) ToByteArray() *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToByteArray"}).(*QByteArray)
}

func (ptr *QVariant) ToChar() *QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToChar"}).(*QChar)
}

func (ptr *QVariant) ToDate() *QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToDate"}).(*QDate)
}

func (ptr *QVariant) ToDateTime() *QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToDateTime"}).(*QDateTime)
}

func (ptr *QVariant) ToDouble(ok *bool) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToDouble", ok}).(float64)
}

func (ptr *QVariant) ToEasingCurve() *QEasingCurve {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToEasingCurve"}).(*QEasingCurve)
}

func (ptr *QVariant) ToFloat(ok *bool) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToFloat", ok}).(float32)
}

func (ptr *QVariant) ToHash() map[string]*QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToHash"}).(map[string]*QVariant)
}

func (ptr *QVariant) ToInt(ok *bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToInt", ok}).(float64))
}

func (ptr *QVariant) ToJsonArray() *QJsonArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToJsonArray"}).(*QJsonArray)
}

func (ptr *QVariant) ToJsonDocument() *QJsonDocument {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToJsonDocument"}).(*QJsonDocument)
}

func (ptr *QVariant) ToJsonObject() *QJsonObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToJsonObject"}).(*QJsonObject)
}

func (ptr *QVariant) ToJsonValue() *QJsonValue {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToJsonValue"}).(*QJsonValue)
}

func (ptr *QVariant) ToLine() *QLine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLine"}).(*QLine)
}

func (ptr *QVariant) ToLineF() *QLineF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLineF"}).(*QLineF)
}

func (ptr *QVariant) ToList() []*QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToList"}).([]*QVariant)
}

func (ptr *QVariant) ToLocale() *QLocale {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLocale"}).(*QLocale)
}

func (ptr *QVariant) ToLongLong(ok *bool) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLongLong", ok}).(float64))
}

func (ptr *QVariant) ToMap() map[string]*QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToMap"}).(map[string]*QVariant)
}

func (ptr *QVariant) ToModelIndex() *QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToModelIndex"}).(*QModelIndex)
}

func (ptr *QVariant) ToPersistentModelIndex() *QPersistentModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPersistentModelIndex"}).(*QPersistentModelIndex)
}

func (ptr *QVariant) ToPoint() *QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPoint"}).(*QPoint)
}

func (ptr *QVariant) ToPointF() *QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPointF"}).(*QPointF)
}

func (ptr *QVariant) ToReal(ok *bool) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToReal", ok}).(float64)
}

func (ptr *QVariant) ToRect() *QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToRect"}).(*QRect)
}

func (ptr *QVariant) ToRectF() *QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToRectF"}).(*QRectF)
}

func (ptr *QVariant) ToRegExp() *QRegExp {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToRegExp"}).(*QRegExp)
}

func (ptr *QVariant) ToRegularExpression() *QRegularExpression {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToRegularExpression"}).(*QRegularExpression)
}

func (ptr *QVariant) ToSize() *QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToSize"}).(*QSize)
}

func (ptr *QVariant) ToSizeF() *QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToSizeF"}).(*QSizeF)
}

func (ptr *QVariant) ToString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString"}).(string)
}

func (ptr *QVariant) ToStringList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToStringList"}).([]string)
}

func (ptr *QVariant) ToTime() *QTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToTime"}).(*QTime)
}

func (ptr *QVariant) ToUInt(ok *bool) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUInt", ok}).(float64))
}

func (ptr *QVariant) ToULongLong(ok *bool) uint64 {

	return uint64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToULongLong", ok}).(float64))
}

func (ptr *QVariant) ToUrl() *QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUrl"}).(*QUrl)
}

func (ptr *QVariant) ToUuid() *QUuid {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToUuid"}).(*QUuid)
}

func (ptr *QVariant) Type() QVariant__Type {

	return QVariant__Type(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QVariant) TypeName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TypeName"}).(string)
}

func QVariant_TypeToName(typeId int) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QVariant_TypeToName", "", typeId}).(string)
}

func (ptr *QVariant) TypeToName(typeId int) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QVariant_TypeToName", "", typeId}).(string)
}

func (ptr *QVariant) UserType() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UserType"}).(float64))
}

func (ptr *QVariant) DestroyQVariant() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVariant"})
}

func (ptr *QVariant) ToColor() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToColor"}).(unsafe.Pointer)
}

func (ptr *QVariant) ToFont() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToFont"}).(unsafe.Pointer)
}

func (ptr *QVariant) ToImage() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToImage"}).(unsafe.Pointer)
}

func (ptr *QVariant) ToObject() *QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToObject"}).(*QObject)
}

func (ptr *QVariant) ToIcon() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToIcon"}).(unsafe.Pointer)
}

func (ptr *QVariant) ToBrush() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToBrush"}).(unsafe.Pointer)
}

func (ptr *QVariant) __QVariant_val_atList22(i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVariant_val_atList22", i}).(*QVariant)
}

func (ptr *QVariant) __QVariant_val_setList22(i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVariant_val_setList22", i})
}

func (ptr *QVariant) __QVariant_val_newList22() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVariant_val_newList22"}).(unsafe.Pointer)
}

func (ptr *QVariant) __QVariant_val_atList23(v string, i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVariant_val_atList23", v, i}).(*QVariant)
}

func (ptr *QVariant) __QVariant_val_setList23(key string, i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVariant_val_setList23", key, i})
}

func (ptr *QVariant) __QVariant_val_newList23() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVariant_val_newList23"}).(unsafe.Pointer)
}

func (ptr *QVariant) __QVariant_val_keyList23() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVariant_val_keyList23"}).([]string)
}

func (ptr *QVariant) __QVariant_val_atList24(v string, i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVariant_val_atList24", v, i}).(*QVariant)
}

func (ptr *QVariant) __QVariant_val_setList24(key string, i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVariant_val_setList24", key, i})
}

func (ptr *QVariant) __QVariant_val_newList24() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVariant_val_newList24"}).(unsafe.Pointer)
}

func (ptr *QVariant) __QVariant_val_keyList24() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVariant_val_keyList24"}).([]string)
}

func (ptr *QVariant) __toHash_atList(v string, i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toHash_atList", v, i}).(*QVariant)
}

func (ptr *QVariant) __toHash_setList(key string, i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toHash_setList", key, i})
}

func (ptr *QVariant) __toHash_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toHash_newList"}).(unsafe.Pointer)
}

func (ptr *QVariant) __toHash_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toHash_keyList"}).([]string)
}

func (ptr *QVariant) __toList_atList(i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toList_atList", i}).(*QVariant)
}

func (ptr *QVariant) __toList_setList(i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toList_setList", i})
}

func (ptr *QVariant) __toList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toList_newList"}).(unsafe.Pointer)
}

func (ptr *QVariant) __toMap_atList(v string, i int) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toMap_atList", v, i}).(*QVariant)
}

func (ptr *QVariant) __toMap_setList(key string, i QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toMap_setList", key, i})
}

func (ptr *QVariant) __toMap_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toMap_newList"}).(unsafe.Pointer)
}

func (ptr *QVariant) __toMap_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toMap_keyList"}).([]string)
}

func (ptr *QVariant) ____QVariant_val_keyList_atList23(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____QVariant_val_keyList_atList23", i}).(string)
}

func (ptr *QVariant) ____QVariant_val_keyList_setList23(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____QVariant_val_keyList_setList23", i})
}

func (ptr *QVariant) ____QVariant_val_keyList_newList23() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____QVariant_val_keyList_newList23"}).(unsafe.Pointer)
}

func (ptr *QVariant) ____QVariant_val_keyList_atList24(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____QVariant_val_keyList_atList24", i}).(string)
}

func (ptr *QVariant) ____QVariant_val_keyList_setList24(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____QVariant_val_keyList_setList24", i})
}

func (ptr *QVariant) ____QVariant_val_keyList_newList24() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____QVariant_val_keyList_newList24"}).(unsafe.Pointer)
}

func (ptr *QVariant) ____toHash_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toHash_keyList_atList", i}).(string)
}

func (ptr *QVariant) ____toHash_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toHash_keyList_setList", i})
}

func (ptr *QVariant) ____toHash_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toHash_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QVariant) ____toMap_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toMap_keyList_atList", i}).(string)
}

func (ptr *QVariant) ____toMap_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toMap_keyList_setList", i})
}

func (ptr *QVariant) ____toMap_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____toMap_keyList_newList"}).(unsafe.Pointer)
}

type QVariantAnimation struct {
	QAbstractAnimation
}

type QVariantAnimation_ITF interface {
	QAbstractAnimation_ITF
	QVariantAnimation_PTR() *QVariantAnimation
}

func (ptr *QVariantAnimation) QVariantAnimation_PTR() *QVariantAnimation {
	return ptr
}

func (ptr *QVariantAnimation) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAnimation_PTR().Pointer()
	}
	return nil
}

func (ptr *QVariantAnimation) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAnimation_PTR().SetPointer(p)
	}
}

func PointerFromQVariantAnimation(ptr QVariantAnimation_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVariantAnimation_PTR().Pointer()
	}
	return nil
}

func (n *QVariantAnimation) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAnimation_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QVariantAnimation) ClassNameInternalF() string {
	return n.QAbstractAnimation_PTR().ClassNameInternalF()
}

func NewQVariantAnimationFromPointer(ptr unsafe.Pointer) (n *QVariantAnimation) {
	n = new(QVariantAnimation)
	n.InitFromInternal(uintptr(ptr), "core.QVariantAnimation")
	return
}
func NewQVariantAnimation(parent QObject_ITF) *QVariantAnimation {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVariantAnimation", "", parent}).(*QVariantAnimation)
}

func (ptr *QVariantAnimation) CurrentValue() *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentValue"}).(*QVariant)
}

func (ptr *QVariantAnimation) ConnectDuration(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDuration", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVariantAnimation) DisconnectDuration() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDuration"})
}

func (ptr *QVariantAnimation) Duration() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Duration"}).(float64))
}

func (ptr *QVariantAnimation) DurationDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DurationDefault"}).(float64))
}

func (ptr *QVariantAnimation) EasingCurve() *QEasingCurve {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EasingCurve"}).(*QEasingCurve)
}

func (ptr *QVariantAnimation) EndValue() *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndValue"}).(*QVariant)
}

func (ptr *QVariantAnimation) ConnectInterpolated(f func(from *QVariant, to *QVariant, progress float64) *QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInterpolated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVariantAnimation) DisconnectInterpolated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInterpolated"})
}

func (ptr *QVariantAnimation) Interpolated(from QVariant_ITF, to QVariant_ITF, progress float64) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Interpolated", from, to, progress}).(*QVariant)
}

func (ptr *QVariantAnimation) InterpolatedDefault(from QVariant_ITF, to QVariant_ITF, progress float64) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InterpolatedDefault", from, to, progress}).(*QVariant)
}

func (ptr *QVariantAnimation) KeyValueAt(step float64) *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyValueAt", step}).(*QVariant)
}

func (ptr *QVariantAnimation) SetDuration(msecs int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDuration", msecs})
}

func (ptr *QVariantAnimation) SetEasingCurve(easing QEasingCurve_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEasingCurve", easing})
}

func (ptr *QVariantAnimation) SetEndValue(value QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEndValue", value})
}

func (ptr *QVariantAnimation) SetKeyValueAt(step float64, value QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetKeyValueAt", step, value})
}

func (ptr *QVariantAnimation) SetStartValue(value QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStartValue", value})
}

func (ptr *QVariantAnimation) StartValue() *QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartValue"}).(*QVariant)
}

func (ptr *QVariantAnimation) ConnectUpdateCurrentTime(f func(vin int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateCurrentTime", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVariantAnimation) DisconnectUpdateCurrentTime() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateCurrentTime"})
}

func (ptr *QVariantAnimation) UpdateCurrentTime(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCurrentTime", vin})
}

func (ptr *QVariantAnimation) UpdateCurrentTimeDefault(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCurrentTimeDefault", vin})
}

func (ptr *QVariantAnimation) ConnectUpdateCurrentValue(f func(value *QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateCurrentValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVariantAnimation) DisconnectUpdateCurrentValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateCurrentValue"})
}

func (ptr *QVariantAnimation) UpdateCurrentValue(value QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCurrentValue", value})
}

func (ptr *QVariantAnimation) UpdateCurrentValueDefault(value QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCurrentValueDefault", value})
}

func (ptr *QVariantAnimation) ConnectValueChanged(f func(value *QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValueChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVariantAnimation) DisconnectValueChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValueChanged"})
}

func (ptr *QVariantAnimation) ValueChanged(value QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueChanged", value})
}

func (ptr *QVariantAnimation) ConnectDestroyQVariantAnimation(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQVariantAnimation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVariantAnimation) DisconnectDestroyQVariantAnimation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQVariantAnimation"})
}

func (ptr *QVariantAnimation) DestroyQVariantAnimation() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVariantAnimation"})
}

func (ptr *QVariantAnimation) DestroyQVariantAnimationDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVariantAnimationDefault"})
}

type QVector struct {
	internal.Internal
}

type QVector_ITF interface {
	QVector_PTR() *QVector
}

func (ptr *QVector) QVector_PTR() *QVector {
	return ptr
}

func (ptr *QVector) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVector) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVector(ptr QVector_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVector_PTR().Pointer()
	}
	return nil
}

func (n *QVector) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVectorFromPointer(ptr unsafe.Pointer) (n *QVector) {
	n = new(QVector)
	n.InitFromInternal(uintptr(ptr), "core.QVector")
	return
}

type QVectorIterator struct {
	internal.Internal
}

type QVectorIterator_ITF interface {
	QVectorIterator_PTR() *QVectorIterator
}

func (ptr *QVectorIterator) QVectorIterator_PTR() *QVectorIterator {
	return ptr
}

func (ptr *QVectorIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVectorIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVectorIterator(ptr QVectorIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVectorIterator_PTR().Pointer()
	}
	return nil
}

func (n *QVectorIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVectorIteratorFromPointer(ptr unsafe.Pointer) (n *QVectorIterator) {
	n = new(QVectorIterator)
	n.InitFromInternal(uintptr(ptr), "core.QVectorIterator")
	return
}

func (ptr *QVectorIterator) DestroyQVectorIterator() {
}

type QVersionNumber struct {
	internal.Internal
}

type QVersionNumber_ITF interface {
	QVersionNumber_PTR() *QVersionNumber
}

func (ptr *QVersionNumber) QVersionNumber_PTR() *QVersionNumber {
	return ptr
}

func (ptr *QVersionNumber) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVersionNumber) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVersionNumber(ptr QVersionNumber_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVersionNumber_PTR().Pointer()
	}
	return nil
}

func (n *QVersionNumber) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVersionNumberFromPointer(ptr unsafe.Pointer) (n *QVersionNumber) {
	n = new(QVersionNumber)
	n.InitFromInternal(uintptr(ptr), "core.QVersionNumber")
	return
}

func (ptr *QVersionNumber) DestroyQVersionNumber() {
}

func NewQVersionNumber() *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVersionNumber", ""}).(*QVersionNumber)
}

func NewQVersionNumber2(seg []int) *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVersionNumber2", "", seg}).(*QVersionNumber)
}

func NewQVersionNumber3(seg []int) *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVersionNumber3", "", seg}).(*QVersionNumber)
}

func NewQVersionNumber5(maj int) *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVersionNumber5", "", maj}).(*QVersionNumber)
}

func NewQVersionNumber6(maj int, min int) *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVersionNumber6", "", maj, min}).(*QVersionNumber)
}

func NewQVersionNumber7(maj int, min int, mic int) *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQVersionNumber7", "", maj, min, mic}).(*QVersionNumber)
}

func QVersionNumber_CommonPrefix(v1 QVersionNumber_ITF, v2 QVersionNumber_ITF) *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QVersionNumber_CommonPrefix", "", v1, v2}).(*QVersionNumber)
}

func (ptr *QVersionNumber) CommonPrefix(v1 QVersionNumber_ITF, v2 QVersionNumber_ITF) *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QVersionNumber_CommonPrefix", "", v1, v2}).(*QVersionNumber)
}

func QVersionNumber_Compare(v1 QVersionNumber_ITF, v2 QVersionNumber_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QVersionNumber_Compare", "", v1, v2}).(float64))
}

func (ptr *QVersionNumber) Compare(v1 QVersionNumber_ITF, v2 QVersionNumber_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QVersionNumber_Compare", "", v1, v2}).(float64))
}

func QVersionNumber_FromString(stri string, suffixIndex int) *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QVersionNumber_FromString", "", stri, suffixIndex}).(*QVersionNumber)
}

func (ptr *QVersionNumber) FromString(stri string, suffixIndex int) *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QVersionNumber_FromString", "", stri, suffixIndex}).(*QVersionNumber)
}

func QVersionNumber_FromString2(stri QLatin1String_ITF, suffixIndex int) *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QVersionNumber_FromString2", "", stri, suffixIndex}).(*QVersionNumber)
}

func (ptr *QVersionNumber) FromString2(stri QLatin1String_ITF, suffixIndex int) *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QVersionNumber_FromString2", "", stri, suffixIndex}).(*QVersionNumber)
}

func QVersionNumber_FromString3(stri QStringView_ITF, suffixIndex int) *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QVersionNumber_FromString3", "", stri, suffixIndex}).(*QVersionNumber)
}

func (ptr *QVersionNumber) FromString3(stri QStringView_ITF, suffixIndex int) *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QVersionNumber_FromString3", "", stri, suffixIndex}).(*QVersionNumber)
}

func (ptr *QVersionNumber) IsNormalized() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNormalized"}).(bool)
}

func (ptr *QVersionNumber) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QVersionNumber) IsPrefixOf(other QVersionNumber_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsPrefixOf", other}).(bool)
}

func (ptr *QVersionNumber) MajorVersion() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MajorVersion"}).(float64))
}

func (ptr *QVersionNumber) MicroVersion() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MicroVersion"}).(float64))
}

func (ptr *QVersionNumber) MinorVersion() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinorVersion"}).(float64))
}

func (ptr *QVersionNumber) Normalized() *QVersionNumber {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Normalized"}).(*QVersionNumber)
}

func (ptr *QVersionNumber) SegmentAt(index int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SegmentAt", index}).(float64))
}

func (ptr *QVersionNumber) SegmentCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SegmentCount"}).(float64))
}

func (ptr *QVersionNumber) Segments() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Segments"}).([]int)
}

func (ptr *QVersionNumber) ToString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString"}).(string)
}

func (ptr *QVersionNumber) __QVersionNumber_seg_atList2(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVersionNumber_seg_atList2", i}).(float64))
}

func (ptr *QVersionNumber) __QVersionNumber_seg_setList2(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVersionNumber_seg_setList2", i})
}

func (ptr *QVersionNumber) __QVersionNumber_seg_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVersionNumber_seg_newList2"}).(unsafe.Pointer)
}

func (ptr *QVersionNumber) __QVersionNumber_seg_atList3(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVersionNumber_seg_atList3", i}).(float64))
}

func (ptr *QVersionNumber) __QVersionNumber_seg_setList3(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVersionNumber_seg_setList3", i})
}

func (ptr *QVersionNumber) __QVersionNumber_seg_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVersionNumber_seg_newList3"}).(unsafe.Pointer)
}

func (ptr *QVersionNumber) __segments_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__segments_atList", i}).(float64))
}

func (ptr *QVersionNumber) __segments_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__segments_setList", i})
}

func (ptr *QVersionNumber) __segments_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__segments_newList"}).(unsafe.Pointer)
}

type QWaitCondition struct {
	internal.Internal
}

type QWaitCondition_ITF interface {
	QWaitCondition_PTR() *QWaitCondition
}

func (ptr *QWaitCondition) QWaitCondition_PTR() *QWaitCondition {
	return ptr
}

func (ptr *QWaitCondition) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QWaitCondition) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQWaitCondition(ptr QWaitCondition_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWaitCondition_PTR().Pointer()
	}
	return nil
}

func (n *QWaitCondition) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQWaitConditionFromPointer(ptr unsafe.Pointer) (n *QWaitCondition) {
	n = new(QWaitCondition)
	n.InitFromInternal(uintptr(ptr), "core.QWaitCondition")
	return
}
func NewQWaitCondition() *QWaitCondition {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQWaitCondition", ""}).(*QWaitCondition)
}

func (ptr *QWaitCondition) Notify_all() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Notify_all"})
}

func (ptr *QWaitCondition) Notify_one() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Notify_one"})
}

func (ptr *QWaitCondition) Wait(lockedMutex QMutex_ITF, ti uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Wait", lockedMutex, ti}).(bool)
}

func (ptr *QWaitCondition) Wait3(lockedReadWriteLock QReadWriteLock_ITF, ti uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Wait3", lockedReadWriteLock, ti}).(bool)
}

func (ptr *QWaitCondition) WakeAll() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WakeAll"})
}

func (ptr *QWaitCondition) WakeOne() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WakeOne"})
}

func (ptr *QWaitCondition) DestroyQWaitCondition() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQWaitCondition"})
}

type QWeakPointer struct {
	internal.Internal
}

type QWeakPointer_ITF interface {
	QWeakPointer_PTR() *QWeakPointer
}

func (ptr *QWeakPointer) QWeakPointer_PTR() *QWeakPointer {
	return ptr
}

func (ptr *QWeakPointer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QWeakPointer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQWeakPointer(ptr QWeakPointer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWeakPointer_PTR().Pointer()
	}
	return nil
}

func (n *QWeakPointer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQWeakPointerFromPointer(ptr unsafe.Pointer) (n *QWeakPointer) {
	n = new(QWeakPointer)
	n.InitFromInternal(uintptr(ptr), "core.QWeakPointer")
	return
}

type QWinEventNotifier struct {
	QObject
}

type QWinEventNotifier_ITF interface {
	QObject_ITF
	QWinEventNotifier_PTR() *QWinEventNotifier
}

func (ptr *QWinEventNotifier) QWinEventNotifier_PTR() *QWinEventNotifier {
	return ptr
}

func (ptr *QWinEventNotifier) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinEventNotifier) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQWinEventNotifier(ptr QWinEventNotifier_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinEventNotifier_PTR().Pointer()
	}
	return nil
}

func (n *QWinEventNotifier) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinEventNotifier) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQWinEventNotifierFromPointer(ptr unsafe.Pointer) (n *QWinEventNotifier) {
	n = new(QWinEventNotifier)
	n.InitFromInternal(uintptr(ptr), "core.QWinEventNotifier")
	return
}

type QWriteLocker struct {
	internal.Internal
}

type QWriteLocker_ITF interface {
	QWriteLocker_PTR() *QWriteLocker
}

func (ptr *QWriteLocker) QWriteLocker_PTR() *QWriteLocker {
	return ptr
}

func (ptr *QWriteLocker) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QWriteLocker) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQWriteLocker(ptr QWriteLocker_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWriteLocker_PTR().Pointer()
	}
	return nil
}

func (n *QWriteLocker) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQWriteLockerFromPointer(ptr unsafe.Pointer) (n *QWriteLocker) {
	n = new(QWriteLocker)
	n.InitFromInternal(uintptr(ptr), "core.QWriteLocker")
	return
}
func NewQWriteLocker(lock QReadWriteLock_ITF) *QWriteLocker {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQWriteLocker", "", lock}).(*QWriteLocker)
}

func (ptr *QWriteLocker) ReadWriteLock() *QReadWriteLock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadWriteLock"}).(*QReadWriteLock)
}

func (ptr *QWriteLocker) Relock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Relock"})
}

func (ptr *QWriteLocker) Unlock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unlock"})
}

func (ptr *QWriteLocker) DestroyQWriteLocker() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQWriteLocker"})
}

type QXmlStreamAttribute struct {
	internal.Internal
}

type QXmlStreamAttribute_ITF interface {
	QXmlStreamAttribute_PTR() *QXmlStreamAttribute
}

func (ptr *QXmlStreamAttribute) QXmlStreamAttribute_PTR() *QXmlStreamAttribute {
	return ptr
}

func (ptr *QXmlStreamAttribute) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QXmlStreamAttribute) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQXmlStreamAttribute(ptr QXmlStreamAttribute_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QXmlStreamAttribute_PTR().Pointer()
	}
	return nil
}

func (n *QXmlStreamAttribute) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQXmlStreamAttributeFromPointer(ptr unsafe.Pointer) (n *QXmlStreamAttribute) {
	n = new(QXmlStreamAttribute)
	n.InitFromInternal(uintptr(ptr), "core.QXmlStreamAttribute")
	return
}
func NewQXmlStreamAttribute() *QXmlStreamAttribute {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamAttribute", ""}).(*QXmlStreamAttribute)
}

func NewQXmlStreamAttribute2(qualifiedName string, value string) *QXmlStreamAttribute {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamAttribute2", "", qualifiedName, value}).(*QXmlStreamAttribute)
}

func NewQXmlStreamAttribute3(namespaceUri string, name string, value string) *QXmlStreamAttribute {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamAttribute3", "", namespaceUri, name, value}).(*QXmlStreamAttribute)
}

func NewQXmlStreamAttribute4(other QXmlStreamAttribute_ITF) *QXmlStreamAttribute {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamAttribute4", "", other}).(*QXmlStreamAttribute)
}

func (ptr *QXmlStreamAttribute) IsDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDefault"}).(bool)
}

func (ptr *QXmlStreamAttribute) Name() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(*QStringRef)
}

func (ptr *QXmlStreamAttribute) NamespaceUri() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NamespaceUri"}).(*QStringRef)
}

func (ptr *QXmlStreamAttribute) Prefix() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Prefix"}).(*QStringRef)
}

func (ptr *QXmlStreamAttribute) QualifiedName() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "QualifiedName"}).(*QStringRef)
}

func (ptr *QXmlStreamAttribute) Value() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value"}).(*QStringRef)
}

func (ptr *QXmlStreamAttribute) DestroyQXmlStreamAttribute() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQXmlStreamAttribute"})
}

type QXmlStreamAttributes struct {
	QVector
}

type QXmlStreamAttributes_ITF interface {
	QVector_ITF
	QXmlStreamAttributes_PTR() *QXmlStreamAttributes
}

func (ptr *QXmlStreamAttributes) QXmlStreamAttributes_PTR() *QXmlStreamAttributes {
	return ptr
}

func (ptr *QXmlStreamAttributes) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVector_PTR().Pointer()
	}
	return nil
}

func (ptr *QXmlStreamAttributes) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVector_PTR().SetPointer(p)
	}
}

func PointerFromQXmlStreamAttributes(ptr QXmlStreamAttributes_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QXmlStreamAttributes_PTR().Pointer()
	}
	return nil
}

func (n *QXmlStreamAttributes) InitFromInternal(ptr uintptr, name string) {
	n.QVector_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QXmlStreamAttributes) ClassNameInternalF() string {
	return n.QVector_PTR().ClassNameInternalF()
}

func NewQXmlStreamAttributesFromPointer(ptr unsafe.Pointer) (n *QXmlStreamAttributes) {
	n = new(QXmlStreamAttributes)
	n.InitFromInternal(uintptr(ptr), "core.QXmlStreamAttributes")
	return
}

func (ptr *QXmlStreamAttributes) DestroyQXmlStreamAttributes() {
}

func NewQXmlStreamAttributes() *QXmlStreamAttributes {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamAttributes", ""}).(*QXmlStreamAttributes)
}

func (ptr *QXmlStreamAttributes) Append(namespaceUri string, name string, value string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Append", namespaceUri, name, value})
}

func (ptr *QXmlStreamAttributes) Append2(qualifiedName string, value string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Append2", qualifiedName, value})
}

func (ptr *QXmlStreamAttributes) HasAttribute(qualifiedName string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasAttribute", qualifiedName}).(bool)
}

func (ptr *QXmlStreamAttributes) HasAttribute2(qualifiedName QLatin1String_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasAttribute2", qualifiedName}).(bool)
}

func (ptr *QXmlStreamAttributes) HasAttribute3(namespaceUri string, name string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasAttribute3", namespaceUri, name}).(bool)
}

func (ptr *QXmlStreamAttributes) Value(namespaceUri string, name string) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value", namespaceUri, name}).(*QStringRef)
}

func (ptr *QXmlStreamAttributes) Value2(namespaceUri string, name QLatin1String_ITF) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value2", namespaceUri, name}).(*QStringRef)
}

func (ptr *QXmlStreamAttributes) Value3(namespaceUri QLatin1String_ITF, name QLatin1String_ITF) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value3", namespaceUri, name}).(*QStringRef)
}

func (ptr *QXmlStreamAttributes) Value4(qualifiedName string) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value4", qualifiedName}).(*QStringRef)
}

func (ptr *QXmlStreamAttributes) Value5(qualifiedName QLatin1String_ITF) *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value5", qualifiedName}).(*QStringRef)
}

type QXmlStreamEntityDeclaration struct {
	internal.Internal
}

type QXmlStreamEntityDeclaration_ITF interface {
	QXmlStreamEntityDeclaration_PTR() *QXmlStreamEntityDeclaration
}

func (ptr *QXmlStreamEntityDeclaration) QXmlStreamEntityDeclaration_PTR() *QXmlStreamEntityDeclaration {
	return ptr
}

func (ptr *QXmlStreamEntityDeclaration) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QXmlStreamEntityDeclaration) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQXmlStreamEntityDeclaration(ptr QXmlStreamEntityDeclaration_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QXmlStreamEntityDeclaration_PTR().Pointer()
	}
	return nil
}

func (n *QXmlStreamEntityDeclaration) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQXmlStreamEntityDeclarationFromPointer(ptr unsafe.Pointer) (n *QXmlStreamEntityDeclaration) {
	n = new(QXmlStreamEntityDeclaration)
	n.InitFromInternal(uintptr(ptr), "core.QXmlStreamEntityDeclaration")
	return
}
func NewQXmlStreamEntityDeclaration() *QXmlStreamEntityDeclaration {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamEntityDeclaration", ""}).(*QXmlStreamEntityDeclaration)
}

func NewQXmlStreamEntityDeclaration2(other QXmlStreamEntityDeclaration_ITF) *QXmlStreamEntityDeclaration {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamEntityDeclaration2", "", other}).(*QXmlStreamEntityDeclaration)
}

func (ptr *QXmlStreamEntityDeclaration) Name() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(*QStringRef)
}

func (ptr *QXmlStreamEntityDeclaration) NotationName() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NotationName"}).(*QStringRef)
}

func (ptr *QXmlStreamEntityDeclaration) PublicId() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PublicId"}).(*QStringRef)
}

func (ptr *QXmlStreamEntityDeclaration) SystemId() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SystemId"}).(*QStringRef)
}

func (ptr *QXmlStreamEntityDeclaration) Value() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value"}).(*QStringRef)
}

func (ptr *QXmlStreamEntityDeclaration) DestroyQXmlStreamEntityDeclaration() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQXmlStreamEntityDeclaration"})
}

type QXmlStreamEntityResolver struct {
	internal.Internal
}

type QXmlStreamEntityResolver_ITF interface {
	QXmlStreamEntityResolver_PTR() *QXmlStreamEntityResolver
}

func (ptr *QXmlStreamEntityResolver) QXmlStreamEntityResolver_PTR() *QXmlStreamEntityResolver {
	return ptr
}

func (ptr *QXmlStreamEntityResolver) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QXmlStreamEntityResolver) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQXmlStreamEntityResolver(ptr QXmlStreamEntityResolver_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QXmlStreamEntityResolver_PTR().Pointer()
	}
	return nil
}

func (n *QXmlStreamEntityResolver) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQXmlStreamEntityResolverFromPointer(ptr unsafe.Pointer) (n *QXmlStreamEntityResolver) {
	n = new(QXmlStreamEntityResolver)
	n.InitFromInternal(uintptr(ptr), "core.QXmlStreamEntityResolver")
	return
}
func (ptr *QXmlStreamEntityResolver) ConnectResolveUndeclaredEntity(f func(name string) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResolveUndeclaredEntity", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QXmlStreamEntityResolver) DisconnectResolveUndeclaredEntity() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResolveUndeclaredEntity"})
}

func (ptr *QXmlStreamEntityResolver) ResolveUndeclaredEntity(name string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResolveUndeclaredEntity", name}).(string)
}

func (ptr *QXmlStreamEntityResolver) ResolveUndeclaredEntityDefault(name string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResolveUndeclaredEntityDefault", name}).(string)
}

func (ptr *QXmlStreamEntityResolver) ConnectDestroyQXmlStreamEntityResolver(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQXmlStreamEntityResolver", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QXmlStreamEntityResolver) DisconnectDestroyQXmlStreamEntityResolver() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQXmlStreamEntityResolver"})
}

func (ptr *QXmlStreamEntityResolver) DestroyQXmlStreamEntityResolver() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQXmlStreamEntityResolver"})
}

func (ptr *QXmlStreamEntityResolver) DestroyQXmlStreamEntityResolverDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQXmlStreamEntityResolverDefault"})
}

type QXmlStreamNamespaceDeclaration struct {
	internal.Internal
}

type QXmlStreamNamespaceDeclaration_ITF interface {
	QXmlStreamNamespaceDeclaration_PTR() *QXmlStreamNamespaceDeclaration
}

func (ptr *QXmlStreamNamespaceDeclaration) QXmlStreamNamespaceDeclaration_PTR() *QXmlStreamNamespaceDeclaration {
	return ptr
}

func (ptr *QXmlStreamNamespaceDeclaration) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QXmlStreamNamespaceDeclaration) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQXmlStreamNamespaceDeclaration(ptr QXmlStreamNamespaceDeclaration_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QXmlStreamNamespaceDeclaration_PTR().Pointer()
	}
	return nil
}

func (n *QXmlStreamNamespaceDeclaration) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQXmlStreamNamespaceDeclarationFromPointer(ptr unsafe.Pointer) (n *QXmlStreamNamespaceDeclaration) {
	n = new(QXmlStreamNamespaceDeclaration)
	n.InitFromInternal(uintptr(ptr), "core.QXmlStreamNamespaceDeclaration")
	return
}
func NewQXmlStreamNamespaceDeclaration() *QXmlStreamNamespaceDeclaration {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamNamespaceDeclaration", ""}).(*QXmlStreamNamespaceDeclaration)
}

func NewQXmlStreamNamespaceDeclaration2(other QXmlStreamNamespaceDeclaration_ITF) *QXmlStreamNamespaceDeclaration {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamNamespaceDeclaration2", "", other}).(*QXmlStreamNamespaceDeclaration)
}

func NewQXmlStreamNamespaceDeclaration4(prefix string, namespaceUri string) *QXmlStreamNamespaceDeclaration {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamNamespaceDeclaration4", "", prefix, namespaceUri}).(*QXmlStreamNamespaceDeclaration)
}

func (ptr *QXmlStreamNamespaceDeclaration) NamespaceUri() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NamespaceUri"}).(*QStringRef)
}

func (ptr *QXmlStreamNamespaceDeclaration) Prefix() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Prefix"}).(*QStringRef)
}

func (ptr *QXmlStreamNamespaceDeclaration) DestroyQXmlStreamNamespaceDeclaration() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQXmlStreamNamespaceDeclaration"})
}

type QXmlStreamNotationDeclaration struct {
	internal.Internal
}

type QXmlStreamNotationDeclaration_ITF interface {
	QXmlStreamNotationDeclaration_PTR() *QXmlStreamNotationDeclaration
}

func (ptr *QXmlStreamNotationDeclaration) QXmlStreamNotationDeclaration_PTR() *QXmlStreamNotationDeclaration {
	return ptr
}

func (ptr *QXmlStreamNotationDeclaration) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QXmlStreamNotationDeclaration) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQXmlStreamNotationDeclaration(ptr QXmlStreamNotationDeclaration_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QXmlStreamNotationDeclaration_PTR().Pointer()
	}
	return nil
}

func (n *QXmlStreamNotationDeclaration) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQXmlStreamNotationDeclarationFromPointer(ptr unsafe.Pointer) (n *QXmlStreamNotationDeclaration) {
	n = new(QXmlStreamNotationDeclaration)
	n.InitFromInternal(uintptr(ptr), "core.QXmlStreamNotationDeclaration")
	return
}
func NewQXmlStreamNotationDeclaration() *QXmlStreamNotationDeclaration {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamNotationDeclaration", ""}).(*QXmlStreamNotationDeclaration)
}

func NewQXmlStreamNotationDeclaration2(other QXmlStreamNotationDeclaration_ITF) *QXmlStreamNotationDeclaration {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamNotationDeclaration2", "", other}).(*QXmlStreamNotationDeclaration)
}

func (ptr *QXmlStreamNotationDeclaration) Name() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(*QStringRef)
}

func (ptr *QXmlStreamNotationDeclaration) PublicId() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PublicId"}).(*QStringRef)
}

func (ptr *QXmlStreamNotationDeclaration) SystemId() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SystemId"}).(*QStringRef)
}

func (ptr *QXmlStreamNotationDeclaration) DestroyQXmlStreamNotationDeclaration() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQXmlStreamNotationDeclaration"})
}

type QXmlStreamReader struct {
	internal.Internal
}

type QXmlStreamReader_ITF interface {
	QXmlStreamReader_PTR() *QXmlStreamReader
}

func (ptr *QXmlStreamReader) QXmlStreamReader_PTR() *QXmlStreamReader {
	return ptr
}

func (ptr *QXmlStreamReader) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QXmlStreamReader) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQXmlStreamReader(ptr QXmlStreamReader_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QXmlStreamReader_PTR().Pointer()
	}
	return nil
}

func (n *QXmlStreamReader) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQXmlStreamReaderFromPointer(ptr unsafe.Pointer) (n *QXmlStreamReader) {
	n = new(QXmlStreamReader)
	n.InitFromInternal(uintptr(ptr), "core.QXmlStreamReader")
	return
}

//go:generate stringer -type=QXmlStreamReader__TokenType
//QXmlStreamReader::TokenType
type QXmlStreamReader__TokenType int64

const (
	QXmlStreamReader__NoToken               QXmlStreamReader__TokenType = QXmlStreamReader__TokenType(0)
	QXmlStreamReader__Invalid               QXmlStreamReader__TokenType = QXmlStreamReader__TokenType(1)
	QXmlStreamReader__StartDocument         QXmlStreamReader__TokenType = QXmlStreamReader__TokenType(2)
	QXmlStreamReader__EndDocument           QXmlStreamReader__TokenType = QXmlStreamReader__TokenType(3)
	QXmlStreamReader__StartElement          QXmlStreamReader__TokenType = QXmlStreamReader__TokenType(4)
	QXmlStreamReader__EndElement            QXmlStreamReader__TokenType = QXmlStreamReader__TokenType(5)
	QXmlStreamReader__Characters            QXmlStreamReader__TokenType = QXmlStreamReader__TokenType(6)
	QXmlStreamReader__Comment               QXmlStreamReader__TokenType = QXmlStreamReader__TokenType(7)
	QXmlStreamReader__DTD                   QXmlStreamReader__TokenType = QXmlStreamReader__TokenType(8)
	QXmlStreamReader__EntityReference       QXmlStreamReader__TokenType = QXmlStreamReader__TokenType(9)
	QXmlStreamReader__ProcessingInstruction QXmlStreamReader__TokenType = QXmlStreamReader__TokenType(10)
)

//go:generate stringer -type=QXmlStreamReader__ReadElementTextBehaviour
//QXmlStreamReader::ReadElementTextBehaviour
type QXmlStreamReader__ReadElementTextBehaviour int64

const (
	QXmlStreamReader__ErrorOnUnexpectedElement QXmlStreamReader__ReadElementTextBehaviour = QXmlStreamReader__ReadElementTextBehaviour(0)
	QXmlStreamReader__IncludeChildElements     QXmlStreamReader__ReadElementTextBehaviour = QXmlStreamReader__ReadElementTextBehaviour(1)
	QXmlStreamReader__SkipChildElements        QXmlStreamReader__ReadElementTextBehaviour = QXmlStreamReader__ReadElementTextBehaviour(2)
)

//go:generate stringer -type=QXmlStreamReader__Error
//QXmlStreamReader::Error
type QXmlStreamReader__Error int64

const (
	QXmlStreamReader__NoError                     QXmlStreamReader__Error = QXmlStreamReader__Error(0)
	QXmlStreamReader__UnexpectedElementError      QXmlStreamReader__Error = QXmlStreamReader__Error(1)
	QXmlStreamReader__CustomError                 QXmlStreamReader__Error = QXmlStreamReader__Error(2)
	QXmlStreamReader__NotWellFormedError          QXmlStreamReader__Error = QXmlStreamReader__Error(3)
	QXmlStreamReader__PrematureEndOfDocumentError QXmlStreamReader__Error = QXmlStreamReader__Error(4)
)

func NewQXmlStreamReader() *QXmlStreamReader {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamReader", ""}).(*QXmlStreamReader)
}

func NewQXmlStreamReader2(device QIODevice_ITF) *QXmlStreamReader {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamReader2", "", device}).(*QXmlStreamReader)
}

func NewQXmlStreamReader3(data QByteArray_ITF) *QXmlStreamReader {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamReader3", "", data}).(*QXmlStreamReader)
}

func NewQXmlStreamReader4(data string) *QXmlStreamReader {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamReader4", "", data}).(*QXmlStreamReader)
}

func NewQXmlStreamReader5(data string) *QXmlStreamReader {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamReader5", "", data}).(*QXmlStreamReader)
}

func (ptr *QXmlStreamReader) AddData(data QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddData", data})
}

func (ptr *QXmlStreamReader) AddData2(data string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddData2", data})
}

func (ptr *QXmlStreamReader) AddData3(data string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddData3", data})
}

func (ptr *QXmlStreamReader) AddExtraNamespaceDeclaration(extraNamespaceDeclaration QXmlStreamNamespaceDeclaration_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddExtraNamespaceDeclaration", extraNamespaceDeclaration})
}

func (ptr *QXmlStreamReader) AtEnd() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AtEnd"}).(bool)
}

func (ptr *QXmlStreamReader) CharacterOffset() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CharacterOffset"}).(float64))
}

func (ptr *QXmlStreamReader) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QXmlStreamReader) ColumnNumber() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnNumber"}).(float64))
}

func (ptr *QXmlStreamReader) Device() *QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Device"}).(*QIODevice)
}

func (ptr *QXmlStreamReader) DocumentEncoding() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentEncoding"}).(*QStringRef)
}

func (ptr *QXmlStreamReader) DocumentVersion() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentVersion"}).(*QStringRef)
}

func (ptr *QXmlStreamReader) DtdName() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DtdName"}).(*QStringRef)
}

func (ptr *QXmlStreamReader) DtdPublicId() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DtdPublicId"}).(*QStringRef)
}

func (ptr *QXmlStreamReader) DtdSystemId() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DtdSystemId"}).(*QStringRef)
}

func (ptr *QXmlStreamReader) EntityResolver() *QXmlStreamEntityResolver {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EntityResolver"}).(*QXmlStreamEntityResolver)
}

func (ptr *QXmlStreamReader) Error() QXmlStreamReader__Error {

	return QXmlStreamReader__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QXmlStreamReader) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QXmlStreamReader) HasError() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasError"}).(bool)
}

func (ptr *QXmlStreamReader) IsCDATA() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCDATA"}).(bool)
}

func (ptr *QXmlStreamReader) IsCharacters() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCharacters"}).(bool)
}

func (ptr *QXmlStreamReader) IsComment() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsComment"}).(bool)
}

func (ptr *QXmlStreamReader) IsDTD() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDTD"}).(bool)
}

func (ptr *QXmlStreamReader) IsEndDocument() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEndDocument"}).(bool)
}

func (ptr *QXmlStreamReader) IsEndElement() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEndElement"}).(bool)
}

func (ptr *QXmlStreamReader) IsEntityReference() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEntityReference"}).(bool)
}

func (ptr *QXmlStreamReader) IsProcessingInstruction() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsProcessingInstruction"}).(bool)
}

func (ptr *QXmlStreamReader) IsStandaloneDocument() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsStandaloneDocument"}).(bool)
}

func (ptr *QXmlStreamReader) IsStartDocument() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsStartDocument"}).(bool)
}

func (ptr *QXmlStreamReader) IsStartElement() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsStartElement"}).(bool)
}

func (ptr *QXmlStreamReader) IsWhitespace() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsWhitespace"}).(bool)
}

func (ptr *QXmlStreamReader) LineNumber() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineNumber"}).(float64))
}

func (ptr *QXmlStreamReader) Name() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(*QStringRef)
}

func (ptr *QXmlStreamReader) NamespaceProcessing() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NamespaceProcessing"}).(bool)
}

func (ptr *QXmlStreamReader) NamespaceUri() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NamespaceUri"}).(*QStringRef)
}

func (ptr *QXmlStreamReader) Prefix() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Prefix"}).(*QStringRef)
}

func (ptr *QXmlStreamReader) ProcessingInstructionData() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProcessingInstructionData"}).(*QStringRef)
}

func (ptr *QXmlStreamReader) ProcessingInstructionTarget() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProcessingInstructionTarget"}).(*QStringRef)
}

func (ptr *QXmlStreamReader) QualifiedName() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "QualifiedName"}).(*QStringRef)
}

func (ptr *QXmlStreamReader) RaiseError(message string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RaiseError", message})
}

func (ptr *QXmlStreamReader) ReadElementText(behaviour QXmlStreamReader__ReadElementTextBehaviour) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadElementText", behaviour}).(string)
}

func (ptr *QXmlStreamReader) ReadNext() QXmlStreamReader__TokenType {

	return QXmlStreamReader__TokenType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadNext"}).(float64))
}

func (ptr *QXmlStreamReader) ReadNextStartElement() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadNextStartElement"}).(bool)
}

func (ptr *QXmlStreamReader) SetDevice(device QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDevice", device})
}

func (ptr *QXmlStreamReader) SetEntityResolver(resolver QXmlStreamEntityResolver_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEntityResolver", resolver})
}

func (ptr *QXmlStreamReader) SetNamespaceProcessing(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNamespaceProcessing", vbo})
}

func (ptr *QXmlStreamReader) SkipCurrentElement() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SkipCurrentElement"})
}

func (ptr *QXmlStreamReader) Text() *QStringRef {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(*QStringRef)
}

func (ptr *QXmlStreamReader) TokenString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TokenString"}).(string)
}

func (ptr *QXmlStreamReader) TokenType() QXmlStreamReader__TokenType {

	return QXmlStreamReader__TokenType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TokenType"}).(float64))
}

func (ptr *QXmlStreamReader) DestroyQXmlStreamReader() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQXmlStreamReader"})
}

type QXmlStreamWriter struct {
	internal.Internal
}

type QXmlStreamWriter_ITF interface {
	QXmlStreamWriter_PTR() *QXmlStreamWriter
}

func (ptr *QXmlStreamWriter) QXmlStreamWriter_PTR() *QXmlStreamWriter {
	return ptr
}

func (ptr *QXmlStreamWriter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QXmlStreamWriter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQXmlStreamWriter(ptr QXmlStreamWriter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QXmlStreamWriter_PTR().Pointer()
	}
	return nil
}

func (n *QXmlStreamWriter) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQXmlStreamWriterFromPointer(ptr unsafe.Pointer) (n *QXmlStreamWriter) {
	n = new(QXmlStreamWriter)
	n.InitFromInternal(uintptr(ptr), "core.QXmlStreamWriter")
	return
}
func NewQXmlStreamWriter() *QXmlStreamWriter {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamWriter", ""}).(*QXmlStreamWriter)
}

func NewQXmlStreamWriter2(device QIODevice_ITF) *QXmlStreamWriter {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamWriter2", "", device}).(*QXmlStreamWriter)
}

func NewQXmlStreamWriter3(array QByteArray_ITF) *QXmlStreamWriter {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamWriter3", "", array}).(*QXmlStreamWriter)
}

func NewQXmlStreamWriter4(stri string) *QXmlStreamWriter {

	return internal.CallLocalFunction([]interface{}{"", "", "core.NewQXmlStreamWriter4", "", stri}).(*QXmlStreamWriter)
}

func (ptr *QXmlStreamWriter) AutoFormatting() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoFormatting"}).(bool)
}

func (ptr *QXmlStreamWriter) AutoFormattingIndent() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoFormattingIndent"}).(float64))
}

func (ptr *QXmlStreamWriter) Codec() *QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Codec"}).(*QTextCodec)
}

func (ptr *QXmlStreamWriter) Device() *QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Device"}).(*QIODevice)
}

func (ptr *QXmlStreamWriter) HasError() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasError"}).(bool)
}

func (ptr *QXmlStreamWriter) SetAutoFormatting(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoFormatting", enable})
}

func (ptr *QXmlStreamWriter) SetAutoFormattingIndent(spacesOrTabs int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoFormattingIndent", spacesOrTabs})
}

func (ptr *QXmlStreamWriter) SetCodec(codec QTextCodec_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCodec", codec})
}

func (ptr *QXmlStreamWriter) SetCodec2(codecName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCodec2", codecName})
}

func (ptr *QXmlStreamWriter) SetDevice(device QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDevice", device})
}

func (ptr *QXmlStreamWriter) WriteAttribute(namespaceUri string, name string, value string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteAttribute", namespaceUri, name, value})
}

func (ptr *QXmlStreamWriter) WriteAttribute2(qualifiedName string, value string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteAttribute2", qualifiedName, value})
}

func (ptr *QXmlStreamWriter) WriteAttribute3(attribute QXmlStreamAttribute_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteAttribute3", attribute})
}

func (ptr *QXmlStreamWriter) WriteAttributes(attributes QXmlStreamAttributes_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteAttributes", attributes})
}

func (ptr *QXmlStreamWriter) WriteCDATA(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteCDATA", text})
}

func (ptr *QXmlStreamWriter) WriteCharacters(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteCharacters", text})
}

func (ptr *QXmlStreamWriter) WriteComment(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteComment", text})
}

func (ptr *QXmlStreamWriter) WriteCurrentToken(reader QXmlStreamReader_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteCurrentToken", reader})
}

func (ptr *QXmlStreamWriter) WriteDTD(dtd string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteDTD", dtd})
}

func (ptr *QXmlStreamWriter) WriteDefaultNamespace(namespaceUri string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteDefaultNamespace", namespaceUri})
}

func (ptr *QXmlStreamWriter) WriteEmptyElement(namespaceUri string, name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteEmptyElement", namespaceUri, name})
}

func (ptr *QXmlStreamWriter) WriteEmptyElement2(qualifiedName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteEmptyElement2", qualifiedName})
}

func (ptr *QXmlStreamWriter) WriteEndDocument() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteEndDocument"})
}

func (ptr *QXmlStreamWriter) WriteEndElement() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteEndElement"})
}

func (ptr *QXmlStreamWriter) WriteEntityReference(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteEntityReference", name})
}

func (ptr *QXmlStreamWriter) WriteNamespace(namespaceUri string, prefix string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteNamespace", namespaceUri, prefix})
}

func (ptr *QXmlStreamWriter) WriteProcessingInstruction(target string, data string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteProcessingInstruction", target, data})
}

func (ptr *QXmlStreamWriter) WriteStartDocument(version string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteStartDocument", version})
}

func (ptr *QXmlStreamWriter) WriteStartDocument2() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteStartDocument2"})
}

func (ptr *QXmlStreamWriter) WriteStartDocument3(version string, standalone bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteStartDocument3", version, standalone})
}

func (ptr *QXmlStreamWriter) WriteStartElement(namespaceUri string, name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteStartElement", namespaceUri, name})
}

func (ptr *QXmlStreamWriter) WriteStartElement2(qualifiedName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteStartElement2", qualifiedName})
}

func (ptr *QXmlStreamWriter) WriteTextElement(namespaceUri string, name string, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteTextElement", namespaceUri, name, text})
}

func (ptr *QXmlStreamWriter) WriteTextElement2(qualifiedName string, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteTextElement2", qualifiedName, text})
}

func (ptr *QXmlStreamWriter) DestroyQXmlStreamWriter() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQXmlStreamWriter"})
}

type Qt struct {
	internal.Internal
}

type Qt_ITF interface {
	Qt_PTR() *Qt
}

func (ptr *Qt) Qt_PTR() *Qt {
	return ptr
}

func (ptr *Qt) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *Qt) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQt(ptr Qt_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.Qt_PTR().Pointer()
	}
	return nil
}

func (n *Qt) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQtFromPointer(ptr unsafe.Pointer) (n *Qt) {
	n = new(Qt)
	n.InitFromInternal(uintptr(ptr), "core.Qt")
	return
}

func (ptr *Qt) DestroyQt() {
}

//go:generate stringer -type=Qt__GlobalColor
//Qt::GlobalColor
type Qt__GlobalColor int64

const (
	Qt__color0      Qt__GlobalColor = Qt__GlobalColor(0)
	Qt__color1      Qt__GlobalColor = Qt__GlobalColor(1)
	Qt__black       Qt__GlobalColor = Qt__GlobalColor(2)
	Qt__white       Qt__GlobalColor = Qt__GlobalColor(3)
	Qt__darkGray    Qt__GlobalColor = Qt__GlobalColor(4)
	Qt__gray        Qt__GlobalColor = Qt__GlobalColor(5)
	Qt__lightGray   Qt__GlobalColor = Qt__GlobalColor(6)
	Qt__red         Qt__GlobalColor = Qt__GlobalColor(7)
	Qt__green       Qt__GlobalColor = Qt__GlobalColor(8)
	Qt__blue        Qt__GlobalColor = Qt__GlobalColor(9)
	Qt__cyan        Qt__GlobalColor = Qt__GlobalColor(10)
	Qt__magenta     Qt__GlobalColor = Qt__GlobalColor(11)
	Qt__yellow      Qt__GlobalColor = Qt__GlobalColor(12)
	Qt__darkRed     Qt__GlobalColor = Qt__GlobalColor(13)
	Qt__darkGreen   Qt__GlobalColor = Qt__GlobalColor(14)
	Qt__darkBlue    Qt__GlobalColor = Qt__GlobalColor(15)
	Qt__darkCyan    Qt__GlobalColor = Qt__GlobalColor(16)
	Qt__darkMagenta Qt__GlobalColor = Qt__GlobalColor(17)
	Qt__darkYellow  Qt__GlobalColor = Qt__GlobalColor(18)
	Qt__transparent Qt__GlobalColor = Qt__GlobalColor(19)
)

//go:generate stringer -type=Qt__KeyboardModifier
//Qt::KeyboardModifier
type Qt__KeyboardModifier int64

const (
	Qt__NoModifier           Qt__KeyboardModifier = Qt__KeyboardModifier(0x00000000)
	Qt__ShiftModifier        Qt__KeyboardModifier = Qt__KeyboardModifier(0x02000000)
	Qt__ControlModifier      Qt__KeyboardModifier = Qt__KeyboardModifier(0x04000000)
	Qt__AltModifier          Qt__KeyboardModifier = Qt__KeyboardModifier(0x08000000)
	Qt__MetaModifier         Qt__KeyboardModifier = Qt__KeyboardModifier(0x10000000)
	Qt__KeypadModifier       Qt__KeyboardModifier = Qt__KeyboardModifier(0x20000000)
	Qt__GroupSwitchModifier  Qt__KeyboardModifier = Qt__KeyboardModifier(0x40000000)
	Qt__KeyboardModifierMask Qt__KeyboardModifier = Qt__KeyboardModifier(0xfe000000)
)

//go:generate stringer -type=Qt__Modifier
//Qt::Modifier
type Qt__Modifier int64

const (
	Qt__META          Qt__Modifier = Qt__Modifier(Qt__MetaModifier)
	Qt__SHIFT         Qt__Modifier = Qt__Modifier(Qt__ShiftModifier)
	Qt__CTRL          Qt__Modifier = Qt__Modifier(Qt__ControlModifier)
	Qt__ALT           Qt__Modifier = Qt__Modifier(Qt__AltModifier)
	Qt__MODIFIER_MASK Qt__Modifier = Qt__Modifier(Qt__KeyboardModifierMask)
	Qt__UNICODE_ACCEL Qt__Modifier = Qt__Modifier(0x00000000)
)

//go:generate stringer -type=Qt__MouseButton
//Qt::MouseButton
type Qt__MouseButton int64

const (
	Qt__NoButton        Qt__MouseButton = Qt__MouseButton(0x00000000)
	Qt__LeftButton      Qt__MouseButton = Qt__MouseButton(0x00000001)
	Qt__RightButton     Qt__MouseButton = Qt__MouseButton(0x00000002)
	Qt__MidButton       Qt__MouseButton = Qt__MouseButton(0x00000004)
	Qt__MiddleButton    Qt__MouseButton = Qt__MouseButton(Qt__MidButton)
	Qt__BackButton      Qt__MouseButton = Qt__MouseButton(0x00000008)
	Qt__XButton1        Qt__MouseButton = Qt__MouseButton(Qt__BackButton)
	Qt__ExtraButton1    Qt__MouseButton = Qt__MouseButton(Qt__XButton1)
	Qt__ForwardButton   Qt__MouseButton = Qt__MouseButton(0x00000010)
	Qt__XButton2        Qt__MouseButton = Qt__MouseButton(Qt__ForwardButton)
	Qt__ExtraButton2    Qt__MouseButton = Qt__MouseButton(Qt__ForwardButton)
	Qt__TaskButton      Qt__MouseButton = Qt__MouseButton(0x00000020)
	Qt__ExtraButton3    Qt__MouseButton = Qt__MouseButton(Qt__TaskButton)
	Qt__ExtraButton4    Qt__MouseButton = Qt__MouseButton(0x00000040)
	Qt__ExtraButton5    Qt__MouseButton = Qt__MouseButton(0x00000080)
	Qt__ExtraButton6    Qt__MouseButton = Qt__MouseButton(0x00000100)
	Qt__ExtraButton7    Qt__MouseButton = Qt__MouseButton(0x00000200)
	Qt__ExtraButton8    Qt__MouseButton = Qt__MouseButton(0x00000400)
	Qt__ExtraButton9    Qt__MouseButton = Qt__MouseButton(0x00000800)
	Qt__ExtraButton10   Qt__MouseButton = Qt__MouseButton(0x00001000)
	Qt__ExtraButton11   Qt__MouseButton = Qt__MouseButton(0x00002000)
	Qt__ExtraButton12   Qt__MouseButton = Qt__MouseButton(0x00004000)
	Qt__ExtraButton13   Qt__MouseButton = Qt__MouseButton(0x00008000)
	Qt__ExtraButton14   Qt__MouseButton = Qt__MouseButton(0x00010000)
	Qt__ExtraButton15   Qt__MouseButton = Qt__MouseButton(0x00020000)
	Qt__ExtraButton16   Qt__MouseButton = Qt__MouseButton(0x00040000)
	Qt__ExtraButton17   Qt__MouseButton = Qt__MouseButton(0x00080000)
	Qt__ExtraButton18   Qt__MouseButton = Qt__MouseButton(0x00100000)
	Qt__ExtraButton19   Qt__MouseButton = Qt__MouseButton(0x00200000)
	Qt__ExtraButton20   Qt__MouseButton = Qt__MouseButton(0x00400000)
	Qt__ExtraButton21   Qt__MouseButton = Qt__MouseButton(0x00800000)
	Qt__ExtraButton22   Qt__MouseButton = Qt__MouseButton(0x01000000)
	Qt__ExtraButton23   Qt__MouseButton = Qt__MouseButton(0x02000000)
	Qt__ExtraButton24   Qt__MouseButton = Qt__MouseButton(0x04000000)
	Qt__AllButtons      Qt__MouseButton = Qt__MouseButton(0x07ffffff)
	Qt__MaxMouseButton  Qt__MouseButton = Qt__MouseButton(Qt__ExtraButton24)
	Qt__MouseButtonMask Qt__MouseButton = Qt__MouseButton(0xffffffff)
)

//go:generate stringer -type=Qt__Orientation
//Qt::Orientation
type Qt__Orientation int64

const (
	Qt__Horizontal Qt__Orientation = Qt__Orientation(0x1)
	Qt__Vertical   Qt__Orientation = Qt__Orientation(0x2)
)

//go:generate stringer -type=Qt__FocusPolicy
//Qt::FocusPolicy
type Qt__FocusPolicy int64

const (
	Qt__NoFocus     Qt__FocusPolicy = Qt__FocusPolicy(0)
	Qt__TabFocus    Qt__FocusPolicy = Qt__FocusPolicy(0x1)
	Qt__ClickFocus  Qt__FocusPolicy = Qt__FocusPolicy(0x2)
	Qt__StrongFocus Qt__FocusPolicy = Qt__FocusPolicy(Qt__TabFocus | Qt__ClickFocus | 0x8)
	Qt__WheelFocus  Qt__FocusPolicy = Qt__FocusPolicy(Qt__StrongFocus | 0x4)
)

//go:generate stringer -type=Qt__TabFocusBehavior
//Qt::TabFocusBehavior
type Qt__TabFocusBehavior int64

const (
	Qt__NoTabFocus           Qt__TabFocusBehavior = Qt__TabFocusBehavior(0x00)
	Qt__TabFocusTextControls Qt__TabFocusBehavior = Qt__TabFocusBehavior(0x01)
	Qt__TabFocusListControls Qt__TabFocusBehavior = Qt__TabFocusBehavior(0x02)
	Qt__TabFocusAllControls  Qt__TabFocusBehavior = Qt__TabFocusBehavior(0xff)
)

//go:generate stringer -type=Qt__SortOrder
//Qt::SortOrder
type Qt__SortOrder int64

const (
	Qt__AscendingOrder  Qt__SortOrder = Qt__SortOrder(0)
	Qt__DescendingOrder Qt__SortOrder = Qt__SortOrder(1)
)

//go:generate stringer -type=Qt__TileRule
//Qt::TileRule
type Qt__TileRule int64

const (
	Qt__StretchTile Qt__TileRule = Qt__TileRule(0)
	Qt__RepeatTile  Qt__TileRule = Qt__TileRule(1)
	Qt__RoundTile   Qt__TileRule = Qt__TileRule(2)
)

//go:generate stringer -type=Qt__AlignmentFlag
//Qt::AlignmentFlag
type Qt__AlignmentFlag int64

const (
	Qt__AlignLeft            Qt__AlignmentFlag = Qt__AlignmentFlag(0x0001)
	Qt__AlignLeading         Qt__AlignmentFlag = Qt__AlignmentFlag(Qt__AlignLeft)
	Qt__AlignRight           Qt__AlignmentFlag = Qt__AlignmentFlag(0x0002)
	Qt__AlignTrailing        Qt__AlignmentFlag = Qt__AlignmentFlag(Qt__AlignRight)
	Qt__AlignHCenter         Qt__AlignmentFlag = Qt__AlignmentFlag(0x0004)
	Qt__AlignJustify         Qt__AlignmentFlag = Qt__AlignmentFlag(0x0008)
	Qt__AlignAbsolute        Qt__AlignmentFlag = Qt__AlignmentFlag(0x0010)
	Qt__AlignHorizontal_Mask Qt__AlignmentFlag = Qt__AlignmentFlag(Qt__AlignLeft | Qt__AlignRight | Qt__AlignHCenter | Qt__AlignJustify | Qt__AlignAbsolute)
	Qt__AlignTop             Qt__AlignmentFlag = Qt__AlignmentFlag(0x0020)
	Qt__AlignBottom          Qt__AlignmentFlag = Qt__AlignmentFlag(0x0040)
	Qt__AlignVCenter         Qt__AlignmentFlag = Qt__AlignmentFlag(0x0080)
	Qt__AlignBaseline        Qt__AlignmentFlag = Qt__AlignmentFlag(0x0100)
	Qt__AlignVertical_Mask   Qt__AlignmentFlag = Qt__AlignmentFlag(Qt__AlignTop | Qt__AlignBottom | Qt__AlignVCenter | Qt__AlignBaseline)
	Qt__AlignCenter          Qt__AlignmentFlag = Qt__AlignmentFlag(Qt__AlignVCenter | Qt__AlignHCenter)
)

//go:generate stringer -type=Qt__TextFlag
//Qt::TextFlag
type Qt__TextFlag int64

const (
	Qt__TextSingleLine            Qt__TextFlag = Qt__TextFlag(0x0100)
	Qt__TextDontClip              Qt__TextFlag = Qt__TextFlag(0x0200)
	Qt__TextExpandTabs            Qt__TextFlag = Qt__TextFlag(0x0400)
	Qt__TextShowMnemonic          Qt__TextFlag = Qt__TextFlag(0x0800)
	Qt__TextWordWrap              Qt__TextFlag = Qt__TextFlag(0x1000)
	Qt__TextWrapAnywhere          Qt__TextFlag = Qt__TextFlag(0x2000)
	Qt__TextDontPrint             Qt__TextFlag = Qt__TextFlag(0x4000)
	Qt__TextIncludeTrailingSpaces Qt__TextFlag = Qt__TextFlag(0x08000000)
	Qt__TextHideMnemonic          Qt__TextFlag = Qt__TextFlag(0x8000)
	Qt__TextJustificationForced   Qt__TextFlag = Qt__TextFlag(0x10000)
	Qt__TextForceLeftToRight      Qt__TextFlag = Qt__TextFlag(0x20000)
	Qt__TextForceRightToLeft      Qt__TextFlag = Qt__TextFlag(0x40000)
	Qt__TextLongestVariant        Qt__TextFlag = Qt__TextFlag(0x80000)
	Qt__TextBypassShaping         Qt__TextFlag = Qt__TextFlag(0x100000)
)

//go:generate stringer -type=Qt__TextElideMode
//Qt::TextElideMode
type Qt__TextElideMode int64

const (
	Qt__ElideLeft   Qt__TextElideMode = Qt__TextElideMode(0)
	Qt__ElideRight  Qt__TextElideMode = Qt__TextElideMode(1)
	Qt__ElideMiddle Qt__TextElideMode = Qt__TextElideMode(2)
	Qt__ElideNone   Qt__TextElideMode = Qt__TextElideMode(3)
)

//go:generate stringer -type=Qt__WhiteSpaceMode
//Qt::WhiteSpaceMode
type Qt__WhiteSpaceMode int64

const (
	Qt__WhiteSpaceNormal        Qt__WhiteSpaceMode = Qt__WhiteSpaceMode(0)
	Qt__WhiteSpacePre           Qt__WhiteSpaceMode = Qt__WhiteSpaceMode(1)
	Qt__WhiteSpaceNoWrap        Qt__WhiteSpaceMode = Qt__WhiteSpaceMode(2)
	Qt__WhiteSpaceModeUndefined Qt__WhiteSpaceMode = Qt__WhiteSpaceMode(-1)
)

//go:generate stringer -type=Qt__HitTestAccuracy
//Qt::HitTestAccuracy
type Qt__HitTestAccuracy int64

const (
	Qt__ExactHit Qt__HitTestAccuracy = Qt__HitTestAccuracy(0)
	Qt__FuzzyHit Qt__HitTestAccuracy = Qt__HitTestAccuracy(1)
)

//go:generate stringer -type=Qt__WindowType
//Qt::WindowType
type Qt__WindowType int64

const (
	Qt__Widget                              Qt__WindowType = Qt__WindowType(0x00000000)
	Qt__Window                              Qt__WindowType = Qt__WindowType(0x00000001)
	Qt__Dialog                              Qt__WindowType = Qt__WindowType(0x00000002 | Qt__Window)
	Qt__Sheet                               Qt__WindowType = Qt__WindowType(0x00000004 | Qt__Window)
	Qt__Drawer                              Qt__WindowType = Qt__WindowType(Qt__Sheet | Qt__Dialog)
	Qt__Popup                               Qt__WindowType = Qt__WindowType(0x00000008 | Qt__Window)
	Qt__Tool                                Qt__WindowType = Qt__WindowType(Qt__Popup | Qt__Dialog)
	Qt__ToolTip                             Qt__WindowType = Qt__WindowType(Qt__Popup | Qt__Sheet)
	Qt__SplashScreen                        Qt__WindowType = Qt__WindowType(Qt__ToolTip | Qt__Dialog)
	Qt__Desktop                             Qt__WindowType = Qt__WindowType(0x00000010 | Qt__Window)
	Qt__SubWindow                           Qt__WindowType = Qt__WindowType(0x00000012)
	Qt__ForeignWindow                       Qt__WindowType = Qt__WindowType(0x00000020 | Qt__Window)
	Qt__CoverWindow                         Qt__WindowType = Qt__WindowType(0x00000040 | Qt__Window)
	Qt__WindowType_Mask                     Qt__WindowType = Qt__WindowType(0x000000ff)
	Qt__MSWindowsFixedSizeDialogHint        Qt__WindowType = Qt__WindowType(0x00000100)
	Qt__MSWindowsOwnDC                      Qt__WindowType = Qt__WindowType(0x00000200)
	Qt__BypassWindowManagerHint             Qt__WindowType = Qt__WindowType(0x00000400)
	Qt__X11BypassWindowManagerHint          Qt__WindowType = Qt__WindowType(Qt__BypassWindowManagerHint)
	Qt__FramelessWindowHint                 Qt__WindowType = Qt__WindowType(0x00000800)
	Qt__WindowTitleHint                     Qt__WindowType = Qt__WindowType(0x00001000)
	Qt__WindowSystemMenuHint                Qt__WindowType = Qt__WindowType(0x00002000)
	Qt__WindowMinimizeButtonHint            Qt__WindowType = Qt__WindowType(0x00004000)
	Qt__WindowMaximizeButtonHint            Qt__WindowType = Qt__WindowType(0x00008000)
	Qt__WindowMinMaxButtonsHint             Qt__WindowType = Qt__WindowType(Qt__WindowMinimizeButtonHint | Qt__WindowMaximizeButtonHint)
	Qt__WindowContextHelpButtonHint         Qt__WindowType = Qt__WindowType(0x00010000)
	Qt__WindowShadeButtonHint               Qt__WindowType = Qt__WindowType(0x00020000)
	Qt__WindowStaysOnTopHint                Qt__WindowType = Qt__WindowType(0x00040000)
	Qt__WindowTransparentForInput           Qt__WindowType = Qt__WindowType(0x00080000)
	Qt__WindowOverridesSystemGestures       Qt__WindowType = Qt__WindowType(0x00100000)
	Qt__WindowDoesNotAcceptFocus            Qt__WindowType = Qt__WindowType(0x00200000)
	Qt__MaximizeUsingFullscreenGeometryHint Qt__WindowType = Qt__WindowType(0x00400000)
	Qt__CustomizeWindowHint                 Qt__WindowType = Qt__WindowType(0x02000000)
	Qt__WindowStaysOnBottomHint             Qt__WindowType = Qt__WindowType(0x04000000)
	Qt__WindowCloseButtonHint               Qt__WindowType = Qt__WindowType(0x08000000)
	Qt__MacWindowToolBarButtonHint          Qt__WindowType = Qt__WindowType(0x10000000)
	Qt__BypassGraphicsProxyWidget           Qt__WindowType = Qt__WindowType(0x20000000)
	Qt__NoDropShadowWindowHint              Qt__WindowType = Qt__WindowType(0x40000000)
	Qt__WindowFullscreenButtonHint          Qt__WindowType = Qt__WindowType(0x80000000)
)

//go:generate stringer -type=Qt__WindowState
//Qt::WindowState
type Qt__WindowState int64

const (
	Qt__WindowNoState    Qt__WindowState = Qt__WindowState(0x00000000)
	Qt__WindowMinimized  Qt__WindowState = Qt__WindowState(0x00000001)
	Qt__WindowMaximized  Qt__WindowState = Qt__WindowState(0x00000002)
	Qt__WindowFullScreen Qt__WindowState = Qt__WindowState(0x00000004)
	Qt__WindowActive     Qt__WindowState = Qt__WindowState(0x00000008)
)

//go:generate stringer -type=Qt__ApplicationState
//Qt::ApplicationState
type Qt__ApplicationState int64

const (
	Qt__ApplicationSuspended Qt__ApplicationState = Qt__ApplicationState(0x00000000)
	Qt__ApplicationHidden    Qt__ApplicationState = Qt__ApplicationState(0x00000001)
	Qt__ApplicationInactive  Qt__ApplicationState = Qt__ApplicationState(0x00000002)
	Qt__ApplicationActive    Qt__ApplicationState = Qt__ApplicationState(0x00000004)
)

//go:generate stringer -type=Qt__ScreenOrientation
//Qt::ScreenOrientation
type Qt__ScreenOrientation int64

const (
	Qt__PrimaryOrientation           Qt__ScreenOrientation = Qt__ScreenOrientation(0x00000000)
	Qt__PortraitOrientation          Qt__ScreenOrientation = Qt__ScreenOrientation(0x00000001)
	Qt__LandscapeOrientation         Qt__ScreenOrientation = Qt__ScreenOrientation(0x00000002)
	Qt__InvertedPortraitOrientation  Qt__ScreenOrientation = Qt__ScreenOrientation(0x00000004)
	Qt__InvertedLandscapeOrientation Qt__ScreenOrientation = Qt__ScreenOrientation(0x00000008)
)

//go:generate stringer -type=Qt__WidgetAttribute
//Qt::WidgetAttribute
type Qt__WidgetAttribute int64

const (
	Qt__WA_Disabled                        Qt__WidgetAttribute = Qt__WidgetAttribute(0)
	Qt__WA_UnderMouse                      Qt__WidgetAttribute = Qt__WidgetAttribute(1)
	Qt__WA_MouseTracking                   Qt__WidgetAttribute = Qt__WidgetAttribute(2)
	Qt__WA_ContentsPropagated              Qt__WidgetAttribute = Qt__WidgetAttribute(3)
	Qt__WA_OpaquePaintEvent                Qt__WidgetAttribute = Qt__WidgetAttribute(4)
	Qt__WA_NoBackground                    Qt__WidgetAttribute = Qt__WidgetAttribute(Qt__WA_OpaquePaintEvent)
	Qt__WA_StaticContents                  Qt__WidgetAttribute = Qt__WidgetAttribute(5)
	Qt__WA_LaidOut                         Qt__WidgetAttribute = Qt__WidgetAttribute(7)
	Qt__WA_PaintOnScreen                   Qt__WidgetAttribute = Qt__WidgetAttribute(8)
	Qt__WA_NoSystemBackground              Qt__WidgetAttribute = Qt__WidgetAttribute(9)
	Qt__WA_UpdatesDisabled                 Qt__WidgetAttribute = Qt__WidgetAttribute(10)
	Qt__WA_Mapped                          Qt__WidgetAttribute = Qt__WidgetAttribute(11)
	Qt__WA_MacNoClickThrough               Qt__WidgetAttribute = Qt__WidgetAttribute(12)
	Qt__WA_InputMethodEnabled              Qt__WidgetAttribute = Qt__WidgetAttribute(14)
	Qt__WA_WState_Visible                  Qt__WidgetAttribute = Qt__WidgetAttribute(15)
	Qt__WA_WState_Hidden                   Qt__WidgetAttribute = Qt__WidgetAttribute(16)
	Qt__WA_ForceDisabled                   Qt__WidgetAttribute = Qt__WidgetAttribute(32)
	Qt__WA_KeyCompression                  Qt__WidgetAttribute = Qt__WidgetAttribute(33)
	Qt__WA_PendingMoveEvent                Qt__WidgetAttribute = Qt__WidgetAttribute(34)
	Qt__WA_PendingResizeEvent              Qt__WidgetAttribute = Qt__WidgetAttribute(35)
	Qt__WA_SetPalette                      Qt__WidgetAttribute = Qt__WidgetAttribute(36)
	Qt__WA_SetFont                         Qt__WidgetAttribute = Qt__WidgetAttribute(37)
	Qt__WA_SetCursor                       Qt__WidgetAttribute = Qt__WidgetAttribute(38)
	Qt__WA_NoChildEventsFromChildren       Qt__WidgetAttribute = Qt__WidgetAttribute(39)
	Qt__WA_WindowModified                  Qt__WidgetAttribute = Qt__WidgetAttribute(41)
	Qt__WA_Resized                         Qt__WidgetAttribute = Qt__WidgetAttribute(42)
	Qt__WA_Moved                           Qt__WidgetAttribute = Qt__WidgetAttribute(43)
	Qt__WA_PendingUpdate                   Qt__WidgetAttribute = Qt__WidgetAttribute(44)
	Qt__WA_InvalidSize                     Qt__WidgetAttribute = Qt__WidgetAttribute(45)
	Qt__WA_MacBrushedMetal                 Qt__WidgetAttribute = Qt__WidgetAttribute(46)
	Qt__WA_MacMetalStyle                   Qt__WidgetAttribute = Qt__WidgetAttribute(Qt__WA_MacBrushedMetal)
	Qt__WA_CustomWhatsThis                 Qt__WidgetAttribute = Qt__WidgetAttribute(47)
	Qt__WA_LayoutOnEntireRect              Qt__WidgetAttribute = Qt__WidgetAttribute(48)
	Qt__WA_OutsideWSRange                  Qt__WidgetAttribute = Qt__WidgetAttribute(49)
	Qt__WA_GrabbedShortcut                 Qt__WidgetAttribute = Qt__WidgetAttribute(50)
	Qt__WA_TransparentForMouseEvents       Qt__WidgetAttribute = Qt__WidgetAttribute(51)
	Qt__WA_PaintUnclipped                  Qt__WidgetAttribute = Qt__WidgetAttribute(52)
	Qt__WA_SetWindowIcon                   Qt__WidgetAttribute = Qt__WidgetAttribute(53)
	Qt__WA_NoMouseReplay                   Qt__WidgetAttribute = Qt__WidgetAttribute(54)
	Qt__WA_DeleteOnClose                   Qt__WidgetAttribute = Qt__WidgetAttribute(55)
	Qt__WA_RightToLeft                     Qt__WidgetAttribute = Qt__WidgetAttribute(56)
	Qt__WA_SetLayoutDirection              Qt__WidgetAttribute = Qt__WidgetAttribute(57)
	Qt__WA_NoChildEventsForParent          Qt__WidgetAttribute = Qt__WidgetAttribute(58)
	Qt__WA_ForceUpdatesDisabled            Qt__WidgetAttribute = Qt__WidgetAttribute(59)
	Qt__WA_WState_Created                  Qt__WidgetAttribute = Qt__WidgetAttribute(60)
	Qt__WA_WState_CompressKeys             Qt__WidgetAttribute = Qt__WidgetAttribute(61)
	Qt__WA_WState_InPaintEvent             Qt__WidgetAttribute = Qt__WidgetAttribute(62)
	Qt__WA_WState_Reparented               Qt__WidgetAttribute = Qt__WidgetAttribute(63)
	Qt__WA_WState_ConfigPending            Qt__WidgetAttribute = Qt__WidgetAttribute(64)
	Qt__WA_WState_Polished                 Qt__WidgetAttribute = Qt__WidgetAttribute(66)
	Qt__WA_WState_DND                      Qt__WidgetAttribute = Qt__WidgetAttribute(67)
	Qt__WA_WState_OwnSizePolicy            Qt__WidgetAttribute = Qt__WidgetAttribute(68)
	Qt__WA_WState_ExplicitShowHide         Qt__WidgetAttribute = Qt__WidgetAttribute(69)
	Qt__WA_ShowModal                       Qt__WidgetAttribute = Qt__WidgetAttribute(70)
	Qt__WA_MouseNoMask                     Qt__WidgetAttribute = Qt__WidgetAttribute(71)
	Qt__WA_GroupLeader                     Qt__WidgetAttribute = Qt__WidgetAttribute(72)
	Qt__WA_NoMousePropagation              Qt__WidgetAttribute = Qt__WidgetAttribute(73)
	Qt__WA_Hover                           Qt__WidgetAttribute = Qt__WidgetAttribute(74)
	Qt__WA_InputMethodTransparent          Qt__WidgetAttribute = Qt__WidgetAttribute(75)
	Qt__WA_QuitOnClose                     Qt__WidgetAttribute = Qt__WidgetAttribute(76)
	Qt__WA_KeyboardFocusChange             Qt__WidgetAttribute = Qt__WidgetAttribute(77)
	Qt__WA_AcceptDrops                     Qt__WidgetAttribute = Qt__WidgetAttribute(78)
	Qt__WA_DropSiteRegistered              Qt__WidgetAttribute = Qt__WidgetAttribute(79)
	Qt__WA_ForceAcceptDrops                Qt__WidgetAttribute = Qt__WidgetAttribute(Qt__WA_DropSiteRegistered)
	Qt__WA_WindowPropagation               Qt__WidgetAttribute = Qt__WidgetAttribute(80)
	Qt__WA_NoX11EventCompression           Qt__WidgetAttribute = Qt__WidgetAttribute(81)
	Qt__WA_TintedBackground                Qt__WidgetAttribute = Qt__WidgetAttribute(82)
	Qt__WA_X11OpenGLOverlay                Qt__WidgetAttribute = Qt__WidgetAttribute(83)
	Qt__WA_AlwaysShowToolTips              Qt__WidgetAttribute = Qt__WidgetAttribute(84)
	Qt__WA_MacOpaqueSizeGrip               Qt__WidgetAttribute = Qt__WidgetAttribute(85)
	Qt__WA_SetStyle                        Qt__WidgetAttribute = Qt__WidgetAttribute(86)
	Qt__WA_SetLocale                       Qt__WidgetAttribute = Qt__WidgetAttribute(87)
	Qt__WA_MacShowFocusRect                Qt__WidgetAttribute = Qt__WidgetAttribute(88)
	Qt__WA_MacNormalSize                   Qt__WidgetAttribute = Qt__WidgetAttribute(89)
	Qt__WA_MacSmallSize                    Qt__WidgetAttribute = Qt__WidgetAttribute(90)
	Qt__WA_MacMiniSize                     Qt__WidgetAttribute = Qt__WidgetAttribute(91)
	Qt__WA_LayoutUsesWidgetRect            Qt__WidgetAttribute = Qt__WidgetAttribute(92)
	Qt__WA_StyledBackground                Qt__WidgetAttribute = Qt__WidgetAttribute(93)
	Qt__WA_MSWindowsUseDirect3D            Qt__WidgetAttribute = Qt__WidgetAttribute(94)
	Qt__WA_CanHostQMdiSubWindowTitleBar    Qt__WidgetAttribute = Qt__WidgetAttribute(95)
	Qt__WA_MacAlwaysShowToolWindow         Qt__WidgetAttribute = Qt__WidgetAttribute(96)
	Qt__WA_StyleSheet                      Qt__WidgetAttribute = Qt__WidgetAttribute(97)
	Qt__WA_ShowWithoutActivating           Qt__WidgetAttribute = Qt__WidgetAttribute(98)
	Qt__WA_X11BypassTransientForHint       Qt__WidgetAttribute = Qt__WidgetAttribute(99)
	Qt__WA_NativeWindow                    Qt__WidgetAttribute = Qt__WidgetAttribute(100)
	Qt__WA_DontCreateNativeAncestors       Qt__WidgetAttribute = Qt__WidgetAttribute(101)
	Qt__WA_MacVariableSize                 Qt__WidgetAttribute = Qt__WidgetAttribute(102)
	Qt__WA_DontShowOnScreen                Qt__WidgetAttribute = Qt__WidgetAttribute(103)
	Qt__WA_X11NetWmWindowTypeDesktop       Qt__WidgetAttribute = Qt__WidgetAttribute(104)
	Qt__WA_X11NetWmWindowTypeDock          Qt__WidgetAttribute = Qt__WidgetAttribute(105)
	Qt__WA_X11NetWmWindowTypeToolBar       Qt__WidgetAttribute = Qt__WidgetAttribute(106)
	Qt__WA_X11NetWmWindowTypeMenu          Qt__WidgetAttribute = Qt__WidgetAttribute(107)
	Qt__WA_X11NetWmWindowTypeUtility       Qt__WidgetAttribute = Qt__WidgetAttribute(108)
	Qt__WA_X11NetWmWindowTypeSplash        Qt__WidgetAttribute = Qt__WidgetAttribute(109)
	Qt__WA_X11NetWmWindowTypeDialog        Qt__WidgetAttribute = Qt__WidgetAttribute(110)
	Qt__WA_X11NetWmWindowTypeDropDownMenu  Qt__WidgetAttribute = Qt__WidgetAttribute(111)
	Qt__WA_X11NetWmWindowTypePopupMenu     Qt__WidgetAttribute = Qt__WidgetAttribute(112)
	Qt__WA_X11NetWmWindowTypeToolTip       Qt__WidgetAttribute = Qt__WidgetAttribute(113)
	Qt__WA_X11NetWmWindowTypeNotification  Qt__WidgetAttribute = Qt__WidgetAttribute(114)
	Qt__WA_X11NetWmWindowTypeCombo         Qt__WidgetAttribute = Qt__WidgetAttribute(115)
	Qt__WA_X11NetWmWindowTypeDND           Qt__WidgetAttribute = Qt__WidgetAttribute(116)
	Qt__WA_MacFrameworkScaled              Qt__WidgetAttribute = Qt__WidgetAttribute(117)
	Qt__WA_SetWindowModality               Qt__WidgetAttribute = Qt__WidgetAttribute(118)
	Qt__WA_WState_WindowOpacitySet         Qt__WidgetAttribute = Qt__WidgetAttribute(119)
	Qt__WA_TranslucentBackground           Qt__WidgetAttribute = Qt__WidgetAttribute(120)
	Qt__WA_AcceptTouchEvents               Qt__WidgetAttribute = Qt__WidgetAttribute(121)
	Qt__WA_WState_AcceptedTouchBeginEvent  Qt__WidgetAttribute = Qt__WidgetAttribute(122)
	Qt__WA_TouchPadAcceptSingleTouchEvents Qt__WidgetAttribute = Qt__WidgetAttribute(123)
	Qt__WA_X11DoNotAcceptFocus             Qt__WidgetAttribute = Qt__WidgetAttribute(126)
	Qt__WA_MacNoShadow                     Qt__WidgetAttribute = Qt__WidgetAttribute(127)
	Qt__WA_AlwaysStackOnTop                Qt__WidgetAttribute = Qt__WidgetAttribute(128)
	Qt__WA_TabletTracking                  Qt__WidgetAttribute = Qt__WidgetAttribute(129)
	Qt__WA_ContentsMarginsRespectsSafeArea Qt__WidgetAttribute = Qt__WidgetAttribute(130)
	Qt__WA_StyleSheetTarget                Qt__WidgetAttribute = Qt__WidgetAttribute(131)
	Qt__WA_AttributeCount                  Qt__WidgetAttribute = Qt__WidgetAttribute(132)
)

//go:generate stringer -type=Qt__ApplicationAttribute
//Qt::ApplicationAttribute
type Qt__ApplicationAttribute int64

const (
	Qt__AA_ImmediateWidgetCreation                 Qt__ApplicationAttribute = Qt__ApplicationAttribute(0)
	Qt__AA_MSWindowsUseDirect3DByDefault           Qt__ApplicationAttribute = Qt__ApplicationAttribute(1)
	Qt__AA_DontShowIconsInMenus                    Qt__ApplicationAttribute = Qt__ApplicationAttribute(2)
	Qt__AA_NativeWindows                           Qt__ApplicationAttribute = Qt__ApplicationAttribute(3)
	Qt__AA_DontCreateNativeWidgetSiblings          Qt__ApplicationAttribute = Qt__ApplicationAttribute(4)
	Qt__AA_PluginApplication                       Qt__ApplicationAttribute = Qt__ApplicationAttribute(5)
	Qt__AA_MacPluginApplication                    Qt__ApplicationAttribute = Qt__ApplicationAttribute(Qt__AA_PluginApplication)
	Qt__AA_DontUseNativeMenuBar                    Qt__ApplicationAttribute = Qt__ApplicationAttribute(6)
	Qt__AA_MacDontSwapCtrlAndMeta                  Qt__ApplicationAttribute = Qt__ApplicationAttribute(7)
	Qt__AA_Use96Dpi                                Qt__ApplicationAttribute = Qt__ApplicationAttribute(8)
	Qt__AA_X11InitThreads                          Qt__ApplicationAttribute = Qt__ApplicationAttribute(10)
	Qt__AA_SynthesizeTouchForUnhandledMouseEvents  Qt__ApplicationAttribute = Qt__ApplicationAttribute(11)
	Qt__AA_SynthesizeMouseForUnhandledTouchEvents  Qt__ApplicationAttribute = Qt__ApplicationAttribute(12)
	Qt__AA_UseHighDpiPixmaps                       Qt__ApplicationAttribute = Qt__ApplicationAttribute(13)
	Qt__AA_ForceRasterWidgets                      Qt__ApplicationAttribute = Qt__ApplicationAttribute(14)
	Qt__AA_UseDesktopOpenGL                        Qt__ApplicationAttribute = Qt__ApplicationAttribute(15)
	Qt__AA_UseOpenGLES                             Qt__ApplicationAttribute = Qt__ApplicationAttribute(16)
	Qt__AA_UseSoftwareOpenGL                       Qt__ApplicationAttribute = Qt__ApplicationAttribute(17)
	Qt__AA_ShareOpenGLContexts                     Qt__ApplicationAttribute = Qt__ApplicationAttribute(18)
	Qt__AA_SetPalette                              Qt__ApplicationAttribute = Qt__ApplicationAttribute(19)
	Qt__AA_EnableHighDpiScaling                    Qt__ApplicationAttribute = Qt__ApplicationAttribute(20)
	Qt__AA_DisableHighDpiScaling                   Qt__ApplicationAttribute = Qt__ApplicationAttribute(21)
	Qt__AA_UseStyleSheetPropagationInWidgetStyles  Qt__ApplicationAttribute = Qt__ApplicationAttribute(22)
	Qt__AA_DontUseNativeDialogs                    Qt__ApplicationAttribute = Qt__ApplicationAttribute(23)
	Qt__AA_SynthesizeMouseForUnhandledTabletEvents Qt__ApplicationAttribute = Qt__ApplicationAttribute(24)
	Qt__AA_CompressHighFrequencyEvents             Qt__ApplicationAttribute = Qt__ApplicationAttribute(25)
	Qt__AA_DontCheckOpenGLContextThreadAffinity    Qt__ApplicationAttribute = Qt__ApplicationAttribute(26)
	Qt__AA_DisableShaderDiskCache                  Qt__ApplicationAttribute = Qt__ApplicationAttribute(27)
	Qt__AA_DontShowShortcutsInContextMenus         Qt__ApplicationAttribute = Qt__ApplicationAttribute(28)
	Qt__AA_CompressTabletEvents                    Qt__ApplicationAttribute = Qt__ApplicationAttribute(29)
	Qt__AA_DisableWindowContextHelpButton          Qt__ApplicationAttribute = Qt__ApplicationAttribute(30)
	Qt__AA_AttributeCount                          Qt__ApplicationAttribute = Qt__ApplicationAttribute(31)
)

//go:generate stringer -type=Qt__ImageConversionFlag
//Qt::ImageConversionFlag
type Qt__ImageConversionFlag int64

const (
	Qt__ColorMode_Mask       Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000003)
	Qt__AutoColor            Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000000)
	Qt__ColorOnly            Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000003)
	Qt__MonoOnly             Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000002)
	Qt__AlphaDither_Mask     Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x0000000c)
	Qt__ThresholdAlphaDither Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000000)
	Qt__OrderedAlphaDither   Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000004)
	Qt__DiffuseAlphaDither   Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000008)
	Qt__NoAlpha              Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x0000000c)
	Qt__Dither_Mask          Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000030)
	Qt__DiffuseDither        Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000000)
	Qt__OrderedDither        Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000010)
	Qt__ThresholdDither      Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000020)
	Qt__DitherMode_Mask      Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x000000c0)
	Qt__AutoDither           Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000000)
	Qt__PreferDither         Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000040)
	Qt__AvoidDither          Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000080)
	Qt__NoOpaqueDetection    Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000100)
	Qt__NoFormatConversion   Qt__ImageConversionFlag = Qt__ImageConversionFlag(0x00000200)
)

//go:generate stringer -type=Qt__BGMode
//Qt::BGMode
type Qt__BGMode int64

const (
	Qt__TransparentMode Qt__BGMode = Qt__BGMode(0)
	Qt__OpaqueMode      Qt__BGMode = Qt__BGMode(1)
)

//go:generate stringer -type=Qt__Key
//Qt::Key
type Qt__Key int64

const (
	Qt__Key_Escape                  Qt__Key = Qt__Key(0x01000000)
	Qt__Key_Tab                     Qt__Key = Qt__Key(0x01000001)
	Qt__Key_Backtab                 Qt__Key = Qt__Key(0x01000002)
	Qt__Key_Backspace               Qt__Key = Qt__Key(0x01000003)
	Qt__Key_Return                  Qt__Key = Qt__Key(0x01000004)
	Qt__Key_Enter                   Qt__Key = Qt__Key(0x01000005)
	Qt__Key_Insert                  Qt__Key = Qt__Key(0x01000006)
	Qt__Key_Delete                  Qt__Key = Qt__Key(0x01000007)
	Qt__Key_Pause                   Qt__Key = Qt__Key(0x01000008)
	Qt__Key_Print                   Qt__Key = Qt__Key(0x01000009)
	Qt__Key_SysReq                  Qt__Key = Qt__Key(0x0100000a)
	Qt__Key_Clear                   Qt__Key = Qt__Key(0x0100000b)
	Qt__Key_Home                    Qt__Key = Qt__Key(0x01000010)
	Qt__Key_End                     Qt__Key = Qt__Key(0x01000011)
	Qt__Key_Left                    Qt__Key = Qt__Key(0x01000012)
	Qt__Key_Up                      Qt__Key = Qt__Key(0x01000013)
	Qt__Key_Right                   Qt__Key = Qt__Key(0x01000014)
	Qt__Key_Down                    Qt__Key = Qt__Key(0x01000015)
	Qt__Key_PageUp                  Qt__Key = Qt__Key(0x01000016)
	Qt__Key_PageDown                Qt__Key = Qt__Key(0x01000017)
	Qt__Key_Shift                   Qt__Key = Qt__Key(0x01000020)
	Qt__Key_Control                 Qt__Key = Qt__Key(0x01000021)
	Qt__Key_Meta                    Qt__Key = Qt__Key(0x01000022)
	Qt__Key_Alt                     Qt__Key = Qt__Key(0x01000023)
	Qt__Key_CapsLock                Qt__Key = Qt__Key(0x01000024)
	Qt__Key_NumLock                 Qt__Key = Qt__Key(0x01000025)
	Qt__Key_ScrollLock              Qt__Key = Qt__Key(0x01000026)
	Qt__Key_F1                      Qt__Key = Qt__Key(0x01000030)
	Qt__Key_F2                      Qt__Key = Qt__Key(0x01000031)
	Qt__Key_F3                      Qt__Key = Qt__Key(0x01000032)
	Qt__Key_F4                      Qt__Key = Qt__Key(0x01000033)
	Qt__Key_F5                      Qt__Key = Qt__Key(0x01000034)
	Qt__Key_F6                      Qt__Key = Qt__Key(0x01000035)
	Qt__Key_F7                      Qt__Key = Qt__Key(0x01000036)
	Qt__Key_F8                      Qt__Key = Qt__Key(0x01000037)
	Qt__Key_F9                      Qt__Key = Qt__Key(0x01000038)
	Qt__Key_F10                     Qt__Key = Qt__Key(0x01000039)
	Qt__Key_F11                     Qt__Key = Qt__Key(0x0100003a)
	Qt__Key_F12                     Qt__Key = Qt__Key(0x0100003b)
	Qt__Key_F13                     Qt__Key = Qt__Key(0x0100003c)
	Qt__Key_F14                     Qt__Key = Qt__Key(0x0100003d)
	Qt__Key_F15                     Qt__Key = Qt__Key(0x0100003e)
	Qt__Key_F16                     Qt__Key = Qt__Key(0x0100003f)
	Qt__Key_F17                     Qt__Key = Qt__Key(0x01000040)
	Qt__Key_F18                     Qt__Key = Qt__Key(0x01000041)
	Qt__Key_F19                     Qt__Key = Qt__Key(0x01000042)
	Qt__Key_F20                     Qt__Key = Qt__Key(0x01000043)
	Qt__Key_F21                     Qt__Key = Qt__Key(0x01000044)
	Qt__Key_F22                     Qt__Key = Qt__Key(0x01000045)
	Qt__Key_F23                     Qt__Key = Qt__Key(0x01000046)
	Qt__Key_F24                     Qt__Key = Qt__Key(0x01000047)
	Qt__Key_F25                     Qt__Key = Qt__Key(0x01000048)
	Qt__Key_F26                     Qt__Key = Qt__Key(0x01000049)
	Qt__Key_F27                     Qt__Key = Qt__Key(0x0100004a)
	Qt__Key_F28                     Qt__Key = Qt__Key(0x0100004b)
	Qt__Key_F29                     Qt__Key = Qt__Key(0x0100004c)
	Qt__Key_F30                     Qt__Key = Qt__Key(0x0100004d)
	Qt__Key_F31                     Qt__Key = Qt__Key(0x0100004e)
	Qt__Key_F32                     Qt__Key = Qt__Key(0x0100004f)
	Qt__Key_F33                     Qt__Key = Qt__Key(0x01000050)
	Qt__Key_F34                     Qt__Key = Qt__Key(0x01000051)
	Qt__Key_F35                     Qt__Key = Qt__Key(0x01000052)
	Qt__Key_Super_L                 Qt__Key = Qt__Key(0x01000053)
	Qt__Key_Super_R                 Qt__Key = Qt__Key(0x01000054)
	Qt__Key_Menu                    Qt__Key = Qt__Key(0x01000055)
	Qt__Key_Hyper_L                 Qt__Key = Qt__Key(0x01000056)
	Qt__Key_Hyper_R                 Qt__Key = Qt__Key(0x01000057)
	Qt__Key_Help                    Qt__Key = Qt__Key(0x01000058)
	Qt__Key_Direction_L             Qt__Key = Qt__Key(0x01000059)
	Qt__Key_Direction_R             Qt__Key = Qt__Key(0x01000060)
	Qt__Key_Space                   Qt__Key = Qt__Key(0x20)
	Qt__Key_Any                     Qt__Key = Qt__Key(Qt__Key_Space)
	Qt__Key_Exclam                  Qt__Key = Qt__Key(0x21)
	Qt__Key_QuoteDbl                Qt__Key = Qt__Key(0x22)
	Qt__Key_NumberSign              Qt__Key = Qt__Key(0x23)
	Qt__Key_Dollar                  Qt__Key = Qt__Key(0x24)
	Qt__Key_Percent                 Qt__Key = Qt__Key(0x25)
	Qt__Key_Ampersand               Qt__Key = Qt__Key(0x26)
	Qt__Key_Apostrophe              Qt__Key = Qt__Key(0x27)
	Qt__Key_ParenLeft               Qt__Key = Qt__Key(0x28)
	Qt__Key_ParenRight              Qt__Key = Qt__Key(0x29)
	Qt__Key_Asterisk                Qt__Key = Qt__Key(0x2a)
	Qt__Key_Plus                    Qt__Key = Qt__Key(0x2b)
	Qt__Key_Comma                   Qt__Key = Qt__Key(0x2c)
	Qt__Key_Minus                   Qt__Key = Qt__Key(0x2d)
	Qt__Key_Period                  Qt__Key = Qt__Key(0x2e)
	Qt__Key_Slash                   Qt__Key = Qt__Key(0x2f)
	Qt__Key_0                       Qt__Key = Qt__Key(0x30)
	Qt__Key_1                       Qt__Key = Qt__Key(0x31)
	Qt__Key_2                       Qt__Key = Qt__Key(0x32)
	Qt__Key_3                       Qt__Key = Qt__Key(0x33)
	Qt__Key_4                       Qt__Key = Qt__Key(0x34)
	Qt__Key_5                       Qt__Key = Qt__Key(0x35)
	Qt__Key_6                       Qt__Key = Qt__Key(0x36)
	Qt__Key_7                       Qt__Key = Qt__Key(0x37)
	Qt__Key_8                       Qt__Key = Qt__Key(0x38)
	Qt__Key_9                       Qt__Key = Qt__Key(0x39)
	Qt__Key_Colon                   Qt__Key = Qt__Key(0x3a)
	Qt__Key_Semicolon               Qt__Key = Qt__Key(0x3b)
	Qt__Key_Less                    Qt__Key = Qt__Key(0x3c)
	Qt__Key_Equal                   Qt__Key = Qt__Key(0x3d)
	Qt__Key_Greater                 Qt__Key = Qt__Key(0x3e)
	Qt__Key_Question                Qt__Key = Qt__Key(0x3f)
	Qt__Key_At                      Qt__Key = Qt__Key(0x40)
	Qt__Key_A                       Qt__Key = Qt__Key(0x41)
	Qt__Key_B                       Qt__Key = Qt__Key(0x42)
	Qt__Key_C                       Qt__Key = Qt__Key(0x43)
	Qt__Key_D                       Qt__Key = Qt__Key(0x44)
	Qt__Key_E                       Qt__Key = Qt__Key(0x45)
	Qt__Key_F                       Qt__Key = Qt__Key(0x46)
	Qt__Key_G                       Qt__Key = Qt__Key(0x47)
	Qt__Key_H                       Qt__Key = Qt__Key(0x48)
	Qt__Key_I                       Qt__Key = Qt__Key(0x49)
	Qt__Key_J                       Qt__Key = Qt__Key(0x4a)
	Qt__Key_K                       Qt__Key = Qt__Key(0x4b)
	Qt__Key_L                       Qt__Key = Qt__Key(0x4c)
	Qt__Key_M                       Qt__Key = Qt__Key(0x4d)
	Qt__Key_N                       Qt__Key = Qt__Key(0x4e)
	Qt__Key_O                       Qt__Key = Qt__Key(0x4f)
	Qt__Key_P                       Qt__Key = Qt__Key(0x50)
	Qt__Key_Q                       Qt__Key = Qt__Key(0x51)
	Qt__Key_R                       Qt__Key = Qt__Key(0x52)
	Qt__Key_S                       Qt__Key = Qt__Key(0x53)
	Qt__Key_T                       Qt__Key = Qt__Key(0x54)
	Qt__Key_U                       Qt__Key = Qt__Key(0x55)
	Qt__Key_V                       Qt__Key = Qt__Key(0x56)
	Qt__Key_W                       Qt__Key = Qt__Key(0x57)
	Qt__Key_X                       Qt__Key = Qt__Key(0x58)
	Qt__Key_Y                       Qt__Key = Qt__Key(0x59)
	Qt__Key_Z                       Qt__Key = Qt__Key(0x5a)
	Qt__Key_BracketLeft             Qt__Key = Qt__Key(0x5b)
	Qt__Key_Backslash               Qt__Key = Qt__Key(0x5c)
	Qt__Key_BracketRight            Qt__Key = Qt__Key(0x5d)
	Qt__Key_AsciiCircum             Qt__Key = Qt__Key(0x5e)
	Qt__Key_Underscore              Qt__Key = Qt__Key(0x5f)
	Qt__Key_QuoteLeft               Qt__Key = Qt__Key(0x60)
	Qt__Key_BraceLeft               Qt__Key = Qt__Key(0x7b)
	Qt__Key_Bar                     Qt__Key = Qt__Key(0x7c)
	Qt__Key_BraceRight              Qt__Key = Qt__Key(0x7d)
	Qt__Key_AsciiTilde              Qt__Key = Qt__Key(0x7e)
	Qt__Key_nobreakspace            Qt__Key = Qt__Key(0x0a0)
	Qt__Key_exclamdown              Qt__Key = Qt__Key(0x0a1)
	Qt__Key_cent                    Qt__Key = Qt__Key(0x0a2)
	Qt__Key_sterling                Qt__Key = Qt__Key(0x0a3)
	Qt__Key_currency                Qt__Key = Qt__Key(0x0a4)
	Qt__Key_yen                     Qt__Key = Qt__Key(0x0a5)
	Qt__Key_brokenbar               Qt__Key = Qt__Key(0x0a6)
	Qt__Key_section                 Qt__Key = Qt__Key(0x0a7)
	Qt__Key_diaeresis               Qt__Key = Qt__Key(0x0a8)
	Qt__Key_copyright               Qt__Key = Qt__Key(0x0a9)
	Qt__Key_ordfeminine             Qt__Key = Qt__Key(0x0aa)
	Qt__Key_guillemotleft           Qt__Key = Qt__Key(0x0ab)
	Qt__Key_notsign                 Qt__Key = Qt__Key(0x0ac)
	Qt__Key_hyphen                  Qt__Key = Qt__Key(0x0ad)
	Qt__Key_registered              Qt__Key = Qt__Key(0x0ae)
	Qt__Key_macron                  Qt__Key = Qt__Key(0x0af)
	Qt__Key_degree                  Qt__Key = Qt__Key(0x0b0)
	Qt__Key_plusminus               Qt__Key = Qt__Key(0x0b1)
	Qt__Key_twosuperior             Qt__Key = Qt__Key(0x0b2)
	Qt__Key_threesuperior           Qt__Key = Qt__Key(0x0b3)
	Qt__Key_acute                   Qt__Key = Qt__Key(0x0b4)
	Qt__Key_mu                      Qt__Key = Qt__Key(0x0b5)
	Qt__Key_paragraph               Qt__Key = Qt__Key(0x0b6)
	Qt__Key_periodcentered          Qt__Key = Qt__Key(0x0b7)
	Qt__Key_cedilla                 Qt__Key = Qt__Key(0x0b8)
	Qt__Key_onesuperior             Qt__Key = Qt__Key(0x0b9)
	Qt__Key_masculine               Qt__Key = Qt__Key(0x0ba)
	Qt__Key_guillemotright          Qt__Key = Qt__Key(0x0bb)
	Qt__Key_onequarter              Qt__Key = Qt__Key(0x0bc)
	Qt__Key_onehalf                 Qt__Key = Qt__Key(0x0bd)
	Qt__Key_threequarters           Qt__Key = Qt__Key(0x0be)
	Qt__Key_questiondown            Qt__Key = Qt__Key(0x0bf)
	Qt__Key_Agrave                  Qt__Key = Qt__Key(0x0c0)
	Qt__Key_Aacute                  Qt__Key = Qt__Key(0x0c1)
	Qt__Key_Acircumflex             Qt__Key = Qt__Key(0x0c2)
	Qt__Key_Atilde                  Qt__Key = Qt__Key(0x0c3)
	Qt__Key_Adiaeresis              Qt__Key = Qt__Key(0x0c4)
	Qt__Key_Aring                   Qt__Key = Qt__Key(0x0c5)
	Qt__Key_AE                      Qt__Key = Qt__Key(0x0c6)
	Qt__Key_Ccedilla                Qt__Key = Qt__Key(0x0c7)
	Qt__Key_Egrave                  Qt__Key = Qt__Key(0x0c8)
	Qt__Key_Eacute                  Qt__Key = Qt__Key(0x0c9)
	Qt__Key_Ecircumflex             Qt__Key = Qt__Key(0x0ca)
	Qt__Key_Ediaeresis              Qt__Key = Qt__Key(0x0cb)
	Qt__Key_Igrave                  Qt__Key = Qt__Key(0x0cc)
	Qt__Key_Iacute                  Qt__Key = Qt__Key(0x0cd)
	Qt__Key_Icircumflex             Qt__Key = Qt__Key(0x0ce)
	Qt__Key_Idiaeresis              Qt__Key = Qt__Key(0x0cf)
	Qt__Key_ETH                     Qt__Key = Qt__Key(0x0d0)
	Qt__Key_Ntilde                  Qt__Key = Qt__Key(0x0d1)
	Qt__Key_Ograve                  Qt__Key = Qt__Key(0x0d2)
	Qt__Key_Oacute                  Qt__Key = Qt__Key(0x0d3)
	Qt__Key_Ocircumflex             Qt__Key = Qt__Key(0x0d4)
	Qt__Key_Otilde                  Qt__Key = Qt__Key(0x0d5)
	Qt__Key_Odiaeresis              Qt__Key = Qt__Key(0x0d6)
	Qt__Key_multiply                Qt__Key = Qt__Key(0x0d7)
	Qt__Key_Ooblique                Qt__Key = Qt__Key(0x0d8)
	Qt__Key_Ugrave                  Qt__Key = Qt__Key(0x0d9)
	Qt__Key_Uacute                  Qt__Key = Qt__Key(0x0da)
	Qt__Key_Ucircumflex             Qt__Key = Qt__Key(0x0db)
	Qt__Key_Udiaeresis              Qt__Key = Qt__Key(0x0dc)
	Qt__Key_Yacute                  Qt__Key = Qt__Key(0x0dd)
	Qt__Key_THORN                   Qt__Key = Qt__Key(0x0de)
	Qt__Key_ssharp                  Qt__Key = Qt__Key(0x0df)
	Qt__Key_division                Qt__Key = Qt__Key(0x0f7)
	Qt__Key_ydiaeresis              Qt__Key = Qt__Key(0x0ff)
	Qt__Key_AltGr                   Qt__Key = Qt__Key(0x01001103)
	Qt__Key_Multi_key               Qt__Key = Qt__Key(0x01001120)
	Qt__Key_Codeinput               Qt__Key = Qt__Key(0x01001137)
	Qt__Key_SingleCandidate         Qt__Key = Qt__Key(0x0100113c)
	Qt__Key_MultipleCandidate       Qt__Key = Qt__Key(0x0100113d)
	Qt__Key_PreviousCandidate       Qt__Key = Qt__Key(0x0100113e)
	Qt__Key_Mode_switch             Qt__Key = Qt__Key(0x0100117e)
	Qt__Key_Kanji                   Qt__Key = Qt__Key(0x01001121)
	Qt__Key_Muhenkan                Qt__Key = Qt__Key(0x01001122)
	Qt__Key_Henkan                  Qt__Key = Qt__Key(0x01001123)
	Qt__Key_Romaji                  Qt__Key = Qt__Key(0x01001124)
	Qt__Key_Hiragana                Qt__Key = Qt__Key(0x01001125)
	Qt__Key_Katakana                Qt__Key = Qt__Key(0x01001126)
	Qt__Key_Hiragana_Katakana       Qt__Key = Qt__Key(0x01001127)
	Qt__Key_Zenkaku                 Qt__Key = Qt__Key(0x01001128)
	Qt__Key_Hankaku                 Qt__Key = Qt__Key(0x01001129)
	Qt__Key_Zenkaku_Hankaku         Qt__Key = Qt__Key(0x0100112a)
	Qt__Key_Touroku                 Qt__Key = Qt__Key(0x0100112b)
	Qt__Key_Massyo                  Qt__Key = Qt__Key(0x0100112c)
	Qt__Key_Kana_Lock               Qt__Key = Qt__Key(0x0100112d)
	Qt__Key_Kana_Shift              Qt__Key = Qt__Key(0x0100112e)
	Qt__Key_Eisu_Shift              Qt__Key = Qt__Key(0x0100112f)
	Qt__Key_Eisu_toggle             Qt__Key = Qt__Key(0x01001130)
	Qt__Key_Hangul                  Qt__Key = Qt__Key(0x01001131)
	Qt__Key_Hangul_Start            Qt__Key = Qt__Key(0x01001132)
	Qt__Key_Hangul_End              Qt__Key = Qt__Key(0x01001133)
	Qt__Key_Hangul_Hanja            Qt__Key = Qt__Key(0x01001134)
	Qt__Key_Hangul_Jamo             Qt__Key = Qt__Key(0x01001135)
	Qt__Key_Hangul_Romaja           Qt__Key = Qt__Key(0x01001136)
	Qt__Key_Hangul_Jeonja           Qt__Key = Qt__Key(0x01001138)
	Qt__Key_Hangul_Banja            Qt__Key = Qt__Key(0x01001139)
	Qt__Key_Hangul_PreHanja         Qt__Key = Qt__Key(0x0100113a)
	Qt__Key_Hangul_PostHanja        Qt__Key = Qt__Key(0x0100113b)
	Qt__Key_Hangul_Special          Qt__Key = Qt__Key(0x0100113f)
	Qt__Key_Dead_Grave              Qt__Key = Qt__Key(0x01001250)
	Qt__Key_Dead_Acute              Qt__Key = Qt__Key(0x01001251)
	Qt__Key_Dead_Circumflex         Qt__Key = Qt__Key(0x01001252)
	Qt__Key_Dead_Tilde              Qt__Key = Qt__Key(0x01001253)
	Qt__Key_Dead_Macron             Qt__Key = Qt__Key(0x01001254)
	Qt__Key_Dead_Breve              Qt__Key = Qt__Key(0x01001255)
	Qt__Key_Dead_Abovedot           Qt__Key = Qt__Key(0x01001256)
	Qt__Key_Dead_Diaeresis          Qt__Key = Qt__Key(0x01001257)
	Qt__Key_Dead_Abovering          Qt__Key = Qt__Key(0x01001258)
	Qt__Key_Dead_Doubleacute        Qt__Key = Qt__Key(0x01001259)
	Qt__Key_Dead_Caron              Qt__Key = Qt__Key(0x0100125a)
	Qt__Key_Dead_Cedilla            Qt__Key = Qt__Key(0x0100125b)
	Qt__Key_Dead_Ogonek             Qt__Key = Qt__Key(0x0100125c)
	Qt__Key_Dead_Iota               Qt__Key = Qt__Key(0x0100125d)
	Qt__Key_Dead_Voiced_Sound       Qt__Key = Qt__Key(0x0100125e)
	Qt__Key_Dead_Semivoiced_Sound   Qt__Key = Qt__Key(0x0100125f)
	Qt__Key_Dead_Belowdot           Qt__Key = Qt__Key(0x01001260)
	Qt__Key_Dead_Hook               Qt__Key = Qt__Key(0x01001261)
	Qt__Key_Dead_Horn               Qt__Key = Qt__Key(0x01001262)
	Qt__Key_Dead_Stroke             Qt__Key = Qt__Key(0x01001263)
	Qt__Key_Dead_Abovecomma         Qt__Key = Qt__Key(0x01001264)
	Qt__Key_Dead_Abovereversedcomma Qt__Key = Qt__Key(0x01001265)
	Qt__Key_Dead_Doublegrave        Qt__Key = Qt__Key(0x01001266)
	Qt__Key_Dead_Belowring          Qt__Key = Qt__Key(0x01001267)
	Qt__Key_Dead_Belowmacron        Qt__Key = Qt__Key(0x01001268)
	Qt__Key_Dead_Belowcircumflex    Qt__Key = Qt__Key(0x01001269)
	Qt__Key_Dead_Belowtilde         Qt__Key = Qt__Key(0x0100126a)
	Qt__Key_Dead_Belowbreve         Qt__Key = Qt__Key(0x0100126b)
	Qt__Key_Dead_Belowdiaeresis     Qt__Key = Qt__Key(0x0100126c)
	Qt__Key_Dead_Invertedbreve      Qt__Key = Qt__Key(0x0100126d)
	Qt__Key_Dead_Belowcomma         Qt__Key = Qt__Key(0x0100126e)
	Qt__Key_Dead_Currency           Qt__Key = Qt__Key(0x0100126f)
	Qt__Key_Dead_a                  Qt__Key = Qt__Key(0x01001280)
	Qt__Key_Dead_A                  Qt__Key = Qt__Key(0x01001281)
	Qt__Key_Dead_e                  Qt__Key = Qt__Key(0x01001282)
	Qt__Key_Dead_E                  Qt__Key = Qt__Key(0x01001283)
	Qt__Key_Dead_i                  Qt__Key = Qt__Key(0x01001284)
	Qt__Key_Dead_I                  Qt__Key = Qt__Key(0x01001285)
	Qt__Key_Dead_o                  Qt__Key = Qt__Key(0x01001286)
	Qt__Key_Dead_O                  Qt__Key = Qt__Key(0x01001287)
	Qt__Key_Dead_u                  Qt__Key = Qt__Key(0x01001288)
	Qt__Key_Dead_U                  Qt__Key = Qt__Key(0x01001289)
	Qt__Key_Dead_Small_Schwa        Qt__Key = Qt__Key(0x0100128a)
	Qt__Key_Dead_Capital_Schwa      Qt__Key = Qt__Key(0x0100128b)
	Qt__Key_Dead_Greek              Qt__Key = Qt__Key(0x0100128c)
	Qt__Key_Dead_Lowline            Qt__Key = Qt__Key(0x01001290)
	Qt__Key_Dead_Aboveverticalline  Qt__Key = Qt__Key(0x01001291)
	Qt__Key_Dead_Belowverticalline  Qt__Key = Qt__Key(0x01001292)
	Qt__Key_Dead_Longsolidusoverlay Qt__Key = Qt__Key(0x01001293)
	Qt__Key_Back                    Qt__Key = Qt__Key(0x01000061)
	Qt__Key_Forward                 Qt__Key = Qt__Key(0x01000062)
	Qt__Key_Stop                    Qt__Key = Qt__Key(0x01000063)
	Qt__Key_Refresh                 Qt__Key = Qt__Key(0x01000064)
	Qt__Key_VolumeDown              Qt__Key = Qt__Key(0x01000070)
	Qt__Key_VolumeMute              Qt__Key = Qt__Key(0x01000071)
	Qt__Key_VolumeUp                Qt__Key = Qt__Key(0x01000072)
	Qt__Key_BassBoost               Qt__Key = Qt__Key(0x01000073)
	Qt__Key_BassUp                  Qt__Key = Qt__Key(0x01000074)
	Qt__Key_BassDown                Qt__Key = Qt__Key(0x01000075)
	Qt__Key_TrebleUp                Qt__Key = Qt__Key(0x01000076)
	Qt__Key_TrebleDown              Qt__Key = Qt__Key(0x01000077)
	Qt__Key_MediaPlay               Qt__Key = Qt__Key(0x01000080)
	Qt__Key_MediaStop               Qt__Key = Qt__Key(0x01000081)
	Qt__Key_MediaPrevious           Qt__Key = Qt__Key(0x01000082)
	Qt__Key_MediaNext               Qt__Key = Qt__Key(0x01000083)
	Qt__Key_MediaRecord             Qt__Key = Qt__Key(0x01000084)
	Qt__Key_MediaPause              Qt__Key = Qt__Key(0x1000085)
	Qt__Key_MediaTogglePlayPause    Qt__Key = Qt__Key(0x1000086)
	Qt__Key_HomePage                Qt__Key = Qt__Key(0x01000090)
	Qt__Key_Favorites               Qt__Key = Qt__Key(0x01000091)
	Qt__Key_Search                  Qt__Key = Qt__Key(0x01000092)
	Qt__Key_Standby                 Qt__Key = Qt__Key(0x01000093)
	Qt__Key_OpenUrl                 Qt__Key = Qt__Key(0x01000094)
	Qt__Key_LaunchMail              Qt__Key = Qt__Key(0x010000a0)
	Qt__Key_LaunchMedia             Qt__Key = Qt__Key(0x010000a1)
	Qt__Key_Launch0                 Qt__Key = Qt__Key(0x010000a2)
	Qt__Key_Launch1                 Qt__Key = Qt__Key(0x010000a3)
	Qt__Key_Launch2                 Qt__Key = Qt__Key(0x010000a4)
	Qt__Key_Launch3                 Qt__Key = Qt__Key(0x010000a5)
	Qt__Key_Launch4                 Qt__Key = Qt__Key(0x010000a6)
	Qt__Key_Launch5                 Qt__Key = Qt__Key(0x010000a7)
	Qt__Key_Launch6                 Qt__Key = Qt__Key(0x010000a8)
	Qt__Key_Launch7                 Qt__Key = Qt__Key(0x010000a9)
	Qt__Key_Launch8                 Qt__Key = Qt__Key(0x010000aa)
	Qt__Key_Launch9                 Qt__Key = Qt__Key(0x010000ab)
	Qt__Key_LaunchA                 Qt__Key = Qt__Key(0x010000ac)
	Qt__Key_LaunchB                 Qt__Key = Qt__Key(0x010000ad)
	Qt__Key_LaunchC                 Qt__Key = Qt__Key(0x010000ae)
	Qt__Key_LaunchD                 Qt__Key = Qt__Key(0x010000af)
	Qt__Key_LaunchE                 Qt__Key = Qt__Key(0x010000b0)
	Qt__Key_LaunchF                 Qt__Key = Qt__Key(0x010000b1)
	Qt__Key_MonBrightnessUp         Qt__Key = Qt__Key(0x010000b2)
	Qt__Key_MonBrightnessDown       Qt__Key = Qt__Key(0x010000b3)
	Qt__Key_KeyboardLightOnOff      Qt__Key = Qt__Key(0x010000b4)
	Qt__Key_KeyboardBrightnessUp    Qt__Key = Qt__Key(0x010000b5)
	Qt__Key_KeyboardBrightnessDown  Qt__Key = Qt__Key(0x010000b6)
	Qt__Key_PowerOff                Qt__Key = Qt__Key(0x010000b7)
	Qt__Key_WakeUp                  Qt__Key = Qt__Key(0x010000b8)
	Qt__Key_Eject                   Qt__Key = Qt__Key(0x010000b9)
	Qt__Key_ScreenSaver             Qt__Key = Qt__Key(0x010000ba)
	Qt__Key_WWW                     Qt__Key = Qt__Key(0x010000bb)
	Qt__Key_Memo                    Qt__Key = Qt__Key(0x010000bc)
	Qt__Key_LightBulb               Qt__Key = Qt__Key(0x010000bd)
	Qt__Key_Shop                    Qt__Key = Qt__Key(0x010000be)
	Qt__Key_History                 Qt__Key = Qt__Key(0x010000bf)
	Qt__Key_AddFavorite             Qt__Key = Qt__Key(0x010000c0)
	Qt__Key_HotLinks                Qt__Key = Qt__Key(0x010000c1)
	Qt__Key_BrightnessAdjust        Qt__Key = Qt__Key(0x010000c2)
	Qt__Key_Finance                 Qt__Key = Qt__Key(0x010000c3)
	Qt__Key_Community               Qt__Key = Qt__Key(0x010000c4)
	Qt__Key_AudioRewind             Qt__Key = Qt__Key(0x010000c5)
	Qt__Key_BackForward             Qt__Key = Qt__Key(0x010000c6)
	Qt__Key_ApplicationLeft         Qt__Key = Qt__Key(0x010000c7)
	Qt__Key_ApplicationRight        Qt__Key = Qt__Key(0x010000c8)
	Qt__Key_Book                    Qt__Key = Qt__Key(0x010000c9)
	Qt__Key_CD                      Qt__Key = Qt__Key(0x010000ca)
	Qt__Key_Calculator              Qt__Key = Qt__Key(0x010000cb)
	Qt__Key_ToDoList                Qt__Key = Qt__Key(0x010000cc)
	Qt__Key_ClearGrab               Qt__Key = Qt__Key(0x010000cd)
	Qt__Key_Close                   Qt__Key = Qt__Key(0x010000ce)
	Qt__Key_Copy                    Qt__Key = Qt__Key(0x010000cf)
	Qt__Key_Cut                     Qt__Key = Qt__Key(0x010000d0)
	Qt__Key_Display                 Qt__Key = Qt__Key(0x010000d1)
	Qt__Key_DOS                     Qt__Key = Qt__Key(0x010000d2)
	Qt__Key_Documents               Qt__Key = Qt__Key(0x010000d3)
	Qt__Key_Excel                   Qt__Key = Qt__Key(0x010000d4)
	Qt__Key_Explorer                Qt__Key = Qt__Key(0x010000d5)
	Qt__Key_Game                    Qt__Key = Qt__Key(0x010000d6)
	Qt__Key_Go                      Qt__Key = Qt__Key(0x010000d7)
	Qt__Key_iTouch                  Qt__Key = Qt__Key(0x010000d8)
	Qt__Key_LogOff                  Qt__Key = Qt__Key(0x010000d9)
	Qt__Key_Market                  Qt__Key = Qt__Key(0x010000da)
	Qt__Key_Meeting                 Qt__Key = Qt__Key(0x010000db)
	Qt__Key_MenuKB                  Qt__Key = Qt__Key(0x010000dc)
	Qt__Key_MenuPB                  Qt__Key = Qt__Key(0x010000dd)
	Qt__Key_MySites                 Qt__Key = Qt__Key(0x010000de)
	Qt__Key_News                    Qt__Key = Qt__Key(0x010000df)
	Qt__Key_OfficeHome              Qt__Key = Qt__Key(0x010000e0)
	Qt__Key_Option                  Qt__Key = Qt__Key(0x010000e1)
	Qt__Key_Paste                   Qt__Key = Qt__Key(0x010000e2)
	Qt__Key_Phone                   Qt__Key = Qt__Key(0x010000e3)
	Qt__Key_Calendar                Qt__Key = Qt__Key(0x010000e4)
	Qt__Key_Reply                   Qt__Key = Qt__Key(0x010000e5)
	Qt__Key_Reload                  Qt__Key = Qt__Key(0x010000e6)
	Qt__Key_RotateWindows           Qt__Key = Qt__Key(0x010000e7)
	Qt__Key_RotationPB              Qt__Key = Qt__Key(0x010000e8)
	Qt__Key_RotationKB              Qt__Key = Qt__Key(0x010000e9)
	Qt__Key_Save                    Qt__Key = Qt__Key(0x010000ea)
	Qt__Key_Send                    Qt__Key = Qt__Key(0x010000eb)
	Qt__Key_Spell                   Qt__Key = Qt__Key(0x010000ec)
	Qt__Key_SplitScreen             Qt__Key = Qt__Key(0x010000ed)
	Qt__Key_Support                 Qt__Key = Qt__Key(0x010000ee)
	Qt__Key_TaskPane                Qt__Key = Qt__Key(0x010000ef)
	Qt__Key_Terminal                Qt__Key = Qt__Key(0x010000f0)
	Qt__Key_Tools                   Qt__Key = Qt__Key(0x010000f1)
	Qt__Key_Travel                  Qt__Key = Qt__Key(0x010000f2)
	Qt__Key_Video                   Qt__Key = Qt__Key(0x010000f3)
	Qt__Key_Word                    Qt__Key = Qt__Key(0x010000f4)
	Qt__Key_Xfer                    Qt__Key = Qt__Key(0x010000f5)
	Qt__Key_ZoomIn                  Qt__Key = Qt__Key(0x010000f6)
	Qt__Key_ZoomOut                 Qt__Key = Qt__Key(0x010000f7)
	Qt__Key_Away                    Qt__Key = Qt__Key(0x010000f8)
	Qt__Key_Messenger               Qt__Key = Qt__Key(0x010000f9)
	Qt__Key_WebCam                  Qt__Key = Qt__Key(0x010000fa)
	Qt__Key_MailForward             Qt__Key = Qt__Key(0x010000fb)
	Qt__Key_Pictures                Qt__Key = Qt__Key(0x010000fc)
	Qt__Key_Music                   Qt__Key = Qt__Key(0x010000fd)
	Qt__Key_Battery                 Qt__Key = Qt__Key(0x010000fe)
	Qt__Key_Bluetooth               Qt__Key = Qt__Key(0x010000ff)
	Qt__Key_WLAN                    Qt__Key = Qt__Key(0x01000100)
	Qt__Key_UWB                     Qt__Key = Qt__Key(0x01000101)
	Qt__Key_AudioForward            Qt__Key = Qt__Key(0x01000102)
	Qt__Key_AudioRepeat             Qt__Key = Qt__Key(0x01000103)
	Qt__Key_AudioRandomPlay         Qt__Key = Qt__Key(0x01000104)
	Qt__Key_Subtitle                Qt__Key = Qt__Key(0x01000105)
	Qt__Key_AudioCycleTrack         Qt__Key = Qt__Key(0x01000106)
	Qt__Key_Time                    Qt__Key = Qt__Key(0x01000107)
	Qt__Key_Hibernate               Qt__Key = Qt__Key(0x01000108)
	Qt__Key_View                    Qt__Key = Qt__Key(0x01000109)
	Qt__Key_TopMenu                 Qt__Key = Qt__Key(0x0100010a)
	Qt__Key_PowerDown               Qt__Key = Qt__Key(0x0100010b)
	Qt__Key_Suspend                 Qt__Key = Qt__Key(0x0100010c)
	Qt__Key_ContrastAdjust          Qt__Key = Qt__Key(0x0100010d)
	Qt__Key_LaunchG                 Qt__Key = Qt__Key(0x0100010e)
	Qt__Key_LaunchH                 Qt__Key = Qt__Key(0x0100010f)
	Qt__Key_TouchpadToggle          Qt__Key = Qt__Key(0x01000110)
	Qt__Key_TouchpadOn              Qt__Key = Qt__Key(0x01000111)
	Qt__Key_TouchpadOff             Qt__Key = Qt__Key(0x01000112)
	Qt__Key_MicMute                 Qt__Key = Qt__Key(0x01000113)
	Qt__Key_Red                     Qt__Key = Qt__Key(0x01000114)
	Qt__Key_Green                   Qt__Key = Qt__Key(0x01000115)
	Qt__Key_Yellow                  Qt__Key = Qt__Key(0x01000116)
	Qt__Key_Blue                    Qt__Key = Qt__Key(0x01000117)
	Qt__Key_ChannelUp               Qt__Key = Qt__Key(0x01000118)
	Qt__Key_ChannelDown             Qt__Key = Qt__Key(0x01000119)
	Qt__Key_Guide                   Qt__Key = Qt__Key(0x0100011a)
	Qt__Key_Info                    Qt__Key = Qt__Key(0x0100011b)
	Qt__Key_Settings                Qt__Key = Qt__Key(0x0100011c)
	Qt__Key_MicVolumeUp             Qt__Key = Qt__Key(0x0100011d)
	Qt__Key_MicVolumeDown           Qt__Key = Qt__Key(0x0100011e)
	Qt__Key_New                     Qt__Key = Qt__Key(0x01000120)
	Qt__Key_Open                    Qt__Key = Qt__Key(0x01000121)
	Qt__Key_Find                    Qt__Key = Qt__Key(0x01000122)
	Qt__Key_Undo                    Qt__Key = Qt__Key(0x01000123)
	Qt__Key_Redo                    Qt__Key = Qt__Key(0x01000124)
	Qt__Key_MediaLast               Qt__Key = Qt__Key(0x0100ffff)
	Qt__Key_Select                  Qt__Key = Qt__Key(0x01010000)
	Qt__Key_Yes                     Qt__Key = Qt__Key(0x01010001)
	Qt__Key_No                      Qt__Key = Qt__Key(0x01010002)
	Qt__Key_Cancel                  Qt__Key = Qt__Key(0x01020001)
	Qt__Key_Printer                 Qt__Key = Qt__Key(0x01020002)
	Qt__Key_Execute                 Qt__Key = Qt__Key(0x01020003)
	Qt__Key_Sleep                   Qt__Key = Qt__Key(0x01020004)
	Qt__Key_Play                    Qt__Key = Qt__Key(0x01020005)
	Qt__Key_Zoom                    Qt__Key = Qt__Key(0x01020006)
	Qt__Key_Exit                    Qt__Key = Qt__Key(0x0102000a)
	Qt__Key_Context1                Qt__Key = Qt__Key(0x01100000)
	Qt__Key_Context2                Qt__Key = Qt__Key(0x01100001)
	Qt__Key_Context3                Qt__Key = Qt__Key(0x01100002)
	Qt__Key_Context4                Qt__Key = Qt__Key(0x01100003)
	Qt__Key_Call                    Qt__Key = Qt__Key(0x01100004)
	Qt__Key_Hangup                  Qt__Key = Qt__Key(0x01100005)
	Qt__Key_Flip                    Qt__Key = Qt__Key(0x01100006)
	Qt__Key_ToggleCallHangup        Qt__Key = Qt__Key(0x01100007)
	Qt__Key_VoiceDial               Qt__Key = Qt__Key(0x01100008)
	Qt__Key_LastNumberRedial        Qt__Key = Qt__Key(0x01100009)
	Qt__Key_Camera                  Qt__Key = Qt__Key(0x01100020)
	Qt__Key_CameraFocus             Qt__Key = Qt__Key(0x01100021)
	Qt__Key_unknown                 Qt__Key = Qt__Key(0x01ffffff)
)

//go:generate stringer -type=Qt__ArrowType
//Qt::ArrowType
type Qt__ArrowType int64

const (
	Qt__NoArrow    Qt__ArrowType = Qt__ArrowType(0)
	Qt__UpArrow    Qt__ArrowType = Qt__ArrowType(1)
	Qt__DownArrow  Qt__ArrowType = Qt__ArrowType(2)
	Qt__LeftArrow  Qt__ArrowType = Qt__ArrowType(3)
	Qt__RightArrow Qt__ArrowType = Qt__ArrowType(4)
)

//go:generate stringer -type=Qt__PenStyle
//Qt::PenStyle
type Qt__PenStyle int64

var (
	Qt__NoPen          Qt__PenStyle = Qt__PenStyle(0)
	Qt__SolidLine      Qt__PenStyle = Qt__PenStyle(1)
	Qt__DashLine       Qt__PenStyle = Qt__PenStyle(2)
	Qt__DotLine        Qt__PenStyle = Qt__PenStyle(3)
	Qt__DashDotLine    Qt__PenStyle = Qt__PenStyle(4)
	Qt__DashDotDotLine Qt__PenStyle = Qt__PenStyle(5)
	Qt__CustomDashLine Qt__PenStyle = Qt__PenStyle(6)
	Qt__MPenStyle      Qt__PenStyle = Qt__PenStyle(0x0f)
)

//go:generate stringer -type=Qt__PenCapStyle
//Qt::PenCapStyle
type Qt__PenCapStyle int64

var (
	Qt__FlatCap      Qt__PenCapStyle = Qt__PenCapStyle(0x00)
	Qt__SquareCap    Qt__PenCapStyle = Qt__PenCapStyle(0x10)
	Qt__RoundCap     Qt__PenCapStyle = Qt__PenCapStyle(0x20)
	Qt__MPenCapStyle Qt__PenCapStyle = Qt__PenCapStyle(0x30)
)

//go:generate stringer -type=Qt__PenJoinStyle
//Qt::PenJoinStyle
type Qt__PenJoinStyle int64

var (
	Qt__MiterJoin     Qt__PenJoinStyle = Qt__PenJoinStyle(0x00)
	Qt__BevelJoin     Qt__PenJoinStyle = Qt__PenJoinStyle(0x40)
	Qt__RoundJoin     Qt__PenJoinStyle = Qt__PenJoinStyle(0x80)
	Qt__SvgMiterJoin  Qt__PenJoinStyle = Qt__PenJoinStyle(0x100)
	Qt__MPenJoinStyle Qt__PenJoinStyle = Qt__PenJoinStyle(0x1c0)
)

//go:generate stringer -type=Qt__BrushStyle
//Qt::BrushStyle
type Qt__BrushStyle int64

var (
	Qt__NoBrush                Qt__BrushStyle = Qt__BrushStyle(0)
	Qt__SolidPattern           Qt__BrushStyle = Qt__BrushStyle(1)
	Qt__Dense1Pattern          Qt__BrushStyle = Qt__BrushStyle(2)
	Qt__Dense2Pattern          Qt__BrushStyle = Qt__BrushStyle(3)
	Qt__Dense3Pattern          Qt__BrushStyle = Qt__BrushStyle(4)
	Qt__Dense4Pattern          Qt__BrushStyle = Qt__BrushStyle(5)
	Qt__Dense5Pattern          Qt__BrushStyle = Qt__BrushStyle(6)
	Qt__Dense6Pattern          Qt__BrushStyle = Qt__BrushStyle(7)
	Qt__Dense7Pattern          Qt__BrushStyle = Qt__BrushStyle(8)
	Qt__HorPattern             Qt__BrushStyle = Qt__BrushStyle(9)
	Qt__VerPattern             Qt__BrushStyle = Qt__BrushStyle(10)
	Qt__CrossPattern           Qt__BrushStyle = Qt__BrushStyle(11)
	Qt__BDiagPattern           Qt__BrushStyle = Qt__BrushStyle(12)
	Qt__FDiagPattern           Qt__BrushStyle = Qt__BrushStyle(13)
	Qt__DiagCrossPattern       Qt__BrushStyle = Qt__BrushStyle(14)
	Qt__LinearGradientPattern  Qt__BrushStyle = Qt__BrushStyle(15)
	Qt__RadialGradientPattern  Qt__BrushStyle = Qt__BrushStyle(16)
	Qt__ConicalGradientPattern Qt__BrushStyle = Qt__BrushStyle(17)
	Qt__TexturePattern         Qt__BrushStyle = Qt__BrushStyle(24)
)

//go:generate stringer -type=Qt__SizeMode
//Qt::SizeMode
type Qt__SizeMode int64

const (
	Qt__AbsoluteSize Qt__SizeMode = Qt__SizeMode(0)
	Qt__RelativeSize Qt__SizeMode = Qt__SizeMode(1)
)

//go:generate stringer -type=Qt__UIEffect
//Qt::UIEffect
type Qt__UIEffect int64

const (
	Qt__UI_General        Qt__UIEffect = Qt__UIEffect(0)
	Qt__UI_AnimateMenu    Qt__UIEffect = Qt__UIEffect(1)
	Qt__UI_FadeMenu       Qt__UIEffect = Qt__UIEffect(2)
	Qt__UI_AnimateCombo   Qt__UIEffect = Qt__UIEffect(3)
	Qt__UI_AnimateTooltip Qt__UIEffect = Qt__UIEffect(4)
	Qt__UI_FadeTooltip    Qt__UIEffect = Qt__UIEffect(5)
	Qt__UI_AnimateToolBox Qt__UIEffect = Qt__UIEffect(6)
)

//go:generate stringer -type=Qt__CursorShape
//Qt::CursorShape
type Qt__CursorShape int64

const (
	Qt__ArrowCursor        Qt__CursorShape = Qt__CursorShape(0)
	Qt__UpArrowCursor      Qt__CursorShape = Qt__CursorShape(1)
	Qt__CrossCursor        Qt__CursorShape = Qt__CursorShape(2)
	Qt__WaitCursor         Qt__CursorShape = Qt__CursorShape(3)
	Qt__IBeamCursor        Qt__CursorShape = Qt__CursorShape(4)
	Qt__SizeVerCursor      Qt__CursorShape = Qt__CursorShape(5)
	Qt__SizeHorCursor      Qt__CursorShape = Qt__CursorShape(6)
	Qt__SizeBDiagCursor    Qt__CursorShape = Qt__CursorShape(7)
	Qt__SizeFDiagCursor    Qt__CursorShape = Qt__CursorShape(8)
	Qt__SizeAllCursor      Qt__CursorShape = Qt__CursorShape(9)
	Qt__BlankCursor        Qt__CursorShape = Qt__CursorShape(10)
	Qt__SplitVCursor       Qt__CursorShape = Qt__CursorShape(11)
	Qt__SplitHCursor       Qt__CursorShape = Qt__CursorShape(12)
	Qt__PointingHandCursor Qt__CursorShape = Qt__CursorShape(13)
	Qt__ForbiddenCursor    Qt__CursorShape = Qt__CursorShape(14)
	Qt__WhatsThisCursor    Qt__CursorShape = Qt__CursorShape(15)
	Qt__BusyCursor         Qt__CursorShape = Qt__CursorShape(16)
	Qt__OpenHandCursor     Qt__CursorShape = Qt__CursorShape(17)
	Qt__ClosedHandCursor   Qt__CursorShape = Qt__CursorShape(18)
	Qt__DragCopyCursor     Qt__CursorShape = Qt__CursorShape(19)
	Qt__DragMoveCursor     Qt__CursorShape = Qt__CursorShape(20)
	Qt__DragLinkCursor     Qt__CursorShape = Qt__CursorShape(21)
	Qt__LastCursor         Qt__CursorShape = Qt__CursorShape(Qt__DragLinkCursor)
	Qt__BitmapCursor       Qt__CursorShape = Qt__CursorShape(24)
	Qt__CustomCursor       Qt__CursorShape = Qt__CursorShape(25)
)

//go:generate stringer -type=Qt__TextFormat
//Qt::TextFormat
type Qt__TextFormat int64

const (
	Qt__PlainText Qt__TextFormat = Qt__TextFormat(0)
	Qt__RichText  Qt__TextFormat = Qt__TextFormat(1)
	Qt__AutoText  Qt__TextFormat = Qt__TextFormat(2)
)

//go:generate stringer -type=Qt__AspectRatioMode
//Qt::AspectRatioMode
type Qt__AspectRatioMode int64

const (
	Qt__IgnoreAspectRatio          Qt__AspectRatioMode = Qt__AspectRatioMode(0)
	Qt__KeepAspectRatio            Qt__AspectRatioMode = Qt__AspectRatioMode(1)
	Qt__KeepAspectRatioByExpanding Qt__AspectRatioMode = Qt__AspectRatioMode(2)
)

//go:generate stringer -type=Qt__DockWidgetArea
//Qt::DockWidgetArea
type Qt__DockWidgetArea int64

const (
	Qt__LeftDockWidgetArea   Qt__DockWidgetArea = Qt__DockWidgetArea(0x1)
	Qt__RightDockWidgetArea  Qt__DockWidgetArea = Qt__DockWidgetArea(0x2)
	Qt__TopDockWidgetArea    Qt__DockWidgetArea = Qt__DockWidgetArea(0x4)
	Qt__BottomDockWidgetArea Qt__DockWidgetArea = Qt__DockWidgetArea(0x8)
	Qt__DockWidgetArea_Mask  Qt__DockWidgetArea = Qt__DockWidgetArea(0xf)
	Qt__AllDockWidgetAreas   Qt__DockWidgetArea = Qt__DockWidgetArea(Qt__DockWidgetArea_Mask)
	Qt__NoDockWidgetArea     Qt__DockWidgetArea = Qt__DockWidgetArea(0)
)

//go:generate stringer -type=Qt__ToolBarArea
//Qt::ToolBarArea
type Qt__ToolBarArea int64

const (
	Qt__LeftToolBarArea   Qt__ToolBarArea = Qt__ToolBarArea(0x1)
	Qt__RightToolBarArea  Qt__ToolBarArea = Qt__ToolBarArea(0x2)
	Qt__TopToolBarArea    Qt__ToolBarArea = Qt__ToolBarArea(0x4)
	Qt__BottomToolBarArea Qt__ToolBarArea = Qt__ToolBarArea(0x8)
	Qt__ToolBarArea_Mask  Qt__ToolBarArea = Qt__ToolBarArea(0xf)
	Qt__AllToolBarAreas   Qt__ToolBarArea = Qt__ToolBarArea(Qt__ToolBarArea_Mask)
	Qt__NoToolBarArea     Qt__ToolBarArea = Qt__ToolBarArea(0)
)

//go:generate stringer -type=Qt__DateFormat
//Qt::DateFormat
type Qt__DateFormat int64

const (
	Qt__TextDate               Qt__DateFormat = Qt__DateFormat(0)
	Qt__ISODate                Qt__DateFormat = Qt__DateFormat(1)
	Qt__SystemLocaleDate       Qt__DateFormat = Qt__DateFormat(2)
	Qt__LocalDate              Qt__DateFormat = Qt__DateFormat(Qt__SystemLocaleDate)
	Qt__LocaleDate             Qt__DateFormat = Qt__DateFormat(3)
	Qt__SystemLocaleShortDate  Qt__DateFormat = Qt__DateFormat(4)
	Qt__SystemLocaleLongDate   Qt__DateFormat = Qt__DateFormat(5)
	Qt__DefaultLocaleShortDate Qt__DateFormat = Qt__DateFormat(6)
	Qt__DefaultLocaleLongDate  Qt__DateFormat = Qt__DateFormat(7)
	Qt__RFC2822Date            Qt__DateFormat = Qt__DateFormat(8)
	Qt__ISODateWithMs          Qt__DateFormat = Qt__DateFormat(9)
)

//go:generate stringer -type=Qt__TimeSpec
//Qt::TimeSpec
type Qt__TimeSpec int64

const (
	Qt__LocalTime     Qt__TimeSpec = Qt__TimeSpec(0)
	Qt__UTC           Qt__TimeSpec = Qt__TimeSpec(1)
	Qt__OffsetFromUTC Qt__TimeSpec = Qt__TimeSpec(2)
	Qt__TimeZone      Qt__TimeSpec = Qt__TimeSpec(3)
)

//go:generate stringer -type=Qt__DayOfWeek
//Qt::DayOfWeek
type Qt__DayOfWeek int64

const (
	Qt__Monday    Qt__DayOfWeek = Qt__DayOfWeek(1)
	Qt__Tuesday   Qt__DayOfWeek = Qt__DayOfWeek(2)
	Qt__Wednesday Qt__DayOfWeek = Qt__DayOfWeek(3)
	Qt__Thursday  Qt__DayOfWeek = Qt__DayOfWeek(4)
	Qt__Friday    Qt__DayOfWeek = Qt__DayOfWeek(5)
	Qt__Saturday  Qt__DayOfWeek = Qt__DayOfWeek(6)
	Qt__Sunday    Qt__DayOfWeek = Qt__DayOfWeek(7)
)

//go:generate stringer -type=Qt__ScrollBarPolicy
//Qt::ScrollBarPolicy
type Qt__ScrollBarPolicy int64

const (
	Qt__ScrollBarAsNeeded  Qt__ScrollBarPolicy = Qt__ScrollBarPolicy(0)
	Qt__ScrollBarAlwaysOff Qt__ScrollBarPolicy = Qt__ScrollBarPolicy(1)
	Qt__ScrollBarAlwaysOn  Qt__ScrollBarPolicy = Qt__ScrollBarPolicy(2)
)

//go:generate stringer -type=Qt__CaseSensitivity
//Qt::CaseSensitivity
type Qt__CaseSensitivity int64

const (
	Qt__CaseInsensitive Qt__CaseSensitivity = Qt__CaseSensitivity(0)
	Qt__CaseSensitive   Qt__CaseSensitivity = Qt__CaseSensitivity(1)
)

//go:generate stringer -type=Qt__Corner
//Qt::Corner
type Qt__Corner int64

const (
	Qt__TopLeftCorner     Qt__Corner = Qt__Corner(0x00000)
	Qt__TopRightCorner    Qt__Corner = Qt__Corner(0x00001)
	Qt__BottomLeftCorner  Qt__Corner = Qt__Corner(0x00002)
	Qt__BottomRightCorner Qt__Corner = Qt__Corner(0x00003)
)

//go:generate stringer -type=Qt__Edge
//Qt::Edge
type Qt__Edge int64

const (
	Qt__TopEdge    Qt__Edge = Qt__Edge(0x00001)
	Qt__LeftEdge   Qt__Edge = Qt__Edge(0x00002)
	Qt__RightEdge  Qt__Edge = Qt__Edge(0x00004)
	Qt__BottomEdge Qt__Edge = Qt__Edge(0x00008)
)

//go:generate stringer -type=Qt__ShortcutContext
//Qt::ShortcutContext
type Qt__ShortcutContext int64

const (
	Qt__WidgetShortcut             Qt__ShortcutContext = Qt__ShortcutContext(0)
	Qt__WindowShortcut             Qt__ShortcutContext = Qt__ShortcutContext(1)
	Qt__ApplicationShortcut        Qt__ShortcutContext = Qt__ShortcutContext(2)
	Qt__WidgetWithChildrenShortcut Qt__ShortcutContext = Qt__ShortcutContext(3)
)

//go:generate stringer -type=Qt__ConnectionType
//Qt::ConnectionType
type Qt__ConnectionType int64

const (
	Qt__AutoConnection           Qt__ConnectionType = Qt__ConnectionType(0)
	Qt__DirectConnection         Qt__ConnectionType = Qt__ConnectionType(1)
	Qt__QueuedConnection         Qt__ConnectionType = Qt__ConnectionType(2)
	Qt__BlockingQueuedConnection Qt__ConnectionType = Qt__ConnectionType(3)
	Qt__UniqueConnection         Qt__ConnectionType = Qt__ConnectionType(0x80)
)

//go:generate stringer -type=Qt__FillRule
//Qt::FillRule
type Qt__FillRule int64

const (
	Qt__OddEvenFill Qt__FillRule = Qt__FillRule(0)
	Qt__WindingFill Qt__FillRule = Qt__FillRule(1)
)

//go:generate stringer -type=Qt__MaskMode
//Qt::MaskMode
type Qt__MaskMode int64

const (
	Qt__MaskInColor  Qt__MaskMode = Qt__MaskMode(0)
	Qt__MaskOutColor Qt__MaskMode = Qt__MaskMode(1)
)

//go:generate stringer -type=Qt__ClipOperation
//Qt::ClipOperation
type Qt__ClipOperation int64

const (
	Qt__NoClip        Qt__ClipOperation = Qt__ClipOperation(0)
	Qt__ReplaceClip   Qt__ClipOperation = Qt__ClipOperation(1)
	Qt__IntersectClip Qt__ClipOperation = Qt__ClipOperation(2)
)

//go:generate stringer -type=Qt__ItemSelectionMode
//Qt::ItemSelectionMode
type Qt__ItemSelectionMode int64

const (
	Qt__ContainsItemShape          Qt__ItemSelectionMode = Qt__ItemSelectionMode(0x0)
	Qt__IntersectsItemShape        Qt__ItemSelectionMode = Qt__ItemSelectionMode(0x1)
	Qt__ContainsItemBoundingRect   Qt__ItemSelectionMode = Qt__ItemSelectionMode(0x2)
	Qt__IntersectsItemBoundingRect Qt__ItemSelectionMode = Qt__ItemSelectionMode(0x3)
)

//go:generate stringer -type=Qt__ItemSelectionOperation
//Qt::ItemSelectionOperation
type Qt__ItemSelectionOperation int64

const (
	Qt__ReplaceSelection Qt__ItemSelectionOperation = Qt__ItemSelectionOperation(0)
	Qt__AddToSelection   Qt__ItemSelectionOperation = Qt__ItemSelectionOperation(1)
)

//go:generate stringer -type=Qt__TransformationMode
//Qt::TransformationMode
type Qt__TransformationMode int64

const (
	Qt__FastTransformation   Qt__TransformationMode = Qt__TransformationMode(0)
	Qt__SmoothTransformation Qt__TransformationMode = Qt__TransformationMode(1)
)

//go:generate stringer -type=Qt__Axis
//Qt::Axis
type Qt__Axis int64

const (
	Qt__XAxis Qt__Axis = Qt__Axis(0)
	Qt__YAxis Qt__Axis = Qt__Axis(1)
	Qt__ZAxis Qt__Axis = Qt__Axis(2)
)

//go:generate stringer -type=Qt__FocusReason
//Qt::FocusReason
type Qt__FocusReason int64

const (
	Qt__MouseFocusReason        Qt__FocusReason = Qt__FocusReason(0)
	Qt__TabFocusReason          Qt__FocusReason = Qt__FocusReason(1)
	Qt__BacktabFocusReason      Qt__FocusReason = Qt__FocusReason(2)
	Qt__ActiveWindowFocusReason Qt__FocusReason = Qt__FocusReason(3)
	Qt__PopupFocusReason        Qt__FocusReason = Qt__FocusReason(4)
	Qt__ShortcutFocusReason     Qt__FocusReason = Qt__FocusReason(5)
	Qt__MenuBarFocusReason      Qt__FocusReason = Qt__FocusReason(6)
	Qt__OtherFocusReason        Qt__FocusReason = Qt__FocusReason(7)
	Qt__NoFocusReason           Qt__FocusReason = Qt__FocusReason(8)
)

//go:generate stringer -type=Qt__ContextMenuPolicy
//Qt::ContextMenuPolicy
type Qt__ContextMenuPolicy int64

const (
	Qt__NoContextMenu      Qt__ContextMenuPolicy = Qt__ContextMenuPolicy(0)
	Qt__DefaultContextMenu Qt__ContextMenuPolicy = Qt__ContextMenuPolicy(1)
	Qt__ActionsContextMenu Qt__ContextMenuPolicy = Qt__ContextMenuPolicy(2)
	Qt__CustomContextMenu  Qt__ContextMenuPolicy = Qt__ContextMenuPolicy(3)
	Qt__PreventContextMenu Qt__ContextMenuPolicy = Qt__ContextMenuPolicy(4)
)

//go:generate stringer -type=Qt__InputMethodQuery
//Qt::InputMethodQuery
type Qt__InputMethodQuery int64

const (
	Qt__ImEnabled                Qt__InputMethodQuery = Qt__InputMethodQuery(0x1)
	Qt__ImCursorRectangle        Qt__InputMethodQuery = Qt__InputMethodQuery(0x2)
	Qt__ImMicroFocus             Qt__InputMethodQuery = Qt__InputMethodQuery(0x2)
	Qt__ImFont                   Qt__InputMethodQuery = Qt__InputMethodQuery(0x4)
	Qt__ImCursorPosition         Qt__InputMethodQuery = Qt__InputMethodQuery(0x8)
	Qt__ImSurroundingText        Qt__InputMethodQuery = Qt__InputMethodQuery(0x10)
	Qt__ImCurrentSelection       Qt__InputMethodQuery = Qt__InputMethodQuery(0x20)
	Qt__ImMaximumTextLength      Qt__InputMethodQuery = Qt__InputMethodQuery(0x40)
	Qt__ImAnchorPosition         Qt__InputMethodQuery = Qt__InputMethodQuery(0x80)
	Qt__ImHints                  Qt__InputMethodQuery = Qt__InputMethodQuery(0x100)
	Qt__ImPreferredLanguage      Qt__InputMethodQuery = Qt__InputMethodQuery(0x200)
	Qt__ImAbsolutePosition       Qt__InputMethodQuery = Qt__InputMethodQuery(0x400)
	Qt__ImTextBeforeCursor       Qt__InputMethodQuery = Qt__InputMethodQuery(0x800)
	Qt__ImTextAfterCursor        Qt__InputMethodQuery = Qt__InputMethodQuery(0x1000)
	Qt__ImEnterKeyType           Qt__InputMethodQuery = Qt__InputMethodQuery(0x2000)
	Qt__ImAnchorRectangle        Qt__InputMethodQuery = Qt__InputMethodQuery(0x4000)
	Qt__ImInputItemClipRectangle Qt__InputMethodQuery = Qt__InputMethodQuery(0x8000)
	Qt__ImPlatformData           Qt__InputMethodQuery = Qt__InputMethodQuery(0x80000000)
	Qt__ImQueryAll               Qt__InputMethodQuery = Qt__InputMethodQuery(0xffffffff)
)

//go:generate stringer -type=Qt__InputMethodHint
//Qt::InputMethodHint
type Qt__InputMethodHint int64

const (
	Qt__ImhNone                   Qt__InputMethodHint = Qt__InputMethodHint(0x0)
	Qt__ImhHiddenText             Qt__InputMethodHint = Qt__InputMethodHint(0x1)
	Qt__ImhSensitiveData          Qt__InputMethodHint = Qt__InputMethodHint(0x2)
	Qt__ImhNoAutoUppercase        Qt__InputMethodHint = Qt__InputMethodHint(0x4)
	Qt__ImhPreferNumbers          Qt__InputMethodHint = Qt__InputMethodHint(0x8)
	Qt__ImhPreferUppercase        Qt__InputMethodHint = Qt__InputMethodHint(0x10)
	Qt__ImhPreferLowercase        Qt__InputMethodHint = Qt__InputMethodHint(0x20)
	Qt__ImhNoPredictiveText       Qt__InputMethodHint = Qt__InputMethodHint(0x40)
	Qt__ImhDate                   Qt__InputMethodHint = Qt__InputMethodHint(0x80)
	Qt__ImhTime                   Qt__InputMethodHint = Qt__InputMethodHint(0x100)
	Qt__ImhPreferLatin            Qt__InputMethodHint = Qt__InputMethodHint(0x200)
	Qt__ImhMultiLine              Qt__InputMethodHint = Qt__InputMethodHint(0x400)
	Qt__ImhNoEditMenu             Qt__InputMethodHint = Qt__InputMethodHint(0x800)
	Qt__ImhNoTextHandles          Qt__InputMethodHint = Qt__InputMethodHint(0x1000)
	Qt__ImhDigitsOnly             Qt__InputMethodHint = Qt__InputMethodHint(0x10000)
	Qt__ImhFormattedNumbersOnly   Qt__InputMethodHint = Qt__InputMethodHint(0x20000)
	Qt__ImhUppercaseOnly          Qt__InputMethodHint = Qt__InputMethodHint(0x40000)
	Qt__ImhLowercaseOnly          Qt__InputMethodHint = Qt__InputMethodHint(0x80000)
	Qt__ImhDialableCharactersOnly Qt__InputMethodHint = Qt__InputMethodHint(0x100000)
	Qt__ImhEmailCharactersOnly    Qt__InputMethodHint = Qt__InputMethodHint(0x200000)
	Qt__ImhUrlCharactersOnly      Qt__InputMethodHint = Qt__InputMethodHint(0x400000)
	Qt__ImhLatinOnly              Qt__InputMethodHint = Qt__InputMethodHint(0x800000)
	Qt__ImhExclusiveInputMask     Qt__InputMethodHint = Qt__InputMethodHint(0xffff0000)
)

//go:generate stringer -type=Qt__EnterKeyType
//Qt::EnterKeyType
type Qt__EnterKeyType int64

const (
	Qt__EnterKeyDefault  Qt__EnterKeyType = Qt__EnterKeyType(0)
	Qt__EnterKeyReturn   Qt__EnterKeyType = Qt__EnterKeyType(1)
	Qt__EnterKeyDone     Qt__EnterKeyType = Qt__EnterKeyType(2)
	Qt__EnterKeyGo       Qt__EnterKeyType = Qt__EnterKeyType(3)
	Qt__EnterKeySend     Qt__EnterKeyType = Qt__EnterKeyType(4)
	Qt__EnterKeySearch   Qt__EnterKeyType = Qt__EnterKeyType(5)
	Qt__EnterKeyNext     Qt__EnterKeyType = Qt__EnterKeyType(6)
	Qt__EnterKeyPrevious Qt__EnterKeyType = Qt__EnterKeyType(7)
)

//go:generate stringer -type=Qt__ToolButtonStyle
//Qt::ToolButtonStyle
type Qt__ToolButtonStyle int64

var (
	Qt__ToolButtonIconOnly       Qt__ToolButtonStyle = Qt__ToolButtonStyle(0)
	Qt__ToolButtonTextOnly       Qt__ToolButtonStyle = Qt__ToolButtonStyle(1)
	Qt__ToolButtonTextBesideIcon Qt__ToolButtonStyle = Qt__ToolButtonStyle(2)
	Qt__ToolButtonTextUnderIcon  Qt__ToolButtonStyle = Qt__ToolButtonStyle(3)
	Qt__ToolButtonFollowStyle    Qt__ToolButtonStyle = Qt__ToolButtonStyle(4)
)

//go:generate stringer -type=Qt__LayoutDirection
//Qt::LayoutDirection
type Qt__LayoutDirection int64

const (
	Qt__LeftToRight         Qt__LayoutDirection = Qt__LayoutDirection(0)
	Qt__RightToLeft         Qt__LayoutDirection = Qt__LayoutDirection(1)
	Qt__LayoutDirectionAuto Qt__LayoutDirection = Qt__LayoutDirection(2)
)

//go:generate stringer -type=Qt__AnchorPoint
//Qt::AnchorPoint
type Qt__AnchorPoint int64

const (
	Qt__AnchorLeft             Qt__AnchorPoint = Qt__AnchorPoint(0)
	Qt__AnchorHorizontalCenter Qt__AnchorPoint = Qt__AnchorPoint(1)
	Qt__AnchorRight            Qt__AnchorPoint = Qt__AnchorPoint(2)
	Qt__AnchorTop              Qt__AnchorPoint = Qt__AnchorPoint(3)
	Qt__AnchorVerticalCenter   Qt__AnchorPoint = Qt__AnchorPoint(4)
	Qt__AnchorBottom           Qt__AnchorPoint = Qt__AnchorPoint(5)
)

//go:generate stringer -type=Qt__FindChildOption
//Qt::FindChildOption
type Qt__FindChildOption int64

const (
	Qt__FindDirectChildrenOnly  Qt__FindChildOption = Qt__FindChildOption(0x0)
	Qt__FindChildrenRecursively Qt__FindChildOption = Qt__FindChildOption(0x1)
)

//go:generate stringer -type=Qt__DropAction
//Qt::DropAction
type Qt__DropAction int64

const (
	Qt__CopyAction       Qt__DropAction = Qt__DropAction(0x1)
	Qt__MoveAction       Qt__DropAction = Qt__DropAction(0x2)
	Qt__LinkAction       Qt__DropAction = Qt__DropAction(0x4)
	Qt__ActionMask       Qt__DropAction = Qt__DropAction(0xff)
	Qt__TargetMoveAction Qt__DropAction = Qt__DropAction(0x8002)
	Qt__IgnoreAction     Qt__DropAction = Qt__DropAction(0x0)
)

//go:generate stringer -type=Qt__CheckState
//Qt::CheckState
type Qt__CheckState int64

const (
	Qt__Unchecked        Qt__CheckState = Qt__CheckState(0)
	Qt__PartiallyChecked Qt__CheckState = Qt__CheckState(1)
	Qt__Checked          Qt__CheckState = Qt__CheckState(2)
)

//go:generate stringer -type=Qt__ItemDataRole
//Qt::ItemDataRole
type Qt__ItemDataRole int64

const (
	Qt__DisplayRole               Qt__ItemDataRole = Qt__ItemDataRole(0)
	Qt__DecorationRole            Qt__ItemDataRole = Qt__ItemDataRole(1)
	Qt__EditRole                  Qt__ItemDataRole = Qt__ItemDataRole(2)
	Qt__ToolTipRole               Qt__ItemDataRole = Qt__ItemDataRole(3)
	Qt__StatusTipRole             Qt__ItemDataRole = Qt__ItemDataRole(4)
	Qt__WhatsThisRole             Qt__ItemDataRole = Qt__ItemDataRole(5)
	Qt__FontRole                  Qt__ItemDataRole = Qt__ItemDataRole(6)
	Qt__TextAlignmentRole         Qt__ItemDataRole = Qt__ItemDataRole(7)
	Qt__BackgroundRole            Qt__ItemDataRole = Qt__ItemDataRole(8)
	Qt__ForegroundRole            Qt__ItemDataRole = Qt__ItemDataRole(9)
	Qt__BackgroundColorRole       Qt__ItemDataRole = Qt__ItemDataRole(Qt__BackgroundRole)
	Qt__TextColorRole             Qt__ItemDataRole = Qt__ItemDataRole(Qt__ForegroundRole)
	Qt__CheckStateRole            Qt__ItemDataRole = Qt__ItemDataRole(10)
	Qt__AccessibleTextRole        Qt__ItemDataRole = Qt__ItemDataRole(11)
	Qt__AccessibleDescriptionRole Qt__ItemDataRole = Qt__ItemDataRole(12)
	Qt__SizeHintRole              Qt__ItemDataRole = Qt__ItemDataRole(13)
	Qt__InitialSortOrderRole      Qt__ItemDataRole = Qt__ItemDataRole(14)
	Qt__DisplayPropertyRole       Qt__ItemDataRole = Qt__ItemDataRole(27)
	Qt__DecorationPropertyRole    Qt__ItemDataRole = Qt__ItemDataRole(28)
	Qt__ToolTipPropertyRole       Qt__ItemDataRole = Qt__ItemDataRole(29)
	Qt__StatusTipPropertyRole     Qt__ItemDataRole = Qt__ItemDataRole(30)
	Qt__WhatsThisPropertyRole     Qt__ItemDataRole = Qt__ItemDataRole(31)
	Qt__UserRole                  Qt__ItemDataRole = Qt__ItemDataRole(0x0100)
)

//go:generate stringer -type=Qt__ItemFlag
//Qt::ItemFlag
type Qt__ItemFlag int64

const (
	Qt__NoItemFlags          Qt__ItemFlag = Qt__ItemFlag(0)
	Qt__ItemIsSelectable     Qt__ItemFlag = Qt__ItemFlag(1)
	Qt__ItemIsEditable       Qt__ItemFlag = Qt__ItemFlag(2)
	Qt__ItemIsDragEnabled    Qt__ItemFlag = Qt__ItemFlag(4)
	Qt__ItemIsDropEnabled    Qt__ItemFlag = Qt__ItemFlag(8)
	Qt__ItemIsUserCheckable  Qt__ItemFlag = Qt__ItemFlag(16)
	Qt__ItemIsEnabled        Qt__ItemFlag = Qt__ItemFlag(32)
	Qt__ItemIsAutoTristate   Qt__ItemFlag = Qt__ItemFlag(64)
	Qt__ItemIsTristate       Qt__ItemFlag = Qt__ItemFlag(Qt__ItemIsAutoTristate)
	Qt__ItemNeverHasChildren Qt__ItemFlag = Qt__ItemFlag(128)
	Qt__ItemIsUserTristate   Qt__ItemFlag = Qt__ItemFlag(256)
)

//go:generate stringer -type=Qt__MatchFlag
//Qt::MatchFlag
type Qt__MatchFlag int64

const (
	Qt__MatchExactly       Qt__MatchFlag = Qt__MatchFlag(0)
	Qt__MatchContains      Qt__MatchFlag = Qt__MatchFlag(1)
	Qt__MatchStartsWith    Qt__MatchFlag = Qt__MatchFlag(2)
	Qt__MatchEndsWith      Qt__MatchFlag = Qt__MatchFlag(3)
	Qt__MatchRegExp        Qt__MatchFlag = Qt__MatchFlag(4)
	Qt__MatchWildcard      Qt__MatchFlag = Qt__MatchFlag(5)
	Qt__MatchFixedString   Qt__MatchFlag = Qt__MatchFlag(8)
	Qt__MatchCaseSensitive Qt__MatchFlag = Qt__MatchFlag(16)
	Qt__MatchWrap          Qt__MatchFlag = Qt__MatchFlag(32)
	Qt__MatchRecursive     Qt__MatchFlag = Qt__MatchFlag(64)
)

//go:generate stringer -type=Qt__WindowModality
//Qt::WindowModality
type Qt__WindowModality int64

const (
	Qt__NonModal         Qt__WindowModality = Qt__WindowModality(0)
	Qt__WindowModal      Qt__WindowModality = Qt__WindowModality(1)
	Qt__ApplicationModal Qt__WindowModality = Qt__WindowModality(2)
)

//go:generate stringer -type=Qt__TextInteractionFlag
//Qt::TextInteractionFlag
type Qt__TextInteractionFlag int64

const (
	Qt__NoTextInteraction         Qt__TextInteractionFlag = Qt__TextInteractionFlag(0)
	Qt__TextSelectableByMouse     Qt__TextInteractionFlag = Qt__TextInteractionFlag(1)
	Qt__TextSelectableByKeyboard  Qt__TextInteractionFlag = Qt__TextInteractionFlag(2)
	Qt__LinksAccessibleByMouse    Qt__TextInteractionFlag = Qt__TextInteractionFlag(4)
	Qt__LinksAccessibleByKeyboard Qt__TextInteractionFlag = Qt__TextInteractionFlag(8)
	Qt__TextEditable              Qt__TextInteractionFlag = Qt__TextInteractionFlag(16)
	Qt__TextEditorInteraction     Qt__TextInteractionFlag = Qt__TextInteractionFlag(Qt__TextSelectableByMouse | Qt__TextSelectableByKeyboard | Qt__TextEditable)
	Qt__TextBrowserInteraction    Qt__TextInteractionFlag = Qt__TextInteractionFlag(Qt__TextSelectableByMouse | Qt__LinksAccessibleByMouse | Qt__LinksAccessibleByKeyboard)
)

//go:generate stringer -type=Qt__EventPriority
//Qt::EventPriority
type Qt__EventPriority int64

const (
	Qt__HighEventPriority   Qt__EventPriority = Qt__EventPriority(1)
	Qt__NormalEventPriority Qt__EventPriority = Qt__EventPriority(0)
	Qt__LowEventPriority    Qt__EventPriority = Qt__EventPriority(-1)
)

//go:generate stringer -type=Qt__SizeHint
//Qt::SizeHint
type Qt__SizeHint int64

const (
	Qt__MinimumSize    Qt__SizeHint = Qt__SizeHint(0)
	Qt__PreferredSize  Qt__SizeHint = Qt__SizeHint(1)
	Qt__MaximumSize    Qt__SizeHint = Qt__SizeHint(2)
	Qt__MinimumDescent Qt__SizeHint = Qt__SizeHint(3)
	Qt__NSizeHints     Qt__SizeHint = Qt__SizeHint(4)
)

//go:generate stringer -type=Qt__WindowFrameSection
//Qt::WindowFrameSection
type Qt__WindowFrameSection int64

const (
	Qt__NoSection          Qt__WindowFrameSection = Qt__WindowFrameSection(0)
	Qt__LeftSection        Qt__WindowFrameSection = Qt__WindowFrameSection(1)
	Qt__TopLeftSection     Qt__WindowFrameSection = Qt__WindowFrameSection(2)
	Qt__TopSection         Qt__WindowFrameSection = Qt__WindowFrameSection(3)
	Qt__TopRightSection    Qt__WindowFrameSection = Qt__WindowFrameSection(4)
	Qt__RightSection       Qt__WindowFrameSection = Qt__WindowFrameSection(5)
	Qt__BottomRightSection Qt__WindowFrameSection = Qt__WindowFrameSection(6)
	Qt__BottomSection      Qt__WindowFrameSection = Qt__WindowFrameSection(7)
	Qt__BottomLeftSection  Qt__WindowFrameSection = Qt__WindowFrameSection(8)
	Qt__TitleBarArea       Qt__WindowFrameSection = Qt__WindowFrameSection(9)
)

//go:generate stringer -type=Qt__CoordinateSystem
//Qt::CoordinateSystem
type Qt__CoordinateSystem int64

const (
	Qt__DeviceCoordinates  Qt__CoordinateSystem = Qt__CoordinateSystem(0)
	Qt__LogicalCoordinates Qt__CoordinateSystem = Qt__CoordinateSystem(1)
)

//go:generate stringer -type=Qt__TouchPointState
//Qt::TouchPointState
type Qt__TouchPointState int64

const (
	Qt__TouchPointPressed    Qt__TouchPointState = Qt__TouchPointState(0x01)
	Qt__TouchPointMoved      Qt__TouchPointState = Qt__TouchPointState(0x02)
	Qt__TouchPointStationary Qt__TouchPointState = Qt__TouchPointState(0x04)
	Qt__TouchPointReleased   Qt__TouchPointState = Qt__TouchPointState(0x08)
)

//go:generate stringer -type=Qt__GestureState
//Qt::GestureState
type Qt__GestureState int64

const (
	Qt__NoGesture       Qt__GestureState = Qt__GestureState(0)
	Qt__GestureStarted  Qt__GestureState = Qt__GestureState(1)
	Qt__GestureUpdated  Qt__GestureState = Qt__GestureState(2)
	Qt__GestureFinished Qt__GestureState = Qt__GestureState(3)
	Qt__GestureCanceled Qt__GestureState = Qt__GestureState(4)
)

//go:generate stringer -type=Qt__GestureType
//Qt::GestureType
type Qt__GestureType int64

var (
	Qt__TapGesture        Qt__GestureType = Qt__GestureType(1)
	Qt__TapAndHoldGesture Qt__GestureType = Qt__GestureType(2)
	Qt__PanGesture        Qt__GestureType = Qt__GestureType(3)
	Qt__PinchGesture      Qt__GestureType = Qt__GestureType(4)
	Qt__SwipeGesture      Qt__GestureType = Qt__GestureType(5)
	Qt__CustomGesture     Qt__GestureType = Qt__GestureType(0x0100)
	Qt__LastGestureType   Qt__GestureType = Qt__GestureType(0)
)

//go:generate stringer -type=Qt__GestureFlag
//Qt::GestureFlag
type Qt__GestureFlag int64

const (
	Qt__DontStartGestureOnChildren       Qt__GestureFlag = Qt__GestureFlag(0x01)
	Qt__ReceivePartialGestures           Qt__GestureFlag = Qt__GestureFlag(0x02)
	Qt__IgnoredGesturesPropagateToParent Qt__GestureFlag = Qt__GestureFlag(0x04)
)

//go:generate stringer -type=Qt__NativeGestureType
//Qt::NativeGestureType
type Qt__NativeGestureType int64

const (
	Qt__BeginNativeGesture     Qt__NativeGestureType = Qt__NativeGestureType(0)
	Qt__EndNativeGesture       Qt__NativeGestureType = Qt__NativeGestureType(1)
	Qt__PanNativeGesture       Qt__NativeGestureType = Qt__NativeGestureType(2)
	Qt__ZoomNativeGesture      Qt__NativeGestureType = Qt__NativeGestureType(3)
	Qt__SmartZoomNativeGesture Qt__NativeGestureType = Qt__NativeGestureType(4)
	Qt__RotateNativeGesture    Qt__NativeGestureType = Qt__NativeGestureType(5)
	Qt__SwipeNativeGesture     Qt__NativeGestureType = Qt__NativeGestureType(6)
)

//go:generate stringer -type=Qt__NavigationMode
//Qt::NavigationMode
type Qt__NavigationMode int64

const (
	Qt__NavigationModeNone               Qt__NavigationMode = Qt__NavigationMode(0)
	Qt__NavigationModeKeypadTabOrder     Qt__NavigationMode = Qt__NavigationMode(1)
	Qt__NavigationModeKeypadDirectional  Qt__NavigationMode = Qt__NavigationMode(2)
	Qt__NavigationModeCursorAuto         Qt__NavigationMode = Qt__NavigationMode(3)
	Qt__NavigationModeCursorForceVisible Qt__NavigationMode = Qt__NavigationMode(4)
)

//go:generate stringer -type=Qt__CursorMoveStyle
//Qt::CursorMoveStyle
type Qt__CursorMoveStyle int64

var (
	Qt__LogicalMoveStyle Qt__CursorMoveStyle = Qt__CursorMoveStyle(0)
	Qt__VisualMoveStyle  Qt__CursorMoveStyle = Qt__CursorMoveStyle(1)
)

//go:generate stringer -type=Qt__TimerType
//Qt::TimerType
type Qt__TimerType int64

const (
	Qt__PreciseTimer    Qt__TimerType = Qt__TimerType(0)
	Qt__CoarseTimer     Qt__TimerType = Qt__TimerType(1)
	Qt__VeryCoarseTimer Qt__TimerType = Qt__TimerType(2)
)

//go:generate stringer -type=Qt__ScrollPhase
//Qt::ScrollPhase
type Qt__ScrollPhase int64

const (
	Qt__NoScrollPhase  Qt__ScrollPhase = Qt__ScrollPhase(0)
	Qt__ScrollBegin    Qt__ScrollPhase = Qt__ScrollPhase(1)
	Qt__ScrollUpdate   Qt__ScrollPhase = Qt__ScrollPhase(2)
	Qt__ScrollEnd      Qt__ScrollPhase = Qt__ScrollPhase(3)
	Qt__ScrollMomentum Qt__ScrollPhase = Qt__ScrollPhase(4)
)

//go:generate stringer -type=Qt__MouseEventSource
//Qt::MouseEventSource
type Qt__MouseEventSource int64

const (
	Qt__MouseEventNotSynthesized           Qt__MouseEventSource = Qt__MouseEventSource(0)
	Qt__MouseEventSynthesizedBySystem      Qt__MouseEventSource = Qt__MouseEventSource(1)
	Qt__MouseEventSynthesizedByQt          Qt__MouseEventSource = Qt__MouseEventSource(2)
	Qt__MouseEventSynthesizedByApplication Qt__MouseEventSource = Qt__MouseEventSource(3)
)

//go:generate stringer -type=Qt__MouseEventFlag
//Qt::MouseEventFlag
type Qt__MouseEventFlag int64

const (
	Qt__MouseEventCreatedDoubleClick Qt__MouseEventFlag = Qt__MouseEventFlag(0x01)
	Qt__MouseEventFlagMask           Qt__MouseEventFlag = Qt__MouseEventFlag(0xFF)
)

//go:generate stringer -type=Qt__ChecksumType
//Qt::ChecksumType
type Qt__ChecksumType int64

const (
	Qt__ChecksumIso3309 Qt__ChecksumType = Qt__ChecksumType(0)
	Qt__ChecksumItuV41  Qt__ChecksumType = Qt__ChecksumType(1)
)

func Qt_ConvertFromPlainText(plain string, mode Qt__WhiteSpaceMode) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.Qt_ConvertFromPlainText", "", plain, mode}).(string)
}

func (ptr *Qt) ConvertFromPlainText(plain string, mode Qt__WhiteSpaceMode) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.Qt_ConvertFromPlainText", "", plain, mode}).(string)
}

func Qt_MightBeRichText(text string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.Qt_MightBeRichText", "", text}).(bool)
}

func (ptr *Qt) MightBeRichText(text string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.Qt_MightBeRichText", "", text}).(bool)
}

type QtGlobal struct {
	internal.Internal
}

type QtGlobal_ITF interface {
	QtGlobal_PTR() *QtGlobal
}

func (ptr *QtGlobal) QtGlobal_PTR() *QtGlobal {
	return ptr
}

func (ptr *QtGlobal) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QtGlobal) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQtGlobal(ptr QtGlobal_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QtGlobal_PTR().Pointer()
	}
	return nil
}

func (n *QtGlobal) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQtGlobalFromPointer(ptr unsafe.Pointer) (n *QtGlobal) {
	n = new(QtGlobal)
	n.InitFromInternal(uintptr(ptr), "core.QtGlobal")
	return
}

func (ptr *QtGlobal) DestroyQtGlobal() {
}

func QtGlobal_qEnvironmentVariable(varName string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qEnvironmentVariable", "", varName}).(string)
}

func (ptr *QtGlobal) qEnvironmentVariable(varName string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qEnvironmentVariable", "", varName}).(string)
}

func QtGlobal_qEnvironmentVariable2(varName string, defaultValue string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qEnvironmentVariable2", "", varName, defaultValue}).(string)
}

func (ptr *QtGlobal) qEnvironmentVariable2(varName string, defaultValue string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qEnvironmentVariable2", "", varName, defaultValue}).(string)
}

func QtGlobal_qEnvironmentVariableIntValue(varName string, ok *bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qEnvironmentVariableIntValue", "", varName, ok}).(float64))
}

func (ptr *QtGlobal) qEnvironmentVariableIntValue(varName string, ok *bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qEnvironmentVariableIntValue", "", varName, ok}).(float64))
}

func QtGlobal_qEnvironmentVariableIsEmpty(varName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qEnvironmentVariableIsEmpty", "", varName}).(bool)
}

func (ptr *QtGlobal) qEnvironmentVariableIsEmpty(varName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qEnvironmentVariableIsEmpty", "", varName}).(bool)
}

func QtGlobal_qEnvironmentVariableIsSet(varName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qEnvironmentVariableIsSet", "", varName}).(bool)
}

func (ptr *QtGlobal) qEnvironmentVariableIsSet(varName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qEnvironmentVariableIsSet", "", varName}).(bool)
}

func QtGlobal_qVersion() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qVersion", ""}).(string)
}

func (ptr *QtGlobal) qVersion() string {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qVersion", ""}).(string)
}

func QtGlobal_qgetenv(varName string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qgetenv", "", varName}).(*QByteArray)
}

func (ptr *QtGlobal) qgetenv(varName string) *QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qgetenv", "", varName}).(*QByteArray)
}

func QtGlobal_qputenv(varName string, value QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qputenv", "", varName, value}).(bool)
}

func (ptr *QtGlobal) qputenv(varName string, value QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qputenv", "", varName, value}).(bool)
}

func QtGlobal_qunsetenv(varName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qunsetenv", "", varName}).(bool)
}

func (ptr *QtGlobal) qunsetenv(varName string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "core.QtGlobal_qunsetenv", "", varName}).(bool)
}

type qfloat16 struct {
	internal.Internal
}

type qfloat16_ITF interface {
	qfloat16_PTR() *qfloat16
}

func (ptr *qfloat16) qfloat16_PTR() *qfloat16 {
	return ptr
}

func (ptr *qfloat16) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *qfloat16) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQfloat16(ptr qfloat16_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.qfloat16_PTR().Pointer()
	}
	return nil
}

func (n *qfloat16) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQfloat16FromPointer(ptr unsafe.Pointer) (n *qfloat16) {
	n = new(qfloat16)
	n.InitFromInternal(uintptr(ptr), "core.qfloat16")
	return
}

func (ptr *qfloat16) DestroyQfloat16() {
}

func init() {
	internal.ConstructorTable["core.QAbstractAnimation"] = NewQAbstractAnimationFromPointer
	internal.ConstructorTable["core.QAbstractConcatenable"] = NewQAbstractConcatenableFromPointer
	internal.ConstructorTable["core.QAbstractEventDispatcher"] = NewQAbstractEventDispatcherFromPointer
	internal.ConstructorTable["core.QAbstractItemModel"] = NewQAbstractItemModelFromPointer
	internal.ConstructorTable["core.QAbstractListModel"] = NewQAbstractListModelFromPointer
	internal.ConstructorTable["core.QAbstractNativeEventFilter"] = NewQAbstractNativeEventFilterFromPointer
	internal.ConstructorTable["core.QAbstractProxyModel"] = NewQAbstractProxyModelFromPointer
	internal.ConstructorTable["core.QAbstractState"] = NewQAbstractStateFromPointer
	internal.ConstructorTable["core.QAbstractTableModel"] = NewQAbstractTableModelFromPointer
	internal.ConstructorTable["core.QAbstractTransition"] = NewQAbstractTransitionFromPointer
	internal.ConstructorTable["core.QAnimationGroup"] = NewQAnimationGroupFromPointer
	internal.ConstructorTable["core.QArgument"] = NewQArgumentFromPointer
	internal.ConstructorTable["core.QArrayData"] = NewQArrayDataFromPointer
	internal.ConstructorTable["core.QArrayDataPointer"] = NewQArrayDataPointerFromPointer
	internal.ConstructorTable["core.QAssociativeIterable"] = NewQAssociativeIterableFromPointer
	internal.ConstructorTable["core.QBEInteger"] = NewQBEIntegerFromPointer
	internal.ConstructorTable["core.QBasicAtomicInteger"] = NewQBasicAtomicIntegerFromPointer
	internal.ConstructorTable["core.QBasicAtomicPointer"] = NewQBasicAtomicPointerFromPointer
	internal.ConstructorTable["core.QBasicMutex"] = NewQBasicMutexFromPointer
	internal.ConstructorTable["core.QBasicTimer"] = NewQBasicTimerFromPointer
	internal.ConstructorTable["core.QBigEndianStorageType"] = NewQBigEndianStorageTypeFromPointer
	internal.ConstructorTable["core.QBitArray"] = NewQBitArrayFromPointer
	internal.ConstructorTable["core.QBuffer"] = NewQBufferFromPointer
	internal.ConstructorTable["core.QByteArray"] = NewQByteArrayFromPointer
	internal.ConstructorTable["core.QByteArrayList"] = NewQByteArrayListFromPointer
	internal.ConstructorTable["core.QByteArrayMatcher"] = NewQByteArrayMatcherFromPointer
	internal.ConstructorTable["core.QByteRef"] = NewQByteRefFromPointer
	internal.ConstructorTable["core.QCborArray"] = NewQCborArrayFromPointer
	internal.ConstructorTable["core.QCborError"] = NewQCborErrorFromPointer
	internal.ConstructorTable["core.QCborMap"] = NewQCborMapFromPointer
	internal.ConstructorTable["core.QCborParserError"] = NewQCborParserErrorFromPointer
	internal.ConstructorTable["core.QCborValueRef"] = NewQCborValueRefFromPointer
	internal.ConstructorTable["core.QChar"] = NewQCharFromPointer
	internal.ConstructorTable["core.QChildEvent"] = NewQChildEventFromPointer
	internal.ConstructorTable["core.QCollator"] = NewQCollatorFromPointer
	internal.ConstructorTable["core.QCollatorSortKey"] = NewQCollatorSortKeyFromPointer
	internal.ConstructorTable["core.QCommandLineOption"] = NewQCommandLineOptionFromPointer
	internal.ConstructorTable["core.QCommandLineParser"] = NewQCommandLineParserFromPointer
	internal.ConstructorTable["core.QConcatenateTablesProxyModel"] = NewQConcatenateTablesProxyModelFromPointer
	internal.ConstructorTable["core.QContiguousCacheData"] = NewQContiguousCacheDataFromPointer
	internal.ConstructorTable["core.QContiguousCacheTypedData"] = NewQContiguousCacheTypedDataFromPointer
	internal.ConstructorTable["core.QCoreApplication"] = NewQCoreApplicationFromPointer
	internal.ConstructorTable["core.QCryptographicHash"] = NewQCryptographicHashFromPointer
	internal.ConstructorTable["core.QDataStream"] = NewQDataStreamFromPointer
	internal.ConstructorTable["core.QDate"] = NewQDateFromPointer
	internal.ConstructorTable["core.QDateTime"] = NewQDateTimeFromPointer
	internal.ConstructorTable["core.QDeadlineTimer"] = NewQDeadlineTimerFromPointer
	internal.ConstructorTable["core.QDebug"] = NewQDebugFromPointer
	internal.ConstructorTable["core.QDebugStateSaver"] = NewQDebugStateSaverFromPointer
	internal.ConstructorTable["core.QDeferredDeleteEvent"] = NewQDeferredDeleteEventFromPointer
	internal.ConstructorTable["core.QDir"] = NewQDirFromPointer
	internal.ConstructorTable["core.QDynamicPropertyChangeEvent"] = NewQDynamicPropertyChangeEventFromPointer
	internal.ConstructorTable["core.QEasingCurve"] = NewQEasingCurveFromPointer
	internal.ConstructorTable["core.QElapsedTimer"] = NewQElapsedTimerFromPointer
	internal.ConstructorTable["core.QEnableSharedFromThis"] = NewQEnableSharedFromThisFromPointer
	internal.ConstructorTable["core.QEvent"] = NewQEventFromPointer
	internal.ConstructorTable["core.QEventLoop"] = NewQEventLoopFromPointer
	internal.ConstructorTable["core.QEventLoopLocker"] = NewQEventLoopLockerFromPointer
	internal.ConstructorTable["core.QEventTransition"] = NewQEventTransitionFromPointer
	internal.ConstructorTable["core.QFactoryInterface"] = NewQFactoryInterfaceFromPointer
	internal.ConstructorTable["core.QFile"] = NewQFileFromPointer
	internal.ConstructorTable["core.QFileDevice"] = NewQFileDeviceFromPointer
	internal.ConstructorTable["core.QFileInfo"] = NewQFileInfoFromPointer
	internal.ConstructorTable["core.QFileSelector"] = NewQFileSelectorFromPointer
	internal.ConstructorTable["core.QFileSystemWatcher"] = NewQFileSystemWatcherFromPointer
	internal.ConstructorTable["core.QFinalState"] = NewQFinalStateFromPointer
	internal.ConstructorTable["core.QFlag"] = NewQFlagFromPointer
	internal.ConstructorTable["core.QFutureInterface"] = NewQFutureInterfaceFromPointer
	internal.ConstructorTable["core.QFutureInterfaceBase"] = NewQFutureInterfaceBaseFromPointer
	internal.ConstructorTable["core.QFutureWatcherBase"] = NewQFutureWatcherBaseFromPointer
	internal.ConstructorTable["core.QGenericArgument"] = NewQGenericArgumentFromPointer
	internal.ConstructorTable["core.QGenericAtomicOps"] = NewQGenericAtomicOpsFromPointer
	internal.ConstructorTable["core.QGenericReturnArgument"] = NewQGenericReturnArgumentFromPointer
	internal.ConstructorTable["core.QHashData"] = NewQHashDataFromPointer
	internal.ConstructorTable["core.QHashNode"] = NewQHashNodeFromPointer
	internal.ConstructorTable["core.QHistoryState"] = NewQHistoryStateFromPointer
	internal.ConstructorTable["core.QIODevice"] = NewQIODeviceFromPointer
	internal.ConstructorTable["core.QIdentityProxyModel"] = NewQIdentityProxyModelFromPointer
	internal.ConstructorTable["core.QIncompatibleFlag"] = NewQIncompatibleFlagFromPointer
	internal.ConstructorTable["core.QInternal"] = NewQInternalFromPointer
	internal.ConstructorTable["core.QItemSelection"] = NewQItemSelectionFromPointer
	internal.ConstructorTable["core.QItemSelectionModel"] = NewQItemSelectionModelFromPointer
	internal.ConstructorTable["core.QItemSelectionRange"] = NewQItemSelectionRangeFromPointer
	internal.ConstructorTable["core.QJsonArray"] = NewQJsonArrayFromPointer
	internal.ConstructorTable["core.QJsonDocument"] = NewQJsonDocumentFromPointer
	internal.ConstructorTable["core.QJsonObject"] = NewQJsonObjectFromPointer
	internal.ConstructorTable["core.QJsonParseError"] = NewQJsonParseErrorFromPointer
	internal.ConstructorTable["core.QJsonValue"] = NewQJsonValueFromPointer
	internal.ConstructorTable["core.QJsonValuePtr"] = NewQJsonValuePtrFromPointer
	internal.ConstructorTable["core.QJsonValueRefPtr"] = NewQJsonValueRefPtrFromPointer
	internal.ConstructorTable["core.QLEInteger"] = NewQLEIntegerFromPointer
	internal.ConstructorTable["core.QLatin1Char"] = NewQLatin1CharFromPointer
	internal.ConstructorTable["core.QLatin1String"] = NewQLatin1StringFromPointer
	internal.ConstructorTable["core.QLibrary"] = NewQLibraryFromPointer
	internal.ConstructorTable["core.QLibraryInfo"] = NewQLibraryInfoFromPointer
	internal.ConstructorTable["core.QLine"] = NewQLineFromPointer
	internal.ConstructorTable["core.QLineF"] = NewQLineFFromPointer
	internal.ConstructorTable["core.QLinkedListNode"] = NewQLinkedListNodeFromPointer
	internal.ConstructorTable["core.QListData"] = NewQListDataFromPointer
	internal.ConstructorTable["core.QListSpecialMethods"] = NewQListSpecialMethodsFromPointer
	internal.ConstructorTable["core.QLittleEndianStorageType"] = NewQLittleEndianStorageTypeFromPointer
	internal.ConstructorTable["core.QLocale"] = NewQLocaleFromPointer
	internal.ConstructorTable["core.QLockFile"] = NewQLockFileFromPointer
	internal.ConstructorTable["core.QLoggingCategory"] = NewQLoggingCategoryFromPointer
	internal.ConstructorTable["core.QMapData"] = NewQMapDataFromPointer
	internal.ConstructorTable["core.QMapDataBase"] = NewQMapDataBaseFromPointer
	internal.ConstructorTable["core.QMapNode"] = NewQMapNodeFromPointer
	internal.ConstructorTable["core.QMapNodeBase"] = NewQMapNodeBaseFromPointer
	internal.ConstructorTable["core.QMargins"] = NewQMarginsFromPointer
	internal.ConstructorTable["core.QMarginsF"] = NewQMarginsFFromPointer
	internal.ConstructorTable["core.QMessageAuthenticationCode"] = NewQMessageAuthenticationCodeFromPointer
	internal.ConstructorTable["core.QMessageLogContext"] = NewQMessageLogContextFromPointer
	internal.ConstructorTable["core.QMessageLogger"] = NewQMessageLoggerFromPointer
	internal.ConstructorTable["core.QMetaClassInfo"] = NewQMetaClassInfoFromPointer
	internal.ConstructorTable["core.QMetaEnum"] = NewQMetaEnumFromPointer
	internal.ConstructorTable["core.QMetaMethod"] = NewQMetaMethodFromPointer
	internal.ConstructorTable["core.QMetaObject"] = NewQMetaObjectFromPointer
	internal.ConstructorTable["core.QMetaProperty"] = NewQMetaPropertyFromPointer
	internal.ConstructorTable["core.QMetaType"] = NewQMetaTypeFromPointer
	internal.ConstructorTable["core.QMimeData"] = NewQMimeDataFromPointer
	internal.ConstructorTable["core.QMimeDatabase"] = NewQMimeDatabaseFromPointer
	internal.ConstructorTable["core.QMimeType"] = NewQMimeTypeFromPointer
	internal.ConstructorTable["core.QModelIndex"] = NewQModelIndexFromPointer
	internal.ConstructorTable["core.QMutex"] = NewQMutexFromPointer
	internal.ConstructorTable["core.QMutexLocker"] = NewQMutexLockerFromPointer
	internal.ConstructorTable["core.QNoDebug"] = NewQNoDebugFromPointer
	internal.ConstructorTable["core.QObject"] = NewQObjectFromPointer
	internal.ConstructorTable["core.QObjectCleanupHandler"] = NewQObjectCleanupHandlerFromPointer
	internal.ConstructorTable["core.QObjectData"] = NewQObjectDataFromPointer
	internal.ConstructorTable["core.QObjectUserData"] = NewQObjectUserDataFromPointer
	internal.ConstructorTable["core.QOperatingSystemVersion"] = NewQOperatingSystemVersionFromPointer
	internal.ConstructorTable["core.QParallelAnimationGroup"] = NewQParallelAnimationGroupFromPointer
	internal.ConstructorTable["core.QPauseAnimation"] = NewQPauseAnimationFromPointer
	internal.ConstructorTable["core.QPersistentModelIndex"] = NewQPersistentModelIndexFromPointer
	internal.ConstructorTable["core.QPluginLoader"] = NewQPluginLoaderFromPointer
	internal.ConstructorTable["core.QPoint"] = NewQPointFromPointer
	internal.ConstructorTable["core.QPointF"] = NewQPointFFromPointer
	internal.ConstructorTable["core.QProcess"] = NewQProcessFromPointer
	internal.ConstructorTable["core.QProcessEnvironment"] = NewQProcessEnvironmentFromPointer
	internal.ConstructorTable["core.QPropertyAnimation"] = NewQPropertyAnimationFromPointer
	internal.ConstructorTable["core.QRandomGenerator"] = NewQRandomGeneratorFromPointer
	internal.ConstructorTable["core.QRandomGenerator64"] = NewQRandomGenerator64FromPointer
	internal.ConstructorTable["core.QReadLocker"] = NewQReadLockerFromPointer
	internal.ConstructorTable["core.QReadWriteLock"] = NewQReadWriteLockFromPointer
	internal.ConstructorTable["core.QRect"] = NewQRectFromPointer
	internal.ConstructorTable["core.QRectF"] = NewQRectFFromPointer
	internal.ConstructorTable["core.QRegExp"] = NewQRegExpFromPointer
	internal.ConstructorTable["core.QRegularExpression"] = NewQRegularExpressionFromPointer
	internal.ConstructorTable["core.QRegularExpressionMatch"] = NewQRegularExpressionMatchFromPointer
	internal.ConstructorTable["core.QResource"] = NewQResourceFromPointer
	internal.ConstructorTable["core.QReturnArgument"] = NewQReturnArgumentFromPointer
	internal.ConstructorTable["core.QRunnable"] = NewQRunnableFromPointer
	internal.ConstructorTable["core.QSaveFile"] = NewQSaveFileFromPointer
	internal.ConstructorTable["core.QScopedPointerArrayDeleter"] = NewQScopedPointerArrayDeleterFromPointer
	internal.ConstructorTable["core.QScopedPointerDeleter"] = NewQScopedPointerDeleterFromPointer
	internal.ConstructorTable["core.QScopedPointerObjectDeleteLater"] = NewQScopedPointerObjectDeleteLaterFromPointer
	internal.ConstructorTable["core.QScopedPointerPodDeleter"] = NewQScopedPointerPodDeleterFromPointer
	internal.ConstructorTable["core.QSemaphore"] = NewQSemaphoreFromPointer
	internal.ConstructorTable["core.QSemaphoreReleaser"] = NewQSemaphoreReleaserFromPointer
	internal.ConstructorTable["core.QSequentialAnimationGroup"] = NewQSequentialAnimationGroupFromPointer
	internal.ConstructorTable["core.QSequentialIterable"] = NewQSequentialIterableFromPointer
	internal.ConstructorTable["core.QSettings"] = NewQSettingsFromPointer
	internal.ConstructorTable["core.QSharedData"] = NewQSharedDataFromPointer
	internal.ConstructorTable["core.QSharedMemory"] = NewQSharedMemoryFromPointer
	internal.ConstructorTable["core.QSignalBlocker"] = NewQSignalBlockerFromPointer
	internal.ConstructorTable["core.QSignalTransition"] = NewQSignalTransitionFromPointer
	internal.ConstructorTable["core.QSize"] = NewQSizeFromPointer
	internal.ConstructorTable["core.QSizeF"] = NewQSizeFFromPointer
	internal.ConstructorTable["core.QSocketNotifier"] = NewQSocketNotifierFromPointer
	internal.ConstructorTable["core.QSortFilterProxyModel"] = NewQSortFilterProxyModelFromPointer
	internal.ConstructorTable["core.QSpecialInteger"] = NewQSpecialIntegerFromPointer
	internal.ConstructorTable["core.QStandardPaths"] = NewQStandardPathsFromPointer
	internal.ConstructorTable["core.QState"] = NewQStateFromPointer
	internal.ConstructorTable["core.QStateMachine"] = NewQStateMachineFromPointer
	internal.ConstructorTable["core.QStaticByteArrayData"] = NewQStaticByteArrayDataFromPointer
	internal.ConstructorTable["core.QStaticPlugin"] = NewQStaticPluginFromPointer
	internal.ConstructorTable["core.QStaticStringData"] = NewQStaticStringDataFromPointer
	internal.ConstructorTable["core.QStorageInfo"] = NewQStorageInfoFromPointer
	internal.ConstructorTable["core.QStringBuilderCommon"] = NewQStringBuilderCommonFromPointer
	internal.ConstructorTable["core.QStringListModel"] = NewQStringListModelFromPointer
	internal.ConstructorTable["core.QStringMatcher"] = NewQStringMatcherFromPointer
	internal.ConstructorTable["core.QStringRef"] = NewQStringRefFromPointer
	internal.ConstructorTable["core.QStringView"] = NewQStringViewFromPointer
	internal.ConstructorTable["core.QSysInfo"] = NewQSysInfoFromPointer
	internal.ConstructorTable["core.QSystemSemaphore"] = NewQSystemSemaphoreFromPointer
	internal.ConstructorTable["core.QTemporaryDir"] = NewQTemporaryDirFromPointer
	internal.ConstructorTable["core.QTemporaryFile"] = NewQTemporaryFileFromPointer
	internal.ConstructorTable["core.QTextBoundaryFinder"] = NewQTextBoundaryFinderFromPointer
	internal.ConstructorTable["core.QTextCodec"] = NewQTextCodecFromPointer
	internal.ConstructorTable["core.QTextDecoder"] = NewQTextDecoderFromPointer
	internal.ConstructorTable["core.QTextEncoder"] = NewQTextEncoderFromPointer
	internal.ConstructorTable["core.QTextStream"] = NewQTextStreamFromPointer
	internal.ConstructorTable["core.QTextStreamManipulator"] = NewQTextStreamManipulatorFromPointer
	internal.ConstructorTable["core.QThread"] = NewQThreadFromPointer
	internal.ConstructorTable["core.QThreadPool"] = NewQThreadPoolFromPointer
	internal.ConstructorTable["core.QThreadStorageData"] = NewQThreadStorageDataFromPointer
	internal.ConstructorTable["core.QTime"] = NewQTimeFromPointer
	internal.ConstructorTable["core.QTimeLine"] = NewQTimeLineFromPointer
	internal.ConstructorTable["core.QTimeZone"] = NewQTimeZoneFromPointer
	internal.ConstructorTable["core.QTimer"] = NewQTimerFromPointer
	internal.ConstructorTable["core.QTimerEvent"] = NewQTimerEventFromPointer
	internal.ConstructorTable["core.QTranslator"] = NewQTranslatorFromPointer
	internal.ConstructorTable["core.QTransposeProxyModel"] = NewQTransposeProxyModelFromPointer
	internal.ConstructorTable["core.QTypedArrayData"] = NewQTypedArrayDataFromPointer
	internal.ConstructorTable["core.QUnhandledException"] = NewQUnhandledExceptionFromPointer
	internal.ConstructorTable["core.QUrl"] = NewQUrlFromPointer
	internal.ConstructorTable["core.QUrlQuery"] = NewQUrlQueryFromPointer
	internal.ConstructorTable["core.QUrlTwoFlags"] = NewQUrlTwoFlagsFromPointer
	internal.ConstructorTable["core.QUuid"] = NewQUuidFromPointer
	internal.ConstructorTable["core.QVariant"] = NewQVariantFromPointer
	internal.ConstructorTable["core.QVariantAnimation"] = NewQVariantAnimationFromPointer
	internal.ConstructorTable["core.QVersionNumber"] = NewQVersionNumberFromPointer
	internal.ConstructorTable["core.QWaitCondition"] = NewQWaitConditionFromPointer
	internal.ConstructorTable["core.QWriteLocker"] = NewQWriteLockerFromPointer
	internal.ConstructorTable["core.QXmlStreamAttribute"] = NewQXmlStreamAttributeFromPointer
	internal.ConstructorTable["core.QXmlStreamAttributes"] = NewQXmlStreamAttributesFromPointer
	internal.ConstructorTable["core.QXmlStreamEntityDeclaration"] = NewQXmlStreamEntityDeclarationFromPointer
	internal.ConstructorTable["core.QXmlStreamEntityResolver"] = NewQXmlStreamEntityResolverFromPointer
	internal.ConstructorTable["core.QXmlStreamNamespaceDeclaration"] = NewQXmlStreamNamespaceDeclarationFromPointer
	internal.ConstructorTable["core.QXmlStreamNotationDeclaration"] = NewQXmlStreamNotationDeclarationFromPointer
	internal.ConstructorTable["core.QXmlStreamReader"] = NewQXmlStreamReaderFromPointer
	internal.ConstructorTable["core.QXmlStreamWriter"] = NewQXmlStreamWriterFromPointer
	internal.ConstructorTable["core.Qt"] = NewQtFromPointer
	internal.ConstructorTable["core.QtGlobal"] = NewQtGlobalFromPointer
}
