// +build !minimal

package gui

import (
	"github.com/therecipe/qt/core"
	"github.com/therecipe/qt/internal"
	"github.com/therecipe/qt/interop/gow"
	"unsafe"
)

type QAbstractOpenGLFunctions struct {
	internal.Internal
}

type QAbstractOpenGLFunctions_ITF interface {
	QAbstractOpenGLFunctions_PTR() *QAbstractOpenGLFunctions
}

func (ptr *QAbstractOpenGLFunctions) QAbstractOpenGLFunctions_PTR() *QAbstractOpenGLFunctions {
	return ptr
}

func (ptr *QAbstractOpenGLFunctions) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAbstractOpenGLFunctions) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAbstractOpenGLFunctions(ptr QAbstractOpenGLFunctions_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractOpenGLFunctions) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAbstractOpenGLFunctionsFromPointer(ptr unsafe.Pointer) (n *QAbstractOpenGLFunctions) {
	n = new(QAbstractOpenGLFunctions)
	n.InitFromInternal(uintptr(ptr), "gui.QAbstractOpenGLFunctions")
	return
}

type QAbstractTextDocumentLayout struct {
	core.QObject
}

type QAbstractTextDocumentLayout_ITF interface {
	core.QObject_ITF
	QAbstractTextDocumentLayout_PTR() *QAbstractTextDocumentLayout
}

func (ptr *QAbstractTextDocumentLayout) QAbstractTextDocumentLayout_PTR() *QAbstractTextDocumentLayout {
	return ptr
}

func (ptr *QAbstractTextDocumentLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractTextDocumentLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractTextDocumentLayout(ptr QAbstractTextDocumentLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractTextDocumentLayout_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractTextDocumentLayout) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractTextDocumentLayout) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAbstractTextDocumentLayoutFromPointer(ptr unsafe.Pointer) (n *QAbstractTextDocumentLayout) {
	n = new(QAbstractTextDocumentLayout)
	n.InitFromInternal(uintptr(ptr), "gui.QAbstractTextDocumentLayout")
	return
}

func (ptr *QAbstractTextDocumentLayout) DestroyQAbstractTextDocumentLayout() {
}

func (ptr *QAbstractTextDocumentLayout) AnchorAt(position core.QPointF_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AnchorAt", position}).(string)
}

func (ptr *QAbstractTextDocumentLayout) ConnectBlockBoundingRect(f func(block *QTextBlock) *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBlockBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTextDocumentLayout) DisconnectBlockBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBlockBoundingRect"})
}

func (ptr *QAbstractTextDocumentLayout) BlockBoundingRect(block QTextBlock_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockBoundingRect", block}).(*core.QRectF)
}

func (ptr *QAbstractTextDocumentLayout) Document() *QTextDocument {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Document"}).(*QTextDocument)
}

func (ptr *QAbstractTextDocumentLayout) ConnectDocumentChanged(f func(position int, charsRemoved int, charsAdded int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDocumentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTextDocumentLayout) DisconnectDocumentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDocumentChanged"})
}

func (ptr *QAbstractTextDocumentLayout) DocumentChanged(position int, charsRemoved int, charsAdded int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentChanged", position, charsRemoved, charsAdded})
}

func (ptr *QAbstractTextDocumentLayout) ConnectDocumentSize(f func() *core.QSizeF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDocumentSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTextDocumentLayout) DisconnectDocumentSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDocumentSize"})
}

func (ptr *QAbstractTextDocumentLayout) DocumentSize() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentSize"}).(*core.QSizeF)
}

func (ptr *QAbstractTextDocumentLayout) ConnectDocumentSizeChanged(f func(newSize *core.QSizeF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDocumentSizeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTextDocumentLayout) DisconnectDocumentSizeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDocumentSizeChanged"})
}

func (ptr *QAbstractTextDocumentLayout) DocumentSizeChanged(newSize core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentSizeChanged", newSize})
}

func (ptr *QAbstractTextDocumentLayout) ConnectDrawInlineObject(f func(painter *QPainter, rect *core.QRectF, object *QTextInlineObject, posInDocument int, format *QTextFormat)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawInlineObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTextDocumentLayout) DisconnectDrawInlineObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawInlineObject"})
}

func (ptr *QAbstractTextDocumentLayout) DrawInlineObject(painter QPainter_ITF, rect core.QRectF_ITF, object QTextInlineObject_ITF, posInDocument int, format QTextFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawInlineObject", painter, rect, object, posInDocument, format})
}

func (ptr *QAbstractTextDocumentLayout) DrawInlineObjectDefault(painter QPainter_ITF, rect core.QRectF_ITF, object QTextInlineObject_ITF, posInDocument int, format QTextFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawInlineObjectDefault", painter, rect, object, posInDocument, format})
}

func (ptr *QAbstractTextDocumentLayout) Format(position int) *QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format", position}).(*QTextCharFormat)
}

func (ptr *QAbstractTextDocumentLayout) FormatAt(pos core.QPointF_ITF) *QTextFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FormatAt", pos}).(*QTextFormat)
}

func (ptr *QAbstractTextDocumentLayout) ConnectFrameBoundingRect(f func(frame *QTextFrame) *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFrameBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTextDocumentLayout) DisconnectFrameBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFrameBoundingRect"})
}

func (ptr *QAbstractTextDocumentLayout) FrameBoundingRect(frame QTextFrame_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameBoundingRect", frame}).(*core.QRectF)
}

func (ptr *QAbstractTextDocumentLayout) HandlerForObject(objectType int) *QTextObjectInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HandlerForObject", objectType}).(*QTextObjectInterface)
}

func (ptr *QAbstractTextDocumentLayout) ConnectHitTest(f func(point *core.QPointF, accuracy core.Qt__HitTestAccuracy) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHitTest", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTextDocumentLayout) DisconnectHitTest() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHitTest"})
}

func (ptr *QAbstractTextDocumentLayout) HitTest(point core.QPointF_ITF, accuracy core.Qt__HitTestAccuracy) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HitTest", point, accuracy}).(float64))
}

func (ptr *QAbstractTextDocumentLayout) ImageAt(pos core.QPointF_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageAt", pos}).(string)
}

func (ptr *QAbstractTextDocumentLayout) ConnectPageCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPageCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTextDocumentLayout) DisconnectPageCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPageCount"})
}

func (ptr *QAbstractTextDocumentLayout) PageCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageCount"}).(float64))
}

func (ptr *QAbstractTextDocumentLayout) ConnectPageCountChanged(f func(newPages int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPageCountChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTextDocumentLayout) DisconnectPageCountChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPageCountChanged"})
}

func (ptr *QAbstractTextDocumentLayout) PageCountChanged(newPages int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageCountChanged", newPages})
}

func (ptr *QAbstractTextDocumentLayout) PaintDevice() *QPaintDevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDevice"}).(*QPaintDevice)
}

func (ptr *QAbstractTextDocumentLayout) ConnectPositionInlineObject(f func(item *QTextInlineObject, posInDocument int, format *QTextFormat)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPositionInlineObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTextDocumentLayout) DisconnectPositionInlineObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPositionInlineObject"})
}

func (ptr *QAbstractTextDocumentLayout) PositionInlineObject(item QTextInlineObject_ITF, posInDocument int, format QTextFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PositionInlineObject", item, posInDocument, format})
}

func (ptr *QAbstractTextDocumentLayout) PositionInlineObjectDefault(item QTextInlineObject_ITF, posInDocument int, format QTextFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PositionInlineObjectDefault", item, posInDocument, format})
}

func (ptr *QAbstractTextDocumentLayout) RegisterHandler(objectType int, component core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RegisterHandler", objectType, component})
}

func (ptr *QAbstractTextDocumentLayout) ConnectResizeInlineObject(f func(item *QTextInlineObject, posInDocument int, format *QTextFormat)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResizeInlineObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTextDocumentLayout) DisconnectResizeInlineObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResizeInlineObject"})
}

func (ptr *QAbstractTextDocumentLayout) ResizeInlineObject(item QTextInlineObject_ITF, posInDocument int, format QTextFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeInlineObject", item, posInDocument, format})
}

func (ptr *QAbstractTextDocumentLayout) ResizeInlineObjectDefault(item QTextInlineObject_ITF, posInDocument int, format QTextFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeInlineObjectDefault", item, posInDocument, format})
}

func (ptr *QAbstractTextDocumentLayout) SetPaintDevice(device QPaintDevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPaintDevice", device})
}

func (ptr *QAbstractTextDocumentLayout) UnregisterHandler(objectType int, component core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnregisterHandler", objectType, component})
}

func (ptr *QAbstractTextDocumentLayout) ConnectUpdate(f func(rect *core.QRectF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTextDocumentLayout) DisconnectUpdate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdate"})
}

func (ptr *QAbstractTextDocumentLayout) Update(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Update", rect})
}

func (ptr *QAbstractTextDocumentLayout) ConnectUpdateBlock(f func(block *QTextBlock)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateBlock", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractTextDocumentLayout) DisconnectUpdateBlock() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateBlock"})
}

func (ptr *QAbstractTextDocumentLayout) UpdateBlock(block QTextBlock_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateBlock", block})
}

func (ptr *QAbstractTextDocumentLayout) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QAbstractTextDocumentLayout) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QAbstractTextDocumentLayout) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractTextDocumentLayout) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QAbstractTextDocumentLayout) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QAbstractTextDocumentLayout) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractTextDocumentLayout) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QAbstractTextDocumentLayout) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QAbstractTextDocumentLayout) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractTextDocumentLayout) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QAbstractTextDocumentLayout) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QAbstractTextDocumentLayout) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QAbstractTextDocumentLayout) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QAbstractTextDocumentLayout) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QAbstractTextDocumentLayout) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QAbstractTextDocumentLayout) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QAbstractTextDocumentLayout) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QAbstractTextDocumentLayout) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QAbstractTextDocumentLayout) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QAbstractTextDocumentLayout) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QAbstractTextDocumentLayout) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QAbstractUndoItem struct {
	internal.Internal
}

type QAbstractUndoItem_ITF interface {
	QAbstractUndoItem_PTR() *QAbstractUndoItem
}

func (ptr *QAbstractUndoItem) QAbstractUndoItem_PTR() *QAbstractUndoItem {
	return ptr
}

func (ptr *QAbstractUndoItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAbstractUndoItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAbstractUndoItem(ptr QAbstractUndoItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractUndoItem_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractUndoItem) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAbstractUndoItemFromPointer(ptr unsafe.Pointer) (n *QAbstractUndoItem) {
	n = new(QAbstractUndoItem)
	n.InitFromInternal(uintptr(ptr), "gui.QAbstractUndoItem")
	return
}

func (ptr *QAbstractUndoItem) DestroyQAbstractUndoItem() {
}

type QAccessible struct {
	internal.Internal
}

type QAccessible_ITF interface {
	QAccessible_PTR() *QAccessible
}

func (ptr *QAccessible) QAccessible_PTR() *QAccessible {
	return ptr
}

func (ptr *QAccessible) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAccessible) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAccessible(ptr QAccessible_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessible_PTR().Pointer()
	}
	return nil
}

func (n *QAccessible) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAccessibleFromPointer(ptr unsafe.Pointer) (n *QAccessible) {
	n = new(QAccessible)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessible")
	return
}

func (ptr *QAccessible) DestroyQAccessible() {
}

//go:generate stringer -type=QAccessible__Event
//QAccessible::Event
type QAccessible__Event int64

const (
	QAccessible__SoundPlayed                     QAccessible__Event = QAccessible__Event(0x0001)
	QAccessible__Alert                           QAccessible__Event = QAccessible__Event(0x0002)
	QAccessible__ForegroundChanged               QAccessible__Event = QAccessible__Event(0x0003)
	QAccessible__MenuStart                       QAccessible__Event = QAccessible__Event(0x0004)
	QAccessible__MenuEnd                         QAccessible__Event = QAccessible__Event(0x0005)
	QAccessible__PopupMenuStart                  QAccessible__Event = QAccessible__Event(0x0006)
	QAccessible__PopupMenuEnd                    QAccessible__Event = QAccessible__Event(0x0007)
	QAccessible__ContextHelpStart                QAccessible__Event = QAccessible__Event(0x000C)
	QAccessible__ContextHelpEnd                  QAccessible__Event = QAccessible__Event(0x000D)
	QAccessible__DragDropStart                   QAccessible__Event = QAccessible__Event(0x000E)
	QAccessible__DragDropEnd                     QAccessible__Event = QAccessible__Event(0x000F)
	QAccessible__DialogStart                     QAccessible__Event = QAccessible__Event(0x0010)
	QAccessible__DialogEnd                       QAccessible__Event = QAccessible__Event(0x0011)
	QAccessible__ScrollingStart                  QAccessible__Event = QAccessible__Event(0x0012)
	QAccessible__ScrollingEnd                    QAccessible__Event = QAccessible__Event(0x0013)
	QAccessible__MenuCommand                     QAccessible__Event = QAccessible__Event(0x0018)
	QAccessible__ActionChanged                   QAccessible__Event = QAccessible__Event(0x0101)
	QAccessible__ActiveDescendantChanged         QAccessible__Event = QAccessible__Event(0x0102)
	QAccessible__AttributeChanged                QAccessible__Event = QAccessible__Event(0x0103)
	QAccessible__DocumentContentChanged          QAccessible__Event = QAccessible__Event(0x0104)
	QAccessible__DocumentLoadComplete            QAccessible__Event = QAccessible__Event(0x0105)
	QAccessible__DocumentLoadStopped             QAccessible__Event = QAccessible__Event(0x0106)
	QAccessible__DocumentReload                  QAccessible__Event = QAccessible__Event(0x0107)
	QAccessible__HyperlinkEndIndexChanged        QAccessible__Event = QAccessible__Event(0x0108)
	QAccessible__HyperlinkNumberOfAnchorsChanged QAccessible__Event = QAccessible__Event(0x0109)
	QAccessible__HyperlinkSelectedLinkChanged    QAccessible__Event = QAccessible__Event(0x010A)
	QAccessible__HypertextLinkActivated          QAccessible__Event = QAccessible__Event(0x010B)
	QAccessible__HypertextLinkSelected           QAccessible__Event = QAccessible__Event(0x010C)
	QAccessible__HyperlinkStartIndexChanged      QAccessible__Event = QAccessible__Event(0x010D)
	QAccessible__HypertextChanged                QAccessible__Event = QAccessible__Event(0x010E)
	QAccessible__HypertextNLinksChanged          QAccessible__Event = QAccessible__Event(0x010F)
	QAccessible__ObjectAttributeChanged          QAccessible__Event = QAccessible__Event(0x0110)
	QAccessible__PageChanged                     QAccessible__Event = QAccessible__Event(0x0111)
	QAccessible__SectionChanged                  QAccessible__Event = QAccessible__Event(0x0112)
	QAccessible__TableCaptionChanged             QAccessible__Event = QAccessible__Event(0x0113)
	QAccessible__TableColumnDescriptionChanged   QAccessible__Event = QAccessible__Event(0x0114)
	QAccessible__TableColumnHeaderChanged        QAccessible__Event = QAccessible__Event(0x0115)
	QAccessible__TableModelChanged               QAccessible__Event = QAccessible__Event(0x0116)
	QAccessible__TableRowDescriptionChanged      QAccessible__Event = QAccessible__Event(0x0117)
	QAccessible__TableRowHeaderChanged           QAccessible__Event = QAccessible__Event(0x0118)
	QAccessible__TableSummaryChanged             QAccessible__Event = QAccessible__Event(0x0119)
	QAccessible__TextAttributeChanged            QAccessible__Event = QAccessible__Event(0x011A)
	QAccessible__TextCaretMoved                  QAccessible__Event = QAccessible__Event(0x011B)
	QAccessible__TextColumnChanged               QAccessible__Event = QAccessible__Event(0x011D)
	QAccessible__TextInserted                    QAccessible__Event = QAccessible__Event(0x011E)
	QAccessible__TextRemoved                     QAccessible__Event = QAccessible__Event(0x011F)
	QAccessible__TextUpdated                     QAccessible__Event = QAccessible__Event(0x0120)
	QAccessible__TextSelectionChanged            QAccessible__Event = QAccessible__Event(0x0121)
	QAccessible__VisibleDataChanged              QAccessible__Event = QAccessible__Event(0x0122)
	QAccessible__ObjectCreated                   QAccessible__Event = QAccessible__Event(0x8000)
	QAccessible__ObjectDestroyed                 QAccessible__Event = QAccessible__Event(0x8001)
	QAccessible__ObjectShow                      QAccessible__Event = QAccessible__Event(0x8002)
	QAccessible__ObjectHide                      QAccessible__Event = QAccessible__Event(0x8003)
	QAccessible__ObjectReorder                   QAccessible__Event = QAccessible__Event(0x8004)
	QAccessible__Focus                           QAccessible__Event = QAccessible__Event(0x8005)
	QAccessible__Selection                       QAccessible__Event = QAccessible__Event(0x8006)
	QAccessible__SelectionAdd                    QAccessible__Event = QAccessible__Event(0x8007)
	QAccessible__SelectionRemove                 QAccessible__Event = QAccessible__Event(0x8008)
	QAccessible__SelectionWithin                 QAccessible__Event = QAccessible__Event(0x8009)
	QAccessible__StateChanged                    QAccessible__Event = QAccessible__Event(0x800A)
	QAccessible__LocationChanged                 QAccessible__Event = QAccessible__Event(0x800B)
	QAccessible__NameChanged                     QAccessible__Event = QAccessible__Event(0x800C)
	QAccessible__DescriptionChanged              QAccessible__Event = QAccessible__Event(0x800D)
	QAccessible__ValueChanged                    QAccessible__Event = QAccessible__Event(0x800E)
	QAccessible__ParentChanged                   QAccessible__Event = QAccessible__Event(0x800F)
	QAccessible__HelpChanged                     QAccessible__Event = QAccessible__Event(0x80A0)
	QAccessible__DefaultActionChanged            QAccessible__Event = QAccessible__Event(0x80B0)
	QAccessible__AcceleratorChanged              QAccessible__Event = QAccessible__Event(0x80C0)
	QAccessible__InvalidEvent                    QAccessible__Event = QAccessible__Event(0x80c1)
)

//go:generate stringer -type=QAccessible__Role
//QAccessible::Role
type QAccessible__Role int64

const (
	QAccessible__NoRole               QAccessible__Role = QAccessible__Role(0x00000000)
	QAccessible__TitleBar             QAccessible__Role = QAccessible__Role(0x00000001)
	QAccessible__MenuBar              QAccessible__Role = QAccessible__Role(0x00000002)
	QAccessible__ScrollBar            QAccessible__Role = QAccessible__Role(0x00000003)
	QAccessible__Grip                 QAccessible__Role = QAccessible__Role(0x00000004)
	QAccessible__Sound                QAccessible__Role = QAccessible__Role(0x00000005)
	QAccessible__Cursor               QAccessible__Role = QAccessible__Role(0x00000006)
	QAccessible__Caret                QAccessible__Role = QAccessible__Role(0x00000007)
	QAccessible__AlertMessage         QAccessible__Role = QAccessible__Role(0x00000008)
	QAccessible__Window               QAccessible__Role = QAccessible__Role(0x00000009)
	QAccessible__Client               QAccessible__Role = QAccessible__Role(0x0000000A)
	QAccessible__PopupMenu            QAccessible__Role = QAccessible__Role(0x0000000B)
	QAccessible__MenuItem             QAccessible__Role = QAccessible__Role(0x0000000C)
	QAccessible__ToolTip              QAccessible__Role = QAccessible__Role(0x0000000D)
	QAccessible__Application          QAccessible__Role = QAccessible__Role(0x0000000E)
	QAccessible__Document             QAccessible__Role = QAccessible__Role(0x0000000F)
	QAccessible__Pane                 QAccessible__Role = QAccessible__Role(0x00000010)
	QAccessible__Chart                QAccessible__Role = QAccessible__Role(0x00000011)
	QAccessible__Dialog               QAccessible__Role = QAccessible__Role(0x00000012)
	QAccessible__Border               QAccessible__Role = QAccessible__Role(0x00000013)
	QAccessible__Grouping             QAccessible__Role = QAccessible__Role(0x00000014)
	QAccessible__Separator            QAccessible__Role = QAccessible__Role(0x00000015)
	QAccessible__ToolBar              QAccessible__Role = QAccessible__Role(0x00000016)
	QAccessible__StatusBar            QAccessible__Role = QAccessible__Role(0x00000017)
	QAccessible__Table                QAccessible__Role = QAccessible__Role(0x00000018)
	QAccessible__ColumnHeader         QAccessible__Role = QAccessible__Role(0x00000019)
	QAccessible__RowHeader            QAccessible__Role = QAccessible__Role(0x0000001A)
	QAccessible__Column               QAccessible__Role = QAccessible__Role(0x0000001B)
	QAccessible__Row                  QAccessible__Role = QAccessible__Role(0x0000001C)
	QAccessible__Cell                 QAccessible__Role = QAccessible__Role(0x0000001D)
	QAccessible__Link                 QAccessible__Role = QAccessible__Role(0x0000001E)
	QAccessible__HelpBalloon          QAccessible__Role = QAccessible__Role(0x0000001F)
	QAccessible__Assistant            QAccessible__Role = QAccessible__Role(0x00000020)
	QAccessible__List                 QAccessible__Role = QAccessible__Role(0x00000021)
	QAccessible__ListItem             QAccessible__Role = QAccessible__Role(0x00000022)
	QAccessible__Tree                 QAccessible__Role = QAccessible__Role(0x00000023)
	QAccessible__TreeItem             QAccessible__Role = QAccessible__Role(0x00000024)
	QAccessible__PageTab              QAccessible__Role = QAccessible__Role(0x00000025)
	QAccessible__PropertyPage         QAccessible__Role = QAccessible__Role(0x00000026)
	QAccessible__Indicator            QAccessible__Role = QAccessible__Role(0x00000027)
	QAccessible__Graphic              QAccessible__Role = QAccessible__Role(0x00000028)
	QAccessible__StaticText           QAccessible__Role = QAccessible__Role(0x00000029)
	QAccessible__EditableText         QAccessible__Role = QAccessible__Role(0x0000002A)
	QAccessible__Button               QAccessible__Role = QAccessible__Role(0x0000002B)
	QAccessible__CheckBox             QAccessible__Role = QAccessible__Role(0x0000002C)
	QAccessible__RadioButton          QAccessible__Role = QAccessible__Role(0x0000002D)
	QAccessible__ComboBox             QAccessible__Role = QAccessible__Role(0x0000002E)
	QAccessible__ProgressBar          QAccessible__Role = QAccessible__Role(0x00000030)
	QAccessible__Dial                 QAccessible__Role = QAccessible__Role(0x00000031)
	QAccessible__HotkeyField          QAccessible__Role = QAccessible__Role(0x00000032)
	QAccessible__Slider               QAccessible__Role = QAccessible__Role(0x00000033)
	QAccessible__SpinBox              QAccessible__Role = QAccessible__Role(0x00000034)
	QAccessible__Canvas               QAccessible__Role = QAccessible__Role(0x00000035)
	QAccessible__Animation            QAccessible__Role = QAccessible__Role(0x00000036)
	QAccessible__Equation             QAccessible__Role = QAccessible__Role(0x00000037)
	QAccessible__ButtonDropDown       QAccessible__Role = QAccessible__Role(0x00000038)
	QAccessible__ButtonMenu           QAccessible__Role = QAccessible__Role(0x00000039)
	QAccessible__ButtonDropGrid       QAccessible__Role = QAccessible__Role(0x0000003A)
	QAccessible__Whitespace           QAccessible__Role = QAccessible__Role(0x0000003B)
	QAccessible__PageTabList          QAccessible__Role = QAccessible__Role(0x0000003C)
	QAccessible__Clock                QAccessible__Role = QAccessible__Role(0x0000003D)
	QAccessible__Splitter             QAccessible__Role = QAccessible__Role(0x0000003E)
	QAccessible__LayeredPane          QAccessible__Role = QAccessible__Role(0x00000080)
	QAccessible__Terminal             QAccessible__Role = QAccessible__Role(0x00000081)
	QAccessible__Desktop              QAccessible__Role = QAccessible__Role(0x00000082)
	QAccessible__Paragraph            QAccessible__Role = QAccessible__Role(0x00000083)
	QAccessible__WebDocument          QAccessible__Role = QAccessible__Role(0x00000084)
	QAccessible__Section              QAccessible__Role = QAccessible__Role(0x00000085)
	QAccessible__ColorChooser         QAccessible__Role = QAccessible__Role(0x404)
	QAccessible__Footer               QAccessible__Role = QAccessible__Role(0x40E)
	QAccessible__Form                 QAccessible__Role = QAccessible__Role(0x410)
	QAccessible__Heading              QAccessible__Role = QAccessible__Role(0x414)
	QAccessible__Note                 QAccessible__Role = QAccessible__Role(0x41B)
	QAccessible__ComplementaryContent QAccessible__Role = QAccessible__Role(0x42C)
	QAccessible__UserRole             QAccessible__Role = QAccessible__Role(0x0000ffff)
)

//go:generate stringer -type=QAccessible__Text
//QAccessible::Text
type QAccessible__Text int64

const (
	QAccessible__Name             QAccessible__Text = QAccessible__Text(0)
	QAccessible__Description      QAccessible__Text = QAccessible__Text(1)
	QAccessible__Value            QAccessible__Text = QAccessible__Text(2)
	QAccessible__Help             QAccessible__Text = QAccessible__Text(3)
	QAccessible__Accelerator      QAccessible__Text = QAccessible__Text(4)
	QAccessible__DebugDescription QAccessible__Text = QAccessible__Text(5)
	QAccessible__UserText         QAccessible__Text = QAccessible__Text(0x0000ffff)
)

//go:generate stringer -type=QAccessible__RelationFlag
//QAccessible::RelationFlag
type QAccessible__RelationFlag int64

const (
	QAccessible__Label        QAccessible__RelationFlag = QAccessible__RelationFlag(0x00000001)
	QAccessible__Labelled     QAccessible__RelationFlag = QAccessible__RelationFlag(0x00000002)
	QAccessible__Controller   QAccessible__RelationFlag = QAccessible__RelationFlag(0x00000004)
	QAccessible__Controlled   QAccessible__RelationFlag = QAccessible__RelationFlag(0x00000008)
	QAccessible__AllRelations QAccessible__RelationFlag = QAccessible__RelationFlag(0xffffffff)
)

//go:generate stringer -type=QAccessible__InterfaceType
//QAccessible::InterfaceType
type QAccessible__InterfaceType int64

const (
	QAccessible__TextInterface         QAccessible__InterfaceType = QAccessible__InterfaceType(0)
	QAccessible__EditableTextInterface QAccessible__InterfaceType = QAccessible__InterfaceType(1)
	QAccessible__ValueInterface        QAccessible__InterfaceType = QAccessible__InterfaceType(2)
	QAccessible__ActionInterface       QAccessible__InterfaceType = QAccessible__InterfaceType(3)
	QAccessible__ImageInterface        QAccessible__InterfaceType = QAccessible__InterfaceType(4)
	QAccessible__TableInterface        QAccessible__InterfaceType = QAccessible__InterfaceType(5)
	QAccessible__TableCellInterface    QAccessible__InterfaceType = QAccessible__InterfaceType(6)
)

//go:generate stringer -type=QAccessible__TextBoundaryType
//QAccessible::TextBoundaryType
type QAccessible__TextBoundaryType int64

const (
	QAccessible__CharBoundary      QAccessible__TextBoundaryType = QAccessible__TextBoundaryType(0)
	QAccessible__WordBoundary      QAccessible__TextBoundaryType = QAccessible__TextBoundaryType(1)
	QAccessible__SentenceBoundary  QAccessible__TextBoundaryType = QAccessible__TextBoundaryType(2)
	QAccessible__ParagraphBoundary QAccessible__TextBoundaryType = QAccessible__TextBoundaryType(3)
	QAccessible__LineBoundary      QAccessible__TextBoundaryType = QAccessible__TextBoundaryType(4)
	QAccessible__NoBoundary        QAccessible__TextBoundaryType = QAccessible__TextBoundaryType(5)
)

func QAccessible_IsActive() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessible_IsActive", ""}).(bool)
}

func (ptr *QAccessible) IsActive() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessible_IsActive", ""}).(bool)
}

func QAccessible_QueryAccessibleInterface(object core.QObject_ITF) *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessible_QueryAccessibleInterface", "", object}).(*QAccessibleInterface)
}

func (ptr *QAccessible) QueryAccessibleInterface(object core.QObject_ITF) *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessible_QueryAccessibleInterface", "", object}).(*QAccessibleInterface)
}

func QAccessible_SetRootObject(object core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessible_SetRootObject", "", object})
}

func (ptr *QAccessible) SetRootObject(object core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessible_SetRootObject", "", object})
}

func QAccessible_UpdateAccessibility2(event QAccessibleEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessible_UpdateAccessibility2", "", event})
}

func (ptr *QAccessible) UpdateAccessibility2(event QAccessibleEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessible_UpdateAccessibility2", "", event})
}

type QAccessibleActionInterface struct {
	internal.Internal
}

type QAccessibleActionInterface_ITF interface {
	QAccessibleActionInterface_PTR() *QAccessibleActionInterface
}

func (ptr *QAccessibleActionInterface) QAccessibleActionInterface_PTR() *QAccessibleActionInterface {
	return ptr
}

func (ptr *QAccessibleActionInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAccessibleActionInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAccessibleActionInterface(ptr QAccessibleActionInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleActionInterface_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleActionInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAccessibleActionInterfaceFromPointer(ptr unsafe.Pointer) (n *QAccessibleActionInterface) {
	n = new(QAccessibleActionInterface)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleActionInterface")
	return
}
func (ptr *QAccessibleActionInterface) ConnectActionNames(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActionNames", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleActionInterface) DisconnectActionNames() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActionNames"})
}

func (ptr *QAccessibleActionInterface) ActionNames() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActionNames"}).([]string)
}

func QAccessibleActionInterface_DecreaseAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_DecreaseAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) DecreaseAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_DecreaseAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) ConnectDoAction(f func(actionName string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDoAction", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleActionInterface) DisconnectDoAction() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDoAction"})
}

func (ptr *QAccessibleActionInterface) DoAction(actionName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoAction", actionName})
}

func QAccessibleActionInterface_IncreaseAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_IncreaseAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) IncreaseAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_IncreaseAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) ConnectKeyBindingsForAction(f func(actionName string) []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectKeyBindingsForAction", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleActionInterface) DisconnectKeyBindingsForAction() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectKeyBindingsForAction"})
}

func (ptr *QAccessibleActionInterface) KeyBindingsForAction(actionName string) []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyBindingsForAction", actionName}).([]string)
}

func (ptr *QAccessibleActionInterface) ConnectLocalizedActionDescription(f func(actionName string) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLocalizedActionDescription", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleActionInterface) DisconnectLocalizedActionDescription() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLocalizedActionDescription"})
}

func (ptr *QAccessibleActionInterface) LocalizedActionDescription(actionName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LocalizedActionDescription", actionName}).(string)
}

func (ptr *QAccessibleActionInterface) LocalizedActionDescriptionDefault(actionName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LocalizedActionDescriptionDefault", actionName}).(string)
}

func (ptr *QAccessibleActionInterface) ConnectLocalizedActionName(f func(actionName string) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLocalizedActionName", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleActionInterface) DisconnectLocalizedActionName() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLocalizedActionName"})
}

func (ptr *QAccessibleActionInterface) LocalizedActionName(actionName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LocalizedActionName", actionName}).(string)
}

func (ptr *QAccessibleActionInterface) LocalizedActionNameDefault(actionName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LocalizedActionNameDefault", actionName}).(string)
}

func QAccessibleActionInterface_NextPageAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_NextPageAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) NextPageAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_NextPageAction", ""}).(string)
}

func QAccessibleActionInterface_PressAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_PressAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) PressAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_PressAction", ""}).(string)
}

func QAccessibleActionInterface_PreviousPageAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_PreviousPageAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) PreviousPageAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_PreviousPageAction", ""}).(string)
}

func QAccessibleActionInterface_ScrollDownAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_ScrollDownAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) ScrollDownAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_ScrollDownAction", ""}).(string)
}

func QAccessibleActionInterface_ScrollLeftAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_ScrollLeftAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) ScrollLeftAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_ScrollLeftAction", ""}).(string)
}

func QAccessibleActionInterface_ScrollRightAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_ScrollRightAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) ScrollRightAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_ScrollRightAction", ""}).(string)
}

func QAccessibleActionInterface_ScrollUpAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_ScrollUpAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) ScrollUpAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_ScrollUpAction", ""}).(string)
}

func QAccessibleActionInterface_SetFocusAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_SetFocusAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) SetFocusAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_SetFocusAction", ""}).(string)
}

func QAccessibleActionInterface_ShowMenuAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_ShowMenuAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) ShowMenuAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_ShowMenuAction", ""}).(string)
}

func QAccessibleActionInterface_ToggleAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_ToggleAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) ToggleAction() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QAccessibleActionInterface_ToggleAction", ""}).(string)
}

func (ptr *QAccessibleActionInterface) ConnectDestroyQAccessibleActionInterface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAccessibleActionInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleActionInterface) DisconnectDestroyQAccessibleActionInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAccessibleActionInterface"})
}

func (ptr *QAccessibleActionInterface) DestroyQAccessibleActionInterface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleActionInterface"})
}

func (ptr *QAccessibleActionInterface) DestroyQAccessibleActionInterfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleActionInterfaceDefault"})
}

type QAccessibleEditableTextInterface struct {
	internal.Internal
}

type QAccessibleEditableTextInterface_ITF interface {
	QAccessibleEditableTextInterface_PTR() *QAccessibleEditableTextInterface
}

func (ptr *QAccessibleEditableTextInterface) QAccessibleEditableTextInterface_PTR() *QAccessibleEditableTextInterface {
	return ptr
}

func (ptr *QAccessibleEditableTextInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAccessibleEditableTextInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAccessibleEditableTextInterface(ptr QAccessibleEditableTextInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleEditableTextInterface_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleEditableTextInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAccessibleEditableTextInterfaceFromPointer(ptr unsafe.Pointer) (n *QAccessibleEditableTextInterface) {
	n = new(QAccessibleEditableTextInterface)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleEditableTextInterface")
	return
}
func (ptr *QAccessibleEditableTextInterface) ConnectDeleteText(f func(startOffset int, endOffset int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDeleteText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleEditableTextInterface) DisconnectDeleteText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDeleteText"})
}

func (ptr *QAccessibleEditableTextInterface) DeleteText(startOffset int, endOffset int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteText", startOffset, endOffset})
}

func (ptr *QAccessibleEditableTextInterface) ConnectInsertText(f func(offset int, text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInsertText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleEditableTextInterface) DisconnectInsertText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInsertText"})
}

func (ptr *QAccessibleEditableTextInterface) InsertText(offset int, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertText", offset, text})
}

func (ptr *QAccessibleEditableTextInterface) ConnectReplaceText(f func(startOffset int, endOffset int, text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReplaceText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleEditableTextInterface) DisconnectReplaceText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReplaceText"})
}

func (ptr *QAccessibleEditableTextInterface) ReplaceText(startOffset int, endOffset int, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReplaceText", startOffset, endOffset, text})
}

func (ptr *QAccessibleEditableTextInterface) ConnectDestroyQAccessibleEditableTextInterface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAccessibleEditableTextInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleEditableTextInterface) DisconnectDestroyQAccessibleEditableTextInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAccessibleEditableTextInterface"})
}

func (ptr *QAccessibleEditableTextInterface) DestroyQAccessibleEditableTextInterface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleEditableTextInterface"})
}

func (ptr *QAccessibleEditableTextInterface) DestroyQAccessibleEditableTextInterfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleEditableTextInterfaceDefault"})
}

type QAccessibleEvent struct {
	internal.Internal
}

type QAccessibleEvent_ITF interface {
	QAccessibleEvent_PTR() *QAccessibleEvent
}

func (ptr *QAccessibleEvent) QAccessibleEvent_PTR() *QAccessibleEvent {
	return ptr
}

func (ptr *QAccessibleEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAccessibleEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAccessibleEvent(ptr QAccessibleEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleEvent_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleEvent) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAccessibleEventFromPointer(ptr unsafe.Pointer) (n *QAccessibleEvent) {
	n = new(QAccessibleEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleEvent")
	return
}
func NewQAccessibleEvent2(object core.QObject_ITF, ty QAccessible__Event) *QAccessibleEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleEvent2", "", object, ty}).(*QAccessibleEvent)
}

func NewQAccessibleEvent3(interfa QAccessibleInterface_ITF, ty QAccessible__Event) *QAccessibleEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleEvent3", "", interfa, ty}).(*QAccessibleEvent)
}

func (ptr *QAccessibleEvent) ConnectAccessibleInterface(f func() *QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAccessibleInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleEvent) DisconnectAccessibleInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAccessibleInterface"})
}

func (ptr *QAccessibleEvent) AccessibleInterface() *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AccessibleInterface"}).(*QAccessibleInterface)
}

func (ptr *QAccessibleEvent) AccessibleInterfaceDefault() *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AccessibleInterfaceDefault"}).(*QAccessibleInterface)
}

func (ptr *QAccessibleEvent) Child() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Child"}).(float64))
}

func (ptr *QAccessibleEvent) Object() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Object"}).(*core.QObject)
}

func (ptr *QAccessibleEvent) SetChild(child int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChild", child})
}

func (ptr *QAccessibleEvent) Type() QAccessible__Event {

	return QAccessible__Event(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QAccessibleEvent) ConnectDestroyQAccessibleEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAccessibleEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleEvent) DisconnectDestroyQAccessibleEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAccessibleEvent"})
}

func (ptr *QAccessibleEvent) DestroyQAccessibleEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleEvent"})
}

func (ptr *QAccessibleEvent) DestroyQAccessibleEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleEventDefault"})
}

type QAccessibleInterface struct {
	internal.Internal
}

type QAccessibleInterface_ITF interface {
	QAccessibleInterface_PTR() *QAccessibleInterface
}

func (ptr *QAccessibleInterface) QAccessibleInterface_PTR() *QAccessibleInterface {
	return ptr
}

func (ptr *QAccessibleInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAccessibleInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAccessibleInterface(ptr QAccessibleInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleInterface_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAccessibleInterfaceFromPointer(ptr unsafe.Pointer) (n *QAccessibleInterface) {
	n = new(QAccessibleInterface)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleInterface")
	return
}
func (ptr *QAccessibleInterface) ActionInterface() *QAccessibleActionInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActionInterface"}).(*QAccessibleActionInterface)
}

func (ptr *QAccessibleInterface) ConnectBackgroundColor(f func() *QColor) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBackgroundColor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectBackgroundColor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBackgroundColor"})
}

func (ptr *QAccessibleInterface) BackgroundColor() *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackgroundColor"}).(*QColor)
}

func (ptr *QAccessibleInterface) BackgroundColorDefault() *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackgroundColorDefault"}).(*QColor)
}

func (ptr *QAccessibleInterface) ConnectChild(f func(index int) *QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectChild", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectChild() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectChild"})
}

func (ptr *QAccessibleInterface) Child(index int) *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Child", index}).(*QAccessibleInterface)
}

func (ptr *QAccessibleInterface) ConnectChildAt(f func(x int, y int) *QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectChildAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectChildAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectChildAt"})
}

func (ptr *QAccessibleInterface) ChildAt(x int, y int) *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildAt", x, y}).(*QAccessibleInterface)
}

func (ptr *QAccessibleInterface) ConnectChildCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectChildCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectChildCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectChildCount"})
}

func (ptr *QAccessibleInterface) ChildCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildCount"}).(float64))
}

func (ptr *QAccessibleInterface) ConnectFocusChild(f func() *QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusChild", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectFocusChild() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusChild"})
}

func (ptr *QAccessibleInterface) FocusChild() *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusChild"}).(*QAccessibleInterface)
}

func (ptr *QAccessibleInterface) FocusChildDefault() *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusChildDefault"}).(*QAccessibleInterface)
}

func (ptr *QAccessibleInterface) ConnectForegroundColor(f func() *QColor) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectForegroundColor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectForegroundColor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectForegroundColor"})
}

func (ptr *QAccessibleInterface) ForegroundColor() *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ForegroundColor"}).(*QColor)
}

func (ptr *QAccessibleInterface) ForegroundColorDefault() *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ForegroundColorDefault"}).(*QColor)
}

func (ptr *QAccessibleInterface) ConnectIndexOfChild(f func(child *QAccessibleInterface) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndexOfChild", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectIndexOfChild() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndexOfChild"})
}

func (ptr *QAccessibleInterface) IndexOfChild(child QAccessibleInterface_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOfChild", child}).(float64))
}

func (ptr *QAccessibleInterface) ConnectInterface_cast(f func(ty QAccessible__InterfaceType) unsafe.Pointer) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInterface_cast", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectInterface_cast() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInterface_cast"})
}

func (ptr *QAccessibleInterface) Interface_cast(ty QAccessible__InterfaceType) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Interface_cast", ty}).(unsafe.Pointer)
}

func (ptr *QAccessibleInterface) Interface_castDefault(ty QAccessible__InterfaceType) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Interface_castDefault", ty}).(unsafe.Pointer)
}

func (ptr *QAccessibleInterface) ConnectIsValid(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsValid", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectIsValid() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsValid"})
}

func (ptr *QAccessibleInterface) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QAccessibleInterface) ConnectObject(f func() *core.QObject) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectObject"})
}

func (ptr *QAccessibleInterface) Object() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Object"}).(*core.QObject)
}

func (ptr *QAccessibleInterface) ConnectParent(f func() *QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectParent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectParent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectParent"})
}

func (ptr *QAccessibleInterface) Parent() *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent"}).(*QAccessibleInterface)
}

func (ptr *QAccessibleInterface) ConnectRect(f func() *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRect"})
}

func (ptr *QAccessibleInterface) Rect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rect"}).(*core.QRect)
}

func (ptr *QAccessibleInterface) ConnectRole(f func() QAccessible__Role) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRole", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectRole() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRole"})
}

func (ptr *QAccessibleInterface) Role() QAccessible__Role {

	return QAccessible__Role(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Role"}).(float64))
}

func (ptr *QAccessibleInterface) ConnectSetText(f func(t QAccessible__Text, text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectSetText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetText"})
}

func (ptr *QAccessibleInterface) SetText(t QAccessible__Text, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", t, text})
}

func (ptr *QAccessibleInterface) TableCellInterface() *QAccessibleTableCellInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TableCellInterface"}).(*QAccessibleTableCellInterface)
}

func (ptr *QAccessibleInterface) TableInterface() *QAccessibleTableInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TableInterface"}).(*QAccessibleTableInterface)
}

func (ptr *QAccessibleInterface) ConnectText(f func(t QAccessible__Text) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectText"})
}

func (ptr *QAccessibleInterface) Text(t QAccessible__Text) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text", t}).(string)
}

func (ptr *QAccessibleInterface) TextInterface() *QAccessibleTextInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextInterface"}).(*QAccessibleTextInterface)
}

func (ptr *QAccessibleInterface) ValueInterface() *QAccessibleValueInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueInterface"}).(*QAccessibleValueInterface)
}

func (ptr *QAccessibleInterface) ConnectWindow(f func() *QWindow) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWindow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectWindow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWindow"})
}

func (ptr *QAccessibleInterface) Window() *QWindow {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Window"}).(*QWindow)
}

func (ptr *QAccessibleInterface) WindowDefault() *QWindow {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WindowDefault"}).(*QWindow)
}

func (ptr *QAccessibleInterface) ConnectDestroyQAccessibleInterface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAccessibleInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleInterface) DisconnectDestroyQAccessibleInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAccessibleInterface"})
}

func (ptr *QAccessibleInterface) DestroyQAccessibleInterface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleInterface"})
}

func (ptr *QAccessibleInterface) DestroyQAccessibleInterfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleInterfaceDefault"})
}

type QAccessibleObject struct {
	QAccessibleInterface
}

type QAccessibleObject_ITF interface {
	QAccessibleInterface_ITF
	QAccessibleObject_PTR() *QAccessibleObject
}

func (ptr *QAccessibleObject) QAccessibleObject_PTR() *QAccessibleObject {
	return ptr
}

func (ptr *QAccessibleObject) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleInterface_PTR().Pointer()
	}
	return nil
}

func (ptr *QAccessibleObject) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAccessibleInterface_PTR().SetPointer(p)
	}
}

func PointerFromQAccessibleObject(ptr QAccessibleObject_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleObject_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleObject) InitFromInternal(ptr uintptr, name string) {
	n.QAccessibleInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAccessibleObject) ClassNameInternalF() string {
	return n.QAccessibleInterface_PTR().ClassNameInternalF()
}

func NewQAccessibleObjectFromPointer(ptr unsafe.Pointer) (n *QAccessibleObject) {
	n = new(QAccessibleObject)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleObject")
	return
}
func (ptr *QAccessibleObject) ConnectChildAt(f func(x int, y int) *QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectChildAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleObject) DisconnectChildAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectChildAt"})
}

func (ptr *QAccessibleObject) ChildAt(x int, y int) *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildAt", x, y}).(*QAccessibleInterface)
}

func (ptr *QAccessibleObject) ChildAtDefault(x int, y int) *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildAtDefault", x, y}).(*QAccessibleInterface)
}

func (ptr *QAccessibleObject) ConnectIsValid(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsValid", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleObject) DisconnectIsValid() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsValid"})
}

func (ptr *QAccessibleObject) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QAccessibleObject) IsValidDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValidDefault"}).(bool)
}

func (ptr *QAccessibleObject) ConnectObject(f func() *core.QObject) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleObject) DisconnectObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectObject"})
}

func (ptr *QAccessibleObject) Object() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Object"}).(*core.QObject)
}

func (ptr *QAccessibleObject) ObjectDefault() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ObjectDefault"}).(*core.QObject)
}

func (ptr *QAccessibleObject) ConnectRect(f func() *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleObject) DisconnectRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRect"})
}

func (ptr *QAccessibleObject) Rect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rect"}).(*core.QRect)
}

func (ptr *QAccessibleObject) RectDefault() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RectDefault"}).(*core.QRect)
}

func (ptr *QAccessibleObject) ConnectSetText(f func(t QAccessible__Text, text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleObject) DisconnectSetText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetText"})
}

func (ptr *QAccessibleObject) SetText(t QAccessible__Text, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", t, text})
}

func (ptr *QAccessibleObject) SetTextDefault(t QAccessible__Text, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextDefault", t, text})
}

func (ptr *QAccessibleObject) ConnectDestroyQAccessibleObject(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAccessibleObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleObject) DisconnectDestroyQAccessibleObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAccessibleObject"})
}

func (ptr *QAccessibleObject) DestroyQAccessibleObject() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleObject"})
}

func (ptr *QAccessibleObject) DestroyQAccessibleObjectDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleObjectDefault"})
}

func (ptr *QAccessibleObject) Child(index int) *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Child", index}).(*QAccessibleInterface)
}

func (ptr *QAccessibleObject) ChildDefault(index int) *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildDefault", index}).(*QAccessibleInterface)
}

func (ptr *QAccessibleObject) ChildCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildCount"}).(float64))
}

func (ptr *QAccessibleObject) ChildCountDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildCountDefault"}).(float64))
}

func (ptr *QAccessibleObject) IndexOfChild(child QAccessibleInterface_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOfChild", child}).(float64))
}

func (ptr *QAccessibleObject) IndexOfChildDefault(child QAccessibleInterface_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOfChildDefault", child}).(float64))
}

func (ptr *QAccessibleObject) Parent() *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent"}).(*QAccessibleInterface)
}

func (ptr *QAccessibleObject) ParentDefault() *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentDefault"}).(*QAccessibleInterface)
}

func (ptr *QAccessibleObject) Role() QAccessible__Role {

	return QAccessible__Role(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Role"}).(float64))
}

func (ptr *QAccessibleObject) RoleDefault() QAccessible__Role {

	return QAccessible__Role(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RoleDefault"}).(float64))
}

func (ptr *QAccessibleObject) Text(t QAccessible__Text) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text", t}).(string)
}

func (ptr *QAccessibleObject) TextDefault(t QAccessible__Text) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextDefault", t}).(string)
}

type QAccessiblePlugin struct {
	core.QObject
}

type QAccessiblePlugin_ITF interface {
	core.QObject_ITF
	QAccessiblePlugin_PTR() *QAccessiblePlugin
}

func (ptr *QAccessiblePlugin) QAccessiblePlugin_PTR() *QAccessiblePlugin {
	return ptr
}

func (ptr *QAccessiblePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAccessiblePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAccessiblePlugin(ptr QAccessiblePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessiblePlugin_PTR().Pointer()
	}
	return nil
}

func (n *QAccessiblePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAccessiblePlugin) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAccessiblePluginFromPointer(ptr unsafe.Pointer) (n *QAccessiblePlugin) {
	n = new(QAccessiblePlugin)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessiblePlugin")
	return
}
func NewQAccessiblePlugin(parent core.QObject_ITF) *QAccessiblePlugin {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessiblePlugin", "", parent}).(*QAccessiblePlugin)
}

func (ptr *QAccessiblePlugin) ConnectCreate(f func(key string, object *core.QObject) *QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessiblePlugin) DisconnectCreate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreate"})
}

func (ptr *QAccessiblePlugin) Create(key string, object core.QObject_ITF) *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create", key, object}).(*QAccessibleInterface)
}

func (ptr *QAccessiblePlugin) ConnectDestroyQAccessiblePlugin(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAccessiblePlugin", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessiblePlugin) DisconnectDestroyQAccessiblePlugin() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAccessiblePlugin"})
}

func (ptr *QAccessiblePlugin) DestroyQAccessiblePlugin() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessiblePlugin"})
}

func (ptr *QAccessiblePlugin) DestroyQAccessiblePluginDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessiblePluginDefault"})
}

func (ptr *QAccessiblePlugin) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QAccessiblePlugin) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QAccessiblePlugin) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QAccessiblePlugin) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QAccessiblePlugin) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QAccessiblePlugin) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAccessiblePlugin) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QAccessiblePlugin) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QAccessiblePlugin) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QAccessiblePlugin) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QAccessiblePlugin) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QAccessiblePlugin) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QAccessiblePlugin) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QAccessiblePlugin) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QAccessiblePlugin) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QAccessiblePlugin) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QAccessiblePlugin) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QAccessiblePlugin) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QAccessiblePlugin) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QAccessiblePlugin) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QAccessiblePlugin) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QAccessibleStateChangeEvent struct {
	QAccessibleEvent
}

type QAccessibleStateChangeEvent_ITF interface {
	QAccessibleEvent_ITF
	QAccessibleStateChangeEvent_PTR() *QAccessibleStateChangeEvent
}

func (ptr *QAccessibleStateChangeEvent) QAccessibleStateChangeEvent_PTR() *QAccessibleStateChangeEvent {
	return ptr
}

func (ptr *QAccessibleStateChangeEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QAccessibleStateChangeEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAccessibleEvent_PTR().SetPointer(p)
	}
}

func PointerFromQAccessibleStateChangeEvent(ptr QAccessibleStateChangeEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleStateChangeEvent_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleStateChangeEvent) InitFromInternal(ptr uintptr, name string) {
	n.QAccessibleEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAccessibleStateChangeEvent) ClassNameInternalF() string {
	return n.QAccessibleEvent_PTR().ClassNameInternalF()
}

func NewQAccessibleStateChangeEventFromPointer(ptr unsafe.Pointer) (n *QAccessibleStateChangeEvent) {
	n = new(QAccessibleStateChangeEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleStateChangeEvent")
	return
}

func (ptr *QAccessibleStateChangeEvent) DestroyQAccessibleStateChangeEvent() {
}

type QAccessibleTableCellInterface struct {
	internal.Internal
}

type QAccessibleTableCellInterface_ITF interface {
	QAccessibleTableCellInterface_PTR() *QAccessibleTableCellInterface
}

func (ptr *QAccessibleTableCellInterface) QAccessibleTableCellInterface_PTR() *QAccessibleTableCellInterface {
	return ptr
}

func (ptr *QAccessibleTableCellInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAccessibleTableCellInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAccessibleTableCellInterface(ptr QAccessibleTableCellInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleTableCellInterface_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleTableCellInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAccessibleTableCellInterfaceFromPointer(ptr unsafe.Pointer) (n *QAccessibleTableCellInterface) {
	n = new(QAccessibleTableCellInterface)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleTableCellInterface")
	return
}
func (ptr *QAccessibleTableCellInterface) ConnectColumnExtent(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnExtent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableCellInterface) DisconnectColumnExtent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnExtent"})
}

func (ptr *QAccessibleTableCellInterface) ColumnExtent() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnExtent"}).(float64))
}

func (ptr *QAccessibleTableCellInterface) ConnectColumnHeaderCells(f func() []*QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnHeaderCells", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableCellInterface) DisconnectColumnHeaderCells() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnHeaderCells"})
}

func (ptr *QAccessibleTableCellInterface) ColumnHeaderCells() []*QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnHeaderCells"}).([]*QAccessibleInterface)
}

func (ptr *QAccessibleTableCellInterface) ConnectColumnIndex(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableCellInterface) DisconnectColumnIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnIndex"})
}

func (ptr *QAccessibleTableCellInterface) ColumnIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnIndex"}).(float64))
}

func (ptr *QAccessibleTableCellInterface) ConnectIsSelected(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsSelected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableCellInterface) DisconnectIsSelected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsSelected"})
}

func (ptr *QAccessibleTableCellInterface) IsSelected() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSelected"}).(bool)
}

func (ptr *QAccessibleTableCellInterface) ConnectRowExtent(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowExtent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableCellInterface) DisconnectRowExtent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowExtent"})
}

func (ptr *QAccessibleTableCellInterface) RowExtent() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowExtent"}).(float64))
}

func (ptr *QAccessibleTableCellInterface) ConnectRowHeaderCells(f func() []*QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowHeaderCells", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableCellInterface) DisconnectRowHeaderCells() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowHeaderCells"})
}

func (ptr *QAccessibleTableCellInterface) RowHeaderCells() []*QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowHeaderCells"}).([]*QAccessibleInterface)
}

func (ptr *QAccessibleTableCellInterface) ConnectRowIndex(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableCellInterface) DisconnectRowIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowIndex"})
}

func (ptr *QAccessibleTableCellInterface) RowIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowIndex"}).(float64))
}

func (ptr *QAccessibleTableCellInterface) ConnectTable(f func() *QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableCellInterface) DisconnectTable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTable"})
}

func (ptr *QAccessibleTableCellInterface) Table() *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Table"}).(*QAccessibleInterface)
}

func (ptr *QAccessibleTableCellInterface) ConnectDestroyQAccessibleTableCellInterface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAccessibleTableCellInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableCellInterface) DisconnectDestroyQAccessibleTableCellInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAccessibleTableCellInterface"})
}

func (ptr *QAccessibleTableCellInterface) DestroyQAccessibleTableCellInterface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleTableCellInterface"})
}

func (ptr *QAccessibleTableCellInterface) DestroyQAccessibleTableCellInterfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleTableCellInterfaceDefault"})
}

func (ptr *QAccessibleTableCellInterface) __columnHeaderCells_atList(i int) *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__columnHeaderCells_atList", i}).(*QAccessibleInterface)
}

func (ptr *QAccessibleTableCellInterface) __columnHeaderCells_setList(i QAccessibleInterface_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__columnHeaderCells_setList", i})
}

func (ptr *QAccessibleTableCellInterface) __columnHeaderCells_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__columnHeaderCells_newList"}).(unsafe.Pointer)
}

func (ptr *QAccessibleTableCellInterface) __rowHeaderCells_atList(i int) *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__rowHeaderCells_atList", i}).(*QAccessibleInterface)
}

func (ptr *QAccessibleTableCellInterface) __rowHeaderCells_setList(i QAccessibleInterface_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__rowHeaderCells_setList", i})
}

func (ptr *QAccessibleTableCellInterface) __rowHeaderCells_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__rowHeaderCells_newList"}).(unsafe.Pointer)
}

type QAccessibleTableInterface struct {
	internal.Internal
}

type QAccessibleTableInterface_ITF interface {
	QAccessibleTableInterface_PTR() *QAccessibleTableInterface
}

func (ptr *QAccessibleTableInterface) QAccessibleTableInterface_PTR() *QAccessibleTableInterface {
	return ptr
}

func (ptr *QAccessibleTableInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAccessibleTableInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAccessibleTableInterface(ptr QAccessibleTableInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleTableInterface_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleTableInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAccessibleTableInterfaceFromPointer(ptr unsafe.Pointer) (n *QAccessibleTableInterface) {
	n = new(QAccessibleTableInterface)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleTableInterface")
	return
}
func (ptr *QAccessibleTableInterface) ConnectCaption(f func() *QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCaption", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectCaption() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCaption"})
}

func (ptr *QAccessibleTableInterface) Caption() *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Caption"}).(*QAccessibleInterface)
}

func (ptr *QAccessibleTableInterface) ConnectCellAt(f func(row int, column int) *QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCellAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectCellAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCellAt"})
}

func (ptr *QAccessibleTableInterface) CellAt(row int, column int) *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CellAt", row, column}).(*QAccessibleInterface)
}

func (ptr *QAccessibleTableInterface) ConnectColumnCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectColumnCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnCount"})
}

func (ptr *QAccessibleTableInterface) ColumnCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount"}).(float64))
}

func (ptr *QAccessibleTableInterface) ConnectColumnDescription(f func(column int) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnDescription", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectColumnDescription() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnDescription"})
}

func (ptr *QAccessibleTableInterface) ColumnDescription(column int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnDescription", column}).(string)
}

func (ptr *QAccessibleTableInterface) ConnectIsColumnSelected(f func(column int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsColumnSelected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectIsColumnSelected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsColumnSelected"})
}

func (ptr *QAccessibleTableInterface) IsColumnSelected(column int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsColumnSelected", column}).(bool)
}

func (ptr *QAccessibleTableInterface) ConnectIsRowSelected(f func(row int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsRowSelected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectIsRowSelected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsRowSelected"})
}

func (ptr *QAccessibleTableInterface) IsRowSelected(row int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRowSelected", row}).(bool)
}

func (ptr *QAccessibleTableInterface) ConnectModelChange(f func(event *QAccessibleTableModelChangeEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectModelChange", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectModelChange() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectModelChange"})
}

func (ptr *QAccessibleTableInterface) ModelChange(event QAccessibleTableModelChangeEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ModelChange", event})
}

func (ptr *QAccessibleTableInterface) ConnectRowCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectRowCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowCount"})
}

func (ptr *QAccessibleTableInterface) RowCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount"}).(float64))
}

func (ptr *QAccessibleTableInterface) ConnectRowDescription(f func(row int) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowDescription", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectRowDescription() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowDescription"})
}

func (ptr *QAccessibleTableInterface) RowDescription(row int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowDescription", row}).(string)
}

func (ptr *QAccessibleTableInterface) ConnectSelectColumn(f func(column int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectColumn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectSelectColumn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectColumn"})
}

func (ptr *QAccessibleTableInterface) SelectColumn(column int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectColumn", column}).(bool)
}

func (ptr *QAccessibleTableInterface) ConnectSelectRow(f func(row int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectRow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectSelectRow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectRow"})
}

func (ptr *QAccessibleTableInterface) SelectRow(row int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectRow", row}).(bool)
}

func (ptr *QAccessibleTableInterface) ConnectSelectedCellCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectedCellCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectSelectedCellCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectedCellCount"})
}

func (ptr *QAccessibleTableInterface) SelectedCellCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedCellCount"}).(float64))
}

func (ptr *QAccessibleTableInterface) ConnectSelectedCells(f func() []*QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectedCells", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectSelectedCells() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectedCells"})
}

func (ptr *QAccessibleTableInterface) SelectedCells() []*QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedCells"}).([]*QAccessibleInterface)
}

func (ptr *QAccessibleTableInterface) ConnectSelectedColumnCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectedColumnCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectSelectedColumnCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectedColumnCount"})
}

func (ptr *QAccessibleTableInterface) SelectedColumnCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedColumnCount"}).(float64))
}

func (ptr *QAccessibleTableInterface) ConnectSelectedColumns(f func() []int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectedColumns", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectSelectedColumns() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectedColumns"})
}

func (ptr *QAccessibleTableInterface) SelectedColumns() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedColumns"}).([]int)
}

func (ptr *QAccessibleTableInterface) ConnectSelectedRowCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectedRowCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectSelectedRowCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectedRowCount"})
}

func (ptr *QAccessibleTableInterface) SelectedRowCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedRowCount"}).(float64))
}

func (ptr *QAccessibleTableInterface) ConnectSelectedRows(f func() []int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectedRows", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectSelectedRows() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectedRows"})
}

func (ptr *QAccessibleTableInterface) SelectedRows() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedRows"}).([]int)
}

func (ptr *QAccessibleTableInterface) ConnectSummary(f func() *QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSummary", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectSummary() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSummary"})
}

func (ptr *QAccessibleTableInterface) Summary() *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Summary"}).(*QAccessibleInterface)
}

func (ptr *QAccessibleTableInterface) ConnectUnselectColumn(f func(column int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUnselectColumn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectUnselectColumn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUnselectColumn"})
}

func (ptr *QAccessibleTableInterface) UnselectColumn(column int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnselectColumn", column}).(bool)
}

func (ptr *QAccessibleTableInterface) ConnectUnselectRow(f func(row int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUnselectRow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectUnselectRow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUnselectRow"})
}

func (ptr *QAccessibleTableInterface) UnselectRow(row int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnselectRow", row}).(bool)
}

func (ptr *QAccessibleTableInterface) ConnectDestroyQAccessibleTableInterface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAccessibleTableInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTableInterface) DisconnectDestroyQAccessibleTableInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAccessibleTableInterface"})
}

func (ptr *QAccessibleTableInterface) DestroyQAccessibleTableInterface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleTableInterface"})
}

func (ptr *QAccessibleTableInterface) DestroyQAccessibleTableInterfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleTableInterfaceDefault"})
}

func (ptr *QAccessibleTableInterface) __selectedCells_atList(i int) *QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedCells_atList", i}).(*QAccessibleInterface)
}

func (ptr *QAccessibleTableInterface) __selectedCells_setList(i QAccessibleInterface_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedCells_setList", i})
}

func (ptr *QAccessibleTableInterface) __selectedCells_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedCells_newList"}).(unsafe.Pointer)
}

func (ptr *QAccessibleTableInterface) __selectedColumns_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedColumns_atList", i}).(float64))
}

func (ptr *QAccessibleTableInterface) __selectedColumns_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedColumns_setList", i})
}

func (ptr *QAccessibleTableInterface) __selectedColumns_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedColumns_newList"}).(unsafe.Pointer)
}

func (ptr *QAccessibleTableInterface) __selectedRows_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedRows_atList", i}).(float64))
}

func (ptr *QAccessibleTableInterface) __selectedRows_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedRows_setList", i})
}

func (ptr *QAccessibleTableInterface) __selectedRows_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedRows_newList"}).(unsafe.Pointer)
}

type QAccessibleTableModelChangeEvent struct {
	QAccessibleEvent
}

type QAccessibleTableModelChangeEvent_ITF interface {
	QAccessibleEvent_ITF
	QAccessibleTableModelChangeEvent_PTR() *QAccessibleTableModelChangeEvent
}

func (ptr *QAccessibleTableModelChangeEvent) QAccessibleTableModelChangeEvent_PTR() *QAccessibleTableModelChangeEvent {
	return ptr
}

func (ptr *QAccessibleTableModelChangeEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QAccessibleTableModelChangeEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAccessibleEvent_PTR().SetPointer(p)
	}
}

func PointerFromQAccessibleTableModelChangeEvent(ptr QAccessibleTableModelChangeEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleTableModelChangeEvent_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleTableModelChangeEvent) InitFromInternal(ptr uintptr, name string) {
	n.QAccessibleEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAccessibleTableModelChangeEvent) ClassNameInternalF() string {
	return n.QAccessibleEvent_PTR().ClassNameInternalF()
}

func NewQAccessibleTableModelChangeEventFromPointer(ptr unsafe.Pointer) (n *QAccessibleTableModelChangeEvent) {
	n = new(QAccessibleTableModelChangeEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleTableModelChangeEvent")
	return
}

func (ptr *QAccessibleTableModelChangeEvent) DestroyQAccessibleTableModelChangeEvent() {
}

//go:generate stringer -type=QAccessibleTableModelChangeEvent__ModelChangeType
//QAccessibleTableModelChangeEvent::ModelChangeType
type QAccessibleTableModelChangeEvent__ModelChangeType int64

const (
	QAccessibleTableModelChangeEvent__ModelReset      QAccessibleTableModelChangeEvent__ModelChangeType = QAccessibleTableModelChangeEvent__ModelChangeType(0)
	QAccessibleTableModelChangeEvent__DataChanged     QAccessibleTableModelChangeEvent__ModelChangeType = QAccessibleTableModelChangeEvent__ModelChangeType(1)
	QAccessibleTableModelChangeEvent__RowsInserted    QAccessibleTableModelChangeEvent__ModelChangeType = QAccessibleTableModelChangeEvent__ModelChangeType(2)
	QAccessibleTableModelChangeEvent__ColumnsInserted QAccessibleTableModelChangeEvent__ModelChangeType = QAccessibleTableModelChangeEvent__ModelChangeType(3)
	QAccessibleTableModelChangeEvent__RowsRemoved     QAccessibleTableModelChangeEvent__ModelChangeType = QAccessibleTableModelChangeEvent__ModelChangeType(4)
	QAccessibleTableModelChangeEvent__ColumnsRemoved  QAccessibleTableModelChangeEvent__ModelChangeType = QAccessibleTableModelChangeEvent__ModelChangeType(5)
)

func NewQAccessibleTableModelChangeEvent(object core.QObject_ITF, changeType QAccessibleTableModelChangeEvent__ModelChangeType) *QAccessibleTableModelChangeEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleTableModelChangeEvent", "", object, changeType}).(*QAccessibleTableModelChangeEvent)
}

func NewQAccessibleTableModelChangeEvent2(iface QAccessibleInterface_ITF, changeType QAccessibleTableModelChangeEvent__ModelChangeType) *QAccessibleTableModelChangeEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleTableModelChangeEvent2", "", iface, changeType}).(*QAccessibleTableModelChangeEvent)
}

func (ptr *QAccessibleTableModelChangeEvent) FirstColumn() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FirstColumn"}).(float64))
}

func (ptr *QAccessibleTableModelChangeEvent) FirstRow() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FirstRow"}).(float64))
}

func (ptr *QAccessibleTableModelChangeEvent) LastColumn() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastColumn"}).(float64))
}

func (ptr *QAccessibleTableModelChangeEvent) LastRow() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastRow"}).(float64))
}

func (ptr *QAccessibleTableModelChangeEvent) ModelChangeType() QAccessibleTableModelChangeEvent__ModelChangeType {

	return QAccessibleTableModelChangeEvent__ModelChangeType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ModelChangeType"}).(float64))
}

func (ptr *QAccessibleTableModelChangeEvent) SetFirstColumn(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFirstColumn", column})
}

func (ptr *QAccessibleTableModelChangeEvent) SetFirstRow(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFirstRow", row})
}

func (ptr *QAccessibleTableModelChangeEvent) SetLastColumn(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLastColumn", column})
}

func (ptr *QAccessibleTableModelChangeEvent) SetLastRow(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLastRow", row})
}

func (ptr *QAccessibleTableModelChangeEvent) SetModelChangeType(changeType QAccessibleTableModelChangeEvent__ModelChangeType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModelChangeType", changeType})
}

type QAccessibleTextCursorEvent struct {
	QAccessibleEvent
}

type QAccessibleTextCursorEvent_ITF interface {
	QAccessibleEvent_ITF
	QAccessibleTextCursorEvent_PTR() *QAccessibleTextCursorEvent
}

func (ptr *QAccessibleTextCursorEvent) QAccessibleTextCursorEvent_PTR() *QAccessibleTextCursorEvent {
	return ptr
}

func (ptr *QAccessibleTextCursorEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QAccessibleTextCursorEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAccessibleEvent_PTR().SetPointer(p)
	}
}

func PointerFromQAccessibleTextCursorEvent(ptr QAccessibleTextCursorEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleTextCursorEvent_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleTextCursorEvent) InitFromInternal(ptr uintptr, name string) {
	n.QAccessibleEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAccessibleTextCursorEvent) ClassNameInternalF() string {
	return n.QAccessibleEvent_PTR().ClassNameInternalF()
}

func NewQAccessibleTextCursorEventFromPointer(ptr unsafe.Pointer) (n *QAccessibleTextCursorEvent) {
	n = new(QAccessibleTextCursorEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleTextCursorEvent")
	return
}

func (ptr *QAccessibleTextCursorEvent) DestroyQAccessibleTextCursorEvent() {
}

func NewQAccessibleTextCursorEvent(object core.QObject_ITF, cursorPos int) *QAccessibleTextCursorEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleTextCursorEvent", "", object, cursorPos}).(*QAccessibleTextCursorEvent)
}

func NewQAccessibleTextCursorEvent2(iface QAccessibleInterface_ITF, cursorPos int) *QAccessibleTextCursorEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleTextCursorEvent2", "", iface, cursorPos}).(*QAccessibleTextCursorEvent)
}

func (ptr *QAccessibleTextCursorEvent) CursorPosition() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorPosition"}).(float64))
}

func (ptr *QAccessibleTextCursorEvent) SetCursorPosition(position int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCursorPosition", position})
}

type QAccessibleTextInsertEvent struct {
	QAccessibleTextCursorEvent
}

type QAccessibleTextInsertEvent_ITF interface {
	QAccessibleTextCursorEvent_ITF
	QAccessibleTextInsertEvent_PTR() *QAccessibleTextInsertEvent
}

func (ptr *QAccessibleTextInsertEvent) QAccessibleTextInsertEvent_PTR() *QAccessibleTextInsertEvent {
	return ptr
}

func (ptr *QAccessibleTextInsertEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleTextCursorEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QAccessibleTextInsertEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAccessibleTextCursorEvent_PTR().SetPointer(p)
	}
}

func PointerFromQAccessibleTextInsertEvent(ptr QAccessibleTextInsertEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleTextInsertEvent_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleTextInsertEvent) InitFromInternal(ptr uintptr, name string) {
	n.QAccessibleTextCursorEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAccessibleTextInsertEvent) ClassNameInternalF() string {
	return n.QAccessibleTextCursorEvent_PTR().ClassNameInternalF()
}

func NewQAccessibleTextInsertEventFromPointer(ptr unsafe.Pointer) (n *QAccessibleTextInsertEvent) {
	n = new(QAccessibleTextInsertEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleTextInsertEvent")
	return
}

func (ptr *QAccessibleTextInsertEvent) DestroyQAccessibleTextInsertEvent() {
}

func NewQAccessibleTextInsertEvent(object core.QObject_ITF, position int, text string) *QAccessibleTextInsertEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleTextInsertEvent", "", object, position, text}).(*QAccessibleTextInsertEvent)
}

func NewQAccessibleTextInsertEvent2(iface QAccessibleInterface_ITF, position int, text string) *QAccessibleTextInsertEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleTextInsertEvent2", "", iface, position, text}).(*QAccessibleTextInsertEvent)
}

func (ptr *QAccessibleTextInsertEvent) ChangePosition() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChangePosition"}).(float64))
}

func (ptr *QAccessibleTextInsertEvent) TextInserted() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextInserted"}).(string)
}

type QAccessibleTextInterface struct {
	internal.Internal
}

type QAccessibleTextInterface_ITF interface {
	QAccessibleTextInterface_PTR() *QAccessibleTextInterface
}

func (ptr *QAccessibleTextInterface) QAccessibleTextInterface_PTR() *QAccessibleTextInterface {
	return ptr
}

func (ptr *QAccessibleTextInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAccessibleTextInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAccessibleTextInterface(ptr QAccessibleTextInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleTextInterface_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleTextInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAccessibleTextInterfaceFromPointer(ptr unsafe.Pointer) (n *QAccessibleTextInterface) {
	n = new(QAccessibleTextInterface)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleTextInterface")
	return
}
func (ptr *QAccessibleTextInterface) ConnectAddSelection(f func(startOffset int, endOffset int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAddSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectAddSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAddSelection"})
}

func (ptr *QAccessibleTextInterface) AddSelection(startOffset int, endOffset int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddSelection", startOffset, endOffset})
}

func (ptr *QAccessibleTextInterface) ConnectCharacterCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCharacterCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectCharacterCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCharacterCount"})
}

func (ptr *QAccessibleTextInterface) CharacterCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CharacterCount"}).(float64))
}

func (ptr *QAccessibleTextInterface) ConnectCharacterRect(f func(offset int) *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCharacterRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectCharacterRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCharacterRect"})
}

func (ptr *QAccessibleTextInterface) CharacterRect(offset int) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CharacterRect", offset}).(*core.QRect)
}

func (ptr *QAccessibleTextInterface) ConnectCursorPosition(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCursorPosition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectCursorPosition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCursorPosition"})
}

func (ptr *QAccessibleTextInterface) CursorPosition() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorPosition"}).(float64))
}

func (ptr *QAccessibleTextInterface) ConnectOffsetAtPoint(f func(point *core.QPoint) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOffsetAtPoint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectOffsetAtPoint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOffsetAtPoint"})
}

func (ptr *QAccessibleTextInterface) OffsetAtPoint(point core.QPoint_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OffsetAtPoint", point}).(float64))
}

func (ptr *QAccessibleTextInterface) ConnectRemoveSelection(f func(selectionIndex int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRemoveSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectRemoveSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRemoveSelection"})
}

func (ptr *QAccessibleTextInterface) RemoveSelection(selectionIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveSelection", selectionIndex})
}

func (ptr *QAccessibleTextInterface) ConnectScrollToSubstring(f func(startIndex int, endIndex int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollToSubstring", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectScrollToSubstring() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollToSubstring"})
}

func (ptr *QAccessibleTextInterface) ScrollToSubstring(startIndex int, endIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToSubstring", startIndex, endIndex})
}

func (ptr *QAccessibleTextInterface) ConnectSelection(f func(selectionIndex int, startOffset int, endOffset int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelection"})
}

func (ptr *QAccessibleTextInterface) Selection(selectionIndex int, startOffset int, endOffset int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Selection", selectionIndex, startOffset, endOffset})
}

func (ptr *QAccessibleTextInterface) ConnectSelectionCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectionCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectSelectionCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectionCount"})
}

func (ptr *QAccessibleTextInterface) SelectionCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionCount"}).(float64))
}

func (ptr *QAccessibleTextInterface) ConnectSetCursorPosition(f func(position int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCursorPosition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectSetCursorPosition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCursorPosition"})
}

func (ptr *QAccessibleTextInterface) SetCursorPosition(position int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCursorPosition", position})
}

func (ptr *QAccessibleTextInterface) ConnectSetSelection(f func(selectionIndex int, startOffset int, endOffset int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectSetSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSelection"})
}

func (ptr *QAccessibleTextInterface) SetSelection(selectionIndex int, startOffset int, endOffset int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelection", selectionIndex, startOffset, endOffset})
}

func (ptr *QAccessibleTextInterface) ConnectText(f func(startOffset int, endOffset int) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectText"})
}

func (ptr *QAccessibleTextInterface) Text(startOffset int, endOffset int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text", startOffset, endOffset}).(string)
}

func (ptr *QAccessibleTextInterface) ConnectTextAfterOffset(f func(offset int, boundaryType QAccessible__TextBoundaryType, startOffset int, endOffset int) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTextAfterOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectTextAfterOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTextAfterOffset"})
}

func (ptr *QAccessibleTextInterface) TextAfterOffset(offset int, boundaryType QAccessible__TextBoundaryType, startOffset int, endOffset int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextAfterOffset", offset, boundaryType, startOffset, endOffset}).(string)
}

func (ptr *QAccessibleTextInterface) TextAfterOffsetDefault(offset int, boundaryType QAccessible__TextBoundaryType, startOffset int, endOffset int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextAfterOffsetDefault", offset, boundaryType, startOffset, endOffset}).(string)
}

func (ptr *QAccessibleTextInterface) ConnectTextAtOffset(f func(offset int, boundaryType QAccessible__TextBoundaryType, startOffset int, endOffset int) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTextAtOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectTextAtOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTextAtOffset"})
}

func (ptr *QAccessibleTextInterface) TextAtOffset(offset int, boundaryType QAccessible__TextBoundaryType, startOffset int, endOffset int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextAtOffset", offset, boundaryType, startOffset, endOffset}).(string)
}

func (ptr *QAccessibleTextInterface) TextAtOffsetDefault(offset int, boundaryType QAccessible__TextBoundaryType, startOffset int, endOffset int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextAtOffsetDefault", offset, boundaryType, startOffset, endOffset}).(string)
}

func (ptr *QAccessibleTextInterface) ConnectTextBeforeOffset(f func(offset int, boundaryType QAccessible__TextBoundaryType, startOffset int, endOffset int) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTextBeforeOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectTextBeforeOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTextBeforeOffset"})
}

func (ptr *QAccessibleTextInterface) TextBeforeOffset(offset int, boundaryType QAccessible__TextBoundaryType, startOffset int, endOffset int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextBeforeOffset", offset, boundaryType, startOffset, endOffset}).(string)
}

func (ptr *QAccessibleTextInterface) TextBeforeOffsetDefault(offset int, boundaryType QAccessible__TextBoundaryType, startOffset int, endOffset int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextBeforeOffsetDefault", offset, boundaryType, startOffset, endOffset}).(string)
}

func (ptr *QAccessibleTextInterface) ConnectDestroyQAccessibleTextInterface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAccessibleTextInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleTextInterface) DisconnectDestroyQAccessibleTextInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAccessibleTextInterface"})
}

func (ptr *QAccessibleTextInterface) DestroyQAccessibleTextInterface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleTextInterface"})
}

func (ptr *QAccessibleTextInterface) DestroyQAccessibleTextInterfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleTextInterfaceDefault"})
}

type QAccessibleTextRemoveEvent struct {
	QAccessibleTextCursorEvent
}

type QAccessibleTextRemoveEvent_ITF interface {
	QAccessibleTextCursorEvent_ITF
	QAccessibleTextRemoveEvent_PTR() *QAccessibleTextRemoveEvent
}

func (ptr *QAccessibleTextRemoveEvent) QAccessibleTextRemoveEvent_PTR() *QAccessibleTextRemoveEvent {
	return ptr
}

func (ptr *QAccessibleTextRemoveEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleTextCursorEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QAccessibleTextRemoveEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAccessibleTextCursorEvent_PTR().SetPointer(p)
	}
}

func PointerFromQAccessibleTextRemoveEvent(ptr QAccessibleTextRemoveEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleTextRemoveEvent_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleTextRemoveEvent) InitFromInternal(ptr uintptr, name string) {
	n.QAccessibleTextCursorEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAccessibleTextRemoveEvent) ClassNameInternalF() string {
	return n.QAccessibleTextCursorEvent_PTR().ClassNameInternalF()
}

func NewQAccessibleTextRemoveEventFromPointer(ptr unsafe.Pointer) (n *QAccessibleTextRemoveEvent) {
	n = new(QAccessibleTextRemoveEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleTextRemoveEvent")
	return
}

func (ptr *QAccessibleTextRemoveEvent) DestroyQAccessibleTextRemoveEvent() {
}

func NewQAccessibleTextRemoveEvent(object core.QObject_ITF, position int, text string) *QAccessibleTextRemoveEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleTextRemoveEvent", "", object, position, text}).(*QAccessibleTextRemoveEvent)
}

func NewQAccessibleTextRemoveEvent2(iface QAccessibleInterface_ITF, position int, text string) *QAccessibleTextRemoveEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleTextRemoveEvent2", "", iface, position, text}).(*QAccessibleTextRemoveEvent)
}

func (ptr *QAccessibleTextRemoveEvent) ChangePosition() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChangePosition"}).(float64))
}

func (ptr *QAccessibleTextRemoveEvent) TextRemoved() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextRemoved"}).(string)
}

type QAccessibleTextSelectionEvent struct {
	QAccessibleTextCursorEvent
}

type QAccessibleTextSelectionEvent_ITF interface {
	QAccessibleTextCursorEvent_ITF
	QAccessibleTextSelectionEvent_PTR() *QAccessibleTextSelectionEvent
}

func (ptr *QAccessibleTextSelectionEvent) QAccessibleTextSelectionEvent_PTR() *QAccessibleTextSelectionEvent {
	return ptr
}

func (ptr *QAccessibleTextSelectionEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleTextCursorEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QAccessibleTextSelectionEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAccessibleTextCursorEvent_PTR().SetPointer(p)
	}
}

func PointerFromQAccessibleTextSelectionEvent(ptr QAccessibleTextSelectionEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleTextSelectionEvent_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleTextSelectionEvent) InitFromInternal(ptr uintptr, name string) {
	n.QAccessibleTextCursorEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAccessibleTextSelectionEvent) ClassNameInternalF() string {
	return n.QAccessibleTextCursorEvent_PTR().ClassNameInternalF()
}

func NewQAccessibleTextSelectionEventFromPointer(ptr unsafe.Pointer) (n *QAccessibleTextSelectionEvent) {
	n = new(QAccessibleTextSelectionEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleTextSelectionEvent")
	return
}

func (ptr *QAccessibleTextSelectionEvent) DestroyQAccessibleTextSelectionEvent() {
}

func NewQAccessibleTextSelectionEvent(object core.QObject_ITF, start int, end int) *QAccessibleTextSelectionEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleTextSelectionEvent", "", object, start, end}).(*QAccessibleTextSelectionEvent)
}

func NewQAccessibleTextSelectionEvent2(iface QAccessibleInterface_ITF, start int, end int) *QAccessibleTextSelectionEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleTextSelectionEvent2", "", iface, start, end}).(*QAccessibleTextSelectionEvent)
}

func (ptr *QAccessibleTextSelectionEvent) SelectionEnd() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionEnd"}).(float64))
}

func (ptr *QAccessibleTextSelectionEvent) SelectionStart() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionStart"}).(float64))
}

func (ptr *QAccessibleTextSelectionEvent) SetSelection(start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelection", start, end})
}

type QAccessibleTextUpdateEvent struct {
	QAccessibleTextCursorEvent
}

type QAccessibleTextUpdateEvent_ITF interface {
	QAccessibleTextCursorEvent_ITF
	QAccessibleTextUpdateEvent_PTR() *QAccessibleTextUpdateEvent
}

func (ptr *QAccessibleTextUpdateEvent) QAccessibleTextUpdateEvent_PTR() *QAccessibleTextUpdateEvent {
	return ptr
}

func (ptr *QAccessibleTextUpdateEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleTextCursorEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QAccessibleTextUpdateEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAccessibleTextCursorEvent_PTR().SetPointer(p)
	}
}

func PointerFromQAccessibleTextUpdateEvent(ptr QAccessibleTextUpdateEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleTextUpdateEvent_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleTextUpdateEvent) InitFromInternal(ptr uintptr, name string) {
	n.QAccessibleTextCursorEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAccessibleTextUpdateEvent) ClassNameInternalF() string {
	return n.QAccessibleTextCursorEvent_PTR().ClassNameInternalF()
}

func NewQAccessibleTextUpdateEventFromPointer(ptr unsafe.Pointer) (n *QAccessibleTextUpdateEvent) {
	n = new(QAccessibleTextUpdateEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleTextUpdateEvent")
	return
}

func (ptr *QAccessibleTextUpdateEvent) DestroyQAccessibleTextUpdateEvent() {
}

func NewQAccessibleTextUpdateEvent(object core.QObject_ITF, position int, oldText string, text string) *QAccessibleTextUpdateEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleTextUpdateEvent", "", object, position, oldText, text}).(*QAccessibleTextUpdateEvent)
}

func NewQAccessibleTextUpdateEvent2(iface QAccessibleInterface_ITF, position int, oldText string, text string) *QAccessibleTextUpdateEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleTextUpdateEvent2", "", iface, position, oldText, text}).(*QAccessibleTextUpdateEvent)
}

func (ptr *QAccessibleTextUpdateEvent) ChangePosition() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChangePosition"}).(float64))
}

func (ptr *QAccessibleTextUpdateEvent) TextInserted() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextInserted"}).(string)
}

func (ptr *QAccessibleTextUpdateEvent) TextRemoved() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextRemoved"}).(string)
}

type QAccessibleValueChangeEvent struct {
	QAccessibleEvent
}

type QAccessibleValueChangeEvent_ITF interface {
	QAccessibleEvent_ITF
	QAccessibleValueChangeEvent_PTR() *QAccessibleValueChangeEvent
}

func (ptr *QAccessibleValueChangeEvent) QAccessibleValueChangeEvent_PTR() *QAccessibleValueChangeEvent {
	return ptr
}

func (ptr *QAccessibleValueChangeEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QAccessibleValueChangeEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAccessibleEvent_PTR().SetPointer(p)
	}
}

func PointerFromQAccessibleValueChangeEvent(ptr QAccessibleValueChangeEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleValueChangeEvent_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleValueChangeEvent) InitFromInternal(ptr uintptr, name string) {
	n.QAccessibleEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAccessibleValueChangeEvent) ClassNameInternalF() string {
	return n.QAccessibleEvent_PTR().ClassNameInternalF()
}

func NewQAccessibleValueChangeEventFromPointer(ptr unsafe.Pointer) (n *QAccessibleValueChangeEvent) {
	n = new(QAccessibleValueChangeEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleValueChangeEvent")
	return
}

func (ptr *QAccessibleValueChangeEvent) DestroyQAccessibleValueChangeEvent() {
}

func NewQAccessibleValueChangeEvent(object core.QObject_ITF, value core.QVariant_ITF) *QAccessibleValueChangeEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleValueChangeEvent", "", object, value}).(*QAccessibleValueChangeEvent)
}

func NewQAccessibleValueChangeEvent2(iface QAccessibleInterface_ITF, val core.QVariant_ITF) *QAccessibleValueChangeEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQAccessibleValueChangeEvent2", "", iface, val}).(*QAccessibleValueChangeEvent)
}

func (ptr *QAccessibleValueChangeEvent) SetValue(value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValue", value})
}

func (ptr *QAccessibleValueChangeEvent) Value() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value"}).(*core.QVariant)
}

type QAccessibleValueInterface struct {
	internal.Internal
}

type QAccessibleValueInterface_ITF interface {
	QAccessibleValueInterface_PTR() *QAccessibleValueInterface
}

func (ptr *QAccessibleValueInterface) QAccessibleValueInterface_PTR() *QAccessibleValueInterface {
	return ptr
}

func (ptr *QAccessibleValueInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAccessibleValueInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAccessibleValueInterface(ptr QAccessibleValueInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleValueInterface_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleValueInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAccessibleValueInterfaceFromPointer(ptr unsafe.Pointer) (n *QAccessibleValueInterface) {
	n = new(QAccessibleValueInterface)
	n.InitFromInternal(uintptr(ptr), "gui.QAccessibleValueInterface")
	return
}
func (ptr *QAccessibleValueInterface) ConnectCurrentValue(f func() *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleValueInterface) DisconnectCurrentValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentValue"})
}

func (ptr *QAccessibleValueInterface) CurrentValue() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentValue"}).(*core.QVariant)
}

func (ptr *QAccessibleValueInterface) ConnectMaximumValue(f func() *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMaximumValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleValueInterface) DisconnectMaximumValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMaximumValue"})
}

func (ptr *QAccessibleValueInterface) MaximumValue() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumValue"}).(*core.QVariant)
}

func (ptr *QAccessibleValueInterface) ConnectMinimumStepSize(f func() *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMinimumStepSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleValueInterface) DisconnectMinimumStepSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMinimumStepSize"})
}

func (ptr *QAccessibleValueInterface) MinimumStepSize() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumStepSize"}).(*core.QVariant)
}

func (ptr *QAccessibleValueInterface) ConnectMinimumValue(f func() *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMinimumValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleValueInterface) DisconnectMinimumValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMinimumValue"})
}

func (ptr *QAccessibleValueInterface) MinimumValue() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumValue"}).(*core.QVariant)
}

func (ptr *QAccessibleValueInterface) ConnectSetCurrentValue(f func(value *core.QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleValueInterface) DisconnectSetCurrentValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentValue"})
}

func (ptr *QAccessibleValueInterface) SetCurrentValue(value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentValue", value})
}

func (ptr *QAccessibleValueInterface) ConnectDestroyQAccessibleValueInterface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAccessibleValueInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleValueInterface) DisconnectDestroyQAccessibleValueInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAccessibleValueInterface"})
}

func (ptr *QAccessibleValueInterface) DestroyQAccessibleValueInterface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleValueInterface"})
}

func (ptr *QAccessibleValueInterface) DestroyQAccessibleValueInterfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAccessibleValueInterfaceDefault"})
}

type QActionEvent struct {
	core.QEvent
}

type QActionEvent_ITF interface {
	core.QEvent_ITF
	QActionEvent_PTR() *QActionEvent
}

func (ptr *QActionEvent) QActionEvent_PTR() *QActionEvent {
	return ptr
}

func (ptr *QActionEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QActionEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQActionEvent(ptr QActionEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QActionEvent_PTR().Pointer()
	}
	return nil
}

func (n *QActionEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QActionEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQActionEventFromPointer(ptr unsafe.Pointer) (n *QActionEvent) {
	n = new(QActionEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QActionEvent")
	return
}

func (ptr *QActionEvent) DestroyQActionEvent() {
}

func NewQActionEvent(ty int, action unsafe.Pointer, before unsafe.Pointer) *QActionEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQActionEvent", "", ty, action, before}).(*QActionEvent)
}

func (ptr *QActionEvent) Action() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Action"}).(unsafe.Pointer)
}

func (ptr *QActionEvent) Before() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Before"}).(unsafe.Pointer)
}

type QApplicationStateChangeEvent struct {
	core.QEvent
}

type QApplicationStateChangeEvent_ITF interface {
	core.QEvent_ITF
	QApplicationStateChangeEvent_PTR() *QApplicationStateChangeEvent
}

func (ptr *QApplicationStateChangeEvent) QApplicationStateChangeEvent_PTR() *QApplicationStateChangeEvent {
	return ptr
}

func (ptr *QApplicationStateChangeEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QApplicationStateChangeEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQApplicationStateChangeEvent(ptr QApplicationStateChangeEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QApplicationStateChangeEvent_PTR().Pointer()
	}
	return nil
}

func (n *QApplicationStateChangeEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QApplicationStateChangeEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQApplicationStateChangeEventFromPointer(ptr unsafe.Pointer) (n *QApplicationStateChangeEvent) {
	n = new(QApplicationStateChangeEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QApplicationStateChangeEvent")
	return
}

func (ptr *QApplicationStateChangeEvent) DestroyQApplicationStateChangeEvent() {
}

func NewQApplicationStateChangeEvent(applicationState core.Qt__ApplicationState) *QApplicationStateChangeEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQApplicationStateChangeEvent", "", applicationState}).(*QApplicationStateChangeEvent)
}

func (ptr *QApplicationStateChangeEvent) ApplicationState() core.Qt__ApplicationState {

	return core.Qt__ApplicationState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApplicationState"}).(float64))
}

type QBackingStore struct {
	internal.Internal
}

type QBackingStore_ITF interface {
	QBackingStore_PTR() *QBackingStore
}

func (ptr *QBackingStore) QBackingStore_PTR() *QBackingStore {
	return ptr
}

func (ptr *QBackingStore) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QBackingStore) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQBackingStore(ptr QBackingStore_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QBackingStore_PTR().Pointer()
	}
	return nil
}

func (n *QBackingStore) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQBackingStoreFromPointer(ptr unsafe.Pointer) (n *QBackingStore) {
	n = new(QBackingStore)
	n.InitFromInternal(uintptr(ptr), "gui.QBackingStore")
	return
}
func NewQBackingStore(window QWindow_ITF) *QBackingStore {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBackingStore", "", window}).(*QBackingStore)
}

func (ptr *QBackingStore) BeginPaint(region QRegion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginPaint", region})
}

func (ptr *QBackingStore) EndPaint() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndPaint"})
}

func (ptr *QBackingStore) Flush(region QRegion_ITF, window QWindow_ITF, offset core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flush", region, window, offset})
}

func (ptr *QBackingStore) HasStaticContents() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasStaticContents"}).(bool)
}

func (ptr *QBackingStore) PaintDevice() *QPaintDevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDevice"}).(*QPaintDevice)
}

func (ptr *QBackingStore) Resize(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resize", size})
}

func (ptr *QBackingStore) Scroll(area QRegion_ITF, dx int, dy int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scroll", area, dx, dy}).(bool)
}

func (ptr *QBackingStore) SetStaticContents(region QRegion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStaticContents", region})
}

func (ptr *QBackingStore) Size() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(*core.QSize)
}

func (ptr *QBackingStore) StaticContents() *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StaticContents"}).(*QRegion)
}

func (ptr *QBackingStore) Window() *QWindow {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Window"}).(*QWindow)
}

func (ptr *QBackingStore) DestroyQBackingStore() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQBackingStore"})
}

type QBitmap struct {
	QPixmap
}

type QBitmap_ITF interface {
	QPixmap_ITF
	QBitmap_PTR() *QBitmap
}

func (ptr *QBitmap) QBitmap_PTR() *QBitmap {
	return ptr
}

func (ptr *QBitmap) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QPixmap_PTR().Pointer()
	}
	return nil
}

func (ptr *QBitmap) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QPixmap_PTR().SetPointer(p)
	}
}

func PointerFromQBitmap(ptr QBitmap_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QBitmap_PTR().Pointer()
	}
	return nil
}

func (n *QBitmap) InitFromInternal(ptr uintptr, name string) {
	n.QPixmap_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QBitmap) ClassNameInternalF() string {
	return n.QPixmap_PTR().ClassNameInternalF()
}

func NewQBitmapFromPointer(ptr unsafe.Pointer) (n *QBitmap) {
	n = new(QBitmap)
	n.InitFromInternal(uintptr(ptr), "gui.QBitmap")
	return
}
func NewQBitmap() *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBitmap", ""}).(*QBitmap)
}

func NewQBitmap2(pixmap QPixmap_ITF) *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBitmap2", "", pixmap}).(*QBitmap)
}

func NewQBitmap3(width int, height int) *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBitmap3", "", width, height}).(*QBitmap)
}

func NewQBitmap4(size core.QSize_ITF) *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBitmap4", "", size}).(*QBitmap)
}

func NewQBitmap5(fileName string, format string) *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBitmap5", "", fileName, format}).(*QBitmap)
}

func (ptr *QBitmap) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func QBitmap_FromData(size core.QSize_ITF, bits string, monoFormat QImage__Format) *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QBitmap_FromData", "", size, bits, monoFormat}).(*QBitmap)
}

func (ptr *QBitmap) FromData(size core.QSize_ITF, bits string, monoFormat QImage__Format) *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QBitmap_FromData", "", size, bits, monoFormat}).(*QBitmap)
}

func QBitmap_FromImage(image QImage_ITF, flags core.Qt__ImageConversionFlag) *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QBitmap_FromImage", "", image, flags}).(*QBitmap)
}

func (ptr *QBitmap) FromImage(image QImage_ITF, flags core.Qt__ImageConversionFlag) *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QBitmap_FromImage", "", image, flags}).(*QBitmap)
}

func QBitmap_FromImage2(image QImage_ITF, flags core.Qt__ImageConversionFlag) *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QBitmap_FromImage2", "", image, flags}).(*QBitmap)
}

func (ptr *QBitmap) FromImage2(image QImage_ITF, flags core.Qt__ImageConversionFlag) *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QBitmap_FromImage2", "", image, flags}).(*QBitmap)
}

func (ptr *QBitmap) Swap(other QBitmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QBitmap) Transformed(matrix QTransform_ITF) *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transformed", matrix}).(*QBitmap)
}

func (ptr *QBitmap) ConnectDestroyQBitmap(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQBitmap", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QBitmap) DisconnectDestroyQBitmap() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQBitmap"})
}

func (ptr *QBitmap) DestroyQBitmap() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQBitmap"})
}

func (ptr *QBitmap) DestroyQBitmapDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQBitmapDefault"})
}

type QBrush struct {
	internal.Internal
}

type QBrush_ITF interface {
	QBrush_PTR() *QBrush
}

func (ptr *QBrush) QBrush_PTR() *QBrush {
	return ptr
}

func (ptr *QBrush) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QBrush) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQBrush(ptr QBrush_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QBrush_PTR().Pointer()
	}
	return nil
}

func (n *QBrush) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQBrushFromPointer(ptr unsafe.Pointer) (n *QBrush) {
	n = new(QBrush)
	n.InitFromInternal(uintptr(ptr), "gui.QBrush")
	return
}
func NewQBrush() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBrush", ""}).(*QBrush)
}

func NewQBrush2(style core.Qt__BrushStyle) *QBrush {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBrush2", "", style}).(*QBrush)
}

func NewQBrush3(color QColor_ITF, style core.Qt__BrushStyle) *QBrush {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBrush3", "", color, style}).(*QBrush)
}

func NewQBrush4(color core.Qt__GlobalColor, style core.Qt__BrushStyle) *QBrush {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBrush4", "", color, style}).(*QBrush)
}

func NewQBrush5(color QColor_ITF, pixmap QPixmap_ITF) *QBrush {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBrush5", "", color, pixmap}).(*QBrush)
}

func NewQBrush6(color core.Qt__GlobalColor, pixmap QPixmap_ITF) *QBrush {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBrush6", "", color, pixmap}).(*QBrush)
}

func NewQBrush7(pixmap QPixmap_ITF) *QBrush {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBrush7", "", pixmap}).(*QBrush)
}

func NewQBrush8(image QImage_ITF) *QBrush {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBrush8", "", image}).(*QBrush)
}

func NewQBrush9(other QBrush_ITF) *QBrush {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBrush9", "", other}).(*QBrush)
}

func NewQBrush10(gradient QGradient_ITF) *QBrush {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQBrush10", "", gradient}).(*QBrush)
}

func (ptr *QBrush) Color() *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Color"}).(*QColor)
}

func (ptr *QBrush) Gradient() *QGradient {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Gradient"}).(*QGradient)
}

func (ptr *QBrush) IsOpaque() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsOpaque"}).(bool)
}

func (ptr *QBrush) Matrix() *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Matrix"}).(*QMatrix)
}

func (ptr *QBrush) SetColor(color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColor", color})
}

func (ptr *QBrush) SetColor2(color core.Qt__GlobalColor) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColor2", color})
}

func (ptr *QBrush) SetMatrix(matrix QMatrix_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMatrix", matrix})
}

func (ptr *QBrush) SetStyle(style core.Qt__BrushStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStyle", style})
}

func (ptr *QBrush) SetTexture(pixmap QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTexture", pixmap})
}

func (ptr *QBrush) SetTextureImage(image QImage_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextureImage", image})
}

func (ptr *QBrush) SetTransform(matrix QTransform_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTransform", matrix})
}

func (ptr *QBrush) Style() core.Qt__BrushStyle {

	return core.Qt__BrushStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Style"}).(float64))
}

func (ptr *QBrush) Swap(other QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QBrush) Texture() *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Texture"}).(*QPixmap)
}

func (ptr *QBrush) TextureImage() *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextureImage"}).(*QImage)
}

func (ptr *QBrush) Transform() *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transform"}).(*QTransform)
}

func (ptr *QBrush) DestroyQBrush() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQBrush"})
}

func (ptr *QBrush) ToVariant() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariant"}).(*core.QVariant)
}

type QClipboard struct {
	core.QObject
}

type QClipboard_ITF interface {
	core.QObject_ITF
	QClipboard_PTR() *QClipboard
}

func (ptr *QClipboard) QClipboard_PTR() *QClipboard {
	return ptr
}

func (ptr *QClipboard) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QClipboard) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQClipboard(ptr QClipboard_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QClipboard_PTR().Pointer()
	}
	return nil
}

func (n *QClipboard) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QClipboard) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQClipboardFromPointer(ptr unsafe.Pointer) (n *QClipboard) {
	n = new(QClipboard)
	n.InitFromInternal(uintptr(ptr), "gui.QClipboard")
	return
}

func (ptr *QClipboard) DestroyQClipboard() {
}

//go:generate stringer -type=QClipboard__Mode
//QClipboard::Mode
type QClipboard__Mode int64

const (
	QClipboard__Clipboard  QClipboard__Mode = QClipboard__Mode(0)
	QClipboard__Selection  QClipboard__Mode = QClipboard__Mode(1)
	QClipboard__FindBuffer QClipboard__Mode = QClipboard__Mode(2)
	QClipboard__LastMode   QClipboard__Mode = QClipboard__Mode(QClipboard__FindBuffer)
)

func (ptr *QClipboard) ConnectChanged(f func(mode QClipboard__Mode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QClipboard) DisconnectChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectChanged"})
}

func (ptr *QClipboard) Changed(mode QClipboard__Mode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Changed", mode})
}

func (ptr *QClipboard) Clear(mode QClipboard__Mode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear", mode})
}

func (ptr *QClipboard) ConnectDataChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDataChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QClipboard) DisconnectDataChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDataChanged"})
}

func (ptr *QClipboard) DataChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataChanged"})
}

func (ptr *QClipboard) ConnectFindBufferChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFindBufferChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QClipboard) DisconnectFindBufferChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFindBufferChanged"})
}

func (ptr *QClipboard) FindBufferChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FindBufferChanged"})
}

func (ptr *QClipboard) Image(mode QClipboard__Mode) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Image", mode}).(*QImage)
}

func (ptr *QClipboard) MimeData(mode QClipboard__Mode) *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeData", mode}).(*core.QMimeData)
}

func (ptr *QClipboard) OwnsClipboard() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OwnsClipboard"}).(bool)
}

func (ptr *QClipboard) OwnsFindBuffer() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OwnsFindBuffer"}).(bool)
}

func (ptr *QClipboard) OwnsSelection() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OwnsSelection"}).(bool)
}

func (ptr *QClipboard) Pixmap(mode QClipboard__Mode) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixmap", mode}).(*QPixmap)
}

func (ptr *QClipboard) ConnectSelectionChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QClipboard) DisconnectSelectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectionChanged"})
}

func (ptr *QClipboard) SelectionChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChanged"})
}

func (ptr *QClipboard) SetImage(image QImage_ITF, mode QClipboard__Mode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetImage", image, mode})
}

func (ptr *QClipboard) SetMimeData(src core.QMimeData_ITF, mode QClipboard__Mode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMimeData", src, mode})
}

func (ptr *QClipboard) SetPixmap(pixmap QPixmap_ITF, mode QClipboard__Mode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixmap", pixmap, mode})
}

func (ptr *QClipboard) SetText(text string, mode QClipboard__Mode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", text, mode})
}

func (ptr *QClipboard) SupportsFindBuffer() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportsFindBuffer"}).(bool)
}

func (ptr *QClipboard) SupportsSelection() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportsSelection"}).(bool)
}

func (ptr *QClipboard) Text(mode QClipboard__Mode) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text", mode}).(string)
}

func (ptr *QClipboard) Text2(subtype string, mode QClipboard__Mode) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text2", subtype, mode}).(string)
}

func (ptr *QClipboard) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QClipboard) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QClipboard) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QClipboard) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QClipboard) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QClipboard) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QClipboard) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QClipboard) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QClipboard) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QClipboard) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QClipboard) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QClipboard) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QClipboard) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QClipboard) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QClipboard) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QClipboard) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QClipboard) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QClipboard) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QClipboard) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QClipboard) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QClipboard) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QCloseEvent struct {
	core.QEvent
}

type QCloseEvent_ITF interface {
	core.QEvent_ITF
	QCloseEvent_PTR() *QCloseEvent
}

func (ptr *QCloseEvent) QCloseEvent_PTR() *QCloseEvent {
	return ptr
}

func (ptr *QCloseEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QCloseEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQCloseEvent(ptr QCloseEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCloseEvent_PTR().Pointer()
	}
	return nil
}

func (n *QCloseEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCloseEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQCloseEventFromPointer(ptr unsafe.Pointer) (n *QCloseEvent) {
	n = new(QCloseEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QCloseEvent")
	return
}

func (ptr *QCloseEvent) DestroyQCloseEvent() {
}

func NewQCloseEvent() *QCloseEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQCloseEvent", ""}).(*QCloseEvent)
}

type QColor struct {
	internal.Internal
}

type QColor_ITF interface {
	QColor_PTR() *QColor
}

func (ptr *QColor) QColor_PTR() *QColor {
	return ptr
}

func (ptr *QColor) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QColor) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQColor(ptr QColor_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QColor_PTR().Pointer()
	}
	return nil
}

func (n *QColor) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQColorFromPointer(ptr unsafe.Pointer) (n *QColor) {
	n = new(QColor)
	n.InitFromInternal(uintptr(ptr), "gui.QColor")
	return
}

func (ptr *QColor) DestroyQColor() {
}

//go:generate stringer -type=QColor__Spec
//QColor::Spec
type QColor__Spec int64

const (
	QColor__Invalid QColor__Spec = QColor__Spec(0)
	QColor__Rgb     QColor__Spec = QColor__Spec(1)
	QColor__Hsv     QColor__Spec = QColor__Spec(2)
	QColor__Cmyk    QColor__Spec = QColor__Spec(3)
	QColor__Hsl     QColor__Spec = QColor__Spec(4)
)

//go:generate stringer -type=QColor__NameFormat
//QColor::NameFormat
type QColor__NameFormat int64

const (
	QColor__HexRgb  QColor__NameFormat = QColor__NameFormat(0)
	QColor__HexArgb QColor__NameFormat = QColor__NameFormat(1)
)

func NewQColor() *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQColor", ""}).(*QColor)
}

func NewQColor2(color core.Qt__GlobalColor) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQColor2", "", color}).(*QColor)
}

func NewQColor3(r int, g int, b int, a int) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQColor3", "", r, g, b, a}).(*QColor)
}

func NewQColor4(color uint) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQColor4", "", color}).(*QColor)
}

func NewQColor5(rgba64 QRgba64_ITF) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQColor5", "", rgba64}).(*QColor)
}

func NewQColor6(name string) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQColor6", "", name}).(*QColor)
}

func NewQColor8(name string) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQColor8", "", name}).(*QColor)
}

func NewQColor9(name core.QLatin1String_ITF) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQColor9", "", name}).(*QColor)
}

func (ptr *QColor) Alpha() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alpha"}).(float64))
}

func (ptr *QColor) AlphaF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AlphaF"}).(float64)
}

func (ptr *QColor) Black() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Black"}).(float64))
}

func (ptr *QColor) BlackF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlackF"}).(float64)
}

func (ptr *QColor) Blue() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Blue"}).(float64))
}

func (ptr *QColor) BlueF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlueF"}).(float64)
}

func QColor_ColorNames() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_ColorNames", ""}).([]string)
}

func (ptr *QColor) ColorNames() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_ColorNames", ""}).([]string)
}

func (ptr *QColor) ConvertTo(colorSpec QColor__Spec) *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConvertTo", colorSpec}).(*QColor)
}

func (ptr *QColor) Cyan() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Cyan"}).(float64))
}

func (ptr *QColor) CyanF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CyanF"}).(float64)
}

func (ptr *QColor) Darker(factor int) *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Darker", factor}).(*QColor)
}

func QColor_FromCmyk(c int, m int, y int, k int, a int) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromCmyk", "", c, m, y, k, a}).(*QColor)
}

func (ptr *QColor) FromCmyk(c int, m int, y int, k int, a int) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromCmyk", "", c, m, y, k, a}).(*QColor)
}

func QColor_FromCmykF(c float64, m float64, y float64, k float64, a float64) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromCmykF", "", c, m, y, k, a}).(*QColor)
}

func (ptr *QColor) FromCmykF(c float64, m float64, y float64, k float64, a float64) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromCmykF", "", c, m, y, k, a}).(*QColor)
}

func QColor_FromHsl(h int, s int, l int, a int) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromHsl", "", h, s, l, a}).(*QColor)
}

func (ptr *QColor) FromHsl(h int, s int, l int, a int) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromHsl", "", h, s, l, a}).(*QColor)
}

func QColor_FromHslF(h float64, s float64, l float64, a float64) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromHslF", "", h, s, l, a}).(*QColor)
}

func (ptr *QColor) FromHslF(h float64, s float64, l float64, a float64) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromHslF", "", h, s, l, a}).(*QColor)
}

func QColor_FromHsv(h int, s int, v int, a int) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromHsv", "", h, s, v, a}).(*QColor)
}

func (ptr *QColor) FromHsv(h int, s int, v int, a int) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromHsv", "", h, s, v, a}).(*QColor)
}

func QColor_FromHsvF(h float64, s float64, v float64, a float64) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromHsvF", "", h, s, v, a}).(*QColor)
}

func (ptr *QColor) FromHsvF(h float64, s float64, v float64, a float64) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromHsvF", "", h, s, v, a}).(*QColor)
}

func QColor_FromRgb(rgb uint) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromRgb", "", rgb}).(*QColor)
}

func (ptr *QColor) FromRgb(rgb uint) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromRgb", "", rgb}).(*QColor)
}

func QColor_FromRgb2(r int, g int, b int, a int) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromRgb2", "", r, g, b, a}).(*QColor)
}

func (ptr *QColor) FromRgb2(r int, g int, b int, a int) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromRgb2", "", r, g, b, a}).(*QColor)
}

func QColor_FromRgbF(r float64, g float64, b float64, a float64) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromRgbF", "", r, g, b, a}).(*QColor)
}

func (ptr *QColor) FromRgbF(r float64, g float64, b float64, a float64) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromRgbF", "", r, g, b, a}).(*QColor)
}

func QColor_FromRgba(rgba uint) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromRgba", "", rgba}).(*QColor)
}

func (ptr *QColor) FromRgba(rgba uint) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromRgba", "", rgba}).(*QColor)
}

func QColor_FromRgba64(r uint16, g uint16, b uint16, a uint16) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromRgba64", "", r, g, b, a}).(*QColor)
}

func (ptr *QColor) FromRgba64(r uint16, g uint16, b uint16, a uint16) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromRgba64", "", r, g, b, a}).(*QColor)
}

func QColor_FromRgba642(rgba64 QRgba64_ITF) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromRgba642", "", rgba64}).(*QColor)
}

func (ptr *QColor) FromRgba642(rgba64 QRgba64_ITF) *QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_FromRgba642", "", rgba64}).(*QColor)
}

func (ptr *QColor) GetCmyk2(c int, m int, y int, k int, a int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetCmyk2", c, m, y, k, a})
}

func (ptr *QColor) GetCmykF2(c float64, m float64, y float64, k float64, a float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetCmykF2", c, m, y, k, a})
}

func (ptr *QColor) GetHsl(h int, s int, l int, a int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetHsl", h, s, l, a})
}

func (ptr *QColor) GetHslF(h float64, s float64, l float64, a float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetHslF", h, s, l, a})
}

func (ptr *QColor) GetHsv(h int, s int, v int, a int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetHsv", h, s, v, a})
}

func (ptr *QColor) GetHsvF(h float64, s float64, v float64, a float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetHsvF", h, s, v, a})
}

func (ptr *QColor) GetRgb(r int, g int, b int, a int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetRgb", r, g, b, a})
}

func (ptr *QColor) GetRgbF(r float64, g float64, b float64, a float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetRgbF", r, g, b, a})
}

func (ptr *QColor) Green() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Green"}).(float64))
}

func (ptr *QColor) GreenF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GreenF"}).(float64)
}

func (ptr *QColor) HslHue() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HslHue"}).(float64))
}

func (ptr *QColor) HslHueF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HslHueF"}).(float64)
}

func (ptr *QColor) HslSaturation() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HslSaturation"}).(float64))
}

func (ptr *QColor) HslSaturationF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HslSaturationF"}).(float64)
}

func (ptr *QColor) HsvHue() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HsvHue"}).(float64))
}

func (ptr *QColor) HsvHueF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HsvHueF"}).(float64)
}

func (ptr *QColor) HsvSaturation() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HsvSaturation"}).(float64))
}

func (ptr *QColor) HsvSaturationF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HsvSaturationF"}).(float64)
}

func (ptr *QColor) Hue() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Hue"}).(float64))
}

func (ptr *QColor) HueF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HueF"}).(float64)
}

func (ptr *QColor) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func QColor_IsValidColor(name string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_IsValidColor", "", name}).(bool)
}

func (ptr *QColor) IsValidColor(name string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_IsValidColor", "", name}).(bool)
}

func QColor_IsValidColor2(name core.QStringView_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_IsValidColor2", "", name}).(bool)
}

func (ptr *QColor) IsValidColor2(name core.QStringView_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_IsValidColor2", "", name}).(bool)
}

func QColor_IsValidColor3(name core.QLatin1String_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_IsValidColor3", "", name}).(bool)
}

func (ptr *QColor) IsValidColor3(name core.QLatin1String_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QColor_IsValidColor3", "", name}).(bool)
}

func (ptr *QColor) Lighter(factor int) *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Lighter", factor}).(*QColor)
}

func (ptr *QColor) Lightness() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Lightness"}).(float64))
}

func (ptr *QColor) LightnessF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LightnessF"}).(float64)
}

func (ptr *QColor) Magenta() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Magenta"}).(float64))
}

func (ptr *QColor) MagentaF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MagentaF"}).(float64)
}

func (ptr *QColor) Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(string)
}

func (ptr *QColor) Name2(format QColor__NameFormat) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name2", format}).(string)
}

func (ptr *QColor) Red() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Red"}).(float64))
}

func (ptr *QColor) RedF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedF"}).(float64)
}

func (ptr *QColor) Rgb() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rgb"}).(float64))
}

func (ptr *QColor) Rgba() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rgba"}).(float64))
}

func (ptr *QColor) Saturation() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Saturation"}).(float64))
}

func (ptr *QColor) SaturationF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SaturationF"}).(float64)
}

func (ptr *QColor) SetAlpha(alpha int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlpha", alpha})
}

func (ptr *QColor) SetAlphaF(alpha float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlphaF", alpha})
}

func (ptr *QColor) SetBlue(blue int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBlue", blue})
}

func (ptr *QColor) SetBlueF(blue float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBlueF", blue})
}

func (ptr *QColor) SetCmyk(c int, m int, y int, k int, a int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCmyk", c, m, y, k, a})
}

func (ptr *QColor) SetCmykF(c float64, m float64, y float64, k float64, a float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCmykF", c, m, y, k, a})
}

func (ptr *QColor) SetGreen(green int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGreen", green})
}

func (ptr *QColor) SetGreenF(green float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGreenF", green})
}

func (ptr *QColor) SetHsl(h int, s int, l int, a int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHsl", h, s, l, a})
}

func (ptr *QColor) SetHslF(h float64, s float64, l float64, a float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHslF", h, s, l, a})
}

func (ptr *QColor) SetHsv(h int, s int, v int, a int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHsv", h, s, v, a})
}

func (ptr *QColor) SetHsvF(h float64, s float64, v float64, a float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHsvF", h, s, v, a})
}

func (ptr *QColor) SetNamedColor(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNamedColor", name})
}

func (ptr *QColor) SetNamedColor2(name core.QStringView_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNamedColor2", name})
}

func (ptr *QColor) SetNamedColor3(name core.QLatin1String_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNamedColor3", name})
}

func (ptr *QColor) SetRed(red int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRed", red})
}

func (ptr *QColor) SetRedF(red float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRedF", red})
}

func (ptr *QColor) SetRgb(r int, g int, b int, a int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRgb", r, g, b, a})
}

func (ptr *QColor) SetRgb2(rgb uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRgb2", rgb})
}

func (ptr *QColor) SetRgbF(r float64, g float64, b float64, a float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRgbF", r, g, b, a})
}

func (ptr *QColor) SetRgba(rgba uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRgba", rgba})
}

func (ptr *QColor) SetRgba64(rgba QRgba64_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRgba64", rgba})
}

func (ptr *QColor) Spec() QColor__Spec {

	return QColor__Spec(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Spec"}).(float64))
}

func (ptr *QColor) ToCmyk() *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCmyk"}).(*QColor)
}

func (ptr *QColor) ToHsl() *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToHsl"}).(*QColor)
}

func (ptr *QColor) ToHsv() *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToHsv"}).(*QColor)
}

func (ptr *QColor) ToRgb() *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToRgb"}).(*QColor)
}

func (ptr *QColor) Value() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value"}).(float64))
}

func (ptr *QColor) ValueF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueF"}).(float64)
}

func (ptr *QColor) Yellow() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Yellow"}).(float64))
}

func (ptr *QColor) YellowF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "YellowF"}).(float64)
}

func (ptr *QColor) ToVariant() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariant"}).(*core.QVariant)
}

type QColorDialogOptions struct {
	internal.Internal
}

type QColorDialogOptions_ITF interface {
	QColorDialogOptions_PTR() *QColorDialogOptions
}

func (ptr *QColorDialogOptions) QColorDialogOptions_PTR() *QColorDialogOptions {
	return ptr
}

func (ptr *QColorDialogOptions) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QColorDialogOptions) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQColorDialogOptions(ptr QColorDialogOptions_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QColorDialogOptions_PTR().Pointer()
	}
	return nil
}

func (n *QColorDialogOptions) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQColorDialogOptionsFromPointer(ptr unsafe.Pointer) (n *QColorDialogOptions) {
	n = new(QColorDialogOptions)
	n.InitFromInternal(uintptr(ptr), "gui.QColorDialogOptions")
	return
}

func (ptr *QColorDialogOptions) DestroyQColorDialogOptions() {
}

type QConicalGradient struct {
	QGradient
}

type QConicalGradient_ITF interface {
	QGradient_ITF
	QConicalGradient_PTR() *QConicalGradient
}

func (ptr *QConicalGradient) QConicalGradient_PTR() *QConicalGradient {
	return ptr
}

func (ptr *QConicalGradient) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGradient_PTR().Pointer()
	}
	return nil
}

func (ptr *QConicalGradient) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGradient_PTR().SetPointer(p)
	}
}

func PointerFromQConicalGradient(ptr QConicalGradient_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QConicalGradient_PTR().Pointer()
	}
	return nil
}

func (n *QConicalGradient) InitFromInternal(ptr uintptr, name string) {
	n.QGradient_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QConicalGradient) ClassNameInternalF() string {
	return n.QGradient_PTR().ClassNameInternalF()
}

func NewQConicalGradientFromPointer(ptr unsafe.Pointer) (n *QConicalGradient) {
	n = new(QConicalGradient)
	n.InitFromInternal(uintptr(ptr), "gui.QConicalGradient")
	return
}

func (ptr *QConicalGradient) DestroyQConicalGradient() {
}

func NewQConicalGradient() *QConicalGradient {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQConicalGradient", ""}).(*QConicalGradient)
}

func NewQConicalGradient2(center core.QPointF_ITF, angle float64) *QConicalGradient {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQConicalGradient2", "", center, angle}).(*QConicalGradient)
}

func NewQConicalGradient3(cx float64, cy float64, angle float64) *QConicalGradient {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQConicalGradient3", "", cx, cy, angle}).(*QConicalGradient)
}

func (ptr *QConicalGradient) Angle() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Angle"}).(float64)
}

func (ptr *QConicalGradient) Center() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Center"}).(*core.QPointF)
}

func (ptr *QConicalGradient) SetAngle(angle float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAngle", angle})
}

func (ptr *QConicalGradient) SetCenter(center core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCenter", center})
}

func (ptr *QConicalGradient) SetCenter2(x float64, y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCenter2", x, y})
}

type QContextMenuEvent struct {
	QInputEvent
}

type QContextMenuEvent_ITF interface {
	QInputEvent_ITF
	QContextMenuEvent_PTR() *QContextMenuEvent
}

func (ptr *QContextMenuEvent) QContextMenuEvent_PTR() *QContextMenuEvent {
	return ptr
}

func (ptr *QContextMenuEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QInputEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QContextMenuEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QInputEvent_PTR().SetPointer(p)
	}
}

func PointerFromQContextMenuEvent(ptr QContextMenuEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QContextMenuEvent_PTR().Pointer()
	}
	return nil
}

func (n *QContextMenuEvent) InitFromInternal(ptr uintptr, name string) {
	n.QInputEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QContextMenuEvent) ClassNameInternalF() string {
	return n.QInputEvent_PTR().ClassNameInternalF()
}

func NewQContextMenuEventFromPointer(ptr unsafe.Pointer) (n *QContextMenuEvent) {
	n = new(QContextMenuEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QContextMenuEvent")
	return
}

func (ptr *QContextMenuEvent) DestroyQContextMenuEvent() {
}

//go:generate stringer -type=QContextMenuEvent__Reason
//QContextMenuEvent::Reason
type QContextMenuEvent__Reason int64

const (
	QContextMenuEvent__Mouse    QContextMenuEvent__Reason = QContextMenuEvent__Reason(0)
	QContextMenuEvent__Keyboard QContextMenuEvent__Reason = QContextMenuEvent__Reason(1)
	QContextMenuEvent__Other    QContextMenuEvent__Reason = QContextMenuEvent__Reason(2)
)

func NewQContextMenuEvent(reason QContextMenuEvent__Reason, pos core.QPoint_ITF, globalPos core.QPoint_ITF, modifiers core.Qt__KeyboardModifier) *QContextMenuEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQContextMenuEvent", "", reason, pos, globalPos, modifiers}).(*QContextMenuEvent)
}

func NewQContextMenuEvent2(reason QContextMenuEvent__Reason, pos core.QPoint_ITF, globalPos core.QPoint_ITF) *QContextMenuEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQContextMenuEvent2", "", reason, pos, globalPos}).(*QContextMenuEvent)
}

func NewQContextMenuEvent3(reason QContextMenuEvent__Reason, pos core.QPoint_ITF) *QContextMenuEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQContextMenuEvent3", "", reason, pos}).(*QContextMenuEvent)
}

func (ptr *QContextMenuEvent) GlobalPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalPos"}).(*core.QPoint)
}

func (ptr *QContextMenuEvent) GlobalX() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalX"}).(float64))
}

func (ptr *QContextMenuEvent) GlobalY() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalY"}).(float64))
}

func (ptr *QContextMenuEvent) Pos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPoint)
}

func (ptr *QContextMenuEvent) Reason() QContextMenuEvent__Reason {

	return QContextMenuEvent__Reason(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reason"}).(float64))
}

func (ptr *QContextMenuEvent) X() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float64))
}

func (ptr *QContextMenuEvent) Y() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float64))
}

type QCursor struct {
	internal.Internal
}

type QCursor_ITF interface {
	QCursor_PTR() *QCursor
}

func (ptr *QCursor) QCursor_PTR() *QCursor {
	return ptr
}

func (ptr *QCursor) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCursor) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCursor(ptr QCursor_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCursor_PTR().Pointer()
	}
	return nil
}

func (n *QCursor) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCursorFromPointer(ptr unsafe.Pointer) (n *QCursor) {
	n = new(QCursor)
	n.InitFromInternal(uintptr(ptr), "gui.QCursor")
	return
}
func NewQCursor() *QCursor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQCursor", ""}).(*QCursor)
}

func NewQCursor2(shape core.Qt__CursorShape) *QCursor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQCursor2", "", shape}).(*QCursor)
}

func NewQCursor3(bitmap QBitmap_ITF, mask QBitmap_ITF, hotX int, hotY int) *QCursor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQCursor3", "", bitmap, mask, hotX, hotY}).(*QCursor)
}

func NewQCursor4(pixmap QPixmap_ITF, hotX int, hotY int) *QCursor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQCursor4", "", pixmap, hotX, hotY}).(*QCursor)
}

func NewQCursor5(c QCursor_ITF) *QCursor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQCursor5", "", c}).(*QCursor)
}

func NewQCursor6(other QCursor_ITF) *QCursor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQCursor6", "", other}).(*QCursor)
}

func (ptr *QCursor) Bitmap() *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bitmap"}).(*QBitmap)
}

func (ptr *QCursor) HotSpot() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HotSpot"}).(*core.QPoint)
}

func (ptr *QCursor) Mask() *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mask"}).(*QBitmap)
}

func (ptr *QCursor) Pixmap() *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixmap"}).(*QPixmap)
}

func QCursor_Pos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QCursor_Pos", ""}).(*core.QPoint)
}

func (ptr *QCursor) Pos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QCursor_Pos", ""}).(*core.QPoint)
}

func QCursor_Pos2(screen QScreen_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QCursor_Pos2", "", screen}).(*core.QPoint)
}

func (ptr *QCursor) Pos2(screen QScreen_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QCursor_Pos2", "", screen}).(*core.QPoint)
}

func QCursor_SetPos(x int, y int) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QCursor_SetPos", "", x, y})
}

func (ptr *QCursor) SetPos(x int, y int) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QCursor_SetPos", "", x, y})
}

func QCursor_SetPos2(screen QScreen_ITF, x int, y int) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QCursor_SetPos2", "", screen, x, y})
}

func (ptr *QCursor) SetPos2(screen QScreen_ITF, x int, y int) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QCursor_SetPos2", "", screen, x, y})
}

func QCursor_SetPos3(p core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QCursor_SetPos3", "", p})
}

func (ptr *QCursor) SetPos3(p core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QCursor_SetPos3", "", p})
}

func QCursor_SetPos4(screen QScreen_ITF, p core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QCursor_SetPos4", "", screen, p})
}

func (ptr *QCursor) SetPos4(screen QScreen_ITF, p core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QCursor_SetPos4", "", screen, p})
}

func (ptr *QCursor) SetShape(shape core.Qt__CursorShape) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShape", shape})
}

func (ptr *QCursor) Shape() core.Qt__CursorShape {

	return core.Qt__CursorShape(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shape"}).(float64))
}

func (ptr *QCursor) Swap(other QCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QCursor) DestroyQCursor() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCursor"})
}

type QDesktopServices struct {
	internal.Internal
}

type QDesktopServices_ITF interface {
	QDesktopServices_PTR() *QDesktopServices
}

func (ptr *QDesktopServices) QDesktopServices_PTR() *QDesktopServices {
	return ptr
}

func (ptr *QDesktopServices) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QDesktopServices) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQDesktopServices(ptr QDesktopServices_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDesktopServices_PTR().Pointer()
	}
	return nil
}

func (n *QDesktopServices) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQDesktopServicesFromPointer(ptr unsafe.Pointer) (n *QDesktopServices) {
	n = new(QDesktopServices)
	n.InitFromInternal(uintptr(ptr), "gui.QDesktopServices")
	return
}

func (ptr *QDesktopServices) DestroyQDesktopServices() {
}

func QDesktopServices_OpenUrl(url core.QUrl_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QDesktopServices_OpenUrl", "", url}).(bool)
}

func (ptr *QDesktopServices) OpenUrl(url core.QUrl_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QDesktopServices_OpenUrl", "", url}).(bool)
}

func QDesktopServices_SetUrlHandler(scheme string, receiver core.QObject_ITF, method string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QDesktopServices_SetUrlHandler", "", scheme, receiver, method})
}

func (ptr *QDesktopServices) SetUrlHandler(scheme string, receiver core.QObject_ITF, method string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QDesktopServices_SetUrlHandler", "", scheme, receiver, method})
}

func QDesktopServices_UnsetUrlHandler(scheme string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QDesktopServices_UnsetUrlHandler", "", scheme})
}

func (ptr *QDesktopServices) UnsetUrlHandler(scheme string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QDesktopServices_UnsetUrlHandler", "", scheme})
}

type QDoubleValidator struct {
	QValidator
}

type QDoubleValidator_ITF interface {
	QValidator_ITF
	QDoubleValidator_PTR() *QDoubleValidator
}

func (ptr *QDoubleValidator) QDoubleValidator_PTR() *QDoubleValidator {
	return ptr
}

func (ptr *QDoubleValidator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QValidator_PTR().Pointer()
	}
	return nil
}

func (ptr *QDoubleValidator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QValidator_PTR().SetPointer(p)
	}
}

func PointerFromQDoubleValidator(ptr QDoubleValidator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDoubleValidator_PTR().Pointer()
	}
	return nil
}

func (n *QDoubleValidator) InitFromInternal(ptr uintptr, name string) {
	n.QValidator_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDoubleValidator) ClassNameInternalF() string {
	return n.QValidator_PTR().ClassNameInternalF()
}

func NewQDoubleValidatorFromPointer(ptr unsafe.Pointer) (n *QDoubleValidator) {
	n = new(QDoubleValidator)
	n.InitFromInternal(uintptr(ptr), "gui.QDoubleValidator")
	return
}

//go:generate stringer -type=QDoubleValidator__Notation
//QDoubleValidator::Notation
type QDoubleValidator__Notation int64

const (
	QDoubleValidator__StandardNotation   QDoubleValidator__Notation = QDoubleValidator__Notation(0)
	QDoubleValidator__ScientificNotation QDoubleValidator__Notation = QDoubleValidator__Notation(1)
)

func NewQDoubleValidator(parent core.QObject_ITF) *QDoubleValidator {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQDoubleValidator", "", parent}).(*QDoubleValidator)
}

func NewQDoubleValidator2(bottom float64, top float64, decimals int, parent core.QObject_ITF) *QDoubleValidator {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQDoubleValidator2", "", bottom, top, decimals, parent}).(*QDoubleValidator)
}

func (ptr *QDoubleValidator) Bottom() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bottom"}).(float64)
}

func (ptr *QDoubleValidator) ConnectBottomChanged(f func(bottom float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBottomChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDoubleValidator) DisconnectBottomChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBottomChanged"})
}

func (ptr *QDoubleValidator) BottomChanged(bottom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BottomChanged", bottom})
}

func (ptr *QDoubleValidator) Decimals() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Decimals"}).(float64))
}

func (ptr *QDoubleValidator) ConnectDecimalsChanged(f func(decimals int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDecimalsChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDoubleValidator) DisconnectDecimalsChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDecimalsChanged"})
}

func (ptr *QDoubleValidator) DecimalsChanged(decimals int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DecimalsChanged", decimals})
}

func (ptr *QDoubleValidator) Notation() QDoubleValidator__Notation {

	return QDoubleValidator__Notation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Notation"}).(float64))
}

func (ptr *QDoubleValidator) ConnectNotationChanged(f func(notation QDoubleValidator__Notation)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDoubleValidator) DisconnectNotationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotationChanged"})
}

func (ptr *QDoubleValidator) NotationChanged(notation QDoubleValidator__Notation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NotationChanged", notation})
}

func (ptr *QDoubleValidator) SetBottom(vdo float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottom", vdo})
}

func (ptr *QDoubleValidator) SetDecimals(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDecimals", vin})
}

func (ptr *QDoubleValidator) SetNotation(vqd QDoubleValidator__Notation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNotation", vqd})
}

func (ptr *QDoubleValidator) ConnectSetRange(f func(minimum float64, maximum float64, decimals int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetRange", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDoubleValidator) DisconnectSetRange() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetRange"})
}

func (ptr *QDoubleValidator) SetRange(minimum float64, maximum float64, decimals int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRange", minimum, maximum, decimals})
}

func (ptr *QDoubleValidator) SetRangeDefault(minimum float64, maximum float64, decimals int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRangeDefault", minimum, maximum, decimals})
}

func (ptr *QDoubleValidator) SetTop(vdo float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTop", vdo})
}

func (ptr *QDoubleValidator) Top() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Top"}).(float64)
}

func (ptr *QDoubleValidator) ConnectTopChanged(f func(top float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTopChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDoubleValidator) DisconnectTopChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTopChanged"})
}

func (ptr *QDoubleValidator) TopChanged(top float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopChanged", top})
}

func (ptr *QDoubleValidator) ConnectValidate(f func(input string, pos int) QValidator__State) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValidate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDoubleValidator) DisconnectValidate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValidate"})
}

func (ptr *QDoubleValidator) Validate(input string, pos int) QValidator__State {

	return QValidator__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Validate", input, pos}).(float64))
}

func (ptr *QDoubleValidator) ValidateDefault(input string, pos int) QValidator__State {

	return QValidator__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValidateDefault", input, pos}).(float64))
}

func (ptr *QDoubleValidator) ConnectDestroyQDoubleValidator(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQDoubleValidator", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDoubleValidator) DisconnectDestroyQDoubleValidator() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQDoubleValidator"})
}

func (ptr *QDoubleValidator) DestroyQDoubleValidator() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDoubleValidator"})
}

func (ptr *QDoubleValidator) DestroyQDoubleValidatorDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDoubleValidatorDefault"})
}

type QDrag struct {
	core.QObject
}

type QDrag_ITF interface {
	core.QObject_ITF
	QDrag_PTR() *QDrag
}

func (ptr *QDrag) QDrag_PTR() *QDrag {
	return ptr
}

func (ptr *QDrag) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QDrag) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQDrag(ptr QDrag_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDrag_PTR().Pointer()
	}
	return nil
}

func (n *QDrag) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDrag) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQDragFromPointer(ptr unsafe.Pointer) (n *QDrag) {
	n = new(QDrag)
	n.InitFromInternal(uintptr(ptr), "gui.QDrag")
	return
}
func NewQDrag(dragSource core.QObject_ITF) *QDrag {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQDrag", "", dragSource}).(*QDrag)
}

func (ptr *QDrag) ConnectActionChanged(f func(action core.Qt__DropAction)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDrag) DisconnectActionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActionChanged"})
}

func (ptr *QDrag) ActionChanged(action core.Qt__DropAction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActionChanged", action})
}

func QDrag_Cancel() {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QDrag_Cancel", ""})
}

func (ptr *QDrag) Cancel() {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QDrag_Cancel", ""})
}

func (ptr *QDrag) DefaultAction() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultAction"}).(float64))
}

func (ptr *QDrag) DragCursor(action core.Qt__DropAction) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragCursor", action}).(*QPixmap)
}

func (ptr *QDrag) Exec(supportedActions core.Qt__DropAction) core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exec", supportedActions}).(float64))
}

func (ptr *QDrag) Exec2(supportedActions core.Qt__DropAction, defaultDropAction core.Qt__DropAction) core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exec2", supportedActions, defaultDropAction}).(float64))
}

func (ptr *QDrag) HotSpot() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HotSpot"}).(*core.QPoint)
}

func (ptr *QDrag) MimeData() *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeData"}).(*core.QMimeData)
}

func (ptr *QDrag) Pixmap() *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixmap"}).(*QPixmap)
}

func (ptr *QDrag) SetDragCursor(cursor QPixmap_ITF, action core.Qt__DropAction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDragCursor", cursor, action})
}

func (ptr *QDrag) SetHotSpot(hotspot core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHotSpot", hotspot})
}

func (ptr *QDrag) SetMimeData(data core.QMimeData_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMimeData", data})
}

func (ptr *QDrag) SetPixmap(pixmap QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixmap", pixmap})
}

func (ptr *QDrag) Source() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Source"}).(*core.QObject)
}

func (ptr *QDrag) SupportedActions() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedActions"}).(float64))
}

func (ptr *QDrag) Target() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Target"}).(*core.QObject)
}

func (ptr *QDrag) ConnectTargetChanged(f func(newTarget *core.QObject)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTargetChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDrag) DisconnectTargetChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTargetChanged"})
}

func (ptr *QDrag) TargetChanged(newTarget core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TargetChanged", newTarget})
}

func (ptr *QDrag) ConnectDestroyQDrag(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQDrag", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDrag) DisconnectDestroyQDrag() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQDrag"})
}

func (ptr *QDrag) DestroyQDrag() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDrag"})
}

func (ptr *QDrag) DestroyQDragDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDragDefault"})
}

func (ptr *QDrag) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QDrag) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QDrag) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QDrag) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QDrag) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QDrag) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QDrag) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QDrag) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QDrag) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QDrag) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QDrag) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QDrag) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QDrag) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QDrag) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QDrag) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QDrag) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QDrag) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QDrag) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QDrag) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QDrag) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QDrag) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QDragEnterEvent struct {
	QDragMoveEvent
}

type QDragEnterEvent_ITF interface {
	QDragMoveEvent_ITF
	QDragEnterEvent_PTR() *QDragEnterEvent
}

func (ptr *QDragEnterEvent) QDragEnterEvent_PTR() *QDragEnterEvent {
	return ptr
}

func (ptr *QDragEnterEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QDragMoveEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QDragEnterEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QDragMoveEvent_PTR().SetPointer(p)
	}
}

func PointerFromQDragEnterEvent(ptr QDragEnterEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDragEnterEvent_PTR().Pointer()
	}
	return nil
}

func (n *QDragEnterEvent) InitFromInternal(ptr uintptr, name string) {
	n.QDragMoveEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDragEnterEvent) ClassNameInternalF() string {
	return n.QDragMoveEvent_PTR().ClassNameInternalF()
}

func NewQDragEnterEventFromPointer(ptr unsafe.Pointer) (n *QDragEnterEvent) {
	n = new(QDragEnterEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QDragEnterEvent")
	return
}

func (ptr *QDragEnterEvent) DestroyQDragEnterEvent() {
}

func NewQDragEnterEvent(point core.QPoint_ITF, actions core.Qt__DropAction, data core.QMimeData_ITF, buttons core.Qt__MouseButton, modifiers core.Qt__KeyboardModifier) *QDragEnterEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQDragEnterEvent", "", point, actions, data, buttons, modifiers}).(*QDragEnterEvent)
}

type QDragLeaveEvent struct {
	core.QEvent
}

type QDragLeaveEvent_ITF interface {
	core.QEvent_ITF
	QDragLeaveEvent_PTR() *QDragLeaveEvent
}

func (ptr *QDragLeaveEvent) QDragLeaveEvent_PTR() *QDragLeaveEvent {
	return ptr
}

func (ptr *QDragLeaveEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QDragLeaveEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQDragLeaveEvent(ptr QDragLeaveEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDragLeaveEvent_PTR().Pointer()
	}
	return nil
}

func (n *QDragLeaveEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDragLeaveEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQDragLeaveEventFromPointer(ptr unsafe.Pointer) (n *QDragLeaveEvent) {
	n = new(QDragLeaveEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QDragLeaveEvent")
	return
}

func (ptr *QDragLeaveEvent) DestroyQDragLeaveEvent() {
}

func NewQDragLeaveEvent() *QDragLeaveEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQDragLeaveEvent", ""}).(*QDragLeaveEvent)
}

type QDragMoveEvent struct {
	QDropEvent
}

type QDragMoveEvent_ITF interface {
	QDropEvent_ITF
	QDragMoveEvent_PTR() *QDragMoveEvent
}

func (ptr *QDragMoveEvent) QDragMoveEvent_PTR() *QDragMoveEvent {
	return ptr
}

func (ptr *QDragMoveEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QDropEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QDragMoveEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QDropEvent_PTR().SetPointer(p)
	}
}

func PointerFromQDragMoveEvent(ptr QDragMoveEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDragMoveEvent_PTR().Pointer()
	}
	return nil
}

func (n *QDragMoveEvent) InitFromInternal(ptr uintptr, name string) {
	n.QDropEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDragMoveEvent) ClassNameInternalF() string {
	return n.QDropEvent_PTR().ClassNameInternalF()
}

func NewQDragMoveEventFromPointer(ptr unsafe.Pointer) (n *QDragMoveEvent) {
	n = new(QDragMoveEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QDragMoveEvent")
	return
}
func NewQDragMoveEvent(pos core.QPoint_ITF, actions core.Qt__DropAction, data core.QMimeData_ITF, buttons core.Qt__MouseButton, modifiers core.Qt__KeyboardModifier, ty core.QEvent__Type) *QDragMoveEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQDragMoveEvent", "", pos, actions, data, buttons, modifiers, ty}).(*QDragMoveEvent)
}

func (ptr *QDragMoveEvent) Accept(rectangle core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Accept", rectangle})
}

func (ptr *QDragMoveEvent) AnswerRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AnswerRect"}).(*core.QRect)
}

func (ptr *QDragMoveEvent) Ignore(rectangle core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ignore", rectangle})
}

func (ptr *QDragMoveEvent) ConnectDestroyQDragMoveEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQDragMoveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDragMoveEvent) DisconnectDestroyQDragMoveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQDragMoveEvent"})
}

func (ptr *QDragMoveEvent) DestroyQDragMoveEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDragMoveEvent"})
}

func (ptr *QDragMoveEvent) DestroyQDragMoveEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDragMoveEventDefault"})
}

type QDropEvent struct {
	core.QEvent
}

type QDropEvent_ITF interface {
	core.QEvent_ITF
	QDropEvent_PTR() *QDropEvent
}

func (ptr *QDropEvent) QDropEvent_PTR() *QDropEvent {
	return ptr
}

func (ptr *QDropEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QDropEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQDropEvent(ptr QDropEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDropEvent_PTR().Pointer()
	}
	return nil
}

func (n *QDropEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDropEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQDropEventFromPointer(ptr unsafe.Pointer) (n *QDropEvent) {
	n = new(QDropEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QDropEvent")
	return
}

func (ptr *QDropEvent) DestroyQDropEvent() {
}

func NewQDropEvent(pos core.QPointF_ITF, actions core.Qt__DropAction, data core.QMimeData_ITF, buttons core.Qt__MouseButton, modifiers core.Qt__KeyboardModifier, ty core.QEvent__Type) *QDropEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQDropEvent", "", pos, actions, data, buttons, modifiers, ty}).(*QDropEvent)
}

func (ptr *QDropEvent) AcceptProposedAction() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AcceptProposedAction"})
}

func (ptr *QDropEvent) DropAction() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropAction"}).(float64))
}

func (ptr *QDropEvent) KeyboardModifiers() core.Qt__KeyboardModifier {

	return core.Qt__KeyboardModifier(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyboardModifiers"}).(float64))
}

func (ptr *QDropEvent) MimeData() *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeData"}).(*core.QMimeData)
}

func (ptr *QDropEvent) MouseButtons() core.Qt__MouseButton {

	return core.Qt__MouseButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseButtons"}).(float64))
}

func (ptr *QDropEvent) Pos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPoint)
}

func (ptr *QDropEvent) PosF() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PosF"}).(*core.QPointF)
}

func (ptr *QDropEvent) PossibleActions() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PossibleActions"}).(float64))
}

func (ptr *QDropEvent) ProposedAction() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProposedAction"}).(float64))
}

func (ptr *QDropEvent) SetDropAction(action core.Qt__DropAction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDropAction", action})
}

func (ptr *QDropEvent) Source() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Source"}).(*core.QObject)
}

type QEnterEvent struct {
	core.QEvent
}

type QEnterEvent_ITF interface {
	core.QEvent_ITF
	QEnterEvent_PTR() *QEnterEvent
}

func (ptr *QEnterEvent) QEnterEvent_PTR() *QEnterEvent {
	return ptr
}

func (ptr *QEnterEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QEnterEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQEnterEvent(ptr QEnterEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QEnterEvent_PTR().Pointer()
	}
	return nil
}

func (n *QEnterEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QEnterEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQEnterEventFromPointer(ptr unsafe.Pointer) (n *QEnterEvent) {
	n = new(QEnterEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QEnterEvent")
	return
}

func (ptr *QEnterEvent) DestroyQEnterEvent() {
}

func NewQEnterEvent(localPos core.QPointF_ITF, windowPos core.QPointF_ITF, screenPos core.QPointF_ITF) *QEnterEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQEnterEvent", "", localPos, windowPos, screenPos}).(*QEnterEvent)
}

func (ptr *QEnterEvent) GlobalPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalPos"}).(*core.QPoint)
}

func (ptr *QEnterEvent) GlobalX() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalX"}).(float64))
}

func (ptr *QEnterEvent) GlobalY() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalY"}).(float64))
}

func (ptr *QEnterEvent) LocalPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LocalPos"}).(*core.QPointF)
}

func (ptr *QEnterEvent) Pos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPoint)
}

func (ptr *QEnterEvent) ScreenPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenPos"}).(*core.QPointF)
}

func (ptr *QEnterEvent) WindowPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WindowPos"}).(*core.QPointF)
}

func (ptr *QEnterEvent) X() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float64))
}

func (ptr *QEnterEvent) Y() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float64))
}

type QExposeEvent struct {
	core.QEvent
}

type QExposeEvent_ITF interface {
	core.QEvent_ITF
	QExposeEvent_PTR() *QExposeEvent
}

func (ptr *QExposeEvent) QExposeEvent_PTR() *QExposeEvent {
	return ptr
}

func (ptr *QExposeEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QExposeEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQExposeEvent(ptr QExposeEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QExposeEvent_PTR().Pointer()
	}
	return nil
}

func (n *QExposeEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QExposeEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQExposeEventFromPointer(ptr unsafe.Pointer) (n *QExposeEvent) {
	n = new(QExposeEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QExposeEvent")
	return
}

func (ptr *QExposeEvent) DestroyQExposeEvent() {
}

func NewQExposeEvent(exposeRegion QRegion_ITF) *QExposeEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQExposeEvent", "", exposeRegion}).(*QExposeEvent)
}

func (ptr *QExposeEvent) Region() *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Region"}).(*QRegion)
}

type QFileDialogOptions struct {
	internal.Internal
}

type QFileDialogOptions_ITF interface {
	QFileDialogOptions_PTR() *QFileDialogOptions
}

func (ptr *QFileDialogOptions) QFileDialogOptions_PTR() *QFileDialogOptions {
	return ptr
}

func (ptr *QFileDialogOptions) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFileDialogOptions) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFileDialogOptions(ptr QFileDialogOptions_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFileDialogOptions_PTR().Pointer()
	}
	return nil
}

func (n *QFileDialogOptions) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFileDialogOptionsFromPointer(ptr unsafe.Pointer) (n *QFileDialogOptions) {
	n = new(QFileDialogOptions)
	n.InitFromInternal(uintptr(ptr), "gui.QFileDialogOptions")
	return
}

func (ptr *QFileDialogOptions) DestroyQFileDialogOptions() {
}

type QFileOpenEvent struct {
	core.QEvent
}

type QFileOpenEvent_ITF interface {
	core.QEvent_ITF
	QFileOpenEvent_PTR() *QFileOpenEvent
}

func (ptr *QFileOpenEvent) QFileOpenEvent_PTR() *QFileOpenEvent {
	return ptr
}

func (ptr *QFileOpenEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QFileOpenEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQFileOpenEvent(ptr QFileOpenEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFileOpenEvent_PTR().Pointer()
	}
	return nil
}

func (n *QFileOpenEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFileOpenEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQFileOpenEventFromPointer(ptr unsafe.Pointer) (n *QFileOpenEvent) {
	n = new(QFileOpenEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QFileOpenEvent")
	return
}

func (ptr *QFileOpenEvent) DestroyQFileOpenEvent() {
}

func (ptr *QFileOpenEvent) File() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "File"}).(string)
}

func (ptr *QFileOpenEvent) OpenFile(file core.QFile_ITF, flags core.QIODevice__OpenModeFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpenFile", file, flags}).(bool)
}

func (ptr *QFileOpenEvent) Url() *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Url"}).(*core.QUrl)
}

type QFocusEvent struct {
	core.QEvent
}

type QFocusEvent_ITF interface {
	core.QEvent_ITF
	QFocusEvent_PTR() *QFocusEvent
}

func (ptr *QFocusEvent) QFocusEvent_PTR() *QFocusEvent {
	return ptr
}

func (ptr *QFocusEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QFocusEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQFocusEvent(ptr QFocusEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFocusEvent_PTR().Pointer()
	}
	return nil
}

func (n *QFocusEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFocusEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQFocusEventFromPointer(ptr unsafe.Pointer) (n *QFocusEvent) {
	n = new(QFocusEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QFocusEvent")
	return
}

func (ptr *QFocusEvent) DestroyQFocusEvent() {
}

func NewQFocusEvent(ty core.QEvent__Type, reason core.Qt__FocusReason) *QFocusEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFocusEvent", "", ty, reason}).(*QFocusEvent)
}

func (ptr *QFocusEvent) GotFocus() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GotFocus"}).(bool)
}

func (ptr *QFocusEvent) LostFocus() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LostFocus"}).(bool)
}

func (ptr *QFocusEvent) Reason() core.Qt__FocusReason {

	return core.Qt__FocusReason(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reason"}).(float64))
}

type QFont struct {
	internal.Internal
}

type QFont_ITF interface {
	QFont_PTR() *QFont
}

func (ptr *QFont) QFont_PTR() *QFont {
	return ptr
}

func (ptr *QFont) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFont) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFont(ptr QFont_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFont_PTR().Pointer()
	}
	return nil
}

func (n *QFont) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFontFromPointer(ptr unsafe.Pointer) (n *QFont) {
	n = new(QFont)
	n.InitFromInternal(uintptr(ptr), "gui.QFont")
	return
}

//go:generate stringer -type=QFont__StyleHint
//QFont::StyleHint
type QFont__StyleHint int64

var (
	QFont__Helvetica  QFont__StyleHint = QFont__StyleHint(0)
	QFont__SansSerif  QFont__StyleHint = QFont__StyleHint(QFont__Helvetica)
	QFont__Times      QFont__StyleHint = QFont__StyleHint(1)
	QFont__Serif      QFont__StyleHint = QFont__StyleHint(QFont__Times)
	QFont__Courier    QFont__StyleHint = QFont__StyleHint(2)
	QFont__TypeWriter QFont__StyleHint = QFont__StyleHint(QFont__Courier)
	QFont__OldEnglish QFont__StyleHint = QFont__StyleHint(3)
	QFont__Decorative QFont__StyleHint = QFont__StyleHint(QFont__OldEnglish)
	QFont__System     QFont__StyleHint = QFont__StyleHint(4)
	QFont__AnyStyle   QFont__StyleHint = QFont__StyleHint(5)
	QFont__Cursive    QFont__StyleHint = QFont__StyleHint(6)
	QFont__Monospace  QFont__StyleHint = QFont__StyleHint(7)
	QFont__Fantasy    QFont__StyleHint = QFont__StyleHint(8)
)

//go:generate stringer -type=QFont__StyleStrategy
//QFont::StyleStrategy
type QFont__StyleStrategy int64

var (
	QFont__PreferDefault       QFont__StyleStrategy = QFont__StyleStrategy(0x0001)
	QFont__PreferBitmap        QFont__StyleStrategy = QFont__StyleStrategy(0x0002)
	QFont__PreferDevice        QFont__StyleStrategy = QFont__StyleStrategy(0x0004)
	QFont__PreferOutline       QFont__StyleStrategy = QFont__StyleStrategy(0x0008)
	QFont__ForceOutline        QFont__StyleStrategy = QFont__StyleStrategy(0x0010)
	QFont__PreferMatch         QFont__StyleStrategy = QFont__StyleStrategy(0x0020)
	QFont__PreferQuality       QFont__StyleStrategy = QFont__StyleStrategy(0x0040)
	QFont__PreferAntialias     QFont__StyleStrategy = QFont__StyleStrategy(0x0080)
	QFont__NoAntialias         QFont__StyleStrategy = QFont__StyleStrategy(0x0100)
	QFont__OpenGLCompatible    QFont__StyleStrategy = QFont__StyleStrategy(0x0200)
	QFont__ForceIntegerMetrics QFont__StyleStrategy = QFont__StyleStrategy(0x0400)
	QFont__NoSubpixelAntialias QFont__StyleStrategy = QFont__StyleStrategy(0x0800)
	QFont__PreferNoShaping     QFont__StyleStrategy = QFont__StyleStrategy(0x1000)
	QFont__NoFontMerging       QFont__StyleStrategy = QFont__StyleStrategy(0x8000)
)

//go:generate stringer -type=QFont__HintingPreference
//QFont::HintingPreference
type QFont__HintingPreference int64

const (
	QFont__PreferDefaultHinting  QFont__HintingPreference = QFont__HintingPreference(0)
	QFont__PreferNoHinting       QFont__HintingPreference = QFont__HintingPreference(1)
	QFont__PreferVerticalHinting QFont__HintingPreference = QFont__HintingPreference(2)
	QFont__PreferFullHinting     QFont__HintingPreference = QFont__HintingPreference(3)
)

//go:generate stringer -type=QFont__Weight
//QFont::Weight
type QFont__Weight int64

const (
	QFont__Thin       QFont__Weight = QFont__Weight(0)
	QFont__ExtraLight QFont__Weight = QFont__Weight(12)
	QFont__Light      QFont__Weight = QFont__Weight(25)
	QFont__Normal     QFont__Weight = QFont__Weight(50)
	QFont__Medium     QFont__Weight = QFont__Weight(57)
	QFont__DemiBold   QFont__Weight = QFont__Weight(63)
	QFont__Bold       QFont__Weight = QFont__Weight(75)
	QFont__ExtraBold  QFont__Weight = QFont__Weight(81)
	QFont__Black      QFont__Weight = QFont__Weight(87)
)

//go:generate stringer -type=QFont__Style
//QFont::Style
type QFont__Style int64

var (
	QFont__StyleNormal  QFont__Style = QFont__Style(0)
	QFont__StyleItalic  QFont__Style = QFont__Style(1)
	QFont__StyleOblique QFont__Style = QFont__Style(2)
)

//go:generate stringer -type=QFont__Stretch
//QFont::Stretch
type QFont__Stretch int64

const (
	QFont__AnyStretch     QFont__Stretch = QFont__Stretch(0)
	QFont__UltraCondensed QFont__Stretch = QFont__Stretch(50)
	QFont__ExtraCondensed QFont__Stretch = QFont__Stretch(62)
	QFont__Condensed      QFont__Stretch = QFont__Stretch(75)
	QFont__SemiCondensed  QFont__Stretch = QFont__Stretch(87)
	QFont__Unstretched    QFont__Stretch = QFont__Stretch(100)
	QFont__SemiExpanded   QFont__Stretch = QFont__Stretch(112)
	QFont__Expanded       QFont__Stretch = QFont__Stretch(125)
	QFont__ExtraExpanded  QFont__Stretch = QFont__Stretch(150)
	QFont__UltraExpanded  QFont__Stretch = QFont__Stretch(200)
)

//go:generate stringer -type=QFont__Capitalization
//QFont::Capitalization
type QFont__Capitalization int64

const (
	QFont__MixedCase    QFont__Capitalization = QFont__Capitalization(0)
	QFont__AllUppercase QFont__Capitalization = QFont__Capitalization(1)
	QFont__AllLowercase QFont__Capitalization = QFont__Capitalization(2)
	QFont__SmallCaps    QFont__Capitalization = QFont__Capitalization(3)
	QFont__Capitalize   QFont__Capitalization = QFont__Capitalization(4)
)

//go:generate stringer -type=QFont__SpacingType
//QFont::SpacingType
type QFont__SpacingType int64

const (
	QFont__PercentageSpacing QFont__SpacingType = QFont__SpacingType(0)
	QFont__AbsoluteSpacing   QFont__SpacingType = QFont__SpacingType(1)
)

func NewQFont() *QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFont", ""}).(*QFont)
}

func NewQFont2(family string, pointSize int, weight int, italic bool) *QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFont2", "", family, pointSize, weight, italic}).(*QFont)
}

func NewQFont4(font QFont_ITF, pd QPaintDevice_ITF) *QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFont4", "", font, pd}).(*QFont)
}

func NewQFont5(font QFont_ITF) *QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFont5", "", font}).(*QFont)
}

func (ptr *QFont) Bold() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bold"}).(bool)
}

func (ptr *QFont) Capitalization() QFont__Capitalization {

	return QFont__Capitalization(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Capitalization"}).(float64))
}

func (ptr *QFont) DefaultFamily() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultFamily"}).(string)
}

func (ptr *QFont) ExactMatch() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExactMatch"}).(bool)
}

func (ptr *QFont) Families() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Families"}).([]string)
}

func (ptr *QFont) Family() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Family"}).(string)
}

func (ptr *QFont) FixedPitch() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FixedPitch"}).(bool)
}

func (ptr *QFont) FromString(descrip string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FromString", descrip}).(bool)
}

func (ptr *QFont) HintingPreference() QFont__HintingPreference {

	return QFont__HintingPreference(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HintingPreference"}).(float64))
}

func QFont_InsertSubstitution(familyName string, substituteName string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QFont_InsertSubstitution", "", familyName, substituteName})
}

func (ptr *QFont) InsertSubstitution(familyName string, substituteName string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QFont_InsertSubstitution", "", familyName, substituteName})
}

func QFont_InsertSubstitutions(familyName string, substituteNames []string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QFont_InsertSubstitutions", "", familyName, substituteNames})
}

func (ptr *QFont) InsertSubstitutions(familyName string, substituteNames []string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QFont_InsertSubstitutions", "", familyName, substituteNames})
}

func (ptr *QFont) IsCopyOf(ff QFont_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCopyOf", ff}).(bool)
}

func (ptr *QFont) Italic() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Italic"}).(bool)
}

func (ptr *QFont) Kerning() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Kerning"}).(bool)
}

func (ptr *QFont) Key() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Key"}).(string)
}

func (ptr *QFont) LetterSpacing() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LetterSpacing"}).(float64)
}

func (ptr *QFont) LetterSpacingType() QFont__SpacingType {

	return QFont__SpacingType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LetterSpacingType"}).(float64))
}

func (ptr *QFont) Overline() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Overline"}).(bool)
}

func (ptr *QFont) PixelSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelSize"}).(float64))
}

func (ptr *QFont) PointSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PointSize"}).(float64))
}

func (ptr *QFont) PointSizeF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PointSizeF"}).(float64)
}

func QFont_RemoveSubstitutions(familyName string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QFont_RemoveSubstitutions", "", familyName})
}

func (ptr *QFont) RemoveSubstitutions(familyName string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QFont_RemoveSubstitutions", "", familyName})
}

func (ptr *QFont) Resolve(other QFont_ITF) *QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resolve", other}).(*QFont)
}

func (ptr *QFont) SetBold(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBold", enable})
}

func (ptr *QFont) SetCapitalization(caps QFont__Capitalization) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCapitalization", caps})
}

func (ptr *QFont) SetFamilies(families []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFamilies", families})
}

func (ptr *QFont) SetFamily(family string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFamily", family})
}

func (ptr *QFont) SetFixedPitch(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFixedPitch", enable})
}

func (ptr *QFont) SetHintingPreference(hintingPreference QFont__HintingPreference) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHintingPreference", hintingPreference})
}

func (ptr *QFont) SetItalic(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItalic", enable})
}

func (ptr *QFont) SetKerning(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetKerning", enable})
}

func (ptr *QFont) SetLetterSpacing(ty QFont__SpacingType, spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLetterSpacing", ty, spacing})
}

func (ptr *QFont) SetOverline(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOverline", enable})
}

func (ptr *QFont) SetPixelSize(pixelSize int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixelSize", pixelSize})
}

func (ptr *QFont) SetPointSize(pointSize int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPointSize", pointSize})
}

func (ptr *QFont) SetPointSizeF(pointSize float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPointSizeF", pointSize})
}

func (ptr *QFont) SetStretch(factor int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStretch", factor})
}

func (ptr *QFont) SetStrikeOut(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStrikeOut", enable})
}

func (ptr *QFont) SetStyle(style QFont__Style) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStyle", style})
}

func (ptr *QFont) SetStyleHint(hint QFont__StyleHint, strategy QFont__StyleStrategy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStyleHint", hint, strategy})
}

func (ptr *QFont) SetStyleName(styleName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStyleName", styleName})
}

func (ptr *QFont) SetStyleStrategy(s QFont__StyleStrategy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStyleStrategy", s})
}

func (ptr *QFont) SetUnderline(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUnderline", enable})
}

func (ptr *QFont) SetWeight(weight int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWeight", weight})
}

func (ptr *QFont) SetWordSpacing(spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWordSpacing", spacing})
}

func (ptr *QFont) Stretch() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stretch"}).(float64))
}

func (ptr *QFont) StrikeOut() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StrikeOut"}).(bool)
}

func (ptr *QFont) Style() QFont__Style {

	return QFont__Style(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Style"}).(float64))
}

func (ptr *QFont) StyleHint() QFont__StyleHint {

	return QFont__StyleHint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StyleHint"}).(float64))
}

func (ptr *QFont) StyleName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StyleName"}).(string)
}

func (ptr *QFont) StyleStrategy() QFont__StyleStrategy {

	return QFont__StyleStrategy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StyleStrategy"}).(float64))
}

func QFont_Substitute(familyName string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFont_Substitute", "", familyName}).(string)
}

func (ptr *QFont) Substitute(familyName string) string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFont_Substitute", "", familyName}).(string)
}

func QFont_Substitutes(familyName string) []string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFont_Substitutes", "", familyName}).([]string)
}

func (ptr *QFont) Substitutes(familyName string) []string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFont_Substitutes", "", familyName}).([]string)
}

func QFont_Substitutions() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFont_Substitutions", ""}).([]string)
}

func (ptr *QFont) Substitutions() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFont_Substitutions", ""}).([]string)
}

func (ptr *QFont) Swap(other QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QFont) ToString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString"}).(string)
}

func (ptr *QFont) Underline() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Underline"}).(bool)
}

func (ptr *QFont) Weight() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Weight"}).(float64))
}

func (ptr *QFont) WordSpacing() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WordSpacing"}).(float64)
}

func (ptr *QFont) DestroyQFont() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFont"})
}

func (ptr *QFont) ToVariant() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariant"}).(*core.QVariant)
}

type QFontDatabase struct {
	internal.Internal
}

type QFontDatabase_ITF interface {
	QFontDatabase_PTR() *QFontDatabase
}

func (ptr *QFontDatabase) QFontDatabase_PTR() *QFontDatabase {
	return ptr
}

func (ptr *QFontDatabase) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFontDatabase) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFontDatabase(ptr QFontDatabase_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFontDatabase_PTR().Pointer()
	}
	return nil
}

func (n *QFontDatabase) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFontDatabaseFromPointer(ptr unsafe.Pointer) (n *QFontDatabase) {
	n = new(QFontDatabase)
	n.InitFromInternal(uintptr(ptr), "gui.QFontDatabase")
	return
}

func (ptr *QFontDatabase) DestroyQFontDatabase() {
}

//go:generate stringer -type=QFontDatabase__WritingSystem
//QFontDatabase::WritingSystem
type QFontDatabase__WritingSystem int64

const (
	QFontDatabase__Any                 QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(0)
	QFontDatabase__Latin               QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(1)
	QFontDatabase__Greek               QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(2)
	QFontDatabase__Cyrillic            QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(3)
	QFontDatabase__Armenian            QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(4)
	QFontDatabase__Hebrew              QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(5)
	QFontDatabase__Arabic              QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(6)
	QFontDatabase__Syriac              QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(7)
	QFontDatabase__Thaana              QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(8)
	QFontDatabase__Devanagari          QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(9)
	QFontDatabase__Bengali             QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(10)
	QFontDatabase__Gurmukhi            QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(11)
	QFontDatabase__Gujarati            QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(12)
	QFontDatabase__Oriya               QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(13)
	QFontDatabase__Tamil               QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(14)
	QFontDatabase__Telugu              QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(15)
	QFontDatabase__Kannada             QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(16)
	QFontDatabase__Malayalam           QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(17)
	QFontDatabase__Sinhala             QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(18)
	QFontDatabase__Thai                QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(19)
	QFontDatabase__Lao                 QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(20)
	QFontDatabase__Tibetan             QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(21)
	QFontDatabase__Myanmar             QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(22)
	QFontDatabase__Georgian            QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(23)
	QFontDatabase__Khmer               QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(24)
	QFontDatabase__SimplifiedChinese   QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(25)
	QFontDatabase__TraditionalChinese  QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(26)
	QFontDatabase__Japanese            QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(27)
	QFontDatabase__Korean              QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(28)
	QFontDatabase__Vietnamese          QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(29)
	QFontDatabase__Symbol              QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(30)
	QFontDatabase__Other               QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(QFontDatabase__Symbol)
	QFontDatabase__Ogham               QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(31)
	QFontDatabase__Runic               QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(32)
	QFontDatabase__Nko                 QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(33)
	QFontDatabase__WritingSystemsCount QFontDatabase__WritingSystem = QFontDatabase__WritingSystem(34)
)

//go:generate stringer -type=QFontDatabase__SystemFont
//QFontDatabase::SystemFont
type QFontDatabase__SystemFont int64

const (
	QFontDatabase__GeneralFont          QFontDatabase__SystemFont = QFontDatabase__SystemFont(0)
	QFontDatabase__FixedFont            QFontDatabase__SystemFont = QFontDatabase__SystemFont(1)
	QFontDatabase__TitleFont            QFontDatabase__SystemFont = QFontDatabase__SystemFont(2)
	QFontDatabase__SmallestReadableFont QFontDatabase__SystemFont = QFontDatabase__SystemFont(3)
)

func NewQFontDatabase() *QFontDatabase {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFontDatabase", ""}).(*QFontDatabase)
}

func QFontDatabase_AddApplicationFont(fileName string) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "gui.QFontDatabase_AddApplicationFont", "", fileName}).(float64))
}

func (ptr *QFontDatabase) AddApplicationFont(fileName string) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "gui.QFontDatabase_AddApplicationFont", "", fileName}).(float64))
}

func QFontDatabase_AddApplicationFontFromData(fontData core.QByteArray_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "gui.QFontDatabase_AddApplicationFontFromData", "", fontData}).(float64))
}

func (ptr *QFontDatabase) AddApplicationFontFromData(fontData core.QByteArray_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "gui.QFontDatabase_AddApplicationFontFromData", "", fontData}).(float64))
}

func QFontDatabase_ApplicationFontFamilies(id int) []string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFontDatabase_ApplicationFontFamilies", "", id}).([]string)
}

func (ptr *QFontDatabase) ApplicationFontFamilies(id int) []string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFontDatabase_ApplicationFontFamilies", "", id}).([]string)
}

func (ptr *QFontDatabase) Bold(family string, style string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bold", family, style}).(bool)
}

func (ptr *QFontDatabase) Families(writingSystem QFontDatabase__WritingSystem) []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Families", writingSystem}).([]string)
}

func (ptr *QFontDatabase) Font(family string, style string, pointSize int) *QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font", family, style, pointSize}).(*QFont)
}

func (ptr *QFontDatabase) IsBitmapScalable(family string, style string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsBitmapScalable", family, style}).(bool)
}

func (ptr *QFontDatabase) IsFixedPitch(family string, style string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFixedPitch", family, style}).(bool)
}

func (ptr *QFontDatabase) IsPrivateFamily(family string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsPrivateFamily", family}).(bool)
}

func (ptr *QFontDatabase) IsScalable(family string, style string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsScalable", family, style}).(bool)
}

func (ptr *QFontDatabase) IsSmoothlyScalable(family string, style string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSmoothlyScalable", family, style}).(bool)
}

func (ptr *QFontDatabase) Italic(family string, style string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Italic", family, style}).(bool)
}

func (ptr *QFontDatabase) PointSizes(family string, styleName string) []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PointSizes", family, styleName}).([]int)
}

func QFontDatabase_RemoveAllApplicationFonts() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFontDatabase_RemoveAllApplicationFonts", ""}).(bool)
}

func (ptr *QFontDatabase) RemoveAllApplicationFonts() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFontDatabase_RemoveAllApplicationFonts", ""}).(bool)
}

func QFontDatabase_RemoveApplicationFont(id int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFontDatabase_RemoveApplicationFont", "", id}).(bool)
}

func (ptr *QFontDatabase) RemoveApplicationFont(id int) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFontDatabase_RemoveApplicationFont", "", id}).(bool)
}

func (ptr *QFontDatabase) SmoothSizes(family string, styleName string) []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SmoothSizes", family, styleName}).([]int)
}

func QFontDatabase_StandardSizes() []int {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFontDatabase_StandardSizes", ""}).([]int)
}

func (ptr *QFontDatabase) StandardSizes() []int {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFontDatabase_StandardSizes", ""}).([]int)
}

func (ptr *QFontDatabase) StyleString(font QFont_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StyleString", font}).(string)
}

func (ptr *QFontDatabase) StyleString2(fontInfo QFontInfo_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StyleString2", fontInfo}).(string)
}

func (ptr *QFontDatabase) Styles(family string) []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Styles", family}).([]string)
}

func QFontDatabase_SystemFont(ty QFontDatabase__SystemFont) *QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFontDatabase_SystemFont", "", ty}).(*QFont)
}

func (ptr *QFontDatabase) SystemFont(ty QFontDatabase__SystemFont) *QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QFontDatabase_SystemFont", "", ty}).(*QFont)
}

func (ptr *QFontDatabase) Weight(family string, style string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Weight", family, style}).(float64))
}

func (ptr *QFontDatabase) __pointSizes_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__pointSizes_atList", i}).(float64))
}

func (ptr *QFontDatabase) __pointSizes_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__pointSizes_setList", i})
}

func (ptr *QFontDatabase) __pointSizes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__pointSizes_newList"}).(unsafe.Pointer)
}

func (ptr *QFontDatabase) __smoothSizes_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__smoothSizes_atList", i}).(float64))
}

func (ptr *QFontDatabase) __smoothSizes_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__smoothSizes_setList", i})
}

func (ptr *QFontDatabase) __smoothSizes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__smoothSizes_newList"}).(unsafe.Pointer)
}

func (ptr *QFontDatabase) __standardSizes_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__standardSizes_atList", i}).(float64))
}

func (ptr *QFontDatabase) __standardSizes_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__standardSizes_setList", i})
}

func (ptr *QFontDatabase) __standardSizes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__standardSizes_newList"}).(unsafe.Pointer)
}

type QFontDialogOptions struct {
	internal.Internal
}

type QFontDialogOptions_ITF interface {
	QFontDialogOptions_PTR() *QFontDialogOptions
}

func (ptr *QFontDialogOptions) QFontDialogOptions_PTR() *QFontDialogOptions {
	return ptr
}

func (ptr *QFontDialogOptions) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFontDialogOptions) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFontDialogOptions(ptr QFontDialogOptions_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFontDialogOptions_PTR().Pointer()
	}
	return nil
}

func (n *QFontDialogOptions) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFontDialogOptionsFromPointer(ptr unsafe.Pointer) (n *QFontDialogOptions) {
	n = new(QFontDialogOptions)
	n.InitFromInternal(uintptr(ptr), "gui.QFontDialogOptions")
	return
}

func (ptr *QFontDialogOptions) DestroyQFontDialogOptions() {
}

type QFontInfo struct {
	internal.Internal
}

type QFontInfo_ITF interface {
	QFontInfo_PTR() *QFontInfo
}

func (ptr *QFontInfo) QFontInfo_PTR() *QFontInfo {
	return ptr
}

func (ptr *QFontInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFontInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFontInfo(ptr QFontInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFontInfo_PTR().Pointer()
	}
	return nil
}

func (n *QFontInfo) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFontInfoFromPointer(ptr unsafe.Pointer) (n *QFontInfo) {
	n = new(QFontInfo)
	n.InitFromInternal(uintptr(ptr), "gui.QFontInfo")
	return
}
func NewQFontInfo(font QFont_ITF) *QFontInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFontInfo", "", font}).(*QFontInfo)
}

func NewQFontInfo2(fi QFontInfo_ITF) *QFontInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFontInfo2", "", fi}).(*QFontInfo)
}

func (ptr *QFontInfo) Bold() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bold"}).(bool)
}

func (ptr *QFontInfo) ExactMatch() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExactMatch"}).(bool)
}

func (ptr *QFontInfo) Family() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Family"}).(string)
}

func (ptr *QFontInfo) FixedPitch() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FixedPitch"}).(bool)
}

func (ptr *QFontInfo) Italic() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Italic"}).(bool)
}

func (ptr *QFontInfo) PixelSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelSize"}).(float64))
}

func (ptr *QFontInfo) PointSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PointSize"}).(float64))
}

func (ptr *QFontInfo) PointSizeF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PointSizeF"}).(float64)
}

func (ptr *QFontInfo) Style() QFont__Style {

	return QFont__Style(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Style"}).(float64))
}

func (ptr *QFontInfo) StyleHint() QFont__StyleHint {

	return QFont__StyleHint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StyleHint"}).(float64))
}

func (ptr *QFontInfo) StyleName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StyleName"}).(string)
}

func (ptr *QFontInfo) Swap(other QFontInfo_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QFontInfo) Weight() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Weight"}).(float64))
}

func (ptr *QFontInfo) DestroyQFontInfo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFontInfo"})
}

type QFontMetrics struct {
	internal.Internal
}

type QFontMetrics_ITF interface {
	QFontMetrics_PTR() *QFontMetrics
}

func (ptr *QFontMetrics) QFontMetrics_PTR() *QFontMetrics {
	return ptr
}

func (ptr *QFontMetrics) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFontMetrics) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFontMetrics(ptr QFontMetrics_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFontMetrics_PTR().Pointer()
	}
	return nil
}

func (n *QFontMetrics) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFontMetricsFromPointer(ptr unsafe.Pointer) (n *QFontMetrics) {
	n = new(QFontMetrics)
	n.InitFromInternal(uintptr(ptr), "gui.QFontMetrics")
	return
}
func NewQFontMetrics(font QFont_ITF) *QFontMetrics {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFontMetrics", "", font}).(*QFontMetrics)
}

func NewQFontMetrics3(font QFont_ITF, paintdevice QPaintDevice_ITF) *QFontMetrics {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFontMetrics3", "", font, paintdevice}).(*QFontMetrics)
}

func NewQFontMetrics4(fm QFontMetrics_ITF) *QFontMetrics {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFontMetrics4", "", fm}).(*QFontMetrics)
}

func (ptr *QFontMetrics) Ascent() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ascent"}).(float64))
}

func (ptr *QFontMetrics) AverageCharWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AverageCharWidth"}).(float64))
}

func (ptr *QFontMetrics) BoundingRect(ch core.QChar_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect", ch}).(*core.QRect)
}

func (ptr *QFontMetrics) BoundingRect2(text string) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect2", text}).(*core.QRect)
}

func (ptr *QFontMetrics) BoundingRect3(rect core.QRect_ITF, flags int, text string, tabStops int, tabArray int) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect3", rect, flags, text, tabStops, tabArray}).(*core.QRect)
}

func (ptr *QFontMetrics) BoundingRect4(x int, y int, width int, height int, flags int, text string, tabStops int, tabArray int) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect4", x, y, width, height, flags, text, tabStops, tabArray}).(*core.QRect)
}

func (ptr *QFontMetrics) CapHeight() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapHeight"}).(float64))
}

func (ptr *QFontMetrics) Descent() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Descent"}).(float64))
}

func (ptr *QFontMetrics) ElidedText(text string, mode core.Qt__TextElideMode, width int, flags int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ElidedText", text, mode, width, flags}).(string)
}

func (ptr *QFontMetrics) Height() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64))
}

func (ptr *QFontMetrics) HorizontalAdvance(text string, l int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalAdvance", text, l}).(float64))
}

func (ptr *QFontMetrics) HorizontalAdvance2(ch core.QChar_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalAdvance2", ch}).(float64))
}

func (ptr *QFontMetrics) InFont(ch core.QChar_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InFont", ch}).(bool)
}

func (ptr *QFontMetrics) InFontUcs4(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InFontUcs4", ucs4}).(bool)
}

func (ptr *QFontMetrics) Leading() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Leading"}).(float64))
}

func (ptr *QFontMetrics) LeftBearing(ch core.QChar_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LeftBearing", ch}).(float64))
}

func (ptr *QFontMetrics) LineSpacing() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineSpacing"}).(float64))
}

func (ptr *QFontMetrics) LineWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineWidth"}).(float64))
}

func (ptr *QFontMetrics) MaxWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaxWidth"}).(float64))
}

func (ptr *QFontMetrics) MinLeftBearing() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinLeftBearing"}).(float64))
}

func (ptr *QFontMetrics) MinRightBearing() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinRightBearing"}).(float64))
}

func (ptr *QFontMetrics) OverlinePos() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OverlinePos"}).(float64))
}

func (ptr *QFontMetrics) RightBearing(ch core.QChar_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RightBearing", ch}).(float64))
}

func (ptr *QFontMetrics) Size(flags int, text string, tabStops int, tabArray int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size", flags, text, tabStops, tabArray}).(*core.QSize)
}

func (ptr *QFontMetrics) StrikeOutPos() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StrikeOutPos"}).(float64))
}

func (ptr *QFontMetrics) Swap(other QFontMetrics_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QFontMetrics) TightBoundingRect(text string) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TightBoundingRect", text}).(*core.QRect)
}

func (ptr *QFontMetrics) UnderlinePos() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnderlinePos"}).(float64))
}

func (ptr *QFontMetrics) XHeight() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "XHeight"}).(float64))
}

func (ptr *QFontMetrics) DestroyQFontMetrics() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFontMetrics"})
}

type QFontMetricsF struct {
	internal.Internal
}

type QFontMetricsF_ITF interface {
	QFontMetricsF_PTR() *QFontMetricsF
}

func (ptr *QFontMetricsF) QFontMetricsF_PTR() *QFontMetricsF {
	return ptr
}

func (ptr *QFontMetricsF) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFontMetricsF) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFontMetricsF(ptr QFontMetricsF_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFontMetricsF_PTR().Pointer()
	}
	return nil
}

func (n *QFontMetricsF) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFontMetricsFFromPointer(ptr unsafe.Pointer) (n *QFontMetricsF) {
	n = new(QFontMetricsF)
	n.InitFromInternal(uintptr(ptr), "gui.QFontMetricsF")
	return
}
func NewQFontMetricsF(font QFont_ITF) *QFontMetricsF {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFontMetricsF", "", font}).(*QFontMetricsF)
}

func NewQFontMetricsF3(font QFont_ITF, paintdevice QPaintDevice_ITF) *QFontMetricsF {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFontMetricsF3", "", font, paintdevice}).(*QFontMetricsF)
}

func NewQFontMetricsF4(fontMetrics QFontMetrics_ITF) *QFontMetricsF {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFontMetricsF4", "", fontMetrics}).(*QFontMetricsF)
}

func NewQFontMetricsF5(fm QFontMetricsF_ITF) *QFontMetricsF {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQFontMetricsF5", "", fm}).(*QFontMetricsF)
}

func (ptr *QFontMetricsF) Ascent() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ascent"}).(float64)
}

func (ptr *QFontMetricsF) AverageCharWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AverageCharWidth"}).(float64)
}

func (ptr *QFontMetricsF) BoundingRect(text string) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect", text}).(*core.QRectF)
}

func (ptr *QFontMetricsF) BoundingRect2(ch core.QChar_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect2", ch}).(*core.QRectF)
}

func (ptr *QFontMetricsF) BoundingRect3(rect core.QRectF_ITF, flags int, text string, tabStops int, tabArray int) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect3", rect, flags, text, tabStops, tabArray}).(*core.QRectF)
}

func (ptr *QFontMetricsF) CapHeight() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapHeight"}).(float64)
}

func (ptr *QFontMetricsF) Descent() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Descent"}).(float64)
}

func (ptr *QFontMetricsF) ElidedText(text string, mode core.Qt__TextElideMode, width float64, flags int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ElidedText", text, mode, width, flags}).(string)
}

func (ptr *QFontMetricsF) Height() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64)
}

func (ptr *QFontMetricsF) HorizontalAdvance(text string, length int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalAdvance", text, length}).(float64)
}

func (ptr *QFontMetricsF) HorizontalAdvance2(ch core.QChar_ITF) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalAdvance2", ch}).(float64)
}

func (ptr *QFontMetricsF) InFont(ch core.QChar_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InFont", ch}).(bool)
}

func (ptr *QFontMetricsF) InFontUcs4(ch uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InFontUcs4", ch}).(bool)
}

func (ptr *QFontMetricsF) Leading() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Leading"}).(float64)
}

func (ptr *QFontMetricsF) LeftBearing(ch core.QChar_ITF) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LeftBearing", ch}).(float64)
}

func (ptr *QFontMetricsF) LineSpacing() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineSpacing"}).(float64)
}

func (ptr *QFontMetricsF) LineWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineWidth"}).(float64)
}

func (ptr *QFontMetricsF) MaxWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaxWidth"}).(float64)
}

func (ptr *QFontMetricsF) MinLeftBearing() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinLeftBearing"}).(float64)
}

func (ptr *QFontMetricsF) MinRightBearing() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinRightBearing"}).(float64)
}

func (ptr *QFontMetricsF) OverlinePos() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OverlinePos"}).(float64)
}

func (ptr *QFontMetricsF) RightBearing(ch core.QChar_ITF) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RightBearing", ch}).(float64)
}

func (ptr *QFontMetricsF) Size(flags int, text string, tabStops int, tabArray int) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size", flags, text, tabStops, tabArray}).(*core.QSizeF)
}

func (ptr *QFontMetricsF) StrikeOutPos() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StrikeOutPos"}).(float64)
}

func (ptr *QFontMetricsF) Swap(other QFontMetricsF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QFontMetricsF) TightBoundingRect(text string) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TightBoundingRect", text}).(*core.QRectF)
}

func (ptr *QFontMetricsF) UnderlinePos() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnderlinePos"}).(float64)
}

func (ptr *QFontMetricsF) XHeight() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "XHeight"}).(float64)
}

func (ptr *QFontMetricsF) DestroyQFontMetricsF() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFontMetricsF"})
}

type QGenericMatrix struct {
	internal.Internal
}

type QGenericMatrix_ITF interface {
	QGenericMatrix_PTR() *QGenericMatrix
}

func (ptr *QGenericMatrix) QGenericMatrix_PTR() *QGenericMatrix {
	return ptr
}

func (ptr *QGenericMatrix) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QGenericMatrix) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQGenericMatrix(ptr QGenericMatrix_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGenericMatrix_PTR().Pointer()
	}
	return nil
}

func (n *QGenericMatrix) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQGenericMatrixFromPointer(ptr unsafe.Pointer) (n *QGenericMatrix) {
	n = new(QGenericMatrix)
	n.InitFromInternal(uintptr(ptr), "gui.QGenericMatrix")
	return
}

func (ptr *QGenericMatrix) DestroyQGenericMatrix() {
}

type QGenericPlugin struct {
	core.QObject
}

type QGenericPlugin_ITF interface {
	core.QObject_ITF
	QGenericPlugin_PTR() *QGenericPlugin
}

func (ptr *QGenericPlugin) QGenericPlugin_PTR() *QGenericPlugin {
	return ptr
}

func (ptr *QGenericPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QGenericPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQGenericPlugin(ptr QGenericPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGenericPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QGenericPlugin) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGenericPlugin) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQGenericPluginFromPointer(ptr unsafe.Pointer) (n *QGenericPlugin) {
	n = new(QGenericPlugin)
	n.InitFromInternal(uintptr(ptr), "gui.QGenericPlugin")
	return
}
func NewQGenericPlugin(parent core.QObject_ITF) *QGenericPlugin {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQGenericPlugin", "", parent}).(*QGenericPlugin)
}

func (ptr *QGenericPlugin) ConnectCreate(f func(key string, specification string) *core.QObject) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGenericPlugin) DisconnectCreate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreate"})
}

func (ptr *QGenericPlugin) Create(key string, specification string) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create", key, specification}).(*core.QObject)
}

func (ptr *QGenericPlugin) ConnectDestroyQGenericPlugin(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGenericPlugin", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGenericPlugin) DisconnectDestroyQGenericPlugin() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGenericPlugin"})
}

func (ptr *QGenericPlugin) DestroyQGenericPlugin() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGenericPlugin"})
}

func (ptr *QGenericPlugin) DestroyQGenericPluginDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGenericPluginDefault"})
}

func (ptr *QGenericPlugin) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QGenericPlugin) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QGenericPlugin) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QGenericPlugin) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QGenericPlugin) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QGenericPlugin) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QGenericPlugin) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QGenericPlugin) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QGenericPlugin) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QGenericPlugin) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QGenericPlugin) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QGenericPlugin) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QGenericPlugin) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QGenericPlugin) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QGenericPlugin) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QGenericPlugin) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QGenericPlugin) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QGenericPlugin) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QGenericPlugin) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QGenericPlugin) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QGenericPlugin) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QGenericPluginFactory struct {
	internal.Internal
}

type QGenericPluginFactory_ITF interface {
	QGenericPluginFactory_PTR() *QGenericPluginFactory
}

func (ptr *QGenericPluginFactory) QGenericPluginFactory_PTR() *QGenericPluginFactory {
	return ptr
}

func (ptr *QGenericPluginFactory) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QGenericPluginFactory) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQGenericPluginFactory(ptr QGenericPluginFactory_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGenericPluginFactory_PTR().Pointer()
	}
	return nil
}

func (n *QGenericPluginFactory) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQGenericPluginFactoryFromPointer(ptr unsafe.Pointer) (n *QGenericPluginFactory) {
	n = new(QGenericPluginFactory)
	n.InitFromInternal(uintptr(ptr), "gui.QGenericPluginFactory")
	return
}

func (ptr *QGenericPluginFactory) DestroyQGenericPluginFactory() {
}

func QGenericPluginFactory_Create(key string, specification string) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGenericPluginFactory_Create", "", key, specification}).(*core.QObject)
}

func (ptr *QGenericPluginFactory) Create(key string, specification string) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGenericPluginFactory_Create", "", key, specification}).(*core.QObject)
}

func QGenericPluginFactory_Keys() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGenericPluginFactory_Keys", ""}).([]string)
}

func (ptr *QGenericPluginFactory) Keys() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGenericPluginFactory_Keys", ""}).([]string)
}

type QGlyphRun struct {
	internal.Internal
}

type QGlyphRun_ITF interface {
	QGlyphRun_PTR() *QGlyphRun
}

func (ptr *QGlyphRun) QGlyphRun_PTR() *QGlyphRun {
	return ptr
}

func (ptr *QGlyphRun) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QGlyphRun) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQGlyphRun(ptr QGlyphRun_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGlyphRun_PTR().Pointer()
	}
	return nil
}

func (n *QGlyphRun) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQGlyphRunFromPointer(ptr unsafe.Pointer) (n *QGlyphRun) {
	n = new(QGlyphRun)
	n.InitFromInternal(uintptr(ptr), "gui.QGlyphRun")
	return
}

//go:generate stringer -type=QGlyphRun__GlyphRunFlag
//QGlyphRun::GlyphRunFlag
type QGlyphRun__GlyphRunFlag int64

const (
	QGlyphRun__Overline      QGlyphRun__GlyphRunFlag = QGlyphRun__GlyphRunFlag(0x01)
	QGlyphRun__Underline     QGlyphRun__GlyphRunFlag = QGlyphRun__GlyphRunFlag(0x02)
	QGlyphRun__StrikeOut     QGlyphRun__GlyphRunFlag = QGlyphRun__GlyphRunFlag(0x04)
	QGlyphRun__RightToLeft   QGlyphRun__GlyphRunFlag = QGlyphRun__GlyphRunFlag(0x08)
	QGlyphRun__SplitLigature QGlyphRun__GlyphRunFlag = QGlyphRun__GlyphRunFlag(0x10)
)

func NewQGlyphRun() *QGlyphRun {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQGlyphRun", ""}).(*QGlyphRun)
}

func NewQGlyphRun2(other QGlyphRun_ITF) *QGlyphRun {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQGlyphRun2", "", other}).(*QGlyphRun)
}

func (ptr *QGlyphRun) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QGlyphRun) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QGlyphRun) Flags() QGlyphRun__GlyphRunFlag {

	return QGlyphRun__GlyphRunFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flags"}).(float64))
}

func (ptr *QGlyphRun) GlyphIndexes() []uint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlyphIndexes"}).([]uint)
}

func (ptr *QGlyphRun) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QGlyphRun) IsRightToLeft() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRightToLeft"}).(bool)
}

func (ptr *QGlyphRun) Overline() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Overline"}).(bool)
}

func (ptr *QGlyphRun) Positions() []*core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Positions"}).([]*core.QPointF)
}

func (ptr *QGlyphRun) RawFont() *QRawFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RawFont"}).(*QRawFont)
}

func (ptr *QGlyphRun) SetBoundingRect(boundingRect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBoundingRect", boundingRect})
}

func (ptr *QGlyphRun) SetFlag(flag QGlyphRun__GlyphRunFlag, enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlag", flag, enabled})
}

func (ptr *QGlyphRun) SetFlags(flags QGlyphRun__GlyphRunFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlags", flags})
}

func (ptr *QGlyphRun) SetGlyphIndexes(glyphIndexes []uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGlyphIndexes", glyphIndexes})
}

func (ptr *QGlyphRun) SetOverline(overline bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOverline", overline})
}

func (ptr *QGlyphRun) SetPositions(positions []*core.QPointF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPositions", positions})
}

func (ptr *QGlyphRun) SetRawData(glyphIndexArray uint, glyphPositionArray core.QPointF_ITF, size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRawData", glyphIndexArray, glyphPositionArray, size})
}

func (ptr *QGlyphRun) SetRawFont(rawFont QRawFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRawFont", rawFont})
}

func (ptr *QGlyphRun) SetRightToLeft(rightToLeft bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRightToLeft", rightToLeft})
}

func (ptr *QGlyphRun) SetStrikeOut(strikeOut bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStrikeOut", strikeOut})
}

func (ptr *QGlyphRun) SetUnderline(underline bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUnderline", underline})
}

func (ptr *QGlyphRun) StrikeOut() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StrikeOut"}).(bool)
}

func (ptr *QGlyphRun) Swap(other QGlyphRun_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QGlyphRun) Underline() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Underline"}).(bool)
}

func (ptr *QGlyphRun) DestroyQGlyphRun() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGlyphRun"})
}

func (ptr *QGlyphRun) __glyphIndexes_atList(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphIndexes_atList", i}).(float64))
}

func (ptr *QGlyphRun) __glyphIndexes_setList(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphIndexes_setList", i})
}

func (ptr *QGlyphRun) __glyphIndexes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphIndexes_newList"}).(unsafe.Pointer)
}

func (ptr *QGlyphRun) __positions_atList(i int) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__positions_atList", i}).(*core.QPointF)
}

func (ptr *QGlyphRun) __positions_setList(i core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__positions_setList", i})
}

func (ptr *QGlyphRun) __positions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__positions_newList"}).(unsafe.Pointer)
}

func (ptr *QGlyphRun) __setGlyphIndexes_glyphIndexes_atList(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setGlyphIndexes_glyphIndexes_atList", i}).(float64))
}

func (ptr *QGlyphRun) __setGlyphIndexes_glyphIndexes_setList(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setGlyphIndexes_glyphIndexes_setList", i})
}

func (ptr *QGlyphRun) __setGlyphIndexes_glyphIndexes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setGlyphIndexes_glyphIndexes_newList"}).(unsafe.Pointer)
}

func (ptr *QGlyphRun) __setPositions_positions_atList(i int) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setPositions_positions_atList", i}).(*core.QPointF)
}

func (ptr *QGlyphRun) __setPositions_positions_setList(i core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setPositions_positions_setList", i})
}

func (ptr *QGlyphRun) __setPositions_positions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setPositions_positions_newList"}).(unsafe.Pointer)
}

type QGradient struct {
	internal.Internal
}

type QGradient_ITF interface {
	QGradient_PTR() *QGradient
}

func (ptr *QGradient) QGradient_PTR() *QGradient {
	return ptr
}

func (ptr *QGradient) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QGradient) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQGradient(ptr QGradient_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGradient_PTR().Pointer()
	}
	return nil
}

func (n *QGradient) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQGradientFromPointer(ptr unsafe.Pointer) (n *QGradient) {
	n = new(QGradient)
	n.InitFromInternal(uintptr(ptr), "gui.QGradient")
	return
}

func (ptr *QGradient) DestroyQGradient() {
}

//go:generate stringer -type=QGradient__Type
//QGradient::Type
type QGradient__Type int64

const (
	QGradient__LinearGradient  QGradient__Type = QGradient__Type(0)
	QGradient__RadialGradient  QGradient__Type = QGradient__Type(1)
	QGradient__ConicalGradient QGradient__Type = QGradient__Type(2)
	QGradient__NoGradient      QGradient__Type = QGradient__Type(3)
)

//go:generate stringer -type=QGradient__Spread
//QGradient::Spread
type QGradient__Spread int64

const (
	QGradient__PadSpread     QGradient__Spread = QGradient__Spread(0)
	QGradient__ReflectSpread QGradient__Spread = QGradient__Spread(1)
	QGradient__RepeatSpread  QGradient__Spread = QGradient__Spread(2)
)

//go:generate stringer -type=QGradient__CoordinateMode
//QGradient::CoordinateMode
type QGradient__CoordinateMode int64

const (
	QGradient__LogicalMode         QGradient__CoordinateMode = QGradient__CoordinateMode(0)
	QGradient__StretchToDeviceMode QGradient__CoordinateMode = QGradient__CoordinateMode(1)
	QGradient__ObjectBoundingMode  QGradient__CoordinateMode = QGradient__CoordinateMode(2)
	QGradient__ObjectMode          QGradient__CoordinateMode = QGradient__CoordinateMode(3)
)

//go:generate stringer -type=QGradient__Preset
//QGradient::Preset
type QGradient__Preset int64

const (
	QGradient__WarmFlame        QGradient__Preset = QGradient__Preset(1)
	QGradient__NightFade        QGradient__Preset = QGradient__Preset(2)
	QGradient__SpringWarmth     QGradient__Preset = QGradient__Preset(3)
	QGradient__JuicyPeach       QGradient__Preset = QGradient__Preset(4)
	QGradient__YoungPassion     QGradient__Preset = QGradient__Preset(5)
	QGradient__LadyLips         QGradient__Preset = QGradient__Preset(6)
	QGradient__SunnyMorning     QGradient__Preset = QGradient__Preset(7)
	QGradient__RainyAshville    QGradient__Preset = QGradient__Preset(8)
	QGradient__FrozenDreams     QGradient__Preset = QGradient__Preset(9)
	QGradient__WinterNeva       QGradient__Preset = QGradient__Preset(10)
	QGradient__DustyGrass       QGradient__Preset = QGradient__Preset(11)
	QGradient__TemptingAzure    QGradient__Preset = QGradient__Preset(12)
	QGradient__HeavyRain        QGradient__Preset = QGradient__Preset(13)
	QGradient__AmyCrisp         QGradient__Preset = QGradient__Preset(14)
	QGradient__MeanFruit        QGradient__Preset = QGradient__Preset(15)
	QGradient__DeepBlue         QGradient__Preset = QGradient__Preset(16)
	QGradient__RipeMalinka      QGradient__Preset = QGradient__Preset(17)
	QGradient__CloudyKnoxville  QGradient__Preset = QGradient__Preset(18)
	QGradient__MalibuBeach      QGradient__Preset = QGradient__Preset(19)
	QGradient__NewLife          QGradient__Preset = QGradient__Preset(20)
	QGradient__TrueSunset       QGradient__Preset = QGradient__Preset(21)
	QGradient__MorpheusDen      QGradient__Preset = QGradient__Preset(22)
	QGradient__RareWind         QGradient__Preset = QGradient__Preset(23)
	QGradient__NearMoon         QGradient__Preset = QGradient__Preset(24)
	QGradient__WildApple        QGradient__Preset = QGradient__Preset(25)
	QGradient__SaintPetersburg  QGradient__Preset = QGradient__Preset(26)
	QGradient__PlumPlate        QGradient__Preset = QGradient__Preset(28)
	QGradient__EverlastingSky   QGradient__Preset = QGradient__Preset(29)
	QGradient__HappyFisher      QGradient__Preset = QGradient__Preset(30)
	QGradient__Blessing         QGradient__Preset = QGradient__Preset(31)
	QGradient__SharpeyeEagle    QGradient__Preset = QGradient__Preset(32)
	QGradient__LadogaBottom     QGradient__Preset = QGradient__Preset(33)
	QGradient__LemonGate        QGradient__Preset = QGradient__Preset(34)
	QGradient__ItmeoBranding    QGradient__Preset = QGradient__Preset(35)
	QGradient__ZeusMiracle      QGradient__Preset = QGradient__Preset(36)
	QGradient__OldHat           QGradient__Preset = QGradient__Preset(37)
	QGradient__StarWine         QGradient__Preset = QGradient__Preset(38)
	QGradient__HappyAcid        QGradient__Preset = QGradient__Preset(41)
	QGradient__AwesomePine      QGradient__Preset = QGradient__Preset(42)
	QGradient__NewYork          QGradient__Preset = QGradient__Preset(43)
	QGradient__ShyRainbow       QGradient__Preset = QGradient__Preset(44)
	QGradient__MixedHopes       QGradient__Preset = QGradient__Preset(46)
	QGradient__FlyHigh          QGradient__Preset = QGradient__Preset(47)
	QGradient__StrongBliss      QGradient__Preset = QGradient__Preset(48)
	QGradient__FreshMilk        QGradient__Preset = QGradient__Preset(49)
	QGradient__SnowAgain        QGradient__Preset = QGradient__Preset(50)
	QGradient__FebruaryInk      QGradient__Preset = QGradient__Preset(51)
	QGradient__KindSteel        QGradient__Preset = QGradient__Preset(52)
	QGradient__SoftGrass        QGradient__Preset = QGradient__Preset(53)
	QGradient__GrownEarly       QGradient__Preset = QGradient__Preset(54)
	QGradient__SharpBlues       QGradient__Preset = QGradient__Preset(55)
	QGradient__ShadyWater       QGradient__Preset = QGradient__Preset(56)
	QGradient__DirtyBeauty      QGradient__Preset = QGradient__Preset(57)
	QGradient__GreatWhale       QGradient__Preset = QGradient__Preset(58)
	QGradient__TeenNotebook     QGradient__Preset = QGradient__Preset(59)
	QGradient__PoliteRumors     QGradient__Preset = QGradient__Preset(60)
	QGradient__SweetPeriod      QGradient__Preset = QGradient__Preset(61)
	QGradient__WideMatrix       QGradient__Preset = QGradient__Preset(62)
	QGradient__SoftCherish      QGradient__Preset = QGradient__Preset(63)
	QGradient__RedSalvation     QGradient__Preset = QGradient__Preset(64)
	QGradient__BurningSpring    QGradient__Preset = QGradient__Preset(65)
	QGradient__NightParty       QGradient__Preset = QGradient__Preset(66)
	QGradient__SkyGlider        QGradient__Preset = QGradient__Preset(67)
	QGradient__HeavenPeach      QGradient__Preset = QGradient__Preset(68)
	QGradient__PurpleDivision   QGradient__Preset = QGradient__Preset(69)
	QGradient__AquaSplash       QGradient__Preset = QGradient__Preset(70)
	QGradient__SpikyNaga        QGradient__Preset = QGradient__Preset(72)
	QGradient__LoveKiss         QGradient__Preset = QGradient__Preset(73)
	QGradient__CleanMirror      QGradient__Preset = QGradient__Preset(75)
	QGradient__PremiumDark      QGradient__Preset = QGradient__Preset(76)
	QGradient__ColdEvening      QGradient__Preset = QGradient__Preset(77)
	QGradient__CochitiLake      QGradient__Preset = QGradient__Preset(78)
	QGradient__SummerGames      QGradient__Preset = QGradient__Preset(79)
	QGradient__PassionateBed    QGradient__Preset = QGradient__Preset(80)
	QGradient__MountainRock     QGradient__Preset = QGradient__Preset(81)
	QGradient__DesertHump       QGradient__Preset = QGradient__Preset(82)
	QGradient__JungleDay        QGradient__Preset = QGradient__Preset(83)
	QGradient__PhoenixStart     QGradient__Preset = QGradient__Preset(84)
	QGradient__OctoberSilence   QGradient__Preset = QGradient__Preset(85)
	QGradient__FarawayRiver     QGradient__Preset = QGradient__Preset(86)
	QGradient__AlchemistLab     QGradient__Preset = QGradient__Preset(87)
	QGradient__OverSun          QGradient__Preset = QGradient__Preset(88)
	QGradient__PremiumWhite     QGradient__Preset = QGradient__Preset(89)
	QGradient__MarsParty        QGradient__Preset = QGradient__Preset(90)
	QGradient__EternalConstance QGradient__Preset = QGradient__Preset(91)
	QGradient__JapanBlush       QGradient__Preset = QGradient__Preset(92)
	QGradient__SmilingRain      QGradient__Preset = QGradient__Preset(93)
	QGradient__CloudyApple      QGradient__Preset = QGradient__Preset(94)
	QGradient__BigMango         QGradient__Preset = QGradient__Preset(95)
	QGradient__HealthyWater     QGradient__Preset = QGradient__Preset(96)
	QGradient__AmourAmour       QGradient__Preset = QGradient__Preset(97)
	QGradient__RiskyConcrete    QGradient__Preset = QGradient__Preset(98)
	QGradient__StrongStick      QGradient__Preset = QGradient__Preset(99)
	QGradient__ViciousStance    QGradient__Preset = QGradient__Preset(100)
	QGradient__PaloAlto         QGradient__Preset = QGradient__Preset(101)
	QGradient__HappyMemories    QGradient__Preset = QGradient__Preset(102)
	QGradient__MidnightBloom    QGradient__Preset = QGradient__Preset(103)
	QGradient__Crystalline      QGradient__Preset = QGradient__Preset(104)
	QGradient__PartyBliss       QGradient__Preset = QGradient__Preset(106)
	QGradient__ConfidentCloud   QGradient__Preset = QGradient__Preset(107)
	QGradient__LeCocktail       QGradient__Preset = QGradient__Preset(108)
	QGradient__RiverCity        QGradient__Preset = QGradient__Preset(109)
	QGradient__FrozenBerry      QGradient__Preset = QGradient__Preset(110)
	QGradient__ChildCare        QGradient__Preset = QGradient__Preset(112)
	QGradient__FlyingLemon      QGradient__Preset = QGradient__Preset(113)
	QGradient__NewRetrowave     QGradient__Preset = QGradient__Preset(114)
	QGradient__HiddenJaguar     QGradient__Preset = QGradient__Preset(115)
	QGradient__AboveTheSky      QGradient__Preset = QGradient__Preset(116)
	QGradient__Nega             QGradient__Preset = QGradient__Preset(117)
	QGradient__DenseWater       QGradient__Preset = QGradient__Preset(118)
	QGradient__Seashore         QGradient__Preset = QGradient__Preset(120)
	QGradient__MarbleWall       QGradient__Preset = QGradient__Preset(121)
	QGradient__CheerfulCaramel  QGradient__Preset = QGradient__Preset(122)
	QGradient__NightSky         QGradient__Preset = QGradient__Preset(123)
	QGradient__MagicLake        QGradient__Preset = QGradient__Preset(124)
	QGradient__YoungGrass       QGradient__Preset = QGradient__Preset(125)
	QGradient__ColorfulPeach    QGradient__Preset = QGradient__Preset(126)
	QGradient__GentleCare       QGradient__Preset = QGradient__Preset(127)
	QGradient__PlumBath         QGradient__Preset = QGradient__Preset(128)
	QGradient__HappyUnicorn     QGradient__Preset = QGradient__Preset(129)
	QGradient__AfricanField     QGradient__Preset = QGradient__Preset(131)
	QGradient__SolidStone       QGradient__Preset = QGradient__Preset(132)
	QGradient__OrangeJuice      QGradient__Preset = QGradient__Preset(133)
	QGradient__GlassWater       QGradient__Preset = QGradient__Preset(134)
	QGradient__NorthMiracle     QGradient__Preset = QGradient__Preset(136)
	QGradient__FruitBlend       QGradient__Preset = QGradient__Preset(137)
	QGradient__MillenniumPine   QGradient__Preset = QGradient__Preset(138)
	QGradient__HighFlight       QGradient__Preset = QGradient__Preset(139)
	QGradient__MoleHall         QGradient__Preset = QGradient__Preset(140)
	QGradient__SpaceShift       QGradient__Preset = QGradient__Preset(142)
	QGradient__ForestInei       QGradient__Preset = QGradient__Preset(143)
	QGradient__RoyalGarden      QGradient__Preset = QGradient__Preset(144)
	QGradient__RichMetal        QGradient__Preset = QGradient__Preset(145)
	QGradient__JuicyCake        QGradient__Preset = QGradient__Preset(146)
	QGradient__SmartIndigo      QGradient__Preset = QGradient__Preset(147)
	QGradient__SandStrike       QGradient__Preset = QGradient__Preset(148)
	QGradient__NorseBeauty      QGradient__Preset = QGradient__Preset(149)
	QGradient__AquaGuidance     QGradient__Preset = QGradient__Preset(150)
	QGradient__SunVeggie        QGradient__Preset = QGradient__Preset(151)
	QGradient__SeaLord          QGradient__Preset = QGradient__Preset(152)
	QGradient__BlackSea         QGradient__Preset = QGradient__Preset(153)
	QGradient__GrassShampoo     QGradient__Preset = QGradient__Preset(154)
	QGradient__LandingAircraft  QGradient__Preset = QGradient__Preset(155)
	QGradient__WitchDance       QGradient__Preset = QGradient__Preset(156)
	QGradient__SleeplessNight   QGradient__Preset = QGradient__Preset(157)
	QGradient__AngelCare        QGradient__Preset = QGradient__Preset(158)
	QGradient__CrystalRiver     QGradient__Preset = QGradient__Preset(159)
	QGradient__SoftLipstick     QGradient__Preset = QGradient__Preset(160)
	QGradient__SaltMountain     QGradient__Preset = QGradient__Preset(161)
	QGradient__PerfectWhite     QGradient__Preset = QGradient__Preset(162)
	QGradient__FreshOasis       QGradient__Preset = QGradient__Preset(163)
	QGradient__StrictNovember   QGradient__Preset = QGradient__Preset(164)
	QGradient__MorningSalad     QGradient__Preset = QGradient__Preset(165)
	QGradient__DeepRelief       QGradient__Preset = QGradient__Preset(166)
	QGradient__SeaStrike        QGradient__Preset = QGradient__Preset(167)
	QGradient__NightCall        QGradient__Preset = QGradient__Preset(168)
	QGradient__SupremeSky       QGradient__Preset = QGradient__Preset(169)
	QGradient__LightBlue        QGradient__Preset = QGradient__Preset(170)
	QGradient__MindCrawl        QGradient__Preset = QGradient__Preset(171)
	QGradient__LilyMeadow       QGradient__Preset = QGradient__Preset(172)
	QGradient__SugarLollipop    QGradient__Preset = QGradient__Preset(173)
	QGradient__SweetDessert     QGradient__Preset = QGradient__Preset(174)
	QGradient__MagicRay         QGradient__Preset = QGradient__Preset(175)
	QGradient__TeenParty        QGradient__Preset = QGradient__Preset(176)
	QGradient__FrozenHeat       QGradient__Preset = QGradient__Preset(177)
	QGradient__GagarinView      QGradient__Preset = QGradient__Preset(178)
	QGradient__FabledSunset     QGradient__Preset = QGradient__Preset(179)
	QGradient__PerfectBlue      QGradient__Preset = QGradient__Preset(180)
)

func NewQGradient2(preset QGradient__Preset) *QGradient {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQGradient2", "", preset}).(*QGradient)
}

func (ptr *QGradient) CoordinateMode() QGradient__CoordinateMode {

	return QGradient__CoordinateMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CoordinateMode"}).(float64))
}

func (ptr *QGradient) SetColorAt(position float64, color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColorAt", position, color})
}

func (ptr *QGradient) SetCoordinateMode(mode QGradient__CoordinateMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCoordinateMode", mode})
}

func (ptr *QGradient) SetSpread(method QGradient__Spread) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSpread", method})
}

func (ptr *QGradient) Spread() QGradient__Spread {

	return QGradient__Spread(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Spread"}).(float64))
}

func (ptr *QGradient) Type() QGradient__Type {

	return QGradient__Type(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

type QGuiApplication struct {
	core.QCoreApplication
}

type QGuiApplication_ITF interface {
	core.QCoreApplication_ITF
	QGuiApplication_PTR() *QGuiApplication
}

func (ptr *QGuiApplication) QGuiApplication_PTR() *QGuiApplication {
	return ptr
}

func (ptr *QGuiApplication) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCoreApplication_PTR().Pointer()
	}
	return nil
}

func (ptr *QGuiApplication) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCoreApplication_PTR().SetPointer(p)
	}
}

func PointerFromQGuiApplication(ptr QGuiApplication_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGuiApplication_PTR().Pointer()
	}
	return nil
}

func (n *QGuiApplication) InitFromInternal(ptr uintptr, name string) {
	n.QCoreApplication_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGuiApplication) ClassNameInternalF() string {
	return n.QCoreApplication_PTR().ClassNameInternalF()
}

func NewQGuiApplicationFromPointer(ptr unsafe.Pointer) (n *QGuiApplication) {
	n = new(QGuiApplication)
	n.InitFromInternal(uintptr(ptr), "gui.QGuiApplication")
	return
}
func NewQGuiApplication(argc int, argv []string) *QGuiApplication {

	gow.InitProcess()
	return NewQGuiApplicationFromPointer(core.QCoreApplication_Instance().Pointer())
}

func QGuiApplication_ApplicationDisplayName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_ApplicationDisplayName", ""}).(string)
}

func (ptr *QGuiApplication) ApplicationDisplayName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_ApplicationDisplayName", ""}).(string)
}

func (ptr *QGuiApplication) ConnectApplicationDisplayNameChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectApplicationDisplayNameChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectApplicationDisplayNameChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectApplicationDisplayNameChanged"})
}

func (ptr *QGuiApplication) ApplicationDisplayNameChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApplicationDisplayNameChanged"})
}

func QGuiApplication_ApplicationState() core.Qt__ApplicationState {

	return core.Qt__ApplicationState(internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_ApplicationState", ""}).(float64))
}

func (ptr *QGuiApplication) ApplicationState() core.Qt__ApplicationState {

	return core.Qt__ApplicationState(internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_ApplicationState", ""}).(float64))
}

func (ptr *QGuiApplication) ConnectApplicationStateChanged(f func(state core.Qt__ApplicationState)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectApplicationStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectApplicationStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectApplicationStateChanged"})
}

func (ptr *QGuiApplication) ApplicationStateChanged(state core.Qt__ApplicationState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApplicationStateChanged", state})
}

func QGuiApplication_ChangeOverrideCursor(cursor QCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_ChangeOverrideCursor", "", cursor})
}

func (ptr *QGuiApplication) ChangeOverrideCursor(cursor QCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_ChangeOverrideCursor", "", cursor})
}

func QGuiApplication_Clipboard() *QClipboard {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_Clipboard", ""}).(*QClipboard)
}

func (ptr *QGuiApplication) Clipboard() *QClipboard {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_Clipboard", ""}).(*QClipboard)
}

func (ptr *QGuiApplication) ConnectCommitDataRequest(f func(manager *QSessionManager)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCommitDataRequest", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectCommitDataRequest() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCommitDataRequest"})
}

func (ptr *QGuiApplication) CommitDataRequest(manager QSessionManager_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CommitDataRequest", manager})
}

func QGuiApplication_DesktopFileName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_DesktopFileName", ""}).(string)
}

func (ptr *QGuiApplication) DesktopFileName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_DesktopFileName", ""}).(string)
}

func QGuiApplication_DesktopSettingsAware() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_DesktopSettingsAware", ""}).(bool)
}

func (ptr *QGuiApplication) DesktopSettingsAware() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_DesktopSettingsAware", ""}).(bool)
}

func (ptr *QGuiApplication) DevicePixelRatio() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DevicePixelRatio"}).(float64)
}

func (ptr *QGuiApplication) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func QGuiApplication_Exec() int {

	gow.Exec()
	return 0
}

func (ptr *QGuiApplication) Exec() int {

	gow.Exec()
	return 0
}

func QGuiApplication_FocusObject() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_FocusObject", ""}).(*core.QObject)
}

func (ptr *QGuiApplication) FocusObject() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_FocusObject", ""}).(*core.QObject)
}

func (ptr *QGuiApplication) ConnectFocusObjectChanged(f func(focusObject *core.QObject)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusObjectChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectFocusObjectChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusObjectChanged"})
}

func (ptr *QGuiApplication) FocusObjectChanged(focusObject core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusObjectChanged", focusObject})
}

func QGuiApplication_FocusWindow() *QWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_FocusWindow", ""}).(*QWindow)
}

func (ptr *QGuiApplication) FocusWindow() *QWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_FocusWindow", ""}).(*QWindow)
}

func (ptr *QGuiApplication) ConnectFocusWindowChanged(f func(focusWindow *QWindow)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusWindowChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectFocusWindowChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusWindowChanged"})
}

func (ptr *QGuiApplication) FocusWindowChanged(focusWindow QWindow_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusWindowChanged", focusWindow})
}

func QGuiApplication_Font() *QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_Font", ""}).(*QFont)
}

func (ptr *QGuiApplication) Font() *QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_Font", ""}).(*QFont)
}

func (ptr *QGuiApplication) ConnectFontChanged(f func(font *QFont)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFontChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectFontChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFontChanged"})
}

func (ptr *QGuiApplication) FontChanged(font QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontChanged", font})
}

func (ptr *QGuiApplication) ConnectFontDatabaseChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFontDatabaseChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectFontDatabaseChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFontDatabaseChanged"})
}

func (ptr *QGuiApplication) FontDatabaseChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontDatabaseChanged"})
}

func QGuiApplication_InputMethod() *QInputMethod {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_InputMethod", ""}).(*QInputMethod)
}

func (ptr *QGuiApplication) InputMethod() *QInputMethod {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_InputMethod", ""}).(*QInputMethod)
}

func QGuiApplication_IsFallbackSessionManagementEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_IsFallbackSessionManagementEnabled", ""}).(bool)
}

func (ptr *QGuiApplication) IsFallbackSessionManagementEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_IsFallbackSessionManagementEnabled", ""}).(bool)
}

func QGuiApplication_IsLeftToRight() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_IsLeftToRight", ""}).(bool)
}

func (ptr *QGuiApplication) IsLeftToRight() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_IsLeftToRight", ""}).(bool)
}

func QGuiApplication_IsRightToLeft() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_IsRightToLeft", ""}).(bool)
}

func (ptr *QGuiApplication) IsRightToLeft() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_IsRightToLeft", ""}).(bool)
}

func (ptr *QGuiApplication) IsSavingSession() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSavingSession"}).(bool)
}

func (ptr *QGuiApplication) IsSessionRestored() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSessionRestored"}).(bool)
}

func QGuiApplication_KeyboardModifiers() core.Qt__KeyboardModifier {

	return core.Qt__KeyboardModifier(internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_KeyboardModifiers", ""}).(float64))
}

func (ptr *QGuiApplication) KeyboardModifiers() core.Qt__KeyboardModifier {

	return core.Qt__KeyboardModifier(internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_KeyboardModifiers", ""}).(float64))
}

func (ptr *QGuiApplication) ConnectLastWindowClosed(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLastWindowClosed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectLastWindowClosed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLastWindowClosed"})
}

func (ptr *QGuiApplication) LastWindowClosed() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastWindowClosed"})
}

func QGuiApplication_LayoutDirection() core.Qt__LayoutDirection {

	return core.Qt__LayoutDirection(internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_LayoutDirection", ""}).(float64))
}

func (ptr *QGuiApplication) LayoutDirection() core.Qt__LayoutDirection {

	return core.Qt__LayoutDirection(internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_LayoutDirection", ""}).(float64))
}

func (ptr *QGuiApplication) ConnectLayoutDirectionChanged(f func(direction core.Qt__LayoutDirection)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLayoutDirectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectLayoutDirectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLayoutDirectionChanged"})
}

func (ptr *QGuiApplication) LayoutDirectionChanged(direction core.Qt__LayoutDirection) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LayoutDirectionChanged", direction})
}

func QGuiApplication_ModalWindow() *QWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_ModalWindow", ""}).(*QWindow)
}

func (ptr *QGuiApplication) ModalWindow() *QWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_ModalWindow", ""}).(*QWindow)
}

func QGuiApplication_MouseButtons() core.Qt__MouseButton {

	return core.Qt__MouseButton(internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_MouseButtons", ""}).(float64))
}

func (ptr *QGuiApplication) MouseButtons() core.Qt__MouseButton {

	return core.Qt__MouseButton(internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_MouseButtons", ""}).(float64))
}

func QGuiApplication_OverrideCursor() *QCursor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_OverrideCursor", ""}).(*QCursor)
}

func (ptr *QGuiApplication) OverrideCursor() *QCursor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_OverrideCursor", ""}).(*QCursor)
}

func QGuiApplication_Palette() *QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_Palette", ""}).(*QPalette)
}

func (ptr *QGuiApplication) Palette() *QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_Palette", ""}).(*QPalette)
}

func (ptr *QGuiApplication) ConnectPaletteChanged(f func(palette *QPalette)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaletteChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectPaletteChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaletteChanged"})
}

func (ptr *QGuiApplication) PaletteChanged(palette QPalette_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaletteChanged", palette})
}

func QGuiApplication_PlatformFunction(function core.QByteArray_ITF) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_PlatformFunction", "", function}).(unsafe.Pointer)
}

func (ptr *QGuiApplication) PlatformFunction(function core.QByteArray_ITF) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_PlatformFunction", "", function}).(unsafe.Pointer)
}

func QGuiApplication_PlatformName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_PlatformName", ""}).(string)
}

func (ptr *QGuiApplication) PlatformName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_PlatformName", ""}).(string)
}

func QGuiApplication_PrimaryScreen() *QScreen {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_PrimaryScreen", ""}).(*QScreen)
}

func (ptr *QGuiApplication) PrimaryScreen() *QScreen {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_PrimaryScreen", ""}).(*QScreen)
}

func (ptr *QGuiApplication) ConnectPrimaryScreenChanged(f func(screen *QScreen)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPrimaryScreenChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectPrimaryScreenChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPrimaryScreenChanged"})
}

func (ptr *QGuiApplication) PrimaryScreenChanged(screen QScreen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PrimaryScreenChanged", screen})
}

func QGuiApplication_QueryKeyboardModifiers() core.Qt__KeyboardModifier {

	return core.Qt__KeyboardModifier(internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_QueryKeyboardModifiers", ""}).(float64))
}

func (ptr *QGuiApplication) QueryKeyboardModifiers() core.Qt__KeyboardModifier {

	return core.Qt__KeyboardModifier(internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_QueryKeyboardModifiers", ""}).(float64))
}

func QGuiApplication_QuitOnLastWindowClosed() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_QuitOnLastWindowClosed", ""}).(bool)
}

func (ptr *QGuiApplication) QuitOnLastWindowClosed() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_QuitOnLastWindowClosed", ""}).(bool)
}

func QGuiApplication_RestoreOverrideCursor() {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_RestoreOverrideCursor", ""})
}

func (ptr *QGuiApplication) RestoreOverrideCursor() {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_RestoreOverrideCursor", ""})
}

func (ptr *QGuiApplication) ConnectSaveStateRequest(f func(manager *QSessionManager)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSaveStateRequest", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectSaveStateRequest() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSaveStateRequest"})
}

func (ptr *QGuiApplication) SaveStateRequest(manager QSessionManager_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SaveStateRequest", manager})
}

func (ptr *QGuiApplication) ConnectScreenAdded(f func(screen *QScreen)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScreenAdded", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectScreenAdded() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScreenAdded"})
}

func (ptr *QGuiApplication) ScreenAdded(screen QScreen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenAdded", screen})
}

func QGuiApplication_ScreenAt(point core.QPoint_ITF) *QScreen {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_ScreenAt", "", point}).(*QScreen)
}

func (ptr *QGuiApplication) ScreenAt(point core.QPoint_ITF) *QScreen {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_ScreenAt", "", point}).(*QScreen)
}

func (ptr *QGuiApplication) ConnectScreenRemoved(f func(screen *QScreen)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScreenRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectScreenRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScreenRemoved"})
}

func (ptr *QGuiApplication) ScreenRemoved(screen QScreen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenRemoved", screen})
}

func QGuiApplication_Screens() []*QScreen {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_Screens", ""}).([]*QScreen)
}

func (ptr *QGuiApplication) Screens() []*QScreen {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_Screens", ""}).([]*QScreen)
}

func (ptr *QGuiApplication) SessionId() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SessionId"}).(string)
}

func (ptr *QGuiApplication) SessionKey() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SessionKey"}).(string)
}

func QGuiApplication_SetApplicationDisplayName(name string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetApplicationDisplayName", "", name})
}

func (ptr *QGuiApplication) SetApplicationDisplayName(name string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetApplicationDisplayName", "", name})
}

func QGuiApplication_SetDesktopFileName(name string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetDesktopFileName", "", name})
}

func (ptr *QGuiApplication) SetDesktopFileName(name string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetDesktopFileName", "", name})
}

func QGuiApplication_SetDesktopSettingsAware(on bool) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetDesktopSettingsAware", "", on})
}

func (ptr *QGuiApplication) SetDesktopSettingsAware(on bool) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetDesktopSettingsAware", "", on})
}

func QGuiApplication_SetFallbackSessionManagementEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetFallbackSessionManagementEnabled", "", enabled})
}

func (ptr *QGuiApplication) SetFallbackSessionManagementEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetFallbackSessionManagementEnabled", "", enabled})
}

func QGuiApplication_SetFont(font QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetFont", "", font})
}

func (ptr *QGuiApplication) SetFont(font QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetFont", "", font})
}

func QGuiApplication_SetLayoutDirection(direction core.Qt__LayoutDirection) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetLayoutDirection", "", direction})
}

func (ptr *QGuiApplication) SetLayoutDirection(direction core.Qt__LayoutDirection) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetLayoutDirection", "", direction})
}

func QGuiApplication_SetOverrideCursor(cursor QCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetOverrideCursor", "", cursor})
}

func (ptr *QGuiApplication) SetOverrideCursor(cursor QCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetOverrideCursor", "", cursor})
}

func QGuiApplication_SetPalette(pal QPalette_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetPalette", "", pal})
}

func (ptr *QGuiApplication) SetPalette(pal QPalette_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetPalette", "", pal})
}

func QGuiApplication_SetQuitOnLastWindowClosed(quit bool) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetQuitOnLastWindowClosed", "", quit})
}

func (ptr *QGuiApplication) SetQuitOnLastWindowClosed(quit bool) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetQuitOnLastWindowClosed", "", quit})
}

func QGuiApplication_SetWindowIcon(icon QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetWindowIcon", "", icon})
}

func (ptr *QGuiApplication) SetWindowIcon(icon QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_SetWindowIcon", "", icon})
}

func QGuiApplication_StyleHints() *QStyleHints {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_StyleHints", ""}).(*QStyleHints)
}

func (ptr *QGuiApplication) StyleHints() *QStyleHints {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_StyleHints", ""}).(*QStyleHints)
}

func QGuiApplication_Sync() {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_Sync", ""})
}

func (ptr *QGuiApplication) Sync() {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_Sync", ""})
}

func QGuiApplication_TopLevelAt(pos core.QPoint_ITF) *QWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_TopLevelAt", "", pos}).(*QWindow)
}

func (ptr *QGuiApplication) TopLevelAt(pos core.QPoint_ITF) *QWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_TopLevelAt", "", pos}).(*QWindow)
}

func QGuiApplication_WindowIcon() *QIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_WindowIcon", ""}).(*QIcon)
}

func (ptr *QGuiApplication) WindowIcon() *QIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QGuiApplication_WindowIcon", ""}).(*QIcon)
}

func (ptr *QGuiApplication) ConnectDestroyQGuiApplication(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGuiApplication", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGuiApplication) DisconnectDestroyQGuiApplication() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGuiApplication"})
}

func (ptr *QGuiApplication) DestroyQGuiApplication() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGuiApplication"})
}

func (ptr *QGuiApplication) DestroyQGuiApplicationDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGuiApplicationDefault"})
}

func (ptr *QGuiApplication) __screens_atList(i int) *QScreen {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__screens_atList", i}).(*QScreen)
}

func (ptr *QGuiApplication) __screens_setList(i QScreen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__screens_setList", i})
}

func (ptr *QGuiApplication) __screens_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__screens_newList"}).(unsafe.Pointer)
}

func (ptr *QGuiApplication) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QGuiApplication) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QGuiApplication) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QGuiApplication) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QGuiApplication) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QGuiApplication) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QGuiApplication) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QGuiApplication) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QGuiApplication) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QGuiApplication) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QGuiApplication) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QGuiApplication) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QGuiApplication) QuitDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "QuitDefault"})
}

func (ptr *QGuiApplication) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QGuiApplication) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QGuiApplication) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QGuiApplication) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QGuiApplication) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QGuiApplication) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QGuiApplication) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QGuiApplication) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QHelpEvent struct {
	core.QEvent
}

type QHelpEvent_ITF interface {
	core.QEvent_ITF
	QHelpEvent_PTR() *QHelpEvent
}

func (ptr *QHelpEvent) QHelpEvent_PTR() *QHelpEvent {
	return ptr
}

func (ptr *QHelpEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QHelpEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQHelpEvent(ptr QHelpEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QHelpEvent_PTR().Pointer()
	}
	return nil
}

func (n *QHelpEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QHelpEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQHelpEventFromPointer(ptr unsafe.Pointer) (n *QHelpEvent) {
	n = new(QHelpEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QHelpEvent")
	return
}

func (ptr *QHelpEvent) DestroyQHelpEvent() {
}

func NewQHelpEvent(ty core.QEvent__Type, pos core.QPoint_ITF, globalPos core.QPoint_ITF) *QHelpEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQHelpEvent", "", ty, pos, globalPos}).(*QHelpEvent)
}

func (ptr *QHelpEvent) GlobalPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalPos"}).(*core.QPoint)
}

func (ptr *QHelpEvent) GlobalX() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalX"}).(float64))
}

func (ptr *QHelpEvent) GlobalY() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalY"}).(float64))
}

func (ptr *QHelpEvent) Pos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPoint)
}

func (ptr *QHelpEvent) X() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float64))
}

func (ptr *QHelpEvent) Y() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float64))
}

type QHideEvent struct {
	core.QEvent
}

type QHideEvent_ITF interface {
	core.QEvent_ITF
	QHideEvent_PTR() *QHideEvent
}

func (ptr *QHideEvent) QHideEvent_PTR() *QHideEvent {
	return ptr
}

func (ptr *QHideEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QHideEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQHideEvent(ptr QHideEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QHideEvent_PTR().Pointer()
	}
	return nil
}

func (n *QHideEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QHideEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQHideEventFromPointer(ptr unsafe.Pointer) (n *QHideEvent) {
	n = new(QHideEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QHideEvent")
	return
}

func (ptr *QHideEvent) DestroyQHideEvent() {
}

func NewQHideEvent() *QHideEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQHideEvent", ""}).(*QHideEvent)
}

type QHoverEvent struct {
	QInputEvent
}

type QHoverEvent_ITF interface {
	QInputEvent_ITF
	QHoverEvent_PTR() *QHoverEvent
}

func (ptr *QHoverEvent) QHoverEvent_PTR() *QHoverEvent {
	return ptr
}

func (ptr *QHoverEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QInputEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QHoverEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QInputEvent_PTR().SetPointer(p)
	}
}

func PointerFromQHoverEvent(ptr QHoverEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QHoverEvent_PTR().Pointer()
	}
	return nil
}

func (n *QHoverEvent) InitFromInternal(ptr uintptr, name string) {
	n.QInputEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QHoverEvent) ClassNameInternalF() string {
	return n.QInputEvent_PTR().ClassNameInternalF()
}

func NewQHoverEventFromPointer(ptr unsafe.Pointer) (n *QHoverEvent) {
	n = new(QHoverEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QHoverEvent")
	return
}

func (ptr *QHoverEvent) DestroyQHoverEvent() {
}

func NewQHoverEvent(ty core.QEvent__Type, pos core.QPointF_ITF, oldPos core.QPointF_ITF, modifiers core.Qt__KeyboardModifier) *QHoverEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQHoverEvent", "", ty, pos, oldPos, modifiers}).(*QHoverEvent)
}

func (ptr *QHoverEvent) OldPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OldPos"}).(*core.QPoint)
}

func (ptr *QHoverEvent) OldPosF() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OldPosF"}).(*core.QPointF)
}

func (ptr *QHoverEvent) Pos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPoint)
}

func (ptr *QHoverEvent) PosF() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PosF"}).(*core.QPointF)
}

type QIcon struct {
	internal.Internal
}

type QIcon_ITF interface {
	QIcon_PTR() *QIcon
}

func (ptr *QIcon) QIcon_PTR() *QIcon {
	return ptr
}

func (ptr *QIcon) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QIcon) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQIcon(ptr QIcon_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QIcon_PTR().Pointer()
	}
	return nil
}

func (n *QIcon) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQIconFromPointer(ptr unsafe.Pointer) (n *QIcon) {
	n = new(QIcon)
	n.InitFromInternal(uintptr(ptr), "gui.QIcon")
	return
}

//go:generate stringer -type=QIcon__Mode
//QIcon::Mode
type QIcon__Mode int64

const (
	QIcon__Normal   QIcon__Mode = QIcon__Mode(0)
	QIcon__Disabled QIcon__Mode = QIcon__Mode(1)
	QIcon__Active   QIcon__Mode = QIcon__Mode(2)
	QIcon__Selected QIcon__Mode = QIcon__Mode(3)
)

//go:generate stringer -type=QIcon__State
//QIcon::State
type QIcon__State int64

const (
	QIcon__On  QIcon__State = QIcon__State(0)
	QIcon__Off QIcon__State = QIcon__State(1)
)

func NewQIcon() *QIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQIcon", ""}).(*QIcon)
}

func NewQIcon2(pixmap QPixmap_ITF) *QIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQIcon2", "", pixmap}).(*QIcon)
}

func NewQIcon3(other QIcon_ITF) *QIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQIcon3", "", other}).(*QIcon)
}

func NewQIcon4(other QIcon_ITF) *QIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQIcon4", "", other}).(*QIcon)
}

func NewQIcon5(fileName string) *QIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQIcon5", "", fileName}).(*QIcon)
}

func NewQIcon6(engine QIconEngine_ITF) *QIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQIcon6", "", engine}).(*QIcon)
}

func (ptr *QIcon) ActualSize(size core.QSize_ITF, mode QIcon__Mode, state QIcon__State) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActualSize", size, mode, state}).(*core.QSize)
}

func (ptr *QIcon) ActualSize2(window QWindow_ITF, size core.QSize_ITF, mode QIcon__Mode, state QIcon__State) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActualSize2", window, size, mode, state}).(*core.QSize)
}

func (ptr *QIcon) AddFile(fileName string, size core.QSize_ITF, mode QIcon__Mode, state QIcon__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddFile", fileName, size, mode, state})
}

func (ptr *QIcon) AddPixmap(pixmap QPixmap_ITF, mode QIcon__Mode, state QIcon__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPixmap", pixmap, mode, state})
}

func (ptr *QIcon) AvailableSizes(mode QIcon__Mode, state QIcon__State) []*core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableSizes", mode, state}).([]*core.QSize)
}

func (ptr *QIcon) CacheKey() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CacheKey"}).(float64))
}

func QIcon_FallbackSearchPaths() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_FallbackSearchPaths", ""}).([]string)
}

func (ptr *QIcon) FallbackSearchPaths() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_FallbackSearchPaths", ""}).([]string)
}

func QIcon_FallbackThemeName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_FallbackThemeName", ""}).(string)
}

func (ptr *QIcon) FallbackThemeName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_FallbackThemeName", ""}).(string)
}

func QIcon_FromTheme(name string) *QIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_FromTheme", "", name}).(*QIcon)
}

func (ptr *QIcon) FromTheme(name string) *QIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_FromTheme", "", name}).(*QIcon)
}

func QIcon_FromTheme2(name string, fallback QIcon_ITF) *QIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_FromTheme2", "", name, fallback}).(*QIcon)
}

func (ptr *QIcon) FromTheme2(name string, fallback QIcon_ITF) *QIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_FromTheme2", "", name, fallback}).(*QIcon)
}

func QIcon_HasThemeIcon(name string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_HasThemeIcon", "", name}).(bool)
}

func (ptr *QIcon) HasThemeIcon(name string) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_HasThemeIcon", "", name}).(bool)
}

func (ptr *QIcon) IsMask() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMask"}).(bool)
}

func (ptr *QIcon) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QIcon) Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(string)
}

func (ptr *QIcon) Paint(painter QPainter_ITF, rect core.QRect_ITF, alignment core.Qt__AlignmentFlag, mode QIcon__Mode, state QIcon__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, rect, alignment, mode, state})
}

func (ptr *QIcon) Paint2(painter QPainter_ITF, x int, y int, w int, h int, alignment core.Qt__AlignmentFlag, mode QIcon__Mode, state QIcon__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint2", painter, x, y, w, h, alignment, mode, state})
}

func (ptr *QIcon) Pixmap(size core.QSize_ITF, mode QIcon__Mode, state QIcon__State) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixmap", size, mode, state}).(*QPixmap)
}

func (ptr *QIcon) Pixmap2(w int, h int, mode QIcon__Mode, state QIcon__State) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixmap2", w, h, mode, state}).(*QPixmap)
}

func (ptr *QIcon) Pixmap3(extent int, mode QIcon__Mode, state QIcon__State) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixmap3", extent, mode, state}).(*QPixmap)
}

func (ptr *QIcon) Pixmap4(window QWindow_ITF, size core.QSize_ITF, mode QIcon__Mode, state QIcon__State) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixmap4", window, size, mode, state}).(*QPixmap)
}

func QIcon_SetFallbackSearchPaths(paths []string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_SetFallbackSearchPaths", "", paths})
}

func (ptr *QIcon) SetFallbackSearchPaths(paths []string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_SetFallbackSearchPaths", "", paths})
}

func QIcon_SetFallbackThemeName(name string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_SetFallbackThemeName", "", name})
}

func (ptr *QIcon) SetFallbackThemeName(name string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_SetFallbackThemeName", "", name})
}

func (ptr *QIcon) SetIsMask(isMask bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIsMask", isMask})
}

func QIcon_SetThemeName(name string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_SetThemeName", "", name})
}

func (ptr *QIcon) SetThemeName(name string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_SetThemeName", "", name})
}

func QIcon_SetThemeSearchPaths(paths []string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_SetThemeSearchPaths", "", paths})
}

func (ptr *QIcon) SetThemeSearchPaths(paths []string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_SetThemeSearchPaths", "", paths})
}

func (ptr *QIcon) Swap(other QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func QIcon_ThemeName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_ThemeName", ""}).(string)
}

func (ptr *QIcon) ThemeName() string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_ThemeName", ""}).(string)
}

func QIcon_ThemeSearchPaths() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_ThemeSearchPaths", ""}).([]string)
}

func (ptr *QIcon) ThemeSearchPaths() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QIcon_ThemeSearchPaths", ""}).([]string)
}

func (ptr *QIcon) DestroyQIcon() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQIcon"})
}

func (ptr *QIcon) ToVariant() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariant"}).(*core.QVariant)
}

func (ptr *QIcon) __availableSizes_atList(i int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableSizes_atList", i}).(*core.QSize)
}

func (ptr *QIcon) __availableSizes_setList(i core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableSizes_setList", i})
}

func (ptr *QIcon) __availableSizes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableSizes_newList"}).(unsafe.Pointer)
}

type QIconDragEvent struct {
	core.QEvent
}

type QIconDragEvent_ITF interface {
	core.QEvent_ITF
	QIconDragEvent_PTR() *QIconDragEvent
}

func (ptr *QIconDragEvent) QIconDragEvent_PTR() *QIconDragEvent {
	return ptr
}

func (ptr *QIconDragEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QIconDragEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQIconDragEvent(ptr QIconDragEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QIconDragEvent_PTR().Pointer()
	}
	return nil
}

func (n *QIconDragEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QIconDragEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQIconDragEventFromPointer(ptr unsafe.Pointer) (n *QIconDragEvent) {
	n = new(QIconDragEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QIconDragEvent")
	return
}

func (ptr *QIconDragEvent) DestroyQIconDragEvent() {
}

func NewQIconDragEvent() *QIconDragEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQIconDragEvent", ""}).(*QIconDragEvent)
}

type QIconEngine struct {
	internal.Internal
}

type QIconEngine_ITF interface {
	QIconEngine_PTR() *QIconEngine
}

func (ptr *QIconEngine) QIconEngine_PTR() *QIconEngine {
	return ptr
}

func (ptr *QIconEngine) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QIconEngine) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQIconEngine(ptr QIconEngine_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QIconEngine_PTR().Pointer()
	}
	return nil
}

func (n *QIconEngine) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQIconEngineFromPointer(ptr unsafe.Pointer) (n *QIconEngine) {
	n = new(QIconEngine)
	n.InitFromInternal(uintptr(ptr), "gui.QIconEngine")
	return
}

//go:generate stringer -type=QIconEngine__IconEngineHook
//QIconEngine::IconEngineHook
type QIconEngine__IconEngineHook int64

const (
	QIconEngine__AvailableSizesHook QIconEngine__IconEngineHook = QIconEngine__IconEngineHook(1)
	QIconEngine__IconNameHook       QIconEngine__IconEngineHook = QIconEngine__IconEngineHook(2)
	QIconEngine__IsNullHook         QIconEngine__IconEngineHook = QIconEngine__IconEngineHook(3)
	QIconEngine__ScaledPixmapHook   QIconEngine__IconEngineHook = QIconEngine__IconEngineHook(4)
)

func NewQIconEngine() *QIconEngine {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQIconEngine", ""}).(*QIconEngine)
}

func (ptr *QIconEngine) ConnectActualSize(f func(size *core.QSize, mode QIcon__Mode, state QIcon__State) *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActualSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEngine) DisconnectActualSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActualSize"})
}

func (ptr *QIconEngine) ActualSize(size core.QSize_ITF, mode QIcon__Mode, state QIcon__State) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActualSize", size, mode, state}).(*core.QSize)
}

func (ptr *QIconEngine) ActualSizeDefault(size core.QSize_ITF, mode QIcon__Mode, state QIcon__State) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActualSizeDefault", size, mode, state}).(*core.QSize)
}

func (ptr *QIconEngine) ConnectAddFile(f func(fileName string, size *core.QSize, mode QIcon__Mode, state QIcon__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAddFile", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEngine) DisconnectAddFile() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAddFile"})
}

func (ptr *QIconEngine) AddFile(fileName string, size core.QSize_ITF, mode QIcon__Mode, state QIcon__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddFile", fileName, size, mode, state})
}

func (ptr *QIconEngine) AddFileDefault(fileName string, size core.QSize_ITF, mode QIcon__Mode, state QIcon__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddFileDefault", fileName, size, mode, state})
}

func (ptr *QIconEngine) ConnectAddPixmap(f func(pixmap *QPixmap, mode QIcon__Mode, state QIcon__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAddPixmap", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEngine) DisconnectAddPixmap() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAddPixmap"})
}

func (ptr *QIconEngine) AddPixmap(pixmap QPixmap_ITF, mode QIcon__Mode, state QIcon__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPixmap", pixmap, mode, state})
}

func (ptr *QIconEngine) AddPixmapDefault(pixmap QPixmap_ITF, mode QIcon__Mode, state QIcon__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPixmapDefault", pixmap, mode, state})
}

func (ptr *QIconEngine) ConnectAvailableSizes(f func(mode QIcon__Mode, state QIcon__State) []*core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAvailableSizes", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEngine) DisconnectAvailableSizes() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAvailableSizes"})
}

func (ptr *QIconEngine) AvailableSizes(mode QIcon__Mode, state QIcon__State) []*core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableSizes", mode, state}).([]*core.QSize)
}

func (ptr *QIconEngine) AvailableSizesDefault(mode QIcon__Mode, state QIcon__State) []*core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableSizesDefault", mode, state}).([]*core.QSize)
}

func (ptr *QIconEngine) ConnectClone(f func() *QIconEngine) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClone", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEngine) DisconnectClone() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClone"})
}

func (ptr *QIconEngine) Clone() *QIconEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clone"}).(*QIconEngine)
}

func (ptr *QIconEngine) ConnectIconName(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIconName", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEngine) DisconnectIconName() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIconName"})
}

func (ptr *QIconEngine) IconName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconName"}).(string)
}

func (ptr *QIconEngine) IconNameDefault() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconNameDefault"}).(string)
}

func (ptr *QIconEngine) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QIconEngine) ConnectKey(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectKey", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEngine) DisconnectKey() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectKey"})
}

func (ptr *QIconEngine) Key() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Key"}).(string)
}

func (ptr *QIconEngine) KeyDefault() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyDefault"}).(string)
}

func (ptr *QIconEngine) ConnectPaint(f func(painter *QPainter, rect *core.QRect, mode QIcon__Mode, state QIcon__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEngine) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QIconEngine) Paint(painter QPainter_ITF, rect core.QRect_ITF, mode QIcon__Mode, state QIcon__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, rect, mode, state})
}

func (ptr *QIconEngine) ConnectPixmap(f func(size *core.QSize, mode QIcon__Mode, state QIcon__State) *QPixmap) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPixmap", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEngine) DisconnectPixmap() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPixmap"})
}

func (ptr *QIconEngine) Pixmap(size core.QSize_ITF, mode QIcon__Mode, state QIcon__State) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixmap", size, mode, state}).(*QPixmap)
}

func (ptr *QIconEngine) PixmapDefault(size core.QSize_ITF, mode QIcon__Mode, state QIcon__State) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixmapDefault", size, mode, state}).(*QPixmap)
}

func (ptr *QIconEngine) ConnectRead(f func(in *core.QDataStream) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRead", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEngine) DisconnectRead() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRead"})
}

func (ptr *QIconEngine) Read(in core.QDataStream_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read", in}).(bool)
}

func (ptr *QIconEngine) ReadDefault(in core.QDataStream_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadDefault", in}).(bool)
}

func (ptr *QIconEngine) ScaledPixmap(size core.QSize_ITF, mode QIcon__Mode, state QIcon__State, scale float64) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScaledPixmap", size, mode, state, scale}).(*QPixmap)
}

func (ptr *QIconEngine) ConnectVirtual_hook(f func(id int, data unsafe.Pointer)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVirtual_hook", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEngine) DisconnectVirtual_hook() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVirtual_hook"})
}

func (ptr *QIconEngine) Virtual_hook(id int, data unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Virtual_hook", id, data})
}

func (ptr *QIconEngine) Virtual_hookDefault(id int, data unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Virtual_hookDefault", id, data})
}

func (ptr *QIconEngine) ConnectWrite(f func(out *core.QDataStream) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWrite", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEngine) DisconnectWrite() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWrite"})
}

func (ptr *QIconEngine) Write(out core.QDataStream_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write", out}).(bool)
}

func (ptr *QIconEngine) WriteDefault(out core.QDataStream_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteDefault", out}).(bool)
}

func (ptr *QIconEngine) ConnectDestroyQIconEngine(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQIconEngine", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEngine) DisconnectDestroyQIconEngine() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQIconEngine"})
}

func (ptr *QIconEngine) DestroyQIconEngine() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQIconEngine"})
}

func (ptr *QIconEngine) DestroyQIconEngineDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQIconEngineDefault"})
}

func (ptr *QIconEngine) __availableSizes_atList(i int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableSizes_atList", i}).(*core.QSize)
}

func (ptr *QIconEngine) __availableSizes_setList(i core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableSizes_setList", i})
}

func (ptr *QIconEngine) __availableSizes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableSizes_newList"}).(unsafe.Pointer)
}

type QIconEnginePlugin struct {
	core.QObject
}

type QIconEnginePlugin_ITF interface {
	core.QObject_ITF
	QIconEnginePlugin_PTR() *QIconEnginePlugin
}

func (ptr *QIconEnginePlugin) QIconEnginePlugin_PTR() *QIconEnginePlugin {
	return ptr
}

func (ptr *QIconEnginePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QIconEnginePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQIconEnginePlugin(ptr QIconEnginePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QIconEnginePlugin_PTR().Pointer()
	}
	return nil
}

func (n *QIconEnginePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QIconEnginePlugin) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQIconEnginePluginFromPointer(ptr unsafe.Pointer) (n *QIconEnginePlugin) {
	n = new(QIconEnginePlugin)
	n.InitFromInternal(uintptr(ptr), "gui.QIconEnginePlugin")
	return
}
func NewQIconEnginePlugin(parent core.QObject_ITF) *QIconEnginePlugin {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQIconEnginePlugin", "", parent}).(*QIconEnginePlugin)
}

func (ptr *QIconEnginePlugin) ConnectCreate(f func(filename string) *QIconEngine) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEnginePlugin) DisconnectCreate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreate"})
}

func (ptr *QIconEnginePlugin) Create(filename string) *QIconEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create", filename}).(*QIconEngine)
}

func (ptr *QIconEnginePlugin) ConnectDestroyQIconEnginePlugin(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQIconEnginePlugin", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIconEnginePlugin) DisconnectDestroyQIconEnginePlugin() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQIconEnginePlugin"})
}

func (ptr *QIconEnginePlugin) DestroyQIconEnginePlugin() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQIconEnginePlugin"})
}

func (ptr *QIconEnginePlugin) DestroyQIconEnginePluginDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQIconEnginePluginDefault"})
}

func (ptr *QIconEnginePlugin) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QIconEnginePlugin) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QIconEnginePlugin) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QIconEnginePlugin) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QIconEnginePlugin) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QIconEnginePlugin) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QIconEnginePlugin) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QIconEnginePlugin) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QIconEnginePlugin) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QIconEnginePlugin) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QIconEnginePlugin) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QIconEnginePlugin) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QIconEnginePlugin) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QIconEnginePlugin) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QIconEnginePlugin) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QIconEnginePlugin) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QIconEnginePlugin) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QIconEnginePlugin) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QIconEnginePlugin) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QIconEnginePlugin) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QIconEnginePlugin) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QImage struct {
	QPaintDevice
}

type QImage_ITF interface {
	QPaintDevice_ITF
	QImage_PTR() *QImage
}

func (ptr *QImage) QImage_PTR() *QImage {
	return ptr
}

func (ptr *QImage) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QPaintDevice_PTR().Pointer()
	}
	return nil
}

func (ptr *QImage) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QPaintDevice_PTR().SetPointer(p)
	}
}

func PointerFromQImage(ptr QImage_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QImage_PTR().Pointer()
	}
	return nil
}

func (n *QImage) InitFromInternal(ptr uintptr, name string) {
	n.QPaintDevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QImage) ClassNameInternalF() string {
	return n.QPaintDevice_PTR().ClassNameInternalF()
}

func NewQImageFromPointer(ptr unsafe.Pointer) (n *QImage) {
	n = new(QImage)
	n.InitFromInternal(uintptr(ptr), "gui.QImage")
	return
}

//go:generate stringer -type=QImage__InvertMode
//QImage::InvertMode
type QImage__InvertMode int64

const (
	QImage__InvertRgb  QImage__InvertMode = QImage__InvertMode(0)
	QImage__InvertRgba QImage__InvertMode = QImage__InvertMode(1)
)

//go:generate stringer -type=QImage__Format
//QImage::Format
type QImage__Format int64

const (
	QImage__Format_Invalid                QImage__Format = QImage__Format(0)
	QImage__Format_Mono                   QImage__Format = QImage__Format(1)
	QImage__Format_MonoLSB                QImage__Format = QImage__Format(2)
	QImage__Format_Indexed8               QImage__Format = QImage__Format(3)
	QImage__Format_RGB32                  QImage__Format = QImage__Format(4)
	QImage__Format_ARGB32                 QImage__Format = QImage__Format(5)
	QImage__Format_ARGB32_Premultiplied   QImage__Format = QImage__Format(6)
	QImage__Format_RGB16                  QImage__Format = QImage__Format(7)
	QImage__Format_ARGB8565_Premultiplied QImage__Format = QImage__Format(8)
	QImage__Format_RGB666                 QImage__Format = QImage__Format(9)
	QImage__Format_ARGB6666_Premultiplied QImage__Format = QImage__Format(10)
	QImage__Format_RGB555                 QImage__Format = QImage__Format(11)
	QImage__Format_ARGB8555_Premultiplied QImage__Format = QImage__Format(12)
	QImage__Format_RGB888                 QImage__Format = QImage__Format(13)
	QImage__Format_RGB444                 QImage__Format = QImage__Format(14)
	QImage__Format_ARGB4444_Premultiplied QImage__Format = QImage__Format(15)
	QImage__Format_RGBX8888               QImage__Format = QImage__Format(16)
	QImage__Format_RGBA8888               QImage__Format = QImage__Format(17)
	QImage__Format_RGBA8888_Premultiplied QImage__Format = QImage__Format(18)
	QImage__Format_BGR30                  QImage__Format = QImage__Format(19)
	QImage__Format_A2BGR30_Premultiplied  QImage__Format = QImage__Format(20)
	QImage__Format_RGB30                  QImage__Format = QImage__Format(21)
	QImage__Format_A2RGB30_Premultiplied  QImage__Format = QImage__Format(22)
	QImage__Format_Alpha8                 QImage__Format = QImage__Format(23)
	QImage__Format_Grayscale8             QImage__Format = QImage__Format(24)
	QImage__Format_RGBX64                 QImage__Format = QImage__Format(25)
	QImage__Format_RGBA64                 QImage__Format = QImage__Format(26)
	QImage__Format_RGBA64_Premultiplied   QImage__Format = QImage__Format(27)
	QImage__Format_Grayscale16            QImage__Format = QImage__Format(28)
)

func NewQImage() *QImage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImage", ""}).(*QImage)
}

func NewQImage2(size core.QSize_ITF, format QImage__Format) *QImage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImage2", "", size, format}).(*QImage)
}

func NewQImage3(width int, height int, format QImage__Format) *QImage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImage3", "", width, height, format}).(*QImage)
}

func NewQImage4(data string, width int, height int, format QImage__Format) *QImage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImage4", "", data, width, height, format}).(*QImage)
}

func NewQImage5(data string, width int, height int, format QImage__Format) *QImage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImage5", "", data, width, height, format}).(*QImage)
}

func NewQImage6(data string, width int, height int, bytesPerLine int, format QImage__Format) *QImage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImage6", "", data, width, height, bytesPerLine, format}).(*QImage)
}

func NewQImage7(data string, width int, height int, bytesPerLine int, format QImage__Format) *QImage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImage7", "", data, width, height, bytesPerLine, format}).(*QImage)
}

func NewQImage9(fileName string, format string) *QImage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImage9", "", fileName, format}).(*QImage)
}

func NewQImage10(image QImage_ITF) *QImage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImage10", "", image}).(*QImage)
}

func NewQImage11(other QImage_ITF) *QImage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImage11", "", other}).(*QImage)
}

func (ptr *QImage) AllGray() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllGray"}).(bool)
}

func (ptr *QImage) BitPlaneCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BitPlaneCount"}).(float64))
}

func (ptr *QImage) Bits() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bits"}).(string)
}

func (ptr *QImage) Bits2() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bits2"}).(string)
}

func (ptr *QImage) BytesPerLine() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesPerLine"}).(float64))
}

func (ptr *QImage) CacheKey() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CacheKey"}).(float64))
}

func (ptr *QImage) Color(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Color", i}).(float64))
}

func (ptr *QImage) ColorTable() []uint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColorTable"}).([]uint)
}

func (ptr *QImage) ConstBits() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConstBits"}).(string)
}

func (ptr *QImage) ConstScanLine(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConstScanLine", i}).(string)
}

func (ptr *QImage) ConvertTo(format QImage__Format, flags core.Qt__ImageConversionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConvertTo", format, flags})
}

func (ptr *QImage) ConvertToFormat(format QImage__Format, flags core.Qt__ImageConversionFlag) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConvertToFormat", format, flags}).(*QImage)
}

func (ptr *QImage) ConvertToFormat2(format QImage__Format, flags core.Qt__ImageConversionFlag) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConvertToFormat2", format, flags}).(*QImage)
}

func (ptr *QImage) ConvertToFormat3(format QImage__Format, colorTable []uint, flags core.Qt__ImageConversionFlag) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConvertToFormat3", format, colorTable, flags}).(*QImage)
}

func (ptr *QImage) Copy(rectangle core.QRect_ITF) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Copy", rectangle}).(*QImage)
}

func (ptr *QImage) Copy2(x int, y int, width int, height int) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Copy2", x, y, width, height}).(*QImage)
}

func (ptr *QImage) CreateAlphaMask(flags core.Qt__ImageConversionFlag) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateAlphaMask", flags}).(*QImage)
}

func (ptr *QImage) CreateHeuristicMask(clipTight bool) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateHeuristicMask", clipTight}).(*QImage)
}

func (ptr *QImage) CreateMaskFromColor(color uint, mode core.Qt__MaskMode) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateMaskFromColor", color, mode}).(*QImage)
}

func (ptr *QImage) DevicePixelRatio() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DevicePixelRatio"}).(float64)
}

func (ptr *QImage) DotsPerMeterX() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DotsPerMeterX"}).(float64))
}

func (ptr *QImage) DotsPerMeterY() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DotsPerMeterY"}).(float64))
}

func (ptr *QImage) Fill(pixelValue uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Fill", pixelValue})
}

func (ptr *QImage) Fill2(color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Fill2", color})
}

func (ptr *QImage) Fill3(color core.Qt__GlobalColor) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Fill3", color})
}

func (ptr *QImage) Format() QImage__Format {

	return QImage__Format(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(float64))
}

func QImage_FromData(data []byte, size int, format string) *QImage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImage_FromData", "", data, size, format}).(*QImage)
}

func (ptr *QImage) FromData(data []byte, size int, format string) *QImage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImage_FromData", "", data, size, format}).(*QImage)
}

func QImage_FromData2(data core.QByteArray_ITF, format string) *QImage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImage_FromData2", "", data, format}).(*QImage)
}

func (ptr *QImage) FromData2(data core.QByteArray_ITF, format string) *QImage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImage_FromData2", "", data, format}).(*QImage)
}

func (ptr *QImage) HasAlphaChannel() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasAlphaChannel"}).(bool)
}

func (ptr *QImage) InvertPixels(mode QImage__InvertMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvertPixels", mode})
}

func (ptr *QImage) IsGrayscale() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsGrayscale"}).(bool)
}

func (ptr *QImage) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QImage) Load(fileName string, format string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Load", fileName, format}).(bool)
}

func (ptr *QImage) Load2(device core.QIODevice_ITF, format string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Load2", device, format}).(bool)
}

func (ptr *QImage) LoadFromData(data []byte, l int, format string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadFromData", data, l, format}).(bool)
}

func (ptr *QImage) LoadFromData2(data core.QByteArray_ITF, format string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadFromData2", data, format}).(bool)
}

func (ptr *QImage) Mirrored(horizontal bool, vertical bool) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mirrored", horizontal, vertical}).(*QImage)
}

func (ptr *QImage) Mirrored2(horizontal bool, vertical bool) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mirrored2", horizontal, vertical}).(*QImage)
}

func (ptr *QImage) Offset() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Offset"}).(*core.QPoint)
}

func (ptr *QImage) Pixel(position core.QPoint_ITF) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixel", position}).(float64))
}

func (ptr *QImage) Pixel2(x int, y int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixel2", x, y}).(float64))
}

func (ptr *QImage) PixelColor(position core.QPoint_ITF) *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelColor", position}).(*QColor)
}

func (ptr *QImage) PixelColor2(x int, y int) *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelColor2", x, y}).(*QColor)
}

func (ptr *QImage) PixelFormat() *QPixelFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelFormat"}).(*QPixelFormat)
}

func (ptr *QImage) PixelIndex(position core.QPoint_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelIndex", position}).(float64))
}

func (ptr *QImage) PixelIndex2(x int, y int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelIndex2", x, y}).(float64))
}

func (ptr *QImage) Rect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rect"}).(*core.QRect)
}

func (ptr *QImage) ReinterpretAsFormat(format QImage__Format) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReinterpretAsFormat", format}).(bool)
}

func (ptr *QImage) RgbSwapped() *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RgbSwapped"}).(*QImage)
}

func (ptr *QImage) RgbSwapped2() *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RgbSwapped2"}).(*QImage)
}

func (ptr *QImage) Save(fileName string, format string, quality int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Save", fileName, format, quality}).(bool)
}

func (ptr *QImage) Save2(device core.QIODevice_ITF, format string, quality int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Save2", device, format, quality}).(bool)
}

func (ptr *QImage) Scaled(size core.QSize_ITF, aspectRatioMode core.Qt__AspectRatioMode, transformMode core.Qt__TransformationMode) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scaled", size, aspectRatioMode, transformMode}).(*QImage)
}

func (ptr *QImage) Scaled2(width int, height int, aspectRatioMode core.Qt__AspectRatioMode, transformMode core.Qt__TransformationMode) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scaled2", width, height, aspectRatioMode, transformMode}).(*QImage)
}

func (ptr *QImage) ScaledToHeight(height int, mode core.Qt__TransformationMode) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScaledToHeight", height, mode}).(*QImage)
}

func (ptr *QImage) ScaledToWidth(width int, mode core.Qt__TransformationMode) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScaledToWidth", width, mode}).(*QImage)
}

func (ptr *QImage) ScanLine(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScanLine", i}).(string)
}

func (ptr *QImage) ScanLine2(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScanLine2", i}).(string)
}

func (ptr *QImage) SetColor(index int, colorValue uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColor", index, colorValue})
}

func (ptr *QImage) SetColorCount(colorCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColorCount", colorCount})
}

func (ptr *QImage) SetColorTable(colors []uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColorTable", colors})
}

func (ptr *QImage) SetDevicePixelRatio(scaleFactor float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDevicePixelRatio", scaleFactor})
}

func (ptr *QImage) SetDotsPerMeterX(x int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDotsPerMeterX", x})
}

func (ptr *QImage) SetDotsPerMeterY(y int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDotsPerMeterY", y})
}

func (ptr *QImage) SetOffset(offset core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffset", offset})
}

func (ptr *QImage) SetPixel(position core.QPoint_ITF, index_or_rgb uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixel", position, index_or_rgb})
}

func (ptr *QImage) SetPixel2(x int, y int, index_or_rgb uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixel2", x, y, index_or_rgb})
}

func (ptr *QImage) SetPixelColor(position core.QPoint_ITF, color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixelColor", position, color})
}

func (ptr *QImage) SetPixelColor2(x int, y int, color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixelColor2", x, y, color})
}

func (ptr *QImage) SetText(key string, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", key, text})
}

func (ptr *QImage) Size() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(*core.QSize)
}

func (ptr *QImage) SmoothScaled(w int, h int) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SmoothScaled", w, h}).(*QImage)
}

func (ptr *QImage) Swap(other QImage_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QImage) Text(key string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text", key}).(string)
}

func (ptr *QImage) TextKeys() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextKeys"}).([]string)
}

func QImage_ToImageFormat(format QPixelFormat_ITF) QImage__Format {

	return QImage__Format(internal.CallLocalFunction([]interface{}{"", "", "gui.QImage_ToImageFormat", "", format}).(float64))
}

func (ptr *QImage) ToImageFormat(format QPixelFormat_ITF) QImage__Format {

	return QImage__Format(internal.CallLocalFunction([]interface{}{"", "", "gui.QImage_ToImageFormat", "", format}).(float64))
}

func QImage_ToPixelFormat(format QImage__Format) *QPixelFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImage_ToPixelFormat", "", format}).(*QPixelFormat)
}

func (ptr *QImage) ToPixelFormat(format QImage__Format) *QPixelFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImage_ToPixelFormat", "", format}).(*QPixelFormat)
}

func (ptr *QImage) Transformed(matrix QMatrix_ITF, mode core.Qt__TransformationMode) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transformed", matrix, mode}).(*QImage)
}

func (ptr *QImage) Transformed2(matrix QTransform_ITF, mode core.Qt__TransformationMode) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transformed2", matrix, mode}).(*QImage)
}

func QImage_TrueMatrix(matrix QMatrix_ITF, width int, height int) *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImage_TrueMatrix", "", matrix, width, height}).(*QMatrix)
}

func (ptr *QImage) TrueMatrix(matrix QMatrix_ITF, width int, height int) *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImage_TrueMatrix", "", matrix, width, height}).(*QMatrix)
}

func QImage_TrueMatrix2(matrix QTransform_ITF, width int, height int) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImage_TrueMatrix2", "", matrix, width, height}).(*QTransform)
}

func (ptr *QImage) TrueMatrix2(matrix QTransform_ITF, width int, height int) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImage_TrueMatrix2", "", matrix, width, height}).(*QTransform)
}

func (ptr *QImage) Valid(pos core.QPoint_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Valid", pos}).(bool)
}

func (ptr *QImage) Valid2(x int, y int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Valid2", x, y}).(bool)
}

func (ptr *QImage) ConnectDestroyQImage(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQImage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImage) DisconnectDestroyQImage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQImage"})
}

func (ptr *QImage) DestroyQImage() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQImage"})
}

func (ptr *QImage) DestroyQImageDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQImageDefault"})
}

func (ptr *QImage) ToVariant() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariant"}).(*core.QVariant)
}

func (ptr *QImage) __colorTable_atList(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__colorTable_atList", i}).(float64))
}

func (ptr *QImage) __colorTable_setList(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__colorTable_setList", i})
}

func (ptr *QImage) __colorTable_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__colorTable_newList"}).(unsafe.Pointer)
}

func (ptr *QImage) __convertToFormat_colorTable_atList3(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__convertToFormat_colorTable_atList3", i}).(float64))
}

func (ptr *QImage) __convertToFormat_colorTable_setList3(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__convertToFormat_colorTable_setList3", i})
}

func (ptr *QImage) __convertToFormat_colorTable_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__convertToFormat_colorTable_newList3"}).(unsafe.Pointer)
}

func (ptr *QImage) __setColorTable_colors_atList(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setColorTable_colors_atList", i}).(float64))
}

func (ptr *QImage) __setColorTable_colors_setList(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setColorTable_colors_setList", i})
}

func (ptr *QImage) __setColorTable_colors_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setColorTable_colors_newList"}).(unsafe.Pointer)
}

func (ptr *QImage) PaintEngine() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEngine"}).(*QPaintEngine)
}

func (ptr *QImage) PaintEngineDefault() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEngineDefault"}).(*QPaintEngine)
}

type QImageIOHandler struct {
	internal.Internal
}

type QImageIOHandler_ITF interface {
	QImageIOHandler_PTR() *QImageIOHandler
}

func (ptr *QImageIOHandler) QImageIOHandler_PTR() *QImageIOHandler {
	return ptr
}

func (ptr *QImageIOHandler) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QImageIOHandler) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQImageIOHandler(ptr QImageIOHandler_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QImageIOHandler_PTR().Pointer()
	}
	return nil
}

func (n *QImageIOHandler) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQImageIOHandlerFromPointer(ptr unsafe.Pointer) (n *QImageIOHandler) {
	n = new(QImageIOHandler)
	n.InitFromInternal(uintptr(ptr), "gui.QImageIOHandler")
	return
}

//go:generate stringer -type=QImageIOHandler__ImageOption
//QImageIOHandler::ImageOption
type QImageIOHandler__ImageOption int64

const (
	QImageIOHandler__Size                 QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(0)
	QImageIOHandler__ClipRect             QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(1)
	QImageIOHandler__Description          QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(2)
	QImageIOHandler__ScaledClipRect       QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(3)
	QImageIOHandler__ScaledSize           QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(4)
	QImageIOHandler__CompressionRatio     QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(5)
	QImageIOHandler__Gamma                QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(6)
	QImageIOHandler__Quality              QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(7)
	QImageIOHandler__Name                 QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(8)
	QImageIOHandler__SubType              QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(9)
	QImageIOHandler__IncrementalReading   QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(10)
	QImageIOHandler__Endianness           QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(11)
	QImageIOHandler__Animation            QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(12)
	QImageIOHandler__BackgroundColor      QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(13)
	QImageIOHandler__ImageFormat          QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(14)
	QImageIOHandler__SupportedSubTypes    QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(15)
	QImageIOHandler__OptimizedWrite       QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(16)
	QImageIOHandler__ProgressiveScanWrite QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(17)
	QImageIOHandler__ImageTransformation  QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(18)
	QImageIOHandler__TransformedByDefault QImageIOHandler__ImageOption = QImageIOHandler__ImageOption(19)
)

//go:generate stringer -type=QImageIOHandler__Transformation
//QImageIOHandler::Transformation
type QImageIOHandler__Transformation int64

const (
	QImageIOHandler__TransformationNone              QImageIOHandler__Transformation = QImageIOHandler__Transformation(0)
	QImageIOHandler__TransformationMirror            QImageIOHandler__Transformation = QImageIOHandler__Transformation(1)
	QImageIOHandler__TransformationFlip              QImageIOHandler__Transformation = QImageIOHandler__Transformation(2)
	QImageIOHandler__TransformationRotate180         QImageIOHandler__Transformation = QImageIOHandler__Transformation(QImageIOHandler__TransformationMirror | QImageIOHandler__TransformationFlip)
	QImageIOHandler__TransformationRotate90          QImageIOHandler__Transformation = QImageIOHandler__Transformation(4)
	QImageIOHandler__TransformationMirrorAndRotate90 QImageIOHandler__Transformation = QImageIOHandler__Transformation(QImageIOHandler__TransformationMirror | QImageIOHandler__TransformationRotate90)
	QImageIOHandler__TransformationFlipAndRotate90   QImageIOHandler__Transformation = QImageIOHandler__Transformation(QImageIOHandler__TransformationFlip | QImageIOHandler__TransformationRotate90)
	QImageIOHandler__TransformationRotate270         QImageIOHandler__Transformation = QImageIOHandler__Transformation(QImageIOHandler__TransformationRotate180 | QImageIOHandler__TransformationRotate90)
)

func NewQImageIOHandler() *QImageIOHandler {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImageIOHandler", ""}).(*QImageIOHandler)
}

func (ptr *QImageIOHandler) ConnectCanRead(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCanRead", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOHandler) DisconnectCanRead() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCanRead"})
}

func (ptr *QImageIOHandler) CanRead() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanRead"}).(bool)
}

func (ptr *QImageIOHandler) ConnectCurrentImageNumber(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentImageNumber", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOHandler) DisconnectCurrentImageNumber() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentImageNumber"})
}

func (ptr *QImageIOHandler) CurrentImageNumber() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentImageNumber"}).(float64))
}

func (ptr *QImageIOHandler) CurrentImageNumberDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentImageNumberDefault"}).(float64))
}

func (ptr *QImageIOHandler) ConnectCurrentImageRect(f func() *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentImageRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOHandler) DisconnectCurrentImageRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentImageRect"})
}

func (ptr *QImageIOHandler) CurrentImageRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentImageRect"}).(*core.QRect)
}

func (ptr *QImageIOHandler) CurrentImageRectDefault() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentImageRectDefault"}).(*core.QRect)
}

func (ptr *QImageIOHandler) Device() *core.QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Device"}).(*core.QIODevice)
}

func (ptr *QImageIOHandler) Format() *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*core.QByteArray)
}

func (ptr *QImageIOHandler) ConnectImageCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectImageCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOHandler) DisconnectImageCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectImageCount"})
}

func (ptr *QImageIOHandler) ImageCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageCount"}).(float64))
}

func (ptr *QImageIOHandler) ImageCountDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageCountDefault"}).(float64))
}

func (ptr *QImageIOHandler) ConnectJumpToImage(f func(imageNumber int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectJumpToImage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOHandler) DisconnectJumpToImage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectJumpToImage"})
}

func (ptr *QImageIOHandler) JumpToImage(imageNumber int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "JumpToImage", imageNumber}).(bool)
}

func (ptr *QImageIOHandler) JumpToImageDefault(imageNumber int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "JumpToImageDefault", imageNumber}).(bool)
}

func (ptr *QImageIOHandler) ConnectJumpToNextImage(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectJumpToNextImage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOHandler) DisconnectJumpToNextImage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectJumpToNextImage"})
}

func (ptr *QImageIOHandler) JumpToNextImage() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "JumpToNextImage"}).(bool)
}

func (ptr *QImageIOHandler) JumpToNextImageDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "JumpToNextImageDefault"}).(bool)
}

func (ptr *QImageIOHandler) ConnectLoopCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLoopCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOHandler) DisconnectLoopCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLoopCount"})
}

func (ptr *QImageIOHandler) LoopCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoopCount"}).(float64))
}

func (ptr *QImageIOHandler) LoopCountDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoopCountDefault"}).(float64))
}

func (ptr *QImageIOHandler) ConnectNextImageDelay(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNextImageDelay", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOHandler) DisconnectNextImageDelay() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNextImageDelay"})
}

func (ptr *QImageIOHandler) NextImageDelay() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NextImageDelay"}).(float64))
}

func (ptr *QImageIOHandler) NextImageDelayDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NextImageDelayDefault"}).(float64))
}

func (ptr *QImageIOHandler) ConnectOption(f func(option QImageIOHandler__ImageOption) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOption", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOHandler) DisconnectOption() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOption"})
}

func (ptr *QImageIOHandler) Option(option QImageIOHandler__ImageOption) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Option", option}).(*core.QVariant)
}

func (ptr *QImageIOHandler) OptionDefault(option QImageIOHandler__ImageOption) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OptionDefault", option}).(*core.QVariant)
}

func (ptr *QImageIOHandler) ConnectRead(f func(image *QImage) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRead", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOHandler) DisconnectRead() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRead"})
}

func (ptr *QImageIOHandler) Read(image QImage_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read", image}).(bool)
}

func (ptr *QImageIOHandler) SetDevice(device core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDevice", device})
}

func (ptr *QImageIOHandler) SetFormat(format core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", format})
}

func (ptr *QImageIOHandler) SetFormat2(format core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat2", format})
}

func (ptr *QImageIOHandler) ConnectSetOption(f func(option QImageIOHandler__ImageOption, value *core.QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetOption", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOHandler) DisconnectSetOption() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetOption"})
}

func (ptr *QImageIOHandler) SetOption(option QImageIOHandler__ImageOption, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOption", option, value})
}

func (ptr *QImageIOHandler) SetOptionDefault(option QImageIOHandler__ImageOption, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOptionDefault", option, value})
}

func (ptr *QImageIOHandler) ConnectSupportsOption(f func(option QImageIOHandler__ImageOption) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportsOption", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOHandler) DisconnectSupportsOption() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportsOption"})
}

func (ptr *QImageIOHandler) SupportsOption(option QImageIOHandler__ImageOption) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportsOption", option}).(bool)
}

func (ptr *QImageIOHandler) SupportsOptionDefault(option QImageIOHandler__ImageOption) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportsOptionDefault", option}).(bool)
}

func (ptr *QImageIOHandler) ConnectWrite(f func(image *QImage) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWrite", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOHandler) DisconnectWrite() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWrite"})
}

func (ptr *QImageIOHandler) Write(image QImage_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write", image}).(bool)
}

func (ptr *QImageIOHandler) WriteDefault(image QImage_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteDefault", image}).(bool)
}

func (ptr *QImageIOHandler) ConnectDestroyQImageIOHandler(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQImageIOHandler", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOHandler) DisconnectDestroyQImageIOHandler() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQImageIOHandler"})
}

func (ptr *QImageIOHandler) DestroyQImageIOHandler() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQImageIOHandler"})
}

func (ptr *QImageIOHandler) DestroyQImageIOHandlerDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQImageIOHandlerDefault"})
}

type QImageIOPlugin struct {
	core.QObject
}

type QImageIOPlugin_ITF interface {
	core.QObject_ITF
	QImageIOPlugin_PTR() *QImageIOPlugin
}

func (ptr *QImageIOPlugin) QImageIOPlugin_PTR() *QImageIOPlugin {
	return ptr
}

func (ptr *QImageIOPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QImageIOPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQImageIOPlugin(ptr QImageIOPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QImageIOPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QImageIOPlugin) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QImageIOPlugin) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQImageIOPluginFromPointer(ptr unsafe.Pointer) (n *QImageIOPlugin) {
	n = new(QImageIOPlugin)
	n.InitFromInternal(uintptr(ptr), "gui.QImageIOPlugin")
	return
}

//go:generate stringer -type=QImageIOPlugin__Capability
//QImageIOPlugin::Capability
type QImageIOPlugin__Capability int64

const (
	QImageIOPlugin__CanRead            QImageIOPlugin__Capability = QImageIOPlugin__Capability(0x1)
	QImageIOPlugin__CanWrite           QImageIOPlugin__Capability = QImageIOPlugin__Capability(0x2)
	QImageIOPlugin__CanReadIncremental QImageIOPlugin__Capability = QImageIOPlugin__Capability(0x4)
)

func NewQImageIOPlugin(parent core.QObject_ITF) *QImageIOPlugin {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImageIOPlugin", "", parent}).(*QImageIOPlugin)
}

func (ptr *QImageIOPlugin) ConnectCapabilities(f func(device *core.QIODevice, format *core.QByteArray) QImageIOPlugin__Capability) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCapabilities", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOPlugin) DisconnectCapabilities() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCapabilities"})
}

func (ptr *QImageIOPlugin) Capabilities(device core.QIODevice_ITF, format core.QByteArray_ITF) QImageIOPlugin__Capability {

	return QImageIOPlugin__Capability(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Capabilities", device, format}).(float64))
}

func (ptr *QImageIOPlugin) ConnectCreate(f func(device *core.QIODevice, format *core.QByteArray) *QImageIOHandler) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOPlugin) DisconnectCreate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreate"})
}

func (ptr *QImageIOPlugin) Create(device core.QIODevice_ITF, format core.QByteArray_ITF) *QImageIOHandler {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create", device, format}).(*QImageIOHandler)
}

func (ptr *QImageIOPlugin) ConnectDestroyQImageIOPlugin(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQImageIOPlugin", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageIOPlugin) DisconnectDestroyQImageIOPlugin() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQImageIOPlugin"})
}

func (ptr *QImageIOPlugin) DestroyQImageIOPlugin() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQImageIOPlugin"})
}

func (ptr *QImageIOPlugin) DestroyQImageIOPluginDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQImageIOPluginDefault"})
}

func (ptr *QImageIOPlugin) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QImageIOPlugin) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QImageIOPlugin) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QImageIOPlugin) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QImageIOPlugin) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QImageIOPlugin) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QImageIOPlugin) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QImageIOPlugin) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QImageIOPlugin) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QImageIOPlugin) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QImageIOPlugin) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QImageIOPlugin) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QImageIOPlugin) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QImageIOPlugin) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QImageIOPlugin) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QImageIOPlugin) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QImageIOPlugin) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QImageIOPlugin) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QImageIOPlugin) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QImageIOPlugin) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QImageIOPlugin) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QImageReader struct {
	internal.Internal
}

type QImageReader_ITF interface {
	QImageReader_PTR() *QImageReader
}

func (ptr *QImageReader) QImageReader_PTR() *QImageReader {
	return ptr
}

func (ptr *QImageReader) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QImageReader) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQImageReader(ptr QImageReader_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QImageReader_PTR().Pointer()
	}
	return nil
}

func (n *QImageReader) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQImageReaderFromPointer(ptr unsafe.Pointer) (n *QImageReader) {
	n = new(QImageReader)
	n.InitFromInternal(uintptr(ptr), "gui.QImageReader")
	return
}

//go:generate stringer -type=QImageReader__ImageReaderError
//QImageReader::ImageReaderError
type QImageReader__ImageReaderError int64

const (
	QImageReader__UnknownError           QImageReader__ImageReaderError = QImageReader__ImageReaderError(0)
	QImageReader__FileNotFoundError      QImageReader__ImageReaderError = QImageReader__ImageReaderError(1)
	QImageReader__DeviceError            QImageReader__ImageReaderError = QImageReader__ImageReaderError(2)
	QImageReader__UnsupportedFormatError QImageReader__ImageReaderError = QImageReader__ImageReaderError(3)
	QImageReader__InvalidDataError       QImageReader__ImageReaderError = QImageReader__ImageReaderError(4)
)

func NewQImageReader() *QImageReader {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImageReader", ""}).(*QImageReader)
}

func NewQImageReader2(device core.QIODevice_ITF, format core.QByteArray_ITF) *QImageReader {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImageReader2", "", device, format}).(*QImageReader)
}

func NewQImageReader3(fileName string, format core.QByteArray_ITF) *QImageReader {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImageReader3", "", fileName, format}).(*QImageReader)
}

func (ptr *QImageReader) AutoDetectImageFormat() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoDetectImageFormat"}).(bool)
}

func (ptr *QImageReader) AutoTransform() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoTransform"}).(bool)
}

func (ptr *QImageReader) BackgroundColor() *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackgroundColor"}).(*QColor)
}

func (ptr *QImageReader) CanRead() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanRead"}).(bool)
}

func (ptr *QImageReader) ClipRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClipRect"}).(*core.QRect)
}

func (ptr *QImageReader) CurrentImageNumber() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentImageNumber"}).(float64))
}

func (ptr *QImageReader) CurrentImageRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentImageRect"}).(*core.QRect)
}

func (ptr *QImageReader) DecideFormatFromContent() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DecideFormatFromContent"}).(bool)
}

func (ptr *QImageReader) Device() *core.QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Device"}).(*core.QIODevice)
}

func (ptr *QImageReader) Error() QImageReader__ImageReaderError {

	return QImageReader__ImageReaderError(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QImageReader) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QImageReader) FileName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName"}).(string)
}

func (ptr *QImageReader) Format() *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*core.QByteArray)
}

func (ptr *QImageReader) Gamma() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Gamma"}).(float32)
}

func (ptr *QImageReader) ImageCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageCount"}).(float64))
}

func (ptr *QImageReader) ImageFormat() QImage__Format {

	return QImage__Format(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageFormat"}).(float64))
}

func QImageReader_ImageFormat2(fileName string) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageReader_ImageFormat2", "", fileName}).(*core.QByteArray)
}

func (ptr *QImageReader) ImageFormat2(fileName string) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageReader_ImageFormat2", "", fileName}).(*core.QByteArray)
}

func QImageReader_ImageFormat3(device core.QIODevice_ITF) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageReader_ImageFormat3", "", device}).(*core.QByteArray)
}

func (ptr *QImageReader) ImageFormat3(device core.QIODevice_ITF) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageReader_ImageFormat3", "", device}).(*core.QByteArray)
}

func QImageReader_ImageFormatsForMimeType(mimeType core.QByteArray_ITF) []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageReader_ImageFormatsForMimeType", "", mimeType}).([]*core.QByteArray)
}

func (ptr *QImageReader) ImageFormatsForMimeType(mimeType core.QByteArray_ITF) []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageReader_ImageFormatsForMimeType", "", mimeType}).([]*core.QByteArray)
}

func (ptr *QImageReader) JumpToImage(imageNumber int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "JumpToImage", imageNumber}).(bool)
}

func (ptr *QImageReader) JumpToNextImage() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "JumpToNextImage"}).(bool)
}

func (ptr *QImageReader) LoopCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoopCount"}).(float64))
}

func (ptr *QImageReader) NextImageDelay() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NextImageDelay"}).(float64))
}

func (ptr *QImageReader) Quality() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Quality"}).(float64))
}

func (ptr *QImageReader) Read() *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read"}).(*QImage)
}

func (ptr *QImageReader) Read2(image QImage_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read2", image}).(bool)
}

func (ptr *QImageReader) ScaledClipRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScaledClipRect"}).(*core.QRect)
}

func (ptr *QImageReader) ScaledSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScaledSize"}).(*core.QSize)
}

func (ptr *QImageReader) SetAutoDetectImageFormat(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoDetectImageFormat", enabled})
}

func (ptr *QImageReader) SetAutoTransform(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoTransform", enabled})
}

func (ptr *QImageReader) SetBackgroundColor(color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackgroundColor", color})
}

func (ptr *QImageReader) SetClipRect(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetClipRect", rect})
}

func (ptr *QImageReader) SetDecideFormatFromContent(ignored bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDecideFormatFromContent", ignored})
}

func (ptr *QImageReader) SetDevice(device core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDevice", device})
}

func (ptr *QImageReader) SetFileName(fileName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileName", fileName})
}

func (ptr *QImageReader) SetFormat(format core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", format})
}

func (ptr *QImageReader) SetGamma(gamma float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGamma", gamma})
}

func (ptr *QImageReader) SetQuality(quality int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetQuality", quality})
}

func (ptr *QImageReader) SetScaledClipRect(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScaledClipRect", rect})
}

func (ptr *QImageReader) SetScaledSize(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScaledSize", size})
}

func (ptr *QImageReader) Size() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(*core.QSize)
}

func (ptr *QImageReader) SubType() *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubType"}).(*core.QByteArray)
}

func QImageReader_SupportedImageFormats() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageReader_SupportedImageFormats", ""}).([]*core.QByteArray)
}

func (ptr *QImageReader) SupportedImageFormats() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageReader_SupportedImageFormats", ""}).([]*core.QByteArray)
}

func QImageReader_SupportedMimeTypes() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageReader_SupportedMimeTypes", ""}).([]*core.QByteArray)
}

func (ptr *QImageReader) SupportedMimeTypes() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageReader_SupportedMimeTypes", ""}).([]*core.QByteArray)
}

func (ptr *QImageReader) SupportedSubTypes() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedSubTypes"}).([]*core.QByteArray)
}

func (ptr *QImageReader) SupportsAnimation() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportsAnimation"}).(bool)
}

func (ptr *QImageReader) SupportsOption(option QImageIOHandler__ImageOption) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportsOption", option}).(bool)
}

func (ptr *QImageReader) Text(key string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text", key}).(string)
}

func (ptr *QImageReader) TextKeys() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextKeys"}).([]string)
}

func (ptr *QImageReader) Transformation() QImageIOHandler__Transformation {

	return QImageIOHandler__Transformation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transformation"}).(float64))
}

func (ptr *QImageReader) DestroyQImageReader() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQImageReader"})
}

func (ptr *QImageReader) __imageFormatsForMimeType_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__imageFormatsForMimeType_atList", i}).(*core.QByteArray)
}

func (ptr *QImageReader) __imageFormatsForMimeType_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__imageFormatsForMimeType_setList", i})
}

func (ptr *QImageReader) __imageFormatsForMimeType_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__imageFormatsForMimeType_newList"}).(unsafe.Pointer)
}

func (ptr *QImageReader) __supportedImageFormats_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedImageFormats_atList", i}).(*core.QByteArray)
}

func (ptr *QImageReader) __supportedImageFormats_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedImageFormats_setList", i})
}

func (ptr *QImageReader) __supportedImageFormats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedImageFormats_newList"}).(unsafe.Pointer)
}

func (ptr *QImageReader) __supportedMimeTypes_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedMimeTypes_atList", i}).(*core.QByteArray)
}

func (ptr *QImageReader) __supportedMimeTypes_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedMimeTypes_setList", i})
}

func (ptr *QImageReader) __supportedMimeTypes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedMimeTypes_newList"}).(unsafe.Pointer)
}

func (ptr *QImageReader) __supportedSubTypes_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSubTypes_atList", i}).(*core.QByteArray)
}

func (ptr *QImageReader) __supportedSubTypes_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSubTypes_setList", i})
}

func (ptr *QImageReader) __supportedSubTypes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSubTypes_newList"}).(unsafe.Pointer)
}

type QImageTextKeyLang struct {
	internal.Internal
}

type QImageTextKeyLang_ITF interface {
	QImageTextKeyLang_PTR() *QImageTextKeyLang
}

func (ptr *QImageTextKeyLang) QImageTextKeyLang_PTR() *QImageTextKeyLang {
	return ptr
}

func (ptr *QImageTextKeyLang) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QImageTextKeyLang) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQImageTextKeyLang(ptr QImageTextKeyLang_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QImageTextKeyLang_PTR().Pointer()
	}
	return nil
}

func (n *QImageTextKeyLang) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQImageTextKeyLangFromPointer(ptr unsafe.Pointer) (n *QImageTextKeyLang) {
	n = new(QImageTextKeyLang)
	n.InitFromInternal(uintptr(ptr), "gui.QImageTextKeyLang")
	return
}

func (ptr *QImageTextKeyLang) DestroyQImageTextKeyLang() {
}

type QImageWriter struct {
	internal.Internal
}

type QImageWriter_ITF interface {
	QImageWriter_PTR() *QImageWriter
}

func (ptr *QImageWriter) QImageWriter_PTR() *QImageWriter {
	return ptr
}

func (ptr *QImageWriter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QImageWriter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQImageWriter(ptr QImageWriter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QImageWriter_PTR().Pointer()
	}
	return nil
}

func (n *QImageWriter) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQImageWriterFromPointer(ptr unsafe.Pointer) (n *QImageWriter) {
	n = new(QImageWriter)
	n.InitFromInternal(uintptr(ptr), "gui.QImageWriter")
	return
}

//go:generate stringer -type=QImageWriter__ImageWriterError
//QImageWriter::ImageWriterError
type QImageWriter__ImageWriterError int64

const (
	QImageWriter__UnknownError           QImageWriter__ImageWriterError = QImageWriter__ImageWriterError(0)
	QImageWriter__DeviceError            QImageWriter__ImageWriterError = QImageWriter__ImageWriterError(1)
	QImageWriter__UnsupportedFormatError QImageWriter__ImageWriterError = QImageWriter__ImageWriterError(2)
	QImageWriter__InvalidImageError      QImageWriter__ImageWriterError = QImageWriter__ImageWriterError(3)
)

func NewQImageWriter() *QImageWriter {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImageWriter", ""}).(*QImageWriter)
}

func NewQImageWriter2(device core.QIODevice_ITF, format core.QByteArray_ITF) *QImageWriter {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImageWriter2", "", device, format}).(*QImageWriter)
}

func NewQImageWriter3(fileName string, format core.QByteArray_ITF) *QImageWriter {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQImageWriter3", "", fileName, format}).(*QImageWriter)
}

func (ptr *QImageWriter) CanWrite() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanWrite"}).(bool)
}

func (ptr *QImageWriter) Compression() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Compression"}).(float64))
}

func (ptr *QImageWriter) Device() *core.QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Device"}).(*core.QIODevice)
}

func (ptr *QImageWriter) Error() QImageWriter__ImageWriterError {

	return QImageWriter__ImageWriterError(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QImageWriter) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QImageWriter) FileName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName"}).(string)
}

func (ptr *QImageWriter) Format() *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*core.QByteArray)
}

func (ptr *QImageWriter) Gamma() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Gamma"}).(float32)
}

func QImageWriter_ImageFormatsForMimeType(mimeType core.QByteArray_ITF) []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageWriter_ImageFormatsForMimeType", "", mimeType}).([]*core.QByteArray)
}

func (ptr *QImageWriter) ImageFormatsForMimeType(mimeType core.QByteArray_ITF) []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageWriter_ImageFormatsForMimeType", "", mimeType}).([]*core.QByteArray)
}

func (ptr *QImageWriter) OptimizedWrite() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OptimizedWrite"}).(bool)
}

func (ptr *QImageWriter) ProgressiveScanWrite() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProgressiveScanWrite"}).(bool)
}

func (ptr *QImageWriter) Quality() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Quality"}).(float64))
}

func (ptr *QImageWriter) SetCompression(compression int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCompression", compression})
}

func (ptr *QImageWriter) SetDevice(device core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDevice", device})
}

func (ptr *QImageWriter) SetFileName(fileName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileName", fileName})
}

func (ptr *QImageWriter) SetFormat(format core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", format})
}

func (ptr *QImageWriter) SetGamma(gamma float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGamma", gamma})
}

func (ptr *QImageWriter) SetOptimizedWrite(optimize bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOptimizedWrite", optimize})
}

func (ptr *QImageWriter) SetProgressiveScanWrite(progressive bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetProgressiveScanWrite", progressive})
}

func (ptr *QImageWriter) SetQuality(quality int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetQuality", quality})
}

func (ptr *QImageWriter) SetSubType(ty core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSubType", ty})
}

func (ptr *QImageWriter) SetText(key string, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", key, text})
}

func (ptr *QImageWriter) SetTransformation(transform QImageIOHandler__Transformation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTransformation", transform})
}

func (ptr *QImageWriter) SubType() *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubType"}).(*core.QByteArray)
}

func QImageWriter_SupportedImageFormats() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageWriter_SupportedImageFormats", ""}).([]*core.QByteArray)
}

func (ptr *QImageWriter) SupportedImageFormats() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageWriter_SupportedImageFormats", ""}).([]*core.QByteArray)
}

func QImageWriter_SupportedMimeTypes() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageWriter_SupportedMimeTypes", ""}).([]*core.QByteArray)
}

func (ptr *QImageWriter) SupportedMimeTypes() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QImageWriter_SupportedMimeTypes", ""}).([]*core.QByteArray)
}

func (ptr *QImageWriter) SupportedSubTypes() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedSubTypes"}).([]*core.QByteArray)
}

func (ptr *QImageWriter) SupportsOption(option QImageIOHandler__ImageOption) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportsOption", option}).(bool)
}

func (ptr *QImageWriter) Transformation() QImageIOHandler__Transformation {

	return QImageIOHandler__Transformation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transformation"}).(float64))
}

func (ptr *QImageWriter) Write(image QImage_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write", image}).(bool)
}

func (ptr *QImageWriter) DestroyQImageWriter() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQImageWriter"})
}

func (ptr *QImageWriter) __imageFormatsForMimeType_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__imageFormatsForMimeType_atList", i}).(*core.QByteArray)
}

func (ptr *QImageWriter) __imageFormatsForMimeType_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__imageFormatsForMimeType_setList", i})
}

func (ptr *QImageWriter) __imageFormatsForMimeType_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__imageFormatsForMimeType_newList"}).(unsafe.Pointer)
}

func (ptr *QImageWriter) __supportedImageFormats_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedImageFormats_atList", i}).(*core.QByteArray)
}

func (ptr *QImageWriter) __supportedImageFormats_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedImageFormats_setList", i})
}

func (ptr *QImageWriter) __supportedImageFormats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedImageFormats_newList"}).(unsafe.Pointer)
}

func (ptr *QImageWriter) __supportedMimeTypes_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedMimeTypes_atList", i}).(*core.QByteArray)
}

func (ptr *QImageWriter) __supportedMimeTypes_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedMimeTypes_setList", i})
}

func (ptr *QImageWriter) __supportedMimeTypes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedMimeTypes_newList"}).(unsafe.Pointer)
}

func (ptr *QImageWriter) __supportedSubTypes_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSubTypes_atList", i}).(*core.QByteArray)
}

func (ptr *QImageWriter) __supportedSubTypes_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSubTypes_setList", i})
}

func (ptr *QImageWriter) __supportedSubTypes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSubTypes_newList"}).(unsafe.Pointer)
}

type QInputEvent struct {
	core.QEvent
}

type QInputEvent_ITF interface {
	core.QEvent_ITF
	QInputEvent_PTR() *QInputEvent
}

func (ptr *QInputEvent) QInputEvent_PTR() *QInputEvent {
	return ptr
}

func (ptr *QInputEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QInputEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQInputEvent(ptr QInputEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QInputEvent_PTR().Pointer()
	}
	return nil
}

func (n *QInputEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QInputEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQInputEventFromPointer(ptr unsafe.Pointer) (n *QInputEvent) {
	n = new(QInputEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QInputEvent")
	return
}

func (ptr *QInputEvent) DestroyQInputEvent() {
}

func (ptr *QInputEvent) Modifiers() core.Qt__KeyboardModifier {

	return core.Qt__KeyboardModifier(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Modifiers"}).(float64))
}

func (ptr *QInputEvent) Timestamp() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Timestamp"}).(float64))
}

type QInputMethod struct {
	core.QObject
}

type QInputMethod_ITF interface {
	core.QObject_ITF
	QInputMethod_PTR() *QInputMethod
}

func (ptr *QInputMethod) QInputMethod_PTR() *QInputMethod {
	return ptr
}

func (ptr *QInputMethod) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QInputMethod) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQInputMethod(ptr QInputMethod_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QInputMethod_PTR().Pointer()
	}
	return nil
}

func (n *QInputMethod) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QInputMethod) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQInputMethodFromPointer(ptr unsafe.Pointer) (n *QInputMethod) {
	n = new(QInputMethod)
	n.InitFromInternal(uintptr(ptr), "gui.QInputMethod")
	return
}

func (ptr *QInputMethod) DestroyQInputMethod() {
}

//go:generate stringer -type=QInputMethod__Action
//QInputMethod::Action
type QInputMethod__Action int64

const (
	QInputMethod__Click       QInputMethod__Action = QInputMethod__Action(0)
	QInputMethod__ContextMenu QInputMethod__Action = QInputMethod__Action(1)
)

func (ptr *QInputMethod) AnchorRectangle() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AnchorRectangle"}).(*core.QRectF)
}

func (ptr *QInputMethod) ConnectAnchorRectangleChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAnchorRectangleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputMethod) DisconnectAnchorRectangleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAnchorRectangleChanged"})
}

func (ptr *QInputMethod) AnchorRectangleChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AnchorRectangleChanged"})
}

func (ptr *QInputMethod) ConnectAnimatingChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAnimatingChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputMethod) DisconnectAnimatingChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAnimatingChanged"})
}

func (ptr *QInputMethod) AnimatingChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AnimatingChanged"})
}

func (ptr *QInputMethod) ConnectCommit(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCommit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputMethod) DisconnectCommit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCommit"})
}

func (ptr *QInputMethod) Commit() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Commit"})
}

func (ptr *QInputMethod) CommitDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CommitDefault"})
}

func (ptr *QInputMethod) CursorRectangle() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorRectangle"}).(*core.QRectF)
}

func (ptr *QInputMethod) ConnectCursorRectangleChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCursorRectangleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputMethod) DisconnectCursorRectangleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCursorRectangleChanged"})
}

func (ptr *QInputMethod) CursorRectangleChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorRectangleChanged"})
}

func (ptr *QInputMethod) ConnectHide(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHide", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputMethod) DisconnectHide() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHide"})
}

func (ptr *QInputMethod) Hide() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Hide"})
}

func (ptr *QInputMethod) HideDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HideDefault"})
}

func (ptr *QInputMethod) InputDirection() core.Qt__LayoutDirection {

	return core.Qt__LayoutDirection(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputDirection"}).(float64))
}

func (ptr *QInputMethod) ConnectInputDirectionChanged(f func(newDirection core.Qt__LayoutDirection)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInputDirectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputMethod) DisconnectInputDirectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInputDirectionChanged"})
}

func (ptr *QInputMethod) InputDirectionChanged(newDirection core.Qt__LayoutDirection) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputDirectionChanged", newDirection})
}

func (ptr *QInputMethod) InputItemClipRectangle() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputItemClipRectangle"}).(*core.QRectF)
}

func (ptr *QInputMethod) ConnectInputItemClipRectangleChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInputItemClipRectangleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputMethod) DisconnectInputItemClipRectangleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInputItemClipRectangleChanged"})
}

func (ptr *QInputMethod) InputItemClipRectangleChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputItemClipRectangleChanged"})
}

func (ptr *QInputMethod) InputItemRectangle() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputItemRectangle"}).(*core.QRectF)
}

func (ptr *QInputMethod) InputItemTransform() *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputItemTransform"}).(*QTransform)
}

func (ptr *QInputMethod) ConnectInvokeAction(f func(a QInputMethod__Action, cursorPosition int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInvokeAction", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputMethod) DisconnectInvokeAction() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInvokeAction"})
}

func (ptr *QInputMethod) InvokeAction(a QInputMethod__Action, cursorPosition int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvokeAction", a, cursorPosition})
}

func (ptr *QInputMethod) InvokeActionDefault(a QInputMethod__Action, cursorPosition int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvokeActionDefault", a, cursorPosition})
}

func (ptr *QInputMethod) IsAnimating() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAnimating"}).(bool)
}

func (ptr *QInputMethod) IsVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsVisible"}).(bool)
}

func (ptr *QInputMethod) KeyboardRectangle() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyboardRectangle"}).(*core.QRectF)
}

func (ptr *QInputMethod) ConnectKeyboardRectangleChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectKeyboardRectangleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputMethod) DisconnectKeyboardRectangleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectKeyboardRectangleChanged"})
}

func (ptr *QInputMethod) KeyboardRectangleChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyboardRectangleChanged"})
}

func (ptr *QInputMethod) Locale() *core.QLocale {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Locale"}).(*core.QLocale)
}

func (ptr *QInputMethod) ConnectLocaleChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLocaleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputMethod) DisconnectLocaleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLocaleChanged"})
}

func (ptr *QInputMethod) LocaleChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LocaleChanged"})
}

func QInputMethod_QueryFocusObject(query core.Qt__InputMethodQuery, argument core.QVariant_ITF) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QInputMethod_QueryFocusObject", "", query, argument}).(*core.QVariant)
}

func (ptr *QInputMethod) QueryFocusObject(query core.Qt__InputMethodQuery, argument core.QVariant_ITF) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QInputMethod_QueryFocusObject", "", query, argument}).(*core.QVariant)
}

func (ptr *QInputMethod) ConnectReset(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputMethod) DisconnectReset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReset"})
}

func (ptr *QInputMethod) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QInputMethod) ResetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetDefault"})
}

func (ptr *QInputMethod) SetInputItemRectangle(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInputItemRectangle", rect})
}

func (ptr *QInputMethod) SetInputItemTransform(transform QTransform_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInputItemTransform", transform})
}

func (ptr *QInputMethod) SetVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisible", visible})
}

func (ptr *QInputMethod) ConnectShow(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputMethod) DisconnectShow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShow"})
}

func (ptr *QInputMethod) Show() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Show"})
}

func (ptr *QInputMethod) ShowDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowDefault"})
}

func (ptr *QInputMethod) ConnectUpdate(f func(queries core.Qt__InputMethodQuery)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputMethod) DisconnectUpdate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdate"})
}

func (ptr *QInputMethod) Update(queries core.Qt__InputMethodQuery) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Update", queries})
}

func (ptr *QInputMethod) UpdateDefault(queries core.Qt__InputMethodQuery) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateDefault", queries})
}

func (ptr *QInputMethod) ConnectVisibleChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVisibleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputMethod) DisconnectVisibleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVisibleChanged"})
}

func (ptr *QInputMethod) VisibleChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisibleChanged"})
}

func (ptr *QInputMethod) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QInputMethod) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QInputMethod) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QInputMethod) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QInputMethod) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QInputMethod) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QInputMethod) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QInputMethod) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QInputMethod) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QInputMethod) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QInputMethod) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QInputMethod) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QInputMethod) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QInputMethod) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QInputMethod) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QInputMethod) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QInputMethod) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QInputMethod) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QInputMethod) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QInputMethod) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QInputMethod) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QInputMethodEvent struct {
	core.QEvent
}

type QInputMethodEvent_ITF interface {
	core.QEvent_ITF
	QInputMethodEvent_PTR() *QInputMethodEvent
}

func (ptr *QInputMethodEvent) QInputMethodEvent_PTR() *QInputMethodEvent {
	return ptr
}

func (ptr *QInputMethodEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QInputMethodEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQInputMethodEvent(ptr QInputMethodEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QInputMethodEvent_PTR().Pointer()
	}
	return nil
}

func (n *QInputMethodEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QInputMethodEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQInputMethodEventFromPointer(ptr unsafe.Pointer) (n *QInputMethodEvent) {
	n = new(QInputMethodEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QInputMethodEvent")
	return
}

func (ptr *QInputMethodEvent) DestroyQInputMethodEvent() {
}

//go:generate stringer -type=QInputMethodEvent__AttributeType
//QInputMethodEvent::AttributeType
type QInputMethodEvent__AttributeType int64

const (
	QInputMethodEvent__TextFormat QInputMethodEvent__AttributeType = QInputMethodEvent__AttributeType(0)
	QInputMethodEvent__Cursor     QInputMethodEvent__AttributeType = QInputMethodEvent__AttributeType(1)
	QInputMethodEvent__Language   QInputMethodEvent__AttributeType = QInputMethodEvent__AttributeType(2)
	QInputMethodEvent__Ruby       QInputMethodEvent__AttributeType = QInputMethodEvent__AttributeType(3)
	QInputMethodEvent__Selection  QInputMethodEvent__AttributeType = QInputMethodEvent__AttributeType(4)
)

func NewQInputMethodEvent() *QInputMethodEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQInputMethodEvent", ""}).(*QInputMethodEvent)
}

func NewQInputMethodEvent3(other QInputMethodEvent_ITF) *QInputMethodEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQInputMethodEvent3", "", other}).(*QInputMethodEvent)
}

func (ptr *QInputMethodEvent) CommitString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CommitString"}).(string)
}

func (ptr *QInputMethodEvent) PreeditString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PreeditString"}).(string)
}

func (ptr *QInputMethodEvent) ReplacementLength() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReplacementLength"}).(float64))
}

func (ptr *QInputMethodEvent) ReplacementStart() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReplacementStart"}).(float64))
}

func (ptr *QInputMethodEvent) SetCommitString(commitString string, replaceFrom int, replaceLength int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCommitString", commitString, replaceFrom, replaceLength})
}

func (ptr *QInputMethodEvent) __attrs_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__attrs_newList"}).(unsafe.Pointer)
}

func (ptr *QInputMethodEvent) __setAttrs__newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setAttrs__newList"}).(unsafe.Pointer)
}

type QInputMethodQueryEvent struct {
	core.QEvent
}

type QInputMethodQueryEvent_ITF interface {
	core.QEvent_ITF
	QInputMethodQueryEvent_PTR() *QInputMethodQueryEvent
}

func (ptr *QInputMethodQueryEvent) QInputMethodQueryEvent_PTR() *QInputMethodQueryEvent {
	return ptr
}

func (ptr *QInputMethodQueryEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QInputMethodQueryEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQInputMethodQueryEvent(ptr QInputMethodQueryEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QInputMethodQueryEvent_PTR().Pointer()
	}
	return nil
}

func (n *QInputMethodQueryEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QInputMethodQueryEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQInputMethodQueryEventFromPointer(ptr unsafe.Pointer) (n *QInputMethodQueryEvent) {
	n = new(QInputMethodQueryEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QInputMethodQueryEvent")
	return
}

func (ptr *QInputMethodQueryEvent) DestroyQInputMethodQueryEvent() {
}

func NewQInputMethodQueryEvent(queries core.Qt__InputMethodQuery) *QInputMethodQueryEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQInputMethodQueryEvent", "", queries}).(*QInputMethodQueryEvent)
}

func (ptr *QInputMethodQueryEvent) Queries() core.Qt__InputMethodQuery {

	return core.Qt__InputMethodQuery(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Queries"}).(float64))
}

func (ptr *QInputMethodQueryEvent) SetValue(query core.Qt__InputMethodQuery, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValue", query, value})
}

func (ptr *QInputMethodQueryEvent) Value(query core.Qt__InputMethodQuery) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value", query}).(*core.QVariant)
}

func (ptr *QInputMethodQueryEvent) __m_values_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__m_values_newList"}).(unsafe.Pointer)
}

func (ptr *QInputMethodQueryEvent) __setM_values__newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setM_values__newList"}).(unsafe.Pointer)
}

type QIntValidator struct {
	QValidator
}

type QIntValidator_ITF interface {
	QValidator_ITF
	QIntValidator_PTR() *QIntValidator
}

func (ptr *QIntValidator) QIntValidator_PTR() *QIntValidator {
	return ptr
}

func (ptr *QIntValidator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QValidator_PTR().Pointer()
	}
	return nil
}

func (ptr *QIntValidator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QValidator_PTR().SetPointer(p)
	}
}

func PointerFromQIntValidator(ptr QIntValidator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QIntValidator_PTR().Pointer()
	}
	return nil
}

func (n *QIntValidator) InitFromInternal(ptr uintptr, name string) {
	n.QValidator_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QIntValidator) ClassNameInternalF() string {
	return n.QValidator_PTR().ClassNameInternalF()
}

func NewQIntValidatorFromPointer(ptr unsafe.Pointer) (n *QIntValidator) {
	n = new(QIntValidator)
	n.InitFromInternal(uintptr(ptr), "gui.QIntValidator")
	return
}
func NewQIntValidator(parent core.QObject_ITF) *QIntValidator {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQIntValidator", "", parent}).(*QIntValidator)
}

func NewQIntValidator2(minimum int, maximum int, parent core.QObject_ITF) *QIntValidator {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQIntValidator2", "", minimum, maximum, parent}).(*QIntValidator)
}

func (ptr *QIntValidator) Bottom() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bottom"}).(float64))
}

func (ptr *QIntValidator) ConnectBottomChanged(f func(bottom int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBottomChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIntValidator) DisconnectBottomChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBottomChanged"})
}

func (ptr *QIntValidator) BottomChanged(bottom int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BottomChanged", bottom})
}

func (ptr *QIntValidator) SetBottom(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottom", vin})
}

func (ptr *QIntValidator) ConnectSetRange(f func(bottom int, top int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetRange", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIntValidator) DisconnectSetRange() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetRange"})
}

func (ptr *QIntValidator) SetRange(bottom int, top int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRange", bottom, top})
}

func (ptr *QIntValidator) SetRangeDefault(bottom int, top int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRangeDefault", bottom, top})
}

func (ptr *QIntValidator) SetTop(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTop", vin})
}

func (ptr *QIntValidator) Top() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Top"}).(float64))
}

func (ptr *QIntValidator) ConnectTopChanged(f func(top int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTopChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIntValidator) DisconnectTopChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTopChanged"})
}

func (ptr *QIntValidator) TopChanged(top int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopChanged", top})
}

func (ptr *QIntValidator) ConnectValidate(f func(input string, pos int) QValidator__State) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValidate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIntValidator) DisconnectValidate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValidate"})
}

func (ptr *QIntValidator) Validate(input string, pos int) QValidator__State {

	return QValidator__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Validate", input, pos}).(float64))
}

func (ptr *QIntValidator) ValidateDefault(input string, pos int) QValidator__State {

	return QValidator__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValidateDefault", input, pos}).(float64))
}

func (ptr *QIntValidator) ConnectDestroyQIntValidator(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQIntValidator", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QIntValidator) DisconnectDestroyQIntValidator() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQIntValidator"})
}

func (ptr *QIntValidator) DestroyQIntValidator() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQIntValidator"})
}

func (ptr *QIntValidator) DestroyQIntValidatorDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQIntValidatorDefault"})
}

type QKeyEvent struct {
	QInputEvent
}

type QKeyEvent_ITF interface {
	QInputEvent_ITF
	QKeyEvent_PTR() *QKeyEvent
}

func (ptr *QKeyEvent) QKeyEvent_PTR() *QKeyEvent {
	return ptr
}

func (ptr *QKeyEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QInputEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QKeyEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QInputEvent_PTR().SetPointer(p)
	}
}

func PointerFromQKeyEvent(ptr QKeyEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QKeyEvent_PTR().Pointer()
	}
	return nil
}

func (n *QKeyEvent) InitFromInternal(ptr uintptr, name string) {
	n.QInputEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QKeyEvent) ClassNameInternalF() string {
	return n.QInputEvent_PTR().ClassNameInternalF()
}

func NewQKeyEventFromPointer(ptr unsafe.Pointer) (n *QKeyEvent) {
	n = new(QKeyEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QKeyEvent")
	return
}

func (ptr *QKeyEvent) DestroyQKeyEvent() {
}

func NewQKeyEvent(ty core.QEvent__Type, key int, modifiers core.Qt__KeyboardModifier, text string, autorep bool, count uint16) *QKeyEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQKeyEvent", "", ty, key, modifiers, text, autorep, count}).(*QKeyEvent)
}

func NewQKeyEvent2(ty core.QEvent__Type, key int, modifiers core.Qt__KeyboardModifier, nativeScanCode uint, nativeVirtualKey uint, nativeModifiers uint, text string, autorep bool, count uint16) *QKeyEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQKeyEvent2", "", ty, key, modifiers, nativeScanCode, nativeVirtualKey, nativeModifiers, text, autorep, count}).(*QKeyEvent)
}

func (ptr *QKeyEvent) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QKeyEvent) IsAutoRepeat() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAutoRepeat"}).(bool)
}

func (ptr *QKeyEvent) Key() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Key"}).(float64))
}

func (ptr *QKeyEvent) Matches(key QKeySequence__StandardKey) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Matches", key}).(bool)
}

func (ptr *QKeyEvent) NativeModifiers() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NativeModifiers"}).(float64))
}

func (ptr *QKeyEvent) NativeScanCode() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NativeScanCode"}).(float64))
}

func (ptr *QKeyEvent) NativeVirtualKey() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NativeVirtualKey"}).(float64))
}

func (ptr *QKeyEvent) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

type QKeySequence struct {
	internal.Internal
}

type QKeySequence_ITF interface {
	QKeySequence_PTR() *QKeySequence
}

func (ptr *QKeySequence) QKeySequence_PTR() *QKeySequence {
	return ptr
}

func (ptr *QKeySequence) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QKeySequence) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQKeySequence(ptr QKeySequence_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QKeySequence_PTR().Pointer()
	}
	return nil
}

func (n *QKeySequence) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQKeySequenceFromPointer(ptr unsafe.Pointer) (n *QKeySequence) {
	n = new(QKeySequence)
	n.InitFromInternal(uintptr(ptr), "gui.QKeySequence")
	return
}

//go:generate stringer -type=QKeySequence__StandardKey
//QKeySequence::StandardKey
type QKeySequence__StandardKey int64

const (
	QKeySequence__UnknownKey               QKeySequence__StandardKey = QKeySequence__StandardKey(0)
	QKeySequence__HelpContents             QKeySequence__StandardKey = QKeySequence__StandardKey(1)
	QKeySequence__WhatsThis                QKeySequence__StandardKey = QKeySequence__StandardKey(2)
	QKeySequence__Open                     QKeySequence__StandardKey = QKeySequence__StandardKey(3)
	QKeySequence__Close                    QKeySequence__StandardKey = QKeySequence__StandardKey(4)
	QKeySequence__Save                     QKeySequence__StandardKey = QKeySequence__StandardKey(5)
	QKeySequence__New                      QKeySequence__StandardKey = QKeySequence__StandardKey(6)
	QKeySequence__Delete                   QKeySequence__StandardKey = QKeySequence__StandardKey(7)
	QKeySequence__Cut                      QKeySequence__StandardKey = QKeySequence__StandardKey(8)
	QKeySequence__Copy                     QKeySequence__StandardKey = QKeySequence__StandardKey(9)
	QKeySequence__Paste                    QKeySequence__StandardKey = QKeySequence__StandardKey(10)
	QKeySequence__Undo                     QKeySequence__StandardKey = QKeySequence__StandardKey(11)
	QKeySequence__Redo                     QKeySequence__StandardKey = QKeySequence__StandardKey(12)
	QKeySequence__Back                     QKeySequence__StandardKey = QKeySequence__StandardKey(13)
	QKeySequence__Forward                  QKeySequence__StandardKey = QKeySequence__StandardKey(14)
	QKeySequence__Refresh                  QKeySequence__StandardKey = QKeySequence__StandardKey(15)
	QKeySequence__ZoomIn                   QKeySequence__StandardKey = QKeySequence__StandardKey(16)
	QKeySequence__ZoomOut                  QKeySequence__StandardKey = QKeySequence__StandardKey(17)
	QKeySequence__Print                    QKeySequence__StandardKey = QKeySequence__StandardKey(18)
	QKeySequence__AddTab                   QKeySequence__StandardKey = QKeySequence__StandardKey(19)
	QKeySequence__NextChild                QKeySequence__StandardKey = QKeySequence__StandardKey(20)
	QKeySequence__PreviousChild            QKeySequence__StandardKey = QKeySequence__StandardKey(21)
	QKeySequence__Find                     QKeySequence__StandardKey = QKeySequence__StandardKey(22)
	QKeySequence__FindNext                 QKeySequence__StandardKey = QKeySequence__StandardKey(23)
	QKeySequence__FindPrevious             QKeySequence__StandardKey = QKeySequence__StandardKey(24)
	QKeySequence__Replace                  QKeySequence__StandardKey = QKeySequence__StandardKey(25)
	QKeySequence__SelectAll                QKeySequence__StandardKey = QKeySequence__StandardKey(26)
	QKeySequence__Bold                     QKeySequence__StandardKey = QKeySequence__StandardKey(27)
	QKeySequence__Italic                   QKeySequence__StandardKey = QKeySequence__StandardKey(28)
	QKeySequence__Underline                QKeySequence__StandardKey = QKeySequence__StandardKey(29)
	QKeySequence__MoveToNextChar           QKeySequence__StandardKey = QKeySequence__StandardKey(30)
	QKeySequence__MoveToPreviousChar       QKeySequence__StandardKey = QKeySequence__StandardKey(31)
	QKeySequence__MoveToNextWord           QKeySequence__StandardKey = QKeySequence__StandardKey(32)
	QKeySequence__MoveToPreviousWord       QKeySequence__StandardKey = QKeySequence__StandardKey(33)
	QKeySequence__MoveToNextLine           QKeySequence__StandardKey = QKeySequence__StandardKey(34)
	QKeySequence__MoveToPreviousLine       QKeySequence__StandardKey = QKeySequence__StandardKey(35)
	QKeySequence__MoveToNextPage           QKeySequence__StandardKey = QKeySequence__StandardKey(36)
	QKeySequence__MoveToPreviousPage       QKeySequence__StandardKey = QKeySequence__StandardKey(37)
	QKeySequence__MoveToStartOfLine        QKeySequence__StandardKey = QKeySequence__StandardKey(38)
	QKeySequence__MoveToEndOfLine          QKeySequence__StandardKey = QKeySequence__StandardKey(39)
	QKeySequence__MoveToStartOfBlock       QKeySequence__StandardKey = QKeySequence__StandardKey(40)
	QKeySequence__MoveToEndOfBlock         QKeySequence__StandardKey = QKeySequence__StandardKey(41)
	QKeySequence__MoveToStartOfDocument    QKeySequence__StandardKey = QKeySequence__StandardKey(42)
	QKeySequence__MoveToEndOfDocument      QKeySequence__StandardKey = QKeySequence__StandardKey(43)
	QKeySequence__SelectNextChar           QKeySequence__StandardKey = QKeySequence__StandardKey(44)
	QKeySequence__SelectPreviousChar       QKeySequence__StandardKey = QKeySequence__StandardKey(45)
	QKeySequence__SelectNextWord           QKeySequence__StandardKey = QKeySequence__StandardKey(46)
	QKeySequence__SelectPreviousWord       QKeySequence__StandardKey = QKeySequence__StandardKey(47)
	QKeySequence__SelectNextLine           QKeySequence__StandardKey = QKeySequence__StandardKey(48)
	QKeySequence__SelectPreviousLine       QKeySequence__StandardKey = QKeySequence__StandardKey(49)
	QKeySequence__SelectNextPage           QKeySequence__StandardKey = QKeySequence__StandardKey(50)
	QKeySequence__SelectPreviousPage       QKeySequence__StandardKey = QKeySequence__StandardKey(51)
	QKeySequence__SelectStartOfLine        QKeySequence__StandardKey = QKeySequence__StandardKey(52)
	QKeySequence__SelectEndOfLine          QKeySequence__StandardKey = QKeySequence__StandardKey(53)
	QKeySequence__SelectStartOfBlock       QKeySequence__StandardKey = QKeySequence__StandardKey(54)
	QKeySequence__SelectEndOfBlock         QKeySequence__StandardKey = QKeySequence__StandardKey(55)
	QKeySequence__SelectStartOfDocument    QKeySequence__StandardKey = QKeySequence__StandardKey(56)
	QKeySequence__SelectEndOfDocument      QKeySequence__StandardKey = QKeySequence__StandardKey(57)
	QKeySequence__DeleteStartOfWord        QKeySequence__StandardKey = QKeySequence__StandardKey(58)
	QKeySequence__DeleteEndOfWord          QKeySequence__StandardKey = QKeySequence__StandardKey(59)
	QKeySequence__DeleteEndOfLine          QKeySequence__StandardKey = QKeySequence__StandardKey(60)
	QKeySequence__InsertParagraphSeparator QKeySequence__StandardKey = QKeySequence__StandardKey(61)
	QKeySequence__InsertLineSeparator      QKeySequence__StandardKey = QKeySequence__StandardKey(62)
	QKeySequence__SaveAs                   QKeySequence__StandardKey = QKeySequence__StandardKey(63)
	QKeySequence__Preferences              QKeySequence__StandardKey = QKeySequence__StandardKey(64)
	QKeySequence__Quit                     QKeySequence__StandardKey = QKeySequence__StandardKey(65)
	QKeySequence__FullScreen               QKeySequence__StandardKey = QKeySequence__StandardKey(66)
	QKeySequence__Deselect                 QKeySequence__StandardKey = QKeySequence__StandardKey(67)
	QKeySequence__DeleteCompleteLine       QKeySequence__StandardKey = QKeySequence__StandardKey(68)
	QKeySequence__Backspace                QKeySequence__StandardKey = QKeySequence__StandardKey(69)
	QKeySequence__Cancel                   QKeySequence__StandardKey = QKeySequence__StandardKey(70)
)

//go:generate stringer -type=QKeySequence__SequenceFormat
//QKeySequence::SequenceFormat
type QKeySequence__SequenceFormat int64

const (
	QKeySequence__NativeText   QKeySequence__SequenceFormat = QKeySequence__SequenceFormat(0)
	QKeySequence__PortableText QKeySequence__SequenceFormat = QKeySequence__SequenceFormat(1)
)

//go:generate stringer -type=QKeySequence__SequenceMatch
//QKeySequence::SequenceMatch
type QKeySequence__SequenceMatch int64

const (
	QKeySequence__NoMatch      QKeySequence__SequenceMatch = QKeySequence__SequenceMatch(0)
	QKeySequence__PartialMatch QKeySequence__SequenceMatch = QKeySequence__SequenceMatch(1)
	QKeySequence__ExactMatch   QKeySequence__SequenceMatch = QKeySequence__SequenceMatch(2)
)

func NewQKeySequence() *QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQKeySequence", ""}).(*QKeySequence)
}

func NewQKeySequence2(key string, format QKeySequence__SequenceFormat) *QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQKeySequence2", "", key, format}).(*QKeySequence)
}

func NewQKeySequence3(k1 int, k2 int, k3 int, k4 int) *QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQKeySequence3", "", k1, k2, k3, k4}).(*QKeySequence)
}

func NewQKeySequence4(keysequence QKeySequence_ITF) *QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQKeySequence4", "", keysequence}).(*QKeySequence)
}

func NewQKeySequence5(key QKeySequence__StandardKey) *QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQKeySequence5", "", key}).(*QKeySequence)
}

func (ptr *QKeySequence) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func QKeySequence_FromString(str string, format QKeySequence__SequenceFormat) *QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QKeySequence_FromString", "", str, format}).(*QKeySequence)
}

func (ptr *QKeySequence) FromString(str string, format QKeySequence__SequenceFormat) *QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QKeySequence_FromString", "", str, format}).(*QKeySequence)
}

func (ptr *QKeySequence) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func QKeySequence_KeyBindings(key QKeySequence__StandardKey) []*QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QKeySequence_KeyBindings", "", key}).([]*QKeySequence)
}

func (ptr *QKeySequence) KeyBindings(key QKeySequence__StandardKey) []*QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QKeySequence_KeyBindings", "", key}).([]*QKeySequence)
}

func QKeySequence_ListFromString(str string, format QKeySequence__SequenceFormat) []*QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QKeySequence_ListFromString", "", str, format}).([]*QKeySequence)
}

func (ptr *QKeySequence) ListFromString(str string, format QKeySequence__SequenceFormat) []*QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QKeySequence_ListFromString", "", str, format}).([]*QKeySequence)
}

func QKeySequence_ListToString(list []*QKeySequence, format QKeySequence__SequenceFormat) string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QKeySequence_ListToString", "", list, format}).(string)
}

func (ptr *QKeySequence) ListToString(list []*QKeySequence, format QKeySequence__SequenceFormat) string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QKeySequence_ListToString", "", list, format}).(string)
}

func (ptr *QKeySequence) Matches(seq QKeySequence_ITF) QKeySequence__SequenceMatch {

	return QKeySequence__SequenceMatch(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Matches", seq}).(float64))
}

func QKeySequence_Mnemonic(text string) *QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QKeySequence_Mnemonic", "", text}).(*QKeySequence)
}

func (ptr *QKeySequence) Mnemonic(text string) *QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QKeySequence_Mnemonic", "", text}).(*QKeySequence)
}

func (ptr *QKeySequence) Swap(other QKeySequence_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QKeySequence) ToString(format QKeySequence__SequenceFormat) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToString", format}).(string)
}

func (ptr *QKeySequence) DestroyQKeySequence() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQKeySequence"})
}

func (ptr *QKeySequence) __keyBindings_atList(i int) *QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__keyBindings_atList", i}).(*QKeySequence)
}

func (ptr *QKeySequence) __keyBindings_setList(i QKeySequence_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__keyBindings_setList", i})
}

func (ptr *QKeySequence) __keyBindings_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__keyBindings_newList"}).(unsafe.Pointer)
}

func (ptr *QKeySequence) __listFromString_atList(i int) *QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__listFromString_atList", i}).(*QKeySequence)
}

func (ptr *QKeySequence) __listFromString_setList(i QKeySequence_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__listFromString_setList", i})
}

func (ptr *QKeySequence) __listFromString_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__listFromString_newList"}).(unsafe.Pointer)
}

func (ptr *QKeySequence) __listToString_list_atList(i int) *QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__listToString_list_atList", i}).(*QKeySequence)
}

func (ptr *QKeySequence) __listToString_list_setList(i QKeySequence_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__listToString_list_setList", i})
}

func (ptr *QKeySequence) __listToString_list_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__listToString_list_newList"}).(unsafe.Pointer)
}

type QLinearGradient struct {
	QGradient
}

type QLinearGradient_ITF interface {
	QGradient_ITF
	QLinearGradient_PTR() *QLinearGradient
}

func (ptr *QLinearGradient) QLinearGradient_PTR() *QLinearGradient {
	return ptr
}

func (ptr *QLinearGradient) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGradient_PTR().Pointer()
	}
	return nil
}

func (ptr *QLinearGradient) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGradient_PTR().SetPointer(p)
	}
}

func PointerFromQLinearGradient(ptr QLinearGradient_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLinearGradient_PTR().Pointer()
	}
	return nil
}

func (n *QLinearGradient) InitFromInternal(ptr uintptr, name string) {
	n.QGradient_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QLinearGradient) ClassNameInternalF() string {
	return n.QGradient_PTR().ClassNameInternalF()
}

func NewQLinearGradientFromPointer(ptr unsafe.Pointer) (n *QLinearGradient) {
	n = new(QLinearGradient)
	n.InitFromInternal(uintptr(ptr), "gui.QLinearGradient")
	return
}

func (ptr *QLinearGradient) DestroyQLinearGradient() {
}

func NewQLinearGradient() *QLinearGradient {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQLinearGradient", ""}).(*QLinearGradient)
}

func NewQLinearGradient2(start core.QPointF_ITF, finalStop core.QPointF_ITF) *QLinearGradient {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQLinearGradient2", "", start, finalStop}).(*QLinearGradient)
}

func NewQLinearGradient3(x1 float64, y1 float64, x2 float64, y2 float64) *QLinearGradient {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQLinearGradient3", "", x1, y1, x2, y2}).(*QLinearGradient)
}

func (ptr *QLinearGradient) FinalStop() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FinalStop"}).(*core.QPointF)
}

func (ptr *QLinearGradient) SetFinalStop(stop core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFinalStop", stop})
}

func (ptr *QLinearGradient) SetFinalStop2(x float64, y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFinalStop2", x, y})
}

func (ptr *QLinearGradient) SetStart(start core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStart", start})
}

func (ptr *QLinearGradient) SetStart2(x float64, y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStart2", x, y})
}

func (ptr *QLinearGradient) Start() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start"}).(*core.QPointF)
}

type QMatrix struct {
	internal.Internal
}

type QMatrix_ITF interface {
	QMatrix_PTR() *QMatrix
}

func (ptr *QMatrix) QMatrix_PTR() *QMatrix {
	return ptr
}

func (ptr *QMatrix) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMatrix) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMatrix(ptr QMatrix_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMatrix_PTR().Pointer()
	}
	return nil
}

func (n *QMatrix) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMatrixFromPointer(ptr unsafe.Pointer) (n *QMatrix) {
	n = new(QMatrix)
	n.InitFromInternal(uintptr(ptr), "gui.QMatrix")
	return
}

func (ptr *QMatrix) DestroyQMatrix() {
}

func NewQMatrix2() *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMatrix2", ""}).(*QMatrix)
}

func NewQMatrix3(m11 float64, m12 float64, m21 float64, m22 float64, dx float64, dy float64) *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMatrix3", "", m11, m12, m21, m22, dx, dy}).(*QMatrix)
}

func NewQMatrix5(matrix QMatrix_ITF) *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMatrix5", "", matrix}).(*QMatrix)
}

func (ptr *QMatrix) Determinant() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Determinant"}).(float64)
}

func (ptr *QMatrix) Dx() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Dx"}).(float64)
}

func (ptr *QMatrix) Dy() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Dy"}).(float64)
}

func (ptr *QMatrix) Inverted(invertible *bool) *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Inverted", invertible}).(*QMatrix)
}

func (ptr *QMatrix) IsIdentity() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIdentity"}).(bool)
}

func (ptr *QMatrix) IsInvertible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsInvertible"}).(bool)
}

func (ptr *QMatrix) M11() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "M11"}).(float64)
}

func (ptr *QMatrix) M12() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "M12"}).(float64)
}

func (ptr *QMatrix) M21() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "M21"}).(float64)
}

func (ptr *QMatrix) M22() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "M22"}).(float64)
}

func (ptr *QMatrix) Map(x float64, y float64, tx float64, ty float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map", x, y, tx, ty})
}

func (ptr *QMatrix) Map2(x int, y int, tx int, ty int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map2", x, y, tx, ty})
}

func (ptr *QMatrix) Map3(point core.QPoint_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map3", point}).(*core.QPoint)
}

func (ptr *QMatrix) Map4(point core.QPointF_ITF) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map4", point}).(*core.QPointF)
}

func (ptr *QMatrix) Map5(line core.QLine_ITF) *core.QLine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map5", line}).(*core.QLine)
}

func (ptr *QMatrix) Map6(line core.QLineF_ITF) *core.QLineF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map6", line}).(*core.QLineF)
}

func (ptr *QMatrix) Map7(polygon QPolygonF_ITF) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map7", polygon}).(*QPolygonF)
}

func (ptr *QMatrix) Map8(polygon QPolygon_ITF) *QPolygon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map8", polygon}).(*QPolygon)
}

func (ptr *QMatrix) Map9(region QRegion_ITF) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map9", region}).(*QRegion)
}

func (ptr *QMatrix) Map10(path QPainterPath_ITF) *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map10", path}).(*QPainterPath)
}

func (ptr *QMatrix) MapRect(rectangle core.QRectF_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRect", rectangle}).(*core.QRectF)
}

func (ptr *QMatrix) MapRect2(rectangle core.QRect_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRect2", rectangle}).(*core.QRect)
}

func (ptr *QMatrix) MapToPolygon(rectangle core.QRect_ITF) *QPolygon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToPolygon", rectangle}).(*QPolygon)
}

func (ptr *QMatrix) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QMatrix) Rotate(degrees float64) *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rotate", degrees}).(*QMatrix)
}

func (ptr *QMatrix) Scale(sx float64, sy float64) *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scale", sx, sy}).(*QMatrix)
}

func (ptr *QMatrix) SetMatrix(m11 float64, m12 float64, m21 float64, m22 float64, dx float64, dy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMatrix", m11, m12, m21, m22, dx, dy})
}

func (ptr *QMatrix) Shear(sh float64, sv float64) *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shear", sh, sv}).(*QMatrix)
}

func (ptr *QMatrix) Translate(dx float64, dy float64) *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate", dx, dy}).(*QMatrix)
}

type QMatrix4x4 struct {
	internal.Internal
}

type QMatrix4x4_ITF interface {
	QMatrix4x4_PTR() *QMatrix4x4
}

func (ptr *QMatrix4x4) QMatrix4x4_PTR() *QMatrix4x4 {
	return ptr
}

func (ptr *QMatrix4x4) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMatrix4x4) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMatrix4x4(ptr QMatrix4x4_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMatrix4x4_PTR().Pointer()
	}
	return nil
}

func (n *QMatrix4x4) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMatrix4x4FromPointer(ptr unsafe.Pointer) (n *QMatrix4x4) {
	n = new(QMatrix4x4)
	n.InitFromInternal(uintptr(ptr), "gui.QMatrix4x4")
	return
}

func (ptr *QMatrix4x4) DestroyQMatrix4x4() {
}

func NewQMatrix4x4() *QMatrix4x4 {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMatrix4x4", ""}).(*QMatrix4x4)
}

func NewQMatrix4x43(values float32) *QMatrix4x4 {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMatrix4x43", "", values}).(*QMatrix4x4)
}

func NewQMatrix4x44(m11 float32, m12 float32, m13 float32, m14 float32, m21 float32, m22 float32, m23 float32, m24 float32, m31 float32, m32 float32, m33 float32, m34 float32, m41 float32, m42 float32, m43 float32, m44 float32) *QMatrix4x4 {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMatrix4x44", "", m11, m12, m13, m14, m21, m22, m23, m24, m31, m32, m33, m34, m41, m42, m43, m44}).(*QMatrix4x4)
}

func NewQMatrix4x46(matrix QMatrix_ITF) *QMatrix4x4 {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMatrix4x46", "", matrix}).(*QMatrix4x4)
}

func (ptr *QMatrix4x4) Column(index int) *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Column", index}).(*QVector4D)
}

func (ptr *QMatrix4x4) ConstData() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConstData"}).(float32)
}

func (ptr *QMatrix4x4) CopyDataTo(values float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CopyDataTo", values})
}

func (ptr *QMatrix4x4) Data() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data"}).(float32)
}

func (ptr *QMatrix4x4) Data2() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data2"}).(float32)
}

func (ptr *QMatrix4x4) Determinant() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Determinant"}).(float64)
}

func (ptr *QMatrix4x4) Fill(value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Fill", value})
}

func (ptr *QMatrix4x4) Frustum(left float32, right float32, bottom float32, top float32, nearPlane float32, farPlane float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Frustum", left, right, bottom, top, nearPlane, farPlane})
}

func (ptr *QMatrix4x4) Inverted(invertible *bool) *QMatrix4x4 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Inverted", invertible}).(*QMatrix4x4)
}

func (ptr *QMatrix4x4) IsAffine() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAffine"}).(bool)
}

func (ptr *QMatrix4x4) IsIdentity() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIdentity"}).(bool)
}

func (ptr *QMatrix4x4) LookAt(eye QVector3D_ITF, center QVector3D_ITF, up QVector3D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LookAt", eye, center, up})
}

func (ptr *QMatrix4x4) Map(point core.QPoint_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map", point}).(*core.QPoint)
}

func (ptr *QMatrix4x4) Map2(point core.QPointF_ITF) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map2", point}).(*core.QPointF)
}

func (ptr *QMatrix4x4) Map3(point QVector3D_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map3", point}).(*QVector3D)
}

func (ptr *QMatrix4x4) Map4(point QVector4D_ITF) *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map4", point}).(*QVector4D)
}

func (ptr *QMatrix4x4) MapRect(rect core.QRect_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRect", rect}).(*core.QRect)
}

func (ptr *QMatrix4x4) MapRect2(rect core.QRectF_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRect2", rect}).(*core.QRectF)
}

func (ptr *QMatrix4x4) MapVector(vector QVector3D_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapVector", vector}).(*QVector3D)
}

func (ptr *QMatrix4x4) Optimize() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Optimize"})
}

func (ptr *QMatrix4x4) Ortho(left float32, right float32, bottom float32, top float32, nearPlane float32, farPlane float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ortho", left, right, bottom, top, nearPlane, farPlane})
}

func (ptr *QMatrix4x4) Ortho2(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ortho2", rect})
}

func (ptr *QMatrix4x4) Ortho3(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ortho3", rect})
}

func (ptr *QMatrix4x4) Perspective(verticalAngle float32, aspectRatio float32, nearPlane float32, farPlane float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Perspective", verticalAngle, aspectRatio, nearPlane, farPlane})
}

func (ptr *QMatrix4x4) Rotate(angle float32, vector QVector3D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rotate", angle, vector})
}

func (ptr *QMatrix4x4) Rotate2(angle float32, x float32, y float32, z float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rotate2", angle, x, y, z})
}

func (ptr *QMatrix4x4) Rotate3(quaternion QQuaternion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rotate3", quaternion})
}

func (ptr *QMatrix4x4) Row(index int) *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Row", index}).(*QVector4D)
}

func (ptr *QMatrix4x4) Scale(vector QVector3D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scale", vector})
}

func (ptr *QMatrix4x4) Scale2(x float32, y float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scale2", x, y})
}

func (ptr *QMatrix4x4) Scale3(x float32, y float32, z float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scale3", x, y, z})
}

func (ptr *QMatrix4x4) Scale4(factor float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scale4", factor})
}

func (ptr *QMatrix4x4) SetColumn(index int, value QVector4D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumn", index, value})
}

func (ptr *QMatrix4x4) SetRow(index int, value QVector4D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRow", index, value})
}

func (ptr *QMatrix4x4) SetToIdentity() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToIdentity"})
}

func (ptr *QMatrix4x4) ToAffine() *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToAffine"}).(*QMatrix)
}

func (ptr *QMatrix4x4) ToTransform() *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToTransform"}).(*QTransform)
}

func (ptr *QMatrix4x4) ToTransform2(distanceToPlane float32) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToTransform2", distanceToPlane}).(*QTransform)
}

func (ptr *QMatrix4x4) Translate(vector QVector3D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate", vector})
}

func (ptr *QMatrix4x4) Translate2(x float32, y float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate2", x, y})
}

func (ptr *QMatrix4x4) Translate3(x float32, y float32, z float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate3", x, y, z})
}

func (ptr *QMatrix4x4) Transposed() *QMatrix4x4 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transposed"}).(*QMatrix4x4)
}

func (ptr *QMatrix4x4) Viewport(left float32, bottom float32, width float32, height float32, nearPlane float32, farPlane float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Viewport", left, bottom, width, height, nearPlane, farPlane})
}

func (ptr *QMatrix4x4) Viewport2(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Viewport2", rect})
}

type QMessageDialogOptions struct {
	internal.Internal
}

type QMessageDialogOptions_ITF interface {
	QMessageDialogOptions_PTR() *QMessageDialogOptions
}

func (ptr *QMessageDialogOptions) QMessageDialogOptions_PTR() *QMessageDialogOptions {
	return ptr
}

func (ptr *QMessageDialogOptions) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMessageDialogOptions) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMessageDialogOptions(ptr QMessageDialogOptions_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMessageDialogOptions_PTR().Pointer()
	}
	return nil
}

func (n *QMessageDialogOptions) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMessageDialogOptionsFromPointer(ptr unsafe.Pointer) (n *QMessageDialogOptions) {
	n = new(QMessageDialogOptions)
	n.InitFromInternal(uintptr(ptr), "gui.QMessageDialogOptions")
	return
}

func (ptr *QMessageDialogOptions) DestroyQMessageDialogOptions() {
}

type QMouseEvent struct {
	QInputEvent
}

type QMouseEvent_ITF interface {
	QInputEvent_ITF
	QMouseEvent_PTR() *QMouseEvent
}

func (ptr *QMouseEvent) QMouseEvent_PTR() *QMouseEvent {
	return ptr
}

func (ptr *QMouseEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QInputEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QMouseEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QInputEvent_PTR().SetPointer(p)
	}
}

func PointerFromQMouseEvent(ptr QMouseEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMouseEvent_PTR().Pointer()
	}
	return nil
}

func (n *QMouseEvent) InitFromInternal(ptr uintptr, name string) {
	n.QInputEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMouseEvent) ClassNameInternalF() string {
	return n.QInputEvent_PTR().ClassNameInternalF()
}

func NewQMouseEventFromPointer(ptr unsafe.Pointer) (n *QMouseEvent) {
	n = new(QMouseEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QMouseEvent")
	return
}

func (ptr *QMouseEvent) DestroyQMouseEvent() {
}

func NewQMouseEvent(ty core.QEvent__Type, localPos core.QPointF_ITF, button core.Qt__MouseButton, buttons core.Qt__MouseButton, modifiers core.Qt__KeyboardModifier) *QMouseEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMouseEvent", "", ty, localPos, button, buttons, modifiers}).(*QMouseEvent)
}

func NewQMouseEvent2(ty core.QEvent__Type, localPos core.QPointF_ITF, screenPos core.QPointF_ITF, button core.Qt__MouseButton, buttons core.Qt__MouseButton, modifiers core.Qt__KeyboardModifier) *QMouseEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMouseEvent2", "", ty, localPos, screenPos, button, buttons, modifiers}).(*QMouseEvent)
}

func NewQMouseEvent3(ty core.QEvent__Type, localPos core.QPointF_ITF, windowPos core.QPointF_ITF, screenPos core.QPointF_ITF, button core.Qt__MouseButton, buttons core.Qt__MouseButton, modifiers core.Qt__KeyboardModifier) *QMouseEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMouseEvent3", "", ty, localPos, windowPos, screenPos, button, buttons, modifiers}).(*QMouseEvent)
}

func NewQMouseEvent4(ty core.QEvent__Type, localPos core.QPointF_ITF, windowPos core.QPointF_ITF, screenPos core.QPointF_ITF, button core.Qt__MouseButton, buttons core.Qt__MouseButton, modifiers core.Qt__KeyboardModifier, source core.Qt__MouseEventSource) *QMouseEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMouseEvent4", "", ty, localPos, windowPos, screenPos, button, buttons, modifiers, source}).(*QMouseEvent)
}

func (ptr *QMouseEvent) Button() core.Qt__MouseButton {

	return core.Qt__MouseButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Button"}).(float64))
}

func (ptr *QMouseEvent) Buttons() core.Qt__MouseButton {

	return core.Qt__MouseButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Buttons"}).(float64))
}

func (ptr *QMouseEvent) Flags() core.Qt__MouseEventFlag {

	return core.Qt__MouseEventFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flags"}).(float64))
}

func (ptr *QMouseEvent) GlobalPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalPos"}).(*core.QPoint)
}

func (ptr *QMouseEvent) GlobalX() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalX"}).(float64))
}

func (ptr *QMouseEvent) GlobalY() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalY"}).(float64))
}

func (ptr *QMouseEvent) LocalPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LocalPos"}).(*core.QPointF)
}

func (ptr *QMouseEvent) Pos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPoint)
}

func (ptr *QMouseEvent) ScreenPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenPos"}).(*core.QPointF)
}

func (ptr *QMouseEvent) Source() core.Qt__MouseEventSource {

	return core.Qt__MouseEventSource(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Source"}).(float64))
}

func (ptr *QMouseEvent) WindowPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WindowPos"}).(*core.QPointF)
}

func (ptr *QMouseEvent) X() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float64))
}

func (ptr *QMouseEvent) Y() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float64))
}

type QMoveEvent struct {
	core.QEvent
}

type QMoveEvent_ITF interface {
	core.QEvent_ITF
	QMoveEvent_PTR() *QMoveEvent
}

func (ptr *QMoveEvent) QMoveEvent_PTR() *QMoveEvent {
	return ptr
}

func (ptr *QMoveEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QMoveEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQMoveEvent(ptr QMoveEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMoveEvent_PTR().Pointer()
	}
	return nil
}

func (n *QMoveEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMoveEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQMoveEventFromPointer(ptr unsafe.Pointer) (n *QMoveEvent) {
	n = new(QMoveEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QMoveEvent")
	return
}

func (ptr *QMoveEvent) DestroyQMoveEvent() {
}

func NewQMoveEvent(pos core.QPoint_ITF, oldPos core.QPoint_ITF) *QMoveEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMoveEvent", "", pos, oldPos}).(*QMoveEvent)
}

func (ptr *QMoveEvent) OldPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OldPos"}).(*core.QPoint)
}

func (ptr *QMoveEvent) Pos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPoint)
}

type QMovie struct {
	core.QObject
}

type QMovie_ITF interface {
	core.QObject_ITF
	QMovie_PTR() *QMovie
}

func (ptr *QMovie) QMovie_PTR() *QMovie {
	return ptr
}

func (ptr *QMovie) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QMovie) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQMovie(ptr QMovie_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMovie_PTR().Pointer()
	}
	return nil
}

func (n *QMovie) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMovie) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQMovieFromPointer(ptr unsafe.Pointer) (n *QMovie) {
	n = new(QMovie)
	n.InitFromInternal(uintptr(ptr), "gui.QMovie")
	return
}

//go:generate stringer -type=QMovie__MovieState
//QMovie::MovieState
type QMovie__MovieState int64

const (
	QMovie__NotRunning QMovie__MovieState = QMovie__MovieState(0)
	QMovie__Paused     QMovie__MovieState = QMovie__MovieState(1)
	QMovie__Running    QMovie__MovieState = QMovie__MovieState(2)
)

//go:generate stringer -type=QMovie__CacheMode
//QMovie::CacheMode
type QMovie__CacheMode int64

const (
	QMovie__CacheNone QMovie__CacheMode = QMovie__CacheMode(0)
	QMovie__CacheAll  QMovie__CacheMode = QMovie__CacheMode(1)
)

func NewQMovie(parent core.QObject_ITF) *QMovie {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMovie", "", parent}).(*QMovie)
}

func NewQMovie2(device core.QIODevice_ITF, format core.QByteArray_ITF, parent core.QObject_ITF) *QMovie {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMovie2", "", device, format, parent}).(*QMovie)
}

func NewQMovie3(fileName string, format core.QByteArray_ITF, parent core.QObject_ITF) *QMovie {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQMovie3", "", fileName, format, parent}).(*QMovie)
}

func (ptr *QMovie) BackgroundColor() *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackgroundColor"}).(*QColor)
}

func (ptr *QMovie) CacheMode() QMovie__CacheMode {

	return QMovie__CacheMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CacheMode"}).(float64))
}

func (ptr *QMovie) CurrentFrameNumber() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentFrameNumber"}).(float64))
}

func (ptr *QMovie) CurrentImage() *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentImage"}).(*QImage)
}

func (ptr *QMovie) CurrentPixmap() *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentPixmap"}).(*QPixmap)
}

func (ptr *QMovie) Device() *core.QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Device"}).(*core.QIODevice)
}

func (ptr *QMovie) ConnectError(f func(error QImageReader__ImageReaderError)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMovie) DisconnectError() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError"})
}

func (ptr *QMovie) Error(error QImageReader__ImageReaderError) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error", error})
}

func (ptr *QMovie) FileName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName"}).(string)
}

func (ptr *QMovie) ConnectFinished(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFinished", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMovie) DisconnectFinished() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFinished"})
}

func (ptr *QMovie) Finished() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Finished"})
}

func (ptr *QMovie) Format() *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*core.QByteArray)
}

func (ptr *QMovie) ConnectFrameChanged(f func(frameNumber int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFrameChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMovie) DisconnectFrameChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFrameChanged"})
}

func (ptr *QMovie) FrameChanged(frameNumber int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameChanged", frameNumber})
}

func (ptr *QMovie) FrameCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameCount"}).(float64))
}

func (ptr *QMovie) FrameRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameRect"}).(*core.QRect)
}

func (ptr *QMovie) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QMovie) JumpToFrame(frameNumber int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "JumpToFrame", frameNumber}).(bool)
}

func (ptr *QMovie) ConnectJumpToNextFrame(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectJumpToNextFrame", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMovie) DisconnectJumpToNextFrame() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectJumpToNextFrame"})
}

func (ptr *QMovie) JumpToNextFrame() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "JumpToNextFrame"}).(bool)
}

func (ptr *QMovie) JumpToNextFrameDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "JumpToNextFrameDefault"}).(bool)
}

func (ptr *QMovie) LastError() QImageReader__ImageReaderError {

	return QImageReader__ImageReaderError(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastError"}).(float64))
}

func (ptr *QMovie) LastErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastErrorString"}).(string)
}

func (ptr *QMovie) LoopCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoopCount"}).(float64))
}

func (ptr *QMovie) NextFrameDelay() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NextFrameDelay"}).(float64))
}

func (ptr *QMovie) ConnectResized(f func(size *core.QSize)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResized", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMovie) DisconnectResized() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResized"})
}

func (ptr *QMovie) Resized(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resized", size})
}

func (ptr *QMovie) ScaledSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScaledSize"}).(*core.QSize)
}

func (ptr *QMovie) SetBackgroundColor(color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackgroundColor", color})
}

func (ptr *QMovie) SetCacheMode(mode QMovie__CacheMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCacheMode", mode})
}

func (ptr *QMovie) SetDevice(device core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDevice", device})
}

func (ptr *QMovie) SetFileName(fileName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileName", fileName})
}

func (ptr *QMovie) SetFormat(format core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", format})
}

func (ptr *QMovie) ConnectSetPaused(f func(paused bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPaused", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMovie) DisconnectSetPaused() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPaused"})
}

func (ptr *QMovie) SetPaused(paused bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPaused", paused})
}

func (ptr *QMovie) SetPausedDefault(paused bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPausedDefault", paused})
}

func (ptr *QMovie) SetScaledSize(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScaledSize", size})
}

func (ptr *QMovie) ConnectSetSpeed(f func(percentSpeed int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSpeed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMovie) DisconnectSetSpeed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSpeed"})
}

func (ptr *QMovie) SetSpeed(percentSpeed int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSpeed", percentSpeed})
}

func (ptr *QMovie) SetSpeedDefault(percentSpeed int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSpeedDefault", percentSpeed})
}

func (ptr *QMovie) Speed() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Speed"}).(float64))
}

func (ptr *QMovie) ConnectStart(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMovie) DisconnectStart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart"})
}

func (ptr *QMovie) Start() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start"})
}

func (ptr *QMovie) StartDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDefault"})
}

func (ptr *QMovie) ConnectStarted(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStarted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMovie) DisconnectStarted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStarted"})
}

func (ptr *QMovie) Started() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Started"})
}

func (ptr *QMovie) State() QMovie__MovieState {

	return QMovie__MovieState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QMovie) ConnectStateChanged(f func(state QMovie__MovieState)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMovie) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QMovie) StateChanged(state QMovie__MovieState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", state})
}

func (ptr *QMovie) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMovie) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QMovie) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QMovie) StopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StopDefault"})
}

func QMovie_SupportedFormats() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QMovie_SupportedFormats", ""}).([]*core.QByteArray)
}

func (ptr *QMovie) SupportedFormats() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QMovie_SupportedFormats", ""}).([]*core.QByteArray)
}

func (ptr *QMovie) ConnectUpdated(f func(rect *core.QRect)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMovie) DisconnectUpdated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdated"})
}

func (ptr *QMovie) Updated(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Updated", rect})
}

func (ptr *QMovie) ConnectDestroyQMovie(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMovie", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMovie) DisconnectDestroyQMovie() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMovie"})
}

func (ptr *QMovie) DestroyQMovie() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMovie"})
}

func (ptr *QMovie) DestroyQMovieDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMovieDefault"})
}

func (ptr *QMovie) __supportedFormats_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedFormats_atList", i}).(*core.QByteArray)
}

func (ptr *QMovie) __supportedFormats_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedFormats_setList", i})
}

func (ptr *QMovie) __supportedFormats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedFormats_newList"}).(unsafe.Pointer)
}

func (ptr *QMovie) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QMovie) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QMovie) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QMovie) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QMovie) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QMovie) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QMovie) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QMovie) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QMovie) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QMovie) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QMovie) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QMovie) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QMovie) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QMovie) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QMovie) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QMovie) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QMovie) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QMovie) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QMovie) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QMovie) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QMovie) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QNativeGestureEvent struct {
	QInputEvent
}

type QNativeGestureEvent_ITF interface {
	QInputEvent_ITF
	QNativeGestureEvent_PTR() *QNativeGestureEvent
}

func (ptr *QNativeGestureEvent) QNativeGestureEvent_PTR() *QNativeGestureEvent {
	return ptr
}

func (ptr *QNativeGestureEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QInputEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QNativeGestureEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QInputEvent_PTR().SetPointer(p)
	}
}

func PointerFromQNativeGestureEvent(ptr QNativeGestureEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QNativeGestureEvent_PTR().Pointer()
	}
	return nil
}

func (n *QNativeGestureEvent) InitFromInternal(ptr uintptr, name string) {
	n.QInputEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QNativeGestureEvent) ClassNameInternalF() string {
	return n.QInputEvent_PTR().ClassNameInternalF()
}

func NewQNativeGestureEventFromPointer(ptr unsafe.Pointer) (n *QNativeGestureEvent) {
	n = new(QNativeGestureEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QNativeGestureEvent")
	return
}

func (ptr *QNativeGestureEvent) DestroyQNativeGestureEvent() {
}

func NewQNativeGestureEvent2(ty core.Qt__NativeGestureType, device QTouchDevice_ITF, localPos core.QPointF_ITF, windowPos core.QPointF_ITF, screenPos core.QPointF_ITF, realValue float64, sequenceId uint, intValue uint64) *QNativeGestureEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQNativeGestureEvent2", "", ty, device, localPos, windowPos, screenPos, realValue, sequenceId, intValue}).(*QNativeGestureEvent)
}

func (ptr *QNativeGestureEvent) Device() *QTouchDevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Device"}).(*QTouchDevice)
}

func (ptr *QNativeGestureEvent) GestureType() core.Qt__NativeGestureType {

	return core.Qt__NativeGestureType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GestureType"}).(float64))
}

func (ptr *QNativeGestureEvent) GlobalPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalPos"}).(*core.QPoint)
}

func (ptr *QNativeGestureEvent) LocalPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LocalPos"}).(*core.QPointF)
}

func (ptr *QNativeGestureEvent) Pos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPoint)
}

func (ptr *QNativeGestureEvent) ScreenPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenPos"}).(*core.QPointF)
}

func (ptr *QNativeGestureEvent) Value() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value"}).(float64)
}

func (ptr *QNativeGestureEvent) WindowPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WindowPos"}).(*core.QPointF)
}

type QOffscreenSurface struct {
	core.QObject
	QSurface
}

type QOffscreenSurface_ITF interface {
	core.QObject_ITF
	QSurface_ITF
	QOffscreenSurface_PTR() *QOffscreenSurface
}

func (ptr *QOffscreenSurface) QOffscreenSurface_PTR() *QOffscreenSurface {
	return ptr
}

func (ptr *QOffscreenSurface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QOffscreenSurface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
		ptr.QSurface_PTR().SetPointer(p)
	}
}

func PointerFromQOffscreenSurface(ptr QOffscreenSurface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOffscreenSurface_PTR().Pointer()
	}
	return nil
}

func (n *QOffscreenSurface) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)
	n.QSurface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOffscreenSurface) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQOffscreenSurfaceFromPointer(ptr unsafe.Pointer) (n *QOffscreenSurface) {
	n = new(QOffscreenSurface)
	n.InitFromInternal(uintptr(ptr), "gui.QOffscreenSurface")
	return
}
func NewQOffscreenSurface(targetScreen QScreen_ITF, parent core.QObject_ITF) *QOffscreenSurface {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOffscreenSurface", "", targetScreen, parent}).(*QOffscreenSurface)
}

func NewQOffscreenSurface2(targetScreen QScreen_ITF) *QOffscreenSurface {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOffscreenSurface2", "", targetScreen}).(*QOffscreenSurface)
}

func (ptr *QOffscreenSurface) Create() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Create"})
}

func (ptr *QOffscreenSurface) Destroy() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Destroy"})
}

func (ptr *QOffscreenSurface) ConnectFormat(f func() *QSurfaceFormat) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOffscreenSurface) DisconnectFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectFormat"})
}

func (ptr *QOffscreenSurface) Format() *QSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Format"}).(*QSurfaceFormat)
}

func (ptr *QOffscreenSurface) FormatDefault() *QSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FormatDefault"}).(*QSurfaceFormat)
}

func (ptr *QOffscreenSurface) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QOffscreenSurface) NativeHandle() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "NativeHandle"}).(unsafe.Pointer)
}

func (ptr *QOffscreenSurface) RequestedFormat() *QSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RequestedFormat"}).(*QSurfaceFormat)
}

func (ptr *QOffscreenSurface) Screen() *QScreen {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Screen"}).(*QScreen)
}

func (ptr *QOffscreenSurface) ConnectScreenChanged(f func(screen *QScreen)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectScreenChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOffscreenSurface) DisconnectScreenChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectScreenChanged"})
}

func (ptr *QOffscreenSurface) ScreenChanged(screen QScreen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ScreenChanged", screen})
}

func (ptr *QOffscreenSurface) SetFormat(format QSurfaceFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFormat", format})
}

func (ptr *QOffscreenSurface) SetNativeHandle(handle unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetNativeHandle", handle})
}

func (ptr *QOffscreenSurface) SetScreen(newScreen QScreen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetScreen", newScreen})
}

func (ptr *QOffscreenSurface) ConnectSize(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOffscreenSurface) DisconnectSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSize"})
}

func (ptr *QOffscreenSurface) Size() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Size"}).(*core.QSize)
}

func (ptr *QOffscreenSurface) SizeDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SizeDefault"}).(*core.QSize)
}

func (ptr *QOffscreenSurface) ConnectSurfaceType(f func() QSurface__SurfaceType) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSurfaceType", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOffscreenSurface) DisconnectSurfaceType() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSurfaceType"})
}

func (ptr *QOffscreenSurface) SurfaceType() QSurface__SurfaceType {

	return QSurface__SurfaceType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SurfaceType"}).(float64))
}

func (ptr *QOffscreenSurface) SurfaceTypeDefault() QSurface__SurfaceType {

	return QSurface__SurfaceType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SurfaceTypeDefault"}).(float64))
}

func (ptr *QOffscreenSurface) ConnectDestroyQOffscreenSurface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDestroyQOffscreenSurface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOffscreenSurface) DisconnectDestroyQOffscreenSurface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDestroyQOffscreenSurface"})
}

func (ptr *QOffscreenSurface) DestroyQOffscreenSurface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQOffscreenSurface"})
}

func (ptr *QOffscreenSurface) DestroyQOffscreenSurfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQOffscreenSurfaceDefault"})
}

func (ptr *QOffscreenSurface) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QOffscreenSurface) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QOffscreenSurface) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QOffscreenSurface) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QOffscreenSurface) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QOffscreenSurface) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QOffscreenSurface) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QOffscreenSurface) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QOffscreenSurface) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QOffscreenSurface) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QOffscreenSurface) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QOffscreenSurface) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QOffscreenSurface) ChildEvent(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEvent", event})
}

func (ptr *QOffscreenSurface) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QOffscreenSurface) ConnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotify", sign})
}

func (ptr *QOffscreenSurface) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QOffscreenSurface) CustomEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEvent", event})
}

func (ptr *QOffscreenSurface) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QOffscreenSurface) DeleteLater() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLater"})
}

func (ptr *QOffscreenSurface) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QOffscreenSurface) DisconnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotify", sign})
}

func (ptr *QOffscreenSurface) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QOffscreenSurface) Event(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Event", e}).(bool)
}

func (ptr *QOffscreenSurface) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QOffscreenSurface) EventFilter(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilter", watched, event}).(bool)
}

func (ptr *QOffscreenSurface) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QOffscreenSurface) MetaObject() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObject"}).(*core.QMetaObject)
}

func (ptr *QOffscreenSurface) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QOffscreenSurface) TimerEvent(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEvent", event})
}

func (ptr *QOffscreenSurface) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEventDefault", event})
}

type QOpenGLBuffer struct {
	internal.Internal
}

type QOpenGLBuffer_ITF interface {
	QOpenGLBuffer_PTR() *QOpenGLBuffer
}

func (ptr *QOpenGLBuffer) QOpenGLBuffer_PTR() *QOpenGLBuffer {
	return ptr
}

func (ptr *QOpenGLBuffer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QOpenGLBuffer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQOpenGLBuffer(ptr QOpenGLBuffer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLBuffer_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLBuffer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQOpenGLBufferFromPointer(ptr unsafe.Pointer) (n *QOpenGLBuffer) {
	n = new(QOpenGLBuffer)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLBuffer")
	return
}

//go:generate stringer -type=QOpenGLBuffer__Type
//QOpenGLBuffer::Type
type QOpenGLBuffer__Type int64

const (
	QOpenGLBuffer__VertexBuffer      QOpenGLBuffer__Type = QOpenGLBuffer__Type(0x8892)
	QOpenGLBuffer__IndexBuffer       QOpenGLBuffer__Type = QOpenGLBuffer__Type(0x8893)
	QOpenGLBuffer__PixelPackBuffer   QOpenGLBuffer__Type = QOpenGLBuffer__Type(0x88EB)
	QOpenGLBuffer__PixelUnpackBuffer QOpenGLBuffer__Type = QOpenGLBuffer__Type(0x88EC)
)

//go:generate stringer -type=QOpenGLBuffer__UsagePattern
//QOpenGLBuffer::UsagePattern
type QOpenGLBuffer__UsagePattern int64

const (
	QOpenGLBuffer__StreamDraw  QOpenGLBuffer__UsagePattern = QOpenGLBuffer__UsagePattern(0x88E0)
	QOpenGLBuffer__StreamRead  QOpenGLBuffer__UsagePattern = QOpenGLBuffer__UsagePattern(0x88E1)
	QOpenGLBuffer__StreamCopy  QOpenGLBuffer__UsagePattern = QOpenGLBuffer__UsagePattern(0x88E2)
	QOpenGLBuffer__StaticDraw  QOpenGLBuffer__UsagePattern = QOpenGLBuffer__UsagePattern(0x88E4)
	QOpenGLBuffer__StaticRead  QOpenGLBuffer__UsagePattern = QOpenGLBuffer__UsagePattern(0x88E5)
	QOpenGLBuffer__StaticCopy  QOpenGLBuffer__UsagePattern = QOpenGLBuffer__UsagePattern(0x88E6)
	QOpenGLBuffer__DynamicDraw QOpenGLBuffer__UsagePattern = QOpenGLBuffer__UsagePattern(0x88E8)
	QOpenGLBuffer__DynamicRead QOpenGLBuffer__UsagePattern = QOpenGLBuffer__UsagePattern(0x88E9)
	QOpenGLBuffer__DynamicCopy QOpenGLBuffer__UsagePattern = QOpenGLBuffer__UsagePattern(0x88EA)
)

//go:generate stringer -type=QOpenGLBuffer__Access
//QOpenGLBuffer::Access
type QOpenGLBuffer__Access int64

const (
	QOpenGLBuffer__ReadOnly  QOpenGLBuffer__Access = QOpenGLBuffer__Access(0x88B8)
	QOpenGLBuffer__WriteOnly QOpenGLBuffer__Access = QOpenGLBuffer__Access(0x88B9)
	QOpenGLBuffer__ReadWrite QOpenGLBuffer__Access = QOpenGLBuffer__Access(0x88BA)
)

//go:generate stringer -type=QOpenGLBuffer__RangeAccessFlag
//QOpenGLBuffer::RangeAccessFlag
type QOpenGLBuffer__RangeAccessFlag int64

const (
	QOpenGLBuffer__RangeRead             QOpenGLBuffer__RangeAccessFlag = QOpenGLBuffer__RangeAccessFlag(0x0001)
	QOpenGLBuffer__RangeWrite            QOpenGLBuffer__RangeAccessFlag = QOpenGLBuffer__RangeAccessFlag(0x0002)
	QOpenGLBuffer__RangeInvalidate       QOpenGLBuffer__RangeAccessFlag = QOpenGLBuffer__RangeAccessFlag(0x0004)
	QOpenGLBuffer__RangeInvalidateBuffer QOpenGLBuffer__RangeAccessFlag = QOpenGLBuffer__RangeAccessFlag(0x0008)
	QOpenGLBuffer__RangeFlushExplicit    QOpenGLBuffer__RangeAccessFlag = QOpenGLBuffer__RangeAccessFlag(0x0010)
	QOpenGLBuffer__RangeUnsynchronized   QOpenGLBuffer__RangeAccessFlag = QOpenGLBuffer__RangeAccessFlag(0x0020)
)

func NewQOpenGLBuffer() *QOpenGLBuffer {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLBuffer", ""}).(*QOpenGLBuffer)
}

func NewQOpenGLBuffer2(ty QOpenGLBuffer__Type) *QOpenGLBuffer {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLBuffer2", "", ty}).(*QOpenGLBuffer)
}

func NewQOpenGLBuffer3(other QOpenGLBuffer_ITF) *QOpenGLBuffer {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLBuffer3", "", other}).(*QOpenGLBuffer)
}

func (ptr *QOpenGLBuffer) Allocate(data unsafe.Pointer, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Allocate", data, count})
}

func (ptr *QOpenGLBuffer) Allocate2(count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Allocate2", count})
}

func (ptr *QOpenGLBuffer) Bind() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bind"}).(bool)
}

func (ptr *QOpenGLBuffer) BufferId() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferId"}).(float64))
}

func (ptr *QOpenGLBuffer) Create() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create"}).(bool)
}

func (ptr *QOpenGLBuffer) Destroy() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Destroy"})
}

func (ptr *QOpenGLBuffer) IsCreated() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCreated"}).(bool)
}

func (ptr *QOpenGLBuffer) Map(access QOpenGLBuffer__Access) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map", access}).(unsafe.Pointer)
}

func (ptr *QOpenGLBuffer) MapRange(offset int, count int, access QOpenGLBuffer__RangeAccessFlag) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRange", offset, count, access}).(unsafe.Pointer)
}

func (ptr *QOpenGLBuffer) Read(offset int, data unsafe.Pointer, count int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read", offset, data, count}).(bool)
}

func (ptr *QOpenGLBuffer) Release() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Release"})
}

func QOpenGLBuffer_Release2(ty QOpenGLBuffer__Type) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLBuffer_Release2", "", ty})
}

func (ptr *QOpenGLBuffer) Release2(ty QOpenGLBuffer__Type) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLBuffer_Release2", "", ty})
}

func (ptr *QOpenGLBuffer) SetUsagePattern(value QOpenGLBuffer__UsagePattern) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUsagePattern", value})
}

func (ptr *QOpenGLBuffer) Size() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

func (ptr *QOpenGLBuffer) Type() QOpenGLBuffer__Type {

	return QOpenGLBuffer__Type(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QOpenGLBuffer) Unmap() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unmap"}).(bool)
}

func (ptr *QOpenGLBuffer) UsagePattern() QOpenGLBuffer__UsagePattern {

	return QOpenGLBuffer__UsagePattern(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UsagePattern"}).(float64))
}

func (ptr *QOpenGLBuffer) Write(offset int, data unsafe.Pointer, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write", offset, data, count})
}

func (ptr *QOpenGLBuffer) DestroyQOpenGLBuffer() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLBuffer"})
}

type QOpenGLContext struct {
	core.QObject
}

type QOpenGLContext_ITF interface {
	core.QObject_ITF
	QOpenGLContext_PTR() *QOpenGLContext
}

func (ptr *QOpenGLContext) QOpenGLContext_PTR() *QOpenGLContext {
	return ptr
}

func (ptr *QOpenGLContext) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLContext) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLContext(ptr QOpenGLContext_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLContext_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLContext) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLContext) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQOpenGLContextFromPointer(ptr unsafe.Pointer) (n *QOpenGLContext) {
	n = new(QOpenGLContext)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLContext")
	return
}

//go:generate stringer -type=QOpenGLContext__OpenGLModuleType
//QOpenGLContext::OpenGLModuleType
type QOpenGLContext__OpenGLModuleType int64

const (
	QOpenGLContext__LibGL   QOpenGLContext__OpenGLModuleType = QOpenGLContext__OpenGLModuleType(0)
	QOpenGLContext__LibGLES QOpenGLContext__OpenGLModuleType = QOpenGLContext__OpenGLModuleType(1)
)

func NewQOpenGLContext(parent core.QObject_ITF) *QOpenGLContext {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLContext", "", parent}).(*QOpenGLContext)
}

func (ptr *QOpenGLContext) ConnectAboutToBeDestroyed(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAboutToBeDestroyed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLContext) DisconnectAboutToBeDestroyed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAboutToBeDestroyed"})
}

func (ptr *QOpenGLContext) AboutToBeDestroyed() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AboutToBeDestroyed"})
}

func QOpenGLContext_AreSharing(first QOpenGLContext_ITF, second QOpenGLContext_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLContext_AreSharing", "", first, second}).(bool)
}

func (ptr *QOpenGLContext) AreSharing(first QOpenGLContext_ITF, second QOpenGLContext_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLContext_AreSharing", "", first, second}).(bool)
}

func (ptr *QOpenGLContext) Create() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create"}).(bool)
}

func QOpenGLContext_CurrentContext() *QOpenGLContext {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLContext_CurrentContext", ""}).(*QOpenGLContext)
}

func (ptr *QOpenGLContext) CurrentContext() *QOpenGLContext {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLContext_CurrentContext", ""}).(*QOpenGLContext)
}

func (ptr *QOpenGLContext) DefaultFramebufferObject() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultFramebufferObject"}).(float64))
}

func (ptr *QOpenGLContext) DoneCurrent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoneCurrent"})
}

func (ptr *QOpenGLContext) ExtraFunctions() *QOpenGLExtraFunctions {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExtraFunctions"}).(*QOpenGLExtraFunctions)
}

func (ptr *QOpenGLContext) Format() *QSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*QSurfaceFormat)
}

func (ptr *QOpenGLContext) Functions() *QOpenGLFunctions {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Functions"}).(*QOpenGLFunctions)
}

func (ptr *QOpenGLContext) GetProcAddress(procName core.QByteArray_ITF) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetProcAddress", procName}).(unsafe.Pointer)
}

func (ptr *QOpenGLContext) GetProcAddress2(procName string) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetProcAddress2", procName}).(unsafe.Pointer)
}

func QOpenGLContext_GlobalShareContext() *QOpenGLContext {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLContext_GlobalShareContext", ""}).(*QOpenGLContext)
}

func (ptr *QOpenGLContext) GlobalShareContext() *QOpenGLContext {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLContext_GlobalShareContext", ""}).(*QOpenGLContext)
}

func (ptr *QOpenGLContext) HasExtension(extensi core.QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasExtension", extensi}).(bool)
}

func (ptr *QOpenGLContext) IsOpenGLES() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsOpenGLES"}).(bool)
}

func (ptr *QOpenGLContext) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QOpenGLContext) MakeCurrent(surface QSurface_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MakeCurrent", surface}).(bool)
}

func (ptr *QOpenGLContext) NativeHandle() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NativeHandle"}).(*core.QVariant)
}

func QOpenGLContext_OpenGLModuleHandle() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLContext_OpenGLModuleHandle", ""}).(unsafe.Pointer)
}

func (ptr *QOpenGLContext) OpenGLModuleHandle() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLContext_OpenGLModuleHandle", ""}).(unsafe.Pointer)
}

func QOpenGLContext_OpenGLModuleType() QOpenGLContext__OpenGLModuleType {

	return QOpenGLContext__OpenGLModuleType(internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLContext_OpenGLModuleType", ""}).(float64))
}

func (ptr *QOpenGLContext) OpenGLModuleType() QOpenGLContext__OpenGLModuleType {

	return QOpenGLContext__OpenGLModuleType(internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLContext_OpenGLModuleType", ""}).(float64))
}

func (ptr *QOpenGLContext) Screen() *QScreen {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Screen"}).(*QScreen)
}

func (ptr *QOpenGLContext) SetFormat(format QSurfaceFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", format})
}

func (ptr *QOpenGLContext) SetNativeHandle(handle core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNativeHandle", handle})
}

func (ptr *QOpenGLContext) SetScreen(screen QScreen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScreen", screen})
}

func (ptr *QOpenGLContext) SetShareContext(shareContext QOpenGLContext_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShareContext", shareContext})
}

func (ptr *QOpenGLContext) ShareContext() *QOpenGLContext {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShareContext"}).(*QOpenGLContext)
}

func (ptr *QOpenGLContext) ShareGroup() *QOpenGLContextGroup {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShareGroup"}).(*QOpenGLContextGroup)
}

func QOpenGLContext_SupportsThreadedOpenGL() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLContext_SupportsThreadedOpenGL", ""}).(bool)
}

func (ptr *QOpenGLContext) SupportsThreadedOpenGL() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLContext_SupportsThreadedOpenGL", ""}).(bool)
}

func (ptr *QOpenGLContext) Surface() *QSurface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Surface"}).(*QSurface)
}

func (ptr *QOpenGLContext) SwapBuffers(surface QSurface_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SwapBuffers", surface})
}

func (ptr *QOpenGLContext) VersionFunctions(versionProfile QOpenGLVersionProfile_ITF) *QAbstractOpenGLFunctions {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VersionFunctions", versionProfile}).(*QAbstractOpenGLFunctions)
}

func (ptr *QOpenGLContext) ConnectDestroyQOpenGLContext(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQOpenGLContext", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLContext) DisconnectDestroyQOpenGLContext() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQOpenGLContext"})
}

func (ptr *QOpenGLContext) DestroyQOpenGLContext() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLContext"})
}

func (ptr *QOpenGLContext) DestroyQOpenGLContextDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLContextDefault"})
}

func (ptr *QOpenGLContext) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLContext) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QOpenGLContext) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLContext) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QOpenGLContext) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QOpenGLContext) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLContext) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLContext) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QOpenGLContext) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLContext) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QOpenGLContext) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QOpenGLContext) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QOpenGLContext) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QOpenGLContext) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QOpenGLContext) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QOpenGLContext) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QOpenGLContext) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QOpenGLContext) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QOpenGLContext) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QOpenGLContext) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QOpenGLContext) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QOpenGLContextGroup struct {
	core.QObject
}

type QOpenGLContextGroup_ITF interface {
	core.QObject_ITF
	QOpenGLContextGroup_PTR() *QOpenGLContextGroup
}

func (ptr *QOpenGLContextGroup) QOpenGLContextGroup_PTR() *QOpenGLContextGroup {
	return ptr
}

func (ptr *QOpenGLContextGroup) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLContextGroup) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLContextGroup(ptr QOpenGLContextGroup_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLContextGroup_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLContextGroup) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLContextGroup) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQOpenGLContextGroupFromPointer(ptr unsafe.Pointer) (n *QOpenGLContextGroup) {
	n = new(QOpenGLContextGroup)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLContextGroup")
	return
}

func (ptr *QOpenGLContextGroup) DestroyQOpenGLContextGroup() {
}

func QOpenGLContextGroup_CurrentContextGroup() *QOpenGLContextGroup {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLContextGroup_CurrentContextGroup", ""}).(*QOpenGLContextGroup)
}

func (ptr *QOpenGLContextGroup) CurrentContextGroup() *QOpenGLContextGroup {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLContextGroup_CurrentContextGroup", ""}).(*QOpenGLContextGroup)
}

func (ptr *QOpenGLContextGroup) Shares() []*QOpenGLContext {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shares"}).([]*QOpenGLContext)
}

func (ptr *QOpenGLContextGroup) __shares_atList(i int) *QOpenGLContext {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__shares_atList", i}).(*QOpenGLContext)
}

func (ptr *QOpenGLContextGroup) __shares_setList(i QOpenGLContext_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__shares_setList", i})
}

func (ptr *QOpenGLContextGroup) __shares_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__shares_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLContextGroup) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLContextGroup) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QOpenGLContextGroup) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLContextGroup) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QOpenGLContextGroup) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QOpenGLContextGroup) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLContextGroup) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLContextGroup) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QOpenGLContextGroup) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLContextGroup) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QOpenGLContextGroup) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QOpenGLContextGroup) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QOpenGLContextGroup) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QOpenGLContextGroup) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QOpenGLContextGroup) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QOpenGLContextGroup) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QOpenGLContextGroup) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QOpenGLContextGroup) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QOpenGLContextGroup) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QOpenGLContextGroup) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QOpenGLContextGroup) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QOpenGLDebugLogger struct {
	core.QObject
}

type QOpenGLDebugLogger_ITF interface {
	core.QObject_ITF
	QOpenGLDebugLogger_PTR() *QOpenGLDebugLogger
}

func (ptr *QOpenGLDebugLogger) QOpenGLDebugLogger_PTR() *QOpenGLDebugLogger {
	return ptr
}

func (ptr *QOpenGLDebugLogger) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLDebugLogger) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLDebugLogger(ptr QOpenGLDebugLogger_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLDebugLogger_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLDebugLogger) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLDebugLogger) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQOpenGLDebugLoggerFromPointer(ptr unsafe.Pointer) (n *QOpenGLDebugLogger) {
	n = new(QOpenGLDebugLogger)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLDebugLogger")
	return
}

//go:generate stringer -type=QOpenGLDebugLogger__LoggingMode
//QOpenGLDebugLogger::LoggingMode
type QOpenGLDebugLogger__LoggingMode int64

const (
	QOpenGLDebugLogger__AsynchronousLogging QOpenGLDebugLogger__LoggingMode = QOpenGLDebugLogger__LoggingMode(0)
	QOpenGLDebugLogger__SynchronousLogging  QOpenGLDebugLogger__LoggingMode = QOpenGLDebugLogger__LoggingMode(1)
)

func NewQOpenGLDebugLogger(parent core.QObject_ITF) *QOpenGLDebugLogger {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLDebugLogger", "", parent}).(*QOpenGLDebugLogger)
}

func (ptr *QOpenGLDebugLogger) DisableMessages(sources QOpenGLDebugMessage__Source, types QOpenGLDebugMessage__Type, severities QOpenGLDebugMessage__Severity) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisableMessages", sources, types, severities})
}

func (ptr *QOpenGLDebugLogger) DisableMessages2(ids []uint, sources QOpenGLDebugMessage__Source, types QOpenGLDebugMessage__Type) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisableMessages2", ids, sources, types})
}

func (ptr *QOpenGLDebugLogger) EnableMessages(sources QOpenGLDebugMessage__Source, types QOpenGLDebugMessage__Type, severities QOpenGLDebugMessage__Severity) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnableMessages", sources, types, severities})
}

func (ptr *QOpenGLDebugLogger) EnableMessages2(ids []uint, sources QOpenGLDebugMessage__Source, types QOpenGLDebugMessage__Type) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnableMessages2", ids, sources, types})
}

func (ptr *QOpenGLDebugLogger) Initialize() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Initialize"}).(bool)
}

func (ptr *QOpenGLDebugLogger) IsLogging() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLogging"}).(bool)
}

func (ptr *QOpenGLDebugLogger) ConnectLogMessage(f func(debugMessage *QOpenGLDebugMessage)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLogMessage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLDebugLogger) DisconnectLogMessage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLogMessage"})
}

func (ptr *QOpenGLDebugLogger) LogMessage(debugMessage QOpenGLDebugMessage_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LogMessage", debugMessage})
}

func (ptr *QOpenGLDebugLogger) LogMessageDefault(debugMessage QOpenGLDebugMessage_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LogMessageDefault", debugMessage})
}

func (ptr *QOpenGLDebugLogger) LoggedMessages() []*QOpenGLDebugMessage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoggedMessages"}).([]*QOpenGLDebugMessage)
}

func (ptr *QOpenGLDebugLogger) LoggingMode() QOpenGLDebugLogger__LoggingMode {

	return QOpenGLDebugLogger__LoggingMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoggingMode"}).(float64))
}

func (ptr *QOpenGLDebugLogger) MaximumMessageLength() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumMessageLength"}).(float64))
}

func (ptr *QOpenGLDebugLogger) ConnectMessageLogged(f func(debugMessage *QOpenGLDebugMessage)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMessageLogged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLDebugLogger) DisconnectMessageLogged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMessageLogged"})
}

func (ptr *QOpenGLDebugLogger) MessageLogged(debugMessage QOpenGLDebugMessage_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MessageLogged", debugMessage})
}

func (ptr *QOpenGLDebugLogger) PopGroup() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PopGroup"})
}

func (ptr *QOpenGLDebugLogger) PushGroup(name string, id uint, source QOpenGLDebugMessage__Source) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PushGroup", name, id, source})
}

func (ptr *QOpenGLDebugLogger) ConnectStartLogging(f func(loggingMode QOpenGLDebugLogger__LoggingMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStartLogging", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLDebugLogger) DisconnectStartLogging() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStartLogging"})
}

func (ptr *QOpenGLDebugLogger) StartLogging(loggingMode QOpenGLDebugLogger__LoggingMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartLogging", loggingMode})
}

func (ptr *QOpenGLDebugLogger) StartLoggingDefault(loggingMode QOpenGLDebugLogger__LoggingMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartLoggingDefault", loggingMode})
}

func (ptr *QOpenGLDebugLogger) ConnectStopLogging(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStopLogging", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLDebugLogger) DisconnectStopLogging() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStopLogging"})
}

func (ptr *QOpenGLDebugLogger) StopLogging() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StopLogging"})
}

func (ptr *QOpenGLDebugLogger) StopLoggingDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StopLoggingDefault"})
}

func (ptr *QOpenGLDebugLogger) ConnectDestroyQOpenGLDebugLogger(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQOpenGLDebugLogger", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLDebugLogger) DisconnectDestroyQOpenGLDebugLogger() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQOpenGLDebugLogger"})
}

func (ptr *QOpenGLDebugLogger) DestroyQOpenGLDebugLogger() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLDebugLogger"})
}

func (ptr *QOpenGLDebugLogger) DestroyQOpenGLDebugLoggerDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLDebugLoggerDefault"})
}

func (ptr *QOpenGLDebugLogger) __disableMessages_ids_atList2(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__disableMessages_ids_atList2", i}).(float64))
}

func (ptr *QOpenGLDebugLogger) __disableMessages_ids_setList2(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__disableMessages_ids_setList2", i})
}

func (ptr *QOpenGLDebugLogger) __disableMessages_ids_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__disableMessages_ids_newList2"}).(unsafe.Pointer)
}

func (ptr *QOpenGLDebugLogger) __enableMessages_ids_atList2(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__enableMessages_ids_atList2", i}).(float64))
}

func (ptr *QOpenGLDebugLogger) __enableMessages_ids_setList2(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__enableMessages_ids_setList2", i})
}

func (ptr *QOpenGLDebugLogger) __enableMessages_ids_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__enableMessages_ids_newList2"}).(unsafe.Pointer)
}

func (ptr *QOpenGLDebugLogger) __loggedMessages_atList(i int) *QOpenGLDebugMessage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__loggedMessages_atList", i}).(*QOpenGLDebugMessage)
}

func (ptr *QOpenGLDebugLogger) __loggedMessages_setList(i QOpenGLDebugMessage_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__loggedMessages_setList", i})
}

func (ptr *QOpenGLDebugLogger) __loggedMessages_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__loggedMessages_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLDebugLogger) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLDebugLogger) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QOpenGLDebugLogger) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLDebugLogger) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QOpenGLDebugLogger) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QOpenGLDebugLogger) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLDebugLogger) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLDebugLogger) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QOpenGLDebugLogger) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLDebugLogger) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QOpenGLDebugLogger) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QOpenGLDebugLogger) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QOpenGLDebugLogger) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QOpenGLDebugLogger) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QOpenGLDebugLogger) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QOpenGLDebugLogger) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QOpenGLDebugLogger) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QOpenGLDebugLogger) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QOpenGLDebugLogger) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QOpenGLDebugLogger) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QOpenGLDebugLogger) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QOpenGLDebugMessage struct {
	internal.Internal
}

type QOpenGLDebugMessage_ITF interface {
	QOpenGLDebugMessage_PTR() *QOpenGLDebugMessage
}

func (ptr *QOpenGLDebugMessage) QOpenGLDebugMessage_PTR() *QOpenGLDebugMessage {
	return ptr
}

func (ptr *QOpenGLDebugMessage) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QOpenGLDebugMessage) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQOpenGLDebugMessage(ptr QOpenGLDebugMessage_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLDebugMessage_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLDebugMessage) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQOpenGLDebugMessageFromPointer(ptr unsafe.Pointer) (n *QOpenGLDebugMessage) {
	n = new(QOpenGLDebugMessage)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLDebugMessage")
	return
}

//go:generate stringer -type=QOpenGLDebugMessage__Source
//QOpenGLDebugMessage::Source
type QOpenGLDebugMessage__Source int64

const (
	QOpenGLDebugMessage__InvalidSource        QOpenGLDebugMessage__Source = QOpenGLDebugMessage__Source(0x00000000)
	QOpenGLDebugMessage__APISource            QOpenGLDebugMessage__Source = QOpenGLDebugMessage__Source(0x00000001)
	QOpenGLDebugMessage__WindowSystemSource   QOpenGLDebugMessage__Source = QOpenGLDebugMessage__Source(0x00000002)
	QOpenGLDebugMessage__ShaderCompilerSource QOpenGLDebugMessage__Source = QOpenGLDebugMessage__Source(0x00000004)
	QOpenGLDebugMessage__ThirdPartySource     QOpenGLDebugMessage__Source = QOpenGLDebugMessage__Source(0x00000008)
	QOpenGLDebugMessage__ApplicationSource    QOpenGLDebugMessage__Source = QOpenGLDebugMessage__Source(0x00000010)
	QOpenGLDebugMessage__OtherSource          QOpenGLDebugMessage__Source = QOpenGLDebugMessage__Source(0x00000020)
	QOpenGLDebugMessage__LastSource           QOpenGLDebugMessage__Source = QOpenGLDebugMessage__Source(QOpenGLDebugMessage__OtherSource)
	QOpenGLDebugMessage__AnySource            QOpenGLDebugMessage__Source = QOpenGLDebugMessage__Source(0xffffffff)
)

//go:generate stringer -type=QOpenGLDebugMessage__Type
//QOpenGLDebugMessage::Type
type QOpenGLDebugMessage__Type int64

const (
	QOpenGLDebugMessage__InvalidType            QOpenGLDebugMessage__Type = QOpenGLDebugMessage__Type(0x00000000)
	QOpenGLDebugMessage__ErrorType              QOpenGLDebugMessage__Type = QOpenGLDebugMessage__Type(0x00000001)
	QOpenGLDebugMessage__DeprecatedBehaviorType QOpenGLDebugMessage__Type = QOpenGLDebugMessage__Type(0x00000002)
	QOpenGLDebugMessage__UndefinedBehaviorType  QOpenGLDebugMessage__Type = QOpenGLDebugMessage__Type(0x00000004)
	QOpenGLDebugMessage__PortabilityType        QOpenGLDebugMessage__Type = QOpenGLDebugMessage__Type(0x00000008)
	QOpenGLDebugMessage__PerformanceType        QOpenGLDebugMessage__Type = QOpenGLDebugMessage__Type(0x00000010)
	QOpenGLDebugMessage__OtherType              QOpenGLDebugMessage__Type = QOpenGLDebugMessage__Type(0x00000020)
	QOpenGLDebugMessage__MarkerType             QOpenGLDebugMessage__Type = QOpenGLDebugMessage__Type(0x00000040)
	QOpenGLDebugMessage__GroupPushType          QOpenGLDebugMessage__Type = QOpenGLDebugMessage__Type(0x00000080)
	QOpenGLDebugMessage__GroupPopType           QOpenGLDebugMessage__Type = QOpenGLDebugMessage__Type(0x00000100)
	QOpenGLDebugMessage__LastType               QOpenGLDebugMessage__Type = QOpenGLDebugMessage__Type(QOpenGLDebugMessage__GroupPopType)
	QOpenGLDebugMessage__AnyType                QOpenGLDebugMessage__Type = QOpenGLDebugMessage__Type(0xffffffff)
)

//go:generate stringer -type=QOpenGLDebugMessage__Severity
//QOpenGLDebugMessage::Severity
type QOpenGLDebugMessage__Severity int64

const (
	QOpenGLDebugMessage__InvalidSeverity      QOpenGLDebugMessage__Severity = QOpenGLDebugMessage__Severity(0x00000000)
	QOpenGLDebugMessage__HighSeverity         QOpenGLDebugMessage__Severity = QOpenGLDebugMessage__Severity(0x00000001)
	QOpenGLDebugMessage__MediumSeverity       QOpenGLDebugMessage__Severity = QOpenGLDebugMessage__Severity(0x00000002)
	QOpenGLDebugMessage__LowSeverity          QOpenGLDebugMessage__Severity = QOpenGLDebugMessage__Severity(0x00000004)
	QOpenGLDebugMessage__NotificationSeverity QOpenGLDebugMessage__Severity = QOpenGLDebugMessage__Severity(0x00000008)
	QOpenGLDebugMessage__LastSeverity         QOpenGLDebugMessage__Severity = QOpenGLDebugMessage__Severity(QOpenGLDebugMessage__NotificationSeverity)
	QOpenGLDebugMessage__AnySeverity          QOpenGLDebugMessage__Severity = QOpenGLDebugMessage__Severity(0xffffffff)
)

func NewQOpenGLDebugMessage() *QOpenGLDebugMessage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLDebugMessage", ""}).(*QOpenGLDebugMessage)
}

func NewQOpenGLDebugMessage2(debugMessage QOpenGLDebugMessage_ITF) *QOpenGLDebugMessage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLDebugMessage2", "", debugMessage}).(*QOpenGLDebugMessage)
}

func QOpenGLDebugMessage_CreateApplicationMessage(text string, id uint, severity QOpenGLDebugMessage__Severity, ty QOpenGLDebugMessage__Type) *QOpenGLDebugMessage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLDebugMessage_CreateApplicationMessage", "", text, id, severity, ty}).(*QOpenGLDebugMessage)
}

func (ptr *QOpenGLDebugMessage) CreateApplicationMessage(text string, id uint, severity QOpenGLDebugMessage__Severity, ty QOpenGLDebugMessage__Type) *QOpenGLDebugMessage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLDebugMessage_CreateApplicationMessage", "", text, id, severity, ty}).(*QOpenGLDebugMessage)
}

func QOpenGLDebugMessage_CreateThirdPartyMessage(text string, id uint, severity QOpenGLDebugMessage__Severity, ty QOpenGLDebugMessage__Type) *QOpenGLDebugMessage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLDebugMessage_CreateThirdPartyMessage", "", text, id, severity, ty}).(*QOpenGLDebugMessage)
}

func (ptr *QOpenGLDebugMessage) CreateThirdPartyMessage(text string, id uint, severity QOpenGLDebugMessage__Severity, ty QOpenGLDebugMessage__Type) *QOpenGLDebugMessage {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLDebugMessage_CreateThirdPartyMessage", "", text, id, severity, ty}).(*QOpenGLDebugMessage)
}

func (ptr *QOpenGLDebugMessage) Id() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Id"}).(float64))
}

func (ptr *QOpenGLDebugMessage) Message() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Message"}).(string)
}

func (ptr *QOpenGLDebugMessage) Severity() QOpenGLDebugMessage__Severity {

	return QOpenGLDebugMessage__Severity(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Severity"}).(float64))
}

func (ptr *QOpenGLDebugMessage) Source() QOpenGLDebugMessage__Source {

	return QOpenGLDebugMessage__Source(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Source"}).(float64))
}

func (ptr *QOpenGLDebugMessage) Swap(debugMessage QOpenGLDebugMessage_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", debugMessage})
}

func (ptr *QOpenGLDebugMessage) Type() QOpenGLDebugMessage__Type {

	return QOpenGLDebugMessage__Type(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QOpenGLDebugMessage) DestroyQOpenGLDebugMessage() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLDebugMessage"})
}

type QOpenGLExtraFunctions struct {
	QOpenGLFunctions
}

type QOpenGLExtraFunctions_ITF interface {
	QOpenGLFunctions_ITF
	QOpenGLExtraFunctions_PTR() *QOpenGLExtraFunctions
}

func (ptr *QOpenGLExtraFunctions) QOpenGLExtraFunctions_PTR() *QOpenGLExtraFunctions {
	return ptr
}

func (ptr *QOpenGLExtraFunctions) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLExtraFunctions) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLExtraFunctions(ptr QOpenGLExtraFunctions_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLExtraFunctions_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLExtraFunctions) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLExtraFunctions) ClassNameInternalF() string {
	return n.QOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLExtraFunctionsFromPointer(ptr unsafe.Pointer) (n *QOpenGLExtraFunctions) {
	n = new(QOpenGLExtraFunctions)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLExtraFunctions")
	return
}

func (ptr *QOpenGLExtraFunctions) DestroyQOpenGLExtraFunctions() {
}

func NewQOpenGLExtraFunctions() *QOpenGLExtraFunctions {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLExtraFunctions", ""}).(*QOpenGLExtraFunctions)
}

func NewQOpenGLExtraFunctions2(context QOpenGLContext_ITF) *QOpenGLExtraFunctions {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLExtraFunctions2", "", context}).(*QOpenGLExtraFunctions)
}

func (ptr *QOpenGLExtraFunctions) GlActiveShaderProgram(pipeline uint, program uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlActiveShaderProgram", pipeline, program})
}

func (ptr *QOpenGLExtraFunctions) GlBeginQuery(target uint, id uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBeginQuery", target, id})
}

func (ptr *QOpenGLExtraFunctions) GlBeginTransformFeedback(primitiveMode uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBeginTransformFeedback", primitiveMode})
}

func (ptr *QOpenGLExtraFunctions) GlBindBufferBase(target uint, index uint, buffer uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBindBufferBase", target, index, buffer})
}

func (ptr *QOpenGLExtraFunctions) GlBindImageTexture(unit uint, texture uint, level int, layered bool, layer int, access uint, format uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBindImageTexture", unit, texture, level, layered, layer, access, format})
}

func (ptr *QOpenGLExtraFunctions) GlBindProgramPipeline(pipeline uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBindProgramPipeline", pipeline})
}

func (ptr *QOpenGLExtraFunctions) GlBindSampler(unit uint, sampler uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBindSampler", unit, sampler})
}

func (ptr *QOpenGLExtraFunctions) GlBindTransformFeedback(target uint, id uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBindTransformFeedback", target, id})
}

func (ptr *QOpenGLExtraFunctions) GlBindVertexArray(array uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBindVertexArray", array})
}

func (ptr *QOpenGLExtraFunctions) GlBlendBarrier() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBlendBarrier"})
}

func (ptr *QOpenGLExtraFunctions) GlBlendEquationSeparatei(buf uint, modeRGB uint, modeAlpha uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBlendEquationSeparatei", buf, modeRGB, modeAlpha})
}

func (ptr *QOpenGLExtraFunctions) GlBlendEquationi(buf uint, mode uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBlendEquationi", buf, mode})
}

func (ptr *QOpenGLExtraFunctions) GlBlendFuncSeparatei(buf uint, srcRGB uint, dstRGB uint, srcAlpha uint, dstAlpha uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBlendFuncSeparatei", buf, srcRGB, dstRGB, srcAlpha, dstAlpha})
}

func (ptr *QOpenGLExtraFunctions) GlBlendFunci(buf uint, src uint, dst uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBlendFunci", buf, src, dst})
}

func (ptr *QOpenGLExtraFunctions) GlBlitFramebuffer(srcX0 int, srcY0 int, srcX1 int, srcY1 int, dstX0 int, dstY0 int, dstX1 int, dstY1 int, mask uint, filter uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBlitFramebuffer", srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter})
}

func (ptr *QOpenGLExtraFunctions) GlClearBufferfi(buffer uint, drawbuffer int, depth float32, stencil int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlClearBufferfi", buffer, drawbuffer, depth, stencil})
}

func (ptr *QOpenGLExtraFunctions) GlClearBufferfv(buffer uint, drawbuffer int, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlClearBufferfv", buffer, drawbuffer, value})
}

func (ptr *QOpenGLExtraFunctions) GlClearBufferiv(buffer uint, drawbuffer int, value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlClearBufferiv", buffer, drawbuffer, value})
}

func (ptr *QOpenGLExtraFunctions) GlClearBufferuiv(buffer uint, drawbuffer int, value uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlClearBufferuiv", buffer, drawbuffer, value})
}

func (ptr *QOpenGLExtraFunctions) GlColorMaski(index uint, r bool, g bool, b bool, a bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlColorMaski", index, r, g, b, a})
}

func (ptr *QOpenGLExtraFunctions) GlCompressedTexImage3D(target uint, level int, internalformat uint, width int, height int, depth int, border int, imageSize int, data unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlCompressedTexImage3D", target, level, internalformat, width, height, depth, border, imageSize, data})
}

func (ptr *QOpenGLExtraFunctions) GlCompressedTexSubImage3D(target uint, level int, xoffset int, yoffset int, zoffset int, width int, height int, depth int, format uint, imageSize int, data unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlCompressedTexSubImage3D", target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data})
}

func (ptr *QOpenGLExtraFunctions) GlCopyImageSubData(srcName uint, srcTarget uint, srcLevel int, srcX int, srcY int, srcZ int, dstName uint, dstTarget uint, dstLevel int, dstX int, dstY int, dstZ int, srcWidth int, srcHeight int, srcDepth int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlCopyImageSubData", srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, srcWidth, srcHeight, srcDepth})
}

func (ptr *QOpenGLExtraFunctions) GlCopyTexSubImage3D(target uint, level int, xoffset int, yoffset int, zoffset int, x int, y int, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlCopyTexSubImage3D", target, level, xoffset, yoffset, zoffset, x, y, width, height})
}

func (ptr *QOpenGLExtraFunctions) GlDebugMessageControl(source uint, ty uint, severity uint, count int, ids uint, enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDebugMessageControl", source, ty, severity, count, ids, enabled})
}

func (ptr *QOpenGLExtraFunctions) GlDeleteProgramPipelines(n int, pipelines uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDeleteProgramPipelines", n, pipelines})
}

func (ptr *QOpenGLExtraFunctions) GlDeleteQueries(n int, ids uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDeleteQueries", n, ids})
}

func (ptr *QOpenGLExtraFunctions) GlDeleteSamplers(count int, samplers uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDeleteSamplers", count, samplers})
}

func (ptr *QOpenGLExtraFunctions) GlDeleteTransformFeedbacks(n int, ids uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDeleteTransformFeedbacks", n, ids})
}

func (ptr *QOpenGLExtraFunctions) GlDeleteVertexArrays(n int, arrays uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDeleteVertexArrays", n, arrays})
}

func (ptr *QOpenGLExtraFunctions) GlDisablei(target uint, index uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDisablei", target, index})
}

func (ptr *QOpenGLExtraFunctions) GlDispatchCompute(num_groups_x uint, num_groups_y uint, num_groups_z uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDispatchCompute", num_groups_x, num_groups_y, num_groups_z})
}

func (ptr *QOpenGLExtraFunctions) GlDrawArraysIndirect(mode uint, indirect unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDrawArraysIndirect", mode, indirect})
}

func (ptr *QOpenGLExtraFunctions) GlDrawArraysInstanced(mode uint, first int, count int, instancecount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDrawArraysInstanced", mode, first, count, instancecount})
}

func (ptr *QOpenGLExtraFunctions) GlDrawBuffers(n int, bufs uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDrawBuffers", n, bufs})
}

func (ptr *QOpenGLExtraFunctions) GlDrawElementsBaseVertex(mode uint, count int, ty uint, indices unsafe.Pointer, basevertex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDrawElementsBaseVertex", mode, count, ty, indices, basevertex})
}

func (ptr *QOpenGLExtraFunctions) GlDrawElementsIndirect(mode uint, ty uint, indirect unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDrawElementsIndirect", mode, ty, indirect})
}

func (ptr *QOpenGLExtraFunctions) GlDrawElementsInstanced(mode uint, count int, ty uint, indices unsafe.Pointer, instancecount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDrawElementsInstanced", mode, count, ty, indices, instancecount})
}

func (ptr *QOpenGLExtraFunctions) GlDrawElementsInstancedBaseVertex(mode uint, count int, ty uint, indices unsafe.Pointer, instancecount int, basevertex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDrawElementsInstancedBaseVertex", mode, count, ty, indices, instancecount, basevertex})
}

func (ptr *QOpenGLExtraFunctions) GlDrawRangeElements(mode uint, start uint, end uint, count int, ty uint, indices unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDrawRangeElements", mode, start, end, count, ty, indices})
}

func (ptr *QOpenGLExtraFunctions) GlDrawRangeElementsBaseVertex(mode uint, start uint, end uint, count int, ty uint, indices unsafe.Pointer, basevertex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDrawRangeElementsBaseVertex", mode, start, end, count, ty, indices, basevertex})
}

func (ptr *QOpenGLExtraFunctions) GlEnablei(target uint, index uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlEnablei", target, index})
}

func (ptr *QOpenGLExtraFunctions) GlEndQuery(target uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlEndQuery", target})
}

func (ptr *QOpenGLExtraFunctions) GlEndTransformFeedback() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlEndTransformFeedback"})
}

func (ptr *QOpenGLExtraFunctions) GlFramebufferParameteri(target uint, pname uint, param int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlFramebufferParameteri", target, pname, param})
}

func (ptr *QOpenGLExtraFunctions) GlFramebufferTexture(target uint, attachment uint, texture uint, level int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlFramebufferTexture", target, attachment, texture, level})
}

func (ptr *QOpenGLExtraFunctions) GlFramebufferTextureLayer(target uint, attachment uint, texture uint, level int, layer int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlFramebufferTextureLayer", target, attachment, texture, level, layer})
}

func (ptr *QOpenGLExtraFunctions) GlGenProgramPipelines(n int, pipelines uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGenProgramPipelines", n, pipelines})
}

func (ptr *QOpenGLExtraFunctions) GlGenQueries(n int, ids uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGenQueries", n, ids})
}

func (ptr *QOpenGLExtraFunctions) GlGenSamplers(count int, samplers uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGenSamplers", count, samplers})
}

func (ptr *QOpenGLExtraFunctions) GlGenTransformFeedbacks(n int, ids uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGenTransformFeedbacks", n, ids})
}

func (ptr *QOpenGLExtraFunctions) GlGenVertexArrays(n int, arrays uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGenVertexArrays", n, arrays})
}

func (ptr *QOpenGLExtraFunctions) GlGetActiveUniformBlockiv(program uint, uniformBlockIndex uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetActiveUniformBlockiv", program, uniformBlockIndex, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetActiveUniformsiv(program uint, uniformCount int, uniformIndices uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetActiveUniformsiv", program, uniformCount, uniformIndices, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetBooleani_v(target uint, index uint, data *bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetBooleani_v", target, index, data})
}

func (ptr *QOpenGLExtraFunctions) GlGetBufferPointerv(target uint, pname uint, params unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetBufferPointerv", target, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetFramebufferParameteriv(target uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetFramebufferParameteriv", target, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetGraphicsResetStatus() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetGraphicsResetStatus"}).(float64))
}

func (ptr *QOpenGLExtraFunctions) GlGetIntegeri_v(target uint, index uint, data int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetIntegeri_v", target, index, data})
}

func (ptr *QOpenGLExtraFunctions) GlGetInternalformativ(target uint, internalformat uint, pname uint, bufSize int, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetInternalformativ", target, internalformat, pname, bufSize, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetMultisamplefv(pname uint, index uint, val float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetMultisamplefv", pname, index, val})
}

func (ptr *QOpenGLExtraFunctions) GlGetPointerv(pname uint, params unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetPointerv", pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetProgramBinary(program uint, bufSize int, length int, binaryFormat uint, binary unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetProgramBinary", program, bufSize, length, binaryFormat, binary})
}

func (ptr *QOpenGLExtraFunctions) GlGetProgramInterfaceiv(program uint, programInterface uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetProgramInterfaceiv", program, programInterface, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetProgramPipelineiv(pipeline uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetProgramPipelineiv", pipeline, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetProgramResourceiv(program uint, programInterface uint, index uint, propCount int, props uint, bufSize int, length int, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetProgramResourceiv", program, programInterface, index, propCount, props, bufSize, length, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetQueryObjectuiv(id uint, pname uint, params uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetQueryObjectuiv", id, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetQueryiv(target uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetQueryiv", target, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetSamplerParameterIiv(sampler uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetSamplerParameterIiv", sampler, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetSamplerParameterIuiv(sampler uint, pname uint, params uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetSamplerParameterIuiv", sampler, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetSamplerParameterfv(sampler uint, pname uint, params float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetSamplerParameterfv", sampler, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetSamplerParameteriv(sampler uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetSamplerParameteriv", sampler, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetStringi(name uint, index uint) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetStringi", name, index}).(string)
}

func (ptr *QOpenGLExtraFunctions) GlGetTexLevelParameterfv(target uint, level int, pname uint, params float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetTexLevelParameterfv", target, level, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetTexLevelParameteriv(target uint, level int, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetTexLevelParameteriv", target, level, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetTexParameterIiv(target uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetTexParameterIiv", target, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetTexParameterIuiv(target uint, pname uint, params uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetTexParameterIuiv", target, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetUniformuiv(program uint, location int, params uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetUniformuiv", program, location, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetVertexAttribIiv(index uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetVertexAttribIiv", index, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetVertexAttribIuiv(index uint, pname uint, params uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetVertexAttribIuiv", index, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetnUniformfv(program uint, location int, bufSize int, params float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetnUniformfv", program, location, bufSize, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetnUniformiv(program uint, location int, bufSize int, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetnUniformiv", program, location, bufSize, params})
}

func (ptr *QOpenGLExtraFunctions) GlGetnUniformuiv(program uint, location int, bufSize int, params uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetnUniformuiv", program, location, bufSize, params})
}

func (ptr *QOpenGLExtraFunctions) GlInvalidateFramebuffer(target uint, numAttachments int, attachments uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlInvalidateFramebuffer", target, numAttachments, attachments})
}

func (ptr *QOpenGLExtraFunctions) GlInvalidateSubFramebuffer(target uint, numAttachments int, attachments uint, x int, y int, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlInvalidateSubFramebuffer", target, numAttachments, attachments, x, y, width, height})
}

func (ptr *QOpenGLExtraFunctions) GlIsEnabledi(target uint, index uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlIsEnabledi", target, index}).(bool)
}

func (ptr *QOpenGLExtraFunctions) GlIsProgramPipeline(pipeline uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlIsProgramPipeline", pipeline}).(bool)
}

func (ptr *QOpenGLExtraFunctions) GlIsQuery(id uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlIsQuery", id}).(bool)
}

func (ptr *QOpenGLExtraFunctions) GlIsSampler(sampler uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlIsSampler", sampler}).(bool)
}

func (ptr *QOpenGLExtraFunctions) GlIsTransformFeedback(id uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlIsTransformFeedback", id}).(bool)
}

func (ptr *QOpenGLExtraFunctions) GlIsVertexArray(array uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlIsVertexArray", array}).(bool)
}

func (ptr *QOpenGLExtraFunctions) GlMemoryBarrier(barriers uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlMemoryBarrier", barriers})
}

func (ptr *QOpenGLExtraFunctions) GlMemoryBarrierByRegion(barriers uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlMemoryBarrierByRegion", barriers})
}

func (ptr *QOpenGLExtraFunctions) GlMinSampleShading(value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlMinSampleShading", value})
}

func (ptr *QOpenGLExtraFunctions) GlPatchParameteri(pname uint, value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlPatchParameteri", pname, value})
}

func (ptr *QOpenGLExtraFunctions) GlPauseTransformFeedback() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlPauseTransformFeedback"})
}

func (ptr *QOpenGLExtraFunctions) GlPopDebugGroup() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlPopDebugGroup"})
}

func (ptr *QOpenGLExtraFunctions) GlPrimitiveBoundingBox(minX float32, minY float32, minZ float32, minW float32, maxX float32, maxY float32, maxZ float32, maxW float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlPrimitiveBoundingBox", minX, minY, minZ, minW, maxX, maxY, maxZ, maxW})
}

func (ptr *QOpenGLExtraFunctions) GlProgramBinary(program uint, binaryFormat uint, binary unsafe.Pointer, length int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramBinary", program, binaryFormat, binary, length})
}

func (ptr *QOpenGLExtraFunctions) GlProgramParameteri(program uint, pname uint, value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramParameteri", program, pname, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform1f(program uint, location int, v0 float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform1f", program, location, v0})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform1fv(program uint, location int, count int, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform1fv", program, location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform1i(program uint, location int, v0 int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform1i", program, location, v0})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform1iv(program uint, location int, count int, value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform1iv", program, location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform1ui(program uint, location int, v0 uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform1ui", program, location, v0})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform1uiv(program uint, location int, count int, value uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform1uiv", program, location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform2f(program uint, location int, v0 float32, v1 float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform2f", program, location, v0, v1})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform2fv(program uint, location int, count int, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform2fv", program, location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform2i(program uint, location int, v0 int, v1 int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform2i", program, location, v0, v1})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform2iv(program uint, location int, count int, value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform2iv", program, location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform2ui(program uint, location int, v0 uint, v1 uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform2ui", program, location, v0, v1})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform2uiv(program uint, location int, count int, value uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform2uiv", program, location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform3f(program uint, location int, v0 float32, v1 float32, v2 float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform3f", program, location, v0, v1, v2})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform3fv(program uint, location int, count int, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform3fv", program, location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform3i(program uint, location int, v0 int, v1 int, v2 int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform3i", program, location, v0, v1, v2})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform3iv(program uint, location int, count int, value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform3iv", program, location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform3ui(program uint, location int, v0 uint, v1 uint, v2 uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform3ui", program, location, v0, v1, v2})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform3uiv(program uint, location int, count int, value uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform3uiv", program, location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform4f(program uint, location int, v0 float32, v1 float32, v2 float32, v3 float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform4f", program, location, v0, v1, v2, v3})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform4fv(program uint, location int, count int, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform4fv", program, location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform4i(program uint, location int, v0 int, v1 int, v2 int, v3 int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform4i", program, location, v0, v1, v2, v3})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform4iv(program uint, location int, count int, value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform4iv", program, location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform4ui(program uint, location int, v0 uint, v1 uint, v2 uint, v3 uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform4ui", program, location, v0, v1, v2, v3})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniform4uiv(program uint, location int, count int, value uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniform4uiv", program, location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniformMatrix2fv(program uint, location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniformMatrix2fv", program, location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniformMatrix2x3fv(program uint, location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniformMatrix2x3fv", program, location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniformMatrix2x4fv(program uint, location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniformMatrix2x4fv", program, location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniformMatrix3fv(program uint, location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniformMatrix3fv", program, location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniformMatrix3x2fv(program uint, location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniformMatrix3x2fv", program, location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniformMatrix3x4fv(program uint, location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniformMatrix3x4fv", program, location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniformMatrix4fv(program uint, location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniformMatrix4fv", program, location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniformMatrix4x2fv(program uint, location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniformMatrix4x2fv", program, location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlProgramUniformMatrix4x3fv(program uint, location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlProgramUniformMatrix4x3fv", program, location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlReadBuffer(src uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlReadBuffer", src})
}

func (ptr *QOpenGLExtraFunctions) GlReadnPixels(x int, y int, width int, height int, format uint, ty uint, bufSize int, data unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlReadnPixels", x, y, width, height, format, ty, bufSize, data})
}

func (ptr *QOpenGLExtraFunctions) GlRenderbufferStorageMultisample(target uint, samples int, internalformat uint, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlRenderbufferStorageMultisample", target, samples, internalformat, width, height})
}

func (ptr *QOpenGLExtraFunctions) GlResumeTransformFeedback() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlResumeTransformFeedback"})
}

func (ptr *QOpenGLExtraFunctions) GlSampleMaski(maskNumber uint, mask uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlSampleMaski", maskNumber, mask})
}

func (ptr *QOpenGLExtraFunctions) GlSamplerParameterIiv(sampler uint, pname uint, param int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlSamplerParameterIiv", sampler, pname, param})
}

func (ptr *QOpenGLExtraFunctions) GlSamplerParameterIuiv(sampler uint, pname uint, param uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlSamplerParameterIuiv", sampler, pname, param})
}

func (ptr *QOpenGLExtraFunctions) GlSamplerParameterf(sampler uint, pname uint, param float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlSamplerParameterf", sampler, pname, param})
}

func (ptr *QOpenGLExtraFunctions) GlSamplerParameterfv(sampler uint, pname uint, param float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlSamplerParameterfv", sampler, pname, param})
}

func (ptr *QOpenGLExtraFunctions) GlSamplerParameteri(sampler uint, pname uint, param int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlSamplerParameteri", sampler, pname, param})
}

func (ptr *QOpenGLExtraFunctions) GlSamplerParameteriv(sampler uint, pname uint, param int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlSamplerParameteriv", sampler, pname, param})
}

func (ptr *QOpenGLExtraFunctions) GlTexBuffer(target uint, internalformat uint, buffer uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexBuffer", target, internalformat, buffer})
}

func (ptr *QOpenGLExtraFunctions) GlTexImage3D(target uint, level int, internalformat int, width int, height int, depth int, border int, format uint, ty uint, pixels unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexImage3D", target, level, internalformat, width, height, depth, border, format, ty, pixels})
}

func (ptr *QOpenGLExtraFunctions) GlTexParameterIiv(target uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexParameterIiv", target, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlTexParameterIuiv(target uint, pname uint, params uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexParameterIuiv", target, pname, params})
}

func (ptr *QOpenGLExtraFunctions) GlTexStorage2D(target uint, levels int, internalformat uint, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexStorage2D", target, levels, internalformat, width, height})
}

func (ptr *QOpenGLExtraFunctions) GlTexStorage2DMultisample(target uint, samples int, internalformat uint, width int, height int, fixedsamplelocations bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexStorage2DMultisample", target, samples, internalformat, width, height, fixedsamplelocations})
}

func (ptr *QOpenGLExtraFunctions) GlTexStorage3D(target uint, levels int, internalformat uint, width int, height int, depth int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexStorage3D", target, levels, internalformat, width, height, depth})
}

func (ptr *QOpenGLExtraFunctions) GlTexStorage3DMultisample(target uint, samples int, internalformat uint, width int, height int, depth int, fixedsamplelocations bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexStorage3DMultisample", target, samples, internalformat, width, height, depth, fixedsamplelocations})
}

func (ptr *QOpenGLExtraFunctions) GlTexSubImage3D(target uint, level int, xoffset int, yoffset int, zoffset int, width int, height int, depth int, format uint, ty uint, pixels unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexSubImage3D", target, level, xoffset, yoffset, zoffset, width, height, depth, format, ty, pixels})
}

func (ptr *QOpenGLExtraFunctions) GlUniform1ui(location int, v0 uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform1ui", location, v0})
}

func (ptr *QOpenGLExtraFunctions) GlUniform1uiv(location int, count int, value uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform1uiv", location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlUniform2ui(location int, v0 uint, v1 uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform2ui", location, v0, v1})
}

func (ptr *QOpenGLExtraFunctions) GlUniform2uiv(location int, count int, value uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform2uiv", location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlUniform3ui(location int, v0 uint, v1 uint, v2 uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform3ui", location, v0, v1, v2})
}

func (ptr *QOpenGLExtraFunctions) GlUniform3uiv(location int, count int, value uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform3uiv", location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlUniform4ui(location int, v0 uint, v1 uint, v2 uint, v3 uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform4ui", location, v0, v1, v2, v3})
}

func (ptr *QOpenGLExtraFunctions) GlUniform4uiv(location int, count int, value uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform4uiv", location, count, value})
}

func (ptr *QOpenGLExtraFunctions) GlUniformBlockBinding(program uint, uniformBlockIndex uint, uniformBlockBinding uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniformBlockBinding", program, uniformBlockIndex, uniformBlockBinding})
}

func (ptr *QOpenGLExtraFunctions) GlUniformMatrix2x3fv(location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniformMatrix2x3fv", location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlUniformMatrix2x4fv(location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniformMatrix2x4fv", location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlUniformMatrix3x2fv(location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniformMatrix3x2fv", location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlUniformMatrix3x4fv(location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniformMatrix3x4fv", location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlUniformMatrix4x2fv(location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniformMatrix4x2fv", location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlUniformMatrix4x3fv(location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniformMatrix4x3fv", location, count, transpose, value})
}

func (ptr *QOpenGLExtraFunctions) GlUnmapBuffer(target uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUnmapBuffer", target}).(bool)
}

func (ptr *QOpenGLExtraFunctions) GlUseProgramStages(pipeline uint, stages uint, program uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUseProgramStages", pipeline, stages, program})
}

func (ptr *QOpenGLExtraFunctions) GlValidateProgramPipeline(pipeline uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlValidateProgramPipeline", pipeline})
}

func (ptr *QOpenGLExtraFunctions) GlVertexAttribBinding(attribindex uint, bindingindex uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttribBinding", attribindex, bindingindex})
}

func (ptr *QOpenGLExtraFunctions) GlVertexAttribDivisor(index uint, divisor uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttribDivisor", index, divisor})
}

func (ptr *QOpenGLExtraFunctions) GlVertexAttribFormat(attribindex uint, size int, ty uint, normalized bool, relativeoffset uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttribFormat", attribindex, size, ty, normalized, relativeoffset})
}

func (ptr *QOpenGLExtraFunctions) GlVertexAttribI4i(index uint, x int, y int, z int, w int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttribI4i", index, x, y, z, w})
}

func (ptr *QOpenGLExtraFunctions) GlVertexAttribI4iv(index uint, v int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttribI4iv", index, v})
}

func (ptr *QOpenGLExtraFunctions) GlVertexAttribI4ui(index uint, x uint, y uint, z uint, w uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttribI4ui", index, x, y, z, w})
}

func (ptr *QOpenGLExtraFunctions) GlVertexAttribI4uiv(index uint, v uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttribI4uiv", index, v})
}

func (ptr *QOpenGLExtraFunctions) GlVertexAttribIFormat(attribindex uint, size int, ty uint, relativeoffset uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttribIFormat", attribindex, size, ty, relativeoffset})
}

func (ptr *QOpenGLExtraFunctions) GlVertexAttribIPointer(index uint, size int, ty uint, stride int, pointer unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttribIPointer", index, size, ty, stride, pointer})
}

func (ptr *QOpenGLExtraFunctions) GlVertexBindingDivisor(bindingindex uint, divisor uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexBindingDivisor", bindingindex, divisor})
}

type QOpenGLFramebufferObject struct {
	internal.Internal
}

type QOpenGLFramebufferObject_ITF interface {
	QOpenGLFramebufferObject_PTR() *QOpenGLFramebufferObject
}

func (ptr *QOpenGLFramebufferObject) QOpenGLFramebufferObject_PTR() *QOpenGLFramebufferObject {
	return ptr
}

func (ptr *QOpenGLFramebufferObject) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QOpenGLFramebufferObject) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQOpenGLFramebufferObject(ptr QOpenGLFramebufferObject_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFramebufferObject_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFramebufferObject) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQOpenGLFramebufferObjectFromPointer(ptr unsafe.Pointer) (n *QOpenGLFramebufferObject) {
	n = new(QOpenGLFramebufferObject)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFramebufferObject")
	return
}

//go:generate stringer -type=QOpenGLFramebufferObject__Attachment
//QOpenGLFramebufferObject::Attachment
type QOpenGLFramebufferObject__Attachment int64

const (
	QOpenGLFramebufferObject__NoAttachment         QOpenGLFramebufferObject__Attachment = QOpenGLFramebufferObject__Attachment(0)
	QOpenGLFramebufferObject__CombinedDepthStencil QOpenGLFramebufferObject__Attachment = QOpenGLFramebufferObject__Attachment(1)
	QOpenGLFramebufferObject__Depth                QOpenGLFramebufferObject__Attachment = QOpenGLFramebufferObject__Attachment(2)
)

//go:generate stringer -type=QOpenGLFramebufferObject__FramebufferRestorePolicy
//QOpenGLFramebufferObject::FramebufferRestorePolicy
type QOpenGLFramebufferObject__FramebufferRestorePolicy int64

const (
	QOpenGLFramebufferObject__DontRestoreFramebufferBinding      QOpenGLFramebufferObject__FramebufferRestorePolicy = QOpenGLFramebufferObject__FramebufferRestorePolicy(0)
	QOpenGLFramebufferObject__RestoreFramebufferBindingToDefault QOpenGLFramebufferObject__FramebufferRestorePolicy = QOpenGLFramebufferObject__FramebufferRestorePolicy(1)
	QOpenGLFramebufferObject__RestoreFrameBufferBinding          QOpenGLFramebufferObject__FramebufferRestorePolicy = QOpenGLFramebufferObject__FramebufferRestorePolicy(2)
)

func NewQOpenGLFramebufferObject(size core.QSize_ITF, target uint) *QOpenGLFramebufferObject {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLFramebufferObject", "", size, target}).(*QOpenGLFramebufferObject)
}

func NewQOpenGLFramebufferObject2(width int, height int, target uint) *QOpenGLFramebufferObject {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLFramebufferObject2", "", width, height, target}).(*QOpenGLFramebufferObject)
}

func NewQOpenGLFramebufferObject3(size core.QSize_ITF, attachment QOpenGLFramebufferObject__Attachment, target uint, internalFormat uint) *QOpenGLFramebufferObject {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLFramebufferObject3", "", size, attachment, target, internalFormat}).(*QOpenGLFramebufferObject)
}

func NewQOpenGLFramebufferObject4(width int, height int, attachment QOpenGLFramebufferObject__Attachment, target uint, internalFormat uint) *QOpenGLFramebufferObject {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLFramebufferObject4", "", width, height, attachment, target, internalFormat}).(*QOpenGLFramebufferObject)
}

func NewQOpenGLFramebufferObject5(size core.QSize_ITF, format QOpenGLFramebufferObjectFormat_ITF) *QOpenGLFramebufferObject {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLFramebufferObject5", "", size, format}).(*QOpenGLFramebufferObject)
}

func NewQOpenGLFramebufferObject6(width int, height int, format QOpenGLFramebufferObjectFormat_ITF) *QOpenGLFramebufferObject {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLFramebufferObject6", "", width, height, format}).(*QOpenGLFramebufferObject)
}

func (ptr *QOpenGLFramebufferObject) AddColorAttachment(size core.QSize_ITF, internalFormat uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddColorAttachment", size, internalFormat})
}

func (ptr *QOpenGLFramebufferObject) AddColorAttachment2(width int, height int, internalFormat uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddColorAttachment2", width, height, internalFormat})
}

func (ptr *QOpenGLFramebufferObject) Attachment() QOpenGLFramebufferObject__Attachment {

	return QOpenGLFramebufferObject__Attachment(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Attachment"}).(float64))
}

func (ptr *QOpenGLFramebufferObject) Bind() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bind"}).(bool)
}

func QOpenGLFramebufferObject_BindDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLFramebufferObject_BindDefault", ""}).(bool)
}

func (ptr *QOpenGLFramebufferObject) BindDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLFramebufferObject_BindDefault", ""}).(bool)
}

func QOpenGLFramebufferObject_BlitFramebuffer(target QOpenGLFramebufferObject_ITF, targetRect core.QRect_ITF, source QOpenGLFramebufferObject_ITF, sourceRect core.QRect_ITF, buffers uint, filter uint, readColorAttachmentIndex int, drawColorAttachmentIndex int, restorePolicy QOpenGLFramebufferObject__FramebufferRestorePolicy) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLFramebufferObject_BlitFramebuffer", "", target, targetRect, source, sourceRect, buffers, filter, readColorAttachmentIndex, drawColorAttachmentIndex, restorePolicy})
}

func (ptr *QOpenGLFramebufferObject) BlitFramebuffer(target QOpenGLFramebufferObject_ITF, targetRect core.QRect_ITF, source QOpenGLFramebufferObject_ITF, sourceRect core.QRect_ITF, buffers uint, filter uint, readColorAttachmentIndex int, drawColorAttachmentIndex int, restorePolicy QOpenGLFramebufferObject__FramebufferRestorePolicy) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLFramebufferObject_BlitFramebuffer", "", target, targetRect, source, sourceRect, buffers, filter, readColorAttachmentIndex, drawColorAttachmentIndex, restorePolicy})
}

func QOpenGLFramebufferObject_BlitFramebuffer2(target QOpenGLFramebufferObject_ITF, targetRect core.QRect_ITF, source QOpenGLFramebufferObject_ITF, sourceRect core.QRect_ITF, buffers uint, filter uint, readColorAttachmentIndex int, drawColorAttachmentIndex int) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLFramebufferObject_BlitFramebuffer2", "", target, targetRect, source, sourceRect, buffers, filter, readColorAttachmentIndex, drawColorAttachmentIndex})
}

func (ptr *QOpenGLFramebufferObject) BlitFramebuffer2(target QOpenGLFramebufferObject_ITF, targetRect core.QRect_ITF, source QOpenGLFramebufferObject_ITF, sourceRect core.QRect_ITF, buffers uint, filter uint, readColorAttachmentIndex int, drawColorAttachmentIndex int) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLFramebufferObject_BlitFramebuffer2", "", target, targetRect, source, sourceRect, buffers, filter, readColorAttachmentIndex, drawColorAttachmentIndex})
}

func QOpenGLFramebufferObject_BlitFramebuffer3(target QOpenGLFramebufferObject_ITF, targetRect core.QRect_ITF, source QOpenGLFramebufferObject_ITF, sourceRect core.QRect_ITF, buffers uint, filter uint) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLFramebufferObject_BlitFramebuffer3", "", target, targetRect, source, sourceRect, buffers, filter})
}

func (ptr *QOpenGLFramebufferObject) BlitFramebuffer3(target QOpenGLFramebufferObject_ITF, targetRect core.QRect_ITF, source QOpenGLFramebufferObject_ITF, sourceRect core.QRect_ITF, buffers uint, filter uint) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLFramebufferObject_BlitFramebuffer3", "", target, targetRect, source, sourceRect, buffers, filter})
}

func QOpenGLFramebufferObject_BlitFramebuffer4(target QOpenGLFramebufferObject_ITF, source QOpenGLFramebufferObject_ITF, buffers uint, filter uint) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLFramebufferObject_BlitFramebuffer4", "", target, source, buffers, filter})
}

func (ptr *QOpenGLFramebufferObject) BlitFramebuffer4(target QOpenGLFramebufferObject_ITF, source QOpenGLFramebufferObject_ITF, buffers uint, filter uint) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLFramebufferObject_BlitFramebuffer4", "", target, source, buffers, filter})
}

func (ptr *QOpenGLFramebufferObject) Format() *QOpenGLFramebufferObjectFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*QOpenGLFramebufferObjectFormat)
}

func (ptr *QOpenGLFramebufferObject) Handle() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Handle"}).(float64))
}

func QOpenGLFramebufferObject_HasOpenGLFramebufferBlit() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLFramebufferObject_HasOpenGLFramebufferBlit", ""}).(bool)
}

func (ptr *QOpenGLFramebufferObject) HasOpenGLFramebufferBlit() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLFramebufferObject_HasOpenGLFramebufferBlit", ""}).(bool)
}

func QOpenGLFramebufferObject_HasOpenGLFramebufferObjects() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLFramebufferObject_HasOpenGLFramebufferObjects", ""}).(bool)
}

func (ptr *QOpenGLFramebufferObject) HasOpenGLFramebufferObjects() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLFramebufferObject_HasOpenGLFramebufferObjects", ""}).(bool)
}

func (ptr *QOpenGLFramebufferObject) Height() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64))
}

func (ptr *QOpenGLFramebufferObject) IsBound() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsBound"}).(bool)
}

func (ptr *QOpenGLFramebufferObject) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QOpenGLFramebufferObject) Release() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Release"}).(bool)
}

func (ptr *QOpenGLFramebufferObject) SetAttachment(attachment QOpenGLFramebufferObject__Attachment) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttachment", attachment})
}

func (ptr *QOpenGLFramebufferObject) Size() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(*core.QSize)
}

func (ptr *QOpenGLFramebufferObject) Sizes() []*core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Sizes"}).([]*core.QSize)
}

func (ptr *QOpenGLFramebufferObject) TakeTexture() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeTexture"}).(float64))
}

func (ptr *QOpenGLFramebufferObject) TakeTexture2(colorAttachmentIndex int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeTexture2", colorAttachmentIndex}).(float64))
}

func (ptr *QOpenGLFramebufferObject) Texture() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Texture"}).(float64))
}

func (ptr *QOpenGLFramebufferObject) Textures() []uint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Textures"}).([]uint)
}

func (ptr *QOpenGLFramebufferObject) ToImage(flipped bool) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToImage", flipped}).(*QImage)
}

func (ptr *QOpenGLFramebufferObject) ToImage2() *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToImage2"}).(*QImage)
}

func (ptr *QOpenGLFramebufferObject) ToImage3(flipped bool, colorAttachmentIndex int) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToImage3", flipped, colorAttachmentIndex}).(*QImage)
}

func (ptr *QOpenGLFramebufferObject) Width() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64))
}

func (ptr *QOpenGLFramebufferObject) ConnectDestroyQOpenGLFramebufferObject(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQOpenGLFramebufferObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLFramebufferObject) DisconnectDestroyQOpenGLFramebufferObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQOpenGLFramebufferObject"})
}

func (ptr *QOpenGLFramebufferObject) DestroyQOpenGLFramebufferObject() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLFramebufferObject"})
}

func (ptr *QOpenGLFramebufferObject) DestroyQOpenGLFramebufferObjectDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLFramebufferObjectDefault"})
}

func (ptr *QOpenGLFramebufferObject) __sizes_atList(i int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__sizes_atList", i}).(*core.QSize)
}

func (ptr *QOpenGLFramebufferObject) __sizes_setList(i core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__sizes_setList", i})
}

func (ptr *QOpenGLFramebufferObject) __sizes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__sizes_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLFramebufferObject) __textures_atList(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__textures_atList", i}).(float64))
}

func (ptr *QOpenGLFramebufferObject) __textures_setList(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__textures_setList", i})
}

func (ptr *QOpenGLFramebufferObject) __textures_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__textures_newList"}).(unsafe.Pointer)
}

type QOpenGLFramebufferObjectFormat struct {
	internal.Internal
}

type QOpenGLFramebufferObjectFormat_ITF interface {
	QOpenGLFramebufferObjectFormat_PTR() *QOpenGLFramebufferObjectFormat
}

func (ptr *QOpenGLFramebufferObjectFormat) QOpenGLFramebufferObjectFormat_PTR() *QOpenGLFramebufferObjectFormat {
	return ptr
}

func (ptr *QOpenGLFramebufferObjectFormat) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QOpenGLFramebufferObjectFormat) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQOpenGLFramebufferObjectFormat(ptr QOpenGLFramebufferObjectFormat_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFramebufferObjectFormat_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFramebufferObjectFormat) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQOpenGLFramebufferObjectFormatFromPointer(ptr unsafe.Pointer) (n *QOpenGLFramebufferObjectFormat) {
	n = new(QOpenGLFramebufferObjectFormat)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFramebufferObjectFormat")
	return
}
func NewQOpenGLFramebufferObjectFormat() *QOpenGLFramebufferObjectFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLFramebufferObjectFormat", ""}).(*QOpenGLFramebufferObjectFormat)
}

func NewQOpenGLFramebufferObjectFormat2(other QOpenGLFramebufferObjectFormat_ITF) *QOpenGLFramebufferObjectFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLFramebufferObjectFormat2", "", other}).(*QOpenGLFramebufferObjectFormat)
}

func (ptr *QOpenGLFramebufferObjectFormat) Attachment() QOpenGLFramebufferObject__Attachment {

	return QOpenGLFramebufferObject__Attachment(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Attachment"}).(float64))
}

func (ptr *QOpenGLFramebufferObjectFormat) InternalTextureFormat() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InternalTextureFormat"}).(float64))
}

func (ptr *QOpenGLFramebufferObjectFormat) Mipmap() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mipmap"}).(bool)
}

func (ptr *QOpenGLFramebufferObjectFormat) Samples() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Samples"}).(float64))
}

func (ptr *QOpenGLFramebufferObjectFormat) SetAttachment(attachment QOpenGLFramebufferObject__Attachment) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttachment", attachment})
}

func (ptr *QOpenGLFramebufferObjectFormat) SetInternalTextureFormat(internalTextureFormat uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInternalTextureFormat", internalTextureFormat})
}

func (ptr *QOpenGLFramebufferObjectFormat) SetMipmap(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMipmap", enabled})
}

func (ptr *QOpenGLFramebufferObjectFormat) SetSamples(samples int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSamples", samples})
}

func (ptr *QOpenGLFramebufferObjectFormat) SetTextureTarget(target uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextureTarget", target})
}

func (ptr *QOpenGLFramebufferObjectFormat) TextureTarget() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextureTarget"}).(float64))
}

func (ptr *QOpenGLFramebufferObjectFormat) DestroyQOpenGLFramebufferObjectFormat() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLFramebufferObjectFormat"})
}

type QOpenGLFunctions struct {
	internal.Internal
}

type QOpenGLFunctions_ITF interface {
	QOpenGLFunctions_PTR() *QOpenGLFunctions
}

func (ptr *QOpenGLFunctions) QOpenGLFunctions_PTR() *QOpenGLFunctions {
	return ptr
}

func (ptr *QOpenGLFunctions) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QOpenGLFunctions) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQOpenGLFunctions(ptr QOpenGLFunctions_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQOpenGLFunctionsFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions) {
	n = new(QOpenGLFunctions)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions")
	return
}

//go:generate stringer -type=QOpenGLFunctions__OpenGLFeature
//QOpenGLFunctions::OpenGLFeature
type QOpenGLFunctions__OpenGLFeature int64

const (
	QOpenGLFunctions__Multitexture          QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x0001)
	QOpenGLFunctions__Shaders               QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x0002)
	QOpenGLFunctions__Buffers               QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x0004)
	QOpenGLFunctions__Framebuffers          QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x0008)
	QOpenGLFunctions__BlendColor            QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x0010)
	QOpenGLFunctions__BlendEquation         QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x0020)
	QOpenGLFunctions__BlendEquationSeparate QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x0040)
	QOpenGLFunctions__BlendFuncSeparate     QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x0080)
	QOpenGLFunctions__BlendSubtract         QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x0100)
	QOpenGLFunctions__CompressedTextures    QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x0200)
	QOpenGLFunctions__Multisample           QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x0400)
	QOpenGLFunctions__StencilSeparate       QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x0800)
	QOpenGLFunctions__NPOTTextures          QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x1000)
	QOpenGLFunctions__NPOTTextureRepeat     QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x2000)
	QOpenGLFunctions__FixedFunctionPipeline QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x4000)
	QOpenGLFunctions__TextureRGFormats      QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x8000)
	QOpenGLFunctions__MultipleRenderTargets QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x10000)
	QOpenGLFunctions__BlendEquationAdvanced QOpenGLFunctions__OpenGLFeature = QOpenGLFunctions__OpenGLFeature(0x20000)
)

func NewQOpenGLFunctions() *QOpenGLFunctions {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLFunctions", ""}).(*QOpenGLFunctions)
}

func NewQOpenGLFunctions2(context QOpenGLContext_ITF) *QOpenGLFunctions {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLFunctions2", "", context}).(*QOpenGLFunctions)
}

func (ptr *QOpenGLFunctions) GlActiveTexture(texture uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlActiveTexture", texture})
}

func (ptr *QOpenGLFunctions) GlAttachShader(program uint, shader uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlAttachShader", program, shader})
}

func (ptr *QOpenGLFunctions) GlBindAttribLocation(program uint, index uint, name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBindAttribLocation", program, index, name})
}

func (ptr *QOpenGLFunctions) GlBindBuffer(target uint, buffer uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBindBuffer", target, buffer})
}

func (ptr *QOpenGLFunctions) GlBindFramebuffer(target uint, framebuffer uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBindFramebuffer", target, framebuffer})
}

func (ptr *QOpenGLFunctions) GlBindRenderbuffer(target uint, renderbuffer uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBindRenderbuffer", target, renderbuffer})
}

func (ptr *QOpenGLFunctions) GlBindTexture(target uint, texture uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBindTexture", target, texture})
}

func (ptr *QOpenGLFunctions) GlBlendColor(red float32, green float32, blue float32, alpha float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBlendColor", red, green, blue, alpha})
}

func (ptr *QOpenGLFunctions) GlBlendEquation(mode uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBlendEquation", mode})
}

func (ptr *QOpenGLFunctions) GlBlendEquationSeparate(modeRGB uint, modeAlpha uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBlendEquationSeparate", modeRGB, modeAlpha})
}

func (ptr *QOpenGLFunctions) GlBlendFunc(sfactor uint, dfactor uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBlendFunc", sfactor, dfactor})
}

func (ptr *QOpenGLFunctions) GlBlendFuncSeparate(srcRGB uint, dstRGB uint, srcAlpha uint, dstAlpha uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlBlendFuncSeparate", srcRGB, dstRGB, srcAlpha, dstAlpha})
}

func (ptr *QOpenGLFunctions) GlCheckFramebufferStatus(target uint) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlCheckFramebufferStatus", target}).(float64))
}

func (ptr *QOpenGLFunctions) GlClear(mask uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlClear", mask})
}

func (ptr *QOpenGLFunctions) GlClearColor(red float32, green float32, blue float32, alpha float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlClearColor", red, green, blue, alpha})
}

func (ptr *QOpenGLFunctions) GlClearDepthf(depth float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlClearDepthf", depth})
}

func (ptr *QOpenGLFunctions) GlClearStencil(s int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlClearStencil", s})
}

func (ptr *QOpenGLFunctions) GlColorMask(red bool, green bool, blue bool, alpha bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlColorMask", red, green, blue, alpha})
}

func (ptr *QOpenGLFunctions) GlCompileShader(shader uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlCompileShader", shader})
}

func (ptr *QOpenGLFunctions) GlCompressedTexImage2D(target uint, level int, internalformat uint, width int, height int, border int, imageSize int, data unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlCompressedTexImage2D", target, level, internalformat, width, height, border, imageSize, data})
}

func (ptr *QOpenGLFunctions) GlCompressedTexSubImage2D(target uint, level int, xoffset int, yoffset int, width int, height int, format uint, imageSize int, data unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlCompressedTexSubImage2D", target, level, xoffset, yoffset, width, height, format, imageSize, data})
}

func (ptr *QOpenGLFunctions) GlCopyTexImage2D(target uint, level int, internalformat uint, x int, y int, width int, height int, border int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlCopyTexImage2D", target, level, internalformat, x, y, width, height, border})
}

func (ptr *QOpenGLFunctions) GlCopyTexSubImage2D(target uint, level int, xoffset int, yoffset int, x int, y int, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlCopyTexSubImage2D", target, level, xoffset, yoffset, x, y, width, height})
}

func (ptr *QOpenGLFunctions) GlCreateProgram() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlCreateProgram"}).(float64))
}

func (ptr *QOpenGLFunctions) GlCreateShader(ty uint) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlCreateShader", ty}).(float64))
}

func (ptr *QOpenGLFunctions) GlCullFace(mode uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlCullFace", mode})
}

func (ptr *QOpenGLFunctions) GlDeleteBuffers(n int, buffers uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDeleteBuffers", n, buffers})
}

func (ptr *QOpenGLFunctions) GlDeleteFramebuffers(n int, framebuffers uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDeleteFramebuffers", n, framebuffers})
}

func (ptr *QOpenGLFunctions) GlDeleteProgram(program uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDeleteProgram", program})
}

func (ptr *QOpenGLFunctions) GlDeleteRenderbuffers(n int, renderbuffers uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDeleteRenderbuffers", n, renderbuffers})
}

func (ptr *QOpenGLFunctions) GlDeleteShader(shader uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDeleteShader", shader})
}

func (ptr *QOpenGLFunctions) GlDeleteTextures(n int, textures uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDeleteTextures", n, textures})
}

func (ptr *QOpenGLFunctions) GlDepthFunc(fu uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDepthFunc", fu})
}

func (ptr *QOpenGLFunctions) GlDepthMask(flag bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDepthMask", flag})
}

func (ptr *QOpenGLFunctions) GlDepthRangef(zNear float32, zFar float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDepthRangef", zNear, zFar})
}

func (ptr *QOpenGLFunctions) GlDetachShader(program uint, shader uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDetachShader", program, shader})
}

func (ptr *QOpenGLFunctions) GlDisable(cap uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDisable", cap})
}

func (ptr *QOpenGLFunctions) GlDisableVertexAttribArray(index uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDisableVertexAttribArray", index})
}

func (ptr *QOpenGLFunctions) GlDrawArrays(mode uint, first int, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDrawArrays", mode, first, count})
}

func (ptr *QOpenGLFunctions) GlDrawElements(mode uint, count int, ty uint, indices unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlDrawElements", mode, count, ty, indices})
}

func (ptr *QOpenGLFunctions) GlEnable(cap uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlEnable", cap})
}

func (ptr *QOpenGLFunctions) GlEnableVertexAttribArray(index uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlEnableVertexAttribArray", index})
}

func (ptr *QOpenGLFunctions) GlFinish() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlFinish"})
}

func (ptr *QOpenGLFunctions) GlFlush() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlFlush"})
}

func (ptr *QOpenGLFunctions) GlFramebufferRenderbuffer(target uint, attachment uint, renderbuffertarget uint, renderbuffer uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlFramebufferRenderbuffer", target, attachment, renderbuffertarget, renderbuffer})
}

func (ptr *QOpenGLFunctions) GlFramebufferTexture2D(target uint, attachment uint, textarget uint, texture uint, level int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlFramebufferTexture2D", target, attachment, textarget, texture, level})
}

func (ptr *QOpenGLFunctions) GlFrontFace(mode uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlFrontFace", mode})
}

func (ptr *QOpenGLFunctions) GlGenBuffers(n int, buffers uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGenBuffers", n, buffers})
}

func (ptr *QOpenGLFunctions) GlGenFramebuffers(n int, framebuffers uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGenFramebuffers", n, framebuffers})
}

func (ptr *QOpenGLFunctions) GlGenRenderbuffers(n int, renderbuffers uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGenRenderbuffers", n, renderbuffers})
}

func (ptr *QOpenGLFunctions) GlGenTextures(n int, textures uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGenTextures", n, textures})
}

func (ptr *QOpenGLFunctions) GlGenerateMipmap(target uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGenerateMipmap", target})
}

func (ptr *QOpenGLFunctions) GlGetActiveAttrib(program uint, index uint, bufsize int, length int, size int, ty uint, name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetActiveAttrib", program, index, bufsize, length, size, ty, name})
}

func (ptr *QOpenGLFunctions) GlGetActiveUniform(program uint, index uint, bufsize int, length int, size int, ty uint, name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetActiveUniform", program, index, bufsize, length, size, ty, name})
}

func (ptr *QOpenGLFunctions) GlGetAttachedShaders(program uint, maxcount int, count int, shaders uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetAttachedShaders", program, maxcount, count, shaders})
}

func (ptr *QOpenGLFunctions) GlGetAttribLocation(program uint, name string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetAttribLocation", program, name}).(float64))
}

func (ptr *QOpenGLFunctions) GlGetBooleanv(pname uint, params *bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetBooleanv", pname, params})
}

func (ptr *QOpenGLFunctions) GlGetBufferParameteriv(target uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetBufferParameteriv", target, pname, params})
}

func (ptr *QOpenGLFunctions) GlGetError() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetError"}).(float64))
}

func (ptr *QOpenGLFunctions) GlGetFloatv(pname uint, params float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetFloatv", pname, params})
}

func (ptr *QOpenGLFunctions) GlGetFramebufferAttachmentParameteriv(target uint, attachment uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetFramebufferAttachmentParameteriv", target, attachment, pname, params})
}

func (ptr *QOpenGLFunctions) GlGetIntegerv(pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetIntegerv", pname, params})
}

func (ptr *QOpenGLFunctions) GlGetProgramInfoLog(program uint, bufsize int, length int, infolog string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetProgramInfoLog", program, bufsize, length, infolog})
}

func (ptr *QOpenGLFunctions) GlGetProgramiv(program uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetProgramiv", program, pname, params})
}

func (ptr *QOpenGLFunctions) GlGetRenderbufferParameteriv(target uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetRenderbufferParameteriv", target, pname, params})
}

func (ptr *QOpenGLFunctions) GlGetShaderInfoLog(shader uint, bufsize int, length int, infolog string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetShaderInfoLog", shader, bufsize, length, infolog})
}

func (ptr *QOpenGLFunctions) GlGetShaderPrecisionFormat(shadertype uint, precisiontype uint, ran int, precision int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetShaderPrecisionFormat", shadertype, precisiontype, ran, precision})
}

func (ptr *QOpenGLFunctions) GlGetShaderSource(shader uint, bufsize int, length int, source string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetShaderSource", shader, bufsize, length, source})
}

func (ptr *QOpenGLFunctions) GlGetShaderiv(shader uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetShaderiv", shader, pname, params})
}

func (ptr *QOpenGLFunctions) GlGetString(name uint) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetString", name}).(string)
}

func (ptr *QOpenGLFunctions) GlGetTexParameterfv(target uint, pname uint, params float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetTexParameterfv", target, pname, params})
}

func (ptr *QOpenGLFunctions) GlGetTexParameteriv(target uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetTexParameteriv", target, pname, params})
}

func (ptr *QOpenGLFunctions) GlGetUniformLocation(program uint, name string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetUniformLocation", program, name}).(float64))
}

func (ptr *QOpenGLFunctions) GlGetUniformfv(program uint, location int, params float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetUniformfv", program, location, params})
}

func (ptr *QOpenGLFunctions) GlGetUniformiv(program uint, location int, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetUniformiv", program, location, params})
}

func (ptr *QOpenGLFunctions) GlGetVertexAttribPointerv(index uint, pname uint, pointer unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetVertexAttribPointerv", index, pname, pointer})
}

func (ptr *QOpenGLFunctions) GlGetVertexAttribfv(index uint, pname uint, params float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetVertexAttribfv", index, pname, params})
}

func (ptr *QOpenGLFunctions) GlGetVertexAttribiv(index uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlGetVertexAttribiv", index, pname, params})
}

func (ptr *QOpenGLFunctions) GlHint(target uint, mode uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlHint", target, mode})
}

func (ptr *QOpenGLFunctions) GlIsBuffer(buffer uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlIsBuffer", buffer}).(bool)
}

func (ptr *QOpenGLFunctions) GlIsEnabled(cap uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlIsEnabled", cap}).(bool)
}

func (ptr *QOpenGLFunctions) GlIsFramebuffer(framebuffer uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlIsFramebuffer", framebuffer}).(bool)
}

func (ptr *QOpenGLFunctions) GlIsProgram(program uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlIsProgram", program}).(bool)
}

func (ptr *QOpenGLFunctions) GlIsRenderbuffer(renderbuffer uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlIsRenderbuffer", renderbuffer}).(bool)
}

func (ptr *QOpenGLFunctions) GlIsShader(shader uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlIsShader", shader}).(bool)
}

func (ptr *QOpenGLFunctions) GlIsTexture(texture uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlIsTexture", texture}).(bool)
}

func (ptr *QOpenGLFunctions) GlLineWidth(width float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlLineWidth", width})
}

func (ptr *QOpenGLFunctions) GlLinkProgram(program uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlLinkProgram", program})
}

func (ptr *QOpenGLFunctions) GlPixelStorei(pname uint, param int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlPixelStorei", pname, param})
}

func (ptr *QOpenGLFunctions) GlPolygonOffset(factor float32, units float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlPolygonOffset", factor, units})
}

func (ptr *QOpenGLFunctions) GlReadPixels(x int, y int, width int, height int, format uint, ty uint, pixels unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlReadPixels", x, y, width, height, format, ty, pixels})
}

func (ptr *QOpenGLFunctions) GlReleaseShaderCompiler() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlReleaseShaderCompiler"})
}

func (ptr *QOpenGLFunctions) GlRenderbufferStorage(target uint, internalformat uint, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlRenderbufferStorage", target, internalformat, width, height})
}

func (ptr *QOpenGLFunctions) GlSampleCoverage(value float32, invert bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlSampleCoverage", value, invert})
}

func (ptr *QOpenGLFunctions) GlScissor(x int, y int, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlScissor", x, y, width, height})
}

func (ptr *QOpenGLFunctions) GlShaderBinary(n int, shaders uint, binaryformat uint, binary unsafe.Pointer, length int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlShaderBinary", n, shaders, binaryformat, binary, length})
}

func (ptr *QOpenGLFunctions) GlStencilFunc(fu uint, ref int, mask uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlStencilFunc", fu, ref, mask})
}

func (ptr *QOpenGLFunctions) GlStencilFuncSeparate(face uint, fu uint, ref int, mask uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlStencilFuncSeparate", face, fu, ref, mask})
}

func (ptr *QOpenGLFunctions) GlStencilMask(mask uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlStencilMask", mask})
}

func (ptr *QOpenGLFunctions) GlStencilMaskSeparate(face uint, mask uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlStencilMaskSeparate", face, mask})
}

func (ptr *QOpenGLFunctions) GlStencilOp(fail uint, zfail uint, zpass uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlStencilOp", fail, zfail, zpass})
}

func (ptr *QOpenGLFunctions) GlStencilOpSeparate(face uint, fail uint, zfail uint, zpass uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlStencilOpSeparate", face, fail, zfail, zpass})
}

func (ptr *QOpenGLFunctions) GlTexImage2D(target uint, level int, internalformat int, width int, height int, border int, format uint, ty uint, pixels unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexImage2D", target, level, internalformat, width, height, border, format, ty, pixels})
}

func (ptr *QOpenGLFunctions) GlTexParameterf(target uint, pname uint, param float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexParameterf", target, pname, param})
}

func (ptr *QOpenGLFunctions) GlTexParameterfv(target uint, pname uint, params float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexParameterfv", target, pname, params})
}

func (ptr *QOpenGLFunctions) GlTexParameteri(target uint, pname uint, param int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexParameteri", target, pname, param})
}

func (ptr *QOpenGLFunctions) GlTexParameteriv(target uint, pname uint, params int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexParameteriv", target, pname, params})
}

func (ptr *QOpenGLFunctions) GlTexSubImage2D(target uint, level int, xoffset int, yoffset int, width int, height int, format uint, ty uint, pixels unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlTexSubImage2D", target, level, xoffset, yoffset, width, height, format, ty, pixels})
}

func (ptr *QOpenGLFunctions) GlUniform1f(location int, x float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform1f", location, x})
}

func (ptr *QOpenGLFunctions) GlUniform1fv(location int, count int, v float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform1fv", location, count, v})
}

func (ptr *QOpenGLFunctions) GlUniform1i(location int, x int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform1i", location, x})
}

func (ptr *QOpenGLFunctions) GlUniform1iv(location int, count int, v int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform1iv", location, count, v})
}

func (ptr *QOpenGLFunctions) GlUniform2f(location int, x float32, y float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform2f", location, x, y})
}

func (ptr *QOpenGLFunctions) GlUniform2fv(location int, count int, v float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform2fv", location, count, v})
}

func (ptr *QOpenGLFunctions) GlUniform2i(location int, x int, y int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform2i", location, x, y})
}

func (ptr *QOpenGLFunctions) GlUniform2iv(location int, count int, v int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform2iv", location, count, v})
}

func (ptr *QOpenGLFunctions) GlUniform3f(location int, x float32, y float32, z float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform3f", location, x, y, z})
}

func (ptr *QOpenGLFunctions) GlUniform3fv(location int, count int, v float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform3fv", location, count, v})
}

func (ptr *QOpenGLFunctions) GlUniform3i(location int, x int, y int, z int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform3i", location, x, y, z})
}

func (ptr *QOpenGLFunctions) GlUniform3iv(location int, count int, v int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform3iv", location, count, v})
}

func (ptr *QOpenGLFunctions) GlUniform4f(location int, x float32, y float32, z float32, w float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform4f", location, x, y, z, w})
}

func (ptr *QOpenGLFunctions) GlUniform4fv(location int, count int, v float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform4fv", location, count, v})
}

func (ptr *QOpenGLFunctions) GlUniform4i(location int, x int, y int, z int, w int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform4i", location, x, y, z, w})
}

func (ptr *QOpenGLFunctions) GlUniform4iv(location int, count int, v int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniform4iv", location, count, v})
}

func (ptr *QOpenGLFunctions) GlUniformMatrix2fv(location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniformMatrix2fv", location, count, transpose, value})
}

func (ptr *QOpenGLFunctions) GlUniformMatrix3fv(location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniformMatrix3fv", location, count, transpose, value})
}

func (ptr *QOpenGLFunctions) GlUniformMatrix4fv(location int, count int, transpose bool, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUniformMatrix4fv", location, count, transpose, value})
}

func (ptr *QOpenGLFunctions) GlUseProgram(program uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlUseProgram", program})
}

func (ptr *QOpenGLFunctions) GlValidateProgram(program uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlValidateProgram", program})
}

func (ptr *QOpenGLFunctions) GlVertexAttrib1f(indx uint, x float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttrib1f", indx, x})
}

func (ptr *QOpenGLFunctions) GlVertexAttrib1fv(indx uint, values float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttrib1fv", indx, values})
}

func (ptr *QOpenGLFunctions) GlVertexAttrib2f(indx uint, x float32, y float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttrib2f", indx, x, y})
}

func (ptr *QOpenGLFunctions) GlVertexAttrib2fv(indx uint, values float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttrib2fv", indx, values})
}

func (ptr *QOpenGLFunctions) GlVertexAttrib3f(indx uint, x float32, y float32, z float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttrib3f", indx, x, y, z})
}

func (ptr *QOpenGLFunctions) GlVertexAttrib3fv(indx uint, values float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttrib3fv", indx, values})
}

func (ptr *QOpenGLFunctions) GlVertexAttrib4f(indx uint, x float32, y float32, z float32, w float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttrib4f", indx, x, y, z, w})
}

func (ptr *QOpenGLFunctions) GlVertexAttrib4fv(indx uint, values float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttrib4fv", indx, values})
}

func (ptr *QOpenGLFunctions) GlVertexAttribPointer(indx uint, size int, ty uint, normalized bool, stride int, p unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlVertexAttribPointer", indx, size, ty, normalized, stride, p})
}

func (ptr *QOpenGLFunctions) GlViewport(x int, y int, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlViewport", x, y, width, height})
}

func (ptr *QOpenGLFunctions) HasOpenGLFeature(feature QOpenGLFunctions__OpenGLFeature) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasOpenGLFeature", feature}).(bool)
}

func (ptr *QOpenGLFunctions) InitializeOpenGLFunctions() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitializeOpenGLFunctions"})
}

func (ptr *QOpenGLFunctions) OpenGLFeatures() QOpenGLFunctions__OpenGLFeature {

	return QOpenGLFunctions__OpenGLFeature(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpenGLFeatures"}).(float64))
}

func (ptr *QOpenGLFunctions) DestroyQOpenGLFunctions() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLFunctions"})
}

type QOpenGLFunctions_1_0 struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_1_0_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_1_0_PTR() *QOpenGLFunctions_1_0
}

func (ptr *QOpenGLFunctions_1_0) QOpenGLFunctions_1_0_PTR() *QOpenGLFunctions_1_0 {
	return ptr
}

func (ptr *QOpenGLFunctions_1_0) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_0) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_0(ptr QOpenGLFunctions_1_0_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_0_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_0) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_0) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_0FromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_0) {
	n = new(QOpenGLFunctions_1_0)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_0")
	return
}

func (ptr *QOpenGLFunctions_1_0) DestroyQOpenGLFunctions_1_0() {
}

type QOpenGLFunctions_1_0_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_1_0_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_1_0_CoreBackend_PTR() *QOpenGLFunctions_1_0_CoreBackend
}

func (ptr *QOpenGLFunctions_1_0_CoreBackend) QOpenGLFunctions_1_0_CoreBackend_PTR() *QOpenGLFunctions_1_0_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_1_0_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_0_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_0_CoreBackend(ptr QOpenGLFunctions_1_0_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_0_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_0_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_0_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_0_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_0_CoreBackend) {
	n = new(QOpenGLFunctions_1_0_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_0_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_1_0_CoreBackend) DestroyQOpenGLFunctions_1_0_CoreBackend() {
}

type QOpenGLFunctions_1_0_DeprecatedBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_1_0_DeprecatedBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_1_0_DeprecatedBackend_PTR() *QOpenGLFunctions_1_0_DeprecatedBackend
}

func (ptr *QOpenGLFunctions_1_0_DeprecatedBackend) QOpenGLFunctions_1_0_DeprecatedBackend_PTR() *QOpenGLFunctions_1_0_DeprecatedBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_1_0_DeprecatedBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_0_DeprecatedBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_0_DeprecatedBackend(ptr QOpenGLFunctions_1_0_DeprecatedBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_0_DeprecatedBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_0_DeprecatedBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_0_DeprecatedBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_0_DeprecatedBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_0_DeprecatedBackend) {
	n = new(QOpenGLFunctions_1_0_DeprecatedBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_0_DeprecatedBackend")
	return
}

func (ptr *QOpenGLFunctions_1_0_DeprecatedBackend) DestroyQOpenGLFunctions_1_0_DeprecatedBackend() {
}

type QOpenGLFunctions_1_1 struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_1_1_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_1_1_PTR() *QOpenGLFunctions_1_1
}

func (ptr *QOpenGLFunctions_1_1) QOpenGLFunctions_1_1_PTR() *QOpenGLFunctions_1_1 {
	return ptr
}

func (ptr *QOpenGLFunctions_1_1) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_1) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_1(ptr QOpenGLFunctions_1_1_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_1_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_1) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_1) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_1FromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_1) {
	n = new(QOpenGLFunctions_1_1)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_1")
	return
}

func (ptr *QOpenGLFunctions_1_1) DestroyQOpenGLFunctions_1_1() {
}

type QOpenGLFunctions_1_1_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_1_1_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_1_1_CoreBackend_PTR() *QOpenGLFunctions_1_1_CoreBackend
}

func (ptr *QOpenGLFunctions_1_1_CoreBackend) QOpenGLFunctions_1_1_CoreBackend_PTR() *QOpenGLFunctions_1_1_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_1_1_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_1_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_1_CoreBackend(ptr QOpenGLFunctions_1_1_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_1_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_1_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_1_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_1_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_1_CoreBackend) {
	n = new(QOpenGLFunctions_1_1_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_1_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_1_1_CoreBackend) DestroyQOpenGLFunctions_1_1_CoreBackend() {
}

type QOpenGLFunctions_1_1_DeprecatedBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_1_1_DeprecatedBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_1_1_DeprecatedBackend_PTR() *QOpenGLFunctions_1_1_DeprecatedBackend
}

func (ptr *QOpenGLFunctions_1_1_DeprecatedBackend) QOpenGLFunctions_1_1_DeprecatedBackend_PTR() *QOpenGLFunctions_1_1_DeprecatedBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_1_1_DeprecatedBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_1_DeprecatedBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_1_DeprecatedBackend(ptr QOpenGLFunctions_1_1_DeprecatedBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_1_DeprecatedBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_1_DeprecatedBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_1_DeprecatedBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_1_DeprecatedBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_1_DeprecatedBackend) {
	n = new(QOpenGLFunctions_1_1_DeprecatedBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_1_DeprecatedBackend")
	return
}

func (ptr *QOpenGLFunctions_1_1_DeprecatedBackend) DestroyQOpenGLFunctions_1_1_DeprecatedBackend() {
}

type QOpenGLFunctions_1_2 struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_1_2_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_1_2_PTR() *QOpenGLFunctions_1_2
}

func (ptr *QOpenGLFunctions_1_2) QOpenGLFunctions_1_2_PTR() *QOpenGLFunctions_1_2 {
	return ptr
}

func (ptr *QOpenGLFunctions_1_2) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_2) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_2(ptr QOpenGLFunctions_1_2_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_2_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_2) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_2) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_2FromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_2) {
	n = new(QOpenGLFunctions_1_2)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_2")
	return
}

func (ptr *QOpenGLFunctions_1_2) DestroyQOpenGLFunctions_1_2() {
}

type QOpenGLFunctions_1_2_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_1_2_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_1_2_CoreBackend_PTR() *QOpenGLFunctions_1_2_CoreBackend
}

func (ptr *QOpenGLFunctions_1_2_CoreBackend) QOpenGLFunctions_1_2_CoreBackend_PTR() *QOpenGLFunctions_1_2_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_1_2_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_2_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_2_CoreBackend(ptr QOpenGLFunctions_1_2_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_2_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_2_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_2_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_2_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_2_CoreBackend) {
	n = new(QOpenGLFunctions_1_2_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_2_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_1_2_CoreBackend) DestroyQOpenGLFunctions_1_2_CoreBackend() {
}

type QOpenGLFunctions_1_2_DeprecatedBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_1_2_DeprecatedBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_1_2_DeprecatedBackend_PTR() *QOpenGLFunctions_1_2_DeprecatedBackend
}

func (ptr *QOpenGLFunctions_1_2_DeprecatedBackend) QOpenGLFunctions_1_2_DeprecatedBackend_PTR() *QOpenGLFunctions_1_2_DeprecatedBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_1_2_DeprecatedBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_2_DeprecatedBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_2_DeprecatedBackend(ptr QOpenGLFunctions_1_2_DeprecatedBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_2_DeprecatedBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_2_DeprecatedBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_2_DeprecatedBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_2_DeprecatedBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_2_DeprecatedBackend) {
	n = new(QOpenGLFunctions_1_2_DeprecatedBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_2_DeprecatedBackend")
	return
}

func (ptr *QOpenGLFunctions_1_2_DeprecatedBackend) DestroyQOpenGLFunctions_1_2_DeprecatedBackend() {
}

type QOpenGLFunctions_1_3 struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_1_3_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_1_3_PTR() *QOpenGLFunctions_1_3
}

func (ptr *QOpenGLFunctions_1_3) QOpenGLFunctions_1_3_PTR() *QOpenGLFunctions_1_3 {
	return ptr
}

func (ptr *QOpenGLFunctions_1_3) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_3) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_3(ptr QOpenGLFunctions_1_3_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_3_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_3) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_3) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_3FromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_3) {
	n = new(QOpenGLFunctions_1_3)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_3")
	return
}

func (ptr *QOpenGLFunctions_1_3) DestroyQOpenGLFunctions_1_3() {
}

type QOpenGLFunctions_1_3_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_1_3_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_1_3_CoreBackend_PTR() *QOpenGLFunctions_1_3_CoreBackend
}

func (ptr *QOpenGLFunctions_1_3_CoreBackend) QOpenGLFunctions_1_3_CoreBackend_PTR() *QOpenGLFunctions_1_3_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_1_3_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_3_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_3_CoreBackend(ptr QOpenGLFunctions_1_3_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_3_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_3_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_3_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_3_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_3_CoreBackend) {
	n = new(QOpenGLFunctions_1_3_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_3_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_1_3_CoreBackend) DestroyQOpenGLFunctions_1_3_CoreBackend() {
}

type QOpenGLFunctions_1_3_DeprecatedBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_1_3_DeprecatedBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_1_3_DeprecatedBackend_PTR() *QOpenGLFunctions_1_3_DeprecatedBackend
}

func (ptr *QOpenGLFunctions_1_3_DeprecatedBackend) QOpenGLFunctions_1_3_DeprecatedBackend_PTR() *QOpenGLFunctions_1_3_DeprecatedBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_1_3_DeprecatedBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_3_DeprecatedBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_3_DeprecatedBackend(ptr QOpenGLFunctions_1_3_DeprecatedBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_3_DeprecatedBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_3_DeprecatedBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_3_DeprecatedBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_3_DeprecatedBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_3_DeprecatedBackend) {
	n = new(QOpenGLFunctions_1_3_DeprecatedBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_3_DeprecatedBackend")
	return
}

func (ptr *QOpenGLFunctions_1_3_DeprecatedBackend) DestroyQOpenGLFunctions_1_3_DeprecatedBackend() {
}

type QOpenGLFunctions_1_4 struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_1_4_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_1_4_PTR() *QOpenGLFunctions_1_4
}

func (ptr *QOpenGLFunctions_1_4) QOpenGLFunctions_1_4_PTR() *QOpenGLFunctions_1_4 {
	return ptr
}

func (ptr *QOpenGLFunctions_1_4) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_4) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_4(ptr QOpenGLFunctions_1_4_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_4_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_4) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_4) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_4FromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_4) {
	n = new(QOpenGLFunctions_1_4)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_4")
	return
}

func (ptr *QOpenGLFunctions_1_4) DestroyQOpenGLFunctions_1_4() {
}

type QOpenGLFunctions_1_4_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_1_4_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_1_4_CoreBackend_PTR() *QOpenGLFunctions_1_4_CoreBackend
}

func (ptr *QOpenGLFunctions_1_4_CoreBackend) QOpenGLFunctions_1_4_CoreBackend_PTR() *QOpenGLFunctions_1_4_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_1_4_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_4_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_4_CoreBackend(ptr QOpenGLFunctions_1_4_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_4_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_4_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_4_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_4_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_4_CoreBackend) {
	n = new(QOpenGLFunctions_1_4_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_4_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_1_4_CoreBackend) DestroyQOpenGLFunctions_1_4_CoreBackend() {
}

type QOpenGLFunctions_1_4_DeprecatedBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_1_4_DeprecatedBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_1_4_DeprecatedBackend_PTR() *QOpenGLFunctions_1_4_DeprecatedBackend
}

func (ptr *QOpenGLFunctions_1_4_DeprecatedBackend) QOpenGLFunctions_1_4_DeprecatedBackend_PTR() *QOpenGLFunctions_1_4_DeprecatedBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_1_4_DeprecatedBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_4_DeprecatedBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_4_DeprecatedBackend(ptr QOpenGLFunctions_1_4_DeprecatedBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_4_DeprecatedBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_4_DeprecatedBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_4_DeprecatedBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_4_DeprecatedBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_4_DeprecatedBackend) {
	n = new(QOpenGLFunctions_1_4_DeprecatedBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_4_DeprecatedBackend")
	return
}

func (ptr *QOpenGLFunctions_1_4_DeprecatedBackend) DestroyQOpenGLFunctions_1_4_DeprecatedBackend() {
}

type QOpenGLFunctions_1_5 struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_1_5_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_1_5_PTR() *QOpenGLFunctions_1_5
}

func (ptr *QOpenGLFunctions_1_5) QOpenGLFunctions_1_5_PTR() *QOpenGLFunctions_1_5 {
	return ptr
}

func (ptr *QOpenGLFunctions_1_5) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_5) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_5(ptr QOpenGLFunctions_1_5_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_5_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_5) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_5) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_5FromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_5) {
	n = new(QOpenGLFunctions_1_5)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_5")
	return
}

func (ptr *QOpenGLFunctions_1_5) DestroyQOpenGLFunctions_1_5() {
}

type QOpenGLFunctions_1_5_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_1_5_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_1_5_CoreBackend_PTR() *QOpenGLFunctions_1_5_CoreBackend
}

func (ptr *QOpenGLFunctions_1_5_CoreBackend) QOpenGLFunctions_1_5_CoreBackend_PTR() *QOpenGLFunctions_1_5_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_1_5_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_1_5_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_1_5_CoreBackend(ptr QOpenGLFunctions_1_5_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_1_5_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_1_5_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_1_5_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_1_5_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_1_5_CoreBackend) {
	n = new(QOpenGLFunctions_1_5_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_1_5_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_1_5_CoreBackend) DestroyQOpenGLFunctions_1_5_CoreBackend() {
}

type QOpenGLFunctions_2_0 struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_2_0_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_2_0_PTR() *QOpenGLFunctions_2_0
}

func (ptr *QOpenGLFunctions_2_0) QOpenGLFunctions_2_0_PTR() *QOpenGLFunctions_2_0 {
	return ptr
}

func (ptr *QOpenGLFunctions_2_0) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_2_0) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_2_0(ptr QOpenGLFunctions_2_0_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_2_0_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_2_0) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_2_0) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_2_0FromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_2_0) {
	n = new(QOpenGLFunctions_2_0)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_2_0")
	return
}

func (ptr *QOpenGLFunctions_2_0) DestroyQOpenGLFunctions_2_0() {
}

type QOpenGLFunctions_2_0_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_2_0_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_2_0_CoreBackend_PTR() *QOpenGLFunctions_2_0_CoreBackend
}

func (ptr *QOpenGLFunctions_2_0_CoreBackend) QOpenGLFunctions_2_0_CoreBackend_PTR() *QOpenGLFunctions_2_0_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_2_0_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_2_0_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_2_0_CoreBackend(ptr QOpenGLFunctions_2_0_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_2_0_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_2_0_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_2_0_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_2_0_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_2_0_CoreBackend) {
	n = new(QOpenGLFunctions_2_0_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_2_0_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_2_0_CoreBackend) DestroyQOpenGLFunctions_2_0_CoreBackend() {
}

type QOpenGLFunctions_2_0_DeprecatedBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_2_0_DeprecatedBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_2_0_DeprecatedBackend_PTR() *QOpenGLFunctions_2_0_DeprecatedBackend
}

func (ptr *QOpenGLFunctions_2_0_DeprecatedBackend) QOpenGLFunctions_2_0_DeprecatedBackend_PTR() *QOpenGLFunctions_2_0_DeprecatedBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_2_0_DeprecatedBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_2_0_DeprecatedBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_2_0_DeprecatedBackend(ptr QOpenGLFunctions_2_0_DeprecatedBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_2_0_DeprecatedBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_2_0_DeprecatedBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_2_0_DeprecatedBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_2_0_DeprecatedBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_2_0_DeprecatedBackend) {
	n = new(QOpenGLFunctions_2_0_DeprecatedBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_2_0_DeprecatedBackend")
	return
}

func (ptr *QOpenGLFunctions_2_0_DeprecatedBackend) DestroyQOpenGLFunctions_2_0_DeprecatedBackend() {
}

type QOpenGLFunctions_2_1 struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_2_1_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_2_1_PTR() *QOpenGLFunctions_2_1
}

func (ptr *QOpenGLFunctions_2_1) QOpenGLFunctions_2_1_PTR() *QOpenGLFunctions_2_1 {
	return ptr
}

func (ptr *QOpenGLFunctions_2_1) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_2_1) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_2_1(ptr QOpenGLFunctions_2_1_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_2_1_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_2_1) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_2_1) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_2_1FromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_2_1) {
	n = new(QOpenGLFunctions_2_1)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_2_1")
	return
}

func (ptr *QOpenGLFunctions_2_1) DestroyQOpenGLFunctions_2_1() {
}

type QOpenGLFunctions_2_1_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_2_1_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_2_1_CoreBackend_PTR() *QOpenGLFunctions_2_1_CoreBackend
}

func (ptr *QOpenGLFunctions_2_1_CoreBackend) QOpenGLFunctions_2_1_CoreBackend_PTR() *QOpenGLFunctions_2_1_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_2_1_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_2_1_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_2_1_CoreBackend(ptr QOpenGLFunctions_2_1_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_2_1_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_2_1_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_2_1_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_2_1_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_2_1_CoreBackend) {
	n = new(QOpenGLFunctions_2_1_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_2_1_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_2_1_CoreBackend) DestroyQOpenGLFunctions_2_1_CoreBackend() {
}

type QOpenGLFunctions_3_0 struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_3_0_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_3_0_PTR() *QOpenGLFunctions_3_0
}

func (ptr *QOpenGLFunctions_3_0) QOpenGLFunctions_3_0_PTR() *QOpenGLFunctions_3_0 {
	return ptr
}

func (ptr *QOpenGLFunctions_3_0) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_3_0) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_3_0(ptr QOpenGLFunctions_3_0_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_3_0_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_3_0) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_3_0) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_3_0FromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_3_0) {
	n = new(QOpenGLFunctions_3_0)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_3_0")
	return
}

func (ptr *QOpenGLFunctions_3_0) DestroyQOpenGLFunctions_3_0() {
}

type QOpenGLFunctions_3_0_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_3_0_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_3_0_CoreBackend_PTR() *QOpenGLFunctions_3_0_CoreBackend
}

func (ptr *QOpenGLFunctions_3_0_CoreBackend) QOpenGLFunctions_3_0_CoreBackend_PTR() *QOpenGLFunctions_3_0_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_3_0_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_3_0_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_3_0_CoreBackend(ptr QOpenGLFunctions_3_0_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_3_0_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_3_0_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_3_0_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_3_0_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_3_0_CoreBackend) {
	n = new(QOpenGLFunctions_3_0_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_3_0_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_3_0_CoreBackend) DestroyQOpenGLFunctions_3_0_CoreBackend() {
}

type QOpenGLFunctions_3_0_DeprecatedBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_3_0_DeprecatedBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_3_0_DeprecatedBackend_PTR() *QOpenGLFunctions_3_0_DeprecatedBackend
}

func (ptr *QOpenGLFunctions_3_0_DeprecatedBackend) QOpenGLFunctions_3_0_DeprecatedBackend_PTR() *QOpenGLFunctions_3_0_DeprecatedBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_3_0_DeprecatedBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_3_0_DeprecatedBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_3_0_DeprecatedBackend(ptr QOpenGLFunctions_3_0_DeprecatedBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_3_0_DeprecatedBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_3_0_DeprecatedBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_3_0_DeprecatedBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_3_0_DeprecatedBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_3_0_DeprecatedBackend) {
	n = new(QOpenGLFunctions_3_0_DeprecatedBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_3_0_DeprecatedBackend")
	return
}

func (ptr *QOpenGLFunctions_3_0_DeprecatedBackend) DestroyQOpenGLFunctions_3_0_DeprecatedBackend() {
}

type QOpenGLFunctions_3_1 struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_3_1_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_3_1_PTR() *QOpenGLFunctions_3_1
}

func (ptr *QOpenGLFunctions_3_1) QOpenGLFunctions_3_1_PTR() *QOpenGLFunctions_3_1 {
	return ptr
}

func (ptr *QOpenGLFunctions_3_1) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_3_1) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_3_1(ptr QOpenGLFunctions_3_1_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_3_1_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_3_1) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_3_1) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_3_1FromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_3_1) {
	n = new(QOpenGLFunctions_3_1)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_3_1")
	return
}

func (ptr *QOpenGLFunctions_3_1) DestroyQOpenGLFunctions_3_1() {
}

type QOpenGLFunctions_3_1_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_3_1_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_3_1_CoreBackend_PTR() *QOpenGLFunctions_3_1_CoreBackend
}

func (ptr *QOpenGLFunctions_3_1_CoreBackend) QOpenGLFunctions_3_1_CoreBackend_PTR() *QOpenGLFunctions_3_1_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_3_1_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_3_1_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_3_1_CoreBackend(ptr QOpenGLFunctions_3_1_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_3_1_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_3_1_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_3_1_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_3_1_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_3_1_CoreBackend) {
	n = new(QOpenGLFunctions_3_1_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_3_1_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_3_1_CoreBackend) DestroyQOpenGLFunctions_3_1_CoreBackend() {
}

type QOpenGLFunctions_3_2_Compatibility struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_3_2_Compatibility_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_3_2_Compatibility_PTR() *QOpenGLFunctions_3_2_Compatibility
}

func (ptr *QOpenGLFunctions_3_2_Compatibility) QOpenGLFunctions_3_2_Compatibility_PTR() *QOpenGLFunctions_3_2_Compatibility {
	return ptr
}

func (ptr *QOpenGLFunctions_3_2_Compatibility) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_3_2_Compatibility) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_3_2_Compatibility(ptr QOpenGLFunctions_3_2_Compatibility_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_3_2_Compatibility_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_3_2_Compatibility) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_3_2_Compatibility) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_3_2_CompatibilityFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_3_2_Compatibility) {
	n = new(QOpenGLFunctions_3_2_Compatibility)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_3_2_Compatibility")
	return
}

func (ptr *QOpenGLFunctions_3_2_Compatibility) DestroyQOpenGLFunctions_3_2_Compatibility() {
}

type QOpenGLFunctions_3_2_Core struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_3_2_Core_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_3_2_Core_PTR() *QOpenGLFunctions_3_2_Core
}

func (ptr *QOpenGLFunctions_3_2_Core) QOpenGLFunctions_3_2_Core_PTR() *QOpenGLFunctions_3_2_Core {
	return ptr
}

func (ptr *QOpenGLFunctions_3_2_Core) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_3_2_Core) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_3_2_Core(ptr QOpenGLFunctions_3_2_Core_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_3_2_Core_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_3_2_Core) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_3_2_Core) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_3_2_CoreFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_3_2_Core) {
	n = new(QOpenGLFunctions_3_2_Core)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_3_2_Core")
	return
}

func (ptr *QOpenGLFunctions_3_2_Core) DestroyQOpenGLFunctions_3_2_Core() {
}

type QOpenGLFunctions_3_2_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_3_2_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_3_2_CoreBackend_PTR() *QOpenGLFunctions_3_2_CoreBackend
}

func (ptr *QOpenGLFunctions_3_2_CoreBackend) QOpenGLFunctions_3_2_CoreBackend_PTR() *QOpenGLFunctions_3_2_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_3_2_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_3_2_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_3_2_CoreBackend(ptr QOpenGLFunctions_3_2_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_3_2_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_3_2_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_3_2_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_3_2_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_3_2_CoreBackend) {
	n = new(QOpenGLFunctions_3_2_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_3_2_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_3_2_CoreBackend) DestroyQOpenGLFunctions_3_2_CoreBackend() {
}

type QOpenGLFunctions_3_3_Compatibility struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_3_3_Compatibility_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_3_3_Compatibility_PTR() *QOpenGLFunctions_3_3_Compatibility
}

func (ptr *QOpenGLFunctions_3_3_Compatibility) QOpenGLFunctions_3_3_Compatibility_PTR() *QOpenGLFunctions_3_3_Compatibility {
	return ptr
}

func (ptr *QOpenGLFunctions_3_3_Compatibility) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_3_3_Compatibility) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_3_3_Compatibility(ptr QOpenGLFunctions_3_3_Compatibility_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_3_3_Compatibility_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_3_3_Compatibility) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_3_3_Compatibility) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_3_3_CompatibilityFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_3_3_Compatibility) {
	n = new(QOpenGLFunctions_3_3_Compatibility)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_3_3_Compatibility")
	return
}

func (ptr *QOpenGLFunctions_3_3_Compatibility) DestroyQOpenGLFunctions_3_3_Compatibility() {
}

type QOpenGLFunctions_3_3_Core struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_3_3_Core_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_3_3_Core_PTR() *QOpenGLFunctions_3_3_Core
}

func (ptr *QOpenGLFunctions_3_3_Core) QOpenGLFunctions_3_3_Core_PTR() *QOpenGLFunctions_3_3_Core {
	return ptr
}

func (ptr *QOpenGLFunctions_3_3_Core) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_3_3_Core) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_3_3_Core(ptr QOpenGLFunctions_3_3_Core_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_3_3_Core_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_3_3_Core) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_3_3_Core) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_3_3_CoreFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_3_3_Core) {
	n = new(QOpenGLFunctions_3_3_Core)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_3_3_Core")
	return
}

func (ptr *QOpenGLFunctions_3_3_Core) DestroyQOpenGLFunctions_3_3_Core() {
}

type QOpenGLFunctions_3_3_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_3_3_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_3_3_CoreBackend_PTR() *QOpenGLFunctions_3_3_CoreBackend
}

func (ptr *QOpenGLFunctions_3_3_CoreBackend) QOpenGLFunctions_3_3_CoreBackend_PTR() *QOpenGLFunctions_3_3_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_3_3_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_3_3_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_3_3_CoreBackend(ptr QOpenGLFunctions_3_3_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_3_3_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_3_3_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_3_3_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_3_3_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_3_3_CoreBackend) {
	n = new(QOpenGLFunctions_3_3_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_3_3_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_3_3_CoreBackend) DestroyQOpenGLFunctions_3_3_CoreBackend() {
}

type QOpenGLFunctions_3_3_DeprecatedBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_3_3_DeprecatedBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_3_3_DeprecatedBackend_PTR() *QOpenGLFunctions_3_3_DeprecatedBackend
}

func (ptr *QOpenGLFunctions_3_3_DeprecatedBackend) QOpenGLFunctions_3_3_DeprecatedBackend_PTR() *QOpenGLFunctions_3_3_DeprecatedBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_3_3_DeprecatedBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_3_3_DeprecatedBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_3_3_DeprecatedBackend(ptr QOpenGLFunctions_3_3_DeprecatedBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_3_3_DeprecatedBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_3_3_DeprecatedBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_3_3_DeprecatedBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_3_3_DeprecatedBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_3_3_DeprecatedBackend) {
	n = new(QOpenGLFunctions_3_3_DeprecatedBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_3_3_DeprecatedBackend")
	return
}

func (ptr *QOpenGLFunctions_3_3_DeprecatedBackend) DestroyQOpenGLFunctions_3_3_DeprecatedBackend() {
}

type QOpenGLFunctions_4_0_Compatibility struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_4_0_Compatibility_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_4_0_Compatibility_PTR() *QOpenGLFunctions_4_0_Compatibility
}

func (ptr *QOpenGLFunctions_4_0_Compatibility) QOpenGLFunctions_4_0_Compatibility_PTR() *QOpenGLFunctions_4_0_Compatibility {
	return ptr
}

func (ptr *QOpenGLFunctions_4_0_Compatibility) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_0_Compatibility) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_0_Compatibility(ptr QOpenGLFunctions_4_0_Compatibility_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_0_Compatibility_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_0_Compatibility) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_0_Compatibility) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_0_CompatibilityFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_0_Compatibility) {
	n = new(QOpenGLFunctions_4_0_Compatibility)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_0_Compatibility")
	return
}

func (ptr *QOpenGLFunctions_4_0_Compatibility) DestroyQOpenGLFunctions_4_0_Compatibility() {
}

type QOpenGLFunctions_4_0_Core struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_4_0_Core_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_4_0_Core_PTR() *QOpenGLFunctions_4_0_Core
}

func (ptr *QOpenGLFunctions_4_0_Core) QOpenGLFunctions_4_0_Core_PTR() *QOpenGLFunctions_4_0_Core {
	return ptr
}

func (ptr *QOpenGLFunctions_4_0_Core) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_0_Core) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_0_Core(ptr QOpenGLFunctions_4_0_Core_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_0_Core_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_0_Core) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_0_Core) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_0_CoreFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_0_Core) {
	n = new(QOpenGLFunctions_4_0_Core)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_0_Core")
	return
}

func (ptr *QOpenGLFunctions_4_0_Core) DestroyQOpenGLFunctions_4_0_Core() {
}

type QOpenGLFunctions_4_0_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_4_0_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_4_0_CoreBackend_PTR() *QOpenGLFunctions_4_0_CoreBackend
}

func (ptr *QOpenGLFunctions_4_0_CoreBackend) QOpenGLFunctions_4_0_CoreBackend_PTR() *QOpenGLFunctions_4_0_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_4_0_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_0_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_0_CoreBackend(ptr QOpenGLFunctions_4_0_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_0_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_0_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_0_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_0_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_0_CoreBackend) {
	n = new(QOpenGLFunctions_4_0_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_0_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_4_0_CoreBackend) DestroyQOpenGLFunctions_4_0_CoreBackend() {
}

type QOpenGLFunctions_4_1_Compatibility struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_4_1_Compatibility_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_4_1_Compatibility_PTR() *QOpenGLFunctions_4_1_Compatibility
}

func (ptr *QOpenGLFunctions_4_1_Compatibility) QOpenGLFunctions_4_1_Compatibility_PTR() *QOpenGLFunctions_4_1_Compatibility {
	return ptr
}

func (ptr *QOpenGLFunctions_4_1_Compatibility) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_1_Compatibility) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_1_Compatibility(ptr QOpenGLFunctions_4_1_Compatibility_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_1_Compatibility_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_1_Compatibility) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_1_Compatibility) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_1_CompatibilityFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_1_Compatibility) {
	n = new(QOpenGLFunctions_4_1_Compatibility)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_1_Compatibility")
	return
}

func (ptr *QOpenGLFunctions_4_1_Compatibility) DestroyQOpenGLFunctions_4_1_Compatibility() {
}

type QOpenGLFunctions_4_1_Core struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_4_1_Core_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_4_1_Core_PTR() *QOpenGLFunctions_4_1_Core
}

func (ptr *QOpenGLFunctions_4_1_Core) QOpenGLFunctions_4_1_Core_PTR() *QOpenGLFunctions_4_1_Core {
	return ptr
}

func (ptr *QOpenGLFunctions_4_1_Core) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_1_Core) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_1_Core(ptr QOpenGLFunctions_4_1_Core_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_1_Core_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_1_Core) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_1_Core) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_1_CoreFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_1_Core) {
	n = new(QOpenGLFunctions_4_1_Core)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_1_Core")
	return
}

func (ptr *QOpenGLFunctions_4_1_Core) DestroyQOpenGLFunctions_4_1_Core() {
}

type QOpenGLFunctions_4_1_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_4_1_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_4_1_CoreBackend_PTR() *QOpenGLFunctions_4_1_CoreBackend
}

func (ptr *QOpenGLFunctions_4_1_CoreBackend) QOpenGLFunctions_4_1_CoreBackend_PTR() *QOpenGLFunctions_4_1_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_4_1_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_1_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_1_CoreBackend(ptr QOpenGLFunctions_4_1_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_1_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_1_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_1_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_1_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_1_CoreBackend) {
	n = new(QOpenGLFunctions_4_1_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_1_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_4_1_CoreBackend) DestroyQOpenGLFunctions_4_1_CoreBackend() {
}

type QOpenGLFunctions_4_2_Compatibility struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_4_2_Compatibility_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_4_2_Compatibility_PTR() *QOpenGLFunctions_4_2_Compatibility
}

func (ptr *QOpenGLFunctions_4_2_Compatibility) QOpenGLFunctions_4_2_Compatibility_PTR() *QOpenGLFunctions_4_2_Compatibility {
	return ptr
}

func (ptr *QOpenGLFunctions_4_2_Compatibility) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_2_Compatibility) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_2_Compatibility(ptr QOpenGLFunctions_4_2_Compatibility_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_2_Compatibility_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_2_Compatibility) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_2_Compatibility) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_2_CompatibilityFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_2_Compatibility) {
	n = new(QOpenGLFunctions_4_2_Compatibility)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_2_Compatibility")
	return
}

func (ptr *QOpenGLFunctions_4_2_Compatibility) DestroyQOpenGLFunctions_4_2_Compatibility() {
}

type QOpenGLFunctions_4_2_Core struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_4_2_Core_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_4_2_Core_PTR() *QOpenGLFunctions_4_2_Core
}

func (ptr *QOpenGLFunctions_4_2_Core) QOpenGLFunctions_4_2_Core_PTR() *QOpenGLFunctions_4_2_Core {
	return ptr
}

func (ptr *QOpenGLFunctions_4_2_Core) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_2_Core) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_2_Core(ptr QOpenGLFunctions_4_2_Core_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_2_Core_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_2_Core) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_2_Core) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_2_CoreFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_2_Core) {
	n = new(QOpenGLFunctions_4_2_Core)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_2_Core")
	return
}

func (ptr *QOpenGLFunctions_4_2_Core) DestroyQOpenGLFunctions_4_2_Core() {
}

type QOpenGLFunctions_4_2_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_4_2_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_4_2_CoreBackend_PTR() *QOpenGLFunctions_4_2_CoreBackend
}

func (ptr *QOpenGLFunctions_4_2_CoreBackend) QOpenGLFunctions_4_2_CoreBackend_PTR() *QOpenGLFunctions_4_2_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_4_2_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_2_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_2_CoreBackend(ptr QOpenGLFunctions_4_2_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_2_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_2_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_2_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_2_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_2_CoreBackend) {
	n = new(QOpenGLFunctions_4_2_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_2_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_4_2_CoreBackend) DestroyQOpenGLFunctions_4_2_CoreBackend() {
}

type QOpenGLFunctions_4_3_Compatibility struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_4_3_Compatibility_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_4_3_Compatibility_PTR() *QOpenGLFunctions_4_3_Compatibility
}

func (ptr *QOpenGLFunctions_4_3_Compatibility) QOpenGLFunctions_4_3_Compatibility_PTR() *QOpenGLFunctions_4_3_Compatibility {
	return ptr
}

func (ptr *QOpenGLFunctions_4_3_Compatibility) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_3_Compatibility) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_3_Compatibility(ptr QOpenGLFunctions_4_3_Compatibility_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_3_Compatibility_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_3_Compatibility) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_3_Compatibility) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_3_CompatibilityFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_3_Compatibility) {
	n = new(QOpenGLFunctions_4_3_Compatibility)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_3_Compatibility")
	return
}

func (ptr *QOpenGLFunctions_4_3_Compatibility) DestroyQOpenGLFunctions_4_3_Compatibility() {
}

type QOpenGLFunctions_4_3_Core struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_4_3_Core_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_4_3_Core_PTR() *QOpenGLFunctions_4_3_Core
}

func (ptr *QOpenGLFunctions_4_3_Core) QOpenGLFunctions_4_3_Core_PTR() *QOpenGLFunctions_4_3_Core {
	return ptr
}

func (ptr *QOpenGLFunctions_4_3_Core) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_3_Core) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_3_Core(ptr QOpenGLFunctions_4_3_Core_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_3_Core_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_3_Core) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_3_Core) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_3_CoreFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_3_Core) {
	n = new(QOpenGLFunctions_4_3_Core)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_3_Core")
	return
}

func (ptr *QOpenGLFunctions_4_3_Core) DestroyQOpenGLFunctions_4_3_Core() {
}

type QOpenGLFunctions_4_3_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_4_3_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_4_3_CoreBackend_PTR() *QOpenGLFunctions_4_3_CoreBackend
}

func (ptr *QOpenGLFunctions_4_3_CoreBackend) QOpenGLFunctions_4_3_CoreBackend_PTR() *QOpenGLFunctions_4_3_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_4_3_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_3_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_3_CoreBackend(ptr QOpenGLFunctions_4_3_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_3_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_3_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_3_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_3_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_3_CoreBackend) {
	n = new(QOpenGLFunctions_4_3_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_3_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_4_3_CoreBackend) DestroyQOpenGLFunctions_4_3_CoreBackend() {
}

type QOpenGLFunctions_4_4_Compatibility struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_4_4_Compatibility_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_4_4_Compatibility_PTR() *QOpenGLFunctions_4_4_Compatibility
}

func (ptr *QOpenGLFunctions_4_4_Compatibility) QOpenGLFunctions_4_4_Compatibility_PTR() *QOpenGLFunctions_4_4_Compatibility {
	return ptr
}

func (ptr *QOpenGLFunctions_4_4_Compatibility) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_4_Compatibility) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_4_Compatibility(ptr QOpenGLFunctions_4_4_Compatibility_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_4_Compatibility_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_4_Compatibility) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_4_Compatibility) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_4_CompatibilityFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_4_Compatibility) {
	n = new(QOpenGLFunctions_4_4_Compatibility)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_4_Compatibility")
	return
}

func (ptr *QOpenGLFunctions_4_4_Compatibility) DestroyQOpenGLFunctions_4_4_Compatibility() {
}

type QOpenGLFunctions_4_4_Core struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_4_4_Core_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_4_4_Core_PTR() *QOpenGLFunctions_4_4_Core
}

func (ptr *QOpenGLFunctions_4_4_Core) QOpenGLFunctions_4_4_Core_PTR() *QOpenGLFunctions_4_4_Core {
	return ptr
}

func (ptr *QOpenGLFunctions_4_4_Core) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_4_Core) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_4_Core(ptr QOpenGLFunctions_4_4_Core_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_4_Core_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_4_Core) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_4_Core) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_4_CoreFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_4_Core) {
	n = new(QOpenGLFunctions_4_4_Core)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_4_Core")
	return
}

func (ptr *QOpenGLFunctions_4_4_Core) DestroyQOpenGLFunctions_4_4_Core() {
}

type QOpenGLFunctions_4_4_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_4_4_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_4_4_CoreBackend_PTR() *QOpenGLFunctions_4_4_CoreBackend
}

func (ptr *QOpenGLFunctions_4_4_CoreBackend) QOpenGLFunctions_4_4_CoreBackend_PTR() *QOpenGLFunctions_4_4_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_4_4_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_4_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_4_CoreBackend(ptr QOpenGLFunctions_4_4_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_4_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_4_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_4_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_4_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_4_CoreBackend) {
	n = new(QOpenGLFunctions_4_4_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_4_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_4_4_CoreBackend) DestroyQOpenGLFunctions_4_4_CoreBackend() {
}

type QOpenGLFunctions_4_5_Compatibility struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_4_5_Compatibility_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_4_5_Compatibility_PTR() *QOpenGLFunctions_4_5_Compatibility
}

func (ptr *QOpenGLFunctions_4_5_Compatibility) QOpenGLFunctions_4_5_Compatibility_PTR() *QOpenGLFunctions_4_5_Compatibility {
	return ptr
}

func (ptr *QOpenGLFunctions_4_5_Compatibility) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_5_Compatibility) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_5_Compatibility(ptr QOpenGLFunctions_4_5_Compatibility_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_5_Compatibility_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_5_Compatibility) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_5_Compatibility) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_5_CompatibilityFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_5_Compatibility) {
	n = new(QOpenGLFunctions_4_5_Compatibility)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_5_Compatibility")
	return
}

func (ptr *QOpenGLFunctions_4_5_Compatibility) DestroyQOpenGLFunctions_4_5_Compatibility() {
}

type QOpenGLFunctions_4_5_Core struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_4_5_Core_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_4_5_Core_PTR() *QOpenGLFunctions_4_5_Core
}

func (ptr *QOpenGLFunctions_4_5_Core) QOpenGLFunctions_4_5_Core_PTR() *QOpenGLFunctions_4_5_Core {
	return ptr
}

func (ptr *QOpenGLFunctions_4_5_Core) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_5_Core) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_5_Core(ptr QOpenGLFunctions_4_5_Core_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_5_Core_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_5_Core) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_5_Core) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_5_CoreFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_5_Core) {
	n = new(QOpenGLFunctions_4_5_Core)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_5_Core")
	return
}

func (ptr *QOpenGLFunctions_4_5_Core) DestroyQOpenGLFunctions_4_5_Core() {
}

type QOpenGLFunctions_4_5_CoreBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_4_5_CoreBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_4_5_CoreBackend_PTR() *QOpenGLFunctions_4_5_CoreBackend
}

func (ptr *QOpenGLFunctions_4_5_CoreBackend) QOpenGLFunctions_4_5_CoreBackend_PTR() *QOpenGLFunctions_4_5_CoreBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_4_5_CoreBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_5_CoreBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_5_CoreBackend(ptr QOpenGLFunctions_4_5_CoreBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_5_CoreBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_5_CoreBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_5_CoreBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_5_CoreBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_5_CoreBackend) {
	n = new(QOpenGLFunctions_4_5_CoreBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_5_CoreBackend")
	return
}

func (ptr *QOpenGLFunctions_4_5_CoreBackend) DestroyQOpenGLFunctions_4_5_CoreBackend() {
}

type QOpenGLFunctions_4_5_DeprecatedBackend struct {
	QOpenGLVersionFunctionsBackend
}

type QOpenGLFunctions_4_5_DeprecatedBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_ITF
	QOpenGLFunctions_4_5_DeprecatedBackend_PTR() *QOpenGLFunctions_4_5_DeprecatedBackend
}

func (ptr *QOpenGLFunctions_4_5_DeprecatedBackend) QOpenGLFunctions_4_5_DeprecatedBackend_PTR() *QOpenGLFunctions_4_5_DeprecatedBackend {
	return ptr
}

func (ptr *QOpenGLFunctions_4_5_DeprecatedBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_4_5_DeprecatedBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QOpenGLVersionFunctionsBackend_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_4_5_DeprecatedBackend(ptr QOpenGLFunctions_4_5_DeprecatedBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_4_5_DeprecatedBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_4_5_DeprecatedBackend) InitFromInternal(ptr uintptr, name string) {
	n.QOpenGLVersionFunctionsBackend_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_4_5_DeprecatedBackend) ClassNameInternalF() string {
	return n.QOpenGLVersionFunctionsBackend_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_4_5_DeprecatedBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_4_5_DeprecatedBackend) {
	n = new(QOpenGLFunctions_4_5_DeprecatedBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_4_5_DeprecatedBackend")
	return
}

func (ptr *QOpenGLFunctions_4_5_DeprecatedBackend) DestroyQOpenGLFunctions_4_5_DeprecatedBackend() {
}

type QOpenGLFunctions_ES2 struct {
	QAbstractOpenGLFunctions
}

type QOpenGLFunctions_ES2_ITF interface {
	QAbstractOpenGLFunctions_ITF
	QOpenGLFunctions_ES2_PTR() *QOpenGLFunctions_ES2
}

func (ptr *QOpenGLFunctions_ES2) QOpenGLFunctions_ES2_PTR() *QOpenGLFunctions_ES2 {
	return ptr
}

func (ptr *QOpenGLFunctions_ES2) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractOpenGLFunctions_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLFunctions_ES2) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractOpenGLFunctions_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLFunctions_ES2(ptr QOpenGLFunctions_ES2_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLFunctions_ES2_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLFunctions_ES2) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractOpenGLFunctions_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLFunctions_ES2) ClassNameInternalF() string {
	return n.QAbstractOpenGLFunctions_PTR().ClassNameInternalF()
}

func NewQOpenGLFunctions_ES2FromPointer(ptr unsafe.Pointer) (n *QOpenGLFunctions_ES2) {
	n = new(QOpenGLFunctions_ES2)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLFunctions_ES2")
	return
}

func (ptr *QOpenGLFunctions_ES2) DestroyQOpenGLFunctions_ES2() {
}

type QOpenGLPaintDevice struct {
	QPaintDevice
}

type QOpenGLPaintDevice_ITF interface {
	QPaintDevice_ITF
	QOpenGLPaintDevice_PTR() *QOpenGLPaintDevice
}

func (ptr *QOpenGLPaintDevice) QOpenGLPaintDevice_PTR() *QOpenGLPaintDevice {
	return ptr
}

func (ptr *QOpenGLPaintDevice) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QPaintDevice_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLPaintDevice) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QPaintDevice_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLPaintDevice(ptr QOpenGLPaintDevice_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLPaintDevice_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLPaintDevice) InitFromInternal(ptr uintptr, name string) {
	n.QPaintDevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLPaintDevice) ClassNameInternalF() string {
	return n.QPaintDevice_PTR().ClassNameInternalF()
}

func NewQOpenGLPaintDeviceFromPointer(ptr unsafe.Pointer) (n *QOpenGLPaintDevice) {
	n = new(QOpenGLPaintDevice)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLPaintDevice")
	return
}
func NewQOpenGLPaintDevice() *QOpenGLPaintDevice {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLPaintDevice", ""}).(*QOpenGLPaintDevice)
}

func NewQOpenGLPaintDevice2(size core.QSize_ITF) *QOpenGLPaintDevice {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLPaintDevice2", "", size}).(*QOpenGLPaintDevice)
}

func NewQOpenGLPaintDevice3(width int, height int) *QOpenGLPaintDevice {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLPaintDevice3", "", width, height}).(*QOpenGLPaintDevice)
}

func (ptr *QOpenGLPaintDevice) Context() *QOpenGLContext {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Context"}).(*QOpenGLContext)
}

func (ptr *QOpenGLPaintDevice) DotsPerMeterX() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DotsPerMeterX"}).(float64)
}

func (ptr *QOpenGLPaintDevice) DotsPerMeterY() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DotsPerMeterY"}).(float64)
}

func (ptr *QOpenGLPaintDevice) ConnectEnsureActiveTarget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEnsureActiveTarget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLPaintDevice) DisconnectEnsureActiveTarget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEnsureActiveTarget"})
}

func (ptr *QOpenGLPaintDevice) EnsureActiveTarget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureActiveTarget"})
}

func (ptr *QOpenGLPaintDevice) EnsureActiveTargetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureActiveTargetDefault"})
}

func (ptr *QOpenGLPaintDevice) ConnectPaintEngine(f func() *QPaintEngine) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaintEngine", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLPaintDevice) DisconnectPaintEngine() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaintEngine"})
}

func (ptr *QOpenGLPaintDevice) PaintEngine() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEngine"}).(*QPaintEngine)
}

func (ptr *QOpenGLPaintDevice) PaintEngineDefault() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEngineDefault"}).(*QPaintEngine)
}

func (ptr *QOpenGLPaintDevice) PaintFlipped() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintFlipped"}).(bool)
}

func (ptr *QOpenGLPaintDevice) SetDevicePixelRatio(devicePixelRatio float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDevicePixelRatio", devicePixelRatio})
}

func (ptr *QOpenGLPaintDevice) SetDotsPerMeterX(dpmx float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDotsPerMeterX", dpmx})
}

func (ptr *QOpenGLPaintDevice) SetDotsPerMeterY(dpmy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDotsPerMeterY", dpmy})
}

func (ptr *QOpenGLPaintDevice) SetPaintFlipped(flipped bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPaintFlipped", flipped})
}

func (ptr *QOpenGLPaintDevice) SetSize(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSize", size})
}

func (ptr *QOpenGLPaintDevice) Size() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(*core.QSize)
}

func (ptr *QOpenGLPaintDevice) ConnectDestroyQOpenGLPaintDevice(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQOpenGLPaintDevice", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLPaintDevice) DisconnectDestroyQOpenGLPaintDevice() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQOpenGLPaintDevice"})
}

func (ptr *QOpenGLPaintDevice) DestroyQOpenGLPaintDevice() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLPaintDevice"})
}

func (ptr *QOpenGLPaintDevice) DestroyQOpenGLPaintDeviceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLPaintDeviceDefault"})
}

type QOpenGLPixelTransferOptions struct {
	internal.Internal
}

type QOpenGLPixelTransferOptions_ITF interface {
	QOpenGLPixelTransferOptions_PTR() *QOpenGLPixelTransferOptions
}

func (ptr *QOpenGLPixelTransferOptions) QOpenGLPixelTransferOptions_PTR() *QOpenGLPixelTransferOptions {
	return ptr
}

func (ptr *QOpenGLPixelTransferOptions) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QOpenGLPixelTransferOptions) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQOpenGLPixelTransferOptions(ptr QOpenGLPixelTransferOptions_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLPixelTransferOptions_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLPixelTransferOptions) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQOpenGLPixelTransferOptionsFromPointer(ptr unsafe.Pointer) (n *QOpenGLPixelTransferOptions) {
	n = new(QOpenGLPixelTransferOptions)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLPixelTransferOptions")
	return
}
func NewQOpenGLPixelTransferOptions() *QOpenGLPixelTransferOptions {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLPixelTransferOptions", ""}).(*QOpenGLPixelTransferOptions)
}

func (ptr *QOpenGLPixelTransferOptions) Alignment() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment"}).(float64))
}

func (ptr *QOpenGLPixelTransferOptions) ImageHeight() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageHeight"}).(float64))
}

func (ptr *QOpenGLPixelTransferOptions) IsLeastSignificantBitFirst() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLeastSignificantBitFirst"}).(bool)
}

func (ptr *QOpenGLPixelTransferOptions) IsSwapBytesEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSwapBytesEnabled"}).(bool)
}

func (ptr *QOpenGLPixelTransferOptions) RowLength() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowLength"}).(float64))
}

func (ptr *QOpenGLPixelTransferOptions) SetAlignment(alignment int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", alignment})
}

func (ptr *QOpenGLPixelTransferOptions) SetImageHeight(imageHeight int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetImageHeight", imageHeight})
}

func (ptr *QOpenGLPixelTransferOptions) SetLeastSignificantByteFirst(lsbFirst bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLeastSignificantByteFirst", lsbFirst})
}

func (ptr *QOpenGLPixelTransferOptions) SetRowLength(rowLength int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowLength", rowLength})
}

func (ptr *QOpenGLPixelTransferOptions) SetSkipImages(skipImages int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSkipImages", skipImages})
}

func (ptr *QOpenGLPixelTransferOptions) SetSkipPixels(skipPixels int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSkipPixels", skipPixels})
}

func (ptr *QOpenGLPixelTransferOptions) SetSkipRows(skipRows int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSkipRows", skipRows})
}

func (ptr *QOpenGLPixelTransferOptions) SetSwapBytesEnabled(swapBytes bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSwapBytesEnabled", swapBytes})
}

func (ptr *QOpenGLPixelTransferOptions) SkipImages() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SkipImages"}).(float64))
}

func (ptr *QOpenGLPixelTransferOptions) SkipPixels() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SkipPixels"}).(float64))
}

func (ptr *QOpenGLPixelTransferOptions) SkipRows() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SkipRows"}).(float64))
}

func (ptr *QOpenGLPixelTransferOptions) DestroyQOpenGLPixelTransferOptions() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLPixelTransferOptions"})
}

type QOpenGLShader struct {
	core.QObject
}

type QOpenGLShader_ITF interface {
	core.QObject_ITF
	QOpenGLShader_PTR() *QOpenGLShader
}

func (ptr *QOpenGLShader) QOpenGLShader_PTR() *QOpenGLShader {
	return ptr
}

func (ptr *QOpenGLShader) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLShader) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLShader(ptr QOpenGLShader_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLShader_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLShader) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLShader) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQOpenGLShaderFromPointer(ptr unsafe.Pointer) (n *QOpenGLShader) {
	n = new(QOpenGLShader)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLShader")
	return
}

//go:generate stringer -type=QOpenGLShader__ShaderTypeBit
//QOpenGLShader::ShaderTypeBit
type QOpenGLShader__ShaderTypeBit int64

const (
	QOpenGLShader__Vertex                 QOpenGLShader__ShaderTypeBit = QOpenGLShader__ShaderTypeBit(0x0001)
	QOpenGLShader__Fragment               QOpenGLShader__ShaderTypeBit = QOpenGLShader__ShaderTypeBit(0x0002)
	QOpenGLShader__Geometry               QOpenGLShader__ShaderTypeBit = QOpenGLShader__ShaderTypeBit(0x0004)
	QOpenGLShader__TessellationControl    QOpenGLShader__ShaderTypeBit = QOpenGLShader__ShaderTypeBit(0x0008)
	QOpenGLShader__TessellationEvaluation QOpenGLShader__ShaderTypeBit = QOpenGLShader__ShaderTypeBit(0x0010)
	QOpenGLShader__Compute                QOpenGLShader__ShaderTypeBit = QOpenGLShader__ShaderTypeBit(0x0020)
)

func NewQOpenGLShader(ty QOpenGLShader__ShaderTypeBit, parent core.QObject_ITF) *QOpenGLShader {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLShader", "", ty, parent}).(*QOpenGLShader)
}

func (ptr *QOpenGLShader) CompileSourceCode(source string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompileSourceCode", source}).(bool)
}

func (ptr *QOpenGLShader) CompileSourceCode2(source core.QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompileSourceCode2", source}).(bool)
}

func (ptr *QOpenGLShader) CompileSourceCode3(source string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompileSourceCode3", source}).(bool)
}

func (ptr *QOpenGLShader) CompileSourceFile(fileName string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompileSourceFile", fileName}).(bool)
}

func QOpenGLShader_HasOpenGLShaders(ty QOpenGLShader__ShaderTypeBit, context QOpenGLContext_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLShader_HasOpenGLShaders", "", ty, context}).(bool)
}

func (ptr *QOpenGLShader) HasOpenGLShaders(ty QOpenGLShader__ShaderTypeBit, context QOpenGLContext_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLShader_HasOpenGLShaders", "", ty, context}).(bool)
}

func (ptr *QOpenGLShader) IsCompiled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCompiled"}).(bool)
}

func (ptr *QOpenGLShader) Log() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Log"}).(string)
}

func (ptr *QOpenGLShader) ShaderId() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShaderId"}).(float64))
}

func (ptr *QOpenGLShader) ShaderType() QOpenGLShader__ShaderTypeBit {

	return QOpenGLShader__ShaderTypeBit(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShaderType"}).(float64))
}

func (ptr *QOpenGLShader) SourceCode() *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceCode"}).(*core.QByteArray)
}

func (ptr *QOpenGLShader) ConnectDestroyQOpenGLShader(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQOpenGLShader", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLShader) DisconnectDestroyQOpenGLShader() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQOpenGLShader"})
}

func (ptr *QOpenGLShader) DestroyQOpenGLShader() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLShader"})
}

func (ptr *QOpenGLShader) DestroyQOpenGLShaderDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLShaderDefault"})
}

func (ptr *QOpenGLShader) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLShader) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QOpenGLShader) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLShader) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QOpenGLShader) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QOpenGLShader) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLShader) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLShader) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QOpenGLShader) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLShader) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QOpenGLShader) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QOpenGLShader) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QOpenGLShader) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QOpenGLShader) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QOpenGLShader) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QOpenGLShader) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QOpenGLShader) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QOpenGLShader) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QOpenGLShader) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QOpenGLShader) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QOpenGLShader) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QOpenGLShaderProgram struct {
	core.QObject
}

type QOpenGLShaderProgram_ITF interface {
	core.QObject_ITF
	QOpenGLShaderProgram_PTR() *QOpenGLShaderProgram
}

func (ptr *QOpenGLShaderProgram) QOpenGLShaderProgram_PTR() *QOpenGLShaderProgram {
	return ptr
}

func (ptr *QOpenGLShaderProgram) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLShaderProgram) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLShaderProgram(ptr QOpenGLShaderProgram_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLShaderProgram_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLShaderProgram) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLShaderProgram) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQOpenGLShaderProgramFromPointer(ptr unsafe.Pointer) (n *QOpenGLShaderProgram) {
	n = new(QOpenGLShaderProgram)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLShaderProgram")
	return
}
func NewQOpenGLShaderProgram(parent core.QObject_ITF) *QOpenGLShaderProgram {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLShaderProgram", "", parent}).(*QOpenGLShaderProgram)
}

func (ptr *QOpenGLShaderProgram) AddCacheableShaderFromSourceCode(ty QOpenGLShader__ShaderTypeBit, source string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddCacheableShaderFromSourceCode", ty, source}).(bool)
}

func (ptr *QOpenGLShaderProgram) AddCacheableShaderFromSourceCode2(ty QOpenGLShader__ShaderTypeBit, source core.QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddCacheableShaderFromSourceCode2", ty, source}).(bool)
}

func (ptr *QOpenGLShaderProgram) AddCacheableShaderFromSourceCode3(ty QOpenGLShader__ShaderTypeBit, source string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddCacheableShaderFromSourceCode3", ty, source}).(bool)
}

func (ptr *QOpenGLShaderProgram) AddCacheableShaderFromSourceFile(ty QOpenGLShader__ShaderTypeBit, fileName string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddCacheableShaderFromSourceFile", ty, fileName}).(bool)
}

func (ptr *QOpenGLShaderProgram) AddShader(shader QOpenGLShader_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddShader", shader}).(bool)
}

func (ptr *QOpenGLShaderProgram) AddShaderFromSourceCode(ty QOpenGLShader__ShaderTypeBit, source string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddShaderFromSourceCode", ty, source}).(bool)
}

func (ptr *QOpenGLShaderProgram) AddShaderFromSourceCode2(ty QOpenGLShader__ShaderTypeBit, source core.QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddShaderFromSourceCode2", ty, source}).(bool)
}

func (ptr *QOpenGLShaderProgram) AddShaderFromSourceCode3(ty QOpenGLShader__ShaderTypeBit, source string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddShaderFromSourceCode3", ty, source}).(bool)
}

func (ptr *QOpenGLShaderProgram) AddShaderFromSourceFile(ty QOpenGLShader__ShaderTypeBit, fileName string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddShaderFromSourceFile", ty, fileName}).(bool)
}

func (ptr *QOpenGLShaderProgram) AttributeLocation(name string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AttributeLocation", name}).(float64))
}

func (ptr *QOpenGLShaderProgram) AttributeLocation2(name core.QByteArray_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AttributeLocation2", name}).(float64))
}

func (ptr *QOpenGLShaderProgram) AttributeLocation3(name string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AttributeLocation3", name}).(float64))
}

func (ptr *QOpenGLShaderProgram) Bind() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bind"}).(bool)
}

func (ptr *QOpenGLShaderProgram) BindAttributeLocation(name string, location int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BindAttributeLocation", name, location})
}

func (ptr *QOpenGLShaderProgram) BindAttributeLocation2(name core.QByteArray_ITF, location int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BindAttributeLocation2", name, location})
}

func (ptr *QOpenGLShaderProgram) BindAttributeLocation3(name string, location int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BindAttributeLocation3", name, location})
}

func (ptr *QOpenGLShaderProgram) Create() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create"}).(bool)
}

func (ptr *QOpenGLShaderProgram) DefaultInnerTessellationLevels() []float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultInnerTessellationLevels"}).([]float32)
}

func (ptr *QOpenGLShaderProgram) DefaultOuterTessellationLevels() []float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultOuterTessellationLevels"}).([]float32)
}

func (ptr *QOpenGLShaderProgram) DisableAttributeArray(location int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisableAttributeArray", location})
}

func (ptr *QOpenGLShaderProgram) DisableAttributeArray2(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisableAttributeArray2", name})
}

func (ptr *QOpenGLShaderProgram) EnableAttributeArray(location int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnableAttributeArray", location})
}

func (ptr *QOpenGLShaderProgram) EnableAttributeArray2(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnableAttributeArray2", name})
}

func QOpenGLShaderProgram_HasOpenGLShaderPrograms(context QOpenGLContext_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLShaderProgram_HasOpenGLShaderPrograms", "", context}).(bool)
}

func (ptr *QOpenGLShaderProgram) HasOpenGLShaderPrograms(context QOpenGLContext_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLShaderProgram_HasOpenGLShaderPrograms", "", context}).(bool)
}

func (ptr *QOpenGLShaderProgram) IsLinked() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLinked"}).(bool)
}

func (ptr *QOpenGLShaderProgram) ConnectLink(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLink", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLShaderProgram) DisconnectLink() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLink"})
}

func (ptr *QOpenGLShaderProgram) Link() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Link"}).(bool)
}

func (ptr *QOpenGLShaderProgram) LinkDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LinkDefault"}).(bool)
}

func (ptr *QOpenGLShaderProgram) Log() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Log"}).(string)
}

func (ptr *QOpenGLShaderProgram) MaxGeometryOutputVertices() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaxGeometryOutputVertices"}).(float64))
}

func (ptr *QOpenGLShaderProgram) PatchVertexCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PatchVertexCount"}).(float64))
}

func (ptr *QOpenGLShaderProgram) ProgramId() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProgramId"}).(float64))
}

func (ptr *QOpenGLShaderProgram) Release() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Release"})
}

func (ptr *QOpenGLShaderProgram) RemoveAllShaders() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveAllShaders"})
}

func (ptr *QOpenGLShaderProgram) RemoveShader(shader QOpenGLShader_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveShader", shader})
}

func (ptr *QOpenGLShaderProgram) SetAttributeArray(location int, values float32, tupleSize int, stride int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeArray", location, values, tupleSize, stride})
}

func (ptr *QOpenGLShaderProgram) SetAttributeArray2(location int, values QVector2D_ITF, stride int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeArray2", location, values, stride})
}

func (ptr *QOpenGLShaderProgram) SetAttributeArray3(location int, values QVector3D_ITF, stride int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeArray3", location, values, stride})
}

func (ptr *QOpenGLShaderProgram) SetAttributeArray4(location int, values QVector4D_ITF, stride int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeArray4", location, values, stride})
}

func (ptr *QOpenGLShaderProgram) SetAttributeArray5(location int, ty uint, values unsafe.Pointer, tupleSize int, stride int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeArray5", location, ty, values, tupleSize, stride})
}

func (ptr *QOpenGLShaderProgram) SetAttributeArray6(name string, values float32, tupleSize int, stride int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeArray6", name, values, tupleSize, stride})
}

func (ptr *QOpenGLShaderProgram) SetAttributeArray7(name string, values QVector2D_ITF, stride int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeArray7", name, values, stride})
}

func (ptr *QOpenGLShaderProgram) SetAttributeArray8(name string, values QVector3D_ITF, stride int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeArray8", name, values, stride})
}

func (ptr *QOpenGLShaderProgram) SetAttributeArray9(name string, values QVector4D_ITF, stride int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeArray9", name, values, stride})
}

func (ptr *QOpenGLShaderProgram) SetAttributeArray10(name string, ty uint, values unsafe.Pointer, tupleSize int, stride int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeArray10", name, ty, values, tupleSize, stride})
}

func (ptr *QOpenGLShaderProgram) SetAttributeBuffer(location int, ty uint, offset int, tupleSize int, stride int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeBuffer", location, ty, offset, tupleSize, stride})
}

func (ptr *QOpenGLShaderProgram) SetAttributeBuffer2(name string, ty uint, offset int, tupleSize int, stride int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeBuffer2", name, ty, offset, tupleSize, stride})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue(location int, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue", location, value})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue2(location int, x float32, y float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue2", location, x, y})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue3(location int, x float32, y float32, z float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue3", location, x, y, z})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue4(location int, x float32, y float32, z float32, w float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue4", location, x, y, z, w})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue5(location int, value QVector2D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue5", location, value})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue6(location int, value QVector3D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue6", location, value})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue7(location int, value QVector4D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue7", location, value})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue8(location int, value QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue8", location, value})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue9(location int, values float32, columns int, rows int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue9", location, values, columns, rows})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue10(name string, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue10", name, value})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue11(name string, x float32, y float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue11", name, x, y})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue12(name string, x float32, y float32, z float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue12", name, x, y, z})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue13(name string, x float32, y float32, z float32, w float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue13", name, x, y, z, w})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue14(name string, value QVector2D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue14", name, value})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue15(name string, value QVector3D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue15", name, value})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue16(name string, value QVector4D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue16", name, value})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue17(name string, value QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue17", name, value})
}

func (ptr *QOpenGLShaderProgram) SetAttributeValue18(name string, values float32, columns int, rows int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAttributeValue18", name, values, columns, rows})
}

func (ptr *QOpenGLShaderProgram) SetDefaultInnerTessellationLevels(levels []float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultInnerTessellationLevels", levels})
}

func (ptr *QOpenGLShaderProgram) SetDefaultOuterTessellationLevels(levels []float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultOuterTessellationLevels", levels})
}

func (ptr *QOpenGLShaderProgram) SetPatchVertexCount(count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPatchVertexCount", count})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue(location int, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue", location, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue2(location int, value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue2", location, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue3(location int, value uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue3", location, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue4(location int, x float32, y float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue4", location, x, y})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue5(location int, x float32, y float32, z float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue5", location, x, y, z})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue6(location int, x float32, y float32, z float32, w float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue6", location, x, y, z, w})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue7(location int, value QVector2D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue7", location, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue8(location int, value QVector3D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue8", location, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue9(location int, value QVector4D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue9", location, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue10(location int, color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue10", location, color})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue11(location int, point core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue11", location, point})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue12(location int, point core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue12", location, point})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue13(location int, size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue13", location, size})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue14(location int, size core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue14", location, size})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue23(location int, value QMatrix4x4_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue23", location, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue27(location int, value QTransform_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue27", location, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue28(name string, value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue28", name, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue29(name string, value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue29", name, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue30(name string, value uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue30", name, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue31(name string, x float32, y float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue31", name, x, y})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue32(name string, x float32, y float32, z float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue32", name, x, y, z})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue33(name string, x float32, y float32, z float32, w float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue33", name, x, y, z, w})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue34(name string, value QVector2D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue34", name, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue35(name string, value QVector3D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue35", name, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue36(name string, value QVector4D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue36", name, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue37(name string, color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue37", name, color})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue38(name string, point core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue38", name, point})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue39(name string, point core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue39", name, point})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue40(name string, size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue40", name, size})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue41(name string, size core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue41", name, size})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue50(name string, value QMatrix4x4_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue50", name, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValue54(name string, value QTransform_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValue54", name, value})
}

func (ptr *QOpenGLShaderProgram) SetUniformValueArray(location int, values float32, count int, tupleSize int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValueArray", location, values, count, tupleSize})
}

func (ptr *QOpenGLShaderProgram) SetUniformValueArray2(location int, values int, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValueArray2", location, values, count})
}

func (ptr *QOpenGLShaderProgram) SetUniformValueArray3(location int, values uint, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValueArray3", location, values, count})
}

func (ptr *QOpenGLShaderProgram) SetUniformValueArray4(location int, values QVector2D_ITF, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValueArray4", location, values, count})
}

func (ptr *QOpenGLShaderProgram) SetUniformValueArray5(location int, values QVector3D_ITF, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValueArray5", location, values, count})
}

func (ptr *QOpenGLShaderProgram) SetUniformValueArray6(location int, values QVector4D_ITF, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValueArray6", location, values, count})
}

func (ptr *QOpenGLShaderProgram) SetUniformValueArray15(location int, values QMatrix4x4_ITF, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValueArray15", location, values, count})
}

func (ptr *QOpenGLShaderProgram) SetUniformValueArray16(name string, values float32, count int, tupleSize int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValueArray16", name, values, count, tupleSize})
}

func (ptr *QOpenGLShaderProgram) SetUniformValueArray17(name string, values int, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValueArray17", name, values, count})
}

func (ptr *QOpenGLShaderProgram) SetUniformValueArray18(name string, values uint, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValueArray18", name, values, count})
}

func (ptr *QOpenGLShaderProgram) SetUniformValueArray19(name string, values QVector2D_ITF, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValueArray19", name, values, count})
}

func (ptr *QOpenGLShaderProgram) SetUniformValueArray20(name string, values QVector3D_ITF, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValueArray20", name, values, count})
}

func (ptr *QOpenGLShaderProgram) SetUniformValueArray21(name string, values QVector4D_ITF, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValueArray21", name, values, count})
}

func (ptr *QOpenGLShaderProgram) SetUniformValueArray30(name string, values QMatrix4x4_ITF, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformValueArray30", name, values, count})
}

func (ptr *QOpenGLShaderProgram) Shaders() []*QOpenGLShader {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shaders"}).([]*QOpenGLShader)
}

func (ptr *QOpenGLShaderProgram) UniformLocation(name string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UniformLocation", name}).(float64))
}

func (ptr *QOpenGLShaderProgram) UniformLocation2(name core.QByteArray_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UniformLocation2", name}).(float64))
}

func (ptr *QOpenGLShaderProgram) UniformLocation3(name string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UniformLocation3", name}).(float64))
}

func (ptr *QOpenGLShaderProgram) ConnectDestroyQOpenGLShaderProgram(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQOpenGLShaderProgram", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLShaderProgram) DisconnectDestroyQOpenGLShaderProgram() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQOpenGLShaderProgram"})
}

func (ptr *QOpenGLShaderProgram) DestroyQOpenGLShaderProgram() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLShaderProgram"})
}

func (ptr *QOpenGLShaderProgram) DestroyQOpenGLShaderProgramDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLShaderProgramDefault"})
}

func (ptr *QOpenGLShaderProgram) __defaultInnerTessellationLevels_atList(i int) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__defaultInnerTessellationLevels_atList", i}).(float32)
}

func (ptr *QOpenGLShaderProgram) __defaultInnerTessellationLevels_setList(i float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__defaultInnerTessellationLevels_setList", i})
}

func (ptr *QOpenGLShaderProgram) __defaultInnerTessellationLevels_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__defaultInnerTessellationLevels_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLShaderProgram) __defaultOuterTessellationLevels_atList(i int) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__defaultOuterTessellationLevels_atList", i}).(float32)
}

func (ptr *QOpenGLShaderProgram) __defaultOuterTessellationLevels_setList(i float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__defaultOuterTessellationLevels_setList", i})
}

func (ptr *QOpenGLShaderProgram) __defaultOuterTessellationLevels_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__defaultOuterTessellationLevels_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLShaderProgram) __setDefaultInnerTessellationLevels_levels_atList(i int) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDefaultInnerTessellationLevels_levels_atList", i}).(float32)
}

func (ptr *QOpenGLShaderProgram) __setDefaultInnerTessellationLevels_levels_setList(i float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDefaultInnerTessellationLevels_levels_setList", i})
}

func (ptr *QOpenGLShaderProgram) __setDefaultInnerTessellationLevels_levels_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDefaultInnerTessellationLevels_levels_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLShaderProgram) __setDefaultOuterTessellationLevels_levels_atList(i int) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDefaultOuterTessellationLevels_levels_atList", i}).(float32)
}

func (ptr *QOpenGLShaderProgram) __setDefaultOuterTessellationLevels_levels_setList(i float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDefaultOuterTessellationLevels_levels_setList", i})
}

func (ptr *QOpenGLShaderProgram) __setDefaultOuterTessellationLevels_levels_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDefaultOuterTessellationLevels_levels_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLShaderProgram) __shaders_atList(i int) *QOpenGLShader {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__shaders_atList", i}).(*QOpenGLShader)
}

func (ptr *QOpenGLShaderProgram) __shaders_setList(i QOpenGLShader_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__shaders_setList", i})
}

func (ptr *QOpenGLShaderProgram) __shaders_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__shaders_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLShaderProgram) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLShaderProgram) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QOpenGLShaderProgram) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLShaderProgram) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QOpenGLShaderProgram) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QOpenGLShaderProgram) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLShaderProgram) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLShaderProgram) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QOpenGLShaderProgram) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLShaderProgram) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QOpenGLShaderProgram) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QOpenGLShaderProgram) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QOpenGLShaderProgram) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QOpenGLShaderProgram) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QOpenGLShaderProgram) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QOpenGLShaderProgram) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QOpenGLShaderProgram) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QOpenGLShaderProgram) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QOpenGLShaderProgram) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QOpenGLShaderProgram) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QOpenGLShaderProgram) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QOpenGLTexture struct {
	internal.Internal
}

type QOpenGLTexture_ITF interface {
	QOpenGLTexture_PTR() *QOpenGLTexture
}

func (ptr *QOpenGLTexture) QOpenGLTexture_PTR() *QOpenGLTexture {
	return ptr
}

func (ptr *QOpenGLTexture) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QOpenGLTexture) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQOpenGLTexture(ptr QOpenGLTexture_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLTexture_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLTexture) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQOpenGLTextureFromPointer(ptr unsafe.Pointer) (n *QOpenGLTexture) {
	n = new(QOpenGLTexture)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLTexture")
	return
}

func (ptr *QOpenGLTexture) DestroyQOpenGLTexture() {
}

//go:generate stringer -type=QOpenGLTexture__Target
//QOpenGLTexture::Target
type QOpenGLTexture__Target int64

const (
	QOpenGLTexture__Target1D                 QOpenGLTexture__Target = QOpenGLTexture__Target(0x0DE0)
	QOpenGLTexture__Target1DArray            QOpenGLTexture__Target = QOpenGLTexture__Target(0x8C18)
	QOpenGLTexture__Target2D                 QOpenGLTexture__Target = QOpenGLTexture__Target(0x0DE1)
	QOpenGLTexture__Target2DArray            QOpenGLTexture__Target = QOpenGLTexture__Target(0x8C1A)
	QOpenGLTexture__Target3D                 QOpenGLTexture__Target = QOpenGLTexture__Target(0x806F)
	QOpenGLTexture__TargetCubeMap            QOpenGLTexture__Target = QOpenGLTexture__Target(0x8513)
	QOpenGLTexture__TargetCubeMapArray       QOpenGLTexture__Target = QOpenGLTexture__Target(0x9009)
	QOpenGLTexture__Target2DMultisample      QOpenGLTexture__Target = QOpenGLTexture__Target(0x9100)
	QOpenGLTexture__Target2DMultisampleArray QOpenGLTexture__Target = QOpenGLTexture__Target(0x9102)
	QOpenGLTexture__TargetRectangle          QOpenGLTexture__Target = QOpenGLTexture__Target(0x84F5)
	QOpenGLTexture__TargetBuffer             QOpenGLTexture__Target = QOpenGLTexture__Target(0x8C2A)
)

//go:generate stringer -type=QOpenGLTexture__BindingTarget
//QOpenGLTexture::BindingTarget
type QOpenGLTexture__BindingTarget int64

const (
	QOpenGLTexture__BindingTarget1D                 QOpenGLTexture__BindingTarget = QOpenGLTexture__BindingTarget(0x8068)
	QOpenGLTexture__BindingTarget1DArray            QOpenGLTexture__BindingTarget = QOpenGLTexture__BindingTarget(0x8C1C)
	QOpenGLTexture__BindingTarget2D                 QOpenGLTexture__BindingTarget = QOpenGLTexture__BindingTarget(0x8069)
	QOpenGLTexture__BindingTarget2DArray            QOpenGLTexture__BindingTarget = QOpenGLTexture__BindingTarget(0x8C1D)
	QOpenGLTexture__BindingTarget3D                 QOpenGLTexture__BindingTarget = QOpenGLTexture__BindingTarget(0x806A)
	QOpenGLTexture__BindingTargetCubeMap            QOpenGLTexture__BindingTarget = QOpenGLTexture__BindingTarget(0x8514)
	QOpenGLTexture__BindingTargetCubeMapArray       QOpenGLTexture__BindingTarget = QOpenGLTexture__BindingTarget(0x900A)
	QOpenGLTexture__BindingTarget2DMultisample      QOpenGLTexture__BindingTarget = QOpenGLTexture__BindingTarget(0x9104)
	QOpenGLTexture__BindingTarget2DMultisampleArray QOpenGLTexture__BindingTarget = QOpenGLTexture__BindingTarget(0x9105)
	QOpenGLTexture__BindingTargetRectangle          QOpenGLTexture__BindingTarget = QOpenGLTexture__BindingTarget(0x84F6)
	QOpenGLTexture__BindingTargetBuffer             QOpenGLTexture__BindingTarget = QOpenGLTexture__BindingTarget(0x8C2C)
)

//go:generate stringer -type=QOpenGLTexture__MipMapGeneration
//QOpenGLTexture::MipMapGeneration
type QOpenGLTexture__MipMapGeneration int64

const (
	QOpenGLTexture__GenerateMipMaps     QOpenGLTexture__MipMapGeneration = QOpenGLTexture__MipMapGeneration(0)
	QOpenGLTexture__DontGenerateMipMaps QOpenGLTexture__MipMapGeneration = QOpenGLTexture__MipMapGeneration(1)
)

//go:generate stringer -type=QOpenGLTexture__TextureUnitReset
//QOpenGLTexture::TextureUnitReset
type QOpenGLTexture__TextureUnitReset int64

const (
	QOpenGLTexture__ResetTextureUnit     QOpenGLTexture__TextureUnitReset = QOpenGLTexture__TextureUnitReset(0)
	QOpenGLTexture__DontResetTextureUnit QOpenGLTexture__TextureUnitReset = QOpenGLTexture__TextureUnitReset(1)
)

//go:generate stringer -type=QOpenGLTexture__TextureFormat
//QOpenGLTexture::TextureFormat
type QOpenGLTexture__TextureFormat int64

const (
	QOpenGLTexture__NoFormat                       QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0)
	QOpenGLTexture__R8_UNorm                       QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8229)
	QOpenGLTexture__RG8_UNorm                      QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x822B)
	QOpenGLTexture__RGB8_UNorm                     QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8051)
	QOpenGLTexture__RGBA8_UNorm                    QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8058)
	QOpenGLTexture__R16_UNorm                      QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x822A)
	QOpenGLTexture__RG16_UNorm                     QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x822C)
	QOpenGLTexture__RGB16_UNorm                    QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8054)
	QOpenGLTexture__RGBA16_UNorm                   QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x805B)
	QOpenGLTexture__R8_SNorm                       QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8F94)
	QOpenGLTexture__RG8_SNorm                      QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8F95)
	QOpenGLTexture__RGB8_SNorm                     QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8F96)
	QOpenGLTexture__RGBA8_SNorm                    QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8F97)
	QOpenGLTexture__R16_SNorm                      QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8F98)
	QOpenGLTexture__RG16_SNorm                     QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8F99)
	QOpenGLTexture__RGB16_SNorm                    QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8F9A)
	QOpenGLTexture__RGBA16_SNorm                   QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8F9B)
	QOpenGLTexture__R8U                            QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8232)
	QOpenGLTexture__RG8U                           QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8238)
	QOpenGLTexture__RGB8U                          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D7D)
	QOpenGLTexture__RGBA8U                         QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D7C)
	QOpenGLTexture__R16U                           QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8234)
	QOpenGLTexture__RG16U                          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x823A)
	QOpenGLTexture__RGB16U                         QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D77)
	QOpenGLTexture__RGBA16U                        QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D76)
	QOpenGLTexture__R32U                           QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8236)
	QOpenGLTexture__RG32U                          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x823C)
	QOpenGLTexture__RGB32U                         QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D71)
	QOpenGLTexture__RGBA32U                        QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D70)
	QOpenGLTexture__R8I                            QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8231)
	QOpenGLTexture__RG8I                           QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8237)
	QOpenGLTexture__RGB8I                          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D8F)
	QOpenGLTexture__RGBA8I                         QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D8E)
	QOpenGLTexture__R16I                           QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8233)
	QOpenGLTexture__RG16I                          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8239)
	QOpenGLTexture__RGB16I                         QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D89)
	QOpenGLTexture__RGBA16I                        QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D88)
	QOpenGLTexture__R32I                           QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8235)
	QOpenGLTexture__RG32I                          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x823B)
	QOpenGLTexture__RGB32I                         QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D83)
	QOpenGLTexture__RGBA32I                        QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D82)
	QOpenGLTexture__R16F                           QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x822D)
	QOpenGLTexture__RG16F                          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x822F)
	QOpenGLTexture__RGB16F                         QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x881B)
	QOpenGLTexture__RGBA16F                        QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x881A)
	QOpenGLTexture__R32F                           QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x822E)
	QOpenGLTexture__RG32F                          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8230)
	QOpenGLTexture__RGB32F                         QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8815)
	QOpenGLTexture__RGBA32F                        QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8814)
	QOpenGLTexture__RGB9E5                         QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8C3D)
	QOpenGLTexture__RG11B10F                       QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8C3A)
	QOpenGLTexture__RG3B2                          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x2A10)
	QOpenGLTexture__R5G6B5                         QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D62)
	QOpenGLTexture__RGB5A1                         QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8057)
	QOpenGLTexture__RGBA4                          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8056)
	QOpenGLTexture__RGB10A2                        QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x906F)
	QOpenGLTexture__D16                            QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x81A5)
	QOpenGLTexture__D24                            QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x81A6)
	QOpenGLTexture__D24S8                          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x88F0)
	QOpenGLTexture__D32                            QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x81A7)
	QOpenGLTexture__D32F                           QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8CAC)
	QOpenGLTexture__D32FS8X24                      QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8CAD)
	QOpenGLTexture__S8                             QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D48)
	QOpenGLTexture__RGB_DXT1                       QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x83F0)
	QOpenGLTexture__RGBA_DXT1                      QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x83F1)
	QOpenGLTexture__RGBA_DXT3                      QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x83F2)
	QOpenGLTexture__RGBA_DXT5                      QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x83F3)
	QOpenGLTexture__R_ATI1N_UNorm                  QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8DBB)
	QOpenGLTexture__R_ATI1N_SNorm                  QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8DBC)
	QOpenGLTexture__RG_ATI2N_UNorm                 QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8DBD)
	QOpenGLTexture__RG_ATI2N_SNorm                 QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8DBE)
	QOpenGLTexture__RGB_BP_UNSIGNED_FLOAT          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8E8F)
	QOpenGLTexture__RGB_BP_SIGNED_FLOAT            QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8E8E)
	QOpenGLTexture__RGB_BP_UNorm                   QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8E8C)
	QOpenGLTexture__R11_EAC_UNorm                  QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x9270)
	QOpenGLTexture__R11_EAC_SNorm                  QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x9271)
	QOpenGLTexture__RG11_EAC_UNorm                 QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x9272)
	QOpenGLTexture__RG11_EAC_SNorm                 QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x9273)
	QOpenGLTexture__RGB8_ETC2                      QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x9274)
	QOpenGLTexture__SRGB8_ETC2                     QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x9275)
	QOpenGLTexture__RGB8_PunchThrough_Alpha1_ETC2  QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x9276)
	QOpenGLTexture__SRGB8_PunchThrough_Alpha1_ETC2 QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x9277)
	QOpenGLTexture__RGBA8_ETC2_EAC                 QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x9278)
	QOpenGLTexture__SRGB8_Alpha8_ETC2_EAC          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x9279)
	QOpenGLTexture__RGB8_ETC1                      QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8D64)
	QOpenGLTexture__RGBA_ASTC_4x4                  QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93B0)
	QOpenGLTexture__RGBA_ASTC_5x4                  QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93B1)
	QOpenGLTexture__RGBA_ASTC_5x5                  QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93B2)
	QOpenGLTexture__RGBA_ASTC_6x5                  QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93B3)
	QOpenGLTexture__RGBA_ASTC_6x6                  QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93B4)
	QOpenGLTexture__RGBA_ASTC_8x5                  QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93B5)
	QOpenGLTexture__RGBA_ASTC_8x6                  QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93B6)
	QOpenGLTexture__RGBA_ASTC_8x8                  QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93B7)
	QOpenGLTexture__RGBA_ASTC_10x5                 QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93B8)
	QOpenGLTexture__RGBA_ASTC_10x6                 QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93B9)
	QOpenGLTexture__RGBA_ASTC_10x8                 QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93BA)
	QOpenGLTexture__RGBA_ASTC_10x10                QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93BB)
	QOpenGLTexture__RGBA_ASTC_12x10                QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93BC)
	QOpenGLTexture__RGBA_ASTC_12x12                QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93BD)
	QOpenGLTexture__SRGB8_Alpha8_ASTC_4x4          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93D0)
	QOpenGLTexture__SRGB8_Alpha8_ASTC_5x4          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93D1)
	QOpenGLTexture__SRGB8_Alpha8_ASTC_5x5          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93D2)
	QOpenGLTexture__SRGB8_Alpha8_ASTC_6x5          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93D3)
	QOpenGLTexture__SRGB8_Alpha8_ASTC_6x6          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93D4)
	QOpenGLTexture__SRGB8_Alpha8_ASTC_8x5          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93D5)
	QOpenGLTexture__SRGB8_Alpha8_ASTC_8x6          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93D6)
	QOpenGLTexture__SRGB8_Alpha8_ASTC_8x8          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93D7)
	QOpenGLTexture__SRGB8_Alpha8_ASTC_10x5         QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93D8)
	QOpenGLTexture__SRGB8_Alpha8_ASTC_10x6         QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93D9)
	QOpenGLTexture__SRGB8_Alpha8_ASTC_10x8         QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93DA)
	QOpenGLTexture__SRGB8_Alpha8_ASTC_10x10        QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93DB)
	QOpenGLTexture__SRGB8_Alpha8_ASTC_12x10        QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93DC)
	QOpenGLTexture__SRGB8_Alpha8_ASTC_12x12        QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x93DD)
	QOpenGLTexture__SRGB8                          QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8C41)
	QOpenGLTexture__SRGB8_Alpha8                   QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8C43)
	QOpenGLTexture__SRGB_DXT1                      QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8C4C)
	QOpenGLTexture__SRGB_Alpha_DXT1                QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8C4D)
	QOpenGLTexture__SRGB_Alpha_DXT3                QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8C4E)
	QOpenGLTexture__SRGB_Alpha_DXT5                QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8C4F)
	QOpenGLTexture__SRGB_BP_UNorm                  QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x8E8D)
	QOpenGLTexture__DepthFormat                    QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x1902)
	QOpenGLTexture__AlphaFormat                    QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x1906)
	QOpenGLTexture__RGBFormat                      QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x1907)
	QOpenGLTexture__RGBAFormat                     QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x1908)
	QOpenGLTexture__LuminanceFormat                QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x1909)
	QOpenGLTexture__LuminanceAlphaFormat           QOpenGLTexture__TextureFormat = QOpenGLTexture__TextureFormat(0x190A)
)

//go:generate stringer -type=QOpenGLTexture__CubeMapFace
//QOpenGLTexture::CubeMapFace
type QOpenGLTexture__CubeMapFace int64

const (
	QOpenGLTexture__CubeMapPositiveX QOpenGLTexture__CubeMapFace = QOpenGLTexture__CubeMapFace(0x8515)
	QOpenGLTexture__CubeMapNegativeX QOpenGLTexture__CubeMapFace = QOpenGLTexture__CubeMapFace(0x8516)
	QOpenGLTexture__CubeMapPositiveY QOpenGLTexture__CubeMapFace = QOpenGLTexture__CubeMapFace(0x8517)
	QOpenGLTexture__CubeMapNegativeY QOpenGLTexture__CubeMapFace = QOpenGLTexture__CubeMapFace(0x8518)
	QOpenGLTexture__CubeMapPositiveZ QOpenGLTexture__CubeMapFace = QOpenGLTexture__CubeMapFace(0x8519)
	QOpenGLTexture__CubeMapNegativeZ QOpenGLTexture__CubeMapFace = QOpenGLTexture__CubeMapFace(0x851A)
)

//go:generate stringer -type=QOpenGLTexture__PixelFormat
//QOpenGLTexture::PixelFormat
type QOpenGLTexture__PixelFormat int64

const (
	QOpenGLTexture__NoSourceFormat QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0)
	QOpenGLTexture__Red            QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x1903)
	QOpenGLTexture__RG             QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x8227)
	QOpenGLTexture__RGB            QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x1907)
	QOpenGLTexture__BGR            QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x80E0)
	QOpenGLTexture__RGBA           QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x1908)
	QOpenGLTexture__BGRA           QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x80E1)
	QOpenGLTexture__Red_Integer    QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x8D94)
	QOpenGLTexture__RG_Integer     QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x8228)
	QOpenGLTexture__RGB_Integer    QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x8D98)
	QOpenGLTexture__BGR_Integer    QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x8D9A)
	QOpenGLTexture__RGBA_Integer   QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x8D99)
	QOpenGLTexture__BGRA_Integer   QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x8D9B)
	QOpenGLTexture__Stencil        QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x1901)
	QOpenGLTexture__Depth          QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x1902)
	QOpenGLTexture__DepthStencil   QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x84F9)
	QOpenGLTexture__Alpha          QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x1906)
	QOpenGLTexture__Luminance      QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x1909)
	QOpenGLTexture__LuminanceAlpha QOpenGLTexture__PixelFormat = QOpenGLTexture__PixelFormat(0x190A)
)

//go:generate stringer -type=QOpenGLTexture__PixelType
//QOpenGLTexture::PixelType
type QOpenGLTexture__PixelType int64

const (
	QOpenGLTexture__NoPixelType               QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0)
	QOpenGLTexture__Int8                      QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x1400)
	QOpenGLTexture__UInt8                     QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x1401)
	QOpenGLTexture__Int16                     QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x1402)
	QOpenGLTexture__UInt16                    QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x1403)
	QOpenGLTexture__Int32                     QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x1404)
	QOpenGLTexture__UInt32                    QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x1405)
	QOpenGLTexture__Float16                   QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x140B)
	QOpenGLTexture__Float16OES                QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8D61)
	QOpenGLTexture__Float32                   QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x1406)
	QOpenGLTexture__UInt32_RGB9_E5            QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8C3E)
	QOpenGLTexture__UInt32_RG11B10F           QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8C3B)
	QOpenGLTexture__UInt8_RG3B2               QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8032)
	QOpenGLTexture__UInt8_RG3B2_Rev           QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8362)
	QOpenGLTexture__UInt16_RGB5A1             QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8034)
	QOpenGLTexture__UInt16_RGB5A1_Rev         QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8366)
	QOpenGLTexture__UInt16_R5G6B5             QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8363)
	QOpenGLTexture__UInt16_R5G6B5_Rev         QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8364)
	QOpenGLTexture__UInt16_RGBA4              QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8033)
	QOpenGLTexture__UInt16_RGBA4_Rev          QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8365)
	QOpenGLTexture__UInt32_RGBA8              QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8035)
	QOpenGLTexture__UInt32_RGBA8_Rev          QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8367)
	QOpenGLTexture__UInt32_RGB10A2            QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8036)
	QOpenGLTexture__UInt32_RGB10A2_Rev        QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8368)
	QOpenGLTexture__UInt32_D24S8              QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x84FA)
	QOpenGLTexture__Float32_D32_UInt32_S8_X24 QOpenGLTexture__PixelType = QOpenGLTexture__PixelType(0x8DAD)
)

//go:generate stringer -type=QOpenGLTexture__SwizzleComponent
//QOpenGLTexture::SwizzleComponent
type QOpenGLTexture__SwizzleComponent int64

const (
	QOpenGLTexture__SwizzleRed   QOpenGLTexture__SwizzleComponent = QOpenGLTexture__SwizzleComponent(0x8E42)
	QOpenGLTexture__SwizzleGreen QOpenGLTexture__SwizzleComponent = QOpenGLTexture__SwizzleComponent(0x8E43)
	QOpenGLTexture__SwizzleBlue  QOpenGLTexture__SwizzleComponent = QOpenGLTexture__SwizzleComponent(0x8E44)
	QOpenGLTexture__SwizzleAlpha QOpenGLTexture__SwizzleComponent = QOpenGLTexture__SwizzleComponent(0x8E45)
)

//go:generate stringer -type=QOpenGLTexture__SwizzleValue
//QOpenGLTexture::SwizzleValue
type QOpenGLTexture__SwizzleValue int64

const (
	QOpenGLTexture__RedValue   QOpenGLTexture__SwizzleValue = QOpenGLTexture__SwizzleValue(0x1903)
	QOpenGLTexture__GreenValue QOpenGLTexture__SwizzleValue = QOpenGLTexture__SwizzleValue(0x1904)
	QOpenGLTexture__BlueValue  QOpenGLTexture__SwizzleValue = QOpenGLTexture__SwizzleValue(0x1905)
	QOpenGLTexture__AlphaValue QOpenGLTexture__SwizzleValue = QOpenGLTexture__SwizzleValue(0x1906)
	QOpenGLTexture__ZeroValue  QOpenGLTexture__SwizzleValue = QOpenGLTexture__SwizzleValue(0)
	QOpenGLTexture__OneValue   QOpenGLTexture__SwizzleValue = QOpenGLTexture__SwizzleValue(1)
)

//go:generate stringer -type=QOpenGLTexture__WrapMode
//QOpenGLTexture::WrapMode
type QOpenGLTexture__WrapMode int64

const (
	QOpenGLTexture__Repeat         QOpenGLTexture__WrapMode = QOpenGLTexture__WrapMode(0x2901)
	QOpenGLTexture__MirroredRepeat QOpenGLTexture__WrapMode = QOpenGLTexture__WrapMode(0x8370)
	QOpenGLTexture__ClampToEdge    QOpenGLTexture__WrapMode = QOpenGLTexture__WrapMode(0x812F)
	QOpenGLTexture__ClampToBorder  QOpenGLTexture__WrapMode = QOpenGLTexture__WrapMode(0x812D)
)

//go:generate stringer -type=QOpenGLTexture__CoordinateDirection
//QOpenGLTexture::CoordinateDirection
type QOpenGLTexture__CoordinateDirection int64

const (
	QOpenGLTexture__DirectionS QOpenGLTexture__CoordinateDirection = QOpenGLTexture__CoordinateDirection(0x2802)
	QOpenGLTexture__DirectionT QOpenGLTexture__CoordinateDirection = QOpenGLTexture__CoordinateDirection(0x2803)
	QOpenGLTexture__DirectionR QOpenGLTexture__CoordinateDirection = QOpenGLTexture__CoordinateDirection(0x8072)
)

//go:generate stringer -type=QOpenGLTexture__Feature
//QOpenGLTexture::Feature
type QOpenGLTexture__Feature int64

const (
	QOpenGLTexture__ImmutableStorage            QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00000001)
	QOpenGLTexture__ImmutableMultisampleStorage QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00000002)
	QOpenGLTexture__TextureRectangle            QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00000004)
	QOpenGLTexture__TextureArrays               QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00000008)
	QOpenGLTexture__Texture3D                   QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00000010)
	QOpenGLTexture__TextureMultisample          QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00000020)
	QOpenGLTexture__TextureBuffer               QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00000040)
	QOpenGLTexture__TextureCubeMapArrays        QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00000080)
	QOpenGLTexture__Swizzle                     QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00000100)
	QOpenGLTexture__StencilTexturing            QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00000200)
	QOpenGLTexture__AnisotropicFiltering        QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00000400)
	QOpenGLTexture__NPOTTextures                QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00000800)
	QOpenGLTexture__NPOTTextureRepeat           QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00001000)
	QOpenGLTexture__Texture1D                   QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00002000)
	QOpenGLTexture__TextureComparisonOperators  QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00004000)
	QOpenGLTexture__TextureMipMapLevel          QOpenGLTexture__Feature = QOpenGLTexture__Feature(0x00008000)
)

//go:generate stringer -type=QOpenGLTexture__DepthStencilMode
//QOpenGLTexture::DepthStencilMode
type QOpenGLTexture__DepthStencilMode int64

const (
	QOpenGLTexture__DepthMode   QOpenGLTexture__DepthStencilMode = QOpenGLTexture__DepthStencilMode(0x1902)
	QOpenGLTexture__StencilMode QOpenGLTexture__DepthStencilMode = QOpenGLTexture__DepthStencilMode(0x1901)
)

//go:generate stringer -type=QOpenGLTexture__ComparisonFunction
//QOpenGLTexture::ComparisonFunction
type QOpenGLTexture__ComparisonFunction int64

const (
	QOpenGLTexture__CompareLessEqual    QOpenGLTexture__ComparisonFunction = QOpenGLTexture__ComparisonFunction(0x0203)
	QOpenGLTexture__CompareGreaterEqual QOpenGLTexture__ComparisonFunction = QOpenGLTexture__ComparisonFunction(0x0206)
	QOpenGLTexture__CompareLess         QOpenGLTexture__ComparisonFunction = QOpenGLTexture__ComparisonFunction(0x0201)
	QOpenGLTexture__CompareGreater      QOpenGLTexture__ComparisonFunction = QOpenGLTexture__ComparisonFunction(0x0204)
	QOpenGLTexture__CompareEqual        QOpenGLTexture__ComparisonFunction = QOpenGLTexture__ComparisonFunction(0x0202)
	QOpenGLTexture__CommpareNotEqual    QOpenGLTexture__ComparisonFunction = QOpenGLTexture__ComparisonFunction(0x0205)
	QOpenGLTexture__CompareAlways       QOpenGLTexture__ComparisonFunction = QOpenGLTexture__ComparisonFunction(0x0207)
	QOpenGLTexture__CompareNever        QOpenGLTexture__ComparisonFunction = QOpenGLTexture__ComparisonFunction(0x0200)
)

//go:generate stringer -type=QOpenGLTexture__ComparisonMode
//QOpenGLTexture::ComparisonMode
type QOpenGLTexture__ComparisonMode int64

const (
	QOpenGLTexture__CompareRefToTexture QOpenGLTexture__ComparisonMode = QOpenGLTexture__ComparisonMode(0x884E)
	QOpenGLTexture__CompareNone         QOpenGLTexture__ComparisonMode = QOpenGLTexture__ComparisonMode(0x0000)
)

//go:generate stringer -type=QOpenGLTexture__Filter
//QOpenGLTexture::Filter
type QOpenGLTexture__Filter int64

const (
	QOpenGLTexture__Nearest              QOpenGLTexture__Filter = QOpenGLTexture__Filter(0x2600)
	QOpenGLTexture__Linear               QOpenGLTexture__Filter = QOpenGLTexture__Filter(0x2601)
	QOpenGLTexture__NearestMipMapNearest QOpenGLTexture__Filter = QOpenGLTexture__Filter(0x2700)
	QOpenGLTexture__NearestMipMapLinear  QOpenGLTexture__Filter = QOpenGLTexture__Filter(0x2702)
	QOpenGLTexture__LinearMipMapNearest  QOpenGLTexture__Filter = QOpenGLTexture__Filter(0x2701)
	QOpenGLTexture__LinearMipMapLinear   QOpenGLTexture__Filter = QOpenGLTexture__Filter(0x2703)
)

func NewQOpenGLTexture(target QOpenGLTexture__Target) *QOpenGLTexture {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLTexture", "", target}).(*QOpenGLTexture)
}

func NewQOpenGLTexture2(image QImage_ITF, genMipMaps QOpenGLTexture__MipMapGeneration) *QOpenGLTexture {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLTexture2", "", image, genMipMaps}).(*QOpenGLTexture)
}

func (ptr *QOpenGLTexture) AllocateStorage() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllocateStorage"})
}

func (ptr *QOpenGLTexture) AllocateStorage2(pixelFormat QOpenGLTexture__PixelFormat, pixelType QOpenGLTexture__PixelType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllocateStorage2", pixelFormat, pixelType})
}

func (ptr *QOpenGLTexture) Bind() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bind"})
}

func (ptr *QOpenGLTexture) Bind2(unit uint, reset QOpenGLTexture__TextureUnitReset) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bind2", unit, reset})
}

func (ptr *QOpenGLTexture) BorderColor() *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BorderColor"}).(*QColor)
}

func (ptr *QOpenGLTexture) BorderColor2(border float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BorderColor2", border})
}

func (ptr *QOpenGLTexture) BorderColor3(border int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BorderColor3", border})
}

func (ptr *QOpenGLTexture) BorderColor4(border uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BorderColor4", border})
}

func QOpenGLTexture_BoundTextureId(target QOpenGLTexture__BindingTarget) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLTexture_BoundTextureId", "", target}).(float64))
}

func (ptr *QOpenGLTexture) BoundTextureId(target QOpenGLTexture__BindingTarget) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLTexture_BoundTextureId", "", target}).(float64))
}

func QOpenGLTexture_BoundTextureId2(unit uint, target QOpenGLTexture__BindingTarget) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLTexture_BoundTextureId2", "", unit, target}).(float64))
}

func (ptr *QOpenGLTexture) BoundTextureId2(unit uint, target QOpenGLTexture__BindingTarget) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLTexture_BoundTextureId2", "", unit, target}).(float64))
}

func (ptr *QOpenGLTexture) ComparisonFunction() QOpenGLTexture__ComparisonFunction {

	return QOpenGLTexture__ComparisonFunction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ComparisonFunction"}).(float64))
}

func (ptr *QOpenGLTexture) ComparisonMode() QOpenGLTexture__ComparisonMode {

	return QOpenGLTexture__ComparisonMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ComparisonMode"}).(float64))
}

func (ptr *QOpenGLTexture) Create() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create"}).(bool)
}

func (ptr *QOpenGLTexture) CreateTextureView(target QOpenGLTexture__Target, viewFormat QOpenGLTexture__TextureFormat, minimumMipmapLevel int, maximumMipmapLevel int, minimumLayer int, maximumLayer int) *QOpenGLTexture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateTextureView", target, viewFormat, minimumMipmapLevel, maximumMipmapLevel, minimumLayer, maximumLayer}).(*QOpenGLTexture)
}

func (ptr *QOpenGLTexture) Depth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Depth"}).(float64))
}

func (ptr *QOpenGLTexture) DepthStencilMode() QOpenGLTexture__DepthStencilMode {

	return QOpenGLTexture__DepthStencilMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DepthStencilMode"}).(float64))
}

func (ptr *QOpenGLTexture) Destroy() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Destroy"})
}

func (ptr *QOpenGLTexture) Faces() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Faces"}).(float64))
}

func (ptr *QOpenGLTexture) Format() QOpenGLTexture__TextureFormat {

	return QOpenGLTexture__TextureFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(float64))
}

func (ptr *QOpenGLTexture) GenerateMipMaps() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GenerateMipMaps"})
}

func (ptr *QOpenGLTexture) GenerateMipMaps2(baseLevel int, resetBaseLevel bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GenerateMipMaps2", baseLevel, resetBaseLevel})
}

func QOpenGLTexture_HasFeature(feature QOpenGLTexture__Feature) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLTexture_HasFeature", "", feature}).(bool)
}

func (ptr *QOpenGLTexture) HasFeature(feature QOpenGLTexture__Feature) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLTexture_HasFeature", "", feature}).(bool)
}

func (ptr *QOpenGLTexture) Height() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64))
}

func (ptr *QOpenGLTexture) IsAutoMipMapGenerationEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAutoMipMapGenerationEnabled"}).(bool)
}

func (ptr *QOpenGLTexture) IsBound() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsBound"}).(bool)
}

func (ptr *QOpenGLTexture) IsBound2(unit uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsBound2", unit}).(bool)
}

func (ptr *QOpenGLTexture) IsCreated() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCreated"}).(bool)
}

func (ptr *QOpenGLTexture) IsFixedSamplePositions() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFixedSamplePositions"}).(bool)
}

func (ptr *QOpenGLTexture) IsStorageAllocated() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsStorageAllocated"}).(bool)
}

func (ptr *QOpenGLTexture) IsTextureView() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTextureView"}).(bool)
}

func (ptr *QOpenGLTexture) Layers() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Layers"}).(float64))
}

func (ptr *QOpenGLTexture) LevelofDetailBias() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LevelofDetailBias"}).(float32)
}

func (ptr *QOpenGLTexture) MagnificationFilter() QOpenGLTexture__Filter {

	return QOpenGLTexture__Filter(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MagnificationFilter"}).(float64))
}

func (ptr *QOpenGLTexture) MaximumAnisotropy() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumAnisotropy"}).(float32)
}

func (ptr *QOpenGLTexture) MaximumLevelOfDetail() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumLevelOfDetail"}).(float32)
}

func (ptr *QOpenGLTexture) MaximumMipLevels() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumMipLevels"}).(float64))
}

func (ptr *QOpenGLTexture) MinificationFilter() QOpenGLTexture__Filter {

	return QOpenGLTexture__Filter(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinificationFilter"}).(float64))
}

func (ptr *QOpenGLTexture) MinimumLevelOfDetail() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumLevelOfDetail"}).(float32)
}

func (ptr *QOpenGLTexture) MipBaseLevel() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MipBaseLevel"}).(float64))
}

func (ptr *QOpenGLTexture) MipLevels() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MipLevels"}).(float64))
}

func (ptr *QOpenGLTexture) MipMaxLevel() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MipMaxLevel"}).(float64))
}

func (ptr *QOpenGLTexture) Release() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Release"})
}

func (ptr *QOpenGLTexture) Release2(unit uint, reset QOpenGLTexture__TextureUnitReset) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Release2", unit, reset})
}

func (ptr *QOpenGLTexture) Samples() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Samples"}).(float64))
}

func (ptr *QOpenGLTexture) SetAutoMipMapGenerationEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoMipMapGenerationEnabled", enabled})
}

func (ptr *QOpenGLTexture) SetBorderColor(color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBorderColor", color})
}

func (ptr *QOpenGLTexture) SetBorderColor2(r float32, g float32, b float32, a float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBorderColor2", r, g, b, a})
}

func (ptr *QOpenGLTexture) SetBorderColor3(r int, g int, b int, a int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBorderColor3", r, g, b, a})
}

func (ptr *QOpenGLTexture) SetBorderColor4(r uint, g uint, b uint, a uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBorderColor4", r, g, b, a})
}

func (ptr *QOpenGLTexture) SetComparisonFunction(function QOpenGLTexture__ComparisonFunction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetComparisonFunction", function})
}

func (ptr *QOpenGLTexture) SetComparisonMode(mode QOpenGLTexture__ComparisonMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetComparisonMode", mode})
}

func (ptr *QOpenGLTexture) SetCompressedData(mipLevel int, layer int, cubeFace QOpenGLTexture__CubeMapFace, dataSize int, data unsafe.Pointer, options QOpenGLPixelTransferOptions_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCompressedData", mipLevel, layer, cubeFace, dataSize, data, options})
}

func (ptr *QOpenGLTexture) SetCompressedData6(mipLevel int, layer int, layerCount int, cubeFace QOpenGLTexture__CubeMapFace, dataSize int, data unsafe.Pointer, options QOpenGLPixelTransferOptions_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCompressedData6", mipLevel, layer, layerCount, cubeFace, dataSize, data, options})
}

func (ptr *QOpenGLTexture) SetCompressedData7(mipLevel int, layer int, dataSize int, data unsafe.Pointer, options QOpenGLPixelTransferOptions_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCompressedData7", mipLevel, layer, dataSize, data, options})
}

func (ptr *QOpenGLTexture) SetCompressedData8(mipLevel int, dataSize int, data unsafe.Pointer, options QOpenGLPixelTransferOptions_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCompressedData8", mipLevel, dataSize, data, options})
}

func (ptr *QOpenGLTexture) SetCompressedData9(dataSize int, data unsafe.Pointer, options QOpenGLPixelTransferOptions_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCompressedData9", dataSize, data, options})
}

func (ptr *QOpenGLTexture) SetData(mipLevel int, layer int, cubeFace QOpenGLTexture__CubeMapFace, sourceFormat QOpenGLTexture__PixelFormat, sourceType QOpenGLTexture__PixelType, data unsafe.Pointer, options QOpenGLPixelTransferOptions_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData", mipLevel, layer, cubeFace, sourceFormat, sourceType, data, options})
}

func (ptr *QOpenGLTexture) SetData6(mipLevel int, layer int, layerCount int, cubeFace QOpenGLTexture__CubeMapFace, sourceFormat QOpenGLTexture__PixelFormat, sourceType QOpenGLTexture__PixelType, data unsafe.Pointer, options QOpenGLPixelTransferOptions_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData6", mipLevel, layer, layerCount, cubeFace, sourceFormat, sourceType, data, options})
}

func (ptr *QOpenGLTexture) SetData7(mipLevel int, layer int, sourceFormat QOpenGLTexture__PixelFormat, sourceType QOpenGLTexture__PixelType, data unsafe.Pointer, options QOpenGLPixelTransferOptions_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData7", mipLevel, layer, sourceFormat, sourceType, data, options})
}

func (ptr *QOpenGLTexture) SetData8(mipLevel int, sourceFormat QOpenGLTexture__PixelFormat, sourceType QOpenGLTexture__PixelType, data unsafe.Pointer, options QOpenGLPixelTransferOptions_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData8", mipLevel, sourceFormat, sourceType, data, options})
}

func (ptr *QOpenGLTexture) SetData9(sourceFormat QOpenGLTexture__PixelFormat, sourceType QOpenGLTexture__PixelType, data unsafe.Pointer, options QOpenGLPixelTransferOptions_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData9", sourceFormat, sourceType, data, options})
}

func (ptr *QOpenGLTexture) SetData10(image QImage_ITF, genMipMaps QOpenGLTexture__MipMapGeneration) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData10", image, genMipMaps})
}

func (ptr *QOpenGLTexture) SetDepthStencilMode(mode QOpenGLTexture__DepthStencilMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDepthStencilMode", mode})
}

func (ptr *QOpenGLTexture) SetFixedSamplePositions(fixed bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFixedSamplePositions", fixed})
}

func (ptr *QOpenGLTexture) SetFormat(format QOpenGLTexture__TextureFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", format})
}

func (ptr *QOpenGLTexture) SetLayers(layers int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLayers", layers})
}

func (ptr *QOpenGLTexture) SetLevelOfDetailRange(min float32, max float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLevelOfDetailRange", min, max})
}

func (ptr *QOpenGLTexture) SetLevelofDetailBias(bias float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLevelofDetailBias", bias})
}

func (ptr *QOpenGLTexture) SetMagnificationFilter(filter QOpenGLTexture__Filter) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMagnificationFilter", filter})
}

func (ptr *QOpenGLTexture) SetMaximumAnisotropy(anisotropy float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumAnisotropy", anisotropy})
}

func (ptr *QOpenGLTexture) SetMaximumLevelOfDetail(value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumLevelOfDetail", value})
}

func (ptr *QOpenGLTexture) SetMinMagFilters(minificationFilter QOpenGLTexture__Filter, magnificationFilter QOpenGLTexture__Filter) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinMagFilters", minificationFilter, magnificationFilter})
}

func (ptr *QOpenGLTexture) SetMinificationFilter(filter QOpenGLTexture__Filter) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinificationFilter", filter})
}

func (ptr *QOpenGLTexture) SetMinimumLevelOfDetail(value float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumLevelOfDetail", value})
}

func (ptr *QOpenGLTexture) SetMipBaseLevel(baseLevel int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMipBaseLevel", baseLevel})
}

func (ptr *QOpenGLTexture) SetMipLevelRange(baseLevel int, maxLevel int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMipLevelRange", baseLevel, maxLevel})
}

func (ptr *QOpenGLTexture) SetMipLevels(levels int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMipLevels", levels})
}

func (ptr *QOpenGLTexture) SetMipMaxLevel(maxLevel int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMipMaxLevel", maxLevel})
}

func (ptr *QOpenGLTexture) SetSamples(samples int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSamples", samples})
}

func (ptr *QOpenGLTexture) SetSize(width int, height int, depth int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSize", width, height, depth})
}

func (ptr *QOpenGLTexture) SetSwizzleMask(component QOpenGLTexture__SwizzleComponent, value QOpenGLTexture__SwizzleValue) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSwizzleMask", component, value})
}

func (ptr *QOpenGLTexture) SetSwizzleMask2(r QOpenGLTexture__SwizzleValue, g QOpenGLTexture__SwizzleValue, b QOpenGLTexture__SwizzleValue, a QOpenGLTexture__SwizzleValue) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSwizzleMask2", r, g, b, a})
}

func (ptr *QOpenGLTexture) SetWrapMode(mode QOpenGLTexture__WrapMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWrapMode", mode})
}

func (ptr *QOpenGLTexture) SetWrapMode2(direction QOpenGLTexture__CoordinateDirection, mode QOpenGLTexture__WrapMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWrapMode2", direction, mode})
}

func (ptr *QOpenGLTexture) SwizzleMask(component QOpenGLTexture__SwizzleComponent) QOpenGLTexture__SwizzleValue {

	return QOpenGLTexture__SwizzleValue(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SwizzleMask", component}).(float64))
}

func (ptr *QOpenGLTexture) Target() QOpenGLTexture__Target {

	return QOpenGLTexture__Target(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Target"}).(float64))
}

func (ptr *QOpenGLTexture) TextureId() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextureId"}).(float64))
}

func (ptr *QOpenGLTexture) Width() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64))
}

func (ptr *QOpenGLTexture) WrapMode(direction QOpenGLTexture__CoordinateDirection) QOpenGLTexture__WrapMode {

	return QOpenGLTexture__WrapMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WrapMode", direction}).(float64))
}

type QOpenGLTextureBlitter struct {
	internal.Internal
}

type QOpenGLTextureBlitter_ITF interface {
	QOpenGLTextureBlitter_PTR() *QOpenGLTextureBlitter
}

func (ptr *QOpenGLTextureBlitter) QOpenGLTextureBlitter_PTR() *QOpenGLTextureBlitter {
	return ptr
}

func (ptr *QOpenGLTextureBlitter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QOpenGLTextureBlitter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQOpenGLTextureBlitter(ptr QOpenGLTextureBlitter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLTextureBlitter_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLTextureBlitter) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQOpenGLTextureBlitterFromPointer(ptr unsafe.Pointer) (n *QOpenGLTextureBlitter) {
	n = new(QOpenGLTextureBlitter)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLTextureBlitter")
	return
}

//go:generate stringer -type=QOpenGLTextureBlitter__Origin
//QOpenGLTextureBlitter::Origin
type QOpenGLTextureBlitter__Origin int64

const (
	QOpenGLTextureBlitter__OriginBottomLeft QOpenGLTextureBlitter__Origin = QOpenGLTextureBlitter__Origin(0)
	QOpenGLTextureBlitter__OriginTopLeft    QOpenGLTextureBlitter__Origin = QOpenGLTextureBlitter__Origin(1)
)

func NewQOpenGLTextureBlitter() *QOpenGLTextureBlitter {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLTextureBlitter", ""}).(*QOpenGLTextureBlitter)
}

func (ptr *QOpenGLTextureBlitter) Bind(target uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bind", target})
}

func (ptr *QOpenGLTextureBlitter) Blit(texture uint, targetTransform QMatrix4x4_ITF, sourceOrigin QOpenGLTextureBlitter__Origin) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Blit", texture, targetTransform, sourceOrigin})
}

func (ptr *QOpenGLTextureBlitter) Create() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create"}).(bool)
}

func (ptr *QOpenGLTextureBlitter) Destroy() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Destroy"})
}

func (ptr *QOpenGLTextureBlitter) IsCreated() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCreated"}).(bool)
}

func (ptr *QOpenGLTextureBlitter) Release() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Release"})
}

func (ptr *QOpenGLTextureBlitter) SetOpacity(opacity float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOpacity", opacity})
}

func (ptr *QOpenGLTextureBlitter) SetRedBlueSwizzle(swizzle bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRedBlueSwizzle", swizzle})
}

func (ptr *QOpenGLTextureBlitter) SupportsExternalOESTarget() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportsExternalOESTarget"}).(bool)
}

func QOpenGLTextureBlitter_TargetTransform(target core.QRectF_ITF, viewport core.QRect_ITF) *QMatrix4x4 {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLTextureBlitter_TargetTransform", "", target, viewport}).(*QMatrix4x4)
}

func (ptr *QOpenGLTextureBlitter) TargetTransform(target core.QRectF_ITF, viewport core.QRect_ITF) *QMatrix4x4 {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QOpenGLTextureBlitter_TargetTransform", "", target, viewport}).(*QMatrix4x4)
}

func (ptr *QOpenGLTextureBlitter) DestroyQOpenGLTextureBlitter() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLTextureBlitter"})
}

type QOpenGLTimeMonitor struct {
	core.QObject
}

type QOpenGLTimeMonitor_ITF interface {
	core.QObject_ITF
	QOpenGLTimeMonitor_PTR() *QOpenGLTimeMonitor
}

func (ptr *QOpenGLTimeMonitor) QOpenGLTimeMonitor_PTR() *QOpenGLTimeMonitor {
	return ptr
}

func (ptr *QOpenGLTimeMonitor) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLTimeMonitor) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLTimeMonitor(ptr QOpenGLTimeMonitor_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLTimeMonitor_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLTimeMonitor) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLTimeMonitor) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQOpenGLTimeMonitorFromPointer(ptr unsafe.Pointer) (n *QOpenGLTimeMonitor) {
	n = new(QOpenGLTimeMonitor)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLTimeMonitor")
	return
}
func NewQOpenGLTimeMonitor(parent core.QObject_ITF) *QOpenGLTimeMonitor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLTimeMonitor", "", parent}).(*QOpenGLTimeMonitor)
}

func (ptr *QOpenGLTimeMonitor) Create() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create"}).(bool)
}

func (ptr *QOpenGLTimeMonitor) Destroy() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Destroy"})
}

func (ptr *QOpenGLTimeMonitor) IsCreated() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCreated"}).(bool)
}

func (ptr *QOpenGLTimeMonitor) IsResultAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsResultAvailable"}).(bool)
}

func (ptr *QOpenGLTimeMonitor) ObjectIds() []uint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ObjectIds"}).([]uint)
}

func (ptr *QOpenGLTimeMonitor) RecordSample() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RecordSample"}).(float64))
}

func (ptr *QOpenGLTimeMonitor) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QOpenGLTimeMonitor) SampleCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SampleCount"}).(float64))
}

func (ptr *QOpenGLTimeMonitor) SetSampleCount(sampleCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSampleCount", sampleCount})
}

func (ptr *QOpenGLTimeMonitor) ConnectDestroyQOpenGLTimeMonitor(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQOpenGLTimeMonitor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLTimeMonitor) DisconnectDestroyQOpenGLTimeMonitor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQOpenGLTimeMonitor"})
}

func (ptr *QOpenGLTimeMonitor) DestroyQOpenGLTimeMonitor() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLTimeMonitor"})
}

func (ptr *QOpenGLTimeMonitor) DestroyQOpenGLTimeMonitorDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLTimeMonitorDefault"})
}

func (ptr *QOpenGLTimeMonitor) __objectIds_atList(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__objectIds_atList", i}).(float64))
}

func (ptr *QOpenGLTimeMonitor) __objectIds_setList(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__objectIds_setList", i})
}

func (ptr *QOpenGLTimeMonitor) __objectIds_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__objectIds_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLTimeMonitor) __waitForIntervals_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__waitForIntervals_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLTimeMonitor) __waitForSamples_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__waitForSamples_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLTimeMonitor) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLTimeMonitor) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QOpenGLTimeMonitor) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLTimeMonitor) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QOpenGLTimeMonitor) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QOpenGLTimeMonitor) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLTimeMonitor) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLTimeMonitor) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QOpenGLTimeMonitor) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLTimeMonitor) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QOpenGLTimeMonitor) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QOpenGLTimeMonitor) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QOpenGLTimeMonitor) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QOpenGLTimeMonitor) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QOpenGLTimeMonitor) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QOpenGLTimeMonitor) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QOpenGLTimeMonitor) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QOpenGLTimeMonitor) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QOpenGLTimeMonitor) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QOpenGLTimeMonitor) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QOpenGLTimeMonitor) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QOpenGLTimerQuery struct {
	core.QObject
}

type QOpenGLTimerQuery_ITF interface {
	core.QObject_ITF
	QOpenGLTimerQuery_PTR() *QOpenGLTimerQuery
}

func (ptr *QOpenGLTimerQuery) QOpenGLTimerQuery_PTR() *QOpenGLTimerQuery {
	return ptr
}

func (ptr *QOpenGLTimerQuery) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLTimerQuery) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLTimerQuery(ptr QOpenGLTimerQuery_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLTimerQuery_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLTimerQuery) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLTimerQuery) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQOpenGLTimerQueryFromPointer(ptr unsafe.Pointer) (n *QOpenGLTimerQuery) {
	n = new(QOpenGLTimerQuery)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLTimerQuery")
	return
}
func NewQOpenGLTimerQuery(parent core.QObject_ITF) *QOpenGLTimerQuery {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLTimerQuery", "", parent}).(*QOpenGLTimerQuery)
}

func (ptr *QOpenGLTimerQuery) Begin() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Begin"})
}

func (ptr *QOpenGLTimerQuery) Create() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create"}).(bool)
}

func (ptr *QOpenGLTimerQuery) Destroy() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Destroy"})
}

func (ptr *QOpenGLTimerQuery) End() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "End"})
}

func (ptr *QOpenGLTimerQuery) IsCreated() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCreated"}).(bool)
}

func (ptr *QOpenGLTimerQuery) IsResultAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsResultAvailable"}).(bool)
}

func (ptr *QOpenGLTimerQuery) ObjectId() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ObjectId"}).(float64))
}

func (ptr *QOpenGLTimerQuery) RecordTimestamp() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RecordTimestamp"})
}

func (ptr *QOpenGLTimerQuery) ConnectDestroyQOpenGLTimerQuery(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQOpenGLTimerQuery", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLTimerQuery) DisconnectDestroyQOpenGLTimerQuery() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQOpenGLTimerQuery"})
}

func (ptr *QOpenGLTimerQuery) DestroyQOpenGLTimerQuery() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLTimerQuery"})
}

func (ptr *QOpenGLTimerQuery) DestroyQOpenGLTimerQueryDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLTimerQueryDefault"})
}

func (ptr *QOpenGLTimerQuery) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLTimerQuery) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QOpenGLTimerQuery) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLTimerQuery) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QOpenGLTimerQuery) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QOpenGLTimerQuery) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLTimerQuery) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLTimerQuery) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QOpenGLTimerQuery) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLTimerQuery) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QOpenGLTimerQuery) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QOpenGLTimerQuery) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QOpenGLTimerQuery) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QOpenGLTimerQuery) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QOpenGLTimerQuery) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QOpenGLTimerQuery) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QOpenGLTimerQuery) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QOpenGLTimerQuery) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QOpenGLTimerQuery) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QOpenGLTimerQuery) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QOpenGLTimerQuery) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QOpenGLVersionFunctionsBackend struct {
	internal.Internal
}

type QOpenGLVersionFunctionsBackend_ITF interface {
	QOpenGLVersionFunctionsBackend_PTR() *QOpenGLVersionFunctionsBackend
}

func (ptr *QOpenGLVersionFunctionsBackend) QOpenGLVersionFunctionsBackend_PTR() *QOpenGLVersionFunctionsBackend {
	return ptr
}

func (ptr *QOpenGLVersionFunctionsBackend) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QOpenGLVersionFunctionsBackend) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQOpenGLVersionFunctionsBackend(ptr QOpenGLVersionFunctionsBackend_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsBackend_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLVersionFunctionsBackend) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQOpenGLVersionFunctionsBackendFromPointer(ptr unsafe.Pointer) (n *QOpenGLVersionFunctionsBackend) {
	n = new(QOpenGLVersionFunctionsBackend)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLVersionFunctionsBackend")
	return
}

func (ptr *QOpenGLVersionFunctionsBackend) DestroyQOpenGLVersionFunctionsBackend() {
}

type QOpenGLVersionFunctionsStorage struct {
	internal.Internal
}

type QOpenGLVersionFunctionsStorage_ITF interface {
	QOpenGLVersionFunctionsStorage_PTR() *QOpenGLVersionFunctionsStorage
}

func (ptr *QOpenGLVersionFunctionsStorage) QOpenGLVersionFunctionsStorage_PTR() *QOpenGLVersionFunctionsStorage {
	return ptr
}

func (ptr *QOpenGLVersionFunctionsStorage) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QOpenGLVersionFunctionsStorage) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQOpenGLVersionFunctionsStorage(ptr QOpenGLVersionFunctionsStorage_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionFunctionsStorage_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLVersionFunctionsStorage) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQOpenGLVersionFunctionsStorageFromPointer(ptr unsafe.Pointer) (n *QOpenGLVersionFunctionsStorage) {
	n = new(QOpenGLVersionFunctionsStorage)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLVersionFunctionsStorage")
	return
}

func (ptr *QOpenGLVersionFunctionsStorage) DestroyQOpenGLVersionFunctionsStorage() {
}

type QOpenGLVersionProfile struct {
	internal.Internal
}

type QOpenGLVersionProfile_ITF interface {
	QOpenGLVersionProfile_PTR() *QOpenGLVersionProfile
}

func (ptr *QOpenGLVersionProfile) QOpenGLVersionProfile_PTR() *QOpenGLVersionProfile {
	return ptr
}

func (ptr *QOpenGLVersionProfile) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QOpenGLVersionProfile) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQOpenGLVersionProfile(ptr QOpenGLVersionProfile_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionProfile_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLVersionProfile) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQOpenGLVersionProfileFromPointer(ptr unsafe.Pointer) (n *QOpenGLVersionProfile) {
	n = new(QOpenGLVersionProfile)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLVersionProfile")
	return
}
func NewQOpenGLVersionProfile() *QOpenGLVersionProfile {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLVersionProfile", ""}).(*QOpenGLVersionProfile)
}

func NewQOpenGLVersionProfile2(format QSurfaceFormat_ITF) *QOpenGLVersionProfile {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLVersionProfile2", "", format}).(*QOpenGLVersionProfile)
}

func NewQOpenGLVersionProfile3(other QOpenGLVersionProfile_ITF) *QOpenGLVersionProfile {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLVersionProfile3", "", other}).(*QOpenGLVersionProfile)
}

func (ptr *QOpenGLVersionProfile) HasProfiles() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasProfiles"}).(bool)
}

func (ptr *QOpenGLVersionProfile) IsLegacyVersion() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLegacyVersion"}).(bool)
}

func (ptr *QOpenGLVersionProfile) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QOpenGLVersionProfile) Profile() QSurfaceFormat__OpenGLContextProfile {

	return QSurfaceFormat__OpenGLContextProfile(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Profile"}).(float64))
}

func (ptr *QOpenGLVersionProfile) SetProfile(profile QSurfaceFormat__OpenGLContextProfile) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetProfile", profile})
}

func (ptr *QOpenGLVersionProfile) SetVersion(majorVersion int, minorVersion int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVersion", majorVersion, minorVersion})
}

func (ptr *QOpenGLVersionProfile) DestroyQOpenGLVersionProfile() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLVersionProfile"})
}

type QOpenGLVersionStatus struct {
	internal.Internal
}

type QOpenGLVersionStatus_ITF interface {
	QOpenGLVersionStatus_PTR() *QOpenGLVersionStatus
}

func (ptr *QOpenGLVersionStatus) QOpenGLVersionStatus_PTR() *QOpenGLVersionStatus {
	return ptr
}

func (ptr *QOpenGLVersionStatus) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QOpenGLVersionStatus) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQOpenGLVersionStatus(ptr QOpenGLVersionStatus_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVersionStatus_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLVersionStatus) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQOpenGLVersionStatusFromPointer(ptr unsafe.Pointer) (n *QOpenGLVersionStatus) {
	n = new(QOpenGLVersionStatus)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLVersionStatus")
	return
}

func (ptr *QOpenGLVersionStatus) DestroyQOpenGLVersionStatus() {
}

type QOpenGLVertexArrayObject struct {
	core.QObject
}

type QOpenGLVertexArrayObject_ITF interface {
	core.QObject_ITF
	QOpenGLVertexArrayObject_PTR() *QOpenGLVertexArrayObject
}

func (ptr *QOpenGLVertexArrayObject) QOpenGLVertexArrayObject_PTR() *QOpenGLVertexArrayObject {
	return ptr
}

func (ptr *QOpenGLVertexArrayObject) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLVertexArrayObject) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLVertexArrayObject(ptr QOpenGLVertexArrayObject_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLVertexArrayObject_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLVertexArrayObject) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLVertexArrayObject) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQOpenGLVertexArrayObjectFromPointer(ptr unsafe.Pointer) (n *QOpenGLVertexArrayObject) {
	n = new(QOpenGLVertexArrayObject)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLVertexArrayObject")
	return
}
func NewQOpenGLVertexArrayObject(parent core.QObject_ITF) *QOpenGLVertexArrayObject {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLVertexArrayObject", "", parent}).(*QOpenGLVertexArrayObject)
}

func (ptr *QOpenGLVertexArrayObject) Bind() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bind"})
}

func (ptr *QOpenGLVertexArrayObject) Create() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create"}).(bool)
}

func (ptr *QOpenGLVertexArrayObject) Destroy() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Destroy"})
}

func (ptr *QOpenGLVertexArrayObject) IsCreated() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCreated"}).(bool)
}

func (ptr *QOpenGLVertexArrayObject) ObjectId() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ObjectId"}).(float64))
}

func (ptr *QOpenGLVertexArrayObject) Release() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Release"})
}

func (ptr *QOpenGLVertexArrayObject) ConnectDestroyQOpenGLVertexArrayObject(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQOpenGLVertexArrayObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLVertexArrayObject) DisconnectDestroyQOpenGLVertexArrayObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQOpenGLVertexArrayObject"})
}

func (ptr *QOpenGLVertexArrayObject) DestroyQOpenGLVertexArrayObject() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLVertexArrayObject"})
}

func (ptr *QOpenGLVertexArrayObject) DestroyQOpenGLVertexArrayObjectDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLVertexArrayObjectDefault"})
}

func (ptr *QOpenGLVertexArrayObject) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLVertexArrayObject) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QOpenGLVertexArrayObject) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLVertexArrayObject) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QOpenGLVertexArrayObject) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QOpenGLVertexArrayObject) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLVertexArrayObject) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QOpenGLVertexArrayObject) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QOpenGLVertexArrayObject) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QOpenGLVertexArrayObject) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QOpenGLVertexArrayObject) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QOpenGLVertexArrayObject) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QOpenGLVertexArrayObject) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QOpenGLVertexArrayObject) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QOpenGLVertexArrayObject) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QOpenGLVertexArrayObject) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QOpenGLVertexArrayObject) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QOpenGLVertexArrayObject) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QOpenGLVertexArrayObject) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QOpenGLVertexArrayObject) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QOpenGLVertexArrayObject) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QOpenGLWindow struct {
	QPaintDeviceWindow
}

type QOpenGLWindow_ITF interface {
	QPaintDeviceWindow_ITF
	QOpenGLWindow_PTR() *QOpenGLWindow
}

func (ptr *QOpenGLWindow) QOpenGLWindow_PTR() *QOpenGLWindow {
	return ptr
}

func (ptr *QOpenGLWindow) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QPaintDeviceWindow_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLWindow) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QPaintDeviceWindow_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLWindow(ptr QOpenGLWindow_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLWindow_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLWindow) InitFromInternal(ptr uintptr, name string) {
	n.QPaintDeviceWindow_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLWindow) ClassNameInternalF() string {
	return n.QPaintDeviceWindow_PTR().ClassNameInternalF()
}

func NewQOpenGLWindowFromPointer(ptr unsafe.Pointer) (n *QOpenGLWindow) {
	n = new(QOpenGLWindow)
	n.InitFromInternal(uintptr(ptr), "gui.QOpenGLWindow")
	return
}

//go:generate stringer -type=QOpenGLWindow__UpdateBehavior
//QOpenGLWindow::UpdateBehavior
type QOpenGLWindow__UpdateBehavior int64

const (
	QOpenGLWindow__NoPartialUpdate    QOpenGLWindow__UpdateBehavior = QOpenGLWindow__UpdateBehavior(0)
	QOpenGLWindow__PartialUpdateBlit  QOpenGLWindow__UpdateBehavior = QOpenGLWindow__UpdateBehavior(1)
	QOpenGLWindow__PartialUpdateBlend QOpenGLWindow__UpdateBehavior = QOpenGLWindow__UpdateBehavior(2)
)

func NewQOpenGLWindow(updateBehavior QOpenGLWindow__UpdateBehavior, parent QWindow_ITF) *QOpenGLWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLWindow", "", updateBehavior, parent}).(*QOpenGLWindow)
}

func NewQOpenGLWindow2(shareContext QOpenGLContext_ITF, updateBehavior QOpenGLWindow__UpdateBehavior, parent QWindow_ITF) *QOpenGLWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQOpenGLWindow2", "", shareContext, updateBehavior, parent}).(*QOpenGLWindow)
}

func (ptr *QOpenGLWindow) Context() *QOpenGLContext {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Context"}).(*QOpenGLContext)
}

func (ptr *QOpenGLWindow) DefaultFramebufferObject() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultFramebufferObject"}).(float64))
}

func (ptr *QOpenGLWindow) DoneCurrent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoneCurrent"})
}

func (ptr *QOpenGLWindow) ConnectFrameSwapped(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFrameSwapped", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWindow) DisconnectFrameSwapped() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFrameSwapped"})
}

func (ptr *QOpenGLWindow) FrameSwapped() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameSwapped"})
}

func (ptr *QOpenGLWindow) GrabFramebuffer() *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GrabFramebuffer"}).(*QImage)
}

func (ptr *QOpenGLWindow) ConnectInitializeGL(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInitializeGL", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWindow) DisconnectInitializeGL() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInitializeGL"})
}

func (ptr *QOpenGLWindow) InitializeGL() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitializeGL"})
}

func (ptr *QOpenGLWindow) InitializeGLDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitializeGLDefault"})
}

func (ptr *QOpenGLWindow) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QOpenGLWindow) MakeCurrent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MakeCurrent"})
}

func (ptr *QOpenGLWindow) ConnectPaintGL(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaintGL", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWindow) DisconnectPaintGL() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaintGL"})
}

func (ptr *QOpenGLWindow) PaintGL() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintGL"})
}

func (ptr *QOpenGLWindow) PaintGLDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintGLDefault"})
}

func (ptr *QOpenGLWindow) ConnectPaintOverGL(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaintOverGL", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWindow) DisconnectPaintOverGL() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaintOverGL"})
}

func (ptr *QOpenGLWindow) PaintOverGL() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintOverGL"})
}

func (ptr *QOpenGLWindow) PaintOverGLDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintOverGLDefault"})
}

func (ptr *QOpenGLWindow) ConnectPaintUnderGL(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaintUnderGL", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWindow) DisconnectPaintUnderGL() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaintUnderGL"})
}

func (ptr *QOpenGLWindow) PaintUnderGL() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintUnderGL"})
}

func (ptr *QOpenGLWindow) PaintUnderGLDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintUnderGLDefault"})
}

func (ptr *QOpenGLWindow) ConnectResizeGL(f func(w int, h int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResizeGL", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWindow) DisconnectResizeGL() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResizeGL"})
}

func (ptr *QOpenGLWindow) ResizeGL(w int, h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeGL", w, h})
}

func (ptr *QOpenGLWindow) ResizeGLDefault(w int, h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeGLDefault", w, h})
}

func (ptr *QOpenGLWindow) ShareContext() *QOpenGLContext {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShareContext"}).(*QOpenGLContext)
}

func (ptr *QOpenGLWindow) UpdateBehavior() QOpenGLWindow__UpdateBehavior {

	return QOpenGLWindow__UpdateBehavior(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateBehavior"}).(float64))
}

func (ptr *QOpenGLWindow) ConnectDestroyQOpenGLWindow(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQOpenGLWindow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWindow) DisconnectDestroyQOpenGLWindow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQOpenGLWindow"})
}

func (ptr *QOpenGLWindow) DestroyQOpenGLWindow() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLWindow"})
}

func (ptr *QOpenGLWindow) DestroyQOpenGLWindowDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLWindowDefault"})
}

type QPageLayout struct {
	internal.Internal
}

type QPageLayout_ITF interface {
	QPageLayout_PTR() *QPageLayout
}

func (ptr *QPageLayout) QPageLayout_PTR() *QPageLayout {
	return ptr
}

func (ptr *QPageLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPageLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPageLayout(ptr QPageLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPageLayout_PTR().Pointer()
	}
	return nil
}

func (n *QPageLayout) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPageLayoutFromPointer(ptr unsafe.Pointer) (n *QPageLayout) {
	n = new(QPageLayout)
	n.InitFromInternal(uintptr(ptr), "gui.QPageLayout")
	return
}

//go:generate stringer -type=QPageLayout__Unit
//QPageLayout::Unit
type QPageLayout__Unit int64

const (
	QPageLayout__Millimeter QPageLayout__Unit = QPageLayout__Unit(0)
	QPageLayout__Point      QPageLayout__Unit = QPageLayout__Unit(1)
	QPageLayout__Inch       QPageLayout__Unit = QPageLayout__Unit(2)
	QPageLayout__Pica       QPageLayout__Unit = QPageLayout__Unit(3)
	QPageLayout__Didot      QPageLayout__Unit = QPageLayout__Unit(4)
	QPageLayout__Cicero     QPageLayout__Unit = QPageLayout__Unit(5)
)

//go:generate stringer -type=QPageLayout__Orientation
//QPageLayout::Orientation
type QPageLayout__Orientation int64

const (
	QPageLayout__Portrait  QPageLayout__Orientation = QPageLayout__Orientation(0)
	QPageLayout__Landscape QPageLayout__Orientation = QPageLayout__Orientation(1)
)

//go:generate stringer -type=QPageLayout__Mode
//QPageLayout::Mode
type QPageLayout__Mode int64

const (
	QPageLayout__StandardMode QPageLayout__Mode = QPageLayout__Mode(0)
	QPageLayout__FullPageMode QPageLayout__Mode = QPageLayout__Mode(1)
)

func NewQPageLayout() *QPageLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPageLayout", ""}).(*QPageLayout)
}

func NewQPageLayout2(pageSize QPageSize_ITF, orientation QPageLayout__Orientation, margins core.QMarginsF_ITF, units QPageLayout__Unit, minMargins core.QMarginsF_ITF) *QPageLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPageLayout2", "", pageSize, orientation, margins, units, minMargins}).(*QPageLayout)
}

func NewQPageLayout3(other QPageLayout_ITF) *QPageLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPageLayout3", "", other}).(*QPageLayout)
}

func (ptr *QPageLayout) FullRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FullRect"}).(*core.QRectF)
}

func (ptr *QPageLayout) FullRect2(units QPageLayout__Unit) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FullRect2", units}).(*core.QRectF)
}

func (ptr *QPageLayout) FullRectPixels(resolution int) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FullRectPixels", resolution}).(*core.QRect)
}

func (ptr *QPageLayout) FullRectPoints() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FullRectPoints"}).(*core.QRect)
}

func (ptr *QPageLayout) IsEquivalentTo(other QPageLayout_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEquivalentTo", other}).(bool)
}

func (ptr *QPageLayout) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QPageLayout) Margins() *core.QMarginsF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Margins"}).(*core.QMarginsF)
}

func (ptr *QPageLayout) Margins2(units QPageLayout__Unit) *core.QMarginsF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Margins2", units}).(*core.QMarginsF)
}

func (ptr *QPageLayout) MarginsPixels(resolution int) *core.QMargins {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MarginsPixels", resolution}).(*core.QMargins)
}

func (ptr *QPageLayout) MarginsPoints() *core.QMargins {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MarginsPoints"}).(*core.QMargins)
}

func (ptr *QPageLayout) MaximumMargins() *core.QMarginsF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumMargins"}).(*core.QMarginsF)
}

func (ptr *QPageLayout) MinimumMargins() *core.QMarginsF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumMargins"}).(*core.QMarginsF)
}

func (ptr *QPageLayout) Mode() QPageLayout__Mode {

	return QPageLayout__Mode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mode"}).(float64))
}

func (ptr *QPageLayout) Orientation() QPageLayout__Orientation {

	return QPageLayout__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QPageLayout) PageSize() *QPageSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageSize"}).(*QPageSize)
}

func (ptr *QPageLayout) PaintRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintRect"}).(*core.QRectF)
}

func (ptr *QPageLayout) PaintRect2(units QPageLayout__Unit) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintRect2", units}).(*core.QRectF)
}

func (ptr *QPageLayout) PaintRectPixels(resolution int) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintRectPixels", resolution}).(*core.QRect)
}

func (ptr *QPageLayout) PaintRectPoints() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintRectPoints"}).(*core.QRect)
}

func (ptr *QPageLayout) SetBottomMargin(bottomMargin float64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottomMargin", bottomMargin}).(bool)
}

func (ptr *QPageLayout) SetLeftMargin(leftMargin float64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLeftMargin", leftMargin}).(bool)
}

func (ptr *QPageLayout) SetMargins(margins core.QMarginsF_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMargins", margins}).(bool)
}

func (ptr *QPageLayout) SetMinimumMargins(minMargins core.QMarginsF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumMargins", minMargins})
}

func (ptr *QPageLayout) SetMode(mode QPageLayout__Mode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMode", mode})
}

func (ptr *QPageLayout) SetOrientation(orientation QPageLayout__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrientation", orientation})
}

func (ptr *QPageLayout) SetPageSize(pageSize QPageSize_ITF, minMargins core.QMarginsF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageSize", pageSize, minMargins})
}

func (ptr *QPageLayout) SetRightMargin(rightMargin float64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRightMargin", rightMargin}).(bool)
}

func (ptr *QPageLayout) SetTopMargin(topMargin float64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTopMargin", topMargin}).(bool)
}

func (ptr *QPageLayout) SetUnits(units QPageLayout__Unit) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUnits", units})
}

func (ptr *QPageLayout) Swap(other QPageLayout_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QPageLayout) Units() QPageLayout__Unit {

	return QPageLayout__Unit(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Units"}).(float64))
}

func (ptr *QPageLayout) DestroyQPageLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPageLayout"})
}

type QPageSize struct {
	internal.Internal
}

type QPageSize_ITF interface {
	QPageSize_PTR() *QPageSize
}

func (ptr *QPageSize) QPageSize_PTR() *QPageSize {
	return ptr
}

func (ptr *QPageSize) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPageSize) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPageSize(ptr QPageSize_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPageSize_PTR().Pointer()
	}
	return nil
}

func (n *QPageSize) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPageSizeFromPointer(ptr unsafe.Pointer) (n *QPageSize) {
	n = new(QPageSize)
	n.InitFromInternal(uintptr(ptr), "gui.QPageSize")
	return
}

//go:generate stringer -type=QPageSize__PageSizeId
//QPageSize::PageSizeId
type QPageSize__PageSizeId int64

const (
	QPageSize__A4                 QPageSize__PageSizeId = QPageSize__PageSizeId(0)
	QPageSize__B5                 QPageSize__PageSizeId = QPageSize__PageSizeId(1)
	QPageSize__Letter             QPageSize__PageSizeId = QPageSize__PageSizeId(2)
	QPageSize__Legal              QPageSize__PageSizeId = QPageSize__PageSizeId(3)
	QPageSize__Executive          QPageSize__PageSizeId = QPageSize__PageSizeId(4)
	QPageSize__A0                 QPageSize__PageSizeId = QPageSize__PageSizeId(5)
	QPageSize__A1                 QPageSize__PageSizeId = QPageSize__PageSizeId(6)
	QPageSize__A2                 QPageSize__PageSizeId = QPageSize__PageSizeId(7)
	QPageSize__A3                 QPageSize__PageSizeId = QPageSize__PageSizeId(8)
	QPageSize__A5                 QPageSize__PageSizeId = QPageSize__PageSizeId(9)
	QPageSize__A6                 QPageSize__PageSizeId = QPageSize__PageSizeId(10)
	QPageSize__A7                 QPageSize__PageSizeId = QPageSize__PageSizeId(11)
	QPageSize__A8                 QPageSize__PageSizeId = QPageSize__PageSizeId(12)
	QPageSize__A9                 QPageSize__PageSizeId = QPageSize__PageSizeId(13)
	QPageSize__B0                 QPageSize__PageSizeId = QPageSize__PageSizeId(14)
	QPageSize__B1                 QPageSize__PageSizeId = QPageSize__PageSizeId(15)
	QPageSize__B10                QPageSize__PageSizeId = QPageSize__PageSizeId(16)
	QPageSize__B2                 QPageSize__PageSizeId = QPageSize__PageSizeId(17)
	QPageSize__B3                 QPageSize__PageSizeId = QPageSize__PageSizeId(18)
	QPageSize__B4                 QPageSize__PageSizeId = QPageSize__PageSizeId(19)
	QPageSize__B6                 QPageSize__PageSizeId = QPageSize__PageSizeId(20)
	QPageSize__B7                 QPageSize__PageSizeId = QPageSize__PageSizeId(21)
	QPageSize__B8                 QPageSize__PageSizeId = QPageSize__PageSizeId(22)
	QPageSize__B9                 QPageSize__PageSizeId = QPageSize__PageSizeId(23)
	QPageSize__C5E                QPageSize__PageSizeId = QPageSize__PageSizeId(24)
	QPageSize__Comm10E            QPageSize__PageSizeId = QPageSize__PageSizeId(25)
	QPageSize__DLE                QPageSize__PageSizeId = QPageSize__PageSizeId(26)
	QPageSize__Folio              QPageSize__PageSizeId = QPageSize__PageSizeId(27)
	QPageSize__Ledger             QPageSize__PageSizeId = QPageSize__PageSizeId(28)
	QPageSize__Tabloid            QPageSize__PageSizeId = QPageSize__PageSizeId(29)
	QPageSize__Custom             QPageSize__PageSizeId = QPageSize__PageSizeId(30)
	QPageSize__A10                QPageSize__PageSizeId = QPageSize__PageSizeId(31)
	QPageSize__A3Extra            QPageSize__PageSizeId = QPageSize__PageSizeId(32)
	QPageSize__A4Extra            QPageSize__PageSizeId = QPageSize__PageSizeId(33)
	QPageSize__A4Plus             QPageSize__PageSizeId = QPageSize__PageSizeId(34)
	QPageSize__A4Small            QPageSize__PageSizeId = QPageSize__PageSizeId(35)
	QPageSize__A5Extra            QPageSize__PageSizeId = QPageSize__PageSizeId(36)
	QPageSize__B5Extra            QPageSize__PageSizeId = QPageSize__PageSizeId(37)
	QPageSize__JisB0              QPageSize__PageSizeId = QPageSize__PageSizeId(38)
	QPageSize__JisB1              QPageSize__PageSizeId = QPageSize__PageSizeId(39)
	QPageSize__JisB2              QPageSize__PageSizeId = QPageSize__PageSizeId(40)
	QPageSize__JisB3              QPageSize__PageSizeId = QPageSize__PageSizeId(41)
	QPageSize__JisB4              QPageSize__PageSizeId = QPageSize__PageSizeId(42)
	QPageSize__JisB5              QPageSize__PageSizeId = QPageSize__PageSizeId(43)
	QPageSize__JisB6              QPageSize__PageSizeId = QPageSize__PageSizeId(44)
	QPageSize__JisB7              QPageSize__PageSizeId = QPageSize__PageSizeId(45)
	QPageSize__JisB8              QPageSize__PageSizeId = QPageSize__PageSizeId(46)
	QPageSize__JisB9              QPageSize__PageSizeId = QPageSize__PageSizeId(47)
	QPageSize__JisB10             QPageSize__PageSizeId = QPageSize__PageSizeId(48)
	QPageSize__AnsiC              QPageSize__PageSizeId = QPageSize__PageSizeId(49)
	QPageSize__AnsiD              QPageSize__PageSizeId = QPageSize__PageSizeId(50)
	QPageSize__AnsiE              QPageSize__PageSizeId = QPageSize__PageSizeId(51)
	QPageSize__LegalExtra         QPageSize__PageSizeId = QPageSize__PageSizeId(52)
	QPageSize__LetterExtra        QPageSize__PageSizeId = QPageSize__PageSizeId(53)
	QPageSize__LetterPlus         QPageSize__PageSizeId = QPageSize__PageSizeId(54)
	QPageSize__LetterSmall        QPageSize__PageSizeId = QPageSize__PageSizeId(55)
	QPageSize__TabloidExtra       QPageSize__PageSizeId = QPageSize__PageSizeId(56)
	QPageSize__ArchA              QPageSize__PageSizeId = QPageSize__PageSizeId(57)
	QPageSize__ArchB              QPageSize__PageSizeId = QPageSize__PageSizeId(58)
	QPageSize__ArchC              QPageSize__PageSizeId = QPageSize__PageSizeId(59)
	QPageSize__ArchD              QPageSize__PageSizeId = QPageSize__PageSizeId(60)
	QPageSize__ArchE              QPageSize__PageSizeId = QPageSize__PageSizeId(61)
	QPageSize__Imperial7x9        QPageSize__PageSizeId = QPageSize__PageSizeId(62)
	QPageSize__Imperial8x10       QPageSize__PageSizeId = QPageSize__PageSizeId(63)
	QPageSize__Imperial9x11       QPageSize__PageSizeId = QPageSize__PageSizeId(64)
	QPageSize__Imperial9x12       QPageSize__PageSizeId = QPageSize__PageSizeId(65)
	QPageSize__Imperial10x11      QPageSize__PageSizeId = QPageSize__PageSizeId(66)
	QPageSize__Imperial10x13      QPageSize__PageSizeId = QPageSize__PageSizeId(67)
	QPageSize__Imperial10x14      QPageSize__PageSizeId = QPageSize__PageSizeId(68)
	QPageSize__Imperial12x11      QPageSize__PageSizeId = QPageSize__PageSizeId(69)
	QPageSize__Imperial15x11      QPageSize__PageSizeId = QPageSize__PageSizeId(70)
	QPageSize__ExecutiveStandard  QPageSize__PageSizeId = QPageSize__PageSizeId(71)
	QPageSize__Note               QPageSize__PageSizeId = QPageSize__PageSizeId(72)
	QPageSize__Quarto             QPageSize__PageSizeId = QPageSize__PageSizeId(73)
	QPageSize__Statement          QPageSize__PageSizeId = QPageSize__PageSizeId(74)
	QPageSize__SuperA             QPageSize__PageSizeId = QPageSize__PageSizeId(75)
	QPageSize__SuperB             QPageSize__PageSizeId = QPageSize__PageSizeId(76)
	QPageSize__Postcard           QPageSize__PageSizeId = QPageSize__PageSizeId(77)
	QPageSize__DoublePostcard     QPageSize__PageSizeId = QPageSize__PageSizeId(78)
	QPageSize__Prc16K             QPageSize__PageSizeId = QPageSize__PageSizeId(79)
	QPageSize__Prc32K             QPageSize__PageSizeId = QPageSize__PageSizeId(80)
	QPageSize__Prc32KBig          QPageSize__PageSizeId = QPageSize__PageSizeId(81)
	QPageSize__FanFoldUS          QPageSize__PageSizeId = QPageSize__PageSizeId(82)
	QPageSize__FanFoldGerman      QPageSize__PageSizeId = QPageSize__PageSizeId(83)
	QPageSize__FanFoldGermanLegal QPageSize__PageSizeId = QPageSize__PageSizeId(84)
	QPageSize__EnvelopeB4         QPageSize__PageSizeId = QPageSize__PageSizeId(85)
	QPageSize__EnvelopeB5         QPageSize__PageSizeId = QPageSize__PageSizeId(86)
	QPageSize__EnvelopeB6         QPageSize__PageSizeId = QPageSize__PageSizeId(87)
	QPageSize__EnvelopeC0         QPageSize__PageSizeId = QPageSize__PageSizeId(88)
	QPageSize__EnvelopeC1         QPageSize__PageSizeId = QPageSize__PageSizeId(89)
	QPageSize__EnvelopeC2         QPageSize__PageSizeId = QPageSize__PageSizeId(90)
	QPageSize__EnvelopeC3         QPageSize__PageSizeId = QPageSize__PageSizeId(91)
	QPageSize__EnvelopeC4         QPageSize__PageSizeId = QPageSize__PageSizeId(92)
	QPageSize__EnvelopeC6         QPageSize__PageSizeId = QPageSize__PageSizeId(93)
	QPageSize__EnvelopeC65        QPageSize__PageSizeId = QPageSize__PageSizeId(94)
	QPageSize__EnvelopeC7         QPageSize__PageSizeId = QPageSize__PageSizeId(95)
	QPageSize__Envelope9          QPageSize__PageSizeId = QPageSize__PageSizeId(96)
	QPageSize__Envelope11         QPageSize__PageSizeId = QPageSize__PageSizeId(97)
	QPageSize__Envelope12         QPageSize__PageSizeId = QPageSize__PageSizeId(98)
	QPageSize__Envelope14         QPageSize__PageSizeId = QPageSize__PageSizeId(99)
	QPageSize__EnvelopeMonarch    QPageSize__PageSizeId = QPageSize__PageSizeId(100)
	QPageSize__EnvelopePersonal   QPageSize__PageSizeId = QPageSize__PageSizeId(101)
	QPageSize__EnvelopeChou3      QPageSize__PageSizeId = QPageSize__PageSizeId(102)
	QPageSize__EnvelopeChou4      QPageSize__PageSizeId = QPageSize__PageSizeId(103)
	QPageSize__EnvelopeInvite     QPageSize__PageSizeId = QPageSize__PageSizeId(104)
	QPageSize__EnvelopeItalian    QPageSize__PageSizeId = QPageSize__PageSizeId(105)
	QPageSize__EnvelopeKaku2      QPageSize__PageSizeId = QPageSize__PageSizeId(106)
	QPageSize__EnvelopeKaku3      QPageSize__PageSizeId = QPageSize__PageSizeId(107)
	QPageSize__EnvelopePrc1       QPageSize__PageSizeId = QPageSize__PageSizeId(108)
	QPageSize__EnvelopePrc2       QPageSize__PageSizeId = QPageSize__PageSizeId(109)
	QPageSize__EnvelopePrc3       QPageSize__PageSizeId = QPageSize__PageSizeId(110)
	QPageSize__EnvelopePrc4       QPageSize__PageSizeId = QPageSize__PageSizeId(111)
	QPageSize__EnvelopePrc5       QPageSize__PageSizeId = QPageSize__PageSizeId(112)
	QPageSize__EnvelopePrc6       QPageSize__PageSizeId = QPageSize__PageSizeId(113)
	QPageSize__EnvelopePrc7       QPageSize__PageSizeId = QPageSize__PageSizeId(114)
	QPageSize__EnvelopePrc8       QPageSize__PageSizeId = QPageSize__PageSizeId(115)
	QPageSize__EnvelopePrc9       QPageSize__PageSizeId = QPageSize__PageSizeId(116)
	QPageSize__EnvelopePrc10      QPageSize__PageSizeId = QPageSize__PageSizeId(117)
	QPageSize__EnvelopeYou4       QPageSize__PageSizeId = QPageSize__PageSizeId(118)
	QPageSize__LastPageSize       QPageSize__PageSizeId = QPageSize__PageSizeId(QPageSize__EnvelopeYou4)
	QPageSize__NPageSize          QPageSize__PageSizeId = QPageSize__PageSizeId(QPageSize__LastPageSize)
	QPageSize__NPaperSize         QPageSize__PageSizeId = QPageSize__PageSizeId(QPageSize__LastPageSize)
	QPageSize__AnsiA              QPageSize__PageSizeId = QPageSize__PageSizeId(QPageSize__Letter)
	QPageSize__AnsiB              QPageSize__PageSizeId = QPageSize__PageSizeId(QPageSize__Ledger)
	QPageSize__EnvelopeC5         QPageSize__PageSizeId = QPageSize__PageSizeId(QPageSize__C5E)
	QPageSize__EnvelopeDL         QPageSize__PageSizeId = QPageSize__PageSizeId(QPageSize__DLE)
	QPageSize__Envelope10         QPageSize__PageSizeId = QPageSize__PageSizeId(QPageSize__Comm10E)
)

//go:generate stringer -type=QPageSize__Unit
//QPageSize::Unit
type QPageSize__Unit int64

const (
	QPageSize__Millimeter QPageSize__Unit = QPageSize__Unit(0)
	QPageSize__Point      QPageSize__Unit = QPageSize__Unit(1)
	QPageSize__Inch       QPageSize__Unit = QPageSize__Unit(2)
	QPageSize__Pica       QPageSize__Unit = QPageSize__Unit(3)
	QPageSize__Didot      QPageSize__Unit = QPageSize__Unit(4)
	QPageSize__Cicero     QPageSize__Unit = QPageSize__Unit(5)
)

//go:generate stringer -type=QPageSize__SizeMatchPolicy
//QPageSize::SizeMatchPolicy
type QPageSize__SizeMatchPolicy int64

const (
	QPageSize__FuzzyMatch            QPageSize__SizeMatchPolicy = QPageSize__SizeMatchPolicy(0)
	QPageSize__FuzzyOrientationMatch QPageSize__SizeMatchPolicy = QPageSize__SizeMatchPolicy(1)
	QPageSize__ExactMatch            QPageSize__SizeMatchPolicy = QPageSize__SizeMatchPolicy(2)
)

func NewQPageSize() *QPageSize {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPageSize", ""}).(*QPageSize)
}

func NewQPageSize2(pageSize QPageSize__PageSizeId) *QPageSize {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPageSize2", "", pageSize}).(*QPageSize)
}

func NewQPageSize3(pointSize core.QSize_ITF, name string, matchPolicy QPageSize__SizeMatchPolicy) *QPageSize {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPageSize3", "", pointSize, name, matchPolicy}).(*QPageSize)
}

func NewQPageSize4(size core.QSizeF_ITF, units QPageSize__Unit, name string, matchPolicy QPageSize__SizeMatchPolicy) *QPageSize {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPageSize4", "", size, units, name, matchPolicy}).(*QPageSize)
}

func NewQPageSize5(other QPageSize_ITF) *QPageSize {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPageSize5", "", other}).(*QPageSize)
}

func (ptr *QPageSize) DefinitionSize() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefinitionSize"}).(*core.QSizeF)
}

func QPageSize_DefinitionSize2(pageSizeId QPageSize__PageSizeId) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_DefinitionSize2", "", pageSizeId}).(*core.QSizeF)
}

func (ptr *QPageSize) DefinitionSize2(pageSizeId QPageSize__PageSizeId) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_DefinitionSize2", "", pageSizeId}).(*core.QSizeF)
}

func (ptr *QPageSize) DefinitionUnits() QPageSize__Unit {

	return QPageSize__Unit(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefinitionUnits"}).(float64))
}

func QPageSize_DefinitionUnits2(pageSizeId QPageSize__PageSizeId) QPageSize__Unit {

	return QPageSize__Unit(internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_DefinitionUnits2", "", pageSizeId}).(float64))
}

func (ptr *QPageSize) DefinitionUnits2(pageSizeId QPageSize__PageSizeId) QPageSize__Unit {

	return QPageSize__Unit(internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_DefinitionUnits2", "", pageSizeId}).(float64))
}

func (ptr *QPageSize) Id() QPageSize__PageSizeId {

	return QPageSize__PageSizeId(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Id"}).(float64))
}

func QPageSize_Id2(pointSize core.QSize_ITF, matchPolicy QPageSize__SizeMatchPolicy) QPageSize__PageSizeId {

	return QPageSize__PageSizeId(internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_Id2", "", pointSize, matchPolicy}).(float64))
}

func (ptr *QPageSize) Id2(pointSize core.QSize_ITF, matchPolicy QPageSize__SizeMatchPolicy) QPageSize__PageSizeId {

	return QPageSize__PageSizeId(internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_Id2", "", pointSize, matchPolicy}).(float64))
}

func QPageSize_Id3(size core.QSizeF_ITF, units QPageSize__Unit, matchPolicy QPageSize__SizeMatchPolicy) QPageSize__PageSizeId {

	return QPageSize__PageSizeId(internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_Id3", "", size, units, matchPolicy}).(float64))
}

func (ptr *QPageSize) Id3(size core.QSizeF_ITF, units QPageSize__Unit, matchPolicy QPageSize__SizeMatchPolicy) QPageSize__PageSizeId {

	return QPageSize__PageSizeId(internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_Id3", "", size, units, matchPolicy}).(float64))
}

func QPageSize_Id4(windowsId int) QPageSize__PageSizeId {

	return QPageSize__PageSizeId(internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_Id4", "", windowsId}).(float64))
}

func (ptr *QPageSize) Id4(windowsId int) QPageSize__PageSizeId {

	return QPageSize__PageSizeId(internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_Id4", "", windowsId}).(float64))
}

func (ptr *QPageSize) IsEquivalentTo(other QPageSize_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEquivalentTo", other}).(bool)
}

func (ptr *QPageSize) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QPageSize) Key() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Key"}).(string)
}

func QPageSize_Key2(pageSizeId QPageSize__PageSizeId) string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_Key2", "", pageSizeId}).(string)
}

func (ptr *QPageSize) Key2(pageSizeId QPageSize__PageSizeId) string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_Key2", "", pageSizeId}).(string)
}

func (ptr *QPageSize) Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(string)
}

func QPageSize_Name2(pageSizeId QPageSize__PageSizeId) string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_Name2", "", pageSizeId}).(string)
}

func (ptr *QPageSize) Name2(pageSizeId QPageSize__PageSizeId) string {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_Name2", "", pageSizeId}).(string)
}

func (ptr *QPageSize) Rect(units QPageSize__Unit) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rect", units}).(*core.QRectF)
}

func (ptr *QPageSize) RectPixels(resolution int) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RectPixels", resolution}).(*core.QRect)
}

func (ptr *QPageSize) RectPoints() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RectPoints"}).(*core.QRect)
}

func (ptr *QPageSize) Size(units QPageSize__Unit) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size", units}).(*core.QSizeF)
}

func QPageSize_Size2(pageSizeId QPageSize__PageSizeId, units QPageSize__Unit) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_Size2", "", pageSizeId, units}).(*core.QSizeF)
}

func (ptr *QPageSize) Size2(pageSizeId QPageSize__PageSizeId, units QPageSize__Unit) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_Size2", "", pageSizeId, units}).(*core.QSizeF)
}

func (ptr *QPageSize) SizePixels(resolution int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizePixels", resolution}).(*core.QSize)
}

func QPageSize_SizePixels2(pageSizeId QPageSize__PageSizeId, resolution int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_SizePixels2", "", pageSizeId, resolution}).(*core.QSize)
}

func (ptr *QPageSize) SizePixels2(pageSizeId QPageSize__PageSizeId, resolution int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_SizePixels2", "", pageSizeId, resolution}).(*core.QSize)
}

func (ptr *QPageSize) SizePoints() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizePoints"}).(*core.QSize)
}

func QPageSize_SizePoints2(pageSizeId QPageSize__PageSizeId) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_SizePoints2", "", pageSizeId}).(*core.QSize)
}

func (ptr *QPageSize) SizePoints2(pageSizeId QPageSize__PageSizeId) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_SizePoints2", "", pageSizeId}).(*core.QSize)
}

func (ptr *QPageSize) Swap(other QPageSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QPageSize) WindowsId() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WindowsId"}).(float64))
}

func QPageSize_WindowsId2(pageSizeId QPageSize__PageSizeId) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_WindowsId2", "", pageSizeId}).(float64))
}

func (ptr *QPageSize) WindowsId2(pageSizeId QPageSize__PageSizeId) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "gui.QPageSize_WindowsId2", "", pageSizeId}).(float64))
}

func (ptr *QPageSize) DestroyQPageSize() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPageSize"})
}

type QPagedPaintDevice struct {
	QPaintDevice
}

type QPagedPaintDevice_ITF interface {
	QPaintDevice_ITF
	QPagedPaintDevice_PTR() *QPagedPaintDevice
}

func (ptr *QPagedPaintDevice) QPagedPaintDevice_PTR() *QPagedPaintDevice {
	return ptr
}

func (ptr *QPagedPaintDevice) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QPaintDevice_PTR().Pointer()
	}
	return nil
}

func (ptr *QPagedPaintDevice) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QPaintDevice_PTR().SetPointer(p)
	}
}

func PointerFromQPagedPaintDevice(ptr QPagedPaintDevice_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPagedPaintDevice_PTR().Pointer()
	}
	return nil
}

func (n *QPagedPaintDevice) InitFromInternal(ptr uintptr, name string) {
	n.QPaintDevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPagedPaintDevice) ClassNameInternalF() string {
	return n.QPaintDevice_PTR().ClassNameInternalF()
}

func NewQPagedPaintDeviceFromPointer(ptr unsafe.Pointer) (n *QPagedPaintDevice) {
	n = new(QPagedPaintDevice)
	n.InitFromInternal(uintptr(ptr), "gui.QPagedPaintDevice")
	return
}

//go:generate stringer -type=QPagedPaintDevice__PageSize
//QPagedPaintDevice::PageSize
type QPagedPaintDevice__PageSize int64

const (
	QPagedPaintDevice__A4                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(0)
	QPagedPaintDevice__B5                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(1)
	QPagedPaintDevice__Letter             QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(2)
	QPagedPaintDevice__Legal              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(3)
	QPagedPaintDevice__Executive          QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(4)
	QPagedPaintDevice__A0                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(5)
	QPagedPaintDevice__A1                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(6)
	QPagedPaintDevice__A2                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(7)
	QPagedPaintDevice__A3                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(8)
	QPagedPaintDevice__A5                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(9)
	QPagedPaintDevice__A6                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(10)
	QPagedPaintDevice__A7                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(11)
	QPagedPaintDevice__A8                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(12)
	QPagedPaintDevice__A9                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(13)
	QPagedPaintDevice__B0                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(14)
	QPagedPaintDevice__B1                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(15)
	QPagedPaintDevice__B10                QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(16)
	QPagedPaintDevice__B2                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(17)
	QPagedPaintDevice__B3                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(18)
	QPagedPaintDevice__B4                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(19)
	QPagedPaintDevice__B6                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(20)
	QPagedPaintDevice__B7                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(21)
	QPagedPaintDevice__B8                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(22)
	QPagedPaintDevice__B9                 QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(23)
	QPagedPaintDevice__C5E                QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(24)
	QPagedPaintDevice__Comm10E            QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(25)
	QPagedPaintDevice__DLE                QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(26)
	QPagedPaintDevice__Folio              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(27)
	QPagedPaintDevice__Ledger             QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(28)
	QPagedPaintDevice__Tabloid            QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(29)
	QPagedPaintDevice__Custom             QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(30)
	QPagedPaintDevice__A10                QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(31)
	QPagedPaintDevice__A3Extra            QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(32)
	QPagedPaintDevice__A4Extra            QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(33)
	QPagedPaintDevice__A4Plus             QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(34)
	QPagedPaintDevice__A4Small            QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(35)
	QPagedPaintDevice__A5Extra            QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(36)
	QPagedPaintDevice__B5Extra            QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(37)
	QPagedPaintDevice__JisB0              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(38)
	QPagedPaintDevice__JisB1              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(39)
	QPagedPaintDevice__JisB2              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(40)
	QPagedPaintDevice__JisB3              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(41)
	QPagedPaintDevice__JisB4              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(42)
	QPagedPaintDevice__JisB5              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(43)
	QPagedPaintDevice__JisB6              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(44)
	QPagedPaintDevice__JisB7              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(45)
	QPagedPaintDevice__JisB8              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(46)
	QPagedPaintDevice__JisB9              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(47)
	QPagedPaintDevice__JisB10             QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(48)
	QPagedPaintDevice__AnsiC              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(49)
	QPagedPaintDevice__AnsiD              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(50)
	QPagedPaintDevice__AnsiE              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(51)
	QPagedPaintDevice__LegalExtra         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(52)
	QPagedPaintDevice__LetterExtra        QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(53)
	QPagedPaintDevice__LetterPlus         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(54)
	QPagedPaintDevice__LetterSmall        QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(55)
	QPagedPaintDevice__TabloidExtra       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(56)
	QPagedPaintDevice__ArchA              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(57)
	QPagedPaintDevice__ArchB              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(58)
	QPagedPaintDevice__ArchC              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(59)
	QPagedPaintDevice__ArchD              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(60)
	QPagedPaintDevice__ArchE              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(61)
	QPagedPaintDevice__Imperial7x9        QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(62)
	QPagedPaintDevice__Imperial8x10       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(63)
	QPagedPaintDevice__Imperial9x11       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(64)
	QPagedPaintDevice__Imperial9x12       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(65)
	QPagedPaintDevice__Imperial10x11      QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(66)
	QPagedPaintDevice__Imperial10x13      QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(67)
	QPagedPaintDevice__Imperial10x14      QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(68)
	QPagedPaintDevice__Imperial12x11      QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(69)
	QPagedPaintDevice__Imperial15x11      QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(70)
	QPagedPaintDevice__ExecutiveStandard  QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(71)
	QPagedPaintDevice__Note               QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(72)
	QPagedPaintDevice__Quarto             QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(73)
	QPagedPaintDevice__Statement          QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(74)
	QPagedPaintDevice__SuperA             QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(75)
	QPagedPaintDevice__SuperB             QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(76)
	QPagedPaintDevice__Postcard           QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(77)
	QPagedPaintDevice__DoublePostcard     QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(78)
	QPagedPaintDevice__Prc16K             QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(79)
	QPagedPaintDevice__Prc32K             QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(80)
	QPagedPaintDevice__Prc32KBig          QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(81)
	QPagedPaintDevice__FanFoldUS          QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(82)
	QPagedPaintDevice__FanFoldGerman      QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(83)
	QPagedPaintDevice__FanFoldGermanLegal QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(84)
	QPagedPaintDevice__EnvelopeB4         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(85)
	QPagedPaintDevice__EnvelopeB5         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(86)
	QPagedPaintDevice__EnvelopeB6         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(87)
	QPagedPaintDevice__EnvelopeC0         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(88)
	QPagedPaintDevice__EnvelopeC1         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(89)
	QPagedPaintDevice__EnvelopeC2         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(90)
	QPagedPaintDevice__EnvelopeC3         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(91)
	QPagedPaintDevice__EnvelopeC4         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(92)
	QPagedPaintDevice__EnvelopeC6         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(93)
	QPagedPaintDevice__EnvelopeC65        QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(94)
	QPagedPaintDevice__EnvelopeC7         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(95)
	QPagedPaintDevice__Envelope9          QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(96)
	QPagedPaintDevice__Envelope11         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(97)
	QPagedPaintDevice__Envelope12         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(98)
	QPagedPaintDevice__Envelope14         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(99)
	QPagedPaintDevice__EnvelopeMonarch    QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(100)
	QPagedPaintDevice__EnvelopePersonal   QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(101)
	QPagedPaintDevice__EnvelopeChou3      QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(102)
	QPagedPaintDevice__EnvelopeChou4      QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(103)
	QPagedPaintDevice__EnvelopeInvite     QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(104)
	QPagedPaintDevice__EnvelopeItalian    QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(105)
	QPagedPaintDevice__EnvelopeKaku2      QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(106)
	QPagedPaintDevice__EnvelopeKaku3      QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(107)
	QPagedPaintDevice__EnvelopePrc1       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(108)
	QPagedPaintDevice__EnvelopePrc2       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(109)
	QPagedPaintDevice__EnvelopePrc3       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(110)
	QPagedPaintDevice__EnvelopePrc4       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(111)
	QPagedPaintDevice__EnvelopePrc5       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(112)
	QPagedPaintDevice__EnvelopePrc6       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(113)
	QPagedPaintDevice__EnvelopePrc7       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(114)
	QPagedPaintDevice__EnvelopePrc8       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(115)
	QPagedPaintDevice__EnvelopePrc9       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(116)
	QPagedPaintDevice__EnvelopePrc10      QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(117)
	QPagedPaintDevice__EnvelopeYou4       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(118)
	QPagedPaintDevice__LastPageSize       QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(QPagedPaintDevice__EnvelopeYou4)
	QPagedPaintDevice__NPageSize          QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(QPagedPaintDevice__LastPageSize)
	QPagedPaintDevice__NPaperSize         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(QPagedPaintDevice__LastPageSize)
	QPagedPaintDevice__AnsiA              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(QPagedPaintDevice__Letter)
	QPagedPaintDevice__AnsiB              QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(QPagedPaintDevice__Ledger)
	QPagedPaintDevice__EnvelopeC5         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(QPagedPaintDevice__C5E)
	QPagedPaintDevice__EnvelopeDL         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(QPagedPaintDevice__DLE)
	QPagedPaintDevice__Envelope10         QPagedPaintDevice__PageSize = QPagedPaintDevice__PageSize(QPagedPaintDevice__Comm10E)
)

//go:generate stringer -type=QPagedPaintDevice__PdfVersion
//QPagedPaintDevice::PdfVersion
type QPagedPaintDevice__PdfVersion int64

const (
	QPagedPaintDevice__PdfVersion_1_4 QPagedPaintDevice__PdfVersion = QPagedPaintDevice__PdfVersion(0)
	QPagedPaintDevice__PdfVersion_A1b QPagedPaintDevice__PdfVersion = QPagedPaintDevice__PdfVersion(1)
	QPagedPaintDevice__PdfVersion_1_6 QPagedPaintDevice__PdfVersion = QPagedPaintDevice__PdfVersion(2)
)

func (ptr *QPagedPaintDevice) ConnectNewPage(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNewPage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPagedPaintDevice) DisconnectNewPage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNewPage"})
}

func (ptr *QPagedPaintDevice) NewPage() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NewPage"}).(bool)
}

func (ptr *QPagedPaintDevice) PageLayout() *QPageLayout {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageLayout"}).(*QPageLayout)
}

func (ptr *QPagedPaintDevice) PageSize() QPagedPaintDevice__PageSize {

	return QPagedPaintDevice__PageSize(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageSize"}).(float64))
}

func (ptr *QPagedPaintDevice) PageSizeMM() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageSizeMM"}).(*core.QSizeF)
}

func (ptr *QPagedPaintDevice) SetPageLayout(newPageLayout QPageLayout_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageLayout", newPageLayout}).(bool)
}

func (ptr *QPagedPaintDevice) SetPageMargins(margins core.QMarginsF_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageMargins", margins}).(bool)
}

func (ptr *QPagedPaintDevice) SetPageMargins2(margins core.QMarginsF_ITF, units QPageLayout__Unit) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageMargins2", margins, units}).(bool)
}

func (ptr *QPagedPaintDevice) SetPageOrientation(orientation QPageLayout__Orientation) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageOrientation", orientation}).(bool)
}

func (ptr *QPagedPaintDevice) SetPageSize(pageSize QPageSize_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageSize", pageSize}).(bool)
}

func (ptr *QPagedPaintDevice) ConnectSetPageSize2(f func(size QPagedPaintDevice__PageSize)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPageSize2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPagedPaintDevice) DisconnectSetPageSize2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPageSize2"})
}

func (ptr *QPagedPaintDevice) SetPageSize2(size QPagedPaintDevice__PageSize) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageSize2", size})
}

func (ptr *QPagedPaintDevice) SetPageSize2Default(size QPagedPaintDevice__PageSize) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageSize2Default", size})
}

func (ptr *QPagedPaintDevice) ConnectSetPageSizeMM(f func(size *core.QSizeF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPageSizeMM", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPagedPaintDevice) DisconnectSetPageSizeMM() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPageSizeMM"})
}

func (ptr *QPagedPaintDevice) SetPageSizeMM(size core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageSizeMM", size})
}

func (ptr *QPagedPaintDevice) SetPageSizeMMDefault(size core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageSizeMMDefault", size})
}

func (ptr *QPagedPaintDevice) ConnectDestroyQPagedPaintDevice(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQPagedPaintDevice", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPagedPaintDevice) DisconnectDestroyQPagedPaintDevice() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQPagedPaintDevice"})
}

func (ptr *QPagedPaintDevice) DestroyQPagedPaintDevice() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPagedPaintDevice"})
}

func (ptr *QPagedPaintDevice) DestroyQPagedPaintDeviceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPagedPaintDeviceDefault"})
}

func (ptr *QPagedPaintDevice) PaintEngine() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEngine"}).(*QPaintEngine)
}

func (ptr *QPagedPaintDevice) PaintEngineDefault() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEngineDefault"}).(*QPaintEngine)
}

type QPaintDevice struct {
	internal.Internal
}

type QPaintDevice_ITF interface {
	QPaintDevice_PTR() *QPaintDevice
}

func (ptr *QPaintDevice) QPaintDevice_PTR() *QPaintDevice {
	return ptr
}

func (ptr *QPaintDevice) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPaintDevice) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPaintDevice(ptr QPaintDevice_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPaintDevice_PTR().Pointer()
	}
	return nil
}

func (n *QPaintDevice) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPaintDeviceFromPointer(ptr unsafe.Pointer) (n *QPaintDevice) {
	n = new(QPaintDevice)
	n.InitFromInternal(uintptr(ptr), "gui.QPaintDevice")
	return
}

//go:generate stringer -type=QPaintDevice__PaintDeviceMetric
//QPaintDevice::PaintDeviceMetric
type QPaintDevice__PaintDeviceMetric int64

const (
	QPaintDevice__PdmWidth                  QPaintDevice__PaintDeviceMetric = QPaintDevice__PaintDeviceMetric(1)
	QPaintDevice__PdmHeight                 QPaintDevice__PaintDeviceMetric = QPaintDevice__PaintDeviceMetric(2)
	QPaintDevice__PdmWidthMM                QPaintDevice__PaintDeviceMetric = QPaintDevice__PaintDeviceMetric(3)
	QPaintDevice__PdmHeightMM               QPaintDevice__PaintDeviceMetric = QPaintDevice__PaintDeviceMetric(4)
	QPaintDevice__PdmNumColors              QPaintDevice__PaintDeviceMetric = QPaintDevice__PaintDeviceMetric(5)
	QPaintDevice__PdmDepth                  QPaintDevice__PaintDeviceMetric = QPaintDevice__PaintDeviceMetric(6)
	QPaintDevice__PdmDpiX                   QPaintDevice__PaintDeviceMetric = QPaintDevice__PaintDeviceMetric(7)
	QPaintDevice__PdmDpiY                   QPaintDevice__PaintDeviceMetric = QPaintDevice__PaintDeviceMetric(8)
	QPaintDevice__PdmPhysicalDpiX           QPaintDevice__PaintDeviceMetric = QPaintDevice__PaintDeviceMetric(9)
	QPaintDevice__PdmPhysicalDpiY           QPaintDevice__PaintDeviceMetric = QPaintDevice__PaintDeviceMetric(10)
	QPaintDevice__PdmDevicePixelRatio       QPaintDevice__PaintDeviceMetric = QPaintDevice__PaintDeviceMetric(11)
	QPaintDevice__PdmDevicePixelRatioScaled QPaintDevice__PaintDeviceMetric = QPaintDevice__PaintDeviceMetric(12)
)

func NewQPaintDevice() *QPaintDevice {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPaintDevice", ""}).(*QPaintDevice)
}

func (ptr *QPaintDevice) ColorCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColorCount"}).(float64))
}

func (ptr *QPaintDevice) Depth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Depth"}).(float64))
}

func (ptr *QPaintDevice) DevicePixelRatio() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DevicePixelRatio"}).(float64))
}

func (ptr *QPaintDevice) DevicePixelRatioF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DevicePixelRatioF"}).(float64)
}

func (ptr *QPaintDevice) Height() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64))
}

func (ptr *QPaintDevice) HeightMM() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeightMM"}).(float64))
}

func (ptr *QPaintDevice) LogicalDpiX() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LogicalDpiX"}).(float64))
}

func (ptr *QPaintDevice) LogicalDpiY() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LogicalDpiY"}).(float64))
}

func (ptr *QPaintDevice) ConnectMetric(f func(metric QPaintDevice__PaintDeviceMetric) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMetric", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintDevice) DisconnectMetric() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMetric"})
}

func (ptr *QPaintDevice) Metric(metric QPaintDevice__PaintDeviceMetric) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Metric", metric}).(float64))
}

func (ptr *QPaintDevice) MetricDefault(metric QPaintDevice__PaintDeviceMetric) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetricDefault", metric}).(float64))
}

func (ptr *QPaintDevice) ConnectPaintEngine(f func() *QPaintEngine) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaintEngine", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintDevice) DisconnectPaintEngine() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaintEngine"})
}

func (ptr *QPaintDevice) PaintEngine() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEngine"}).(*QPaintEngine)
}

func (ptr *QPaintDevice) PaintingActive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintingActive"}).(bool)
}

func (ptr *QPaintDevice) PhysicalDpiX() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PhysicalDpiX"}).(float64))
}

func (ptr *QPaintDevice) PhysicalDpiY() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PhysicalDpiY"}).(float64))
}

func (ptr *QPaintDevice) Width() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64))
}

func (ptr *QPaintDevice) WidthMM() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WidthMM"}).(float64))
}

func (ptr *QPaintDevice) ConnectDestroyQPaintDevice(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQPaintDevice", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintDevice) DisconnectDestroyQPaintDevice() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQPaintDevice"})
}

func (ptr *QPaintDevice) DestroyQPaintDevice() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPaintDevice"})
}

func (ptr *QPaintDevice) DestroyQPaintDeviceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPaintDeviceDefault"})
}

type QPaintDeviceWindow struct {
	QWindow
	QPaintDevice
}

type QPaintDeviceWindow_ITF interface {
	QWindow_ITF
	QPaintDevice_ITF
	QPaintDeviceWindow_PTR() *QPaintDeviceWindow
}

func (ptr *QPaintDeviceWindow) QPaintDeviceWindow_PTR() *QPaintDeviceWindow {
	return ptr
}

func (ptr *QPaintDeviceWindow) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWindow_PTR().Pointer()
	}
	return nil
}

func (ptr *QPaintDeviceWindow) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWindow_PTR().SetPointer(p)
		ptr.QPaintDevice_PTR().SetPointer(p)
	}
}

func PointerFromQPaintDeviceWindow(ptr QPaintDeviceWindow_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPaintDeviceWindow_PTR().Pointer()
	}
	return nil
}

func (n *QPaintDeviceWindow) InitFromInternal(ptr uintptr, name string) {
	n.QWindow_PTR().InitFromInternal(uintptr(ptr), name)
	n.QPaintDevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPaintDeviceWindow) ClassNameInternalF() string {
	return n.QWindow_PTR().ClassNameInternalF()
}

func NewQPaintDeviceWindowFromPointer(ptr unsafe.Pointer) (n *QPaintDeviceWindow) {
	n = new(QPaintDeviceWindow)
	n.InitFromInternal(uintptr(ptr), "gui.QPaintDeviceWindow")
	return
}

func (ptr *QPaintDeviceWindow) DestroyQPaintDeviceWindow() {
}

func (ptr *QPaintDeviceWindow) ConnectPaintEvent(f func(event *QPaintEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWindow_PTR().ClassNameInternalF(), "ConnectPaintEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintDeviceWindow) DisconnectPaintEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWindow_PTR().ClassNameInternalF(), "DisconnectPaintEvent"})
}

func (ptr *QPaintDeviceWindow) PaintEvent(event QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWindow_PTR().ClassNameInternalF(), "PaintEvent", event})
}

func (ptr *QPaintDeviceWindow) PaintEventDefault(event QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWindow_PTR().ClassNameInternalF(), "PaintEventDefault", event})
}

func (ptr *QPaintDeviceWindow) Update(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWindow_PTR().ClassNameInternalF(), "Update", rect})
}

func (ptr *QPaintDeviceWindow) Update2(region QRegion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWindow_PTR().ClassNameInternalF(), "Update2", region})
}

func (ptr *QPaintDeviceWindow) ConnectUpdate3(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWindow_PTR().ClassNameInternalF(), "ConnectUpdate3", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintDeviceWindow) DisconnectUpdate3() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWindow_PTR().ClassNameInternalF(), "DisconnectUpdate3"})
}

func (ptr *QPaintDeviceWindow) Update3() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWindow_PTR().ClassNameInternalF(), "Update3"})
}

func (ptr *QPaintDeviceWindow) Update3Default() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWindow_PTR().ClassNameInternalF(), "Update3Default"})
}

func (ptr *QPaintDeviceWindow) PaintEngine() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWindow_PTR().ClassNameInternalF(), "PaintEngine"}).(*QPaintEngine)
}

func (ptr *QPaintDeviceWindow) PaintEngineDefault() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWindow_PTR().ClassNameInternalF(), "PaintEngineDefault"}).(*QPaintEngine)
}

type QPaintEngine struct {
	internal.Internal
}

type QPaintEngine_ITF interface {
	QPaintEngine_PTR() *QPaintEngine
}

func (ptr *QPaintEngine) QPaintEngine_PTR() *QPaintEngine {
	return ptr
}

func (ptr *QPaintEngine) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPaintEngine) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPaintEngine(ptr QPaintEngine_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPaintEngine_PTR().Pointer()
	}
	return nil
}

func (n *QPaintEngine) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPaintEngineFromPointer(ptr unsafe.Pointer) (n *QPaintEngine) {
	n = new(QPaintEngine)
	n.InitFromInternal(uintptr(ptr), "gui.QPaintEngine")
	return
}

//go:generate stringer -type=QPaintEngine__PaintEngineFeature
//QPaintEngine::PaintEngineFeature
type QPaintEngine__PaintEngineFeature int64

const (
	QPaintEngine__PrimitiveTransform          QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00000001)
	QPaintEngine__PatternTransform            QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00000002)
	QPaintEngine__PixmapTransform             QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00000004)
	QPaintEngine__PatternBrush                QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00000008)
	QPaintEngine__LinearGradientFill          QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00000010)
	QPaintEngine__RadialGradientFill          QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00000020)
	QPaintEngine__ConicalGradientFill         QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00000040)
	QPaintEngine__AlphaBlend                  QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00000080)
	QPaintEngine__PorterDuff                  QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00000100)
	QPaintEngine__PainterPaths                QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00000200)
	QPaintEngine__Antialiasing                QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00000400)
	QPaintEngine__BrushStroke                 QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00000800)
	QPaintEngine__ConstantOpacity             QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00001000)
	QPaintEngine__MaskedBrush                 QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00002000)
	QPaintEngine__PerspectiveTransform        QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00004000)
	QPaintEngine__BlendModes                  QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00008000)
	QPaintEngine__ObjectBoundingModeGradients QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00010000)
	QPaintEngine__RasterOpModes               QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x00020000)
	QPaintEngine__PaintOutsidePaintEvent      QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0x20000000)
	QPaintEngine__AllFeatures                 QPaintEngine__PaintEngineFeature = QPaintEngine__PaintEngineFeature(0xffffffff)
)

//go:generate stringer -type=QPaintEngine__DirtyFlag
//QPaintEngine::DirtyFlag
type QPaintEngine__DirtyFlag int64

const (
	QPaintEngine__DirtyPen             QPaintEngine__DirtyFlag = QPaintEngine__DirtyFlag(0x0001)
	QPaintEngine__DirtyBrush           QPaintEngine__DirtyFlag = QPaintEngine__DirtyFlag(0x0002)
	QPaintEngine__DirtyBrushOrigin     QPaintEngine__DirtyFlag = QPaintEngine__DirtyFlag(0x0004)
	QPaintEngine__DirtyFont            QPaintEngine__DirtyFlag = QPaintEngine__DirtyFlag(0x0008)
	QPaintEngine__DirtyBackground      QPaintEngine__DirtyFlag = QPaintEngine__DirtyFlag(0x0010)
	QPaintEngine__DirtyBackgroundMode  QPaintEngine__DirtyFlag = QPaintEngine__DirtyFlag(0x0020)
	QPaintEngine__DirtyTransform       QPaintEngine__DirtyFlag = QPaintEngine__DirtyFlag(0x0040)
	QPaintEngine__DirtyClipRegion      QPaintEngine__DirtyFlag = QPaintEngine__DirtyFlag(0x0080)
	QPaintEngine__DirtyClipPath        QPaintEngine__DirtyFlag = QPaintEngine__DirtyFlag(0x0100)
	QPaintEngine__DirtyHints           QPaintEngine__DirtyFlag = QPaintEngine__DirtyFlag(0x0200)
	QPaintEngine__DirtyCompositionMode QPaintEngine__DirtyFlag = QPaintEngine__DirtyFlag(0x0400)
	QPaintEngine__DirtyClipEnabled     QPaintEngine__DirtyFlag = QPaintEngine__DirtyFlag(0x0800)
	QPaintEngine__DirtyOpacity         QPaintEngine__DirtyFlag = QPaintEngine__DirtyFlag(0x1000)
	QPaintEngine__AllDirty             QPaintEngine__DirtyFlag = QPaintEngine__DirtyFlag(0xffff)
)

//go:generate stringer -type=QPaintEngine__PolygonDrawMode
//QPaintEngine::PolygonDrawMode
type QPaintEngine__PolygonDrawMode int64

const (
	QPaintEngine__OddEvenMode  QPaintEngine__PolygonDrawMode = QPaintEngine__PolygonDrawMode(0)
	QPaintEngine__WindingMode  QPaintEngine__PolygonDrawMode = QPaintEngine__PolygonDrawMode(1)
	QPaintEngine__ConvexMode   QPaintEngine__PolygonDrawMode = QPaintEngine__PolygonDrawMode(2)
	QPaintEngine__PolylineMode QPaintEngine__PolygonDrawMode = QPaintEngine__PolygonDrawMode(3)
)

//go:generate stringer -type=QPaintEngine__Type
//QPaintEngine::Type
type QPaintEngine__Type int64

const (
	QPaintEngine__X11           QPaintEngine__Type = QPaintEngine__Type(0)
	QPaintEngine__Windows       QPaintEngine__Type = QPaintEngine__Type(1)
	QPaintEngine__QuickDraw     QPaintEngine__Type = QPaintEngine__Type(2)
	QPaintEngine__CoreGraphics  QPaintEngine__Type = QPaintEngine__Type(3)
	QPaintEngine__MacPrinter    QPaintEngine__Type = QPaintEngine__Type(4)
	QPaintEngine__QWindowSystem QPaintEngine__Type = QPaintEngine__Type(5)
	QPaintEngine__PostScript    QPaintEngine__Type = QPaintEngine__Type(6)
	QPaintEngine__OpenGL        QPaintEngine__Type = QPaintEngine__Type(7)
	QPaintEngine__Picture       QPaintEngine__Type = QPaintEngine__Type(8)
	QPaintEngine__SVG           QPaintEngine__Type = QPaintEngine__Type(9)
	QPaintEngine__Raster        QPaintEngine__Type = QPaintEngine__Type(10)
	QPaintEngine__Direct3D      QPaintEngine__Type = QPaintEngine__Type(11)
	QPaintEngine__Pdf           QPaintEngine__Type = QPaintEngine__Type(12)
	QPaintEngine__OpenVG        QPaintEngine__Type = QPaintEngine__Type(13)
	QPaintEngine__OpenGL2       QPaintEngine__Type = QPaintEngine__Type(14)
	QPaintEngine__PaintBuffer   QPaintEngine__Type = QPaintEngine__Type(15)
	QPaintEngine__Blitter       QPaintEngine__Type = QPaintEngine__Type(16)
	QPaintEngine__Direct2D      QPaintEngine__Type = QPaintEngine__Type(17)
	QPaintEngine__User          QPaintEngine__Type = QPaintEngine__Type(50)
	QPaintEngine__MaxUser       QPaintEngine__Type = QPaintEngine__Type(100)
)

func NewQPaintEngine(caps QPaintEngine__PaintEngineFeature) *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPaintEngine", "", caps}).(*QPaintEngine)
}

func (ptr *QPaintEngine) ConnectBegin(f func(pdev *QPaintDevice) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBegin", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectBegin() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBegin"})
}

func (ptr *QPaintEngine) Begin(pdev QPaintDevice_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Begin", pdev}).(bool)
}

func (ptr *QPaintEngine) ConnectDrawEllipse(f func(rect *core.QRectF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawEllipse", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawEllipse() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawEllipse"})
}

func (ptr *QPaintEngine) DrawEllipse(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawEllipse", rect})
}

func (ptr *QPaintEngine) DrawEllipseDefault(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawEllipseDefault", rect})
}

func (ptr *QPaintEngine) ConnectDrawEllipse2(f func(rect *core.QRect)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawEllipse2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawEllipse2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawEllipse2"})
}

func (ptr *QPaintEngine) DrawEllipse2(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawEllipse2", rect})
}

func (ptr *QPaintEngine) DrawEllipse2Default(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawEllipse2Default", rect})
}

func (ptr *QPaintEngine) ConnectDrawImage(f func(rectangle *core.QRectF, image *QImage, sr *core.QRectF, flags core.Qt__ImageConversionFlag)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawImage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawImage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawImage"})
}

func (ptr *QPaintEngine) DrawImage(rectangle core.QRectF_ITF, image QImage_ITF, sr core.QRectF_ITF, flags core.Qt__ImageConversionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawImage", rectangle, image, sr, flags})
}

func (ptr *QPaintEngine) DrawImageDefault(rectangle core.QRectF_ITF, image QImage_ITF, sr core.QRectF_ITF, flags core.Qt__ImageConversionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawImageDefault", rectangle, image, sr, flags})
}

func (ptr *QPaintEngine) ConnectDrawLines(f func(lines *core.QLineF, lineCount int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawLines", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawLines() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawLines"})
}

func (ptr *QPaintEngine) DrawLines(lines core.QLineF_ITF, lineCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLines", lines, lineCount})
}

func (ptr *QPaintEngine) DrawLinesDefault(lines core.QLineF_ITF, lineCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLinesDefault", lines, lineCount})
}

func (ptr *QPaintEngine) ConnectDrawLines2(f func(lines *core.QLine, lineCount int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawLines2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawLines2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawLines2"})
}

func (ptr *QPaintEngine) DrawLines2(lines core.QLine_ITF, lineCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLines2", lines, lineCount})
}

func (ptr *QPaintEngine) DrawLines2Default(lines core.QLine_ITF, lineCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLines2Default", lines, lineCount})
}

func (ptr *QPaintEngine) ConnectDrawPath(f func(path *QPainterPath)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawPath", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawPath() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawPath"})
}

func (ptr *QPaintEngine) DrawPath(path QPainterPath_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPath", path})
}

func (ptr *QPaintEngine) DrawPathDefault(path QPainterPath_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPathDefault", path})
}

func (ptr *QPaintEngine) ConnectDrawPixmap(f func(r *core.QRectF, pm *QPixmap, sr *core.QRectF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawPixmap", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawPixmap() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawPixmap"})
}

func (ptr *QPaintEngine) DrawPixmap(r core.QRectF_ITF, pm QPixmap_ITF, sr core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPixmap", r, pm, sr})
}

func (ptr *QPaintEngine) ConnectDrawPoints(f func(points *core.QPointF, pointCount int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawPoints", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawPoints() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawPoints"})
}

func (ptr *QPaintEngine) DrawPoints(points core.QPointF_ITF, pointCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPoints", points, pointCount})
}

func (ptr *QPaintEngine) DrawPointsDefault(points core.QPointF_ITF, pointCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPointsDefault", points, pointCount})
}

func (ptr *QPaintEngine) ConnectDrawPoints2(f func(points *core.QPoint, pointCount int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawPoints2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawPoints2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawPoints2"})
}

func (ptr *QPaintEngine) DrawPoints2(points core.QPoint_ITF, pointCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPoints2", points, pointCount})
}

func (ptr *QPaintEngine) DrawPoints2Default(points core.QPoint_ITF, pointCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPoints2Default", points, pointCount})
}

func (ptr *QPaintEngine) ConnectDrawPolygon(f func(points *core.QPointF, pointCount int, mode QPaintEngine__PolygonDrawMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawPolygon", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawPolygon() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawPolygon"})
}

func (ptr *QPaintEngine) DrawPolygon(points core.QPointF_ITF, pointCount int, mode QPaintEngine__PolygonDrawMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPolygon", points, pointCount, mode})
}

func (ptr *QPaintEngine) DrawPolygonDefault(points core.QPointF_ITF, pointCount int, mode QPaintEngine__PolygonDrawMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPolygonDefault", points, pointCount, mode})
}

func (ptr *QPaintEngine) ConnectDrawPolygon2(f func(points *core.QPoint, pointCount int, mode QPaintEngine__PolygonDrawMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawPolygon2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawPolygon2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawPolygon2"})
}

func (ptr *QPaintEngine) DrawPolygon2(points core.QPoint_ITF, pointCount int, mode QPaintEngine__PolygonDrawMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPolygon2", points, pointCount, mode})
}

func (ptr *QPaintEngine) DrawPolygon2Default(points core.QPoint_ITF, pointCount int, mode QPaintEngine__PolygonDrawMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPolygon2Default", points, pointCount, mode})
}

func (ptr *QPaintEngine) ConnectDrawRects(f func(rects *core.QRectF, rectCount int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawRects", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawRects() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawRects"})
}

func (ptr *QPaintEngine) DrawRects(rects core.QRectF_ITF, rectCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRects", rects, rectCount})
}

func (ptr *QPaintEngine) DrawRectsDefault(rects core.QRectF_ITF, rectCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRectsDefault", rects, rectCount})
}

func (ptr *QPaintEngine) ConnectDrawRects2(f func(rects *core.QRect, rectCount int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawRects2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawRects2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawRects2"})
}

func (ptr *QPaintEngine) DrawRects2(rects core.QRect_ITF, rectCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRects2", rects, rectCount})
}

func (ptr *QPaintEngine) DrawRects2Default(rects core.QRect_ITF, rectCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRects2Default", rects, rectCount})
}

func (ptr *QPaintEngine) ConnectDrawTextItem(f func(p *core.QPointF, textItem *QTextItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawTextItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawTextItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawTextItem"})
}

func (ptr *QPaintEngine) DrawTextItem(p core.QPointF_ITF, textItem QTextItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawTextItem", p, textItem})
}

func (ptr *QPaintEngine) DrawTextItemDefault(p core.QPointF_ITF, textItem QTextItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawTextItemDefault", p, textItem})
}

func (ptr *QPaintEngine) ConnectDrawTiledPixmap(f func(rect *core.QRectF, pixmap *QPixmap, p *core.QPointF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawTiledPixmap", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDrawTiledPixmap() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawTiledPixmap"})
}

func (ptr *QPaintEngine) DrawTiledPixmap(rect core.QRectF_ITF, pixmap QPixmap_ITF, p core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawTiledPixmap", rect, pixmap, p})
}

func (ptr *QPaintEngine) DrawTiledPixmapDefault(rect core.QRectF_ITF, pixmap QPixmap_ITF, p core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawTiledPixmapDefault", rect, pixmap, p})
}

func (ptr *QPaintEngine) ConnectEnd(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEnd", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectEnd() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEnd"})
}

func (ptr *QPaintEngine) End() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "End"}).(bool)
}

func (ptr *QPaintEngine) HasFeature(feature QPaintEngine__PaintEngineFeature) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasFeature", feature}).(bool)
}

func (ptr *QPaintEngine) IsActive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsActive"}).(bool)
}

func (ptr *QPaintEngine) PaintDevice() *QPaintDevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDevice"}).(*QPaintDevice)
}

func (ptr *QPaintEngine) Painter() *QPainter {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Painter"}).(*QPainter)
}

func (ptr *QPaintEngine) SetActive(state bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActive", state})
}

func (ptr *QPaintEngine) ConnectType(f func() QPaintEngine__Type) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectType", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectType() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectType"})
}

func (ptr *QPaintEngine) Type() QPaintEngine__Type {

	return QPaintEngine__Type(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QPaintEngine) ConnectUpdateState(f func(state *QPaintEngineState)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectUpdateState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateState"})
}

func (ptr *QPaintEngine) UpdateState(state QPaintEngineState_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateState", state})
}

func (ptr *QPaintEngine) ConnectDestroyQPaintEngine(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQPaintEngine", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPaintEngine) DisconnectDestroyQPaintEngine() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQPaintEngine"})
}

func (ptr *QPaintEngine) DestroyQPaintEngine() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPaintEngine"})
}

func (ptr *QPaintEngine) DestroyQPaintEngineDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPaintEngineDefault"})
}

type QPaintEngineState struct {
	internal.Internal
}

type QPaintEngineState_ITF interface {
	QPaintEngineState_PTR() *QPaintEngineState
}

func (ptr *QPaintEngineState) QPaintEngineState_PTR() *QPaintEngineState {
	return ptr
}

func (ptr *QPaintEngineState) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPaintEngineState) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPaintEngineState(ptr QPaintEngineState_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPaintEngineState_PTR().Pointer()
	}
	return nil
}

func (n *QPaintEngineState) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPaintEngineStateFromPointer(ptr unsafe.Pointer) (n *QPaintEngineState) {
	n = new(QPaintEngineState)
	n.InitFromInternal(uintptr(ptr), "gui.QPaintEngineState")
	return
}

func (ptr *QPaintEngineState) DestroyQPaintEngineState() {
}

func (ptr *QPaintEngineState) BackgroundBrush() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackgroundBrush"}).(*QBrush)
}

func (ptr *QPaintEngineState) BackgroundMode() core.Qt__BGMode {

	return core.Qt__BGMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackgroundMode"}).(float64))
}

func (ptr *QPaintEngineState) Brush() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Brush"}).(*QBrush)
}

func (ptr *QPaintEngineState) BrushNeedsResolving() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BrushNeedsResolving"}).(bool)
}

func (ptr *QPaintEngineState) BrushOrigin() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BrushOrigin"}).(*core.QPointF)
}

func (ptr *QPaintEngineState) ClipOperation() core.Qt__ClipOperation {

	return core.Qt__ClipOperation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClipOperation"}).(float64))
}

func (ptr *QPaintEngineState) ClipPath() *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClipPath"}).(*QPainterPath)
}

func (ptr *QPaintEngineState) ClipRegion() *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClipRegion"}).(*QRegion)
}

func (ptr *QPaintEngineState) CompositionMode() QPainter__CompositionMode {

	return QPainter__CompositionMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompositionMode"}).(float64))
}

func (ptr *QPaintEngineState) Font() *QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*QFont)
}

func (ptr *QPaintEngineState) IsClipEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsClipEnabled"}).(bool)
}

func (ptr *QPaintEngineState) Opacity() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Opacity"}).(float64)
}

func (ptr *QPaintEngineState) Painter() *QPainter {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Painter"}).(*QPainter)
}

func (ptr *QPaintEngineState) Pen() *QPen {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pen"}).(*QPen)
}

func (ptr *QPaintEngineState) PenNeedsResolving() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PenNeedsResolving"}).(bool)
}

func (ptr *QPaintEngineState) RenderHints() QPainter__RenderHint {

	return QPainter__RenderHint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RenderHints"}).(float64))
}

func (ptr *QPaintEngineState) State() QPaintEngine__DirtyFlag {

	return QPaintEngine__DirtyFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QPaintEngineState) Transform() *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transform"}).(*QTransform)
}

type QPaintEvent struct {
	core.QEvent
}

type QPaintEvent_ITF interface {
	core.QEvent_ITF
	QPaintEvent_PTR() *QPaintEvent
}

func (ptr *QPaintEvent) QPaintEvent_PTR() *QPaintEvent {
	return ptr
}

func (ptr *QPaintEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QPaintEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQPaintEvent(ptr QPaintEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPaintEvent_PTR().Pointer()
	}
	return nil
}

func (n *QPaintEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPaintEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQPaintEventFromPointer(ptr unsafe.Pointer) (n *QPaintEvent) {
	n = new(QPaintEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QPaintEvent")
	return
}

func (ptr *QPaintEvent) DestroyQPaintEvent() {
}

func NewQPaintEvent(paintRegion QRegion_ITF) *QPaintEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPaintEvent", "", paintRegion}).(*QPaintEvent)
}

func NewQPaintEvent2(paintRect core.QRect_ITF) *QPaintEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPaintEvent2", "", paintRect}).(*QPaintEvent)
}

func (ptr *QPaintEvent) Rect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rect"}).(*core.QRect)
}

func (ptr *QPaintEvent) Region() *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Region"}).(*QRegion)
}

type QPainter struct {
	internal.Internal
}

type QPainter_ITF interface {
	QPainter_PTR() *QPainter
}

func (ptr *QPainter) QPainter_PTR() *QPainter {
	return ptr
}

func (ptr *QPainter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPainter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPainter(ptr QPainter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPainter_PTR().Pointer()
	}
	return nil
}

func (n *QPainter) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPainterFromPointer(ptr unsafe.Pointer) (n *QPainter) {
	n = new(QPainter)
	n.InitFromInternal(uintptr(ptr), "gui.QPainter")
	return
}

//go:generate stringer -type=QPainter__RenderHint
//QPainter::RenderHint
type QPainter__RenderHint int64

const (
	QPainter__Antialiasing            QPainter__RenderHint = QPainter__RenderHint(0x01)
	QPainter__TextAntialiasing        QPainter__RenderHint = QPainter__RenderHint(0x02)
	QPainter__SmoothPixmapTransform   QPainter__RenderHint = QPainter__RenderHint(0x04)
	QPainter__HighQualityAntialiasing QPainter__RenderHint = QPainter__RenderHint(0x08)
	QPainter__NonCosmeticDefaultPen   QPainter__RenderHint = QPainter__RenderHint(0x10)
	QPainter__Qt4CompatiblePainting   QPainter__RenderHint = QPainter__RenderHint(0x20)
	QPainter__LosslessImageRendering  QPainter__RenderHint = QPainter__RenderHint(0x40)
)

//go:generate stringer -type=QPainter__PixmapFragmentHint
//QPainter::PixmapFragmentHint
type QPainter__PixmapFragmentHint int64

const (
	QPainter__OpaqueHint QPainter__PixmapFragmentHint = QPainter__PixmapFragmentHint(0x01)
)

//go:generate stringer -type=QPainter__CompositionMode
//QPainter::CompositionMode
type QPainter__CompositionMode int64

const (
	QPainter__CompositionMode_SourceOver          QPainter__CompositionMode = QPainter__CompositionMode(0)
	QPainter__CompositionMode_DestinationOver     QPainter__CompositionMode = QPainter__CompositionMode(1)
	QPainter__CompositionMode_Clear               QPainter__CompositionMode = QPainter__CompositionMode(2)
	QPainter__CompositionMode_Source              QPainter__CompositionMode = QPainter__CompositionMode(3)
	QPainter__CompositionMode_Destination         QPainter__CompositionMode = QPainter__CompositionMode(4)
	QPainter__CompositionMode_SourceIn            QPainter__CompositionMode = QPainter__CompositionMode(5)
	QPainter__CompositionMode_DestinationIn       QPainter__CompositionMode = QPainter__CompositionMode(6)
	QPainter__CompositionMode_SourceOut           QPainter__CompositionMode = QPainter__CompositionMode(7)
	QPainter__CompositionMode_DestinationOut      QPainter__CompositionMode = QPainter__CompositionMode(8)
	QPainter__CompositionMode_SourceAtop          QPainter__CompositionMode = QPainter__CompositionMode(9)
	QPainter__CompositionMode_DestinationAtop     QPainter__CompositionMode = QPainter__CompositionMode(10)
	QPainter__CompositionMode_Xor                 QPainter__CompositionMode = QPainter__CompositionMode(11)
	QPainter__CompositionMode_Plus                QPainter__CompositionMode = QPainter__CompositionMode(12)
	QPainter__CompositionMode_Multiply            QPainter__CompositionMode = QPainter__CompositionMode(13)
	QPainter__CompositionMode_Screen              QPainter__CompositionMode = QPainter__CompositionMode(14)
	QPainter__CompositionMode_Overlay             QPainter__CompositionMode = QPainter__CompositionMode(15)
	QPainter__CompositionMode_Darken              QPainter__CompositionMode = QPainter__CompositionMode(16)
	QPainter__CompositionMode_Lighten             QPainter__CompositionMode = QPainter__CompositionMode(17)
	QPainter__CompositionMode_ColorDodge          QPainter__CompositionMode = QPainter__CompositionMode(18)
	QPainter__CompositionMode_ColorBurn           QPainter__CompositionMode = QPainter__CompositionMode(19)
	QPainter__CompositionMode_HardLight           QPainter__CompositionMode = QPainter__CompositionMode(20)
	QPainter__CompositionMode_SoftLight           QPainter__CompositionMode = QPainter__CompositionMode(21)
	QPainter__CompositionMode_Difference          QPainter__CompositionMode = QPainter__CompositionMode(22)
	QPainter__CompositionMode_Exclusion           QPainter__CompositionMode = QPainter__CompositionMode(23)
	QPainter__RasterOp_SourceOrDestination        QPainter__CompositionMode = QPainter__CompositionMode(24)
	QPainter__RasterOp_SourceAndDestination       QPainter__CompositionMode = QPainter__CompositionMode(25)
	QPainter__RasterOp_SourceXorDestination       QPainter__CompositionMode = QPainter__CompositionMode(26)
	QPainter__RasterOp_NotSourceAndNotDestination QPainter__CompositionMode = QPainter__CompositionMode(27)
	QPainter__RasterOp_NotSourceOrNotDestination  QPainter__CompositionMode = QPainter__CompositionMode(28)
	QPainter__RasterOp_NotSourceXorDestination    QPainter__CompositionMode = QPainter__CompositionMode(29)
	QPainter__RasterOp_NotSource                  QPainter__CompositionMode = QPainter__CompositionMode(30)
	QPainter__RasterOp_NotSourceAndDestination    QPainter__CompositionMode = QPainter__CompositionMode(31)
	QPainter__RasterOp_SourceAndNotDestination    QPainter__CompositionMode = QPainter__CompositionMode(32)
	QPainter__RasterOp_NotSourceOrDestination     QPainter__CompositionMode = QPainter__CompositionMode(33)
	QPainter__RasterOp_SourceOrNotDestination     QPainter__CompositionMode = QPainter__CompositionMode(34)
	QPainter__RasterOp_ClearDestination           QPainter__CompositionMode = QPainter__CompositionMode(35)
	QPainter__RasterOp_SetDestination             QPainter__CompositionMode = QPainter__CompositionMode(36)
	QPainter__RasterOp_NotDestination             QPainter__CompositionMode = QPainter__CompositionMode(37)
)

func NewQPainter() *QPainter {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPainter", ""}).(*QPainter)
}

func NewQPainter2(device QPaintDevice_ITF) *QPainter {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPainter2", "", device}).(*QPainter)
}

func (ptr *QPainter) Background() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Background"}).(*QBrush)
}

func (ptr *QPainter) BackgroundMode() core.Qt__BGMode {

	return core.Qt__BGMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackgroundMode"}).(float64))
}

func (ptr *QPainter) Begin(device QPaintDevice_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Begin", device}).(bool)
}

func (ptr *QPainter) BeginNativePainting() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginNativePainting"})
}

func (ptr *QPainter) BoundingRect(rectangle core.QRectF_ITF, flags int, text string) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect", rectangle, flags, text}).(*core.QRectF)
}

func (ptr *QPainter) BoundingRect2(rectangle core.QRect_ITF, flags int, text string) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect2", rectangle, flags, text}).(*core.QRect)
}

func (ptr *QPainter) BoundingRect3(x int, y int, w int, h int, flags int, text string) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect3", x, y, w, h, flags, text}).(*core.QRect)
}

func (ptr *QPainter) BoundingRect4(rectangle core.QRectF_ITF, text string, option QTextOption_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect4", rectangle, text, option}).(*core.QRectF)
}

func (ptr *QPainter) Brush() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Brush"}).(*QBrush)
}

func (ptr *QPainter) BrushOrigin() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BrushOrigin"}).(*core.QPoint)
}

func (ptr *QPainter) ClipBoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClipBoundingRect"}).(*core.QRectF)
}

func (ptr *QPainter) ClipPath() *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClipPath"}).(*QPainterPath)
}

func (ptr *QPainter) ClipRegion() *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClipRegion"}).(*QRegion)
}

func (ptr *QPainter) CombinedTransform() *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CombinedTransform"}).(*QTransform)
}

func (ptr *QPainter) CompositionMode() QPainter__CompositionMode {

	return QPainter__CompositionMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompositionMode"}).(float64))
}

func (ptr *QPainter) Device() *QPaintDevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Device"}).(*QPaintDevice)
}

func (ptr *QPainter) DeviceTransform() *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeviceTransform"}).(*QTransform)
}

func (ptr *QPainter) DrawArc(rectangle core.QRectF_ITF, startAngle int, spanAngle int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawArc", rectangle, startAngle, spanAngle})
}

func (ptr *QPainter) DrawArc2(rectangle core.QRect_ITF, startAngle int, spanAngle int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawArc2", rectangle, startAngle, spanAngle})
}

func (ptr *QPainter) DrawArc3(x int, y int, width int, height int, startAngle int, spanAngle int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawArc3", x, y, width, height, startAngle, spanAngle})
}

func (ptr *QPainter) DrawChord(rectangle core.QRectF_ITF, startAngle int, spanAngle int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawChord", rectangle, startAngle, spanAngle})
}

func (ptr *QPainter) DrawChord2(x int, y int, width int, height int, startAngle int, spanAngle int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawChord2", x, y, width, height, startAngle, spanAngle})
}

func (ptr *QPainter) DrawChord3(rectangle core.QRect_ITF, startAngle int, spanAngle int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawChord3", rectangle, startAngle, spanAngle})
}

func (ptr *QPainter) DrawConvexPolygon(points core.QPointF_ITF, pointCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawConvexPolygon", points, pointCount})
}

func (ptr *QPainter) DrawConvexPolygon2(polygon QPolygonF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawConvexPolygon2", polygon})
}

func (ptr *QPainter) DrawConvexPolygon3(points core.QPoint_ITF, pointCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawConvexPolygon3", points, pointCount})
}

func (ptr *QPainter) DrawConvexPolygon4(polygon QPolygon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawConvexPolygon4", polygon})
}

func (ptr *QPainter) DrawEllipse(rectangle core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawEllipse", rectangle})
}

func (ptr *QPainter) DrawEllipse2(rectangle core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawEllipse2", rectangle})
}

func (ptr *QPainter) DrawEllipse3(x int, y int, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawEllipse3", x, y, width, height})
}

func (ptr *QPainter) DrawEllipse4(center core.QPointF_ITF, rx float64, ry float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawEllipse4", center, rx, ry})
}

func (ptr *QPainter) DrawEllipse5(center core.QPoint_ITF, rx int, ry int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawEllipse5", center, rx, ry})
}

func (ptr *QPainter) DrawGlyphRun(position core.QPointF_ITF, glyphs QGlyphRun_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawGlyphRun", position, glyphs})
}

func (ptr *QPainter) DrawImage(target core.QRectF_ITF, image QImage_ITF, source core.QRectF_ITF, flags core.Qt__ImageConversionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawImage", target, image, source, flags})
}

func (ptr *QPainter) DrawImage2(target core.QRect_ITF, image QImage_ITF, source core.QRect_ITF, flags core.Qt__ImageConversionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawImage2", target, image, source, flags})
}

func (ptr *QPainter) DrawImage3(point core.QPointF_ITF, image QImage_ITF, source core.QRectF_ITF, flags core.Qt__ImageConversionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawImage3", point, image, source, flags})
}

func (ptr *QPainter) DrawImage4(point core.QPoint_ITF, image QImage_ITF, source core.QRect_ITF, flags core.Qt__ImageConversionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawImage4", point, image, source, flags})
}

func (ptr *QPainter) DrawImage5(rectangle core.QRectF_ITF, image QImage_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawImage5", rectangle, image})
}

func (ptr *QPainter) DrawImage6(rectangle core.QRect_ITF, image QImage_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawImage6", rectangle, image})
}

func (ptr *QPainter) DrawImage7(point core.QPointF_ITF, image QImage_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawImage7", point, image})
}

func (ptr *QPainter) DrawImage8(point core.QPoint_ITF, image QImage_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawImage8", point, image})
}

func (ptr *QPainter) DrawImage9(x int, y int, image QImage_ITF, sx int, sy int, sw int, sh int, flags core.Qt__ImageConversionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawImage9", x, y, image, sx, sy, sw, sh, flags})
}

func (ptr *QPainter) DrawLine(line core.QLineF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLine", line})
}

func (ptr *QPainter) DrawLine2(line core.QLine_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLine2", line})
}

func (ptr *QPainter) DrawLine3(x1 int, y1 int, x2 int, y2 int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLine3", x1, y1, x2, y2})
}

func (ptr *QPainter) DrawLine4(p1 core.QPoint_ITF, p2 core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLine4", p1, p2})
}

func (ptr *QPainter) DrawLine5(p1 core.QPointF_ITF, p2 core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLine5", p1, p2})
}

func (ptr *QPainter) DrawLines(lines core.QLineF_ITF, lineCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLines", lines, lineCount})
}

func (ptr *QPainter) DrawLines2(lines []*core.QLineF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLines2", lines})
}

func (ptr *QPainter) DrawLines3(pointPairs core.QPointF_ITF, lineCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLines3", pointPairs, lineCount})
}

func (ptr *QPainter) DrawLines4(pointPairs []*core.QPointF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLines4", pointPairs})
}

func (ptr *QPainter) DrawLines5(lines core.QLine_ITF, lineCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLines5", lines, lineCount})
}

func (ptr *QPainter) DrawLines6(lines []*core.QLine) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLines6", lines})
}

func (ptr *QPainter) DrawLines7(pointPairs core.QPoint_ITF, lineCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLines7", pointPairs, lineCount})
}

func (ptr *QPainter) DrawLines8(pointPairs []*core.QPoint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawLines8", pointPairs})
}

func (ptr *QPainter) DrawPath(path QPainterPath_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPath", path})
}

func (ptr *QPainter) DrawPicture(point core.QPointF_ITF, picture QPicture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPicture", point, picture})
}

func (ptr *QPainter) DrawPicture2(x int, y int, picture QPicture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPicture2", x, y, picture})
}

func (ptr *QPainter) DrawPicture3(point core.QPoint_ITF, picture QPicture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPicture3", point, picture})
}

func (ptr *QPainter) DrawPie(rectangle core.QRectF_ITF, startAngle int, spanAngle int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPie", rectangle, startAngle, spanAngle})
}

func (ptr *QPainter) DrawPie2(x int, y int, width int, height int, startAngle int, spanAngle int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPie2", x, y, width, height, startAngle, spanAngle})
}

func (ptr *QPainter) DrawPie3(rectangle core.QRect_ITF, startAngle int, spanAngle int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPie3", rectangle, startAngle, spanAngle})
}

func (ptr *QPainter) DrawPixmap(target core.QRectF_ITF, pixmap QPixmap_ITF, source core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPixmap", target, pixmap, source})
}

func (ptr *QPainter) DrawPixmap2(target core.QRect_ITF, pixmap QPixmap_ITF, source core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPixmap2", target, pixmap, source})
}

func (ptr *QPainter) DrawPixmap3(x int, y int, w int, h int, pixmap QPixmap_ITF, sx int, sy int, sw int, sh int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPixmap3", x, y, w, h, pixmap, sx, sy, sw, sh})
}

func (ptr *QPainter) DrawPixmap4(x int, y int, pixmap QPixmap_ITF, sx int, sy int, sw int, sh int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPixmap4", x, y, pixmap, sx, sy, sw, sh})
}

func (ptr *QPainter) DrawPixmap5(point core.QPointF_ITF, pixmap QPixmap_ITF, source core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPixmap5", point, pixmap, source})
}

func (ptr *QPainter) DrawPixmap6(point core.QPoint_ITF, pixmap QPixmap_ITF, source core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPixmap6", point, pixmap, source})
}

func (ptr *QPainter) DrawPixmap7(point core.QPointF_ITF, pixmap QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPixmap7", point, pixmap})
}

func (ptr *QPainter) DrawPixmap8(point core.QPoint_ITF, pixmap QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPixmap8", point, pixmap})
}

func (ptr *QPainter) DrawPixmap9(x int, y int, pixmap QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPixmap9", x, y, pixmap})
}

func (ptr *QPainter) DrawPixmap10(rectangle core.QRect_ITF, pixmap QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPixmap10", rectangle, pixmap})
}

func (ptr *QPainter) DrawPixmap11(x int, y int, width int, height int, pixmap QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPixmap11", x, y, width, height, pixmap})
}

func (ptr *QPainter) DrawPoint(position core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPoint", position})
}

func (ptr *QPainter) DrawPoint2(position core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPoint2", position})
}

func (ptr *QPainter) DrawPoint3(x int, y int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPoint3", x, y})
}

func (ptr *QPainter) DrawPoints(points core.QPointF_ITF, pointCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPoints", points, pointCount})
}

func (ptr *QPainter) DrawPoints2(points QPolygonF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPoints2", points})
}

func (ptr *QPainter) DrawPoints3(points core.QPoint_ITF, pointCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPoints3", points, pointCount})
}

func (ptr *QPainter) DrawPoints4(points QPolygon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPoints4", points})
}

func (ptr *QPainter) DrawPolygon(points core.QPointF_ITF, pointCount int, fillRule core.Qt__FillRule) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPolygon", points, pointCount, fillRule})
}

func (ptr *QPainter) DrawPolygon2(points QPolygonF_ITF, fillRule core.Qt__FillRule) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPolygon2", points, fillRule})
}

func (ptr *QPainter) DrawPolygon3(points core.QPoint_ITF, pointCount int, fillRule core.Qt__FillRule) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPolygon3", points, pointCount, fillRule})
}

func (ptr *QPainter) DrawPolygon4(points QPolygon_ITF, fillRule core.Qt__FillRule) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPolygon4", points, fillRule})
}

func (ptr *QPainter) DrawPolyline(points core.QPointF_ITF, pointCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPolyline", points, pointCount})
}

func (ptr *QPainter) DrawPolyline2(points QPolygonF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPolyline2", points})
}

func (ptr *QPainter) DrawPolyline3(points core.QPoint_ITF, pointCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPolyline3", points, pointCount})
}

func (ptr *QPainter) DrawPolyline4(points QPolygon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPolyline4", points})
}

func (ptr *QPainter) DrawRect(rectangle core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRect", rectangle})
}

func (ptr *QPainter) DrawRect2(x int, y int, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRect2", x, y, width, height})
}

func (ptr *QPainter) DrawRect3(rectangle core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRect3", rectangle})
}

func (ptr *QPainter) DrawRects(rectangles core.QRectF_ITF, rectCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRects", rectangles, rectCount})
}

func (ptr *QPainter) DrawRects2(rectangles []*core.QRectF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRects2", rectangles})
}

func (ptr *QPainter) DrawRects3(rectangles core.QRect_ITF, rectCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRects3", rectangles, rectCount})
}

func (ptr *QPainter) DrawRects4(rectangles []*core.QRect) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRects4", rectangles})
}

func (ptr *QPainter) DrawRoundedRect(rect core.QRectF_ITF, xRadius float64, yRadius float64, mode core.Qt__SizeMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRoundedRect", rect, xRadius, yRadius, mode})
}

func (ptr *QPainter) DrawRoundedRect2(x int, y int, w int, h int, xRadius float64, yRadius float64, mode core.Qt__SizeMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRoundedRect2", x, y, w, h, xRadius, yRadius, mode})
}

func (ptr *QPainter) DrawRoundedRect3(rect core.QRect_ITF, xRadius float64, yRadius float64, mode core.Qt__SizeMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRoundedRect3", rect, xRadius, yRadius, mode})
}

func (ptr *QPainter) DrawStaticText(topLeftPosition core.QPointF_ITF, staticText QStaticText_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawStaticText", topLeftPosition, staticText})
}

func (ptr *QPainter) DrawStaticText2(topLeftPosition core.QPoint_ITF, staticText QStaticText_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawStaticText2", topLeftPosition, staticText})
}

func (ptr *QPainter) DrawStaticText3(left int, top int, staticText QStaticText_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawStaticText3", left, top, staticText})
}

func (ptr *QPainter) DrawText(position core.QPointF_ITF, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawText", position, text})
}

func (ptr *QPainter) DrawText2(position core.QPoint_ITF, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawText2", position, text})
}

func (ptr *QPainter) DrawText3(x int, y int, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawText3", x, y, text})
}

func (ptr *QPainter) DrawText4(rectangle core.QRect_ITF, flags int, text string, boundingRect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawText4", rectangle, flags, text, boundingRect})
}

func (ptr *QPainter) DrawText5(x int, y int, width int, height int, flags int, text string, boundingRect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawText5", x, y, width, height, flags, text, boundingRect})
}

func (ptr *QPainter) DrawText6(rectangle core.QRectF_ITF, text string, option QTextOption_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawText6", rectangle, text, option})
}

func (ptr *QPainter) DrawTiledPixmap(rectangle core.QRectF_ITF, pixmap QPixmap_ITF, position core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawTiledPixmap", rectangle, pixmap, position})
}

func (ptr *QPainter) DrawTiledPixmap2(x int, y int, width int, height int, pixmap QPixmap_ITF, sx int, sy int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawTiledPixmap2", x, y, width, height, pixmap, sx, sy})
}

func (ptr *QPainter) DrawTiledPixmap3(rectangle core.QRect_ITF, pixmap QPixmap_ITF, position core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawTiledPixmap3", rectangle, pixmap, position})
}

func (ptr *QPainter) End() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "End"}).(bool)
}

func (ptr *QPainter) EndNativePainting() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndNativePainting"})
}

func (ptr *QPainter) EraseRect(rectangle core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EraseRect", rectangle})
}

func (ptr *QPainter) EraseRect2(x int, y int, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EraseRect2", x, y, width, height})
}

func (ptr *QPainter) EraseRect3(rectangle core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EraseRect3", rectangle})
}

func (ptr *QPainter) FillPath(path QPainterPath_ITF, brush QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillPath", path, brush})
}

func (ptr *QPainter) FillRect(rectangle core.QRectF_ITF, brush QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect", rectangle, brush})
}

func (ptr *QPainter) FillRect2(x int, y int, width int, height int, brush QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect2", x, y, width, height, brush})
}

func (ptr *QPainter) FillRect3(rectangle core.QRect_ITF, brush QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect3", rectangle, brush})
}

func (ptr *QPainter) FillRect4(rectangle core.QRectF_ITF, color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect4", rectangle, color})
}

func (ptr *QPainter) FillRect5(x int, y int, width int, height int, color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect5", x, y, width, height, color})
}

func (ptr *QPainter) FillRect6(rectangle core.QRect_ITF, color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect6", rectangle, color})
}

func (ptr *QPainter) FillRect7(x int, y int, width int, height int, color core.Qt__GlobalColor) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect7", x, y, width, height, color})
}

func (ptr *QPainter) FillRect8(rectangle core.QRect_ITF, color core.Qt__GlobalColor) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect8", rectangle, color})
}

func (ptr *QPainter) FillRect9(rectangle core.QRectF_ITF, color core.Qt__GlobalColor) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect9", rectangle, color})
}

func (ptr *QPainter) FillRect10(x int, y int, width int, height int, style core.Qt__BrushStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect10", x, y, width, height, style})
}

func (ptr *QPainter) FillRect11(rectangle core.QRect_ITF, style core.Qt__BrushStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect11", rectangle, style})
}

func (ptr *QPainter) FillRect12(rectangle core.QRectF_ITF, style core.Qt__BrushStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect12", rectangle, style})
}

func (ptr *QPainter) FillRect13(x int, y int, width int, height int, preset QGradient__Preset) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect13", x, y, width, height, preset})
}

func (ptr *QPainter) FillRect14(rectangle core.QRect_ITF, preset QGradient__Preset) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect14", rectangle, preset})
}

func (ptr *QPainter) FillRect15(rectangle core.QRectF_ITF, preset QGradient__Preset) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRect15", rectangle, preset})
}

func (ptr *QPainter) Font() *QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*QFont)
}

func (ptr *QPainter) FontInfo() *QFontInfo {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontInfo"}).(*QFontInfo)
}

func (ptr *QPainter) FontMetrics() *QFontMetrics {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontMetrics"}).(*QFontMetrics)
}

func (ptr *QPainter) HasClipping() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasClipping"}).(bool)
}

func (ptr *QPainter) IsActive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsActive"}).(bool)
}

func (ptr *QPainter) LayoutDirection() core.Qt__LayoutDirection {

	return core.Qt__LayoutDirection(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LayoutDirection"}).(float64))
}

func (ptr *QPainter) Opacity() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Opacity"}).(float64)
}

func (ptr *QPainter) PaintEngine() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEngine"}).(*QPaintEngine)
}

func (ptr *QPainter) Pen() *QPen {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pen"}).(*QPen)
}

func (ptr *QPainter) RenderHints() QPainter__RenderHint {

	return QPainter__RenderHint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RenderHints"}).(float64))
}

func (ptr *QPainter) ResetTransform() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetTransform"})
}

func (ptr *QPainter) Restore() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Restore"})
}

func (ptr *QPainter) Rotate(angle float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rotate", angle})
}

func (ptr *QPainter) Save() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Save"})
}

func (ptr *QPainter) Scale(sx float64, sy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scale", sx, sy})
}

func (ptr *QPainter) SetBackground(brush QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackground", brush})
}

func (ptr *QPainter) SetBackgroundMode(mode core.Qt__BGMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackgroundMode", mode})
}

func (ptr *QPainter) SetBrush(brush QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBrush", brush})
}

func (ptr *QPainter) SetBrush2(style core.Qt__BrushStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBrush2", style})
}

func (ptr *QPainter) SetBrushOrigin(position core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBrushOrigin", position})
}

func (ptr *QPainter) SetBrushOrigin2(x int, y int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBrushOrigin2", x, y})
}

func (ptr *QPainter) SetBrushOrigin3(position core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBrushOrigin3", position})
}

func (ptr *QPainter) SetClipPath(path QPainterPath_ITF, operation core.Qt__ClipOperation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetClipPath", path, operation})
}

func (ptr *QPainter) SetClipRect(rectangle core.QRectF_ITF, operation core.Qt__ClipOperation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetClipRect", rectangle, operation})
}

func (ptr *QPainter) SetClipRect2(rectangle core.QRect_ITF, operation core.Qt__ClipOperation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetClipRect2", rectangle, operation})
}

func (ptr *QPainter) SetClipRect3(x int, y int, width int, height int, operation core.Qt__ClipOperation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetClipRect3", x, y, width, height, operation})
}

func (ptr *QPainter) SetClipRegion(region QRegion_ITF, operation core.Qt__ClipOperation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetClipRegion", region, operation})
}

func (ptr *QPainter) SetClipping(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetClipping", enable})
}

func (ptr *QPainter) SetCompositionMode(mode QPainter__CompositionMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCompositionMode", mode})
}

func (ptr *QPainter) SetFont(font QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont", font})
}

func (ptr *QPainter) SetLayoutDirection(direction core.Qt__LayoutDirection) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLayoutDirection", direction})
}

func (ptr *QPainter) SetOpacity(opacity float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOpacity", opacity})
}

func (ptr *QPainter) SetPen(pen QPen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPen", pen})
}

func (ptr *QPainter) SetPen2(color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPen2", color})
}

func (ptr *QPainter) SetPen3(style core.Qt__PenStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPen3", style})
}

func (ptr *QPainter) SetRenderHint(hint QPainter__RenderHint, on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRenderHint", hint, on})
}

func (ptr *QPainter) SetRenderHints(hints QPainter__RenderHint, on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRenderHints", hints, on})
}

func (ptr *QPainter) SetTransform(transform QTransform_ITF, combine bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTransform", transform, combine})
}

func (ptr *QPainter) SetViewTransformEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewTransformEnabled", enable})
}

func (ptr *QPainter) SetViewport(rectangle core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewport", rectangle})
}

func (ptr *QPainter) SetViewport2(x int, y int, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewport2", x, y, width, height})
}

func (ptr *QPainter) SetWindow(rectangle core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWindow", rectangle})
}

func (ptr *QPainter) SetWindow2(x int, y int, width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWindow2", x, y, width, height})
}

func (ptr *QPainter) SetWorldMatrixEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWorldMatrixEnabled", enable})
}

func (ptr *QPainter) SetWorldTransform(matrix QTransform_ITF, combine bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWorldTransform", matrix, combine})
}

func (ptr *QPainter) Shear(sh float64, sv float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shear", sh, sv})
}

func (ptr *QPainter) StrokePath(path QPainterPath_ITF, pen QPen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StrokePath", path, pen})
}

func (ptr *QPainter) TestRenderHint(hint QPainter__RenderHint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TestRenderHint", hint}).(bool)
}

func (ptr *QPainter) Transform() *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transform"}).(*QTransform)
}

func (ptr *QPainter) Translate(offset core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate", offset})
}

func (ptr *QPainter) Translate2(offset core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate2", offset})
}

func (ptr *QPainter) Translate3(dx float64, dy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate3", dx, dy})
}

func (ptr *QPainter) ViewTransformEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewTransformEnabled"}).(bool)
}

func (ptr *QPainter) Viewport() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Viewport"}).(*core.QRect)
}

func (ptr *QPainter) Window() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Window"}).(*core.QRect)
}

func (ptr *QPainter) WorldMatrixEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WorldMatrixEnabled"}).(bool)
}

func (ptr *QPainter) WorldTransform() *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WorldTransform"}).(*QTransform)
}

func (ptr *QPainter) DestroyQPainter() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPainter"})
}

func (ptr *QPainter) __drawLines_lines_atList2(i int) *core.QLineF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_lines_atList2", i}).(*core.QLineF)
}

func (ptr *QPainter) __drawLines_lines_setList2(i core.QLineF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_lines_setList2", i})
}

func (ptr *QPainter) __drawLines_lines_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_lines_newList2"}).(unsafe.Pointer)
}

func (ptr *QPainter) __drawLines_pointPairs_atList4(i int) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_pointPairs_atList4", i}).(*core.QPointF)
}

func (ptr *QPainter) __drawLines_pointPairs_setList4(i core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_pointPairs_setList4", i})
}

func (ptr *QPainter) __drawLines_pointPairs_newList4() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_pointPairs_newList4"}).(unsafe.Pointer)
}

func (ptr *QPainter) __drawLines_lines_atList6(i int) *core.QLine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_lines_atList6", i}).(*core.QLine)
}

func (ptr *QPainter) __drawLines_lines_setList6(i core.QLine_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_lines_setList6", i})
}

func (ptr *QPainter) __drawLines_lines_newList6() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_lines_newList6"}).(unsafe.Pointer)
}

func (ptr *QPainter) __drawLines_pointPairs_atList8(i int) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_pointPairs_atList8", i}).(*core.QPoint)
}

func (ptr *QPainter) __drawLines_pointPairs_setList8(i core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_pointPairs_setList8", i})
}

func (ptr *QPainter) __drawLines_pointPairs_newList8() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_pointPairs_newList8"}).(unsafe.Pointer)
}

func (ptr *QPainter) __drawRects_rectangles_atList2(i int) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawRects_rectangles_atList2", i}).(*core.QRectF)
}

func (ptr *QPainter) __drawRects_rectangles_setList2(i core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawRects_rectangles_setList2", i})
}

func (ptr *QPainter) __drawRects_rectangles_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawRects_rectangles_newList2"}).(unsafe.Pointer)
}

func (ptr *QPainter) __drawRects_rectangles_atList4(i int) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawRects_rectangles_atList4", i}).(*core.QRect)
}

func (ptr *QPainter) __drawRects_rectangles_setList4(i core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawRects_rectangles_setList4", i})
}

func (ptr *QPainter) __drawRects_rectangles_newList4() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawRects_rectangles_newList4"}).(unsafe.Pointer)
}

type QPainterPath struct {
	internal.Internal
}

type QPainterPath_ITF interface {
	QPainterPath_PTR() *QPainterPath
}

func (ptr *QPainterPath) QPainterPath_PTR() *QPainterPath {
	return ptr
}

func (ptr *QPainterPath) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPainterPath) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPainterPath(ptr QPainterPath_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPainterPath_PTR().Pointer()
	}
	return nil
}

func (n *QPainterPath) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPainterPathFromPointer(ptr unsafe.Pointer) (n *QPainterPath) {
	n = new(QPainterPath)
	n.InitFromInternal(uintptr(ptr), "gui.QPainterPath")
	return
}

//go:generate stringer -type=QPainterPath__ElementType
//QPainterPath::ElementType
type QPainterPath__ElementType int64

const (
	QPainterPath__MoveToElement      QPainterPath__ElementType = QPainterPath__ElementType(0)
	QPainterPath__LineToElement      QPainterPath__ElementType = QPainterPath__ElementType(1)
	QPainterPath__CurveToElement     QPainterPath__ElementType = QPainterPath__ElementType(2)
	QPainterPath__CurveToDataElement QPainterPath__ElementType = QPainterPath__ElementType(3)
)

func NewQPainterPath() *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPainterPath", ""}).(*QPainterPath)
}

func NewQPainterPath2(startPoint core.QPointF_ITF) *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPainterPath2", "", startPoint}).(*QPainterPath)
}

func NewQPainterPath3(path QPainterPath_ITF) *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPainterPath3", "", path}).(*QPainterPath)
}

func (ptr *QPainterPath) AddEllipse(boundingRectangle core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddEllipse", boundingRectangle})
}

func (ptr *QPainterPath) AddEllipse2(x float64, y float64, width float64, height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddEllipse2", x, y, width, height})
}

func (ptr *QPainterPath) AddEllipse3(center core.QPointF_ITF, rx float64, ry float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddEllipse3", center, rx, ry})
}

func (ptr *QPainterPath) AddPath(path QPainterPath_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPath", path})
}

func (ptr *QPainterPath) AddPolygon(polygon QPolygonF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPolygon", polygon})
}

func (ptr *QPainterPath) AddRect(rectangle core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddRect", rectangle})
}

func (ptr *QPainterPath) AddRect2(x float64, y float64, width float64, height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddRect2", x, y, width, height})
}

func (ptr *QPainterPath) AddRegion(region QRegion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddRegion", region})
}

func (ptr *QPainterPath) AddRoundedRect(rect core.QRectF_ITF, xRadius float64, yRadius float64, mode core.Qt__SizeMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddRoundedRect", rect, xRadius, yRadius, mode})
}

func (ptr *QPainterPath) AddRoundedRect2(x float64, y float64, w float64, h float64, xRadius float64, yRadius float64, mode core.Qt__SizeMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddRoundedRect2", x, y, w, h, xRadius, yRadius, mode})
}

func (ptr *QPainterPath) AddText(point core.QPointF_ITF, font QFont_ITF, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddText", point, font, text})
}

func (ptr *QPainterPath) AddText2(x float64, y float64, font QFont_ITF, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddText2", x, y, font, text})
}

func (ptr *QPainterPath) AngleAtPercent(t float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AngleAtPercent", t}).(float64)
}

func (ptr *QPainterPath) ArcMoveTo(rectangle core.QRectF_ITF, angle float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ArcMoveTo", rectangle, angle})
}

func (ptr *QPainterPath) ArcMoveTo2(x float64, y float64, width float64, height float64, angle float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ArcMoveTo2", x, y, width, height, angle})
}

func (ptr *QPainterPath) ArcTo(rectangle core.QRectF_ITF, startAngle float64, sweepLength float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ArcTo", rectangle, startAngle, sweepLength})
}

func (ptr *QPainterPath) ArcTo2(x float64, y float64, width float64, height float64, startAngle float64, sweepLength float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ArcTo2", x, y, width, height, startAngle, sweepLength})
}

func (ptr *QPainterPath) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QPainterPath) Capacity() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Capacity"}).(float64))
}

func (ptr *QPainterPath) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QPainterPath) CloseSubpath() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloseSubpath"})
}

func (ptr *QPainterPath) ConnectPath(path QPainterPath_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPath", path})
}

func (ptr *QPainterPath) Contains(point core.QPointF_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", point}).(bool)
}

func (ptr *QPainterPath) Contains2(rectangle core.QRectF_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains2", rectangle}).(bool)
}

func (ptr *QPainterPath) Contains3(p QPainterPath_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains3", p}).(bool)
}

func (ptr *QPainterPath) ControlPointRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ControlPointRect"}).(*core.QRectF)
}

func (ptr *QPainterPath) CubicTo(c1 core.QPointF_ITF, c2 core.QPointF_ITF, endPoint core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CubicTo", c1, c2, endPoint})
}

func (ptr *QPainterPath) CubicTo2(c1X float64, c1Y float64, c2X float64, c2Y float64, endPointX float64, endPointY float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CubicTo2", c1X, c1Y, c2X, c2Y, endPointX, endPointY})
}

func (ptr *QPainterPath) CurrentPosition() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentPosition"}).(*core.QPointF)
}

func (ptr *QPainterPath) ElementCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ElementCount"}).(float64))
}

func (ptr *QPainterPath) FillRule() core.Qt__FillRule {

	return core.Qt__FillRule(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRule"}).(float64))
}

func (ptr *QPainterPath) Intersected(p QPainterPath_ITF) *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersected", p}).(*QPainterPath)
}

func (ptr *QPainterPath) Intersects(rectangle core.QRectF_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersects", rectangle}).(bool)
}

func (ptr *QPainterPath) Intersects2(p QPainterPath_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersects2", p}).(bool)
}

func (ptr *QPainterPath) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QPainterPath) Length() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Length"}).(float64)
}

func (ptr *QPainterPath) LineTo(endPoint core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineTo", endPoint})
}

func (ptr *QPainterPath) LineTo2(x float64, y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineTo2", x, y})
}

func (ptr *QPainterPath) MoveTo(point core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveTo", point})
}

func (ptr *QPainterPath) MoveTo2(x float64, y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveTo2", x, y})
}

func (ptr *QPainterPath) PercentAtLength(l float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PercentAtLength", l}).(float64)
}

func (ptr *QPainterPath) PointAtPercent(t float64) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PointAtPercent", t}).(*core.QPointF)
}

func (ptr *QPainterPath) QuadTo(c core.QPointF_ITF, endPoint core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "QuadTo", c, endPoint})
}

func (ptr *QPainterPath) QuadTo2(cx float64, cy float64, endPointX float64, endPointY float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "QuadTo2", cx, cy, endPointX, endPointY})
}

func (ptr *QPainterPath) Reserve(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reserve", size})
}

func (ptr *QPainterPath) SetElementPositionAt(index int, x float64, y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetElementPositionAt", index, x, y})
}

func (ptr *QPainterPath) SetFillRule(fillRule core.Qt__FillRule) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFillRule", fillRule})
}

func (ptr *QPainterPath) Simplified() *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Simplified"}).(*QPainterPath)
}

func (ptr *QPainterPath) SlopeAtPercent(t float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SlopeAtPercent", t}).(float64)
}

func (ptr *QPainterPath) Subtracted(p QPainterPath_ITF) *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Subtracted", p}).(*QPainterPath)
}

func (ptr *QPainterPath) Swap(other QPainterPath_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QPainterPath) ToFillPolygon(matrix QTransform_ITF) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToFillPolygon", matrix}).(*QPolygonF)
}

func (ptr *QPainterPath) ToFillPolygon2(matrix QMatrix_ITF) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToFillPolygon2", matrix}).(*QPolygonF)
}

func (ptr *QPainterPath) ToFillPolygons(matrix QTransform_ITF) []*QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToFillPolygons", matrix}).([]*QPolygonF)
}

func (ptr *QPainterPath) ToFillPolygons2(matrix QMatrix_ITF) []*QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToFillPolygons2", matrix}).([]*QPolygonF)
}

func (ptr *QPainterPath) ToReversed() *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToReversed"}).(*QPainterPath)
}

func (ptr *QPainterPath) ToSubpathPolygons(matrix QTransform_ITF) []*QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToSubpathPolygons", matrix}).([]*QPolygonF)
}

func (ptr *QPainterPath) ToSubpathPolygons2(matrix QMatrix_ITF) []*QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToSubpathPolygons2", matrix}).([]*QPolygonF)
}

func (ptr *QPainterPath) Translate(dx float64, dy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate", dx, dy})
}

func (ptr *QPainterPath) Translate2(offset core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate2", offset})
}

func (ptr *QPainterPath) Translated(dx float64, dy float64) *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated", dx, dy}).(*QPainterPath)
}

func (ptr *QPainterPath) Translated2(offset core.QPointF_ITF) *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated2", offset}).(*QPainterPath)
}

func (ptr *QPainterPath) United(p QPainterPath_ITF) *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "United", p}).(*QPainterPath)
}

func (ptr *QPainterPath) DestroyQPainterPath() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPainterPath"})
}

func (ptr *QPainterPath) __toFillPolygons_atList(i int) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toFillPolygons_atList", i}).(*QPolygonF)
}

func (ptr *QPainterPath) __toFillPolygons_setList(i QPolygonF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toFillPolygons_setList", i})
}

func (ptr *QPainterPath) __toFillPolygons_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toFillPolygons_newList"}).(unsafe.Pointer)
}

func (ptr *QPainterPath) __toFillPolygons_atList2(i int) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toFillPolygons_atList2", i}).(*QPolygonF)
}

func (ptr *QPainterPath) __toFillPolygons_setList2(i QPolygonF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toFillPolygons_setList2", i})
}

func (ptr *QPainterPath) __toFillPolygons_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toFillPolygons_newList2"}).(unsafe.Pointer)
}

func (ptr *QPainterPath) __toSubpathPolygons_atList(i int) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toSubpathPolygons_atList", i}).(*QPolygonF)
}

func (ptr *QPainterPath) __toSubpathPolygons_setList(i QPolygonF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toSubpathPolygons_setList", i})
}

func (ptr *QPainterPath) __toSubpathPolygons_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toSubpathPolygons_newList"}).(unsafe.Pointer)
}

func (ptr *QPainterPath) __toSubpathPolygons_atList2(i int) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toSubpathPolygons_atList2", i}).(*QPolygonF)
}

func (ptr *QPainterPath) __toSubpathPolygons_setList2(i QPolygonF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toSubpathPolygons_setList2", i})
}

func (ptr *QPainterPath) __toSubpathPolygons_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toSubpathPolygons_newList2"}).(unsafe.Pointer)
}

type QPainterPathStroker struct {
	internal.Internal
}

type QPainterPathStroker_ITF interface {
	QPainterPathStroker_PTR() *QPainterPathStroker
}

func (ptr *QPainterPathStroker) QPainterPathStroker_PTR() *QPainterPathStroker {
	return ptr
}

func (ptr *QPainterPathStroker) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPainterPathStroker) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPainterPathStroker(ptr QPainterPathStroker_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPainterPathStroker_PTR().Pointer()
	}
	return nil
}

func (n *QPainterPathStroker) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPainterPathStrokerFromPointer(ptr unsafe.Pointer) (n *QPainterPathStroker) {
	n = new(QPainterPathStroker)
	n.InitFromInternal(uintptr(ptr), "gui.QPainterPathStroker")
	return
}
func NewQPainterPathStroker() *QPainterPathStroker {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPainterPathStroker", ""}).(*QPainterPathStroker)
}

func NewQPainterPathStroker2(pen QPen_ITF) *QPainterPathStroker {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPainterPathStroker2", "", pen}).(*QPainterPathStroker)
}

func (ptr *QPainterPathStroker) CapStyle() core.Qt__PenCapStyle {

	return core.Qt__PenCapStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapStyle"}).(float64))
}

func (ptr *QPainterPathStroker) CreateStroke(path QPainterPath_ITF) *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateStroke", path}).(*QPainterPath)
}

func (ptr *QPainterPathStroker) CurveThreshold() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurveThreshold"}).(float64)
}

func (ptr *QPainterPathStroker) DashOffset() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DashOffset"}).(float64)
}

func (ptr *QPainterPathStroker) DashPattern() []float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DashPattern"}).([]float64)
}

func (ptr *QPainterPathStroker) JoinStyle() core.Qt__PenJoinStyle {

	return core.Qt__PenJoinStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "JoinStyle"}).(float64))
}

func (ptr *QPainterPathStroker) MiterLimit() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MiterLimit"}).(float64)
}

func (ptr *QPainterPathStroker) SetCapStyle(style core.Qt__PenCapStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCapStyle", style})
}

func (ptr *QPainterPathStroker) SetCurveThreshold(threshold float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurveThreshold", threshold})
}

func (ptr *QPainterPathStroker) SetDashOffset(offset float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDashOffset", offset})
}

func (ptr *QPainterPathStroker) SetDashPattern(style core.Qt__PenStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDashPattern", style})
}

func (ptr *QPainterPathStroker) SetDashPattern2(dashPattern []float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDashPattern2", dashPattern})
}

func (ptr *QPainterPathStroker) SetJoinStyle(style core.Qt__PenJoinStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetJoinStyle", style})
}

func (ptr *QPainterPathStroker) SetMiterLimit(limit float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMiterLimit", limit})
}

func (ptr *QPainterPathStroker) SetWidth(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidth", width})
}

func (ptr *QPainterPathStroker) Width() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64)
}

func (ptr *QPainterPathStroker) DestroyQPainterPathStroker() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPainterPathStroker"})
}

func (ptr *QPainterPathStroker) __dashPattern_atList(i int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dashPattern_atList", i}).(float64)
}

func (ptr *QPainterPathStroker) __dashPattern_setList(i float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dashPattern_setList", i})
}

func (ptr *QPainterPathStroker) __dashPattern_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dashPattern_newList"}).(unsafe.Pointer)
}

func (ptr *QPainterPathStroker) __setDashPattern_dashPattern_atList2(i int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDashPattern_dashPattern_atList2", i}).(float64)
}

func (ptr *QPainterPathStroker) __setDashPattern_dashPattern_setList2(i float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDashPattern_dashPattern_setList2", i})
}

func (ptr *QPainterPathStroker) __setDashPattern_dashPattern_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDashPattern_dashPattern_newList2"}).(unsafe.Pointer)
}

type QPalette struct {
	internal.Internal
}

type QPalette_ITF interface {
	QPalette_PTR() *QPalette
}

func (ptr *QPalette) QPalette_PTR() *QPalette {
	return ptr
}

func (ptr *QPalette) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPalette) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPalette(ptr QPalette_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPalette_PTR().Pointer()
	}
	return nil
}

func (n *QPalette) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPaletteFromPointer(ptr unsafe.Pointer) (n *QPalette) {
	n = new(QPalette)
	n.InitFromInternal(uintptr(ptr), "gui.QPalette")
	return
}

//go:generate stringer -type=QPalette__ColorGroup
//QPalette::ColorGroup
type QPalette__ColorGroup int64

const (
	QPalette__Active       QPalette__ColorGroup = QPalette__ColorGroup(0)
	QPalette__Disabled     QPalette__ColorGroup = QPalette__ColorGroup(1)
	QPalette__Inactive     QPalette__ColorGroup = QPalette__ColorGroup(2)
	QPalette__NColorGroups QPalette__ColorGroup = QPalette__ColorGroup(3)
	QPalette__Current      QPalette__ColorGroup = QPalette__ColorGroup(4)
	QPalette__All          QPalette__ColorGroup = QPalette__ColorGroup(5)
	QPalette__Normal       QPalette__ColorGroup = QPalette__ColorGroup(QPalette__Active)
)

//go:generate stringer -type=QPalette__ColorRole
//QPalette::ColorRole
type QPalette__ColorRole int64

var (
	QPalette__WindowText      QPalette__ColorRole = QPalette__ColorRole(0)
	QPalette__Button          QPalette__ColorRole = QPalette__ColorRole(1)
	QPalette__Light           QPalette__ColorRole = QPalette__ColorRole(2)
	QPalette__Midlight        QPalette__ColorRole = QPalette__ColorRole(3)
	QPalette__Dark            QPalette__ColorRole = QPalette__ColorRole(4)
	QPalette__Mid             QPalette__ColorRole = QPalette__ColorRole(5)
	QPalette__Text            QPalette__ColorRole = QPalette__ColorRole(6)
	QPalette__BrightText      QPalette__ColorRole = QPalette__ColorRole(7)
	QPalette__ButtonText      QPalette__ColorRole = QPalette__ColorRole(8)
	QPalette__Base            QPalette__ColorRole = QPalette__ColorRole(9)
	QPalette__Window          QPalette__ColorRole = QPalette__ColorRole(10)
	QPalette__Shadow          QPalette__ColorRole = QPalette__ColorRole(11)
	QPalette__Highlight       QPalette__ColorRole = QPalette__ColorRole(12)
	QPalette__HighlightedText QPalette__ColorRole = QPalette__ColorRole(13)
	QPalette__Link            QPalette__ColorRole = QPalette__ColorRole(14)
	QPalette__LinkVisited     QPalette__ColorRole = QPalette__ColorRole(15)
	QPalette__AlternateBase   QPalette__ColorRole = QPalette__ColorRole(16)
	QPalette__NoRole          QPalette__ColorRole = QPalette__ColorRole(17)
	QPalette__ToolTipBase     QPalette__ColorRole = QPalette__ColorRole(18)
	QPalette__ToolTipText     QPalette__ColorRole = QPalette__ColorRole(19)
	QPalette__PlaceholderText QPalette__ColorRole = QPalette__ColorRole(20)
	QPalette__NColorRoles     QPalette__ColorRole = QPalette__ColorRole(0)
	QPalette__Foreground      QPalette__ColorRole = QPalette__ColorRole(QPalette__WindowText)
	QPalette__Background      QPalette__ColorRole = QPalette__ColorRole(QPalette__Window)
)

func NewQPalette() *QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPalette", ""}).(*QPalette)
}

func NewQPalette2(button QColor_ITF) *QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPalette2", "", button}).(*QPalette)
}

func NewQPalette3(button core.Qt__GlobalColor) *QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPalette3", "", button}).(*QPalette)
}

func NewQPalette4(button QColor_ITF, window QColor_ITF) *QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPalette4", "", button, window}).(*QPalette)
}

func NewQPalette5(windowText QBrush_ITF, button QBrush_ITF, light QBrush_ITF, dark QBrush_ITF, mid QBrush_ITF, text QBrush_ITF, bright_text QBrush_ITF, base QBrush_ITF, window QBrush_ITF) *QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPalette5", "", windowText, button, light, dark, mid, text, bright_text, base, window}).(*QPalette)
}

func NewQPalette7(p QPalette_ITF) *QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPalette7", "", p}).(*QPalette)
}

func NewQPalette8(other QPalette_ITF) *QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPalette8", "", other}).(*QPalette)
}

func (ptr *QPalette) AlternateBase() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AlternateBase"}).(*QBrush)
}

func (ptr *QPalette) Base() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Base"}).(*QBrush)
}

func (ptr *QPalette) BrightText() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BrightText"}).(*QBrush)
}

func (ptr *QPalette) Brush(group QPalette__ColorGroup, role QPalette__ColorRole) *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Brush", group, role}).(*QBrush)
}

func (ptr *QPalette) Brush2(role QPalette__ColorRole) *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Brush2", role}).(*QBrush)
}

func (ptr *QPalette) Button() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Button"}).(*QBrush)
}

func (ptr *QPalette) ButtonText() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonText"}).(*QBrush)
}

func (ptr *QPalette) CacheKey() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CacheKey"}).(float64))
}

func (ptr *QPalette) Color(group QPalette__ColorGroup, role QPalette__ColorRole) *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Color", group, role}).(*QColor)
}

func (ptr *QPalette) Color2(role QPalette__ColorRole) *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Color2", role}).(*QColor)
}

func (ptr *QPalette) CurrentColorGroup() QPalette__ColorGroup {

	return QPalette__ColorGroup(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentColorGroup"}).(float64))
}

func (ptr *QPalette) Dark() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Dark"}).(*QBrush)
}

func (ptr *QPalette) Highlight() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Highlight"}).(*QBrush)
}

func (ptr *QPalette) HighlightedText() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HighlightedText"}).(*QBrush)
}

func (ptr *QPalette) IsBrushSet(cg QPalette__ColorGroup, cr QPalette__ColorRole) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsBrushSet", cg, cr}).(bool)
}

func (ptr *QPalette) IsCopyOf(p QPalette_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCopyOf", p}).(bool)
}

func (ptr *QPalette) IsEqual(cg1 QPalette__ColorGroup, cg2 QPalette__ColorGroup) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEqual", cg1, cg2}).(bool)
}

func (ptr *QPalette) Light() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Light"}).(*QBrush)
}

func (ptr *QPalette) Link() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Link"}).(*QBrush)
}

func (ptr *QPalette) LinkVisited() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LinkVisited"}).(*QBrush)
}

func (ptr *QPalette) Mid() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mid"}).(*QBrush)
}

func (ptr *QPalette) Midlight() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Midlight"}).(*QBrush)
}

func (ptr *QPalette) PlaceholderText() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PlaceholderText"}).(*QBrush)
}

func (ptr *QPalette) Resolve(other QPalette_ITF) *QPalette {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resolve", other}).(*QPalette)
}

func (ptr *QPalette) SetBrush(role QPalette__ColorRole, brush QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBrush", role, brush})
}

func (ptr *QPalette) SetBrush2(group QPalette__ColorGroup, role QPalette__ColorRole, brush QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBrush2", group, role, brush})
}

func (ptr *QPalette) SetColor(group QPalette__ColorGroup, role QPalette__ColorRole, color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColor", group, role, color})
}

func (ptr *QPalette) SetColor2(role QPalette__ColorRole, color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColor2", role, color})
}

func (ptr *QPalette) SetColorGroup(cg QPalette__ColorGroup, windowText QBrush_ITF, button QBrush_ITF, light QBrush_ITF, dark QBrush_ITF, mid QBrush_ITF, text QBrush_ITF, bright_text QBrush_ITF, base QBrush_ITF, window QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColorGroup", cg, windowText, button, light, dark, mid, text, bright_text, base, window})
}

func (ptr *QPalette) SetCurrentColorGroup(cg QPalette__ColorGroup) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentColorGroup", cg})
}

func (ptr *QPalette) Shadow() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shadow"}).(*QBrush)
}

func (ptr *QPalette) Swap(other QPalette_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QPalette) Text() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(*QBrush)
}

func (ptr *QPalette) ToolTipBase() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolTipBase"}).(*QBrush)
}

func (ptr *QPalette) ToolTipText() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolTipText"}).(*QBrush)
}

func (ptr *QPalette) Window() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Window"}).(*QBrush)
}

func (ptr *QPalette) WindowText() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WindowText"}).(*QBrush)
}

func (ptr *QPalette) DestroyQPalette() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPalette"})
}

type QPdfWriter struct {
	core.QObject
	QPagedPaintDevice
}

type QPdfWriter_ITF interface {
	core.QObject_ITF
	QPagedPaintDevice_ITF
	QPdfWriter_PTR() *QPdfWriter
}

func (ptr *QPdfWriter) QPdfWriter_PTR() *QPdfWriter {
	return ptr
}

func (ptr *QPdfWriter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QPdfWriter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
		ptr.QPagedPaintDevice_PTR().SetPointer(p)
	}
}

func PointerFromQPdfWriter(ptr QPdfWriter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPdfWriter_PTR().Pointer()
	}
	return nil
}

func (n *QPdfWriter) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)
	n.QPagedPaintDevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPdfWriter) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQPdfWriterFromPointer(ptr unsafe.Pointer) (n *QPdfWriter) {
	n = new(QPdfWriter)
	n.InitFromInternal(uintptr(ptr), "gui.QPdfWriter")
	return
}
func NewQPdfWriter(filename string) *QPdfWriter {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPdfWriter", "", filename}).(*QPdfWriter)
}

func NewQPdfWriter2(device core.QIODevice_ITF) *QPdfWriter {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPdfWriter2", "", device}).(*QPdfWriter)
}

func (ptr *QPdfWriter) Creator() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Creator"}).(string)
}

func (ptr *QPdfWriter) ConnectNewPage(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNewPage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPdfWriter) DisconnectNewPage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNewPage"})
}

func (ptr *QPdfWriter) NewPage() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "NewPage"}).(bool)
}

func (ptr *QPdfWriter) NewPageDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "NewPageDefault"}).(bool)
}

func (ptr *QPdfWriter) ConnectPaintEngine(f func() *QPaintEngine) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectPaintEngine", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPdfWriter) DisconnectPaintEngine() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectPaintEngine"})
}

func (ptr *QPdfWriter) PaintEngine() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "PaintEngine"}).(*QPaintEngine)
}

func (ptr *QPdfWriter) PaintEngineDefault() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "PaintEngineDefault"}).(*QPaintEngine)
}

func (ptr *QPdfWriter) PdfVersion() QPagedPaintDevice__PdfVersion {

	return QPagedPaintDevice__PdfVersion(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "PdfVersion"}).(float64))
}

func (ptr *QPdfWriter) Resolution() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Resolution"}).(float64))
}

func (ptr *QPdfWriter) SetCreator(creator string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetCreator", creator})
}

func (ptr *QPdfWriter) SetPdfVersion(version QPagedPaintDevice__PdfVersion) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetPdfVersion", version})
}

func (ptr *QPdfWriter) SetResolution(resolution int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetResolution", resolution})
}

func (ptr *QPdfWriter) SetTitle(title string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetTitle", title})
}

func (ptr *QPdfWriter) Title() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Title"}).(string)
}

func (ptr *QPdfWriter) ConnectDestroyQPdfWriter(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDestroyQPdfWriter", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPdfWriter) DisconnectDestroyQPdfWriter() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDestroyQPdfWriter"})
}

func (ptr *QPdfWriter) DestroyQPdfWriter() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQPdfWriter"})
}

func (ptr *QPdfWriter) DestroyQPdfWriterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQPdfWriterDefault"})
}

func (ptr *QPdfWriter) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QPdfWriter) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QPdfWriter) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QPdfWriter) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QPdfWriter) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QPdfWriter) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QPdfWriter) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QPdfWriter) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QPdfWriter) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QPdfWriter) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QPdfWriter) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QPdfWriter) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QPdfWriter) ChildEvent(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEvent", event})
}

func (ptr *QPdfWriter) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QPdfWriter) ConnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotify", sign})
}

func (ptr *QPdfWriter) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QPdfWriter) CustomEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEvent", event})
}

func (ptr *QPdfWriter) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QPdfWriter) DeleteLater() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLater"})
}

func (ptr *QPdfWriter) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QPdfWriter) DisconnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotify", sign})
}

func (ptr *QPdfWriter) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QPdfWriter) Event(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Event", e}).(bool)
}

func (ptr *QPdfWriter) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QPdfWriter) EventFilter(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilter", watched, event}).(bool)
}

func (ptr *QPdfWriter) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QPdfWriter) MetaObject() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObject"}).(*core.QMetaObject)
}

func (ptr *QPdfWriter) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QPdfWriter) TimerEvent(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEvent", event})
}

func (ptr *QPdfWriter) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEventDefault", event})
}

type QPen struct {
	internal.Internal
}

type QPen_ITF interface {
	QPen_PTR() *QPen
}

func (ptr *QPen) QPen_PTR() *QPen {
	return ptr
}

func (ptr *QPen) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPen) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPen(ptr QPen_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPen_PTR().Pointer()
	}
	return nil
}

func (n *QPen) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPenFromPointer(ptr unsafe.Pointer) (n *QPen) {
	n = new(QPen)
	n.InitFromInternal(uintptr(ptr), "gui.QPen")
	return
}
func NewQPen() *QPen {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPen", ""}).(*QPen)
}

func NewQPen2(style core.Qt__PenStyle) *QPen {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPen2", "", style}).(*QPen)
}

func NewQPen3(color QColor_ITF) *QPen {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPen3", "", color}).(*QPen)
}

func NewQPen4(brush QBrush_ITF, width float64, style core.Qt__PenStyle, cap core.Qt__PenCapStyle, join core.Qt__PenJoinStyle) *QPen {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPen4", "", brush, width, style, cap, join}).(*QPen)
}

func NewQPen5(pen QPen_ITF) *QPen {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPen5", "", pen}).(*QPen)
}

func NewQPen6(pen QPen_ITF) *QPen {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPen6", "", pen}).(*QPen)
}

func (ptr *QPen) Brush() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Brush"}).(*QBrush)
}

func (ptr *QPen) CapStyle() core.Qt__PenCapStyle {

	return core.Qt__PenCapStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapStyle"}).(float64))
}

func (ptr *QPen) Color() *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Color"}).(*QColor)
}

func (ptr *QPen) DashOffset() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DashOffset"}).(float64)
}

func (ptr *QPen) DashPattern() []float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DashPattern"}).([]float64)
}

func (ptr *QPen) IsCosmetic() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCosmetic"}).(bool)
}

func (ptr *QPen) IsSolid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSolid"}).(bool)
}

func (ptr *QPen) JoinStyle() core.Qt__PenJoinStyle {

	return core.Qt__PenJoinStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "JoinStyle"}).(float64))
}

func (ptr *QPen) MiterLimit() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MiterLimit"}).(float64)
}

func (ptr *QPen) SetBrush(brush QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBrush", brush})
}

func (ptr *QPen) SetCapStyle(style core.Qt__PenCapStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCapStyle", style})
}

func (ptr *QPen) SetColor(color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColor", color})
}

func (ptr *QPen) SetCosmetic(cosmetic bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCosmetic", cosmetic})
}

func (ptr *QPen) SetDashOffset(offset float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDashOffset", offset})
}

func (ptr *QPen) SetDashPattern(pattern []float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDashPattern", pattern})
}

func (ptr *QPen) SetJoinStyle(style core.Qt__PenJoinStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetJoinStyle", style})
}

func (ptr *QPen) SetMiterLimit(limit float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMiterLimit", limit})
}

func (ptr *QPen) SetStyle(style core.Qt__PenStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStyle", style})
}

func (ptr *QPen) SetWidth(width int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidth", width})
}

func (ptr *QPen) SetWidthF(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidthF", width})
}

func (ptr *QPen) Style() core.Qt__PenStyle {

	return core.Qt__PenStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Style"}).(float64))
}

func (ptr *QPen) Swap(other QPen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QPen) Width() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64))
}

func (ptr *QPen) WidthF() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WidthF"}).(float64)
}

func (ptr *QPen) DestroyQPen() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPen"})
}

func (ptr *QPen) __dashPattern_atList(i int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dashPattern_atList", i}).(float64)
}

func (ptr *QPen) __dashPattern_setList(i float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dashPattern_setList", i})
}

func (ptr *QPen) __dashPattern_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dashPattern_newList"}).(unsafe.Pointer)
}

func (ptr *QPen) __setDashPattern_pattern_atList(i int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDashPattern_pattern_atList", i}).(float64)
}

func (ptr *QPen) __setDashPattern_pattern_setList(i float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDashPattern_pattern_setList", i})
}

func (ptr *QPen) __setDashPattern_pattern_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDashPattern_pattern_newList"}).(unsafe.Pointer)
}

type QPicture struct {
	QPaintDevice
}

type QPicture_ITF interface {
	QPaintDevice_ITF
	QPicture_PTR() *QPicture
}

func (ptr *QPicture) QPicture_PTR() *QPicture {
	return ptr
}

func (ptr *QPicture) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QPaintDevice_PTR().Pointer()
	}
	return nil
}

func (ptr *QPicture) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QPaintDevice_PTR().SetPointer(p)
	}
}

func PointerFromQPicture(ptr QPicture_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPicture_PTR().Pointer()
	}
	return nil
}

func (n *QPicture) InitFromInternal(ptr uintptr, name string) {
	n.QPaintDevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPicture) ClassNameInternalF() string {
	return n.QPaintDevice_PTR().ClassNameInternalF()
}

func NewQPictureFromPointer(ptr unsafe.Pointer) (n *QPicture) {
	n = new(QPicture)
	n.InitFromInternal(uintptr(ptr), "gui.QPicture")
	return
}
func NewQPicture(formatVersion int) *QPicture {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPicture", "", formatVersion}).(*QPicture)
}

func NewQPicture2(pic QPicture_ITF) *QPicture {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPicture2", "", pic}).(*QPicture)
}

func (ptr *QPicture) BoundingRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRect)
}

func (ptr *QPicture) Data() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data"}).(string)
}

func (ptr *QPicture) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QPicture) Load(fileName string, format string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Load", fileName, format}).(bool)
}

func (ptr *QPicture) Load2(dev core.QIODevice_ITF, format string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Load2", dev, format}).(bool)
}

func (ptr *QPicture) Play(painter QPainter_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Play", painter}).(bool)
}

func (ptr *QPicture) Save(fileName string, format string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Save", fileName, format}).(bool)
}

func (ptr *QPicture) Save2(dev core.QIODevice_ITF, format string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Save2", dev, format}).(bool)
}

func (ptr *QPicture) SetBoundingRect(r core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBoundingRect", r})
}

func (ptr *QPicture) ConnectSetData(f func(data []byte, size uint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPicture) DisconnectSetData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetData"})
}

func (ptr *QPicture) SetData(data []byte, size uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData", data, size})
}

func (ptr *QPicture) SetDataDefault(data []byte, size uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDataDefault", data, size})
}

func (ptr *QPicture) Size() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

func (ptr *QPicture) Swap(other QPicture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QPicture) ConnectDestroyQPicture(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQPicture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPicture) DisconnectDestroyQPicture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQPicture"})
}

func (ptr *QPicture) DestroyQPicture() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPicture"})
}

func (ptr *QPicture) DestroyQPictureDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPictureDefault"})
}

func (ptr *QPicture) __inputFormats_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__inputFormats_atList", i}).(*core.QByteArray)
}

func (ptr *QPicture) __inputFormats_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__inputFormats_setList", i})
}

func (ptr *QPicture) __inputFormats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__inputFormats_newList"}).(unsafe.Pointer)
}

func (ptr *QPicture) __outputFormats_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__outputFormats_atList", i}).(*core.QByteArray)
}

func (ptr *QPicture) __outputFormats_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__outputFormats_setList", i})
}

func (ptr *QPicture) __outputFormats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__outputFormats_newList"}).(unsafe.Pointer)
}

func (ptr *QPicture) PaintEngine() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEngine"}).(*QPaintEngine)
}

func (ptr *QPicture) PaintEngineDefault() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEngineDefault"}).(*QPaintEngine)
}

type QPictureFormatPlugin struct {
	core.QObject
}

type QPictureFormatPlugin_ITF interface {
	core.QObject_ITF
	QPictureFormatPlugin_PTR() *QPictureFormatPlugin
}

func (ptr *QPictureFormatPlugin) QPictureFormatPlugin_PTR() *QPictureFormatPlugin {
	return ptr
}

func (ptr *QPictureFormatPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QPictureFormatPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQPictureFormatPlugin(ptr QPictureFormatPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPictureFormatPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QPictureFormatPlugin) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPictureFormatPlugin) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQPictureFormatPluginFromPointer(ptr unsafe.Pointer) (n *QPictureFormatPlugin) {
	n = new(QPictureFormatPlugin)
	n.InitFromInternal(uintptr(ptr), "gui.QPictureFormatPlugin")
	return
}
func NewQPictureFormatPlugin(parent core.QObject_ITF) *QPictureFormatPlugin {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPictureFormatPlugin", "", parent}).(*QPictureFormatPlugin)
}

func (ptr *QPictureFormatPlugin) ConnectInstallIOHandler(f func(format string) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInstallIOHandler", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPictureFormatPlugin) DisconnectInstallIOHandler() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInstallIOHandler"})
}

func (ptr *QPictureFormatPlugin) InstallIOHandler(format string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InstallIOHandler", format}).(bool)
}

func (ptr *QPictureFormatPlugin) ConnectLoadPicture(f func(format string, fileName string, picture *QPicture) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLoadPicture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPictureFormatPlugin) DisconnectLoadPicture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLoadPicture"})
}

func (ptr *QPictureFormatPlugin) LoadPicture(format string, fileName string, picture QPicture_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadPicture", format, fileName, picture}).(bool)
}

func (ptr *QPictureFormatPlugin) LoadPictureDefault(format string, fileName string, picture QPicture_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadPictureDefault", format, fileName, picture}).(bool)
}

func (ptr *QPictureFormatPlugin) ConnectSavePicture(f func(format string, fileName string, picture *QPicture) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSavePicture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPictureFormatPlugin) DisconnectSavePicture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSavePicture"})
}

func (ptr *QPictureFormatPlugin) SavePicture(format string, fileName string, picture QPicture_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SavePicture", format, fileName, picture}).(bool)
}

func (ptr *QPictureFormatPlugin) SavePictureDefault(format string, fileName string, picture QPicture_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SavePictureDefault", format, fileName, picture}).(bool)
}

func (ptr *QPictureFormatPlugin) ConnectDestroyQPictureFormatPlugin(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQPictureFormatPlugin", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPictureFormatPlugin) DisconnectDestroyQPictureFormatPlugin() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQPictureFormatPlugin"})
}

func (ptr *QPictureFormatPlugin) DestroyQPictureFormatPlugin() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPictureFormatPlugin"})
}

func (ptr *QPictureFormatPlugin) DestroyQPictureFormatPluginDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPictureFormatPluginDefault"})
}

func (ptr *QPictureFormatPlugin) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QPictureFormatPlugin) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QPictureFormatPlugin) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QPictureFormatPlugin) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QPictureFormatPlugin) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QPictureFormatPlugin) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QPictureFormatPlugin) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QPictureFormatPlugin) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QPictureFormatPlugin) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QPictureFormatPlugin) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QPictureFormatPlugin) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QPictureFormatPlugin) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QPictureFormatPlugin) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QPictureFormatPlugin) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QPictureFormatPlugin) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QPictureFormatPlugin) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QPictureFormatPlugin) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QPictureFormatPlugin) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QPictureFormatPlugin) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QPictureFormatPlugin) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QPictureFormatPlugin) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QPictureIO struct {
	internal.Internal
}

type QPictureIO_ITF interface {
	QPictureIO_PTR() *QPictureIO
}

func (ptr *QPictureIO) QPictureIO_PTR() *QPictureIO {
	return ptr
}

func (ptr *QPictureIO) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPictureIO) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPictureIO(ptr QPictureIO_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPictureIO_PTR().Pointer()
	}
	return nil
}

func (n *QPictureIO) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPictureIOFromPointer(ptr unsafe.Pointer) (n *QPictureIO) {
	n = new(QPictureIO)
	n.InitFromInternal(uintptr(ptr), "gui.QPictureIO")
	return
}
func NewQPictureIO() *QPictureIO {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPictureIO", ""}).(*QPictureIO)
}

func NewQPictureIO2(ioDevice core.QIODevice_ITF, format string) *QPictureIO {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPictureIO2", "", ioDevice, format}).(*QPictureIO)
}

func NewQPictureIO3(fileName string, format string) *QPictureIO {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPictureIO3", "", fileName, format}).(*QPictureIO)
}

func (ptr *QPictureIO) Description() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Description"}).(string)
}

func (ptr *QPictureIO) FileName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName"}).(string)
}

func (ptr *QPictureIO) Format() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(string)
}

func (ptr *QPictureIO) Gamma() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Gamma"}).(float32)
}

func QPictureIO_InputFormats() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPictureIO_InputFormats", ""}).([]*core.QByteArray)
}

func (ptr *QPictureIO) InputFormats() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPictureIO_InputFormats", ""}).([]*core.QByteArray)
}

func (ptr *QPictureIO) IoDevice() *core.QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IoDevice"}).(*core.QIODevice)
}

func QPictureIO_OutputFormats() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPictureIO_OutputFormats", ""}).([]*core.QByteArray)
}

func (ptr *QPictureIO) OutputFormats() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPictureIO_OutputFormats", ""}).([]*core.QByteArray)
}

func (ptr *QPictureIO) Parameters() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parameters"}).(string)
}

func (ptr *QPictureIO) Picture() *QPicture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Picture"}).(*QPicture)
}

func QPictureIO_PictureFormat(fileName string) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPictureIO_PictureFormat", "", fileName}).(*core.QByteArray)
}

func (ptr *QPictureIO) PictureFormat(fileName string) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPictureIO_PictureFormat", "", fileName}).(*core.QByteArray)
}

func QPictureIO_PictureFormat2(d core.QIODevice_ITF) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPictureIO_PictureFormat2", "", d}).(*core.QByteArray)
}

func (ptr *QPictureIO) PictureFormat2(d core.QIODevice_ITF) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPictureIO_PictureFormat2", "", d}).(*core.QByteArray)
}

func (ptr *QPictureIO) Quality() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Quality"}).(float64))
}

func (ptr *QPictureIO) Read() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read"}).(bool)
}

func (ptr *QPictureIO) SetDescription(description string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDescription", description})
}

func (ptr *QPictureIO) SetFileName(fileName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileName", fileName})
}

func (ptr *QPictureIO) SetFormat(format string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", format})
}

func (ptr *QPictureIO) SetGamma(gamma float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGamma", gamma})
}

func (ptr *QPictureIO) SetIODevice(ioDevice core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIODevice", ioDevice})
}

func (ptr *QPictureIO) SetParameters(parameters string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetParameters", parameters})
}

func (ptr *QPictureIO) SetPicture(picture QPicture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPicture", picture})
}

func (ptr *QPictureIO) SetQuality(q int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetQuality", q})
}

func (ptr *QPictureIO) SetStatus(status int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStatus", status})
}

func (ptr *QPictureIO) Status() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Status"}).(float64))
}

func (ptr *QPictureIO) Write() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write"}).(bool)
}

func (ptr *QPictureIO) DestroyQPictureIO() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPictureIO"})
}

func (ptr *QPictureIO) __inputFormats_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__inputFormats_atList", i}).(*core.QByteArray)
}

func (ptr *QPictureIO) __inputFormats_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__inputFormats_setList", i})
}

func (ptr *QPictureIO) __inputFormats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__inputFormats_newList"}).(unsafe.Pointer)
}

func (ptr *QPictureIO) __outputFormats_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__outputFormats_atList", i}).(*core.QByteArray)
}

func (ptr *QPictureIO) __outputFormats_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__outputFormats_setList", i})
}

func (ptr *QPictureIO) __outputFormats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__outputFormats_newList"}).(unsafe.Pointer)
}

type QPixelFormat struct {
	internal.Internal
}

type QPixelFormat_ITF interface {
	QPixelFormat_PTR() *QPixelFormat
}

func (ptr *QPixelFormat) QPixelFormat_PTR() *QPixelFormat {
	return ptr
}

func (ptr *QPixelFormat) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPixelFormat) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPixelFormat(ptr QPixelFormat_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPixelFormat_PTR().Pointer()
	}
	return nil
}

func (n *QPixelFormat) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPixelFormatFromPointer(ptr unsafe.Pointer) (n *QPixelFormat) {
	n = new(QPixelFormat)
	n.InitFromInternal(uintptr(ptr), "gui.QPixelFormat")
	return
}

func (ptr *QPixelFormat) DestroyQPixelFormat() {
}

//go:generate stringer -type=QPixelFormat__ColorModel
//QPixelFormat::ColorModel
type QPixelFormat__ColorModel int64

const (
	QPixelFormat__RGB       QPixelFormat__ColorModel = QPixelFormat__ColorModel(0)
	QPixelFormat__BGR       QPixelFormat__ColorModel = QPixelFormat__ColorModel(1)
	QPixelFormat__Indexed   QPixelFormat__ColorModel = QPixelFormat__ColorModel(2)
	QPixelFormat__Grayscale QPixelFormat__ColorModel = QPixelFormat__ColorModel(3)
	QPixelFormat__CMYK      QPixelFormat__ColorModel = QPixelFormat__ColorModel(4)
	QPixelFormat__HSL       QPixelFormat__ColorModel = QPixelFormat__ColorModel(5)
	QPixelFormat__HSV       QPixelFormat__ColorModel = QPixelFormat__ColorModel(6)
	QPixelFormat__YUV       QPixelFormat__ColorModel = QPixelFormat__ColorModel(7)
	QPixelFormat__Alpha     QPixelFormat__ColorModel = QPixelFormat__ColorModel(8)
)

//go:generate stringer -type=QPixelFormat__AlphaUsage
//QPixelFormat::AlphaUsage
type QPixelFormat__AlphaUsage int64

const (
	QPixelFormat__UsesAlpha    QPixelFormat__AlphaUsage = QPixelFormat__AlphaUsage(0)
	QPixelFormat__IgnoresAlpha QPixelFormat__AlphaUsage = QPixelFormat__AlphaUsage(1)
)

//go:generate stringer -type=QPixelFormat__AlphaPosition
//QPixelFormat::AlphaPosition
type QPixelFormat__AlphaPosition int64

const (
	QPixelFormat__AtBeginning QPixelFormat__AlphaPosition = QPixelFormat__AlphaPosition(0)
	QPixelFormat__AtEnd       QPixelFormat__AlphaPosition = QPixelFormat__AlphaPosition(1)
)

//go:generate stringer -type=QPixelFormat__AlphaPremultiplied
//QPixelFormat::AlphaPremultiplied
type QPixelFormat__AlphaPremultiplied int64

const (
	QPixelFormat__NotPremultiplied QPixelFormat__AlphaPremultiplied = QPixelFormat__AlphaPremultiplied(0)
	QPixelFormat__Premultiplied    QPixelFormat__AlphaPremultiplied = QPixelFormat__AlphaPremultiplied(1)
)

//go:generate stringer -type=QPixelFormat__TypeInterpretation
//QPixelFormat::TypeInterpretation
type QPixelFormat__TypeInterpretation int64

const (
	QPixelFormat__UnsignedInteger QPixelFormat__TypeInterpretation = QPixelFormat__TypeInterpretation(0)
	QPixelFormat__UnsignedShort   QPixelFormat__TypeInterpretation = QPixelFormat__TypeInterpretation(1)
	QPixelFormat__UnsignedByte    QPixelFormat__TypeInterpretation = QPixelFormat__TypeInterpretation(2)
	QPixelFormat__FloatingPoint   QPixelFormat__TypeInterpretation = QPixelFormat__TypeInterpretation(3)
)

//go:generate stringer -type=QPixelFormat__YUVLayout
//QPixelFormat::YUVLayout
type QPixelFormat__YUVLayout int64

const (
	QPixelFormat__YUV444   QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(0)
	QPixelFormat__YUV422   QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(1)
	QPixelFormat__YUV411   QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(2)
	QPixelFormat__YUV420P  QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(3)
	QPixelFormat__YUV420SP QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(4)
	QPixelFormat__YV12     QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(5)
	QPixelFormat__UYVY     QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(6)
	QPixelFormat__YUYV     QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(7)
	QPixelFormat__NV12     QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(8)
	QPixelFormat__NV21     QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(9)
	QPixelFormat__IMC1     QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(10)
	QPixelFormat__IMC2     QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(11)
	QPixelFormat__IMC3     QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(12)
	QPixelFormat__IMC4     QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(13)
	QPixelFormat__Y8       QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(14)
	QPixelFormat__Y16      QPixelFormat__YUVLayout = QPixelFormat__YUVLayout(15)
)

//go:generate stringer -type=QPixelFormat__ByteOrder
//QPixelFormat::ByteOrder
type QPixelFormat__ByteOrder int64

const (
	QPixelFormat__LittleEndian        QPixelFormat__ByteOrder = QPixelFormat__ByteOrder(0)
	QPixelFormat__BigEndian           QPixelFormat__ByteOrder = QPixelFormat__ByteOrder(1)
	QPixelFormat__CurrentSystemEndian QPixelFormat__ByteOrder = QPixelFormat__ByteOrder(2)
)

func NewQPixelFormat() *QPixelFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPixelFormat", ""}).(*QPixelFormat)
}

func NewQPixelFormat2(colorModel QPixelFormat__ColorModel, firstSize string, secondSize string, thirdSize string, fourthSize string, fifthSize string, alphaSize string, alphaUsage QPixelFormat__AlphaUsage, alphaPosition QPixelFormat__AlphaPosition, premultiplied QPixelFormat__AlphaPremultiplied, typeInterpretation QPixelFormat__TypeInterpretation, byteOrder QPixelFormat__ByteOrder, subEnum string) *QPixelFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPixelFormat2", "", colorModel, firstSize, secondSize, thirdSize, fourthSize, fifthSize, alphaSize, alphaUsage, alphaPosition, premultiplied, typeInterpretation, byteOrder, subEnum}).(*QPixelFormat)
}

func (ptr *QPixelFormat) AlphaPosition() QPixelFormat__AlphaPosition {

	return QPixelFormat__AlphaPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AlphaPosition"}).(float64))
}

func (ptr *QPixelFormat) AlphaSize() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AlphaSize"}).(string)
}

func (ptr *QPixelFormat) AlphaUsage() QPixelFormat__AlphaUsage {

	return QPixelFormat__AlphaUsage(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AlphaUsage"}).(float64))
}

func (ptr *QPixelFormat) BitsPerPixel() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BitsPerPixel"}).(string)
}

func (ptr *QPixelFormat) BlackSize() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlackSize"}).(string)
}

func (ptr *QPixelFormat) BlueSize() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlueSize"}).(string)
}

func (ptr *QPixelFormat) BrightnessSize() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BrightnessSize"}).(string)
}

func (ptr *QPixelFormat) ByteOrder() QPixelFormat__ByteOrder {

	return QPixelFormat__ByteOrder(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ByteOrder"}).(float64))
}

func (ptr *QPixelFormat) ChannelCount() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChannelCount"}).(string)
}

func (ptr *QPixelFormat) ColorModel() QPixelFormat__ColorModel {

	return QPixelFormat__ColorModel(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColorModel"}).(float64))
}

func (ptr *QPixelFormat) CyanSize() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CyanSize"}).(string)
}

func (ptr *QPixelFormat) GreenSize() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GreenSize"}).(string)
}

func (ptr *QPixelFormat) HueSize() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HueSize"}).(string)
}

func (ptr *QPixelFormat) LightnessSize() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LightnessSize"}).(string)
}

func (ptr *QPixelFormat) MagentaSize() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MagentaSize"}).(string)
}

func (ptr *QPixelFormat) Premultiplied() QPixelFormat__AlphaPremultiplied {

	return QPixelFormat__AlphaPremultiplied(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Premultiplied"}).(float64))
}

func (ptr *QPixelFormat) RedSize() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedSize"}).(string)
}

func (ptr *QPixelFormat) SaturationSize() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SaturationSize"}).(string)
}

func (ptr *QPixelFormat) TypeInterpretation() QPixelFormat__TypeInterpretation {

	return QPixelFormat__TypeInterpretation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TypeInterpretation"}).(float64))
}

func (ptr *QPixelFormat) YellowSize() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "YellowSize"}).(string)
}

func (ptr *QPixelFormat) YuvLayout() QPixelFormat__YUVLayout {

	return QPixelFormat__YUVLayout(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "YuvLayout"}).(float64))
}

type QPixmap struct {
	QPaintDevice
}

type QPixmap_ITF interface {
	QPaintDevice_ITF
	QPixmap_PTR() *QPixmap
}

func (ptr *QPixmap) QPixmap_PTR() *QPixmap {
	return ptr
}

func (ptr *QPixmap) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QPaintDevice_PTR().Pointer()
	}
	return nil
}

func (ptr *QPixmap) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QPaintDevice_PTR().SetPointer(p)
	}
}

func PointerFromQPixmap(ptr QPixmap_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPixmap_PTR().Pointer()
	}
	return nil
}

func (n *QPixmap) InitFromInternal(ptr uintptr, name string) {
	n.QPaintDevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPixmap) ClassNameInternalF() string {
	return n.QPaintDevice_PTR().ClassNameInternalF()
}

func NewQPixmapFromPointer(ptr unsafe.Pointer) (n *QPixmap) {
	n = new(QPixmap)
	n.InitFromInternal(uintptr(ptr), "gui.QPixmap")
	return
}
func NewQPixmap() *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPixmap", ""}).(*QPixmap)
}

func NewQPixmap2(size core.QSize_ITF) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPixmap2", "", size}).(*QPixmap)
}

func NewQPixmap3(fileName string, format string, flags core.Qt__ImageConversionFlag) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPixmap3", "", fileName, format, flags}).(*QPixmap)
}

func NewQPixmap5(pixmap QPixmap_ITF) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPixmap5", "", pixmap}).(*QPixmap)
}

func (ptr *QPixmap) CacheKey() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CacheKey"}).(float64))
}

func (ptr *QPixmap) ConvertFromImage(image QImage_ITF, flags core.Qt__ImageConversionFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConvertFromImage", image, flags}).(bool)
}

func (ptr *QPixmap) Copy(rectangle core.QRect_ITF) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Copy", rectangle}).(*QPixmap)
}

func (ptr *QPixmap) Copy2(x int, y int, width int, height int) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Copy2", x, y, width, height}).(*QPixmap)
}

func (ptr *QPixmap) CreateHeuristicMask(clipTight bool) *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateHeuristicMask", clipTight}).(*QBitmap)
}

func (ptr *QPixmap) CreateMaskFromColor(maskColor QColor_ITF, mode core.Qt__MaskMode) *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateMaskFromColor", maskColor, mode}).(*QBitmap)
}

func QPixmap_DefaultDepth() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmap_DefaultDepth", ""}).(float64))
}

func (ptr *QPixmap) DefaultDepth() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmap_DefaultDepth", ""}).(float64))
}

func (ptr *QPixmap) Detach() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Detach"})
}

func (ptr *QPixmap) DevicePixelRatio() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DevicePixelRatio"}).(float64)
}

func (ptr *QPixmap) Fill(color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Fill", color})
}

func QPixmap_FromImage(image QImage_ITF, flags core.Qt__ImageConversionFlag) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmap_FromImage", "", image, flags}).(*QPixmap)
}

func (ptr *QPixmap) FromImage(image QImage_ITF, flags core.Qt__ImageConversionFlag) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmap_FromImage", "", image, flags}).(*QPixmap)
}

func QPixmap_FromImage2(image QImage_ITF, flags core.Qt__ImageConversionFlag) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmap_FromImage2", "", image, flags}).(*QPixmap)
}

func (ptr *QPixmap) FromImage2(image QImage_ITF, flags core.Qt__ImageConversionFlag) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmap_FromImage2", "", image, flags}).(*QPixmap)
}

func QPixmap_FromImageReader(imageReader QImageReader_ITF, flags core.Qt__ImageConversionFlag) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmap_FromImageReader", "", imageReader, flags}).(*QPixmap)
}

func (ptr *QPixmap) FromImageReader(imageReader QImageReader_ITF, flags core.Qt__ImageConversionFlag) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmap_FromImageReader", "", imageReader, flags}).(*QPixmap)
}

func (ptr *QPixmap) HasAlpha() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasAlpha"}).(bool)
}

func (ptr *QPixmap) HasAlphaChannel() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasAlphaChannel"}).(bool)
}

func (ptr *QPixmap) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QPixmap) IsQBitmap() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsQBitmap"}).(bool)
}

func (ptr *QPixmap) Load(fileName string, format string, flags core.Qt__ImageConversionFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Load", fileName, format, flags}).(bool)
}

func (ptr *QPixmap) LoadFromData(data []byte, l uint, format string, flags core.Qt__ImageConversionFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadFromData", data, l, format, flags}).(bool)
}

func (ptr *QPixmap) LoadFromData2(data core.QByteArray_ITF, format string, flags core.Qt__ImageConversionFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadFromData2", data, format, flags}).(bool)
}

func (ptr *QPixmap) Mask() *QBitmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mask"}).(*QBitmap)
}

func (ptr *QPixmap) Rect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rect"}).(*core.QRect)
}

func (ptr *QPixmap) Save(fileName string, format string, quality int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Save", fileName, format, quality}).(bool)
}

func (ptr *QPixmap) Save2(device core.QIODevice_ITF, format string, quality int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Save2", device, format, quality}).(bool)
}

func (ptr *QPixmap) Scaled(size core.QSize_ITF, aspectRatioMode core.Qt__AspectRatioMode, transformMode core.Qt__TransformationMode) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scaled", size, aspectRatioMode, transformMode}).(*QPixmap)
}

func (ptr *QPixmap) Scaled2(width int, height int, aspectRatioMode core.Qt__AspectRatioMode, transformMode core.Qt__TransformationMode) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scaled2", width, height, aspectRatioMode, transformMode}).(*QPixmap)
}

func (ptr *QPixmap) ScaledToHeight(height int, mode core.Qt__TransformationMode) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScaledToHeight", height, mode}).(*QPixmap)
}

func (ptr *QPixmap) ScaledToWidth(width int, mode core.Qt__TransformationMode) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScaledToWidth", width, mode}).(*QPixmap)
}

func (ptr *QPixmap) Scroll(dx int, dy int, x int, y int, width int, height int, exposed QRegion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scroll", dx, dy, x, y, width, height, exposed})
}

func (ptr *QPixmap) Scroll2(dx int, dy int, rect core.QRect_ITF, exposed QRegion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scroll2", dx, dy, rect, exposed})
}

func (ptr *QPixmap) SetDevicePixelRatio(scaleFactor float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDevicePixelRatio", scaleFactor})
}

func (ptr *QPixmap) SetMask(mask QBitmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMask", mask})
}

func (ptr *QPixmap) Size() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(*core.QSize)
}

func (ptr *QPixmap) Swap(other QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QPixmap) ToImage() *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToImage"}).(*QImage)
}

func (ptr *QPixmap) Transformed(transform QTransform_ITF, mode core.Qt__TransformationMode) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transformed", transform, mode}).(*QPixmap)
}

func (ptr *QPixmap) Transformed2(matrix QMatrix_ITF, mode core.Qt__TransformationMode) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transformed2", matrix, mode}).(*QPixmap)
}

func QPixmap_TrueMatrix(matrix QTransform_ITF, width int, height int) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmap_TrueMatrix", "", matrix, width, height}).(*QTransform)
}

func (ptr *QPixmap) TrueMatrix(matrix QTransform_ITF, width int, height int) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmap_TrueMatrix", "", matrix, width, height}).(*QTransform)
}

func QPixmap_TrueMatrix2(m QMatrix_ITF, w int, h int) *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmap_TrueMatrix2", "", m, w, h}).(*QMatrix)
}

func (ptr *QPixmap) TrueMatrix2(m QMatrix_ITF, w int, h int) *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmap_TrueMatrix2", "", m, w, h}).(*QMatrix)
}

func (ptr *QPixmap) ConnectDestroyQPixmap(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQPixmap", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPixmap) DisconnectDestroyQPixmap() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQPixmap"})
}

func (ptr *QPixmap) DestroyQPixmap() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPixmap"})
}

func (ptr *QPixmap) DestroyQPixmapDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPixmapDefault"})
}

func (ptr *QPixmap) ToVariant() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVariant"}).(*core.QVariant)
}

func (ptr *QPixmap) PaintEngine() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEngine"}).(*QPaintEngine)
}

func (ptr *QPixmap) PaintEngineDefault() *QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEngineDefault"}).(*QPaintEngine)
}

type QPixmapCache struct {
	internal.Internal
}

type QPixmapCache_ITF interface {
	QPixmapCache_PTR() *QPixmapCache
}

func (ptr *QPixmapCache) QPixmapCache_PTR() *QPixmapCache {
	return ptr
}

func (ptr *QPixmapCache) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPixmapCache) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPixmapCache(ptr QPixmapCache_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPixmapCache_PTR().Pointer()
	}
	return nil
}

func (n *QPixmapCache) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPixmapCacheFromPointer(ptr unsafe.Pointer) (n *QPixmapCache) {
	n = new(QPixmapCache)
	n.InitFromInternal(uintptr(ptr), "gui.QPixmapCache")
	return
}

func (ptr *QPixmapCache) DestroyQPixmapCache() {
}

func QPixmapCache_CacheLimit() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmapCache_CacheLimit", ""}).(float64))
}

func (ptr *QPixmapCache) CacheLimit() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmapCache_CacheLimit", ""}).(float64))
}

func QPixmapCache_Clear() {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmapCache_Clear", ""})
}

func (ptr *QPixmapCache) Clear() {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmapCache_Clear", ""})
}

func QPixmapCache_Find3(key string, pixmap QPixmap_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmapCache_Find3", "", key, pixmap}).(bool)
}

func (ptr *QPixmapCache) Find3(key string, pixmap QPixmap_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmapCache_Find3", "", key, pixmap}).(bool)
}

func QPixmapCache_Insert(key string, pixmap QPixmap_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmapCache_Insert", "", key, pixmap}).(bool)
}

func (ptr *QPixmapCache) Insert(key string, pixmap QPixmap_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmapCache_Insert", "", key, pixmap}).(bool)
}

func QPixmapCache_Remove(key string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmapCache_Remove", "", key})
}

func (ptr *QPixmapCache) Remove(key string) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmapCache_Remove", "", key})
}

func QPixmapCache_SetCacheLimit(n int) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmapCache_SetCacheLimit", "", n})
}

func (ptr *QPixmapCache) SetCacheLimit(n int) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QPixmapCache_SetCacheLimit", "", n})
}

type QPlatformDragQtResponse struct {
	QPlatformDropQtResponse
}

type QPlatformDragQtResponse_ITF interface {
	QPlatformDropQtResponse_ITF
	QPlatformDragQtResponse_PTR() *QPlatformDragQtResponse
}

func (ptr *QPlatformDragQtResponse) QPlatformDragQtResponse_PTR() *QPlatformDragQtResponse {
	return ptr
}

func (ptr *QPlatformDragQtResponse) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QPlatformDropQtResponse_PTR().Pointer()
	}
	return nil
}

func (ptr *QPlatformDragQtResponse) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QPlatformDropQtResponse_PTR().SetPointer(p)
	}
}

func PointerFromQPlatformDragQtResponse(ptr QPlatformDragQtResponse_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPlatformDragQtResponse_PTR().Pointer()
	}
	return nil
}

func (n *QPlatformDragQtResponse) InitFromInternal(ptr uintptr, name string) {
	n.QPlatformDropQtResponse_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPlatformDragQtResponse) ClassNameInternalF() string {
	return n.QPlatformDropQtResponse_PTR().ClassNameInternalF()
}

func NewQPlatformDragQtResponseFromPointer(ptr unsafe.Pointer) (n *QPlatformDragQtResponse) {
	n = new(QPlatformDragQtResponse)
	n.InitFromInternal(uintptr(ptr), "gui.QPlatformDragQtResponse")
	return
}

func (ptr *QPlatformDragQtResponse) DestroyQPlatformDragQtResponse() {
}

type QPlatformDropQtResponse struct {
	internal.Internal
}

type QPlatformDropQtResponse_ITF interface {
	QPlatformDropQtResponse_PTR() *QPlatformDropQtResponse
}

func (ptr *QPlatformDropQtResponse) QPlatformDropQtResponse_PTR() *QPlatformDropQtResponse {
	return ptr
}

func (ptr *QPlatformDropQtResponse) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPlatformDropQtResponse) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPlatformDropQtResponse(ptr QPlatformDropQtResponse_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPlatformDropQtResponse_PTR().Pointer()
	}
	return nil
}

func (n *QPlatformDropQtResponse) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPlatformDropQtResponseFromPointer(ptr unsafe.Pointer) (n *QPlatformDropQtResponse) {
	n = new(QPlatformDropQtResponse)
	n.InitFromInternal(uintptr(ptr), "gui.QPlatformDropQtResponse")
	return
}

func (ptr *QPlatformDropQtResponse) DestroyQPlatformDropQtResponse() {
}

type QPlatformIntegrationPlugin struct {
	core.QObject
}

type QPlatformIntegrationPlugin_ITF interface {
	core.QObject_ITF
	QPlatformIntegrationPlugin_PTR() *QPlatformIntegrationPlugin
}

func (ptr *QPlatformIntegrationPlugin) QPlatformIntegrationPlugin_PTR() *QPlatformIntegrationPlugin {
	return ptr
}

func (ptr *QPlatformIntegrationPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QPlatformIntegrationPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQPlatformIntegrationPlugin(ptr QPlatformIntegrationPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPlatformIntegrationPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QPlatformIntegrationPlugin) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPlatformIntegrationPlugin) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQPlatformIntegrationPluginFromPointer(ptr unsafe.Pointer) (n *QPlatformIntegrationPlugin) {
	n = new(QPlatformIntegrationPlugin)
	n.InitFromInternal(uintptr(ptr), "gui.QPlatformIntegrationPlugin")
	return
}

func (ptr *QPlatformIntegrationPlugin) DestroyQPlatformIntegrationPlugin() {
}

type QPlatformMenu struct {
	core.QObject
}

type QPlatformMenu_ITF interface {
	core.QObject_ITF
	QPlatformMenu_PTR() *QPlatformMenu
}

func (ptr *QPlatformMenu) QPlatformMenu_PTR() *QPlatformMenu {
	return ptr
}

func (ptr *QPlatformMenu) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QPlatformMenu) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQPlatformMenu(ptr QPlatformMenu_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPlatformMenu_PTR().Pointer()
	}
	return nil
}

func (n *QPlatformMenu) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPlatformMenu) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQPlatformMenuFromPointer(ptr unsafe.Pointer) (n *QPlatformMenu) {
	n = new(QPlatformMenu)
	n.InitFromInternal(uintptr(ptr), "gui.QPlatformMenu")
	return
}

func (ptr *QPlatformMenu) DestroyQPlatformMenu() {
}

type QPlatformMenuBar struct {
	core.QObject
}

type QPlatformMenuBar_ITF interface {
	core.QObject_ITF
	QPlatformMenuBar_PTR() *QPlatformMenuBar
}

func (ptr *QPlatformMenuBar) QPlatformMenuBar_PTR() *QPlatformMenuBar {
	return ptr
}

func (ptr *QPlatformMenuBar) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QPlatformMenuBar) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQPlatformMenuBar(ptr QPlatformMenuBar_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPlatformMenuBar_PTR().Pointer()
	}
	return nil
}

func (n *QPlatformMenuBar) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPlatformMenuBar) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQPlatformMenuBarFromPointer(ptr unsafe.Pointer) (n *QPlatformMenuBar) {
	n = new(QPlatformMenuBar)
	n.InitFromInternal(uintptr(ptr), "gui.QPlatformMenuBar")
	return
}

func (ptr *QPlatformMenuBar) DestroyQPlatformMenuBar() {
}

type QPlatformMenuItem struct {
	core.QObject
}

type QPlatformMenuItem_ITF interface {
	core.QObject_ITF
	QPlatformMenuItem_PTR() *QPlatformMenuItem
}

func (ptr *QPlatformMenuItem) QPlatformMenuItem_PTR() *QPlatformMenuItem {
	return ptr
}

func (ptr *QPlatformMenuItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QPlatformMenuItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQPlatformMenuItem(ptr QPlatformMenuItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPlatformMenuItem_PTR().Pointer()
	}
	return nil
}

func (n *QPlatformMenuItem) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPlatformMenuItem) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQPlatformMenuItemFromPointer(ptr unsafe.Pointer) (n *QPlatformMenuItem) {
	n = new(QPlatformMenuItem)
	n.InitFromInternal(uintptr(ptr), "gui.QPlatformMenuItem")
	return
}

func (ptr *QPlatformMenuItem) DestroyQPlatformMenuItem() {
}

type QPlatformOffscreenSurface struct {
	internal.Internal
}

type QPlatformOffscreenSurface_ITF interface {
	QPlatformOffscreenSurface_PTR() *QPlatformOffscreenSurface
}

func (ptr *QPlatformOffscreenSurface) QPlatformOffscreenSurface_PTR() *QPlatformOffscreenSurface {
	return ptr
}

func (ptr *QPlatformOffscreenSurface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPlatformOffscreenSurface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPlatformOffscreenSurface(ptr QPlatformOffscreenSurface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPlatformOffscreenSurface_PTR().Pointer()
	}
	return nil
}

func (n *QPlatformOffscreenSurface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPlatformOffscreenSurfaceFromPointer(ptr unsafe.Pointer) (n *QPlatformOffscreenSurface) {
	n = new(QPlatformOffscreenSurface)
	n.InitFromInternal(uintptr(ptr), "gui.QPlatformOffscreenSurface")
	return
}

func (ptr *QPlatformOffscreenSurface) DestroyQPlatformOffscreenSurface() {
}

type QPlatformSessionManager struct {
	internal.Internal
}

type QPlatformSessionManager_ITF interface {
	QPlatformSessionManager_PTR() *QPlatformSessionManager
}

func (ptr *QPlatformSessionManager) QPlatformSessionManager_PTR() *QPlatformSessionManager {
	return ptr
}

func (ptr *QPlatformSessionManager) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPlatformSessionManager) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPlatformSessionManager(ptr QPlatformSessionManager_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPlatformSessionManager_PTR().Pointer()
	}
	return nil
}

func (n *QPlatformSessionManager) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPlatformSessionManagerFromPointer(ptr unsafe.Pointer) (n *QPlatformSessionManager) {
	n = new(QPlatformSessionManager)
	n.InitFromInternal(uintptr(ptr), "gui.QPlatformSessionManager")
	return
}

func (ptr *QPlatformSessionManager) DestroyQPlatformSessionManager() {
}

type QPlatformSurfaceEvent struct {
	core.QEvent
}

type QPlatformSurfaceEvent_ITF interface {
	core.QEvent_ITF
	QPlatformSurfaceEvent_PTR() *QPlatformSurfaceEvent
}

func (ptr *QPlatformSurfaceEvent) QPlatformSurfaceEvent_PTR() *QPlatformSurfaceEvent {
	return ptr
}

func (ptr *QPlatformSurfaceEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QPlatformSurfaceEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQPlatformSurfaceEvent(ptr QPlatformSurfaceEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPlatformSurfaceEvent_PTR().Pointer()
	}
	return nil
}

func (n *QPlatformSurfaceEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPlatformSurfaceEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQPlatformSurfaceEventFromPointer(ptr unsafe.Pointer) (n *QPlatformSurfaceEvent) {
	n = new(QPlatformSurfaceEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QPlatformSurfaceEvent")
	return
}

func (ptr *QPlatformSurfaceEvent) DestroyQPlatformSurfaceEvent() {
}

//go:generate stringer -type=QPlatformSurfaceEvent__SurfaceEventType
//QPlatformSurfaceEvent::SurfaceEventType
type QPlatformSurfaceEvent__SurfaceEventType int64

const (
	QPlatformSurfaceEvent__SurfaceCreated            QPlatformSurfaceEvent__SurfaceEventType = QPlatformSurfaceEvent__SurfaceEventType(0)
	QPlatformSurfaceEvent__SurfaceAboutToBeDestroyed QPlatformSurfaceEvent__SurfaceEventType = QPlatformSurfaceEvent__SurfaceEventType(1)
)

func NewQPlatformSurfaceEvent(surfaceEventType QPlatformSurfaceEvent__SurfaceEventType) *QPlatformSurfaceEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPlatformSurfaceEvent", "", surfaceEventType}).(*QPlatformSurfaceEvent)
}

func (ptr *QPlatformSurfaceEvent) SurfaceEventType() QPlatformSurfaceEvent__SurfaceEventType {

	return QPlatformSurfaceEvent__SurfaceEventType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SurfaceEventType"}).(float64))
}

type QPlatformTextureList struct {
	core.QObject
}

type QPlatformTextureList_ITF interface {
	core.QObject_ITF
	QPlatformTextureList_PTR() *QPlatformTextureList
}

func (ptr *QPlatformTextureList) QPlatformTextureList_PTR() *QPlatformTextureList {
	return ptr
}

func (ptr *QPlatformTextureList) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QPlatformTextureList) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQPlatformTextureList(ptr QPlatformTextureList_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPlatformTextureList_PTR().Pointer()
	}
	return nil
}

func (n *QPlatformTextureList) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPlatformTextureList) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQPlatformTextureListFromPointer(ptr unsafe.Pointer) (n *QPlatformTextureList) {
	n = new(QPlatformTextureList)
	n.InitFromInternal(uintptr(ptr), "gui.QPlatformTextureList")
	return
}

func (ptr *QPlatformTextureList) DestroyQPlatformTextureList() {
}

type QPointingDeviceUniqueId struct {
	internal.Internal
}

type QPointingDeviceUniqueId_ITF interface {
	QPointingDeviceUniqueId_PTR() *QPointingDeviceUniqueId
}

func (ptr *QPointingDeviceUniqueId) QPointingDeviceUniqueId_PTR() *QPointingDeviceUniqueId {
	return ptr
}

func (ptr *QPointingDeviceUniqueId) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QPointingDeviceUniqueId) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQPointingDeviceUniqueId(ptr QPointingDeviceUniqueId_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPointingDeviceUniqueId_PTR().Pointer()
	}
	return nil
}

func (n *QPointingDeviceUniqueId) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQPointingDeviceUniqueIdFromPointer(ptr unsafe.Pointer) (n *QPointingDeviceUniqueId) {
	n = new(QPointingDeviceUniqueId)
	n.InitFromInternal(uintptr(ptr), "gui.QPointingDeviceUniqueId")
	return
}

func (ptr *QPointingDeviceUniqueId) DestroyQPointingDeviceUniqueId() {
}

func NewQPointingDeviceUniqueId() *QPointingDeviceUniqueId {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPointingDeviceUniqueId", ""}).(*QPointingDeviceUniqueId)
}

func QPointingDeviceUniqueId_FromNumericId(id int64) *QPointingDeviceUniqueId {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPointingDeviceUniqueId_FromNumericId", "", id}).(*QPointingDeviceUniqueId)
}

func (ptr *QPointingDeviceUniqueId) FromNumericId(id int64) *QPointingDeviceUniqueId {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QPointingDeviceUniqueId_FromNumericId", "", id}).(*QPointingDeviceUniqueId)
}

func (ptr *QPointingDeviceUniqueId) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QPointingDeviceUniqueId) NumericId() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NumericId"}).(float64))
}

type QPolygon struct {
	core.QVector
}

type QPolygon_ITF interface {
	core.QVector_ITF
	QPolygon_PTR() *QPolygon
}

func (ptr *QPolygon) QPolygon_PTR() *QPolygon {
	return ptr
}

func (ptr *QPolygon) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVector_PTR().Pointer()
	}
	return nil
}

func (ptr *QPolygon) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVector_PTR().SetPointer(p)
	}
}

func PointerFromQPolygon(ptr QPolygon_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPolygon_PTR().Pointer()
	}
	return nil
}

func (n *QPolygon) InitFromInternal(ptr uintptr, name string) {
	n.QVector_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPolygon) ClassNameInternalF() string {
	return n.QVector_PTR().ClassNameInternalF()
}

func NewQPolygonFromPointer(ptr unsafe.Pointer) (n *QPolygon) {
	n = new(QPolygon)
	n.InitFromInternal(uintptr(ptr), "gui.QPolygon")
	return
}
func NewQPolygon() *QPolygon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPolygon", ""}).(*QPolygon)
}

func NewQPolygon2(size int) *QPolygon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPolygon2", "", size}).(*QPolygon)
}

func NewQPolygon3(points []*core.QPoint) *QPolygon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPolygon3", "", points}).(*QPolygon)
}

func NewQPolygon5(rectangle core.QRect_ITF, closed bool) *QPolygon {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPolygon5", "", rectangle, closed}).(*QPolygon)
}

func (ptr *QPolygon) BoundingRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRect)
}

func (ptr *QPolygon) ContainsPoint(point core.QPoint_ITF, fillRule core.Qt__FillRule) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContainsPoint", point, fillRule}).(bool)
}

func (ptr *QPolygon) Intersected(r QPolygon_ITF) *QPolygon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersected", r}).(*QPolygon)
}

func (ptr *QPolygon) Intersects(p QPolygon_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersects", p}).(bool)
}

func (ptr *QPolygon) Point(index int, x int, y int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Point", index, x, y})
}

func (ptr *QPolygon) Point2(index int) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Point2", index}).(*core.QPoint)
}

func (ptr *QPolygon) PutPoints(index int, nPoints int, fromPolygon QPolygon_ITF, fromIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PutPoints", index, nPoints, fromPolygon, fromIndex})
}

func (ptr *QPolygon) SetPoint(index int, x int, y int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPoint", index, x, y})
}

func (ptr *QPolygon) SetPoint2(index int, point core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPoint2", index, point})
}

func (ptr *QPolygon) SetPoints(nPoints int, points int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPoints", nPoints, points})
}

func (ptr *QPolygon) Subtracted(r QPolygon_ITF) *QPolygon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Subtracted", r}).(*QPolygon)
}

func (ptr *QPolygon) Swap(other QPolygon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QPolygon) Translate(dx int, dy int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate", dx, dy})
}

func (ptr *QPolygon) Translate2(offset core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate2", offset})
}

func (ptr *QPolygon) Translated(dx int, dy int) *QPolygon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated", dx, dy}).(*QPolygon)
}

func (ptr *QPolygon) Translated2(offset core.QPoint_ITF) *QPolygon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated2", offset}).(*QPolygon)
}

func (ptr *QPolygon) United(r QPolygon_ITF) *QPolygon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "United", r}).(*QPolygon)
}

func (ptr *QPolygon) DestroyQPolygon() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPolygon"})
}

func (ptr *QPolygon) __QPolygon_points_atList3(i int) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QPolygon_points_atList3", i}).(*core.QPoint)
}

func (ptr *QPolygon) __QPolygon_points_setList3(i core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QPolygon_points_setList3", i})
}

func (ptr *QPolygon) __QPolygon_points_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QPolygon_points_newList3"}).(unsafe.Pointer)
}

func (ptr *QPolygon) __QPolygon_v_atList4(i int) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QPolygon_v_atList4", i}).(*core.QPoint)
}

func (ptr *QPolygon) __QPolygon_v_setList4(i core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QPolygon_v_setList4", i})
}

func (ptr *QPolygon) __QPolygon_v_newList4() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QPolygon_v_newList4"}).(unsafe.Pointer)
}

func (ptr *QPolygon) __QVector_other_atList4(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVector_other_atList4", i}).(*core.QObject)
}

func (ptr *QPolygon) __QVector_other_setList4(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVector_other_setList4", i})
}

func (ptr *QPolygon) __QVector_other_newList4() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVector_other_newList4"}).(unsafe.Pointer)
}

func (ptr *QPolygon) __QVector_other_atList5(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVector_other_atList5", i}).(*core.QObject)
}

func (ptr *QPolygon) __QVector_other_setList5(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVector_other_setList5", i})
}

func (ptr *QPolygon) __QVector_other_newList5() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVector_other_newList5"}).(unsafe.Pointer)
}

func (ptr *QPolygon) __append_value_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__append_value_atList3", i}).(*core.QObject)
}

func (ptr *QPolygon) __append_value_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__append_value_setList3", i})
}

func (ptr *QPolygon) __append_value_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__append_value_newList3"}).(unsafe.Pointer)
}

func (ptr *QPolygon) __fill_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fill_atList", i}).(*core.QObject)
}

func (ptr *QPolygon) __fill_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fill_setList", i})
}

func (ptr *QPolygon) __fill_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fill_newList"}).(unsafe.Pointer)
}

func (ptr *QPolygon) __fromList_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromList_atList", i}).(*core.QObject)
}

func (ptr *QPolygon) __fromList_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromList_setList", i})
}

func (ptr *QPolygon) __fromList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromList_newList"}).(unsafe.Pointer)
}

func (ptr *QPolygon) __fromList_list_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromList_list_atList", i}).(*core.QObject)
}

func (ptr *QPolygon) __fromList_list_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromList_list_setList", i})
}

func (ptr *QPolygon) __fromList_list_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromList_list_newList"}).(unsafe.Pointer)
}

func (ptr *QPolygon) __fromStdVector_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromStdVector_atList", i}).(*core.QObject)
}

func (ptr *QPolygon) __fromStdVector_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromStdVector_setList", i})
}

func (ptr *QPolygon) __fromStdVector_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromStdVector_newList"}).(unsafe.Pointer)
}

func (ptr *QPolygon) __mid_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mid_atList", i}).(*core.QObject)
}

func (ptr *QPolygon) __mid_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mid_setList", i})
}

func (ptr *QPolygon) __mid_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mid_newList"}).(unsafe.Pointer)
}

func (ptr *QPolygon) __swap_other_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__swap_other_atList", i}).(*core.QObject)
}

func (ptr *QPolygon) __swap_other_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__swap_other_setList", i})
}

func (ptr *QPolygon) __swap_other_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__swap_other_newList"}).(unsafe.Pointer)
}

func (ptr *QPolygon) __toList_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toList_atList", i}).(*core.QObject)
}

func (ptr *QPolygon) __toList_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toList_setList", i})
}

func (ptr *QPolygon) __toList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toList_newList"}).(unsafe.Pointer)
}

type QPolygonF struct {
	core.QVector
}

type QPolygonF_ITF interface {
	core.QVector_ITF
	QPolygonF_PTR() *QPolygonF
}

func (ptr *QPolygonF) QPolygonF_PTR() *QPolygonF {
	return ptr
}

func (ptr *QPolygonF) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVector_PTR().Pointer()
	}
	return nil
}

func (ptr *QPolygonF) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVector_PTR().SetPointer(p)
	}
}

func PointerFromQPolygonF(ptr QPolygonF_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPolygonF_PTR().Pointer()
	}
	return nil
}

func (n *QPolygonF) InitFromInternal(ptr uintptr, name string) {
	n.QVector_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPolygonF) ClassNameInternalF() string {
	return n.QVector_PTR().ClassNameInternalF()
}

func NewQPolygonFFromPointer(ptr unsafe.Pointer) (n *QPolygonF) {
	n = new(QPolygonF)
	n.InitFromInternal(uintptr(ptr), "gui.QPolygonF")
	return
}
func NewQPolygonF() *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPolygonF", ""}).(*QPolygonF)
}

func NewQPolygonF2(size int) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPolygonF2", "", size}).(*QPolygonF)
}

func NewQPolygonF3(points []*core.QPointF) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPolygonF3", "", points}).(*QPolygonF)
}

func NewQPolygonF5(rectangle core.QRectF_ITF) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPolygonF5", "", rectangle}).(*QPolygonF)
}

func NewQPolygonF6(polygon QPolygon_ITF) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPolygonF6", "", polygon}).(*QPolygonF)
}

func NewQPolygonF7(polygon QPolygonF_ITF) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQPolygonF7", "", polygon}).(*QPolygonF)
}

func (ptr *QPolygonF) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QPolygonF) ContainsPoint(point core.QPointF_ITF, fillRule core.Qt__FillRule) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContainsPoint", point, fillRule}).(bool)
}

func (ptr *QPolygonF) Intersected(r QPolygonF_ITF) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersected", r}).(*QPolygonF)
}

func (ptr *QPolygonF) Intersects(p QPolygonF_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersects", p}).(bool)
}

func (ptr *QPolygonF) IsClosed() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsClosed"}).(bool)
}

func (ptr *QPolygonF) Subtracted(r QPolygonF_ITF) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Subtracted", r}).(*QPolygonF)
}

func (ptr *QPolygonF) Swap(other QPolygonF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QPolygonF) ToPolygon() *QPolygon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPolygon"}).(*QPolygon)
}

func (ptr *QPolygonF) Translate(offset core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate", offset})
}

func (ptr *QPolygonF) Translate2(dx float64, dy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate2", dx, dy})
}

func (ptr *QPolygonF) Translated(offset core.QPointF_ITF) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated", offset}).(*QPolygonF)
}

func (ptr *QPolygonF) Translated2(dx float64, dy float64) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated2", dx, dy}).(*QPolygonF)
}

func (ptr *QPolygonF) United(r QPolygonF_ITF) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "United", r}).(*QPolygonF)
}

func (ptr *QPolygonF) DestroyQPolygonF() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPolygonF"})
}

func (ptr *QPolygonF) __QPolygonF_points_atList3(i int) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QPolygonF_points_atList3", i}).(*core.QPointF)
}

func (ptr *QPolygonF) __QPolygonF_points_setList3(i core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QPolygonF_points_setList3", i})
}

func (ptr *QPolygonF) __QPolygonF_points_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QPolygonF_points_newList3"}).(unsafe.Pointer)
}

func (ptr *QPolygonF) __QPolygonF_v_atList4(i int) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QPolygonF_v_atList4", i}).(*core.QPointF)
}

func (ptr *QPolygonF) __QPolygonF_v_setList4(i core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QPolygonF_v_setList4", i})
}

func (ptr *QPolygonF) __QPolygonF_v_newList4() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QPolygonF_v_newList4"}).(unsafe.Pointer)
}

func (ptr *QPolygonF) __QVector_other_atList4(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVector_other_atList4", i}).(*core.QObject)
}

func (ptr *QPolygonF) __QVector_other_setList4(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVector_other_setList4", i})
}

func (ptr *QPolygonF) __QVector_other_newList4() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVector_other_newList4"}).(unsafe.Pointer)
}

func (ptr *QPolygonF) __QVector_other_atList5(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVector_other_atList5", i}).(*core.QObject)
}

func (ptr *QPolygonF) __QVector_other_setList5(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVector_other_setList5", i})
}

func (ptr *QPolygonF) __QVector_other_newList5() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QVector_other_newList5"}).(unsafe.Pointer)
}

func (ptr *QPolygonF) __append_value_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__append_value_atList3", i}).(*core.QObject)
}

func (ptr *QPolygonF) __append_value_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__append_value_setList3", i})
}

func (ptr *QPolygonF) __append_value_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__append_value_newList3"}).(unsafe.Pointer)
}

func (ptr *QPolygonF) __fill_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fill_atList", i}).(*core.QObject)
}

func (ptr *QPolygonF) __fill_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fill_setList", i})
}

func (ptr *QPolygonF) __fill_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fill_newList"}).(unsafe.Pointer)
}

func (ptr *QPolygonF) __fromList_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromList_atList", i}).(*core.QObject)
}

func (ptr *QPolygonF) __fromList_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromList_setList", i})
}

func (ptr *QPolygonF) __fromList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromList_newList"}).(unsafe.Pointer)
}

func (ptr *QPolygonF) __fromList_list_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromList_list_atList", i}).(*core.QObject)
}

func (ptr *QPolygonF) __fromList_list_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromList_list_setList", i})
}

func (ptr *QPolygonF) __fromList_list_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromList_list_newList"}).(unsafe.Pointer)
}

func (ptr *QPolygonF) __fromStdVector_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromStdVector_atList", i}).(*core.QObject)
}

func (ptr *QPolygonF) __fromStdVector_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromStdVector_setList", i})
}

func (ptr *QPolygonF) __fromStdVector_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__fromStdVector_newList"}).(unsafe.Pointer)
}

func (ptr *QPolygonF) __mid_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mid_atList", i}).(*core.QObject)
}

func (ptr *QPolygonF) __mid_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mid_setList", i})
}

func (ptr *QPolygonF) __mid_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mid_newList"}).(unsafe.Pointer)
}

func (ptr *QPolygonF) __swap_other_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__swap_other_atList", i}).(*core.QObject)
}

func (ptr *QPolygonF) __swap_other_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__swap_other_setList", i})
}

func (ptr *QPolygonF) __swap_other_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__swap_other_newList"}).(unsafe.Pointer)
}

func (ptr *QPolygonF) __toList_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toList_atList", i}).(*core.QObject)
}

func (ptr *QPolygonF) __toList_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toList_setList", i})
}

func (ptr *QPolygonF) __toList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__toList_newList"}).(unsafe.Pointer)
}

type QQuaternion struct {
	internal.Internal
}

type QQuaternion_ITF interface {
	QQuaternion_PTR() *QQuaternion
}

func (ptr *QQuaternion) QQuaternion_PTR() *QQuaternion {
	return ptr
}

func (ptr *QQuaternion) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QQuaternion) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQQuaternion(ptr QQuaternion_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QQuaternion_PTR().Pointer()
	}
	return nil
}

func (n *QQuaternion) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQQuaternionFromPointer(ptr unsafe.Pointer) (n *QQuaternion) {
	n = new(QQuaternion)
	n.InitFromInternal(uintptr(ptr), "gui.QQuaternion")
	return
}

func (ptr *QQuaternion) DestroyQQuaternion() {
}

func NewQQuaternion() *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQQuaternion", ""}).(*QQuaternion)
}

func NewQQuaternion3(scalar float32, xpos float32, ypos float32, zpos float32) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQQuaternion3", "", scalar, xpos, ypos, zpos}).(*QQuaternion)
}

func NewQQuaternion4(scalar float32, vector QVector3D_ITF) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQQuaternion4", "", scalar, vector}).(*QQuaternion)
}

func NewQQuaternion5(vector QVector4D_ITF) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQQuaternion5", "", vector}).(*QQuaternion)
}

func (ptr *QQuaternion) Conjugated() *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Conjugated"}).(*QQuaternion)
}

func QQuaternion_DotProduct(q1 QQuaternion_ITF, q2 QQuaternion_ITF) float32 {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_DotProduct", "", q1, q2}).(float32)
}

func (ptr *QQuaternion) DotProduct(q1 QQuaternion_ITF, q2 QQuaternion_ITF) float32 {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_DotProduct", "", q1, q2}).(float32)
}

func QQuaternion_FromAxes(xAxis QVector3D_ITF, yAxis QVector3D_ITF, zAxis QVector3D_ITF) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_FromAxes", "", xAxis, yAxis, zAxis}).(*QQuaternion)
}

func (ptr *QQuaternion) FromAxes(xAxis QVector3D_ITF, yAxis QVector3D_ITF, zAxis QVector3D_ITF) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_FromAxes", "", xAxis, yAxis, zAxis}).(*QQuaternion)
}

func QQuaternion_FromAxisAndAngle(axis QVector3D_ITF, angle float32) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_FromAxisAndAngle", "", axis, angle}).(*QQuaternion)
}

func (ptr *QQuaternion) FromAxisAndAngle(axis QVector3D_ITF, angle float32) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_FromAxisAndAngle", "", axis, angle}).(*QQuaternion)
}

func QQuaternion_FromAxisAndAngle2(x float32, y float32, z float32, angle float32) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_FromAxisAndAngle2", "", x, y, z, angle}).(*QQuaternion)
}

func (ptr *QQuaternion) FromAxisAndAngle2(x float32, y float32, z float32, angle float32) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_FromAxisAndAngle2", "", x, y, z, angle}).(*QQuaternion)
}

func QQuaternion_FromDirection(direction QVector3D_ITF, up QVector3D_ITF) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_FromDirection", "", direction, up}).(*QQuaternion)
}

func (ptr *QQuaternion) FromDirection(direction QVector3D_ITF, up QVector3D_ITF) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_FromDirection", "", direction, up}).(*QQuaternion)
}

func QQuaternion_FromEulerAngles(pitch float32, yaw float32, roll float32) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_FromEulerAngles", "", pitch, yaw, roll}).(*QQuaternion)
}

func (ptr *QQuaternion) FromEulerAngles(pitch float32, yaw float32, roll float32) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_FromEulerAngles", "", pitch, yaw, roll}).(*QQuaternion)
}

func QQuaternion_FromEulerAngles2(eulerAngles QVector3D_ITF) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_FromEulerAngles2", "", eulerAngles}).(*QQuaternion)
}

func (ptr *QQuaternion) FromEulerAngles2(eulerAngles QVector3D_ITF) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_FromEulerAngles2", "", eulerAngles}).(*QQuaternion)
}

func (ptr *QQuaternion) GetAxes(xAxis QVector3D_ITF, yAxis QVector3D_ITF, zAxis QVector3D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetAxes", xAxis, yAxis, zAxis})
}

func (ptr *QQuaternion) GetAxisAndAngle(x float32, y float32, z float32, angle float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetAxisAndAngle", x, y, z, angle})
}

func (ptr *QQuaternion) GetAxisAndAngle2(axis QVector3D_ITF, angle float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetAxisAndAngle2", axis, angle})
}

func (ptr *QQuaternion) GetEulerAngles(pitch float32, yaw float32, roll float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetEulerAngles", pitch, yaw, roll})
}

func (ptr *QQuaternion) Inverted() *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Inverted"}).(*QQuaternion)
}

func (ptr *QQuaternion) IsIdentity() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIdentity"}).(bool)
}

func (ptr *QQuaternion) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QQuaternion) Length() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Length"}).(float32)
}

func (ptr *QQuaternion) LengthSquared() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LengthSquared"}).(float32)
}

func QQuaternion_Nlerp(q1 QQuaternion_ITF, q2 QQuaternion_ITF, t float32) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_Nlerp", "", q1, q2, t}).(*QQuaternion)
}

func (ptr *QQuaternion) Nlerp(q1 QQuaternion_ITF, q2 QQuaternion_ITF, t float32) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_Nlerp", "", q1, q2, t}).(*QQuaternion)
}

func (ptr *QQuaternion) Normalize() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Normalize"})
}

func (ptr *QQuaternion) Normalized() *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Normalized"}).(*QQuaternion)
}

func (ptr *QQuaternion) RotatedVector(vector QVector3D_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RotatedVector", vector}).(*QVector3D)
}

func QQuaternion_RotationTo(from QVector3D_ITF, to QVector3D_ITF) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_RotationTo", "", from, to}).(*QQuaternion)
}

func (ptr *QQuaternion) RotationTo(from QVector3D_ITF, to QVector3D_ITF) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_RotationTo", "", from, to}).(*QQuaternion)
}

func (ptr *QQuaternion) Scalar() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scalar"}).(float32)
}

func (ptr *QQuaternion) SetScalar(scalar float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScalar", scalar})
}

func (ptr *QQuaternion) SetVector(vector QVector3D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVector", vector})
}

func (ptr *QQuaternion) SetVector2(x float32, y float32, z float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVector2", x, y, z})
}

func (ptr *QQuaternion) SetX(x float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetX", x})
}

func (ptr *QQuaternion) SetY(y float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetY", y})
}

func (ptr *QQuaternion) SetZ(z float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetZ", z})
}

func QQuaternion_Slerp(q1 QQuaternion_ITF, q2 QQuaternion_ITF, t float32) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_Slerp", "", q1, q2, t}).(*QQuaternion)
}

func (ptr *QQuaternion) Slerp(q1 QQuaternion_ITF, q2 QQuaternion_ITF, t float32) *QQuaternion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QQuaternion_Slerp", "", q1, q2, t}).(*QQuaternion)
}

func (ptr *QQuaternion) ToEulerAngles() *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToEulerAngles"}).(*QVector3D)
}

func (ptr *QQuaternion) ToVector4D() *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVector4D"}).(*QVector4D)
}

func (ptr *QQuaternion) Vector() *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Vector"}).(*QVector3D)
}

func (ptr *QQuaternion) X() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float32)
}

func (ptr *QQuaternion) Y() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float32)
}

func (ptr *QQuaternion) Z() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Z"}).(float32)
}

type QRadialGradient struct {
	QGradient
}

type QRadialGradient_ITF interface {
	QGradient_ITF
	QRadialGradient_PTR() *QRadialGradient
}

func (ptr *QRadialGradient) QRadialGradient_PTR() *QRadialGradient {
	return ptr
}

func (ptr *QRadialGradient) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGradient_PTR().Pointer()
	}
	return nil
}

func (ptr *QRadialGradient) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGradient_PTR().SetPointer(p)
	}
}

func PointerFromQRadialGradient(ptr QRadialGradient_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRadialGradient_PTR().Pointer()
	}
	return nil
}

func (n *QRadialGradient) InitFromInternal(ptr uintptr, name string) {
	n.QGradient_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QRadialGradient) ClassNameInternalF() string {
	return n.QGradient_PTR().ClassNameInternalF()
}

func NewQRadialGradientFromPointer(ptr unsafe.Pointer) (n *QRadialGradient) {
	n = new(QRadialGradient)
	n.InitFromInternal(uintptr(ptr), "gui.QRadialGradient")
	return
}

func (ptr *QRadialGradient) DestroyQRadialGradient() {
}

func NewQRadialGradient() *QRadialGradient {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRadialGradient", ""}).(*QRadialGradient)
}

func NewQRadialGradient2(center core.QPointF_ITF, radius float64, focalPoint core.QPointF_ITF) *QRadialGradient {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRadialGradient2", "", center, radius, focalPoint}).(*QRadialGradient)
}

func NewQRadialGradient3(cx float64, cy float64, radius float64, fx float64, fy float64) *QRadialGradient {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRadialGradient3", "", cx, cy, radius, fx, fy}).(*QRadialGradient)
}

func NewQRadialGradient4(center core.QPointF_ITF, radius float64) *QRadialGradient {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRadialGradient4", "", center, radius}).(*QRadialGradient)
}

func NewQRadialGradient5(cx float64, cy float64, radius float64) *QRadialGradient {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRadialGradient5", "", cx, cy, radius}).(*QRadialGradient)
}

func NewQRadialGradient6(center core.QPointF_ITF, centerRadius float64, focalPoint core.QPointF_ITF, focalRadius float64) *QRadialGradient {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRadialGradient6", "", center, centerRadius, focalPoint, focalRadius}).(*QRadialGradient)
}

func NewQRadialGradient7(cx float64, cy float64, centerRadius float64, fx float64, fy float64, focalRadius float64) *QRadialGradient {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRadialGradient7", "", cx, cy, centerRadius, fx, fy, focalRadius}).(*QRadialGradient)
}

func (ptr *QRadialGradient) Center() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Center"}).(*core.QPointF)
}

func (ptr *QRadialGradient) CenterRadius() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CenterRadius"}).(float64)
}

func (ptr *QRadialGradient) FocalPoint() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocalPoint"}).(*core.QPointF)
}

func (ptr *QRadialGradient) FocalRadius() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocalRadius"}).(float64)
}

func (ptr *QRadialGradient) Radius() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Radius"}).(float64)
}

func (ptr *QRadialGradient) SetCenter(center core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCenter", center})
}

func (ptr *QRadialGradient) SetCenter2(x float64, y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCenter2", x, y})
}

func (ptr *QRadialGradient) SetCenterRadius(radius float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCenterRadius", radius})
}

func (ptr *QRadialGradient) SetFocalPoint(focalPoint core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFocalPoint", focalPoint})
}

func (ptr *QRadialGradient) SetFocalPoint2(x float64, y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFocalPoint2", x, y})
}

func (ptr *QRadialGradient) SetFocalRadius(radius float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFocalRadius", radius})
}

func (ptr *QRadialGradient) SetRadius(radius float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRadius", radius})
}

type QRasterPaintEngine struct {
	QPaintEngine
}

type QRasterPaintEngine_ITF interface {
	QPaintEngine_ITF
	QRasterPaintEngine_PTR() *QRasterPaintEngine
}

func (ptr *QRasterPaintEngine) QRasterPaintEngine_PTR() *QRasterPaintEngine {
	return ptr
}

func (ptr *QRasterPaintEngine) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QPaintEngine_PTR().Pointer()
	}
	return nil
}

func (ptr *QRasterPaintEngine) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QPaintEngine_PTR().SetPointer(p)
	}
}

func PointerFromQRasterPaintEngine(ptr QRasterPaintEngine_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRasterPaintEngine_PTR().Pointer()
	}
	return nil
}

func (n *QRasterPaintEngine) InitFromInternal(ptr uintptr, name string) {
	n.QPaintEngine_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QRasterPaintEngine) ClassNameInternalF() string {
	return n.QPaintEngine_PTR().ClassNameInternalF()
}

func NewQRasterPaintEngineFromPointer(ptr unsafe.Pointer) (n *QRasterPaintEngine) {
	n = new(QRasterPaintEngine)
	n.InitFromInternal(uintptr(ptr), "gui.QRasterPaintEngine")
	return
}

type QRasterWindow struct {
	QPaintDeviceWindow
}

type QRasterWindow_ITF interface {
	QPaintDeviceWindow_ITF
	QRasterWindow_PTR() *QRasterWindow
}

func (ptr *QRasterWindow) QRasterWindow_PTR() *QRasterWindow {
	return ptr
}

func (ptr *QRasterWindow) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QPaintDeviceWindow_PTR().Pointer()
	}
	return nil
}

func (ptr *QRasterWindow) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QPaintDeviceWindow_PTR().SetPointer(p)
	}
}

func PointerFromQRasterWindow(ptr QRasterWindow_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRasterWindow_PTR().Pointer()
	}
	return nil
}

func (n *QRasterWindow) InitFromInternal(ptr uintptr, name string) {
	n.QPaintDeviceWindow_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QRasterWindow) ClassNameInternalF() string {
	return n.QPaintDeviceWindow_PTR().ClassNameInternalF()
}

func NewQRasterWindowFromPointer(ptr unsafe.Pointer) (n *QRasterWindow) {
	n = new(QRasterWindow)
	n.InitFromInternal(uintptr(ptr), "gui.QRasterWindow")
	return
}

func (ptr *QRasterWindow) DestroyQRasterWindow() {
}

func NewQRasterWindow(parent QWindow_ITF) *QRasterWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRasterWindow", "", parent}).(*QRasterWindow)
}

type QRawFont struct {
	internal.Internal
}

type QRawFont_ITF interface {
	QRawFont_PTR() *QRawFont
}

func (ptr *QRawFont) QRawFont_PTR() *QRawFont {
	return ptr
}

func (ptr *QRawFont) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QRawFont) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQRawFont(ptr QRawFont_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRawFont_PTR().Pointer()
	}
	return nil
}

func (n *QRawFont) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQRawFontFromPointer(ptr unsafe.Pointer) (n *QRawFont) {
	n = new(QRawFont)
	n.InitFromInternal(uintptr(ptr), "gui.QRawFont")
	return
}

//go:generate stringer -type=QRawFont__AntialiasingType
//QRawFont::AntialiasingType
type QRawFont__AntialiasingType int64

const (
	QRawFont__PixelAntialiasing    QRawFont__AntialiasingType = QRawFont__AntialiasingType(0)
	QRawFont__SubPixelAntialiasing QRawFont__AntialiasingType = QRawFont__AntialiasingType(1)
)

//go:generate stringer -type=QRawFont__LayoutFlag
//QRawFont::LayoutFlag
type QRawFont__LayoutFlag int64

const (
	QRawFont__SeparateAdvances QRawFont__LayoutFlag = QRawFont__LayoutFlag(0)
	QRawFont__KernedAdvances   QRawFont__LayoutFlag = QRawFont__LayoutFlag(1)
	QRawFont__UseDesignMetrics QRawFont__LayoutFlag = QRawFont__LayoutFlag(2)
)

func NewQRawFont() *QRawFont {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRawFont", ""}).(*QRawFont)
}

func NewQRawFont2(fileName string, pixelSize float64, hintingPreference QFont__HintingPreference) *QRawFont {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRawFont2", "", fileName, pixelSize, hintingPreference}).(*QRawFont)
}

func NewQRawFont3(fontData core.QByteArray_ITF, pixelSize float64, hintingPreference QFont__HintingPreference) *QRawFont {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRawFont3", "", fontData, pixelSize, hintingPreference}).(*QRawFont)
}

func NewQRawFont4(other QRawFont_ITF) *QRawFont {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRawFont4", "", other}).(*QRawFont)
}

func (ptr *QRawFont) AdvancesForGlyphIndexes(glyphIndexes []uint, layoutFlags QRawFont__LayoutFlag) []*core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AdvancesForGlyphIndexes", glyphIndexes, layoutFlags}).([]*core.QPointF)
}

func (ptr *QRawFont) AdvancesForGlyphIndexes2(glyphIndexes []uint) []*core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AdvancesForGlyphIndexes2", glyphIndexes}).([]*core.QPointF)
}

func (ptr *QRawFont) AdvancesForGlyphIndexes3(glyphIndexes uint, advances core.QPointF_ITF, numGlyphs int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AdvancesForGlyphIndexes3", glyphIndexes, advances, numGlyphs}).(bool)
}

func (ptr *QRawFont) AdvancesForGlyphIndexes4(glyphIndexes uint, advances core.QPointF_ITF, numGlyphs int, layoutFlags QRawFont__LayoutFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AdvancesForGlyphIndexes4", glyphIndexes, advances, numGlyphs, layoutFlags}).(bool)
}

func (ptr *QRawFont) AlphaMapForGlyph(glyphIndex uint, antialiasingType QRawFont__AntialiasingType, transform QTransform_ITF) *QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AlphaMapForGlyph", glyphIndex, antialiasingType, transform}).(*QImage)
}

func (ptr *QRawFont) Ascent() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ascent"}).(float64)
}

func (ptr *QRawFont) AverageCharWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AverageCharWidth"}).(float64)
}

func (ptr *QRawFont) BoundingRect(glyphIndex uint) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect", glyphIndex}).(*core.QRectF)
}

func (ptr *QRawFont) CapHeight() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CapHeight"}).(float64)
}

func (ptr *QRawFont) Descent() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Descent"}).(float64)
}

func (ptr *QRawFont) FamilyName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FamilyName"}).(string)
}

func (ptr *QRawFont) FontTable(tagName string) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontTable", tagName}).(*core.QByteArray)
}

func QRawFont_FromFont(font QFont_ITF, writingSystem QFontDatabase__WritingSystem) *QRawFont {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QRawFont_FromFont", "", font, writingSystem}).(*QRawFont)
}

func (ptr *QRawFont) FromFont(font QFont_ITF, writingSystem QFontDatabase__WritingSystem) *QRawFont {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QRawFont_FromFont", "", font, writingSystem}).(*QRawFont)
}

func (ptr *QRawFont) GlyphIndexesForChars(chars core.QChar_ITF, numChars int, glyphIndexes uint, numGlyphs int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlyphIndexesForChars", chars, numChars, glyphIndexes, numGlyphs}).(bool)
}

func (ptr *QRawFont) GlyphIndexesForString(text string) []uint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlyphIndexesForString", text}).([]uint)
}

func (ptr *QRawFont) HintingPreference() QFont__HintingPreference {

	return QFont__HintingPreference(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HintingPreference"}).(float64))
}

func (ptr *QRawFont) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QRawFont) Leading() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Leading"}).(float64)
}

func (ptr *QRawFont) LineThickness() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineThickness"}).(float64)
}

func (ptr *QRawFont) LoadFromData(fontData core.QByteArray_ITF, pixelSize float64, hintingPreference QFont__HintingPreference) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadFromData", fontData, pixelSize, hintingPreference})
}

func (ptr *QRawFont) LoadFromFile(fileName string, pixelSize float64, hintingPreference QFont__HintingPreference) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadFromFile", fileName, pixelSize, hintingPreference})
}

func (ptr *QRawFont) MaxCharWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaxCharWidth"}).(float64)
}

func (ptr *QRawFont) PathForGlyph(glyphIndex uint) *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PathForGlyph", glyphIndex}).(*QPainterPath)
}

func (ptr *QRawFont) PixelSize() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelSize"}).(float64)
}

func (ptr *QRawFont) SetPixelSize(pixelSize float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixelSize", pixelSize})
}

func (ptr *QRawFont) Style() QFont__Style {

	return QFont__Style(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Style"}).(float64))
}

func (ptr *QRawFont) StyleName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StyleName"}).(string)
}

func (ptr *QRawFont) SupportedWritingSystems() []QFontDatabase__WritingSystem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedWritingSystems"}).([]QFontDatabase__WritingSystem)
}

func (ptr *QRawFont) SupportsCharacter(character core.QChar_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportsCharacter", character}).(bool)
}

func (ptr *QRawFont) SupportsCharacter2(ucs4 uint) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportsCharacter2", ucs4}).(bool)
}

func (ptr *QRawFont) Swap(other QRawFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QRawFont) UnderlinePosition() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnderlinePosition"}).(float64)
}

func (ptr *QRawFont) UnitsPerEm() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnitsPerEm"}).(float64)
}

func (ptr *QRawFont) Weight() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Weight"}).(float64))
}

func (ptr *QRawFont) XHeight() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "XHeight"}).(float64)
}

func (ptr *QRawFont) DestroyQRawFont() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRawFont"})
}

func (ptr *QRawFont) __advancesForGlyphIndexes_atList(i int) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__advancesForGlyphIndexes_atList", i}).(*core.QPointF)
}

func (ptr *QRawFont) __advancesForGlyphIndexes_setList(i core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__advancesForGlyphIndexes_setList", i})
}

func (ptr *QRawFont) __advancesForGlyphIndexes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__advancesForGlyphIndexes_newList"}).(unsafe.Pointer)
}

func (ptr *QRawFont) __advancesForGlyphIndexes_glyphIndexes_atList(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__advancesForGlyphIndexes_glyphIndexes_atList", i}).(float64))
}

func (ptr *QRawFont) __advancesForGlyphIndexes_glyphIndexes_setList(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__advancesForGlyphIndexes_glyphIndexes_setList", i})
}

func (ptr *QRawFont) __advancesForGlyphIndexes_glyphIndexes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__advancesForGlyphIndexes_glyphIndexes_newList"}).(unsafe.Pointer)
}

func (ptr *QRawFont) __advancesForGlyphIndexes_atList2(i int) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__advancesForGlyphIndexes_atList2", i}).(*core.QPointF)
}

func (ptr *QRawFont) __advancesForGlyphIndexes_setList2(i core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__advancesForGlyphIndexes_setList2", i})
}

func (ptr *QRawFont) __advancesForGlyphIndexes_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__advancesForGlyphIndexes_newList2"}).(unsafe.Pointer)
}

func (ptr *QRawFont) __advancesForGlyphIndexes_glyphIndexes_atList2(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__advancesForGlyphIndexes_glyphIndexes_atList2", i}).(float64))
}

func (ptr *QRawFont) __advancesForGlyphIndexes_glyphIndexes_setList2(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__advancesForGlyphIndexes_glyphIndexes_setList2", i})
}

func (ptr *QRawFont) __advancesForGlyphIndexes_glyphIndexes_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__advancesForGlyphIndexes_glyphIndexes_newList2"}).(unsafe.Pointer)
}

func (ptr *QRawFont) __glyphIndexesForString_atList(i int) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphIndexesForString_atList", i}).(float64))
}

func (ptr *QRawFont) __glyphIndexesForString_setList(i uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphIndexesForString_setList", i})
}

func (ptr *QRawFont) __glyphIndexesForString_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphIndexesForString_newList"}).(unsafe.Pointer)
}

func (ptr *QRawFont) __supportedWritingSystems_atList(i int) QFontDatabase__WritingSystem {

	return QFontDatabase__WritingSystem(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedWritingSystems_atList", i}).(float64))
}

func (ptr *QRawFont) __supportedWritingSystems_setList(i QFontDatabase__WritingSystem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedWritingSystems_setList", i})
}

func (ptr *QRawFont) __supportedWritingSystems_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedWritingSystems_newList"}).(unsafe.Pointer)
}

type QRegExpValidator struct {
	QValidator
}

type QRegExpValidator_ITF interface {
	QValidator_ITF
	QRegExpValidator_PTR() *QRegExpValidator
}

func (ptr *QRegExpValidator) QRegExpValidator_PTR() *QRegExpValidator {
	return ptr
}

func (ptr *QRegExpValidator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QValidator_PTR().Pointer()
	}
	return nil
}

func (ptr *QRegExpValidator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QValidator_PTR().SetPointer(p)
	}
}

func PointerFromQRegExpValidator(ptr QRegExpValidator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRegExpValidator_PTR().Pointer()
	}
	return nil
}

func (n *QRegExpValidator) InitFromInternal(ptr uintptr, name string) {
	n.QValidator_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QRegExpValidator) ClassNameInternalF() string {
	return n.QValidator_PTR().ClassNameInternalF()
}

func NewQRegExpValidatorFromPointer(ptr unsafe.Pointer) (n *QRegExpValidator) {
	n = new(QRegExpValidator)
	n.InitFromInternal(uintptr(ptr), "gui.QRegExpValidator")
	return
}
func NewQRegExpValidator(parent core.QObject_ITF) *QRegExpValidator {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRegExpValidator", "", parent}).(*QRegExpValidator)
}

func NewQRegExpValidator2(rx core.QRegExp_ITF, parent core.QObject_ITF) *QRegExpValidator {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRegExpValidator2", "", rx, parent}).(*QRegExpValidator)
}

func (ptr *QRegExpValidator) RegExp() *core.QRegExp {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RegExp"}).(*core.QRegExp)
}

func (ptr *QRegExpValidator) ConnectRegExpChanged(f func(regExp *core.QRegExp)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRegExpChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRegExpValidator) DisconnectRegExpChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRegExpChanged"})
}

func (ptr *QRegExpValidator) RegExpChanged(regExp core.QRegExp_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RegExpChanged", regExp})
}

func (ptr *QRegExpValidator) SetRegExp(rx core.QRegExp_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRegExp", rx})
}

func (ptr *QRegExpValidator) ConnectValidate(f func(input string, pos int) QValidator__State) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValidate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRegExpValidator) DisconnectValidate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValidate"})
}

func (ptr *QRegExpValidator) Validate(input string, pos int) QValidator__State {

	return QValidator__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Validate", input, pos}).(float64))
}

func (ptr *QRegExpValidator) ValidateDefault(input string, pos int) QValidator__State {

	return QValidator__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValidateDefault", input, pos}).(float64))
}

func (ptr *QRegExpValidator) ConnectDestroyQRegExpValidator(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQRegExpValidator", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRegExpValidator) DisconnectDestroyQRegExpValidator() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQRegExpValidator"})
}

func (ptr *QRegExpValidator) DestroyQRegExpValidator() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRegExpValidator"})
}

func (ptr *QRegExpValidator) DestroyQRegExpValidatorDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRegExpValidatorDefault"})
}

type QRegion struct {
	internal.Internal
}

type QRegion_ITF interface {
	QRegion_PTR() *QRegion
}

func (ptr *QRegion) QRegion_PTR() *QRegion {
	return ptr
}

func (ptr *QRegion) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QRegion) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQRegion(ptr QRegion_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRegion_PTR().Pointer()
	}
	return nil
}

func (n *QRegion) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQRegionFromPointer(ptr unsafe.Pointer) (n *QRegion) {
	n = new(QRegion)
	n.InitFromInternal(uintptr(ptr), "gui.QRegion")
	return
}

func (ptr *QRegion) DestroyQRegion() {
}

//go:generate stringer -type=QRegion__RegionType
//QRegion::RegionType
type QRegion__RegionType int64

const (
	QRegion__Rectangle QRegion__RegionType = QRegion__RegionType(0)
	QRegion__Ellipse   QRegion__RegionType = QRegion__RegionType(1)
)

func NewQRegion() *QRegion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRegion", ""}).(*QRegion)
}

func NewQRegion2(x int, y int, w int, h int, t QRegion__RegionType) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRegion2", "", x, y, w, h, t}).(*QRegion)
}

func NewQRegion3(r core.QRect_ITF, t QRegion__RegionType) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRegion3", "", r, t}).(*QRegion)
}

func NewQRegion4(a QPolygon_ITF, fillRule core.Qt__FillRule) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRegion4", "", a, fillRule}).(*QRegion)
}

func NewQRegion5(r QRegion_ITF) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRegion5", "", r}).(*QRegion)
}

func NewQRegion6(other QRegion_ITF) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRegion6", "", other}).(*QRegion)
}

func NewQRegion7(bm QBitmap_ITF) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRegion7", "", bm}).(*QRegion)
}

func (ptr *QRegion) BoundingRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRect)
}

func (ptr *QRegion) Contains(p core.QPoint_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", p}).(bool)
}

func (ptr *QRegion) Contains2(r core.QRect_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains2", r}).(bool)
}

func (ptr *QRegion) Intersected(r QRegion_ITF) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersected", r}).(*QRegion)
}

func (ptr *QRegion) Intersected2(rect core.QRect_ITF) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersected2", rect}).(*QRegion)
}

func (ptr *QRegion) Intersects(region QRegion_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersects", region}).(bool)
}

func (ptr *QRegion) Intersects2(rect core.QRect_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intersects2", rect}).(bool)
}

func (ptr *QRegion) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QRegion) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QRegion) RectCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RectCount"}).(float64))
}

func (ptr *QRegion) SetRects(rects core.QRect_ITF, number int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRects", rects, number})
}

func (ptr *QRegion) Subtracted(r QRegion_ITF) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Subtracted", r}).(*QRegion)
}

func (ptr *QRegion) Swap(other QRegion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QRegion) Translate(dx int, dy int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate", dx, dy})
}

func (ptr *QRegion) Translate2(point core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate2", point})
}

func (ptr *QRegion) Translated(dx int, dy int) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated", dx, dy}).(*QRegion)
}

func (ptr *QRegion) Translated2(p core.QPoint_ITF) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated2", p}).(*QRegion)
}

func (ptr *QRegion) United(r QRegion_ITF) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "United", r}).(*QRegion)
}

func (ptr *QRegion) United2(rect core.QRect_ITF) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "United2", rect}).(*QRegion)
}

func (ptr *QRegion) Xored(r QRegion_ITF) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Xored", r}).(*QRegion)
}

func (ptr *QRegion) __rects_atList(i int) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__rects_atList", i}).(*core.QRect)
}

func (ptr *QRegion) __rects_setList(i core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__rects_setList", i})
}

func (ptr *QRegion) __rects_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__rects_newList"}).(unsafe.Pointer)
}

type QRegularExpressionValidator struct {
	QValidator
}

type QRegularExpressionValidator_ITF interface {
	QValidator_ITF
	QRegularExpressionValidator_PTR() *QRegularExpressionValidator
}

func (ptr *QRegularExpressionValidator) QRegularExpressionValidator_PTR() *QRegularExpressionValidator {
	return ptr
}

func (ptr *QRegularExpressionValidator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QValidator_PTR().Pointer()
	}
	return nil
}

func (ptr *QRegularExpressionValidator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QValidator_PTR().SetPointer(p)
	}
}

func PointerFromQRegularExpressionValidator(ptr QRegularExpressionValidator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRegularExpressionValidator_PTR().Pointer()
	}
	return nil
}

func (n *QRegularExpressionValidator) InitFromInternal(ptr uintptr, name string) {
	n.QValidator_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QRegularExpressionValidator) ClassNameInternalF() string {
	return n.QValidator_PTR().ClassNameInternalF()
}

func NewQRegularExpressionValidatorFromPointer(ptr unsafe.Pointer) (n *QRegularExpressionValidator) {
	n = new(QRegularExpressionValidator)
	n.InitFromInternal(uintptr(ptr), "gui.QRegularExpressionValidator")
	return
}
func NewQRegularExpressionValidator(parent core.QObject_ITF) *QRegularExpressionValidator {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRegularExpressionValidator", "", parent}).(*QRegularExpressionValidator)
}

func NewQRegularExpressionValidator2(re core.QRegularExpression_ITF, parent core.QObject_ITF) *QRegularExpressionValidator {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQRegularExpressionValidator2", "", re, parent}).(*QRegularExpressionValidator)
}

func (ptr *QRegularExpressionValidator) RegularExpression() *core.QRegularExpression {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RegularExpression"}).(*core.QRegularExpression)
}

func (ptr *QRegularExpressionValidator) ConnectRegularExpressionChanged(f func(re *core.QRegularExpression)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRegularExpressionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRegularExpressionValidator) DisconnectRegularExpressionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRegularExpressionChanged"})
}

func (ptr *QRegularExpressionValidator) RegularExpressionChanged(re core.QRegularExpression_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RegularExpressionChanged", re})
}

func (ptr *QRegularExpressionValidator) ConnectSetRegularExpression(f func(re *core.QRegularExpression)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetRegularExpression", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRegularExpressionValidator) DisconnectSetRegularExpression() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetRegularExpression"})
}

func (ptr *QRegularExpressionValidator) SetRegularExpression(re core.QRegularExpression_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRegularExpression", re})
}

func (ptr *QRegularExpressionValidator) SetRegularExpressionDefault(re core.QRegularExpression_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRegularExpressionDefault", re})
}

func (ptr *QRegularExpressionValidator) ConnectValidate(f func(input string, pos int) QValidator__State) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValidate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRegularExpressionValidator) DisconnectValidate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValidate"})
}

func (ptr *QRegularExpressionValidator) Validate(input string, pos int) QValidator__State {

	return QValidator__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Validate", input, pos}).(float64))
}

func (ptr *QRegularExpressionValidator) ValidateDefault(input string, pos int) QValidator__State {

	return QValidator__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValidateDefault", input, pos}).(float64))
}

func (ptr *QRegularExpressionValidator) ConnectDestroyQRegularExpressionValidator(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQRegularExpressionValidator", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRegularExpressionValidator) DisconnectDestroyQRegularExpressionValidator() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQRegularExpressionValidator"})
}

func (ptr *QRegularExpressionValidator) DestroyQRegularExpressionValidator() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRegularExpressionValidator"})
}

func (ptr *QRegularExpressionValidator) DestroyQRegularExpressionValidatorDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRegularExpressionValidatorDefault"})
}

type QResizeEvent struct {
	core.QEvent
}

type QResizeEvent_ITF interface {
	core.QEvent_ITF
	QResizeEvent_PTR() *QResizeEvent
}

func (ptr *QResizeEvent) QResizeEvent_PTR() *QResizeEvent {
	return ptr
}

func (ptr *QResizeEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QResizeEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQResizeEvent(ptr QResizeEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QResizeEvent_PTR().Pointer()
	}
	return nil
}

func (n *QResizeEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QResizeEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQResizeEventFromPointer(ptr unsafe.Pointer) (n *QResizeEvent) {
	n = new(QResizeEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QResizeEvent")
	return
}

func (ptr *QResizeEvent) DestroyQResizeEvent() {
}

func NewQResizeEvent(size core.QSize_ITF, oldSize core.QSize_ITF) *QResizeEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQResizeEvent", "", size, oldSize}).(*QResizeEvent)
}

func (ptr *QResizeEvent) OldSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OldSize"}).(*core.QSize)
}

func (ptr *QResizeEvent) Size() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(*core.QSize)
}

type QRgba64 struct {
	internal.Internal
}

type QRgba64_ITF interface {
	QRgba64_PTR() *QRgba64
}

func (ptr *QRgba64) QRgba64_PTR() *QRgba64 {
	return ptr
}

func (ptr *QRgba64) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QRgba64) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQRgba64(ptr QRgba64_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRgba64_PTR().Pointer()
	}
	return nil
}

func (n *QRgba64) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQRgba64FromPointer(ptr unsafe.Pointer) (n *QRgba64) {
	n = new(QRgba64)
	n.InitFromInternal(uintptr(ptr), "gui.QRgba64")
	return
}

func (ptr *QRgba64) DestroyQRgba64() {
}

func (ptr *QRgba64) Alpha() uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alpha"}).(float64))
}

func (ptr *QRgba64) Alpha8() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alpha8"}).(string)
}

func (ptr *QRgba64) Blue() uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Blue"}).(float64))
}

func (ptr *QRgba64) Blue8() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Blue8"}).(string)
}

func (ptr *QRgba64) Green() uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Green"}).(float64))
}

func (ptr *QRgba64) Green8() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Green8"}).(string)
}

func (ptr *QRgba64) IsOpaque() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsOpaque"}).(bool)
}

func (ptr *QRgba64) IsTransparent() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTransparent"}).(bool)
}

func (ptr *QRgba64) Red() uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Red"}).(float64))
}

func (ptr *QRgba64) Red8() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Red8"}).(string)
}

func (ptr *QRgba64) SetAlpha(alpha uint16) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlpha", alpha})
}

func (ptr *QRgba64) SetBlue(blue uint16) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBlue", blue})
}

func (ptr *QRgba64) SetGreen(green uint16) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGreen", green})
}

func (ptr *QRgba64) SetRed(red uint16) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRed", red})
}

func (ptr *QRgba64) ToArgb32() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToArgb32"}).(float64))
}

func (ptr *QRgba64) ToRgb16() uint16 {

	return uint16(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToRgb16"}).(float64))
}

type QScreen struct {
	core.QObject
}

type QScreen_ITF interface {
	core.QObject_ITF
	QScreen_PTR() *QScreen
}

func (ptr *QScreen) QScreen_PTR() *QScreen {
	return ptr
}

func (ptr *QScreen) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QScreen) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQScreen(ptr QScreen_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScreen_PTR().Pointer()
	}
	return nil
}

func (n *QScreen) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QScreen) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQScreenFromPointer(ptr unsafe.Pointer) (n *QScreen) {
	n = new(QScreen)
	n.InitFromInternal(uintptr(ptr), "gui.QScreen")
	return
}
func (ptr *QScreen) AngleBetween(a core.Qt__ScreenOrientation, b core.Qt__ScreenOrientation) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AngleBetween", a, b}).(float64))
}

func (ptr *QScreen) AvailableGeometry() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableGeometry"}).(*core.QRect)
}

func (ptr *QScreen) ConnectAvailableGeometryChanged(f func(geometry *core.QRect)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAvailableGeometryChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScreen) DisconnectAvailableGeometryChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAvailableGeometryChanged"})
}

func (ptr *QScreen) AvailableGeometryChanged(geometry core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableGeometryChanged", geometry})
}

func (ptr *QScreen) AvailableSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableSize"}).(*core.QSize)
}

func (ptr *QScreen) AvailableVirtualGeometry() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableVirtualGeometry"}).(*core.QRect)
}

func (ptr *QScreen) AvailableVirtualSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableVirtualSize"}).(*core.QSize)
}

func (ptr *QScreen) Depth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Depth"}).(float64))
}

func (ptr *QScreen) DevicePixelRatio() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DevicePixelRatio"}).(float64)
}

func (ptr *QScreen) Geometry() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Geometry"}).(*core.QRect)
}

func (ptr *QScreen) ConnectGeometryChanged(f func(geometry *core.QRect)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectGeometryChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScreen) DisconnectGeometryChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectGeometryChanged"})
}

func (ptr *QScreen) GeometryChanged(geometry core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GeometryChanged", geometry})
}

func (ptr *QScreen) GrabWindow(window uintptr, x int, y int, width int, height int) *QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GrabWindow", window, x, y, width, height}).(*QPixmap)
}

func (ptr *QScreen) IsLandscape(o core.Qt__ScreenOrientation) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLandscape", o}).(bool)
}

func (ptr *QScreen) IsPortrait(o core.Qt__ScreenOrientation) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsPortrait", o}).(bool)
}

func (ptr *QScreen) LogicalDotsPerInch() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LogicalDotsPerInch"}).(float64)
}

func (ptr *QScreen) ConnectLogicalDotsPerInchChanged(f func(dpi float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLogicalDotsPerInchChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScreen) DisconnectLogicalDotsPerInchChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLogicalDotsPerInchChanged"})
}

func (ptr *QScreen) LogicalDotsPerInchChanged(dpi float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LogicalDotsPerInchChanged", dpi})
}

func (ptr *QScreen) LogicalDotsPerInchX() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LogicalDotsPerInchX"}).(float64)
}

func (ptr *QScreen) LogicalDotsPerInchY() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LogicalDotsPerInchY"}).(float64)
}

func (ptr *QScreen) Manufacturer() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Manufacturer"}).(string)
}

func (ptr *QScreen) MapBetween(a core.Qt__ScreenOrientation, b core.Qt__ScreenOrientation, rect core.QRect_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapBetween", a, b, rect}).(*core.QRect)
}

func (ptr *QScreen) Model() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Model"}).(string)
}

func (ptr *QScreen) Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(string)
}

func (ptr *QScreen) NativeOrientation() core.Qt__ScreenOrientation {

	return core.Qt__ScreenOrientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NativeOrientation"}).(float64))
}

func (ptr *QScreen) Orientation() core.Qt__ScreenOrientation {

	return core.Qt__ScreenOrientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QScreen) ConnectOrientationChanged(f func(orientation core.Qt__ScreenOrientation)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOrientationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScreen) DisconnectOrientationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOrientationChanged"})
}

func (ptr *QScreen) OrientationChanged(orientation core.Qt__ScreenOrientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OrientationChanged", orientation})
}

func (ptr *QScreen) OrientationUpdateMask() core.Qt__ScreenOrientation {

	return core.Qt__ScreenOrientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OrientationUpdateMask"}).(float64))
}

func (ptr *QScreen) PhysicalDotsPerInch() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PhysicalDotsPerInch"}).(float64)
}

func (ptr *QScreen) ConnectPhysicalDotsPerInchChanged(f func(dpi float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPhysicalDotsPerInchChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScreen) DisconnectPhysicalDotsPerInchChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPhysicalDotsPerInchChanged"})
}

func (ptr *QScreen) PhysicalDotsPerInchChanged(dpi float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PhysicalDotsPerInchChanged", dpi})
}

func (ptr *QScreen) PhysicalDotsPerInchX() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PhysicalDotsPerInchX"}).(float64)
}

func (ptr *QScreen) PhysicalDotsPerInchY() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PhysicalDotsPerInchY"}).(float64)
}

func (ptr *QScreen) PhysicalSize() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PhysicalSize"}).(*core.QSizeF)
}

func (ptr *QScreen) ConnectPhysicalSizeChanged(f func(size *core.QSizeF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPhysicalSizeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScreen) DisconnectPhysicalSizeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPhysicalSizeChanged"})
}

func (ptr *QScreen) PhysicalSizeChanged(size core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PhysicalSizeChanged", size})
}

func (ptr *QScreen) PrimaryOrientation() core.Qt__ScreenOrientation {

	return core.Qt__ScreenOrientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PrimaryOrientation"}).(float64))
}

func (ptr *QScreen) ConnectPrimaryOrientationChanged(f func(orientation core.Qt__ScreenOrientation)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPrimaryOrientationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScreen) DisconnectPrimaryOrientationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPrimaryOrientationChanged"})
}

func (ptr *QScreen) PrimaryOrientationChanged(orientation core.Qt__ScreenOrientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PrimaryOrientationChanged", orientation})
}

func (ptr *QScreen) RefreshRate() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RefreshRate"}).(float64)
}

func (ptr *QScreen) ConnectRefreshRateChanged(f func(refreshRate float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRefreshRateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScreen) DisconnectRefreshRateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRefreshRateChanged"})
}

func (ptr *QScreen) RefreshRateChanged(refreshRate float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RefreshRateChanged", refreshRate})
}

func (ptr *QScreen) SerialNumber() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SerialNumber"}).(string)
}

func (ptr *QScreen) SetOrientationUpdateMask(mask core.Qt__ScreenOrientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrientationUpdateMask", mask})
}

func (ptr *QScreen) Size() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(*core.QSize)
}

func (ptr *QScreen) TransformBetween(a core.Qt__ScreenOrientation, b core.Qt__ScreenOrientation, target core.QRect_ITF) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TransformBetween", a, b, target}).(*QTransform)
}

func (ptr *QScreen) VirtualGeometry() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VirtualGeometry"}).(*core.QRect)
}

func (ptr *QScreen) ConnectVirtualGeometryChanged(f func(rect *core.QRect)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVirtualGeometryChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScreen) DisconnectVirtualGeometryChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVirtualGeometryChanged"})
}

func (ptr *QScreen) VirtualGeometryChanged(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VirtualGeometryChanged", rect})
}

func (ptr *QScreen) VirtualSiblings() []*QScreen {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VirtualSiblings"}).([]*QScreen)
}

func (ptr *QScreen) VirtualSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VirtualSize"}).(*core.QSize)
}

func (ptr *QScreen) ConnectDestroyQScreen(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQScreen", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScreen) DisconnectDestroyQScreen() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQScreen"})
}

func (ptr *QScreen) DestroyQScreen() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQScreen"})
}

func (ptr *QScreen) DestroyQScreenDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQScreenDefault"})
}

func (ptr *QScreen) __virtualSiblings_atList(i int) *QScreen {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__virtualSiblings_atList", i}).(*QScreen)
}

func (ptr *QScreen) __virtualSiblings_setList(i QScreen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__virtualSiblings_setList", i})
}

func (ptr *QScreen) __virtualSiblings_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__virtualSiblings_newList"}).(unsafe.Pointer)
}

func (ptr *QScreen) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QScreen) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QScreen) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QScreen) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QScreen) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QScreen) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QScreen) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QScreen) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QScreen) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QScreen) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QScreen) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QScreen) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QScreen) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QScreen) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QScreen) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QScreen) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QScreen) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QScreen) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QScreen) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QScreen) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QScreen) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QScreenOrientationChangeEvent struct {
	core.QEvent
}

type QScreenOrientationChangeEvent_ITF interface {
	core.QEvent_ITF
	QScreenOrientationChangeEvent_PTR() *QScreenOrientationChangeEvent
}

func (ptr *QScreenOrientationChangeEvent) QScreenOrientationChangeEvent_PTR() *QScreenOrientationChangeEvent {
	return ptr
}

func (ptr *QScreenOrientationChangeEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QScreenOrientationChangeEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQScreenOrientationChangeEvent(ptr QScreenOrientationChangeEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScreenOrientationChangeEvent_PTR().Pointer()
	}
	return nil
}

func (n *QScreenOrientationChangeEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QScreenOrientationChangeEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQScreenOrientationChangeEventFromPointer(ptr unsafe.Pointer) (n *QScreenOrientationChangeEvent) {
	n = new(QScreenOrientationChangeEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QScreenOrientationChangeEvent")
	return
}
func NewQScreenOrientationChangeEvent(screen QScreen_ITF, screenOrientation core.Qt__ScreenOrientation) *QScreenOrientationChangeEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQScreenOrientationChangeEvent", "", screen, screenOrientation}).(*QScreenOrientationChangeEvent)
}

func (ptr *QScreenOrientationChangeEvent) Orientation() core.Qt__ScreenOrientation {

	return core.Qt__ScreenOrientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QScreenOrientationChangeEvent) Screen() *QScreen {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Screen"}).(*QScreen)
}

func (ptr *QScreenOrientationChangeEvent) ConnectDestroyQScreenOrientationChangeEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQScreenOrientationChangeEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScreenOrientationChangeEvent) DisconnectDestroyQScreenOrientationChangeEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQScreenOrientationChangeEvent"})
}

func (ptr *QScreenOrientationChangeEvent) DestroyQScreenOrientationChangeEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQScreenOrientationChangeEvent"})
}

func (ptr *QScreenOrientationChangeEvent) DestroyQScreenOrientationChangeEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQScreenOrientationChangeEventDefault"})
}

type QScrollEvent struct {
	core.QEvent
}

type QScrollEvent_ITF interface {
	core.QEvent_ITF
	QScrollEvent_PTR() *QScrollEvent
}

func (ptr *QScrollEvent) QScrollEvent_PTR() *QScrollEvent {
	return ptr
}

func (ptr *QScrollEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QScrollEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQScrollEvent(ptr QScrollEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScrollEvent_PTR().Pointer()
	}
	return nil
}

func (n *QScrollEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QScrollEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQScrollEventFromPointer(ptr unsafe.Pointer) (n *QScrollEvent) {
	n = new(QScrollEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QScrollEvent")
	return
}

//go:generate stringer -type=QScrollEvent__ScrollState
//QScrollEvent::ScrollState
type QScrollEvent__ScrollState int64

const (
	QScrollEvent__ScrollStarted  QScrollEvent__ScrollState = QScrollEvent__ScrollState(0)
	QScrollEvent__ScrollUpdated  QScrollEvent__ScrollState = QScrollEvent__ScrollState(1)
	QScrollEvent__ScrollFinished QScrollEvent__ScrollState = QScrollEvent__ScrollState(2)
)

func NewQScrollEvent(contentPos core.QPointF_ITF, overshootDistance core.QPointF_ITF, scrollState QScrollEvent__ScrollState) *QScrollEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQScrollEvent", "", contentPos, overshootDistance, scrollState}).(*QScrollEvent)
}

func (ptr *QScrollEvent) ContentPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContentPos"}).(*core.QPointF)
}

func (ptr *QScrollEvent) OvershootDistance() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OvershootDistance"}).(*core.QPointF)
}

func (ptr *QScrollEvent) ScrollState() QScrollEvent__ScrollState {

	return QScrollEvent__ScrollState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollState"}).(float64))
}

func (ptr *QScrollEvent) ConnectDestroyQScrollEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQScrollEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScrollEvent) DisconnectDestroyQScrollEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQScrollEvent"})
}

func (ptr *QScrollEvent) DestroyQScrollEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQScrollEvent"})
}

func (ptr *QScrollEvent) DestroyQScrollEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQScrollEventDefault"})
}

type QScrollPrepareEvent struct {
	core.QEvent
}

type QScrollPrepareEvent_ITF interface {
	core.QEvent_ITF
	QScrollPrepareEvent_PTR() *QScrollPrepareEvent
}

func (ptr *QScrollPrepareEvent) QScrollPrepareEvent_PTR() *QScrollPrepareEvent {
	return ptr
}

func (ptr *QScrollPrepareEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QScrollPrepareEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQScrollPrepareEvent(ptr QScrollPrepareEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScrollPrepareEvent_PTR().Pointer()
	}
	return nil
}

func (n *QScrollPrepareEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QScrollPrepareEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQScrollPrepareEventFromPointer(ptr unsafe.Pointer) (n *QScrollPrepareEvent) {
	n = new(QScrollPrepareEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QScrollPrepareEvent")
	return
}
func NewQScrollPrepareEvent(startPos core.QPointF_ITF) *QScrollPrepareEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQScrollPrepareEvent", "", startPos}).(*QScrollPrepareEvent)
}

func (ptr *QScrollPrepareEvent) ContentPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContentPos"}).(*core.QPointF)
}

func (ptr *QScrollPrepareEvent) ContentPosRange() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContentPosRange"}).(*core.QRectF)
}

func (ptr *QScrollPrepareEvent) SetContentPos(pos core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetContentPos", pos})
}

func (ptr *QScrollPrepareEvent) SetContentPosRange(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetContentPosRange", rect})
}

func (ptr *QScrollPrepareEvent) SetViewportSize(size core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewportSize", size})
}

func (ptr *QScrollPrepareEvent) StartPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartPos"}).(*core.QPointF)
}

func (ptr *QScrollPrepareEvent) ViewportSize() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewportSize"}).(*core.QSizeF)
}

func (ptr *QScrollPrepareEvent) ConnectDestroyQScrollPrepareEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQScrollPrepareEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScrollPrepareEvent) DisconnectDestroyQScrollPrepareEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQScrollPrepareEvent"})
}

func (ptr *QScrollPrepareEvent) DestroyQScrollPrepareEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQScrollPrepareEvent"})
}

func (ptr *QScrollPrepareEvent) DestroyQScrollPrepareEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQScrollPrepareEventDefault"})
}

type QSessionManager struct {
	core.QObject
}

type QSessionManager_ITF interface {
	core.QObject_ITF
	QSessionManager_PTR() *QSessionManager
}

func (ptr *QSessionManager) QSessionManager_PTR() *QSessionManager {
	return ptr
}

func (ptr *QSessionManager) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QSessionManager) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQSessionManager(ptr QSessionManager_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSessionManager_PTR().Pointer()
	}
	return nil
}

func (n *QSessionManager) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSessionManager) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQSessionManagerFromPointer(ptr unsafe.Pointer) (n *QSessionManager) {
	n = new(QSessionManager)
	n.InitFromInternal(uintptr(ptr), "gui.QSessionManager")
	return
}

func (ptr *QSessionManager) DestroyQSessionManager() {
}

//go:generate stringer -type=QSessionManager__RestartHint
//QSessionManager::RestartHint
type QSessionManager__RestartHint int64

const (
	QSessionManager__RestartIfRunning   QSessionManager__RestartHint = QSessionManager__RestartHint(0)
	QSessionManager__RestartAnyway      QSessionManager__RestartHint = QSessionManager__RestartHint(1)
	QSessionManager__RestartImmediately QSessionManager__RestartHint = QSessionManager__RestartHint(2)
	QSessionManager__RestartNever       QSessionManager__RestartHint = QSessionManager__RestartHint(3)
)

func (ptr *QSessionManager) AllowsErrorInteraction() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllowsErrorInteraction"}).(bool)
}

func (ptr *QSessionManager) AllowsInteraction() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllowsInteraction"}).(bool)
}

func (ptr *QSessionManager) Cancel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Cancel"})
}

func (ptr *QSessionManager) DiscardCommand() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DiscardCommand"}).([]string)
}

func (ptr *QSessionManager) IsPhase2() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsPhase2"}).(bool)
}

func (ptr *QSessionManager) Release() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Release"})
}

func (ptr *QSessionManager) RequestPhase2() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestPhase2"})
}

func (ptr *QSessionManager) RestartCommand() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RestartCommand"}).([]string)
}

func (ptr *QSessionManager) RestartHint() QSessionManager__RestartHint {

	return QSessionManager__RestartHint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RestartHint"}).(float64))
}

func (ptr *QSessionManager) SessionId() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SessionId"}).(string)
}

func (ptr *QSessionManager) SessionKey() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SessionKey"}).(string)
}

func (ptr *QSessionManager) SetDiscardCommand(command []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDiscardCommand", command})
}

func (ptr *QSessionManager) SetManagerProperty(name string, value []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetManagerProperty", name, value})
}

func (ptr *QSessionManager) SetManagerProperty2(name string, value string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetManagerProperty2", name, value})
}

func (ptr *QSessionManager) SetRestartCommand(command []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRestartCommand", command})
}

func (ptr *QSessionManager) SetRestartHint(hint QSessionManager__RestartHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRestartHint", hint})
}

func (ptr *QSessionManager) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QSessionManager) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QSessionManager) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QSessionManager) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QSessionManager) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QSessionManager) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QSessionManager) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QSessionManager) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QSessionManager) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QSessionManager) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QSessionManager) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QSessionManager) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QSessionManager) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QSessionManager) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QSessionManager) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QSessionManager) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QSessionManager) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QSessionManager) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QSessionManager) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QSessionManager) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QSessionManager) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QShortcutEvent struct {
	core.QEvent
}

type QShortcutEvent_ITF interface {
	core.QEvent_ITF
	QShortcutEvent_PTR() *QShortcutEvent
}

func (ptr *QShortcutEvent) QShortcutEvent_PTR() *QShortcutEvent {
	return ptr
}

func (ptr *QShortcutEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QShortcutEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQShortcutEvent(ptr QShortcutEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QShortcutEvent_PTR().Pointer()
	}
	return nil
}

func (n *QShortcutEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QShortcutEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQShortcutEventFromPointer(ptr unsafe.Pointer) (n *QShortcutEvent) {
	n = new(QShortcutEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QShortcutEvent")
	return
}
func NewQShortcutEvent(key QKeySequence_ITF, id int, ambiguous bool) *QShortcutEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQShortcutEvent", "", key, id, ambiguous}).(*QShortcutEvent)
}

func (ptr *QShortcutEvent) IsAmbiguous() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAmbiguous"}).(bool)
}

func (ptr *QShortcutEvent) Key() *QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Key"}).(*QKeySequence)
}

func (ptr *QShortcutEvent) ShortcutId() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShortcutId"}).(float64))
}

func (ptr *QShortcutEvent) ConnectDestroyQShortcutEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQShortcutEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QShortcutEvent) DisconnectDestroyQShortcutEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQShortcutEvent"})
}

func (ptr *QShortcutEvent) DestroyQShortcutEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQShortcutEvent"})
}

func (ptr *QShortcutEvent) DestroyQShortcutEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQShortcutEventDefault"})
}

type QShowEvent struct {
	core.QEvent
}

type QShowEvent_ITF interface {
	core.QEvent_ITF
	QShowEvent_PTR() *QShowEvent
}

func (ptr *QShowEvent) QShowEvent_PTR() *QShowEvent {
	return ptr
}

func (ptr *QShowEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QShowEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQShowEvent(ptr QShowEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QShowEvent_PTR().Pointer()
	}
	return nil
}

func (n *QShowEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QShowEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQShowEventFromPointer(ptr unsafe.Pointer) (n *QShowEvent) {
	n = new(QShowEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QShowEvent")
	return
}

func (ptr *QShowEvent) DestroyQShowEvent() {
}

func NewQShowEvent() *QShowEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQShowEvent", ""}).(*QShowEvent)
}

type QStandardItem struct {
	internal.Internal
}

type QStandardItem_ITF interface {
	QStandardItem_PTR() *QStandardItem
}

func (ptr *QStandardItem) QStandardItem_PTR() *QStandardItem {
	return ptr
}

func (ptr *QStandardItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStandardItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStandardItem(ptr QStandardItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStandardItem_PTR().Pointer()
	}
	return nil
}

func (n *QStandardItem) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStandardItemFromPointer(ptr unsafe.Pointer) (n *QStandardItem) {
	n = new(QStandardItem)
	n.InitFromInternal(uintptr(ptr), "gui.QStandardItem")
	return
}

//go:generate stringer -type=QStandardItem__ItemType
//QStandardItem::ItemType
type QStandardItem__ItemType int64

const (
	QStandardItem__Type     QStandardItem__ItemType = QStandardItem__ItemType(0)
	QStandardItem__UserType QStandardItem__ItemType = QStandardItem__ItemType(1000)
)

func NewQStandardItem() *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQStandardItem", ""}).(*QStandardItem)
}

func NewQStandardItem2(text string) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQStandardItem2", "", text}).(*QStandardItem)
}

func NewQStandardItem3(icon QIcon_ITF, text string) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQStandardItem3", "", icon, text}).(*QStandardItem)
}

func NewQStandardItem4(rows int, columns int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQStandardItem4", "", rows, columns}).(*QStandardItem)
}

func NewQStandardItem5(other QStandardItem_ITF) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQStandardItem5", "", other}).(*QStandardItem)
}

func (ptr *QStandardItem) AccessibleDescription() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AccessibleDescription"}).(string)
}

func (ptr *QStandardItem) AccessibleText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AccessibleText"}).(string)
}

func (ptr *QStandardItem) AppendColumn(items []*QStandardItem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendColumn", items})
}

func (ptr *QStandardItem) AppendRow(items []*QStandardItem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendRow", items})
}

func (ptr *QStandardItem) AppendRow2(item QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendRow2", item})
}

func (ptr *QStandardItem) AppendRows(items []*QStandardItem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendRows", items})
}

func (ptr *QStandardItem) Background() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Background"}).(*QBrush)
}

func (ptr *QStandardItem) CheckState() core.Qt__CheckState {

	return core.Qt__CheckState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckState"}).(float64))
}

func (ptr *QStandardItem) Child(row int, column int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Child", row, column}).(*QStandardItem)
}

func (ptr *QStandardItem) ClearData() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearData"})
}

func (ptr *QStandardItem) ConnectClone(f func() *QStandardItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClone", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStandardItem) DisconnectClone() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClone"})
}

func (ptr *QStandardItem) Clone() *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clone"}).(*QStandardItem)
}

func (ptr *QStandardItem) CloneDefault() *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloneDefault"}).(*QStandardItem)
}

func (ptr *QStandardItem) Column() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Column"}).(float64))
}

func (ptr *QStandardItem) ColumnCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount"}).(float64))
}

func (ptr *QStandardItem) ConnectData(f func(role int) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStandardItem) DisconnectData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectData"})
}

func (ptr *QStandardItem) Data(role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", role}).(*core.QVariant)
}

func (ptr *QStandardItem) DataDefault(role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataDefault", role}).(*core.QVariant)
}

func (ptr *QStandardItem) EmitDataChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EmitDataChanged"})
}

func (ptr *QStandardItem) Flags() core.Qt__ItemFlag {

	return core.Qt__ItemFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flags"}).(float64))
}

func (ptr *QStandardItem) Font() *QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*QFont)
}

func (ptr *QStandardItem) Foreground() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Foreground"}).(*QBrush)
}

func (ptr *QStandardItem) HasChildren() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasChildren"}).(bool)
}

func (ptr *QStandardItem) Icon() *QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*QIcon)
}

func (ptr *QStandardItem) Index() *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index"}).(*core.QModelIndex)
}

func (ptr *QStandardItem) InsertColumn(column int, items []*QStandardItem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertColumn", column, items})
}

func (ptr *QStandardItem) InsertColumns(column int, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertColumns", column, count})
}

func (ptr *QStandardItem) InsertRow(row int, items []*QStandardItem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRow", row, items})
}

func (ptr *QStandardItem) InsertRow2(row int, item QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRow2", row, item})
}

func (ptr *QStandardItem) InsertRows(row int, items []*QStandardItem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRows", row, items})
}

func (ptr *QStandardItem) InsertRows2(row int, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRows2", row, count})
}

func (ptr *QStandardItem) IsAutoTristate() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAutoTristate"}).(bool)
}

func (ptr *QStandardItem) IsCheckable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCheckable"}).(bool)
}

func (ptr *QStandardItem) IsDragEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDragEnabled"}).(bool)
}

func (ptr *QStandardItem) IsDropEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDropEnabled"}).(bool)
}

func (ptr *QStandardItem) IsEditable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEditable"}).(bool)
}

func (ptr *QStandardItem) IsEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEnabled"}).(bool)
}

func (ptr *QStandardItem) IsSelectable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSelectable"}).(bool)
}

func (ptr *QStandardItem) IsUserTristate() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsUserTristate"}).(bool)
}

func (ptr *QStandardItem) Model() *QStandardItemModel {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Model"}).(*QStandardItemModel)
}

func (ptr *QStandardItem) Parent() *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent"}).(*QStandardItem)
}

func (ptr *QStandardItem) ConnectRead(f func(in *core.QDataStream)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRead", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStandardItem) DisconnectRead() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRead"})
}

func (ptr *QStandardItem) Read(in core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read", in})
}

func (ptr *QStandardItem) ReadDefault(in core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadDefault", in})
}

func (ptr *QStandardItem) RemoveColumn(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveColumn", column})
}

func (ptr *QStandardItem) RemoveColumns(column int, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveColumns", column, count})
}

func (ptr *QStandardItem) RemoveRow(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRow", row})
}

func (ptr *QStandardItem) RemoveRows(row int, count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRows", row, count})
}

func (ptr *QStandardItem) Row() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Row"}).(float64))
}

func (ptr *QStandardItem) RowCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount"}).(float64))
}

func (ptr *QStandardItem) SetAccessibleDescription(accessibleDescription string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAccessibleDescription", accessibleDescription})
}

func (ptr *QStandardItem) SetAccessibleText(accessibleText string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAccessibleText", accessibleText})
}

func (ptr *QStandardItem) SetAutoTristate(tristate bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoTristate", tristate})
}

func (ptr *QStandardItem) SetBackground(brush QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackground", brush})
}

func (ptr *QStandardItem) SetCheckState(state core.Qt__CheckState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckState", state})
}

func (ptr *QStandardItem) SetCheckable(checkable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckable", checkable})
}

func (ptr *QStandardItem) SetChild(row int, column int, item QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChild", row, column, item})
}

func (ptr *QStandardItem) SetChild2(row int, item QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChild2", row, item})
}

func (ptr *QStandardItem) SetColumnCount(columns int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnCount", columns})
}

func (ptr *QStandardItem) ConnectSetData(f func(value *core.QVariant, role int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStandardItem) DisconnectSetData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetData"})
}

func (ptr *QStandardItem) SetData(value core.QVariant_ITF, role int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData", value, role})
}

func (ptr *QStandardItem) SetDataDefault(value core.QVariant_ITF, role int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDataDefault", value, role})
}

func (ptr *QStandardItem) SetDragEnabled(dragEnabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDragEnabled", dragEnabled})
}

func (ptr *QStandardItem) SetDropEnabled(dropEnabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDropEnabled", dropEnabled})
}

func (ptr *QStandardItem) SetEditable(editable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEditable", editable})
}

func (ptr *QStandardItem) SetEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEnabled", enabled})
}

func (ptr *QStandardItem) SetFlags(flags core.Qt__ItemFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlags", flags})
}

func (ptr *QStandardItem) SetFont(font QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont", font})
}

func (ptr *QStandardItem) SetForeground(brush QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetForeground", brush})
}

func (ptr *QStandardItem) SetIcon(icon QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", icon})
}

func (ptr *QStandardItem) SetRowCount(rows int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowCount", rows})
}

func (ptr *QStandardItem) SetSelectable(selectable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectable", selectable})
}

func (ptr *QStandardItem) SetSizeHint(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSizeHint", size})
}

func (ptr *QStandardItem) SetStatusTip(statusTip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStatusTip", statusTip})
}

func (ptr *QStandardItem) SetText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", text})
}

func (ptr *QStandardItem) SetTextAlignment(alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextAlignment", alignment})
}

func (ptr *QStandardItem) SetToolTip(toolTip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolTip", toolTip})
}

func (ptr *QStandardItem) SetUserTristate(tristate bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUserTristate", tristate})
}

func (ptr *QStandardItem) SetWhatsThis(whatsThis string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWhatsThis", whatsThis})
}

func (ptr *QStandardItem) SizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint"}).(*core.QSize)
}

func (ptr *QStandardItem) SortChildren(column int, order core.Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortChildren", column, order})
}

func (ptr *QStandardItem) StatusTip() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StatusTip"}).(string)
}

func (ptr *QStandardItem) TakeChild(row int, column int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeChild", row, column}).(*QStandardItem)
}

func (ptr *QStandardItem) TakeColumn(column int) []*QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeColumn", column}).([]*QStandardItem)
}

func (ptr *QStandardItem) TakeRow(row int) []*QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeRow", row}).([]*QStandardItem)
}

func (ptr *QStandardItem) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QStandardItem) TextAlignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextAlignment"}).(float64))
}

func (ptr *QStandardItem) ToolTip() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolTip"}).(string)
}

func (ptr *QStandardItem) ConnectType(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectType", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStandardItem) DisconnectType() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectType"})
}

func (ptr *QStandardItem) Type() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QStandardItem) TypeDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TypeDefault"}).(float64))
}

func (ptr *QStandardItem) WhatsThis() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WhatsThis"}).(string)
}

func (ptr *QStandardItem) ConnectWrite(f func(out *core.QDataStream)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWrite", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStandardItem) DisconnectWrite() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWrite"})
}

func (ptr *QStandardItem) Write(out core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write", out})
}

func (ptr *QStandardItem) WriteDefault(out core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteDefault", out})
}

func (ptr *QStandardItem) ConnectDestroyQStandardItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQStandardItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStandardItem) DisconnectDestroyQStandardItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQStandardItem"})
}

func (ptr *QStandardItem) DestroyQStandardItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStandardItem"})
}

func (ptr *QStandardItem) DestroyQStandardItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStandardItemDefault"})
}

func (ptr *QStandardItem) __appendColumn_items_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendColumn_items_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItem) __appendColumn_items_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendColumn_items_setList", i})
}

func (ptr *QStandardItem) __appendColumn_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendColumn_items_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItem) __appendRow_items_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendRow_items_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItem) __appendRow_items_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendRow_items_setList", i})
}

func (ptr *QStandardItem) __appendRow_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendRow_items_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItem) __appendRows_items_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendRows_items_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItem) __appendRows_items_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendRows_items_setList", i})
}

func (ptr *QStandardItem) __appendRows_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendRows_items_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItem) __insertColumn_items_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertColumn_items_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItem) __insertColumn_items_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertColumn_items_setList", i})
}

func (ptr *QStandardItem) __insertColumn_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertColumn_items_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItem) __insertRow_items_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertRow_items_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItem) __insertRow_items_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertRow_items_setList", i})
}

func (ptr *QStandardItem) __insertRow_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertRow_items_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItem) __insertRows_items_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertRows_items_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItem) __insertRows_items_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertRows_items_setList", i})
}

func (ptr *QStandardItem) __insertRows_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertRows_items_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItem) __takeColumn_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeColumn_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItem) __takeColumn_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeColumn_setList", i})
}

func (ptr *QStandardItem) __takeColumn_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeColumn_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItem) __takeRow_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeRow_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItem) __takeRow_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeRow_setList", i})
}

func (ptr *QStandardItem) __takeRow_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeRow_newList"}).(unsafe.Pointer)
}

type QStandardItemModel struct {
	core.QAbstractItemModel
}

type QStandardItemModel_ITF interface {
	core.QAbstractItemModel_ITF
	QStandardItemModel_PTR() *QStandardItemModel
}

func (ptr *QStandardItemModel) QStandardItemModel_PTR() *QStandardItemModel {
	return ptr
}

func (ptr *QStandardItemModel) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemModel_PTR().Pointer()
	}
	return nil
}

func (ptr *QStandardItemModel) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractItemModel_PTR().SetPointer(p)
	}
}

func PointerFromQStandardItemModel(ptr QStandardItemModel_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStandardItemModel_PTR().Pointer()
	}
	return nil
}

func (n *QStandardItemModel) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractItemModel_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStandardItemModel) ClassNameInternalF() string {
	return n.QAbstractItemModel_PTR().ClassNameInternalF()
}

func NewQStandardItemModelFromPointer(ptr unsafe.Pointer) (n *QStandardItemModel) {
	n = new(QStandardItemModel)
	n.InitFromInternal(uintptr(ptr), "gui.QStandardItemModel")
	return
}
func NewQStandardItemModel(parent core.QObject_ITF) *QStandardItemModel {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQStandardItemModel", "", parent}).(*QStandardItemModel)
}

func NewQStandardItemModel2(rows int, columns int, parent core.QObject_ITF) *QStandardItemModel {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQStandardItemModel2", "", rows, columns, parent}).(*QStandardItemModel)
}

func (ptr *QStandardItemModel) AppendColumn(items []*QStandardItem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendColumn", items})
}

func (ptr *QStandardItemModel) AppendRow(items []*QStandardItem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendRow", items})
}

func (ptr *QStandardItemModel) AppendRow2(item QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendRow2", item})
}

func (ptr *QStandardItemModel) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QStandardItemModel) ClearItemData(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearItemData", index}).(bool)
}

func (ptr *QStandardItemModel) ConnectColumnCount(f func(parent *core.QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStandardItemModel) DisconnectColumnCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnCount"})
}

func (ptr *QStandardItemModel) ColumnCount(parent core.QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount", parent}).(float64))
}

func (ptr *QStandardItemModel) ColumnCountDefault(parent core.QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCountDefault", parent}).(float64))
}

func (ptr *QStandardItemModel) ConnectData(f func(index *core.QModelIndex, role int) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStandardItemModel) DisconnectData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectData"})
}

func (ptr *QStandardItemModel) Data(index core.QModelIndex_ITF, role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", index, role}).(*core.QVariant)
}

func (ptr *QStandardItemModel) DataDefault(index core.QModelIndex_ITF, role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataDefault", index, role}).(*core.QVariant)
}

func (ptr *QStandardItemModel) DropMimeDataDefault(data core.QMimeData_ITF, action core.Qt__DropAction, row int, column int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropMimeDataDefault", data, action, row, column, parent}).(bool)
}

func (ptr *QStandardItemModel) FindItems(text string, flags core.Qt__MatchFlag, column int) []*QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FindItems", text, flags, column}).([]*QStandardItem)
}

func (ptr *QStandardItemModel) FlagsDefault(index core.QModelIndex_ITF) core.Qt__ItemFlag {

	return core.Qt__ItemFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FlagsDefault", index}).(float64))
}

func (ptr *QStandardItemModel) HasChildrenDefault(parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasChildrenDefault", parent}).(bool)
}

func (ptr *QStandardItemModel) HeaderDataDefault(section int, orientation core.Qt__Orientation, role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeaderDataDefault", section, orientation, role}).(*core.QVariant)
}

func (ptr *QStandardItemModel) HorizontalHeaderItem(column int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalHeaderItem", column}).(*QStandardItem)
}

func (ptr *QStandardItemModel) ConnectIndex(f func(row int, column int, parent *core.QModelIndex) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStandardItemModel) DisconnectIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndex"})
}

func (ptr *QStandardItemModel) Index(row int, column int, parent core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index", row, column, parent}).(*core.QModelIndex)
}

func (ptr *QStandardItemModel) IndexDefault(row int, column int, parent core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexDefault", row, column, parent}).(*core.QModelIndex)
}

func (ptr *QStandardItemModel) IndexFromItem(item QStandardItem_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexFromItem", item}).(*core.QModelIndex)
}

func (ptr *QStandardItemModel) InsertColumn(column int, items []*QStandardItem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertColumn", column, items})
}

func (ptr *QStandardItemModel) InsertColumnsDefault(column int, count int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertColumnsDefault", column, count, parent}).(bool)
}

func (ptr *QStandardItemModel) InsertRow(row int, items []*QStandardItem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRow", row, items})
}

func (ptr *QStandardItemModel) InsertRow2(row int, item QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRow2", row, item})
}

func (ptr *QStandardItemModel) InsertRowsDefault(row int, count int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRowsDefault", row, count, parent}).(bool)
}

func (ptr *QStandardItemModel) InvisibleRootItem() *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvisibleRootItem"}).(*QStandardItem)
}

func (ptr *QStandardItemModel) Item(row int, column int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Item", row, column}).(*QStandardItem)
}

func (ptr *QStandardItemModel) ConnectItemChanged(f func(item *QStandardItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStandardItemModel) DisconnectItemChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemChanged"})
}

func (ptr *QStandardItemModel) ItemChanged(item QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemChanged", item})
}

func (ptr *QStandardItemModel) ItemDataDefault(index core.QModelIndex_ITF) map[int]*core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemDataDefault", index}).(map[int]*core.QVariant)
}

func (ptr *QStandardItemModel) ItemFromIndex(index core.QModelIndex_ITF) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemFromIndex", index}).(*QStandardItem)
}

func (ptr *QStandardItemModel) ItemPrototype() *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemPrototype"}).(*QStandardItem)
}

func (ptr *QStandardItemModel) MimeDataDefault(indexes []*core.QModelIndex) *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeDataDefault", indexes}).(*core.QMimeData)
}

func (ptr *QStandardItemModel) MimeTypesDefault() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypesDefault"}).([]string)
}

func (ptr *QStandardItemModel) ConnectParent(f func(child *core.QModelIndex) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectParent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStandardItemModel) DisconnectParent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectParent"})
}

func (ptr *QStandardItemModel) Parent(child core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent", child}).(*core.QModelIndex)
}

func (ptr *QStandardItemModel) ParentDefault(child core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentDefault", child}).(*core.QModelIndex)
}

func (ptr *QStandardItemModel) RemoveColumnsDefault(column int, count int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveColumnsDefault", column, count, parent}).(bool)
}

func (ptr *QStandardItemModel) RemoveRowsDefault(row int, count int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRowsDefault", row, count, parent}).(bool)
}

func (ptr *QStandardItemModel) ConnectRowCount(f func(parent *core.QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStandardItemModel) DisconnectRowCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowCount"})
}

func (ptr *QStandardItemModel) RowCount(parent core.QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount", parent}).(float64))
}

func (ptr *QStandardItemModel) RowCountDefault(parent core.QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCountDefault", parent}).(float64))
}

func (ptr *QStandardItemModel) SetColumnCount(columns int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnCount", columns})
}

func (ptr *QStandardItemModel) SetDataDefault(index core.QModelIndex_ITF, value core.QVariant_ITF, role int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDataDefault", index, value, role}).(bool)
}

func (ptr *QStandardItemModel) SetHeaderDataDefault(section int, orientation core.Qt__Orientation, value core.QVariant_ITF, role int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeaderDataDefault", section, orientation, value, role}).(bool)
}

func (ptr *QStandardItemModel) SetHorizontalHeaderItem(column int, item QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalHeaderItem", column, item})
}

func (ptr *QStandardItemModel) SetHorizontalHeaderLabels(labels []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalHeaderLabels", labels})
}

func (ptr *QStandardItemModel) SetItem(row int, column int, item QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItem", row, column, item})
}

func (ptr *QStandardItemModel) SetItem2(row int, item QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItem2", row, item})
}

func (ptr *QStandardItemModel) SetItemDataDefault(index core.QModelIndex_ITF, roles map[int]*core.QVariant) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemDataDefault", index, roles}).(bool)
}

func (ptr *QStandardItemModel) SetItemPrototype(item QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemPrototype", item})
}

func (ptr *QStandardItemModel) SetItemRoleNames(roleNames map[int]*core.QByteArray) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemRoleNames", roleNames})
}

func (ptr *QStandardItemModel) SetRowCount(rows int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowCount", rows})
}

func (ptr *QStandardItemModel) SetSortRole(role int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSortRole", role})
}

func (ptr *QStandardItemModel) SetVerticalHeaderItem(row int, item QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalHeaderItem", row, item})
}

func (ptr *QStandardItemModel) SetVerticalHeaderLabels(labels []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalHeaderLabels", labels})
}

func (ptr *QStandardItemModel) SiblingDefault(row int, column int, idx core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SiblingDefault", row, column, idx}).(*core.QModelIndex)
}

func (ptr *QStandardItemModel) SortDefault(column int, order core.Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortDefault", column, order})
}

func (ptr *QStandardItemModel) SortRole() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortRole"}).(float64))
}

func (ptr *QStandardItemModel) SupportedDropActionsDefault() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDropActionsDefault"}).(float64))
}

func (ptr *QStandardItemModel) TakeColumn(column int) []*QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeColumn", column}).([]*QStandardItem)
}

func (ptr *QStandardItemModel) TakeHorizontalHeaderItem(column int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeHorizontalHeaderItem", column}).(*QStandardItem)
}

func (ptr *QStandardItemModel) TakeItem(row int, column int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeItem", row, column}).(*QStandardItem)
}

func (ptr *QStandardItemModel) TakeRow(row int) []*QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeRow", row}).([]*QStandardItem)
}

func (ptr *QStandardItemModel) TakeVerticalHeaderItem(row int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeVerticalHeaderItem", row}).(*QStandardItem)
}

func (ptr *QStandardItemModel) VerticalHeaderItem(row int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalHeaderItem", row}).(*QStandardItem)
}

func (ptr *QStandardItemModel) ConnectDestroyQStandardItemModel(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQStandardItemModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStandardItemModel) DisconnectDestroyQStandardItemModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQStandardItemModel"})
}

func (ptr *QStandardItemModel) DestroyQStandardItemModel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStandardItemModel"})
}

func (ptr *QStandardItemModel) DestroyQStandardItemModelDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStandardItemModelDefault"})
}

func (ptr *QStandardItemModel) __appendColumn_items_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendColumn_items_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItemModel) __appendColumn_items_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendColumn_items_setList", i})
}

func (ptr *QStandardItemModel) __appendColumn_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendColumn_items_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __appendRow_items_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendRow_items_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItemModel) __appendRow_items_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendRow_items_setList", i})
}

func (ptr *QStandardItemModel) __appendRow_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__appendRow_items_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __findItems_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findItems_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItemModel) __findItems_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findItems_setList", i})
}

func (ptr *QStandardItemModel) __findItems_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findItems_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __insertColumn_items_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertColumn_items_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItemModel) __insertColumn_items_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertColumn_items_setList", i})
}

func (ptr *QStandardItemModel) __insertColumn_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertColumn_items_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __insertRow_items_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertRow_items_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItemModel) __insertRow_items_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertRow_items_setList", i})
}

func (ptr *QStandardItemModel) __insertRow_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertRow_items_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __itemData_atList(v int, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_atList", v, i}).(*core.QVariant)
}

func (ptr *QStandardItemModel) __itemData_setList(key int, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_setList", key, i})
}

func (ptr *QStandardItemModel) __itemData_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __itemData_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_keyList"}).([]int)
}

func (ptr *QStandardItemModel) __mimeData_indexes_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_indexes_atList", i}).(*core.QModelIndex)
}

func (ptr *QStandardItemModel) __mimeData_indexes_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_indexes_setList", i})
}

func (ptr *QStandardItemModel) __mimeData_indexes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_indexes_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __setItemData_roles_atList(v int, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_atList", v, i}).(*core.QVariant)
}

func (ptr *QStandardItemModel) __setItemData_roles_setList(key int, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_setList", key, i})
}

func (ptr *QStandardItemModel) __setItemData_roles_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __setItemData_roles_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_keyList"}).([]int)
}

func (ptr *QStandardItemModel) __setItemRoleNames_roleNames_atList(v int, i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemRoleNames_roleNames_atList", v, i}).(*core.QByteArray)
}

func (ptr *QStandardItemModel) __setItemRoleNames_roleNames_setList(key int, i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemRoleNames_roleNames_setList", key, i})
}

func (ptr *QStandardItemModel) __setItemRoleNames_roleNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemRoleNames_roleNames_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __setItemRoleNames_roleNames_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemRoleNames_roleNames_keyList"}).([]int)
}

func (ptr *QStandardItemModel) __takeColumn_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeColumn_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItemModel) __takeColumn_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeColumn_setList", i})
}

func (ptr *QStandardItemModel) __takeColumn_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeColumn_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __takeRow_atList(i int) *QStandardItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeRow_atList", i}).(*QStandardItem)
}

func (ptr *QStandardItemModel) __takeRow_setList(i QStandardItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeRow_setList", i})
}

func (ptr *QStandardItemModel) __takeRow_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeRow_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) ____itemData_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____itemData_keyList_atList", i}).(float64))
}

func (ptr *QStandardItemModel) ____itemData_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____itemData_keyList_setList", i})
}

func (ptr *QStandardItemModel) ____itemData_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____itemData_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) ____setItemData_roles_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemData_roles_keyList_atList", i}).(float64))
}

func (ptr *QStandardItemModel) ____setItemData_roles_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemData_roles_keyList_setList", i})
}

func (ptr *QStandardItemModel) ____setItemData_roles_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemData_roles_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) ____setItemRoleNames_roleNames_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemRoleNames_roleNames_keyList_atList", i}).(float64))
}

func (ptr *QStandardItemModel) ____setItemRoleNames_roleNames_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemRoleNames_roleNames_keyList_setList", i})
}

func (ptr *QStandardItemModel) ____setItemRoleNames_roleNames_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemRoleNames_roleNames_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __changePersistentIndexList_from_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_from_atList", i}).(*core.QModelIndex)
}

func (ptr *QStandardItemModel) __changePersistentIndexList_from_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_from_setList", i})
}

func (ptr *QStandardItemModel) __changePersistentIndexList_from_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_from_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __changePersistentIndexList_to_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_to_atList", i}).(*core.QModelIndex)
}

func (ptr *QStandardItemModel) __changePersistentIndexList_to_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_to_setList", i})
}

func (ptr *QStandardItemModel) __changePersistentIndexList_to_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_to_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __dataChanged_roles_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_atList", i}).(float64))
}

func (ptr *QStandardItemModel) __dataChanged_roles_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_setList", i})
}

func (ptr *QStandardItemModel) __dataChanged_roles_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __layoutAboutToBeChanged_parents_atList(i int) *core.QPersistentModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutAboutToBeChanged_parents_atList", i}).(*core.QPersistentModelIndex)
}

func (ptr *QStandardItemModel) __layoutAboutToBeChanged_parents_setList(i core.QPersistentModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutAboutToBeChanged_parents_setList", i})
}

func (ptr *QStandardItemModel) __layoutAboutToBeChanged_parents_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutAboutToBeChanged_parents_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __layoutChanged_parents_atList(i int) *core.QPersistentModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutChanged_parents_atList", i}).(*core.QPersistentModelIndex)
}

func (ptr *QStandardItemModel) __layoutChanged_parents_setList(i core.QPersistentModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutChanged_parents_setList", i})
}

func (ptr *QStandardItemModel) __layoutChanged_parents_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutChanged_parents_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __match_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__match_atList", i}).(*core.QModelIndex)
}

func (ptr *QStandardItemModel) __match_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__match_setList", i})
}

func (ptr *QStandardItemModel) __match_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__match_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __persistentIndexList_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__persistentIndexList_atList", i}).(*core.QModelIndex)
}

func (ptr *QStandardItemModel) __persistentIndexList_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__persistentIndexList_setList", i})
}

func (ptr *QStandardItemModel) __persistentIndexList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__persistentIndexList_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __roleNames_atList(v int, i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_atList", v, i}).(*core.QByteArray)
}

func (ptr *QStandardItemModel) __roleNames_setList(key int, i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_setList", key, i})
}

func (ptr *QStandardItemModel) __roleNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __roleNames_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_keyList"}).([]int)
}

func (ptr *QStandardItemModel) ____doSetRoleNames_roleNames_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____doSetRoleNames_roleNames_keyList_atList", i}).(float64))
}

func (ptr *QStandardItemModel) ____doSetRoleNames_roleNames_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____doSetRoleNames_roleNames_keyList_setList", i})
}

func (ptr *QStandardItemModel) ____doSetRoleNames_roleNames_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____doSetRoleNames_roleNames_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) ____roleNames_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____roleNames_keyList_atList", i}).(float64))
}

func (ptr *QStandardItemModel) ____roleNames_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____roleNames_keyList_setList", i})
}

func (ptr *QStandardItemModel) ____roleNames_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____roleNames_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) ____setRoleNames_roleNames_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setRoleNames_roleNames_keyList_atList", i}).(float64))
}

func (ptr *QStandardItemModel) ____setRoleNames_roleNames_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setRoleNames_roleNames_keyList_setList", i})
}

func (ptr *QStandardItemModel) ____setRoleNames_roleNames_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setRoleNames_roleNames_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QStandardItemModel) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QStandardItemModel) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QStandardItemModel) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QStandardItemModel) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QStandardItemModel) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QStandardItemModel) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QStandardItemModel) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QStandardItemModel) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QStandardItemModel) BuddyDefault(index core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BuddyDefault", index}).(*core.QModelIndex)
}

func (ptr *QStandardItemModel) CanDropMimeDataDefault(data core.QMimeData_ITF, action core.Qt__DropAction, row int, column int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanDropMimeDataDefault", data, action, row, column, parent}).(bool)
}

func (ptr *QStandardItemModel) CanFetchMoreDefault(parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanFetchMoreDefault", parent}).(bool)
}

func (ptr *QStandardItemModel) FetchMoreDefault(parent core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FetchMoreDefault", parent})
}

func (ptr *QStandardItemModel) MatchDefault(start core.QModelIndex_ITF, role int, value core.QVariant_ITF, hits int, flags core.Qt__MatchFlag) []*core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MatchDefault", start, role, value, hits, flags}).([]*core.QModelIndex)
}

func (ptr *QStandardItemModel) MoveColumnsDefault(sourceParent core.QModelIndex_ITF, sourceColumn int, count int, destinationParent core.QModelIndex_ITF, destinationChild int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveColumnsDefault", sourceParent, sourceColumn, count, destinationParent, destinationChild}).(bool)
}

func (ptr *QStandardItemModel) MoveRowsDefault(sourceParent core.QModelIndex_ITF, sourceRow int, count int, destinationParent core.QModelIndex_ITF, destinationChild int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveRowsDefault", sourceParent, sourceRow, count, destinationParent, destinationChild}).(bool)
}

func (ptr *QStandardItemModel) ResetInternalDataDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetInternalDataDefault"})
}

func (ptr *QStandardItemModel) RevertDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RevertDefault"})
}

func (ptr *QStandardItemModel) RoleNamesDefault() map[int]*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RoleNamesDefault"}).(map[int]*core.QByteArray)
}

func (ptr *QStandardItemModel) SpanDefault(index core.QModelIndex_ITF) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SpanDefault", index}).(*core.QSize)
}

func (ptr *QStandardItemModel) SubmitDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubmitDefault"}).(bool)
}

func (ptr *QStandardItemModel) SupportedDragActionsDefault() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDragActionsDefault"}).(float64))
}

func (ptr *QStandardItemModel) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QStandardItemModel) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QStandardItemModel) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QStandardItemModel) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QStandardItemModel) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QStandardItemModel) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QStandardItemModel) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QStandardItemModel) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QStandardItemModel) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QStaticText struct {
	internal.Internal
}

type QStaticText_ITF interface {
	QStaticText_PTR() *QStaticText
}

func (ptr *QStaticText) QStaticText_PTR() *QStaticText {
	return ptr
}

func (ptr *QStaticText) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStaticText) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStaticText(ptr QStaticText_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStaticText_PTR().Pointer()
	}
	return nil
}

func (n *QStaticText) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStaticTextFromPointer(ptr unsafe.Pointer) (n *QStaticText) {
	n = new(QStaticText)
	n.InitFromInternal(uintptr(ptr), "gui.QStaticText")
	return
}

//go:generate stringer -type=QStaticText__PerformanceHint
//QStaticText::PerformanceHint
type QStaticText__PerformanceHint int64

const (
	QStaticText__ModerateCaching   QStaticText__PerformanceHint = QStaticText__PerformanceHint(0)
	QStaticText__AggressiveCaching QStaticText__PerformanceHint = QStaticText__PerformanceHint(1)
)

func NewQStaticText() *QStaticText {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQStaticText", ""}).(*QStaticText)
}

func NewQStaticText2(text string) *QStaticText {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQStaticText2", "", text}).(*QStaticText)
}

func NewQStaticText3(other QStaticText_ITF) *QStaticText {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQStaticText3", "", other}).(*QStaticText)
}

func (ptr *QStaticText) PerformanceHint() QStaticText__PerformanceHint {

	return QStaticText__PerformanceHint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PerformanceHint"}).(float64))
}

func (ptr *QStaticText) Prepare(matrix QTransform_ITF, font QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Prepare", matrix, font})
}

func (ptr *QStaticText) SetPerformanceHint(performanceHint QStaticText__PerformanceHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPerformanceHint", performanceHint})
}

func (ptr *QStaticText) SetText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", text})
}

func (ptr *QStaticText) SetTextFormat(textFormat core.Qt__TextFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextFormat", textFormat})
}

func (ptr *QStaticText) SetTextOption(textOption QTextOption_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextOption", textOption})
}

func (ptr *QStaticText) SetTextWidth(textWidth float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextWidth", textWidth})
}

func (ptr *QStaticText) Size() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(*core.QSizeF)
}

func (ptr *QStaticText) Swap(other QStaticText_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QStaticText) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QStaticText) TextFormat() core.Qt__TextFormat {

	return core.Qt__TextFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextFormat"}).(float64))
}

func (ptr *QStaticText) TextOption() *QTextOption {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextOption"}).(*QTextOption)
}

func (ptr *QStaticText) TextWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextWidth"}).(float64)
}

func (ptr *QStaticText) DestroyQStaticText() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStaticText"})
}

type QStatusTipEvent struct {
	core.QEvent
}

type QStatusTipEvent_ITF interface {
	core.QEvent_ITF
	QStatusTipEvent_PTR() *QStatusTipEvent
}

func (ptr *QStatusTipEvent) QStatusTipEvent_PTR() *QStatusTipEvent {
	return ptr
}

func (ptr *QStatusTipEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QStatusTipEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQStatusTipEvent(ptr QStatusTipEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStatusTipEvent_PTR().Pointer()
	}
	return nil
}

func (n *QStatusTipEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStatusTipEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQStatusTipEventFromPointer(ptr unsafe.Pointer) (n *QStatusTipEvent) {
	n = new(QStatusTipEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QStatusTipEvent")
	return
}

func (ptr *QStatusTipEvent) DestroyQStatusTipEvent() {
}

func NewQStatusTipEvent(tip string) *QStatusTipEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQStatusTipEvent", "", tip}).(*QStatusTipEvent)
}

func (ptr *QStatusTipEvent) Tip() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Tip"}).(string)
}

type QStyleHints struct {
	core.QObject
}

type QStyleHints_ITF interface {
	core.QObject_ITF
	QStyleHints_PTR() *QStyleHints
}

func (ptr *QStyleHints) QStyleHints_PTR() *QStyleHints {
	return ptr
}

func (ptr *QStyleHints) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleHints) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQStyleHints(ptr QStyleHints_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleHints_PTR().Pointer()
	}
	return nil
}

func (n *QStyleHints) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleHints) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQStyleHintsFromPointer(ptr unsafe.Pointer) (n *QStyleHints) {
	n = new(QStyleHints)
	n.InitFromInternal(uintptr(ptr), "gui.QStyleHints")
	return
}

func (ptr *QStyleHints) DestroyQStyleHints() {
}

func (ptr *QStyleHints) CursorFlashTime() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorFlashTime"}).(float64))
}

func (ptr *QStyleHints) ConnectCursorFlashTimeChanged(f func(cursorFlashTime int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCursorFlashTimeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyleHints) DisconnectCursorFlashTimeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCursorFlashTimeChanged"})
}

func (ptr *QStyleHints) CursorFlashTimeChanged(cursorFlashTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorFlashTimeChanged", cursorFlashTime})
}

func (ptr *QStyleHints) FontSmoothingGamma() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontSmoothingGamma"}).(float64)
}

func (ptr *QStyleHints) KeyboardAutoRepeatRate() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyboardAutoRepeatRate"}).(float64))
}

func (ptr *QStyleHints) KeyboardInputInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyboardInputInterval"}).(float64))
}

func (ptr *QStyleHints) ConnectKeyboardInputIntervalChanged(f func(keyboardInputInterval int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectKeyboardInputIntervalChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyleHints) DisconnectKeyboardInputIntervalChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectKeyboardInputIntervalChanged"})
}

func (ptr *QStyleHints) KeyboardInputIntervalChanged(keyboardInputInterval int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyboardInputIntervalChanged", keyboardInputInterval})
}

func (ptr *QStyleHints) MouseDoubleClickInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseDoubleClickInterval"}).(float64))
}

func (ptr *QStyleHints) ConnectMouseDoubleClickIntervalChanged(f func(mouseDoubleClickInterval int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMouseDoubleClickIntervalChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyleHints) DisconnectMouseDoubleClickIntervalChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMouseDoubleClickIntervalChanged"})
}

func (ptr *QStyleHints) MouseDoubleClickIntervalChanged(mouseDoubleClickInterval int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseDoubleClickIntervalChanged", mouseDoubleClickInterval})
}

func (ptr *QStyleHints) MousePressAndHoldInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MousePressAndHoldInterval"}).(float64))
}

func (ptr *QStyleHints) ConnectMousePressAndHoldIntervalChanged(f func(mousePressAndHoldInterval int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMousePressAndHoldIntervalChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyleHints) DisconnectMousePressAndHoldIntervalChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMousePressAndHoldIntervalChanged"})
}

func (ptr *QStyleHints) MousePressAndHoldIntervalChanged(mousePressAndHoldInterval int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MousePressAndHoldIntervalChanged", mousePressAndHoldInterval})
}

func (ptr *QStyleHints) MouseQuickSelectionThreshold() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseQuickSelectionThreshold"}).(float64))
}

func (ptr *QStyleHints) ConnectMouseQuickSelectionThresholdChanged(f func(threshold int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMouseQuickSelectionThresholdChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyleHints) DisconnectMouseQuickSelectionThresholdChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMouseQuickSelectionThresholdChanged"})
}

func (ptr *QStyleHints) MouseQuickSelectionThresholdChanged(threshold int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseQuickSelectionThresholdChanged", threshold})
}

func (ptr *QStyleHints) PasswordMaskCharacter() *core.QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PasswordMaskCharacter"}).(*core.QChar)
}

func (ptr *QStyleHints) PasswordMaskDelay() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PasswordMaskDelay"}).(float64))
}

func (ptr *QStyleHints) SetFocusOnTouchRelease() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFocusOnTouchRelease"}).(bool)
}

func (ptr *QStyleHints) SetShowShortcutsInContextMenus(showShortcutsInContextMenus bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShowShortcutsInContextMenus", showShortcutsInContextMenus})
}

func (ptr *QStyleHints) SetUseHoverEffects(useHoverEffects bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUseHoverEffects", useHoverEffects})
}

func (ptr *QStyleHints) ShowIsFullScreen() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowIsFullScreen"}).(bool)
}

func (ptr *QStyleHints) ShowIsMaximized() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowIsMaximized"}).(bool)
}

func (ptr *QStyleHints) ShowShortcutsInContextMenus() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowShortcutsInContextMenus"}).(bool)
}

func (ptr *QStyleHints) ConnectShowShortcutsInContextMenusChanged(f func(vbo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowShortcutsInContextMenusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyleHints) DisconnectShowShortcutsInContextMenusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowShortcutsInContextMenusChanged"})
}

func (ptr *QStyleHints) ShowShortcutsInContextMenusChanged(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowShortcutsInContextMenusChanged", vbo})
}

func (ptr *QStyleHints) SingleClickActivation() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SingleClickActivation"}).(bool)
}

func (ptr *QStyleHints) StartDragDistance() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDragDistance"}).(float64))
}

func (ptr *QStyleHints) ConnectStartDragDistanceChanged(f func(startDragDistance int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStartDragDistanceChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyleHints) DisconnectStartDragDistanceChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStartDragDistanceChanged"})
}

func (ptr *QStyleHints) StartDragDistanceChanged(startDragDistance int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDragDistanceChanged", startDragDistance})
}

func (ptr *QStyleHints) StartDragTime() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDragTime"}).(float64))
}

func (ptr *QStyleHints) ConnectStartDragTimeChanged(f func(startDragTime int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStartDragTimeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyleHints) DisconnectStartDragTimeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStartDragTimeChanged"})
}

func (ptr *QStyleHints) StartDragTimeChanged(startDragTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDragTimeChanged", startDragTime})
}

func (ptr *QStyleHints) StartDragVelocity() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDragVelocity"}).(float64))
}

func (ptr *QStyleHints) TabFocusBehavior() core.Qt__TabFocusBehavior {

	return core.Qt__TabFocusBehavior(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabFocusBehavior"}).(float64))
}

func (ptr *QStyleHints) ConnectTabFocusBehaviorChanged(f func(tabFocusBehavior core.Qt__TabFocusBehavior)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabFocusBehaviorChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyleHints) DisconnectTabFocusBehaviorChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabFocusBehaviorChanged"})
}

func (ptr *QStyleHints) TabFocusBehaviorChanged(tabFocusBehavior core.Qt__TabFocusBehavior) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabFocusBehaviorChanged", tabFocusBehavior})
}

func (ptr *QStyleHints) UseHoverEffects() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UseHoverEffects"}).(bool)
}

func (ptr *QStyleHints) ConnectUseHoverEffectsChanged(f func(useHoverEffects bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUseHoverEffectsChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyleHints) DisconnectUseHoverEffectsChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUseHoverEffectsChanged"})
}

func (ptr *QStyleHints) UseHoverEffectsChanged(useHoverEffects bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UseHoverEffectsChanged", useHoverEffects})
}

func (ptr *QStyleHints) UseRtlExtensions() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UseRtlExtensions"}).(bool)
}

func (ptr *QStyleHints) WheelScrollLines() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WheelScrollLines"}).(float64))
}

func (ptr *QStyleHints) ConnectWheelScrollLinesChanged(f func(scrollLines int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWheelScrollLinesChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyleHints) DisconnectWheelScrollLinesChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWheelScrollLinesChanged"})
}

func (ptr *QStyleHints) WheelScrollLinesChanged(scrollLines int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WheelScrollLinesChanged", scrollLines})
}

func (ptr *QStyleHints) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QStyleHints) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QStyleHints) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QStyleHints) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QStyleHints) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QStyleHints) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QStyleHints) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QStyleHints) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QStyleHints) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QStyleHints) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QStyleHints) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QStyleHints) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QStyleHints) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QStyleHints) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QStyleHints) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QStyleHints) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QStyleHints) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QStyleHints) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QStyleHints) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QStyleHints) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QStyleHints) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QSupportedWritingSystems struct {
	internal.Internal
}

type QSupportedWritingSystems_ITF interface {
	QSupportedWritingSystems_PTR() *QSupportedWritingSystems
}

func (ptr *QSupportedWritingSystems) QSupportedWritingSystems_PTR() *QSupportedWritingSystems {
	return ptr
}

func (ptr *QSupportedWritingSystems) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSupportedWritingSystems) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSupportedWritingSystems(ptr QSupportedWritingSystems_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSupportedWritingSystems_PTR().Pointer()
	}
	return nil
}

func (n *QSupportedWritingSystems) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSupportedWritingSystemsFromPointer(ptr unsafe.Pointer) (n *QSupportedWritingSystems) {
	n = new(QSupportedWritingSystems)
	n.InitFromInternal(uintptr(ptr), "gui.QSupportedWritingSystems")
	return
}

type QSurface struct {
	internal.Internal
}

type QSurface_ITF interface {
	QSurface_PTR() *QSurface
}

func (ptr *QSurface) QSurface_PTR() *QSurface {
	return ptr
}

func (ptr *QSurface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSurface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSurface(ptr QSurface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSurface_PTR().Pointer()
	}
	return nil
}

func (n *QSurface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSurfaceFromPointer(ptr unsafe.Pointer) (n *QSurface) {
	n = new(QSurface)
	n.InitFromInternal(uintptr(ptr), "gui.QSurface")
	return
}

//go:generate stringer -type=QSurface__SurfaceClass
//QSurface::SurfaceClass
type QSurface__SurfaceClass int64

const (
	QSurface__Window    QSurface__SurfaceClass = QSurface__SurfaceClass(0)
	QSurface__Offscreen QSurface__SurfaceClass = QSurface__SurfaceClass(1)
)

//go:generate stringer -type=QSurface__SurfaceType
//QSurface::SurfaceType
type QSurface__SurfaceType int64

const (
	QSurface__RasterSurface   QSurface__SurfaceType = QSurface__SurfaceType(0)
	QSurface__OpenGLSurface   QSurface__SurfaceType = QSurface__SurfaceType(1)
	QSurface__RasterGLSurface QSurface__SurfaceType = QSurface__SurfaceType(2)
	QSurface__OpenVGSurface   QSurface__SurfaceType = QSurface__SurfaceType(3)
	QSurface__VulkanSurface   QSurface__SurfaceType = QSurface__SurfaceType(4)
	QSurface__MetalSurface    QSurface__SurfaceType = QSurface__SurfaceType(5)
)

func (ptr *QSurface) ConnectFormat(f func() *QSurfaceFormat) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSurface) DisconnectFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFormat"})
}

func (ptr *QSurface) Format() *QSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*QSurfaceFormat)
}

func (ptr *QSurface) ConnectSize(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSurface) DisconnectSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSize"})
}

func (ptr *QSurface) Size() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(*core.QSize)
}

func (ptr *QSurface) SupportsOpenGL() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportsOpenGL"}).(bool)
}

func (ptr *QSurface) SurfaceClass() QSurface__SurfaceClass {

	return QSurface__SurfaceClass(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SurfaceClass"}).(float64))
}

func (ptr *QSurface) ConnectSurfaceType(f func() QSurface__SurfaceType) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSurfaceType", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSurface) DisconnectSurfaceType() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSurfaceType"})
}

func (ptr *QSurface) SurfaceType() QSurface__SurfaceType {

	return QSurface__SurfaceType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SurfaceType"}).(float64))
}

func (ptr *QSurface) ConnectDestroyQSurface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSurface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSurface) DisconnectDestroyQSurface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSurface"})
}

func (ptr *QSurface) DestroyQSurface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSurface"})
}

func (ptr *QSurface) DestroyQSurfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSurfaceDefault"})
}

type QSurfaceFormat struct {
	internal.Internal
}

type QSurfaceFormat_ITF interface {
	QSurfaceFormat_PTR() *QSurfaceFormat
}

func (ptr *QSurfaceFormat) QSurfaceFormat_PTR() *QSurfaceFormat {
	return ptr
}

func (ptr *QSurfaceFormat) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSurfaceFormat) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSurfaceFormat(ptr QSurfaceFormat_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSurfaceFormat_PTR().Pointer()
	}
	return nil
}

func (n *QSurfaceFormat) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSurfaceFormatFromPointer(ptr unsafe.Pointer) (n *QSurfaceFormat) {
	n = new(QSurfaceFormat)
	n.InitFromInternal(uintptr(ptr), "gui.QSurfaceFormat")
	return
}

//go:generate stringer -type=QSurfaceFormat__FormatOption
//QSurfaceFormat::FormatOption
type QSurfaceFormat__FormatOption int64

const (
	QSurfaceFormat__StereoBuffers       QSurfaceFormat__FormatOption = QSurfaceFormat__FormatOption(0x0001)
	QSurfaceFormat__DebugContext        QSurfaceFormat__FormatOption = QSurfaceFormat__FormatOption(0x0002)
	QSurfaceFormat__DeprecatedFunctions QSurfaceFormat__FormatOption = QSurfaceFormat__FormatOption(0x0004)
	QSurfaceFormat__ResetNotification   QSurfaceFormat__FormatOption = QSurfaceFormat__FormatOption(0x0008)
)

//go:generate stringer -type=QSurfaceFormat__SwapBehavior
//QSurfaceFormat::SwapBehavior
type QSurfaceFormat__SwapBehavior int64

const (
	QSurfaceFormat__DefaultSwapBehavior QSurfaceFormat__SwapBehavior = QSurfaceFormat__SwapBehavior(0)
	QSurfaceFormat__SingleBuffer        QSurfaceFormat__SwapBehavior = QSurfaceFormat__SwapBehavior(1)
	QSurfaceFormat__DoubleBuffer        QSurfaceFormat__SwapBehavior = QSurfaceFormat__SwapBehavior(2)
	QSurfaceFormat__TripleBuffer        QSurfaceFormat__SwapBehavior = QSurfaceFormat__SwapBehavior(3)
)

//go:generate stringer -type=QSurfaceFormat__RenderableType
//QSurfaceFormat::RenderableType
type QSurfaceFormat__RenderableType int64

const (
	QSurfaceFormat__DefaultRenderableType QSurfaceFormat__RenderableType = QSurfaceFormat__RenderableType(0x0)
	QSurfaceFormat__OpenGL                QSurfaceFormat__RenderableType = QSurfaceFormat__RenderableType(0x1)
	QSurfaceFormat__OpenGLES              QSurfaceFormat__RenderableType = QSurfaceFormat__RenderableType(0x2)
	QSurfaceFormat__OpenVG                QSurfaceFormat__RenderableType = QSurfaceFormat__RenderableType(0x4)
)

//go:generate stringer -type=QSurfaceFormat__OpenGLContextProfile
//QSurfaceFormat::OpenGLContextProfile
type QSurfaceFormat__OpenGLContextProfile int64

const (
	QSurfaceFormat__NoProfile            QSurfaceFormat__OpenGLContextProfile = QSurfaceFormat__OpenGLContextProfile(0)
	QSurfaceFormat__CoreProfile          QSurfaceFormat__OpenGLContextProfile = QSurfaceFormat__OpenGLContextProfile(1)
	QSurfaceFormat__CompatibilityProfile QSurfaceFormat__OpenGLContextProfile = QSurfaceFormat__OpenGLContextProfile(2)
)

//go:generate stringer -type=QSurfaceFormat__ColorSpace
//QSurfaceFormat::ColorSpace
type QSurfaceFormat__ColorSpace int64

const (
	QSurfaceFormat__DefaultColorSpace QSurfaceFormat__ColorSpace = QSurfaceFormat__ColorSpace(0)
	QSurfaceFormat__sRGBColorSpace    QSurfaceFormat__ColorSpace = QSurfaceFormat__ColorSpace(1)
)

func NewQSurfaceFormat() *QSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQSurfaceFormat", ""}).(*QSurfaceFormat)
}

func NewQSurfaceFormat2(options QSurfaceFormat__FormatOption) *QSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQSurfaceFormat2", "", options}).(*QSurfaceFormat)
}

func NewQSurfaceFormat3(other QSurfaceFormat_ITF) *QSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQSurfaceFormat3", "", other}).(*QSurfaceFormat)
}

func (ptr *QSurfaceFormat) AlphaBufferSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AlphaBufferSize"}).(float64))
}

func (ptr *QSurfaceFormat) BlueBufferSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlueBufferSize"}).(float64))
}

func (ptr *QSurfaceFormat) ColorSpace() QSurfaceFormat__ColorSpace {

	return QSurfaceFormat__ColorSpace(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColorSpace"}).(float64))
}

func QSurfaceFormat_DefaultFormat() *QSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QSurfaceFormat_DefaultFormat", ""}).(*QSurfaceFormat)
}

func (ptr *QSurfaceFormat) DefaultFormat() *QSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QSurfaceFormat_DefaultFormat", ""}).(*QSurfaceFormat)
}

func (ptr *QSurfaceFormat) DepthBufferSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DepthBufferSize"}).(float64))
}

func (ptr *QSurfaceFormat) GreenBufferSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GreenBufferSize"}).(float64))
}

func (ptr *QSurfaceFormat) HasAlpha() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasAlpha"}).(bool)
}

func (ptr *QSurfaceFormat) MajorVersion() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MajorVersion"}).(float64))
}

func (ptr *QSurfaceFormat) MinorVersion() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinorVersion"}).(float64))
}

func (ptr *QSurfaceFormat) Options() QSurfaceFormat__FormatOption {

	return QSurfaceFormat__FormatOption(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Options"}).(float64))
}

func (ptr *QSurfaceFormat) Profile() QSurfaceFormat__OpenGLContextProfile {

	return QSurfaceFormat__OpenGLContextProfile(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Profile"}).(float64))
}

func (ptr *QSurfaceFormat) RedBufferSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedBufferSize"}).(float64))
}

func (ptr *QSurfaceFormat) RenderableType() QSurfaceFormat__RenderableType {

	return QSurfaceFormat__RenderableType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RenderableType"}).(float64))
}

func (ptr *QSurfaceFormat) Samples() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Samples"}).(float64))
}

func (ptr *QSurfaceFormat) SetAlphaBufferSize(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlphaBufferSize", size})
}

func (ptr *QSurfaceFormat) SetBlueBufferSize(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBlueBufferSize", size})
}

func (ptr *QSurfaceFormat) SetColorSpace(colorSpace QSurfaceFormat__ColorSpace) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColorSpace", colorSpace})
}

func QSurfaceFormat_SetDefaultFormat(format QSurfaceFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QSurfaceFormat_SetDefaultFormat", "", format})
}

func (ptr *QSurfaceFormat) SetDefaultFormat(format QSurfaceFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "gui.QSurfaceFormat_SetDefaultFormat", "", format})
}

func (ptr *QSurfaceFormat) SetDepthBufferSize(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDepthBufferSize", size})
}

func (ptr *QSurfaceFormat) SetGreenBufferSize(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGreenBufferSize", size})
}

func (ptr *QSurfaceFormat) SetMajorVersion(major int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMajorVersion", major})
}

func (ptr *QSurfaceFormat) SetMinorVersion(minor int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinorVersion", minor})
}

func (ptr *QSurfaceFormat) SetOption(option QSurfaceFormat__FormatOption, on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOption", option, on})
}

func (ptr *QSurfaceFormat) SetOptions(options QSurfaceFormat__FormatOption) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOptions", options})
}

func (ptr *QSurfaceFormat) SetProfile(profile QSurfaceFormat__OpenGLContextProfile) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetProfile", profile})
}

func (ptr *QSurfaceFormat) SetRedBufferSize(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRedBufferSize", size})
}

func (ptr *QSurfaceFormat) SetRenderableType(ty QSurfaceFormat__RenderableType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRenderableType", ty})
}

func (ptr *QSurfaceFormat) SetSamples(numSamples int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSamples", numSamples})
}

func (ptr *QSurfaceFormat) SetStencilBufferSize(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStencilBufferSize", size})
}

func (ptr *QSurfaceFormat) SetStereo(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStereo", enable})
}

func (ptr *QSurfaceFormat) SetSwapBehavior(behavior QSurfaceFormat__SwapBehavior) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSwapBehavior", behavior})
}

func (ptr *QSurfaceFormat) SetSwapInterval(interval int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSwapInterval", interval})
}

func (ptr *QSurfaceFormat) SetVersion(major int, minor int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVersion", major, minor})
}

func (ptr *QSurfaceFormat) StencilBufferSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StencilBufferSize"}).(float64))
}

func (ptr *QSurfaceFormat) Stereo() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stereo"}).(bool)
}

func (ptr *QSurfaceFormat) SwapBehavior() QSurfaceFormat__SwapBehavior {

	return QSurfaceFormat__SwapBehavior(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SwapBehavior"}).(float64))
}

func (ptr *QSurfaceFormat) SwapInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SwapInterval"}).(float64))
}

func (ptr *QSurfaceFormat) TestOption(option QSurfaceFormat__FormatOption) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TestOption", option}).(bool)
}

func (ptr *QSurfaceFormat) DestroyQSurfaceFormat() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSurfaceFormat"})
}

type QSyntaxHighlighter struct {
	core.QObject
}

type QSyntaxHighlighter_ITF interface {
	core.QObject_ITF
	QSyntaxHighlighter_PTR() *QSyntaxHighlighter
}

func (ptr *QSyntaxHighlighter) QSyntaxHighlighter_PTR() *QSyntaxHighlighter {
	return ptr
}

func (ptr *QSyntaxHighlighter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QSyntaxHighlighter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQSyntaxHighlighter(ptr QSyntaxHighlighter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSyntaxHighlighter_PTR().Pointer()
	}
	return nil
}

func (n *QSyntaxHighlighter) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSyntaxHighlighter) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQSyntaxHighlighterFromPointer(ptr unsafe.Pointer) (n *QSyntaxHighlighter) {
	n = new(QSyntaxHighlighter)
	n.InitFromInternal(uintptr(ptr), "gui.QSyntaxHighlighter")
	return
}
func NewQSyntaxHighlighter(parent core.QObject_ITF) *QSyntaxHighlighter {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQSyntaxHighlighter", "", parent}).(*QSyntaxHighlighter)
}

func NewQSyntaxHighlighter2(parent QTextDocument_ITF) *QSyntaxHighlighter {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQSyntaxHighlighter2", "", parent}).(*QSyntaxHighlighter)
}

func (ptr *QSyntaxHighlighter) CurrentBlock() *QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentBlock"}).(*QTextBlock)
}

func (ptr *QSyntaxHighlighter) CurrentBlockState() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentBlockState"}).(float64))
}

func (ptr *QSyntaxHighlighter) CurrentBlockUserData() *QTextBlockUserData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentBlockUserData"}).(*QTextBlockUserData)
}

func (ptr *QSyntaxHighlighter) Document() *QTextDocument {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Document"}).(*QTextDocument)
}

func (ptr *QSyntaxHighlighter) Format(position int) *QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format", position}).(*QTextCharFormat)
}

func (ptr *QSyntaxHighlighter) ConnectHighlightBlock(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHighlightBlock", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSyntaxHighlighter) DisconnectHighlightBlock() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHighlightBlock"})
}

func (ptr *QSyntaxHighlighter) HighlightBlock(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HighlightBlock", text})
}

func (ptr *QSyntaxHighlighter) PreviousBlockState() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PreviousBlockState"}).(float64))
}

func (ptr *QSyntaxHighlighter) ConnectRehighlight(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRehighlight", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSyntaxHighlighter) DisconnectRehighlight() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRehighlight"})
}

func (ptr *QSyntaxHighlighter) Rehighlight() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rehighlight"})
}

func (ptr *QSyntaxHighlighter) RehighlightDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RehighlightDefault"})
}

func (ptr *QSyntaxHighlighter) ConnectRehighlightBlock(f func(block *QTextBlock)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRehighlightBlock", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSyntaxHighlighter) DisconnectRehighlightBlock() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRehighlightBlock"})
}

func (ptr *QSyntaxHighlighter) RehighlightBlock(block QTextBlock_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RehighlightBlock", block})
}

func (ptr *QSyntaxHighlighter) RehighlightBlockDefault(block QTextBlock_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RehighlightBlockDefault", block})
}

func (ptr *QSyntaxHighlighter) SetCurrentBlockState(newState int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentBlockState", newState})
}

func (ptr *QSyntaxHighlighter) SetCurrentBlockUserData(data QTextBlockUserData_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentBlockUserData", data})
}

func (ptr *QSyntaxHighlighter) SetDocument(doc QTextDocument_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDocument", doc})
}

func (ptr *QSyntaxHighlighter) SetFormat(start int, count int, format QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", start, count, format})
}

func (ptr *QSyntaxHighlighter) SetFormat2(start int, count int, color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat2", start, count, color})
}

func (ptr *QSyntaxHighlighter) SetFormat3(start int, count int, font QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat3", start, count, font})
}

func (ptr *QSyntaxHighlighter) ConnectDestroyQSyntaxHighlighter(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSyntaxHighlighter", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSyntaxHighlighter) DisconnectDestroyQSyntaxHighlighter() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSyntaxHighlighter"})
}

func (ptr *QSyntaxHighlighter) DestroyQSyntaxHighlighter() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSyntaxHighlighter"})
}

func (ptr *QSyntaxHighlighter) DestroyQSyntaxHighlighterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSyntaxHighlighterDefault"})
}

func (ptr *QSyntaxHighlighter) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QSyntaxHighlighter) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QSyntaxHighlighter) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QSyntaxHighlighter) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QSyntaxHighlighter) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QSyntaxHighlighter) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QSyntaxHighlighter) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QSyntaxHighlighter) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QSyntaxHighlighter) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QSyntaxHighlighter) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QSyntaxHighlighter) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QSyntaxHighlighter) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QSyntaxHighlighter) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QSyntaxHighlighter) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QSyntaxHighlighter) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QSyntaxHighlighter) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QSyntaxHighlighter) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QSyntaxHighlighter) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QSyntaxHighlighter) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QSyntaxHighlighter) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QSyntaxHighlighter) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QTabletEvent struct {
	QInputEvent
}

type QTabletEvent_ITF interface {
	QInputEvent_ITF
	QTabletEvent_PTR() *QTabletEvent
}

func (ptr *QTabletEvent) QTabletEvent_PTR() *QTabletEvent {
	return ptr
}

func (ptr *QTabletEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QInputEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QTabletEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QInputEvent_PTR().SetPointer(p)
	}
}

func PointerFromQTabletEvent(ptr QTabletEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTabletEvent_PTR().Pointer()
	}
	return nil
}

func (n *QTabletEvent) InitFromInternal(ptr uintptr, name string) {
	n.QInputEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTabletEvent) ClassNameInternalF() string {
	return n.QInputEvent_PTR().ClassNameInternalF()
}

func NewQTabletEventFromPointer(ptr unsafe.Pointer) (n *QTabletEvent) {
	n = new(QTabletEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QTabletEvent")
	return
}

func (ptr *QTabletEvent) DestroyQTabletEvent() {
}

//go:generate stringer -type=QTabletEvent__TabletDevice
//QTabletEvent::TabletDevice
type QTabletEvent__TabletDevice int64

const (
	QTabletEvent__NoDevice       QTabletEvent__TabletDevice = QTabletEvent__TabletDevice(0)
	QTabletEvent__Puck           QTabletEvent__TabletDevice = QTabletEvent__TabletDevice(1)
	QTabletEvent__Stylus         QTabletEvent__TabletDevice = QTabletEvent__TabletDevice(2)
	QTabletEvent__Airbrush       QTabletEvent__TabletDevice = QTabletEvent__TabletDevice(3)
	QTabletEvent__FourDMouse     QTabletEvent__TabletDevice = QTabletEvent__TabletDevice(4)
	QTabletEvent__XFreeEraser    QTabletEvent__TabletDevice = QTabletEvent__TabletDevice(5)
	QTabletEvent__RotationStylus QTabletEvent__TabletDevice = QTabletEvent__TabletDevice(6)
)

//go:generate stringer -type=QTabletEvent__PointerType
//QTabletEvent::PointerType
type QTabletEvent__PointerType int64

const (
	QTabletEvent__UnknownPointer QTabletEvent__PointerType = QTabletEvent__PointerType(0)
	QTabletEvent__Pen            QTabletEvent__PointerType = QTabletEvent__PointerType(1)
	QTabletEvent__Cursor         QTabletEvent__PointerType = QTabletEvent__PointerType(2)
	QTabletEvent__Eraser         QTabletEvent__PointerType = QTabletEvent__PointerType(3)
)

func NewQTabletEvent2(ty core.QEvent__Type, pos core.QPointF_ITF, globalPos core.QPointF_ITF, device int, pointerType int, pressure float64, xTilt int, yTilt int, tangentialPressure float64, rotation float64, z int, keyState core.Qt__KeyboardModifier, uniqueID int64, button core.Qt__MouseButton, buttons core.Qt__MouseButton) *QTabletEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTabletEvent2", "", ty, pos, globalPos, device, pointerType, pressure, xTilt, yTilt, tangentialPressure, rotation, z, keyState, uniqueID, button, buttons}).(*QTabletEvent)
}

func (ptr *QTabletEvent) Button() core.Qt__MouseButton {

	return core.Qt__MouseButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Button"}).(float64))
}

func (ptr *QTabletEvent) Buttons() core.Qt__MouseButton {

	return core.Qt__MouseButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Buttons"}).(float64))
}

func (ptr *QTabletEvent) Device() QTabletEvent__TabletDevice {

	return QTabletEvent__TabletDevice(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Device"}).(float64))
}

func (ptr *QTabletEvent) GlobalPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalPos"}).(*core.QPoint)
}

func (ptr *QTabletEvent) GlobalPosF() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalPosF"}).(*core.QPointF)
}

func (ptr *QTabletEvent) GlobalX() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalX"}).(float64))
}

func (ptr *QTabletEvent) GlobalY() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalY"}).(float64))
}

func (ptr *QTabletEvent) HiResGlobalX() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HiResGlobalX"}).(float64)
}

func (ptr *QTabletEvent) HiResGlobalY() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HiResGlobalY"}).(float64)
}

func (ptr *QTabletEvent) PointerType() QTabletEvent__PointerType {

	return QTabletEvent__PointerType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PointerType"}).(float64))
}

func (ptr *QTabletEvent) Pos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPoint)
}

func (ptr *QTabletEvent) PosF() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PosF"}).(*core.QPointF)
}

func (ptr *QTabletEvent) Pressure() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pressure"}).(float64)
}

func (ptr *QTabletEvent) Rotation() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rotation"}).(float64)
}

func (ptr *QTabletEvent) TangentialPressure() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TangentialPressure"}).(float64)
}

func (ptr *QTabletEvent) UniqueId() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UniqueId"}).(float64))
}

func (ptr *QTabletEvent) X() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float64))
}

func (ptr *QTabletEvent) XTilt() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "XTilt"}).(float64))
}

func (ptr *QTabletEvent) Y() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float64))
}

func (ptr *QTabletEvent) YTilt() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "YTilt"}).(float64))
}

func (ptr *QTabletEvent) Z() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Z"}).(float64))
}

type QTextBlock struct {
	internal.Internal
}

type QTextBlock_ITF interface {
	QTextBlock_PTR() *QTextBlock
}

func (ptr *QTextBlock) QTextBlock_PTR() *QTextBlock {
	return ptr
}

func (ptr *QTextBlock) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextBlock) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextBlock(ptr QTextBlock_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextBlock_PTR().Pointer()
	}
	return nil
}

func (n *QTextBlock) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextBlockFromPointer(ptr unsafe.Pointer) (n *QTextBlock) {
	n = new(QTextBlock)
	n.InitFromInternal(uintptr(ptr), "gui.QTextBlock")
	return
}

func (ptr *QTextBlock) DestroyQTextBlock() {
}

func NewQTextBlock3(other QTextBlock_ITF) *QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextBlock3", "", other}).(*QTextBlock)
}

func (ptr *QTextBlock) BlockFormat() *QTextBlockFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockFormat"}).(*QTextBlockFormat)
}

func (ptr *QTextBlock) BlockFormatIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockFormatIndex"}).(float64))
}

func (ptr *QTextBlock) BlockNumber() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockNumber"}).(float64))
}

func (ptr *QTextBlock) CharFormat() *QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CharFormat"}).(*QTextCharFormat)
}

func (ptr *QTextBlock) CharFormatIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CharFormatIndex"}).(float64))
}

func (ptr *QTextBlock) ClearLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearLayout"})
}

func (ptr *QTextBlock) Contains(position int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", position}).(bool)
}

func (ptr *QTextBlock) Document() *QTextDocument {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Document"}).(*QTextDocument)
}

func (ptr *QTextBlock) FirstLineNumber() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FirstLineNumber"}).(float64))
}

func (ptr *QTextBlock) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QTextBlock) IsVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsVisible"}).(bool)
}

func (ptr *QTextBlock) Layout() *QTextLayout {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Layout"}).(*QTextLayout)
}

func (ptr *QTextBlock) Length() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Length"}).(float64))
}

func (ptr *QTextBlock) LineCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineCount"}).(float64))
}

func (ptr *QTextBlock) Next() *QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Next"}).(*QTextBlock)
}

func (ptr *QTextBlock) Position() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(float64))
}

func (ptr *QTextBlock) Previous() *QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Previous"}).(*QTextBlock)
}

func (ptr *QTextBlock) Revision() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Revision"}).(float64))
}

func (ptr *QTextBlock) SetLineCount(count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLineCount", count})
}

func (ptr *QTextBlock) SetRevision(rev int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRevision", rev})
}

func (ptr *QTextBlock) SetUserData(data QTextBlockUserData_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUserData", data})
}

func (ptr *QTextBlock) SetUserState(state int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUserState", state})
}

func (ptr *QTextBlock) SetVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisible", visible})
}

func (ptr *QTextBlock) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QTextBlock) TextDirection() core.Qt__LayoutDirection {

	return core.Qt__LayoutDirection(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextDirection"}).(float64))
}

func (ptr *QTextBlock) UserData() *QTextBlockUserData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UserData"}).(*QTextBlockUserData)
}

func (ptr *QTextBlock) UserState() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UserState"}).(float64))
}

func (ptr *QTextBlock) __textFormats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__textFormats_newList"}).(unsafe.Pointer)
}

type QTextBlockFormat struct {
	QTextFormat
}

type QTextBlockFormat_ITF interface {
	QTextFormat_ITF
	QTextBlockFormat_PTR() *QTextBlockFormat
}

func (ptr *QTextBlockFormat) QTextBlockFormat_PTR() *QTextBlockFormat {
	return ptr
}

func (ptr *QTextBlockFormat) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextFormat_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextBlockFormat) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QTextFormat_PTR().SetPointer(p)
	}
}

func PointerFromQTextBlockFormat(ptr QTextBlockFormat_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextBlockFormat_PTR().Pointer()
	}
	return nil
}

func (n *QTextBlockFormat) InitFromInternal(ptr uintptr, name string) {
	n.QTextFormat_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextBlockFormat) ClassNameInternalF() string {
	return n.QTextFormat_PTR().ClassNameInternalF()
}

func NewQTextBlockFormatFromPointer(ptr unsafe.Pointer) (n *QTextBlockFormat) {
	n = new(QTextBlockFormat)
	n.InitFromInternal(uintptr(ptr), "gui.QTextBlockFormat")
	return
}

func (ptr *QTextBlockFormat) DestroyQTextBlockFormat() {
}

//go:generate stringer -type=QTextBlockFormat__LineHeightTypes
//QTextBlockFormat::LineHeightTypes
type QTextBlockFormat__LineHeightTypes int64

const (
	QTextBlockFormat__SingleHeight       QTextBlockFormat__LineHeightTypes = QTextBlockFormat__LineHeightTypes(0)
	QTextBlockFormat__ProportionalHeight QTextBlockFormat__LineHeightTypes = QTextBlockFormat__LineHeightTypes(1)
	QTextBlockFormat__FixedHeight        QTextBlockFormat__LineHeightTypes = QTextBlockFormat__LineHeightTypes(2)
	QTextBlockFormat__MinimumHeight      QTextBlockFormat__LineHeightTypes = QTextBlockFormat__LineHeightTypes(3)
	QTextBlockFormat__LineDistanceHeight QTextBlockFormat__LineHeightTypes = QTextBlockFormat__LineHeightTypes(4)
)

func NewQTextBlockFormat() *QTextBlockFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextBlockFormat", ""}).(*QTextBlockFormat)
}

func (ptr *QTextBlockFormat) Alignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment"}).(float64))
}

func (ptr *QTextBlockFormat) BottomMargin() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BottomMargin"}).(float64)
}

func (ptr *QTextBlockFormat) HeadingLevel() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeadingLevel"}).(float64))
}

func (ptr *QTextBlockFormat) Indent() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Indent"}).(float64))
}

func (ptr *QTextBlockFormat) LeftMargin() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LeftMargin"}).(float64)
}

func (ptr *QTextBlockFormat) LineHeight(scriptLineHeight float64, scaling float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineHeight", scriptLineHeight, scaling}).(float64)
}

func (ptr *QTextBlockFormat) LineHeight2() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineHeight2"}).(float64)
}

func (ptr *QTextBlockFormat) LineHeightType() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineHeightType"}).(float64))
}

func (ptr *QTextBlockFormat) NonBreakableLines() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NonBreakableLines"}).(bool)
}

func (ptr *QTextBlockFormat) PageBreakPolicy() QTextFormat__PageBreakFlag {

	return QTextFormat__PageBreakFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageBreakPolicy"}).(float64))
}

func (ptr *QTextBlockFormat) RightMargin() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RightMargin"}).(float64)
}

func (ptr *QTextBlockFormat) SetAlignment(alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", alignment})
}

func (ptr *QTextBlockFormat) SetBottomMargin(margin float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottomMargin", margin})
}

func (ptr *QTextBlockFormat) SetHeadingLevel(level int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeadingLevel", level})
}

func (ptr *QTextBlockFormat) SetIndent(indentation int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIndent", indentation})
}

func (ptr *QTextBlockFormat) SetLeftMargin(margin float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLeftMargin", margin})
}

func (ptr *QTextBlockFormat) SetLineHeight(height float64, heightType int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLineHeight", height, heightType})
}

func (ptr *QTextBlockFormat) SetNonBreakableLines(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNonBreakableLines", b})
}

func (ptr *QTextBlockFormat) SetPageBreakPolicy(policy QTextFormat__PageBreakFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageBreakPolicy", policy})
}

func (ptr *QTextBlockFormat) SetRightMargin(margin float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRightMargin", margin})
}

func (ptr *QTextBlockFormat) SetTextIndent(indent float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextIndent", indent})
}

func (ptr *QTextBlockFormat) SetTopMargin(margin float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTopMargin", margin})
}

func (ptr *QTextBlockFormat) TextIndent() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextIndent"}).(float64)
}

func (ptr *QTextBlockFormat) TopMargin() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopMargin"}).(float64)
}

func (ptr *QTextBlockFormat) __setTabPositions_tabs_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTabPositions_tabs_newList"}).(unsafe.Pointer)
}

func (ptr *QTextBlockFormat) __tabPositions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__tabPositions_newList"}).(unsafe.Pointer)
}

type QTextBlockGroup struct {
	QTextObject
}

type QTextBlockGroup_ITF interface {
	QTextObject_ITF
	QTextBlockGroup_PTR() *QTextBlockGroup
}

func (ptr *QTextBlockGroup) QTextBlockGroup_PTR() *QTextBlockGroup {
	return ptr
}

func (ptr *QTextBlockGroup) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextBlockGroup) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QTextObject_PTR().SetPointer(p)
	}
}

func PointerFromQTextBlockGroup(ptr QTextBlockGroup_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextBlockGroup_PTR().Pointer()
	}
	return nil
}

func (n *QTextBlockGroup) InitFromInternal(ptr uintptr, name string) {
	n.QTextObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextBlockGroup) ClassNameInternalF() string {
	return n.QTextObject_PTR().ClassNameInternalF()
}

func NewQTextBlockGroupFromPointer(ptr unsafe.Pointer) (n *QTextBlockGroup) {
	n = new(QTextBlockGroup)
	n.InitFromInternal(uintptr(ptr), "gui.QTextBlockGroup")
	return
}
func NewQTextBlockGroup(document QTextDocument_ITF) *QTextBlockGroup {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextBlockGroup", "", document}).(*QTextBlockGroup)
}

func (ptr *QTextBlockGroup) ConnectBlockFormatChanged(f func(block *QTextBlock)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBlockFormatChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBlockGroup) DisconnectBlockFormatChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBlockFormatChanged"})
}

func (ptr *QTextBlockGroup) BlockFormatChanged(block QTextBlock_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockFormatChanged", block})
}

func (ptr *QTextBlockGroup) BlockFormatChangedDefault(block QTextBlock_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockFormatChangedDefault", block})
}

func (ptr *QTextBlockGroup) ConnectBlockInserted(f func(block *QTextBlock)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBlockInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBlockGroup) DisconnectBlockInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBlockInserted"})
}

func (ptr *QTextBlockGroup) BlockInserted(block QTextBlock_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockInserted", block})
}

func (ptr *QTextBlockGroup) BlockInsertedDefault(block QTextBlock_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockInsertedDefault", block})
}

func (ptr *QTextBlockGroup) BlockList() []*QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockList"}).([]*QTextBlock)
}

func (ptr *QTextBlockGroup) ConnectBlockRemoved(f func(block *QTextBlock)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBlockRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBlockGroup) DisconnectBlockRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBlockRemoved"})
}

func (ptr *QTextBlockGroup) BlockRemoved(block QTextBlock_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockRemoved", block})
}

func (ptr *QTextBlockGroup) BlockRemovedDefault(block QTextBlock_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockRemovedDefault", block})
}

func (ptr *QTextBlockGroup) ConnectDestroyQTextBlockGroup(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTextBlockGroup", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBlockGroup) DisconnectDestroyQTextBlockGroup() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTextBlockGroup"})
}

func (ptr *QTextBlockGroup) DestroyQTextBlockGroup() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextBlockGroup"})
}

func (ptr *QTextBlockGroup) DestroyQTextBlockGroupDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextBlockGroupDefault"})
}

func (ptr *QTextBlockGroup) __blockList_atList(i int) *QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__blockList_atList", i}).(*QTextBlock)
}

func (ptr *QTextBlockGroup) __blockList_setList(i QTextBlock_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__blockList_setList", i})
}

func (ptr *QTextBlockGroup) __blockList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__blockList_newList"}).(unsafe.Pointer)
}

type QTextBlockUserData struct {
	internal.Internal
}

type QTextBlockUserData_ITF interface {
	QTextBlockUserData_PTR() *QTextBlockUserData
}

func (ptr *QTextBlockUserData) QTextBlockUserData_PTR() *QTextBlockUserData {
	return ptr
}

func (ptr *QTextBlockUserData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextBlockUserData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextBlockUserData(ptr QTextBlockUserData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextBlockUserData_PTR().Pointer()
	}
	return nil
}

func (n *QTextBlockUserData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextBlockUserDataFromPointer(ptr unsafe.Pointer) (n *QTextBlockUserData) {
	n = new(QTextBlockUserData)
	n.InitFromInternal(uintptr(ptr), "gui.QTextBlockUserData")
	return
}
func (ptr *QTextBlockUserData) ConnectDestroyQTextBlockUserData(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTextBlockUserData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBlockUserData) DisconnectDestroyQTextBlockUserData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTextBlockUserData"})
}

func (ptr *QTextBlockUserData) DestroyQTextBlockUserData() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextBlockUserData"})
}

func (ptr *QTextBlockUserData) DestroyQTextBlockUserDataDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextBlockUserDataDefault"})
}

type QTextCharFormat struct {
	QTextFormat
}

type QTextCharFormat_ITF interface {
	QTextFormat_ITF
	QTextCharFormat_PTR() *QTextCharFormat
}

func (ptr *QTextCharFormat) QTextCharFormat_PTR() *QTextCharFormat {
	return ptr
}

func (ptr *QTextCharFormat) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextFormat_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextCharFormat) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QTextFormat_PTR().SetPointer(p)
	}
}

func PointerFromQTextCharFormat(ptr QTextCharFormat_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextCharFormat_PTR().Pointer()
	}
	return nil
}

func (n *QTextCharFormat) InitFromInternal(ptr uintptr, name string) {
	n.QTextFormat_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextCharFormat) ClassNameInternalF() string {
	return n.QTextFormat_PTR().ClassNameInternalF()
}

func NewQTextCharFormatFromPointer(ptr unsafe.Pointer) (n *QTextCharFormat) {
	n = new(QTextCharFormat)
	n.InitFromInternal(uintptr(ptr), "gui.QTextCharFormat")
	return
}

func (ptr *QTextCharFormat) DestroyQTextCharFormat() {
}

//go:generate stringer -type=QTextCharFormat__VerticalAlignment
//QTextCharFormat::VerticalAlignment
type QTextCharFormat__VerticalAlignment int64

const (
	QTextCharFormat__AlignNormal      QTextCharFormat__VerticalAlignment = QTextCharFormat__VerticalAlignment(0)
	QTextCharFormat__AlignSuperScript QTextCharFormat__VerticalAlignment = QTextCharFormat__VerticalAlignment(1)
	QTextCharFormat__AlignSubScript   QTextCharFormat__VerticalAlignment = QTextCharFormat__VerticalAlignment(2)
	QTextCharFormat__AlignMiddle      QTextCharFormat__VerticalAlignment = QTextCharFormat__VerticalAlignment(3)
	QTextCharFormat__AlignTop         QTextCharFormat__VerticalAlignment = QTextCharFormat__VerticalAlignment(4)
	QTextCharFormat__AlignBottom      QTextCharFormat__VerticalAlignment = QTextCharFormat__VerticalAlignment(5)
	QTextCharFormat__AlignBaseline    QTextCharFormat__VerticalAlignment = QTextCharFormat__VerticalAlignment(6)
)

//go:generate stringer -type=QTextCharFormat__UnderlineStyle
//QTextCharFormat::UnderlineStyle
type QTextCharFormat__UnderlineStyle int64

var (
	QTextCharFormat__NoUnderline         QTextCharFormat__UnderlineStyle = QTextCharFormat__UnderlineStyle(0)
	QTextCharFormat__SingleUnderline     QTextCharFormat__UnderlineStyle = QTextCharFormat__UnderlineStyle(1)
	QTextCharFormat__DashUnderline       QTextCharFormat__UnderlineStyle = QTextCharFormat__UnderlineStyle(2)
	QTextCharFormat__DotLine             QTextCharFormat__UnderlineStyle = QTextCharFormat__UnderlineStyle(3)
	QTextCharFormat__DashDotLine         QTextCharFormat__UnderlineStyle = QTextCharFormat__UnderlineStyle(4)
	QTextCharFormat__DashDotDotLine      QTextCharFormat__UnderlineStyle = QTextCharFormat__UnderlineStyle(5)
	QTextCharFormat__WaveUnderline       QTextCharFormat__UnderlineStyle = QTextCharFormat__UnderlineStyle(6)
	QTextCharFormat__SpellCheckUnderline QTextCharFormat__UnderlineStyle = QTextCharFormat__UnderlineStyle(7)
)

//go:generate stringer -type=QTextCharFormat__FontPropertiesInheritanceBehavior
//QTextCharFormat::FontPropertiesInheritanceBehavior
type QTextCharFormat__FontPropertiesInheritanceBehavior int64

const (
	QTextCharFormat__FontPropertiesSpecifiedOnly QTextCharFormat__FontPropertiesInheritanceBehavior = QTextCharFormat__FontPropertiesInheritanceBehavior(0)
	QTextCharFormat__FontPropertiesAll           QTextCharFormat__FontPropertiesInheritanceBehavior = QTextCharFormat__FontPropertiesInheritanceBehavior(1)
)

func NewQTextCharFormat() *QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextCharFormat", ""}).(*QTextCharFormat)
}

func (ptr *QTextCharFormat) AnchorHref() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AnchorHref"}).(string)
}

func (ptr *QTextCharFormat) AnchorNames() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AnchorNames"}).([]string)
}

func (ptr *QTextCharFormat) Font() *QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*QFont)
}

func (ptr *QTextCharFormat) FontCapitalization() QFont__Capitalization {

	return QFont__Capitalization(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontCapitalization"}).(float64))
}

func (ptr *QTextCharFormat) FontFamilies() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontFamilies"}).(*core.QVariant)
}

func (ptr *QTextCharFormat) FontFamily() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontFamily"}).(string)
}

func (ptr *QTextCharFormat) FontFixedPitch() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontFixedPitch"}).(bool)
}

func (ptr *QTextCharFormat) FontHintingPreference() QFont__HintingPreference {

	return QFont__HintingPreference(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontHintingPreference"}).(float64))
}

func (ptr *QTextCharFormat) FontItalic() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontItalic"}).(bool)
}

func (ptr *QTextCharFormat) FontKerning() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontKerning"}).(bool)
}

func (ptr *QTextCharFormat) FontLetterSpacing() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontLetterSpacing"}).(float64)
}

func (ptr *QTextCharFormat) FontLetterSpacingType() QFont__SpacingType {

	return QFont__SpacingType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontLetterSpacingType"}).(float64))
}

func (ptr *QTextCharFormat) FontOverline() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontOverline"}).(bool)
}

func (ptr *QTextCharFormat) FontPointSize() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontPointSize"}).(float64)
}

func (ptr *QTextCharFormat) FontStretch() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontStretch"}).(float64))
}

func (ptr *QTextCharFormat) FontStrikeOut() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontStrikeOut"}).(bool)
}

func (ptr *QTextCharFormat) FontStyleHint() QFont__StyleHint {

	return QFont__StyleHint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontStyleHint"}).(float64))
}

func (ptr *QTextCharFormat) FontStyleName() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontStyleName"}).(*core.QVariant)
}

func (ptr *QTextCharFormat) FontStyleStrategy() QFont__StyleStrategy {

	return QFont__StyleStrategy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontStyleStrategy"}).(float64))
}

func (ptr *QTextCharFormat) FontUnderline() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontUnderline"}).(bool)
}

func (ptr *QTextCharFormat) FontWeight() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontWeight"}).(float64))
}

func (ptr *QTextCharFormat) FontWordSpacing() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontWordSpacing"}).(float64)
}

func (ptr *QTextCharFormat) IsAnchor() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAnchor"}).(bool)
}

func (ptr *QTextCharFormat) SetAnchor(anchor bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAnchor", anchor})
}

func (ptr *QTextCharFormat) SetAnchorHref(value string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAnchorHref", value})
}

func (ptr *QTextCharFormat) SetAnchorNames(names []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAnchorNames", names})
}

func (ptr *QTextCharFormat) SetFont(font QFont_ITF, behavior QTextCharFormat__FontPropertiesInheritanceBehavior) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont", font, behavior})
}

func (ptr *QTextCharFormat) SetFont2(font QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont2", font})
}

func (ptr *QTextCharFormat) SetFontCapitalization(capitalization QFont__Capitalization) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontCapitalization", capitalization})
}

func (ptr *QTextCharFormat) SetFontFamilies(families []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontFamilies", families})
}

func (ptr *QTextCharFormat) SetFontFamily(family string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontFamily", family})
}

func (ptr *QTextCharFormat) SetFontFixedPitch(fixedPitch bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontFixedPitch", fixedPitch})
}

func (ptr *QTextCharFormat) SetFontHintingPreference(hintingPreference QFont__HintingPreference) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontHintingPreference", hintingPreference})
}

func (ptr *QTextCharFormat) SetFontItalic(italic bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontItalic", italic})
}

func (ptr *QTextCharFormat) SetFontKerning(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontKerning", enable})
}

func (ptr *QTextCharFormat) SetFontLetterSpacing(spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontLetterSpacing", spacing})
}

func (ptr *QTextCharFormat) SetFontLetterSpacingType(letterSpacingType QFont__SpacingType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontLetterSpacingType", letterSpacingType})
}

func (ptr *QTextCharFormat) SetFontOverline(overline bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontOverline", overline})
}

func (ptr *QTextCharFormat) SetFontPointSize(size float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontPointSize", size})
}

func (ptr *QTextCharFormat) SetFontStretch(factor int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontStretch", factor})
}

func (ptr *QTextCharFormat) SetFontStrikeOut(strikeOut bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontStrikeOut", strikeOut})
}

func (ptr *QTextCharFormat) SetFontStyleHint(hint QFont__StyleHint, strategy QFont__StyleStrategy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontStyleHint", hint, strategy})
}

func (ptr *QTextCharFormat) SetFontStyleName(styleName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontStyleName", styleName})
}

func (ptr *QTextCharFormat) SetFontStyleStrategy(strategy QFont__StyleStrategy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontStyleStrategy", strategy})
}

func (ptr *QTextCharFormat) SetFontUnderline(underline bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontUnderline", underline})
}

func (ptr *QTextCharFormat) SetFontWeight(weight int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontWeight", weight})
}

func (ptr *QTextCharFormat) SetFontWordSpacing(spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontWordSpacing", spacing})
}

func (ptr *QTextCharFormat) SetTextOutline(pen QPen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextOutline", pen})
}

func (ptr *QTextCharFormat) SetToolTip(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolTip", text})
}

func (ptr *QTextCharFormat) SetUnderlineColor(color QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUnderlineColor", color})
}

func (ptr *QTextCharFormat) SetUnderlineStyle(style QTextCharFormat__UnderlineStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUnderlineStyle", style})
}

func (ptr *QTextCharFormat) SetVerticalAlignment(alignment QTextCharFormat__VerticalAlignment) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalAlignment", alignment})
}

func (ptr *QTextCharFormat) TextOutline() *QPen {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextOutline"}).(*QPen)
}

func (ptr *QTextCharFormat) ToolTip() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolTip"}).(string)
}

func (ptr *QTextCharFormat) UnderlineColor() *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnderlineColor"}).(*QColor)
}

func (ptr *QTextCharFormat) UnderlineStyle() QTextCharFormat__UnderlineStyle {

	return QTextCharFormat__UnderlineStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnderlineStyle"}).(float64))
}

func (ptr *QTextCharFormat) VerticalAlignment() QTextCharFormat__VerticalAlignment {

	return QTextCharFormat__VerticalAlignment(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalAlignment"}).(float64))
}

type QTextCursor struct {
	internal.Internal
}

type QTextCursor_ITF interface {
	QTextCursor_PTR() *QTextCursor
}

func (ptr *QTextCursor) QTextCursor_PTR() *QTextCursor {
	return ptr
}

func (ptr *QTextCursor) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextCursor) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextCursor(ptr QTextCursor_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextCursor_PTR().Pointer()
	}
	return nil
}

func (n *QTextCursor) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextCursorFromPointer(ptr unsafe.Pointer) (n *QTextCursor) {
	n = new(QTextCursor)
	n.InitFromInternal(uintptr(ptr), "gui.QTextCursor")
	return
}

//go:generate stringer -type=QTextCursor__MoveMode
//QTextCursor::MoveMode
type QTextCursor__MoveMode int64

const (
	QTextCursor__MoveAnchor QTextCursor__MoveMode = QTextCursor__MoveMode(0)
	QTextCursor__KeepAnchor QTextCursor__MoveMode = QTextCursor__MoveMode(1)
)

//go:generate stringer -type=QTextCursor__MoveOperation
//QTextCursor::MoveOperation
type QTextCursor__MoveOperation int64

const (
	QTextCursor__NoMove            QTextCursor__MoveOperation = QTextCursor__MoveOperation(0)
	QTextCursor__Start             QTextCursor__MoveOperation = QTextCursor__MoveOperation(1)
	QTextCursor__Up                QTextCursor__MoveOperation = QTextCursor__MoveOperation(2)
	QTextCursor__StartOfLine       QTextCursor__MoveOperation = QTextCursor__MoveOperation(3)
	QTextCursor__StartOfBlock      QTextCursor__MoveOperation = QTextCursor__MoveOperation(4)
	QTextCursor__StartOfWord       QTextCursor__MoveOperation = QTextCursor__MoveOperation(5)
	QTextCursor__PreviousBlock     QTextCursor__MoveOperation = QTextCursor__MoveOperation(6)
	QTextCursor__PreviousCharacter QTextCursor__MoveOperation = QTextCursor__MoveOperation(7)
	QTextCursor__PreviousWord      QTextCursor__MoveOperation = QTextCursor__MoveOperation(8)
	QTextCursor__Left              QTextCursor__MoveOperation = QTextCursor__MoveOperation(9)
	QTextCursor__WordLeft          QTextCursor__MoveOperation = QTextCursor__MoveOperation(10)
	QTextCursor__End               QTextCursor__MoveOperation = QTextCursor__MoveOperation(11)
	QTextCursor__Down              QTextCursor__MoveOperation = QTextCursor__MoveOperation(12)
	QTextCursor__EndOfLine         QTextCursor__MoveOperation = QTextCursor__MoveOperation(13)
	QTextCursor__EndOfWord         QTextCursor__MoveOperation = QTextCursor__MoveOperation(14)
	QTextCursor__EndOfBlock        QTextCursor__MoveOperation = QTextCursor__MoveOperation(15)
	QTextCursor__NextBlock         QTextCursor__MoveOperation = QTextCursor__MoveOperation(16)
	QTextCursor__NextCharacter     QTextCursor__MoveOperation = QTextCursor__MoveOperation(17)
	QTextCursor__NextWord          QTextCursor__MoveOperation = QTextCursor__MoveOperation(18)
	QTextCursor__Right             QTextCursor__MoveOperation = QTextCursor__MoveOperation(19)
	QTextCursor__WordRight         QTextCursor__MoveOperation = QTextCursor__MoveOperation(20)
	QTextCursor__NextCell          QTextCursor__MoveOperation = QTextCursor__MoveOperation(21)
	QTextCursor__PreviousCell      QTextCursor__MoveOperation = QTextCursor__MoveOperation(22)
	QTextCursor__NextRow           QTextCursor__MoveOperation = QTextCursor__MoveOperation(23)
	QTextCursor__PreviousRow       QTextCursor__MoveOperation = QTextCursor__MoveOperation(24)
)

//go:generate stringer -type=QTextCursor__SelectionType
//QTextCursor::SelectionType
type QTextCursor__SelectionType int64

const (
	QTextCursor__WordUnderCursor  QTextCursor__SelectionType = QTextCursor__SelectionType(0)
	QTextCursor__LineUnderCursor  QTextCursor__SelectionType = QTextCursor__SelectionType(1)
	QTextCursor__BlockUnderCursor QTextCursor__SelectionType = QTextCursor__SelectionType(2)
	QTextCursor__Document         QTextCursor__SelectionType = QTextCursor__SelectionType(3)
)

func NewQTextCursor() *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextCursor", ""}).(*QTextCursor)
}

func NewQTextCursor2(document QTextDocument_ITF) *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextCursor2", "", document}).(*QTextCursor)
}

func NewQTextCursor3(frame QTextFrame_ITF) *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextCursor3", "", frame}).(*QTextCursor)
}

func NewQTextCursor4(block QTextBlock_ITF) *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextCursor4", "", block}).(*QTextCursor)
}

func NewQTextCursor5(cursor QTextCursor_ITF) *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextCursor5", "", cursor}).(*QTextCursor)
}

func (ptr *QTextCursor) Anchor() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Anchor"}).(float64))
}

func (ptr *QTextCursor) AtBlockEnd() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AtBlockEnd"}).(bool)
}

func (ptr *QTextCursor) AtBlockStart() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AtBlockStart"}).(bool)
}

func (ptr *QTextCursor) AtEnd() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AtEnd"}).(bool)
}

func (ptr *QTextCursor) AtStart() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AtStart"}).(bool)
}

func (ptr *QTextCursor) BeginEditBlock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginEditBlock"})
}

func (ptr *QTextCursor) Block() *QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Block"}).(*QTextBlock)
}

func (ptr *QTextCursor) BlockCharFormat() *QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockCharFormat"}).(*QTextCharFormat)
}

func (ptr *QTextCursor) BlockFormat() *QTextBlockFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockFormat"}).(*QTextBlockFormat)
}

func (ptr *QTextCursor) BlockNumber() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockNumber"}).(float64))
}

func (ptr *QTextCursor) CharFormat() *QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CharFormat"}).(*QTextCharFormat)
}

func (ptr *QTextCursor) ClearSelection() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearSelection"})
}

func (ptr *QTextCursor) ColumnNumber() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnNumber"}).(float64))
}

func (ptr *QTextCursor) CreateList(format QTextListFormat_ITF) *QTextList {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateList", format}).(*QTextList)
}

func (ptr *QTextCursor) CreateList2(style QTextListFormat__Style) *QTextList {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateList2", style}).(*QTextList)
}

func (ptr *QTextCursor) CurrentFrame() *QTextFrame {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentFrame"}).(*QTextFrame)
}

func (ptr *QTextCursor) CurrentList() *QTextList {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentList"}).(*QTextList)
}

func (ptr *QTextCursor) CurrentTable() *QTextTable {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentTable"}).(*QTextTable)
}

func (ptr *QTextCursor) DeleteChar() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteChar"})
}

func (ptr *QTextCursor) DeletePreviousChar() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeletePreviousChar"})
}

func (ptr *QTextCursor) Document() *QTextDocument {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Document"}).(*QTextDocument)
}

func (ptr *QTextCursor) EndEditBlock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndEditBlock"})
}

func (ptr *QTextCursor) HasComplexSelection() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasComplexSelection"}).(bool)
}

func (ptr *QTextCursor) HasSelection() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasSelection"}).(bool)
}

func (ptr *QTextCursor) InsertBlock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertBlock"})
}

func (ptr *QTextCursor) InsertBlock2(format QTextBlockFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertBlock2", format})
}

func (ptr *QTextCursor) InsertBlock3(format QTextBlockFormat_ITF, charFormat QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertBlock3", format, charFormat})
}

func (ptr *QTextCursor) InsertFragment(fragment QTextDocumentFragment_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertFragment", fragment})
}

func (ptr *QTextCursor) InsertFrame(format QTextFrameFormat_ITF) *QTextFrame {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertFrame", format}).(*QTextFrame)
}

func (ptr *QTextCursor) InsertHtml(html string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertHtml", html})
}

func (ptr *QTextCursor) InsertImage(format QTextImageFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertImage", format})
}

func (ptr *QTextCursor) InsertImage2(format QTextImageFormat_ITF, alignment QTextFrameFormat__Position) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertImage2", format, alignment})
}

func (ptr *QTextCursor) InsertImage3(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertImage3", name})
}

func (ptr *QTextCursor) InsertImage4(image QImage_ITF, name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertImage4", image, name})
}

func (ptr *QTextCursor) InsertList(format QTextListFormat_ITF) *QTextList {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertList", format}).(*QTextList)
}

func (ptr *QTextCursor) InsertList2(style QTextListFormat__Style) *QTextList {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertList2", style}).(*QTextList)
}

func (ptr *QTextCursor) InsertTable(rows int, columns int, format QTextTableFormat_ITF) *QTextTable {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertTable", rows, columns, format}).(*QTextTable)
}

func (ptr *QTextCursor) InsertTable2(rows int, columns int) *QTextTable {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertTable2", rows, columns}).(*QTextTable)
}

func (ptr *QTextCursor) InsertText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertText", text})
}

func (ptr *QTextCursor) InsertText2(text string, format QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertText2", text, format})
}

func (ptr *QTextCursor) IsCopyOf(other QTextCursor_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCopyOf", other}).(bool)
}

func (ptr *QTextCursor) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QTextCursor) JoinPreviousEditBlock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "JoinPreviousEditBlock"})
}

func (ptr *QTextCursor) KeepPositionOnInsert() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeepPositionOnInsert"}).(bool)
}

func (ptr *QTextCursor) MergeBlockCharFormat(modifier QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MergeBlockCharFormat", modifier})
}

func (ptr *QTextCursor) MergeBlockFormat(modifier QTextBlockFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MergeBlockFormat", modifier})
}

func (ptr *QTextCursor) MergeCharFormat(modifier QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MergeCharFormat", modifier})
}

func (ptr *QTextCursor) MovePosition(operation QTextCursor__MoveOperation, mode QTextCursor__MoveMode, n int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MovePosition", operation, mode, n}).(bool)
}

func (ptr *QTextCursor) Position() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(float64))
}

func (ptr *QTextCursor) PositionInBlock() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PositionInBlock"}).(float64))
}

func (ptr *QTextCursor) RemoveSelectedText() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveSelectedText"})
}

func (ptr *QTextCursor) Select(selection QTextCursor__SelectionType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Select", selection})
}

func (ptr *QTextCursor) SelectedTableCells(firstRow int, numRows int, firstColumn int, numColumns int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedTableCells", firstRow, numRows, firstColumn, numColumns})
}

func (ptr *QTextCursor) SelectedText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedText"}).(string)
}

func (ptr *QTextCursor) Selection() *QTextDocumentFragment {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Selection"}).(*QTextDocumentFragment)
}

func (ptr *QTextCursor) SelectionEnd() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionEnd"}).(float64))
}

func (ptr *QTextCursor) SelectionStart() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionStart"}).(float64))
}

func (ptr *QTextCursor) SetBlockCharFormat(format QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBlockCharFormat", format})
}

func (ptr *QTextCursor) SetBlockFormat(format QTextBlockFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBlockFormat", format})
}

func (ptr *QTextCursor) SetCharFormat(format QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCharFormat", format})
}

func (ptr *QTextCursor) SetKeepPositionOnInsert(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetKeepPositionOnInsert", b})
}

func (ptr *QTextCursor) SetPosition(pos int, m QTextCursor__MoveMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPosition", pos, m})
}

func (ptr *QTextCursor) SetVerticalMovementX(x int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalMovementX", x})
}

func (ptr *QTextCursor) SetVisualNavigation(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisualNavigation", b})
}

func (ptr *QTextCursor) Swap(other QTextCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QTextCursor) VerticalMovementX() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalMovementX"}).(float64))
}

func (ptr *QTextCursor) VisualNavigation() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualNavigation"}).(bool)
}

func (ptr *QTextCursor) DestroyQTextCursor() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextCursor"})
}

type QTextDocument struct {
	core.QObject
}

type QTextDocument_ITF interface {
	core.QObject_ITF
	QTextDocument_PTR() *QTextDocument
}

func (ptr *QTextDocument) QTextDocument_PTR() *QTextDocument {
	return ptr
}

func (ptr *QTextDocument) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextDocument) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQTextDocument(ptr QTextDocument_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextDocument_PTR().Pointer()
	}
	return nil
}

func (n *QTextDocument) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextDocument) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQTextDocumentFromPointer(ptr unsafe.Pointer) (n *QTextDocument) {
	n = new(QTextDocument)
	n.InitFromInternal(uintptr(ptr), "gui.QTextDocument")
	return
}

//go:generate stringer -type=QTextDocument__MetaInformation
//QTextDocument::MetaInformation
type QTextDocument__MetaInformation int64

const (
	QTextDocument__DocumentTitle QTextDocument__MetaInformation = QTextDocument__MetaInformation(0)
	QTextDocument__DocumentUrl   QTextDocument__MetaInformation = QTextDocument__MetaInformation(1)
)

//go:generate stringer -type=QTextDocument__FindFlag
//QTextDocument::FindFlag
type QTextDocument__FindFlag int64

const (
	QTextDocument__FindBackward        QTextDocument__FindFlag = QTextDocument__FindFlag(0x00001)
	QTextDocument__FindCaseSensitively QTextDocument__FindFlag = QTextDocument__FindFlag(0x00002)
	QTextDocument__FindWholeWords      QTextDocument__FindFlag = QTextDocument__FindFlag(0x00004)
)

//go:generate stringer -type=QTextDocument__ResourceType
//QTextDocument::ResourceType
type QTextDocument__ResourceType int64

const (
	QTextDocument__HtmlResource       QTextDocument__ResourceType = QTextDocument__ResourceType(1)
	QTextDocument__ImageResource      QTextDocument__ResourceType = QTextDocument__ResourceType(2)
	QTextDocument__StyleSheetResource QTextDocument__ResourceType = QTextDocument__ResourceType(3)
	QTextDocument__UserResource       QTextDocument__ResourceType = QTextDocument__ResourceType(100)
)

//go:generate stringer -type=QTextDocument__Stacks
//QTextDocument::Stacks
type QTextDocument__Stacks int64

const (
	QTextDocument__UndoStack         QTextDocument__Stacks = QTextDocument__Stacks(0x01)
	QTextDocument__RedoStack         QTextDocument__Stacks = QTextDocument__Stacks(0x02)
	QTextDocument__UndoAndRedoStacks QTextDocument__Stacks = QTextDocument__Stacks(QTextDocument__UndoStack | QTextDocument__RedoStack)
)

func NewQTextDocument(parent core.QObject_ITF) *QTextDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextDocument", "", parent}).(*QTextDocument)
}

func NewQTextDocument2(text string, parent core.QObject_ITF) *QTextDocument {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextDocument2", "", text, parent}).(*QTextDocument)
}

func (ptr *QTextDocument) AddResource(ty int, name core.QUrl_ITF, resource core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddResource", ty, name, resource})
}

func (ptr *QTextDocument) AdjustSize() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AdjustSize"})
}

func (ptr *QTextDocument) AllFormats() []*QTextFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllFormats"}).([]*QTextFormat)
}

func (ptr *QTextDocument) AvailableRedoSteps() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableRedoSteps"}).(float64))
}

func (ptr *QTextDocument) AvailableUndoSteps() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableUndoSteps"}).(float64))
}

func (ptr *QTextDocument) BaseUrl() *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BaseUrl"}).(*core.QUrl)
}

func (ptr *QTextDocument) ConnectBaseUrlChanged(f func(url *core.QUrl)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBaseUrlChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectBaseUrlChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBaseUrlChanged"})
}

func (ptr *QTextDocument) BaseUrlChanged(url core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BaseUrlChanged", url})
}

func (ptr *QTextDocument) Begin() *QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Begin"}).(*QTextBlock)
}

func (ptr *QTextDocument) BlockCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockCount"}).(float64))
}

func (ptr *QTextDocument) ConnectBlockCountChanged(f func(newBlockCount int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBlockCountChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectBlockCountChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBlockCountChanged"})
}

func (ptr *QTextDocument) BlockCountChanged(newBlockCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockCountChanged", newBlockCount})
}

func (ptr *QTextDocument) CharacterAt(pos int) *core.QChar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CharacterAt", pos}).(*core.QChar)
}

func (ptr *QTextDocument) CharacterCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CharacterCount"}).(float64))
}

func (ptr *QTextDocument) ConnectClear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectClear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClear"})
}

func (ptr *QTextDocument) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QTextDocument) ClearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearDefault"})
}

func (ptr *QTextDocument) ClearUndoRedoStacks(stacksToClear QTextDocument__Stacks) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearUndoRedoStacks", stacksToClear})
}

func (ptr *QTextDocument) Clone(parent core.QObject_ITF) *QTextDocument {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clone", parent}).(*QTextDocument)
}

func (ptr *QTextDocument) ConnectContentsChange(f func(position int, charsRemoved int, charsAdded int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectContentsChange", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectContentsChange() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectContentsChange"})
}

func (ptr *QTextDocument) ContentsChange(position int, charsRemoved int, charsAdded int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContentsChange", position, charsRemoved, charsAdded})
}

func (ptr *QTextDocument) ConnectContentsChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectContentsChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectContentsChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectContentsChanged"})
}

func (ptr *QTextDocument) ContentsChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContentsChanged"})
}

func (ptr *QTextDocument) ConnectCreateObject(f func(format *QTextFormat) *QTextObject) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreateObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectCreateObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreateObject"})
}

func (ptr *QTextDocument) CreateObject(format QTextFormat_ITF) *QTextObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateObject", format}).(*QTextObject)
}

func (ptr *QTextDocument) CreateObjectDefault(format QTextFormat_ITF) *QTextObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateObjectDefault", format}).(*QTextObject)
}

func (ptr *QTextDocument) ConnectCursorPositionChanged(f func(cursor *QTextCursor)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCursorPositionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectCursorPositionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCursorPositionChanged"})
}

func (ptr *QTextDocument) CursorPositionChanged(cursor QTextCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorPositionChanged", cursor})
}

func (ptr *QTextDocument) DefaultCursorMoveStyle() core.Qt__CursorMoveStyle {

	return core.Qt__CursorMoveStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultCursorMoveStyle"}).(float64))
}

func (ptr *QTextDocument) DefaultFont() *QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultFont"}).(*QFont)
}

func (ptr *QTextDocument) DefaultStyleSheet() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultStyleSheet"}).(string)
}

func (ptr *QTextDocument) DefaultTextOption() *QTextOption {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultTextOption"}).(*QTextOption)
}

func (ptr *QTextDocument) DocumentLayout() *QAbstractTextDocumentLayout {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentLayout"}).(*QAbstractTextDocumentLayout)
}

func (ptr *QTextDocument) ConnectDocumentLayoutChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDocumentLayoutChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectDocumentLayoutChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDocumentLayoutChanged"})
}

func (ptr *QTextDocument) DocumentLayoutChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentLayoutChanged"})
}

func (ptr *QTextDocument) DocumentMargin() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentMargin"}).(float64)
}

func (ptr *QTextDocument) DrawContents(p QPainter_ITF, rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawContents", p, rect})
}

func (ptr *QTextDocument) End() *QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "End"}).(*QTextBlock)
}

func (ptr *QTextDocument) Find(subString string, cursor QTextCursor_ITF, options QTextDocument__FindFlag) *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Find", subString, cursor, options}).(*QTextCursor)
}

func (ptr *QTextDocument) Find2(subString string, position int, options QTextDocument__FindFlag) *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Find2", subString, position, options}).(*QTextCursor)
}

func (ptr *QTextDocument) Find3(expr core.QRegExp_ITF, from int, options QTextDocument__FindFlag) *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Find3", expr, from, options}).(*QTextCursor)
}

func (ptr *QTextDocument) Find4(expr core.QRegExp_ITF, cursor QTextCursor_ITF, options QTextDocument__FindFlag) *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Find4", expr, cursor, options}).(*QTextCursor)
}

func (ptr *QTextDocument) Find5(expr core.QRegularExpression_ITF, from int, options QTextDocument__FindFlag) *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Find5", expr, from, options}).(*QTextCursor)
}

func (ptr *QTextDocument) Find6(expr core.QRegularExpression_ITF, cursor QTextCursor_ITF, options QTextDocument__FindFlag) *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Find6", expr, cursor, options}).(*QTextCursor)
}

func (ptr *QTextDocument) FindBlock(pos int) *QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FindBlock", pos}).(*QTextBlock)
}

func (ptr *QTextDocument) FindBlockByLineNumber(lineNumber int) *QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FindBlockByLineNumber", lineNumber}).(*QTextBlock)
}

func (ptr *QTextDocument) FindBlockByNumber(blockNumber int) *QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FindBlockByNumber", blockNumber}).(*QTextBlock)
}

func (ptr *QTextDocument) FirstBlock() *QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FirstBlock"}).(*QTextBlock)
}

func (ptr *QTextDocument) IdealWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IdealWidth"}).(float64)
}

func (ptr *QTextDocument) IndentWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndentWidth"}).(float64)
}

func (ptr *QTextDocument) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QTextDocument) IsModified() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsModified"}).(bool)
}

func (ptr *QTextDocument) IsRedoAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRedoAvailable"}).(bool)
}

func (ptr *QTextDocument) IsUndoAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsUndoAvailable"}).(bool)
}

func (ptr *QTextDocument) IsUndoRedoEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsUndoRedoEnabled"}).(bool)
}

func (ptr *QTextDocument) LastBlock() *QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastBlock"}).(*QTextBlock)
}

func (ptr *QTextDocument) LineCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineCount"}).(float64))
}

func (ptr *QTextDocument) ConnectLoadResource(f func(ty int, name *core.QUrl) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLoadResource", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectLoadResource() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLoadResource"})
}

func (ptr *QTextDocument) LoadResource(ty int, name core.QUrl_ITF) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadResource", ty, name}).(*core.QVariant)
}

func (ptr *QTextDocument) LoadResourceDefault(ty int, name core.QUrl_ITF) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadResourceDefault", ty, name}).(*core.QVariant)
}

func (ptr *QTextDocument) MarkContentsDirty(position int, length int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MarkContentsDirty", position, length})
}

func (ptr *QTextDocument) MaximumBlockCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumBlockCount"}).(float64))
}

func (ptr *QTextDocument) MetaInformation(info QTextDocument__MetaInformation) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaInformation", info}).(string)
}

func (ptr *QTextDocument) ConnectModificationChanged(f func(changed bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectModificationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectModificationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectModificationChanged"})
}

func (ptr *QTextDocument) ModificationChanged(changed bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ModificationChanged", changed})
}

func (ptr *QTextDocument) Object(objectIndex int) *QTextObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Object", objectIndex}).(*QTextObject)
}

func (ptr *QTextDocument) ObjectForFormat(ff QTextFormat_ITF) *QTextObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ObjectForFormat", ff}).(*QTextObject)
}

func (ptr *QTextDocument) PageCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageCount"}).(float64))
}

func (ptr *QTextDocument) PageSize() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageSize"}).(*core.QSizeF)
}

func (ptr *QTextDocument) Print(printer QPagedPaintDevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Print", printer})
}

func (ptr *QTextDocument) Redo(cursor QTextCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Redo", cursor})
}

func (ptr *QTextDocument) ConnectRedo2(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRedo2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectRedo2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRedo2"})
}

func (ptr *QTextDocument) Redo2() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Redo2"})
}

func (ptr *QTextDocument) Redo2Default() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Redo2Default"})
}

func (ptr *QTextDocument) ConnectRedoAvailable(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRedoAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectRedoAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRedoAvailable"})
}

func (ptr *QTextDocument) RedoAvailable(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedoAvailable", available})
}

func (ptr *QTextDocument) Resource(ty int, name core.QUrl_ITF) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resource", ty, name}).(*core.QVariant)
}

func (ptr *QTextDocument) Revision() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Revision"}).(float64))
}

func (ptr *QTextDocument) RootFrame() *QTextFrame {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RootFrame"}).(*QTextFrame)
}

func (ptr *QTextDocument) SetBaseUrl(url core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBaseUrl", url})
}

func (ptr *QTextDocument) SetDefaultCursorMoveStyle(style core.Qt__CursorMoveStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultCursorMoveStyle", style})
}

func (ptr *QTextDocument) SetDefaultFont(font QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultFont", font})
}

func (ptr *QTextDocument) SetDefaultStyleSheet(sheet string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultStyleSheet", sheet})
}

func (ptr *QTextDocument) SetDefaultTextOption(option QTextOption_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultTextOption", option})
}

func (ptr *QTextDocument) SetDocumentLayout(layout QAbstractTextDocumentLayout_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDocumentLayout", layout})
}

func (ptr *QTextDocument) SetDocumentMargin(margin float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDocumentMargin", margin})
}

func (ptr *QTextDocument) SetHtml(html string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHtml", html})
}

func (ptr *QTextDocument) SetIndentWidth(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIndentWidth", width})
}

func (ptr *QTextDocument) SetMaximumBlockCount(maximum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumBlockCount", maximum})
}

func (ptr *QTextDocument) SetMetaInformation(info QTextDocument__MetaInformation, stri string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMetaInformation", info, stri})
}

func (ptr *QTextDocument) ConnectSetModified(f func(m bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetModified", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectSetModified() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetModified"})
}

func (ptr *QTextDocument) SetModified(m bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModified", m})
}

func (ptr *QTextDocument) SetModifiedDefault(m bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModifiedDefault", m})
}

func (ptr *QTextDocument) SetPageSize(size core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageSize", size})
}

func (ptr *QTextDocument) SetPlainText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPlainText", text})
}

func (ptr *QTextDocument) SetTextWidth(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextWidth", width})
}

func (ptr *QTextDocument) SetUndoRedoEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUndoRedoEnabled", enable})
}

func (ptr *QTextDocument) SetUseDesignMetrics(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUseDesignMetrics", b})
}

func (ptr *QTextDocument) Size() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(*core.QSizeF)
}

func (ptr *QTextDocument) TextWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextWidth"}).(float64)
}

func (ptr *QTextDocument) ToHtml(encoding core.QByteArray_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToHtml", encoding}).(string)
}

func (ptr *QTextDocument) ToPlainText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPlainText"}).(string)
}

func (ptr *QTextDocument) ToRawText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToRawText"}).(string)
}

func (ptr *QTextDocument) Undo(cursor QTextCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Undo", cursor})
}

func (ptr *QTextDocument) ConnectUndo2(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUndo2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectUndo2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUndo2"})
}

func (ptr *QTextDocument) Undo2() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Undo2"})
}

func (ptr *QTextDocument) Undo2Default() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Undo2Default"})
}

func (ptr *QTextDocument) ConnectUndoAvailable(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUndoAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectUndoAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUndoAvailable"})
}

func (ptr *QTextDocument) UndoAvailable(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoAvailable", available})
}

func (ptr *QTextDocument) ConnectUndoCommandAdded(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUndoCommandAdded", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectUndoCommandAdded() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUndoCommandAdded"})
}

func (ptr *QTextDocument) UndoCommandAdded() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoCommandAdded"})
}

func (ptr *QTextDocument) UseDesignMetrics() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UseDesignMetrics"}).(bool)
}

func (ptr *QTextDocument) ConnectDestroyQTextDocument(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTextDocument", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextDocument) DisconnectDestroyQTextDocument() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTextDocument"})
}

func (ptr *QTextDocument) DestroyQTextDocument() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextDocument"})
}

func (ptr *QTextDocument) DestroyQTextDocumentDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextDocumentDefault"})
}

func (ptr *QTextDocument) __allFormats_atList(i int) *QTextFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__allFormats_atList", i}).(*QTextFormat)
}

func (ptr *QTextDocument) __allFormats_setList(i QTextFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__allFormats_setList", i})
}

func (ptr *QTextDocument) __allFormats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__allFormats_newList"}).(unsafe.Pointer)
}

func (ptr *QTextDocument) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QTextDocument) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QTextDocument) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QTextDocument) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QTextDocument) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QTextDocument) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QTextDocument) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QTextDocument) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QTextDocument) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QTextDocument) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QTextDocument) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QTextDocument) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QTextDocument) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QTextDocument) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QTextDocument) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QTextDocument) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QTextDocument) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QTextDocument) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QTextDocument) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QTextDocument) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QTextDocument) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QTextDocumentFragment struct {
	internal.Internal
}

type QTextDocumentFragment_ITF interface {
	QTextDocumentFragment_PTR() *QTextDocumentFragment
}

func (ptr *QTextDocumentFragment) QTextDocumentFragment_PTR() *QTextDocumentFragment {
	return ptr
}

func (ptr *QTextDocumentFragment) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextDocumentFragment) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextDocumentFragment(ptr QTextDocumentFragment_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextDocumentFragment_PTR().Pointer()
	}
	return nil
}

func (n *QTextDocumentFragment) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextDocumentFragmentFromPointer(ptr unsafe.Pointer) (n *QTextDocumentFragment) {
	n = new(QTextDocumentFragment)
	n.InitFromInternal(uintptr(ptr), "gui.QTextDocumentFragment")
	return
}
func NewQTextDocumentFragment() *QTextDocumentFragment {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextDocumentFragment", ""}).(*QTextDocumentFragment)
}

func NewQTextDocumentFragment2(document QTextDocument_ITF) *QTextDocumentFragment {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextDocumentFragment2", "", document}).(*QTextDocumentFragment)
}

func NewQTextDocumentFragment3(cursor QTextCursor_ITF) *QTextDocumentFragment {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextDocumentFragment3", "", cursor}).(*QTextDocumentFragment)
}

func NewQTextDocumentFragment4(other QTextDocumentFragment_ITF) *QTextDocumentFragment {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextDocumentFragment4", "", other}).(*QTextDocumentFragment)
}

func QTextDocumentFragment_FromHtml(text string) *QTextDocumentFragment {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTextDocumentFragment_FromHtml", "", text}).(*QTextDocumentFragment)
}

func (ptr *QTextDocumentFragment) FromHtml(text string) *QTextDocumentFragment {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTextDocumentFragment_FromHtml", "", text}).(*QTextDocumentFragment)
}

func QTextDocumentFragment_FromHtml2(text string, resourceProvider QTextDocument_ITF) *QTextDocumentFragment {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTextDocumentFragment_FromHtml2", "", text, resourceProvider}).(*QTextDocumentFragment)
}

func (ptr *QTextDocumentFragment) FromHtml2(text string, resourceProvider QTextDocument_ITF) *QTextDocumentFragment {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTextDocumentFragment_FromHtml2", "", text, resourceProvider}).(*QTextDocumentFragment)
}

func QTextDocumentFragment_FromPlainText(plainText string) *QTextDocumentFragment {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTextDocumentFragment_FromPlainText", "", plainText}).(*QTextDocumentFragment)
}

func (ptr *QTextDocumentFragment) FromPlainText(plainText string) *QTextDocumentFragment {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTextDocumentFragment_FromPlainText", "", plainText}).(*QTextDocumentFragment)
}

func (ptr *QTextDocumentFragment) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QTextDocumentFragment) ToHtml(encoding core.QByteArray_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToHtml", encoding}).(string)
}

func (ptr *QTextDocumentFragment) ToPlainText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPlainText"}).(string)
}

func (ptr *QTextDocumentFragment) DestroyQTextDocumentFragment() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextDocumentFragment"})
}

type QTextDocumentWriter struct {
	internal.Internal
}

type QTextDocumentWriter_ITF interface {
	QTextDocumentWriter_PTR() *QTextDocumentWriter
}

func (ptr *QTextDocumentWriter) QTextDocumentWriter_PTR() *QTextDocumentWriter {
	return ptr
}

func (ptr *QTextDocumentWriter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextDocumentWriter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextDocumentWriter(ptr QTextDocumentWriter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextDocumentWriter_PTR().Pointer()
	}
	return nil
}

func (n *QTextDocumentWriter) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextDocumentWriterFromPointer(ptr unsafe.Pointer) (n *QTextDocumentWriter) {
	n = new(QTextDocumentWriter)
	n.InitFromInternal(uintptr(ptr), "gui.QTextDocumentWriter")
	return
}
func NewQTextDocumentWriter() *QTextDocumentWriter {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextDocumentWriter", ""}).(*QTextDocumentWriter)
}

func NewQTextDocumentWriter2(device core.QIODevice_ITF, format core.QByteArray_ITF) *QTextDocumentWriter {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextDocumentWriter2", "", device, format}).(*QTextDocumentWriter)
}

func NewQTextDocumentWriter3(fileName string, format core.QByteArray_ITF) *QTextDocumentWriter {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextDocumentWriter3", "", fileName, format}).(*QTextDocumentWriter)
}

func (ptr *QTextDocumentWriter) Codec() *core.QTextCodec {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Codec"}).(*core.QTextCodec)
}

func (ptr *QTextDocumentWriter) Device() *core.QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Device"}).(*core.QIODevice)
}

func (ptr *QTextDocumentWriter) FileName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName"}).(string)
}

func (ptr *QTextDocumentWriter) Format() *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*core.QByteArray)
}

func (ptr *QTextDocumentWriter) SetCodec(codec core.QTextCodec_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCodec", codec})
}

func (ptr *QTextDocumentWriter) SetDevice(device core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDevice", device})
}

func (ptr *QTextDocumentWriter) SetFileName(fileName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileName", fileName})
}

func (ptr *QTextDocumentWriter) SetFormat(format core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", format})
}

func QTextDocumentWriter_SupportedDocumentFormats() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTextDocumentWriter_SupportedDocumentFormats", ""}).([]*core.QByteArray)
}

func (ptr *QTextDocumentWriter) SupportedDocumentFormats() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTextDocumentWriter_SupportedDocumentFormats", ""}).([]*core.QByteArray)
}

func (ptr *QTextDocumentWriter) Write(document QTextDocument_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write", document}).(bool)
}

func (ptr *QTextDocumentWriter) Write2(fragment QTextDocumentFragment_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write2", fragment}).(bool)
}

func (ptr *QTextDocumentWriter) DestroyQTextDocumentWriter() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextDocumentWriter"})
}

func (ptr *QTextDocumentWriter) __supportedDocumentFormats_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedDocumentFormats_atList", i}).(*core.QByteArray)
}

func (ptr *QTextDocumentWriter) __supportedDocumentFormats_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedDocumentFormats_setList", i})
}

func (ptr *QTextDocumentWriter) __supportedDocumentFormats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedDocumentFormats_newList"}).(unsafe.Pointer)
}

type QTextFormat struct {
	internal.Internal
}

type QTextFormat_ITF interface {
	QTextFormat_PTR() *QTextFormat
}

func (ptr *QTextFormat) QTextFormat_PTR() *QTextFormat {
	return ptr
}

func (ptr *QTextFormat) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextFormat) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextFormat(ptr QTextFormat_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextFormat_PTR().Pointer()
	}
	return nil
}

func (n *QTextFormat) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextFormatFromPointer(ptr unsafe.Pointer) (n *QTextFormat) {
	n = new(QTextFormat)
	n.InitFromInternal(uintptr(ptr), "gui.QTextFormat")
	return
}

//go:generate stringer -type=QTextFormat__FormatType
//QTextFormat::FormatType
type QTextFormat__FormatType int64

const (
	QTextFormat__InvalidFormat QTextFormat__FormatType = QTextFormat__FormatType(-1)
	QTextFormat__BlockFormat   QTextFormat__FormatType = QTextFormat__FormatType(1)
	QTextFormat__CharFormat    QTextFormat__FormatType = QTextFormat__FormatType(2)
	QTextFormat__ListFormat    QTextFormat__FormatType = QTextFormat__FormatType(3)
	QTextFormat__TableFormat   QTextFormat__FormatType = QTextFormat__FormatType(4)
	QTextFormat__FrameFormat   QTextFormat__FormatType = QTextFormat__FormatType(5)
	QTextFormat__UserFormat    QTextFormat__FormatType = QTextFormat__FormatType(100)
)

//go:generate stringer -type=QTextFormat__Property
//QTextFormat::Property
type QTextFormat__Property int64

const (
	QTextFormat__ObjectIndex                       QTextFormat__Property = QTextFormat__Property(0x0)
	QTextFormat__CssFloat                          QTextFormat__Property = QTextFormat__Property(0x0800)
	QTextFormat__LayoutDirection                   QTextFormat__Property = QTextFormat__Property(0x0801)
	QTextFormat__OutlinePen                        QTextFormat__Property = QTextFormat__Property(0x810)
	QTextFormat__BackgroundBrush                   QTextFormat__Property = QTextFormat__Property(0x820)
	QTextFormat__ForegroundBrush                   QTextFormat__Property = QTextFormat__Property(0x821)
	QTextFormat__BackgroundImageUrl                QTextFormat__Property = QTextFormat__Property(0x823)
	QTextFormat__BlockAlignment                    QTextFormat__Property = QTextFormat__Property(0x1010)
	QTextFormat__BlockTopMargin                    QTextFormat__Property = QTextFormat__Property(0x1030)
	QTextFormat__BlockBottomMargin                 QTextFormat__Property = QTextFormat__Property(0x1031)
	QTextFormat__BlockLeftMargin                   QTextFormat__Property = QTextFormat__Property(0x1032)
	QTextFormat__BlockRightMargin                  QTextFormat__Property = QTextFormat__Property(0x1033)
	QTextFormat__TextIndent                        QTextFormat__Property = QTextFormat__Property(0x1034)
	QTextFormat__TabPositions                      QTextFormat__Property = QTextFormat__Property(0x1035)
	QTextFormat__BlockIndent                       QTextFormat__Property = QTextFormat__Property(0x1040)
	QTextFormat__LineHeight                        QTextFormat__Property = QTextFormat__Property(0x1048)
	QTextFormat__LineHeightType                    QTextFormat__Property = QTextFormat__Property(0x1049)
	QTextFormat__BlockNonBreakableLines            QTextFormat__Property = QTextFormat__Property(0x1050)
	QTextFormat__BlockTrailingHorizontalRulerWidth QTextFormat__Property = QTextFormat__Property(0x1060)
	QTextFormat__HeadingLevel                      QTextFormat__Property = QTextFormat__Property(0x1070)
	QTextFormat__FirstFontProperty                 QTextFormat__Property = QTextFormat__Property(0x1FE0)
	QTextFormat__FontCapitalization                QTextFormat__Property = QTextFormat__Property(QTextFormat__FirstFontProperty)
	QTextFormat__FontLetterSpacingType             QTextFormat__Property = QTextFormat__Property(0x2033)
	QTextFormat__FontLetterSpacing                 QTextFormat__Property = QTextFormat__Property(0x1FE1)
	QTextFormat__FontWordSpacing                   QTextFormat__Property = QTextFormat__Property(0x1FE2)
	QTextFormat__FontStretch                       QTextFormat__Property = QTextFormat__Property(0x2034)
	QTextFormat__FontStyleHint                     QTextFormat__Property = QTextFormat__Property(0x1FE3)
	QTextFormat__FontStyleStrategy                 QTextFormat__Property = QTextFormat__Property(0x1FE4)
	QTextFormat__FontKerning                       QTextFormat__Property = QTextFormat__Property(0x1FE5)
	QTextFormat__FontHintingPreference             QTextFormat__Property = QTextFormat__Property(0x1FE6)
	QTextFormat__FontFamilies                      QTextFormat__Property = QTextFormat__Property(0x1FE7)
	QTextFormat__FontStyleName                     QTextFormat__Property = QTextFormat__Property(0x1FE8)
	QTextFormat__FontFamily                        QTextFormat__Property = QTextFormat__Property(0x2000)
	QTextFormat__FontPointSize                     QTextFormat__Property = QTextFormat__Property(0x2001)
	QTextFormat__FontSizeAdjustment                QTextFormat__Property = QTextFormat__Property(0x2002)
	QTextFormat__FontSizeIncrement                 QTextFormat__Property = QTextFormat__Property(QTextFormat__FontSizeAdjustment)
	QTextFormat__FontWeight                        QTextFormat__Property = QTextFormat__Property(0x2003)
	QTextFormat__FontItalic                        QTextFormat__Property = QTextFormat__Property(0x2004)
	QTextFormat__FontUnderline                     QTextFormat__Property = QTextFormat__Property(0x2005)
	QTextFormat__FontOverline                      QTextFormat__Property = QTextFormat__Property(0x2006)
	QTextFormat__FontStrikeOut                     QTextFormat__Property = QTextFormat__Property(0x2007)
	QTextFormat__FontFixedPitch                    QTextFormat__Property = QTextFormat__Property(0x2008)
	QTextFormat__FontPixelSize                     QTextFormat__Property = QTextFormat__Property(0x2009)
	QTextFormat__LastFontProperty                  QTextFormat__Property = QTextFormat__Property(QTextFormat__FontPixelSize)
	QTextFormat__TextUnderlineColor                QTextFormat__Property = QTextFormat__Property(0x2010)
	QTextFormat__TextVerticalAlignment             QTextFormat__Property = QTextFormat__Property(0x2021)
	QTextFormat__TextOutline                       QTextFormat__Property = QTextFormat__Property(0x2022)
	QTextFormat__TextUnderlineStyle                QTextFormat__Property = QTextFormat__Property(0x2023)
	QTextFormat__TextToolTip                       QTextFormat__Property = QTextFormat__Property(0x2024)
	QTextFormat__IsAnchor                          QTextFormat__Property = QTextFormat__Property(0x2030)
	QTextFormat__AnchorHref                        QTextFormat__Property = QTextFormat__Property(0x2031)
	QTextFormat__AnchorName                        QTextFormat__Property = QTextFormat__Property(0x2032)
	QTextFormat__ObjectType                        QTextFormat__Property = QTextFormat__Property(0x2f00)
	QTextFormat__ListStyle                         QTextFormat__Property = QTextFormat__Property(0x3000)
	QTextFormat__ListIndent                        QTextFormat__Property = QTextFormat__Property(0x3001)
	QTextFormat__ListNumberPrefix                  QTextFormat__Property = QTextFormat__Property(0x3002)
	QTextFormat__ListNumberSuffix                  QTextFormat__Property = QTextFormat__Property(0x3003)
	QTextFormat__FrameBorder                       QTextFormat__Property = QTextFormat__Property(0x4000)
	QTextFormat__FrameMargin                       QTextFormat__Property = QTextFormat__Property(0x4001)
	QTextFormat__FramePadding                      QTextFormat__Property = QTextFormat__Property(0x4002)
	QTextFormat__FrameWidth                        QTextFormat__Property = QTextFormat__Property(0x4003)
	QTextFormat__FrameHeight                       QTextFormat__Property = QTextFormat__Property(0x4004)
	QTextFormat__FrameTopMargin                    QTextFormat__Property = QTextFormat__Property(0x4005)
	QTextFormat__FrameBottomMargin                 QTextFormat__Property = QTextFormat__Property(0x4006)
	QTextFormat__FrameLeftMargin                   QTextFormat__Property = QTextFormat__Property(0x4007)
	QTextFormat__FrameRightMargin                  QTextFormat__Property = QTextFormat__Property(0x4008)
	QTextFormat__FrameBorderBrush                  QTextFormat__Property = QTextFormat__Property(0x4009)
	QTextFormat__FrameBorderStyle                  QTextFormat__Property = QTextFormat__Property(0x4010)
	QTextFormat__TableColumns                      QTextFormat__Property = QTextFormat__Property(0x4100)
	QTextFormat__TableColumnWidthConstraints       QTextFormat__Property = QTextFormat__Property(0x4101)
	QTextFormat__TableCellSpacing                  QTextFormat__Property = QTextFormat__Property(0x4102)
	QTextFormat__TableCellPadding                  QTextFormat__Property = QTextFormat__Property(0x4103)
	QTextFormat__TableHeaderRowCount               QTextFormat__Property = QTextFormat__Property(0x4104)
	QTextFormat__TableCellRowSpan                  QTextFormat__Property = QTextFormat__Property(0x4810)
	QTextFormat__TableCellColumnSpan               QTextFormat__Property = QTextFormat__Property(0x4811)
	QTextFormat__TableCellTopPadding               QTextFormat__Property = QTextFormat__Property(0x4812)
	QTextFormat__TableCellBottomPadding            QTextFormat__Property = QTextFormat__Property(0x4813)
	QTextFormat__TableCellLeftPadding              QTextFormat__Property = QTextFormat__Property(0x4814)
	QTextFormat__TableCellRightPadding             QTextFormat__Property = QTextFormat__Property(0x4815)
	QTextFormat__ImageName                         QTextFormat__Property = QTextFormat__Property(0x5000)
	QTextFormat__ImageWidth                        QTextFormat__Property = QTextFormat__Property(0x5010)
	QTextFormat__ImageHeight                       QTextFormat__Property = QTextFormat__Property(0x5011)
	QTextFormat__ImageQuality                      QTextFormat__Property = QTextFormat__Property(0x5014)
	QTextFormat__FullWidthSelection                QTextFormat__Property = QTextFormat__Property(0x06000)
	QTextFormat__PageBreakPolicy                   QTextFormat__Property = QTextFormat__Property(0x7000)
	QTextFormat__UserProperty                      QTextFormat__Property = QTextFormat__Property(0x100000)
)

//go:generate stringer -type=QTextFormat__ObjectTypes
//QTextFormat::ObjectTypes
type QTextFormat__ObjectTypes int64

const (
	QTextFormat__NoObject        QTextFormat__ObjectTypes = QTextFormat__ObjectTypes(0)
	QTextFormat__ImageObject     QTextFormat__ObjectTypes = QTextFormat__ObjectTypes(1)
	QTextFormat__TableObject     QTextFormat__ObjectTypes = QTextFormat__ObjectTypes(2)
	QTextFormat__TableCellObject QTextFormat__ObjectTypes = QTextFormat__ObjectTypes(3)
	QTextFormat__UserObject      QTextFormat__ObjectTypes = QTextFormat__ObjectTypes(0x1000)
)

//go:generate stringer -type=QTextFormat__PageBreakFlag
//QTextFormat::PageBreakFlag
type QTextFormat__PageBreakFlag int64

const (
	QTextFormat__PageBreak_Auto         QTextFormat__PageBreakFlag = QTextFormat__PageBreakFlag(0)
	QTextFormat__PageBreak_AlwaysBefore QTextFormat__PageBreakFlag = QTextFormat__PageBreakFlag(0x001)
	QTextFormat__PageBreak_AlwaysAfter  QTextFormat__PageBreakFlag = QTextFormat__PageBreakFlag(0x010)
)

func NewQTextFormat() *QTextFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextFormat", ""}).(*QTextFormat)
}

func NewQTextFormat2(ty int) *QTextFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextFormat2", "", ty}).(*QTextFormat)
}

func NewQTextFormat3(other QTextFormat_ITF) *QTextFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextFormat3", "", other}).(*QTextFormat)
}

func (ptr *QTextFormat) Background() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Background"}).(*QBrush)
}

func (ptr *QTextFormat) BoolProperty(propertyId int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoolProperty", propertyId}).(bool)
}

func (ptr *QTextFormat) BrushProperty(propertyId int) *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BrushProperty", propertyId}).(*QBrush)
}

func (ptr *QTextFormat) ClearBackground() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearBackground"})
}

func (ptr *QTextFormat) ClearForeground() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearForeground"})
}

func (ptr *QTextFormat) ClearProperty(propertyId int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearProperty", propertyId})
}

func (ptr *QTextFormat) ColorProperty(propertyId int) *QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColorProperty", propertyId}).(*QColor)
}

func (ptr *QTextFormat) DoubleProperty(propertyId int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoubleProperty", propertyId}).(float64)
}

func (ptr *QTextFormat) Foreground() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Foreground"}).(*QBrush)
}

func (ptr *QTextFormat) HasProperty(propertyId int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasProperty", propertyId}).(bool)
}

func (ptr *QTextFormat) IntProperty(propertyId int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IntProperty", propertyId}).(float64))
}

func (ptr *QTextFormat) IsBlockFormat() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsBlockFormat"}).(bool)
}

func (ptr *QTextFormat) IsCharFormat() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCharFormat"}).(bool)
}

func (ptr *QTextFormat) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QTextFormat) IsFrameFormat() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFrameFormat"}).(bool)
}

func (ptr *QTextFormat) IsImageFormat() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsImageFormat"}).(bool)
}

func (ptr *QTextFormat) IsListFormat() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsListFormat"}).(bool)
}

func (ptr *QTextFormat) IsTableCellFormat() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTableCellFormat"}).(bool)
}

func (ptr *QTextFormat) IsTableFormat() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTableFormat"}).(bool)
}

func (ptr *QTextFormat) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QTextFormat) LayoutDirection() core.Qt__LayoutDirection {

	return core.Qt__LayoutDirection(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LayoutDirection"}).(float64))
}

func (ptr *QTextFormat) LengthProperty(propertyId int) *QTextLength {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LengthProperty", propertyId}).(*QTextLength)
}

func (ptr *QTextFormat) Merge(other QTextFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Merge", other})
}

func (ptr *QTextFormat) ObjectIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ObjectIndex"}).(float64))
}

func (ptr *QTextFormat) ObjectType() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ObjectType"}).(float64))
}

func (ptr *QTextFormat) PenProperty(propertyId int) *QPen {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PenProperty", propertyId}).(*QPen)
}

func (ptr *QTextFormat) Properties() map[int]*core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Properties"}).(map[int]*core.QVariant)
}

func (ptr *QTextFormat) Property(propertyId int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Property", propertyId}).(*core.QVariant)
}

func (ptr *QTextFormat) PropertyCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PropertyCount"}).(float64))
}

func (ptr *QTextFormat) SetBackground(brush QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackground", brush})
}

func (ptr *QTextFormat) SetForeground(brush QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetForeground", brush})
}

func (ptr *QTextFormat) SetLayoutDirection(direction core.Qt__LayoutDirection) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLayoutDirection", direction})
}

func (ptr *QTextFormat) SetObjectIndex(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetObjectIndex", index})
}

func (ptr *QTextFormat) SetObjectType(ty int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetObjectType", ty})
}

func (ptr *QTextFormat) SetProperty(propertyId int, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetProperty", propertyId, value})
}

func (ptr *QTextFormat) SetProperty2(propertyId int, value []*QTextLength) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetProperty2", propertyId, value})
}

func (ptr *QTextFormat) StringProperty(propertyId int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StringProperty", propertyId}).(string)
}

func (ptr *QTextFormat) Swap(other QTextFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QTextFormat) ToBlockFormat() *QTextBlockFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToBlockFormat"}).(*QTextBlockFormat)
}

func (ptr *QTextFormat) ToCharFormat() *QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToCharFormat"}).(*QTextCharFormat)
}

func (ptr *QTextFormat) ToFrameFormat() *QTextFrameFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToFrameFormat"}).(*QTextFrameFormat)
}

func (ptr *QTextFormat) ToImageFormat() *QTextImageFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToImageFormat"}).(*QTextImageFormat)
}

func (ptr *QTextFormat) ToListFormat() *QTextListFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToListFormat"}).(*QTextListFormat)
}

func (ptr *QTextFormat) ToTableCellFormat() *QTextTableCellFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToTableCellFormat"}).(*QTextTableCellFormat)
}

func (ptr *QTextFormat) ToTableFormat() *QTextTableFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToTableFormat"}).(*QTextTableFormat)
}

func (ptr *QTextFormat) Type() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QTextFormat) DestroyQTextFormat() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextFormat"})
}

func (ptr *QTextFormat) __lengthVectorProperty_atList(i int) *QTextLength {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__lengthVectorProperty_atList", i}).(*QTextLength)
}

func (ptr *QTextFormat) __lengthVectorProperty_setList(i QTextLength_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__lengthVectorProperty_setList", i})
}

func (ptr *QTextFormat) __lengthVectorProperty_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__lengthVectorProperty_newList"}).(unsafe.Pointer)
}

func (ptr *QTextFormat) __properties_atList(v int, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__properties_atList", v, i}).(*core.QVariant)
}

func (ptr *QTextFormat) __properties_setList(key int, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__properties_setList", key, i})
}

func (ptr *QTextFormat) __properties_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__properties_newList"}).(unsafe.Pointer)
}

func (ptr *QTextFormat) __properties_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__properties_keyList"}).([]int)
}

func (ptr *QTextFormat) __setProperty_value_atList2(i int) *QTextLength {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setProperty_value_atList2", i}).(*QTextLength)
}

func (ptr *QTextFormat) __setProperty_value_setList2(i QTextLength_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setProperty_value_setList2", i})
}

func (ptr *QTextFormat) __setProperty_value_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setProperty_value_newList2"}).(unsafe.Pointer)
}

func (ptr *QTextFormat) ____properties_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____properties_keyList_atList", i}).(float64))
}

func (ptr *QTextFormat) ____properties_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____properties_keyList_setList", i})
}

func (ptr *QTextFormat) ____properties_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____properties_keyList_newList"}).(unsafe.Pointer)
}

type QTextFragment struct {
	internal.Internal
}

type QTextFragment_ITF interface {
	QTextFragment_PTR() *QTextFragment
}

func (ptr *QTextFragment) QTextFragment_PTR() *QTextFragment {
	return ptr
}

func (ptr *QTextFragment) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextFragment) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextFragment(ptr QTextFragment_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextFragment_PTR().Pointer()
	}
	return nil
}

func (n *QTextFragment) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextFragmentFromPointer(ptr unsafe.Pointer) (n *QTextFragment) {
	n = new(QTextFragment)
	n.InitFromInternal(uintptr(ptr), "gui.QTextFragment")
	return
}

func (ptr *QTextFragment) DestroyQTextFragment() {
}

func NewQTextFragment2() *QTextFragment {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextFragment2", ""}).(*QTextFragment)
}

func NewQTextFragment3(other QTextFragment_ITF) *QTextFragment {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextFragment3", "", other}).(*QTextFragment)
}

func (ptr *QTextFragment) CharFormat() *QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CharFormat"}).(*QTextCharFormat)
}

func (ptr *QTextFragment) CharFormatIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CharFormatIndex"}).(float64))
}

func (ptr *QTextFragment) Contains(position int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", position}).(bool)
}

func (ptr *QTextFragment) GlyphRuns(pos int, l int) []*QGlyphRun {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlyphRuns", pos, l}).([]*QGlyphRun)
}

func (ptr *QTextFragment) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QTextFragment) Length() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Length"}).(float64))
}

func (ptr *QTextFragment) Position() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(float64))
}

func (ptr *QTextFragment) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QTextFragment) __glyphRuns_atList(i int) *QGlyphRun {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphRuns_atList", i}).(*QGlyphRun)
}

func (ptr *QTextFragment) __glyphRuns_setList(i QGlyphRun_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphRuns_setList", i})
}

func (ptr *QTextFragment) __glyphRuns_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphRuns_newList"}).(unsafe.Pointer)
}

type QTextFrame struct {
	QTextObject
}

type QTextFrame_ITF interface {
	QTextObject_ITF
	QTextFrame_PTR() *QTextFrame
}

func (ptr *QTextFrame) QTextFrame_PTR() *QTextFrame {
	return ptr
}

func (ptr *QTextFrame) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextFrame) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QTextObject_PTR().SetPointer(p)
	}
}

func PointerFromQTextFrame(ptr QTextFrame_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextFrame_PTR().Pointer()
	}
	return nil
}

func (n *QTextFrame) InitFromInternal(ptr uintptr, name string) {
	n.QTextObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextFrame) ClassNameInternalF() string {
	return n.QTextObject_PTR().ClassNameInternalF()
}

func NewQTextFrameFromPointer(ptr unsafe.Pointer) (n *QTextFrame) {
	n = new(QTextFrame)
	n.InitFromInternal(uintptr(ptr), "gui.QTextFrame")
	return
}
func NewQTextFrame(document QTextDocument_ITF) *QTextFrame {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextFrame", "", document}).(*QTextFrame)
}

func (ptr *QTextFrame) ChildFrames() []*QTextFrame {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildFrames"}).([]*QTextFrame)
}

func (ptr *QTextFrame) FirstCursorPosition() *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FirstCursorPosition"}).(*QTextCursor)
}

func (ptr *QTextFrame) FirstPosition() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FirstPosition"}).(float64))
}

func (ptr *QTextFrame) FrameFormat() *QTextFrameFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameFormat"}).(*QTextFrameFormat)
}

func (ptr *QTextFrame) LastCursorPosition() *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastCursorPosition"}).(*QTextCursor)
}

func (ptr *QTextFrame) LastPosition() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastPosition"}).(float64))
}

func (ptr *QTextFrame) ParentFrame() *QTextFrame {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentFrame"}).(*QTextFrame)
}

func (ptr *QTextFrame) SetFrameFormat(format QTextFrameFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrameFormat", format})
}

func (ptr *QTextFrame) ConnectDestroyQTextFrame(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTextFrame", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextFrame) DisconnectDestroyQTextFrame() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTextFrame"})
}

func (ptr *QTextFrame) DestroyQTextFrame() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextFrame"})
}

func (ptr *QTextFrame) DestroyQTextFrameDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextFrameDefault"})
}

func (ptr *QTextFrame) __childFrames_atList(i int) *QTextFrame {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__childFrames_atList", i}).(*QTextFrame)
}

func (ptr *QTextFrame) __childFrames_setList(i QTextFrame_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__childFrames_setList", i})
}

func (ptr *QTextFrame) __childFrames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__childFrames_newList"}).(unsafe.Pointer)
}

type QTextFrameFormat struct {
	QTextFormat
}

type QTextFrameFormat_ITF interface {
	QTextFormat_ITF
	QTextFrameFormat_PTR() *QTextFrameFormat
}

func (ptr *QTextFrameFormat) QTextFrameFormat_PTR() *QTextFrameFormat {
	return ptr
}

func (ptr *QTextFrameFormat) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextFormat_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextFrameFormat) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QTextFormat_PTR().SetPointer(p)
	}
}

func PointerFromQTextFrameFormat(ptr QTextFrameFormat_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextFrameFormat_PTR().Pointer()
	}
	return nil
}

func (n *QTextFrameFormat) InitFromInternal(ptr uintptr, name string) {
	n.QTextFormat_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextFrameFormat) ClassNameInternalF() string {
	return n.QTextFormat_PTR().ClassNameInternalF()
}

func NewQTextFrameFormatFromPointer(ptr unsafe.Pointer) (n *QTextFrameFormat) {
	n = new(QTextFrameFormat)
	n.InitFromInternal(uintptr(ptr), "gui.QTextFrameFormat")
	return
}

func (ptr *QTextFrameFormat) DestroyQTextFrameFormat() {
}

//go:generate stringer -type=QTextFrameFormat__Position
//QTextFrameFormat::Position
type QTextFrameFormat__Position int64

const (
	QTextFrameFormat__InFlow     QTextFrameFormat__Position = QTextFrameFormat__Position(0)
	QTextFrameFormat__FloatLeft  QTextFrameFormat__Position = QTextFrameFormat__Position(1)
	QTextFrameFormat__FloatRight QTextFrameFormat__Position = QTextFrameFormat__Position(2)
)

//go:generate stringer -type=QTextFrameFormat__BorderStyle
//QTextFrameFormat::BorderStyle
type QTextFrameFormat__BorderStyle int64

var (
	QTextFrameFormat__BorderStyle_None       QTextFrameFormat__BorderStyle = QTextFrameFormat__BorderStyle(0)
	QTextFrameFormat__BorderStyle_Dotted     QTextFrameFormat__BorderStyle = QTextFrameFormat__BorderStyle(1)
	QTextFrameFormat__BorderStyle_Dashed     QTextFrameFormat__BorderStyle = QTextFrameFormat__BorderStyle(2)
	QTextFrameFormat__BorderStyle_Solid      QTextFrameFormat__BorderStyle = QTextFrameFormat__BorderStyle(3)
	QTextFrameFormat__BorderStyle_Double     QTextFrameFormat__BorderStyle = QTextFrameFormat__BorderStyle(4)
	QTextFrameFormat__BorderStyle_DotDash    QTextFrameFormat__BorderStyle = QTextFrameFormat__BorderStyle(5)
	QTextFrameFormat__BorderStyle_DotDotDash QTextFrameFormat__BorderStyle = QTextFrameFormat__BorderStyle(6)
	QTextFrameFormat__BorderStyle_Groove     QTextFrameFormat__BorderStyle = QTextFrameFormat__BorderStyle(7)
	QTextFrameFormat__BorderStyle_Ridge      QTextFrameFormat__BorderStyle = QTextFrameFormat__BorderStyle(8)
	QTextFrameFormat__BorderStyle_Inset      QTextFrameFormat__BorderStyle = QTextFrameFormat__BorderStyle(9)
	QTextFrameFormat__BorderStyle_Outset     QTextFrameFormat__BorderStyle = QTextFrameFormat__BorderStyle(10)
)

func NewQTextFrameFormat() *QTextFrameFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextFrameFormat", ""}).(*QTextFrameFormat)
}

func (ptr *QTextFrameFormat) Border() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Border"}).(float64)
}

func (ptr *QTextFrameFormat) BorderBrush() *QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BorderBrush"}).(*QBrush)
}

func (ptr *QTextFrameFormat) BorderStyle() QTextFrameFormat__BorderStyle {

	return QTextFrameFormat__BorderStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BorderStyle"}).(float64))
}

func (ptr *QTextFrameFormat) BottomMargin() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BottomMargin"}).(float64)
}

func (ptr *QTextFrameFormat) Height() *QTextLength {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(*QTextLength)
}

func (ptr *QTextFrameFormat) LeftMargin() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LeftMargin"}).(float64)
}

func (ptr *QTextFrameFormat) Margin() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Margin"}).(float64)
}

func (ptr *QTextFrameFormat) Padding() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Padding"}).(float64)
}

func (ptr *QTextFrameFormat) PageBreakPolicy() QTextFormat__PageBreakFlag {

	return QTextFormat__PageBreakFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageBreakPolicy"}).(float64))
}

func (ptr *QTextFrameFormat) Position() QTextFrameFormat__Position {

	return QTextFrameFormat__Position(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(float64))
}

func (ptr *QTextFrameFormat) RightMargin() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RightMargin"}).(float64)
}

func (ptr *QTextFrameFormat) SetBorder(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBorder", width})
}

func (ptr *QTextFrameFormat) SetBorderBrush(brush QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBorderBrush", brush})
}

func (ptr *QTextFrameFormat) SetBorderStyle(style QTextFrameFormat__BorderStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBorderStyle", style})
}

func (ptr *QTextFrameFormat) SetBottomMargin(margin float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottomMargin", margin})
}

func (ptr *QTextFrameFormat) SetHeight(height QTextLength_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeight", height})
}

func (ptr *QTextFrameFormat) SetHeight2(height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeight2", height})
}

func (ptr *QTextFrameFormat) SetLeftMargin(margin float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLeftMargin", margin})
}

func (ptr *QTextFrameFormat) SetMargin(margin float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMargin", margin})
}

func (ptr *QTextFrameFormat) SetPadding(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPadding", width})
}

func (ptr *QTextFrameFormat) SetPageBreakPolicy(policy QTextFormat__PageBreakFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageBreakPolicy", policy})
}

func (ptr *QTextFrameFormat) SetPosition(policy QTextFrameFormat__Position) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPosition", policy})
}

func (ptr *QTextFrameFormat) SetRightMargin(margin float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRightMargin", margin})
}

func (ptr *QTextFrameFormat) SetTopMargin(margin float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTopMargin", margin})
}

func (ptr *QTextFrameFormat) SetWidth(width QTextLength_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidth", width})
}

func (ptr *QTextFrameFormat) SetWidth2(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidth2", width})
}

func (ptr *QTextFrameFormat) TopMargin() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopMargin"}).(float64)
}

func (ptr *QTextFrameFormat) Width() *QTextLength {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(*QTextLength)
}

type QTextFrameLayoutData struct {
	internal.Internal
}

type QTextFrameLayoutData_ITF interface {
	QTextFrameLayoutData_PTR() *QTextFrameLayoutData
}

func (ptr *QTextFrameLayoutData) QTextFrameLayoutData_PTR() *QTextFrameLayoutData {
	return ptr
}

func (ptr *QTextFrameLayoutData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextFrameLayoutData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextFrameLayoutData(ptr QTextFrameLayoutData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextFrameLayoutData_PTR().Pointer()
	}
	return nil
}

func (n *QTextFrameLayoutData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextFrameLayoutDataFromPointer(ptr unsafe.Pointer) (n *QTextFrameLayoutData) {
	n = new(QTextFrameLayoutData)
	n.InitFromInternal(uintptr(ptr), "gui.QTextFrameLayoutData")
	return
}

func (ptr *QTextFrameLayoutData) DestroyQTextFrameLayoutData() {
}

type QTextImageFormat struct {
	QTextCharFormat
}

type QTextImageFormat_ITF interface {
	QTextCharFormat_ITF
	QTextImageFormat_PTR() *QTextImageFormat
}

func (ptr *QTextImageFormat) QTextImageFormat_PTR() *QTextImageFormat {
	return ptr
}

func (ptr *QTextImageFormat) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextCharFormat_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextImageFormat) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QTextCharFormat_PTR().SetPointer(p)
	}
}

func PointerFromQTextImageFormat(ptr QTextImageFormat_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextImageFormat_PTR().Pointer()
	}
	return nil
}

func (n *QTextImageFormat) InitFromInternal(ptr uintptr, name string) {
	n.QTextCharFormat_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextImageFormat) ClassNameInternalF() string {
	return n.QTextCharFormat_PTR().ClassNameInternalF()
}

func NewQTextImageFormatFromPointer(ptr unsafe.Pointer) (n *QTextImageFormat) {
	n = new(QTextImageFormat)
	n.InitFromInternal(uintptr(ptr), "gui.QTextImageFormat")
	return
}

func (ptr *QTextImageFormat) DestroyQTextImageFormat() {
}

func NewQTextImageFormat() *QTextImageFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextImageFormat", ""}).(*QTextImageFormat)
}

func (ptr *QTextImageFormat) Height() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64)
}

func (ptr *QTextImageFormat) Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(string)
}

func (ptr *QTextImageFormat) Quality() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Quality"}).(float64))
}

func (ptr *QTextImageFormat) SetHeight(height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeight", height})
}

func (ptr *QTextImageFormat) SetName(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetName", name})
}

func (ptr *QTextImageFormat) SetQuality(quality int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetQuality", quality})
}

func (ptr *QTextImageFormat) SetWidth(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidth", width})
}

func (ptr *QTextImageFormat) Width() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64)
}

type QTextInlineObject struct {
	internal.Internal
}

type QTextInlineObject_ITF interface {
	QTextInlineObject_PTR() *QTextInlineObject
}

func (ptr *QTextInlineObject) QTextInlineObject_PTR() *QTextInlineObject {
	return ptr
}

func (ptr *QTextInlineObject) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextInlineObject) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextInlineObject(ptr QTextInlineObject_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextInlineObject_PTR().Pointer()
	}
	return nil
}

func (n *QTextInlineObject) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextInlineObjectFromPointer(ptr unsafe.Pointer) (n *QTextInlineObject) {
	n = new(QTextInlineObject)
	n.InitFromInternal(uintptr(ptr), "gui.QTextInlineObject")
	return
}

func (ptr *QTextInlineObject) DestroyQTextInlineObject() {
}

func (ptr *QTextInlineObject) Ascent() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ascent"}).(float64)
}

func (ptr *QTextInlineObject) Descent() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Descent"}).(float64)
}

func (ptr *QTextInlineObject) Format() *QTextFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*QTextFormat)
}

func (ptr *QTextInlineObject) FormatIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FormatIndex"}).(float64))
}

func (ptr *QTextInlineObject) Height() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64)
}

func (ptr *QTextInlineObject) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QTextInlineObject) Rect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rect"}).(*core.QRectF)
}

func (ptr *QTextInlineObject) SetAscent(a float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAscent", a})
}

func (ptr *QTextInlineObject) SetDescent(d float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDescent", d})
}

func (ptr *QTextInlineObject) SetWidth(w float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidth", w})
}

func (ptr *QTextInlineObject) TextDirection() core.Qt__LayoutDirection {

	return core.Qt__LayoutDirection(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextDirection"}).(float64))
}

func (ptr *QTextInlineObject) TextPosition() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextPosition"}).(float64))
}

func (ptr *QTextInlineObject) Width() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64)
}

type QTextItem struct {
	internal.Internal
}

type QTextItem_ITF interface {
	QTextItem_PTR() *QTextItem
}

func (ptr *QTextItem) QTextItem_PTR() *QTextItem {
	return ptr
}

func (ptr *QTextItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextItem(ptr QTextItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextItem_PTR().Pointer()
	}
	return nil
}

func (n *QTextItem) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextItemFromPointer(ptr unsafe.Pointer) (n *QTextItem) {
	n = new(QTextItem)
	n.InitFromInternal(uintptr(ptr), "gui.QTextItem")
	return
}

func (ptr *QTextItem) DestroyQTextItem() {
}

//go:generate stringer -type=QTextItem__RenderFlag
//QTextItem::RenderFlag
type QTextItem__RenderFlag int64

const (
	QTextItem__RightToLeft QTextItem__RenderFlag = QTextItem__RenderFlag(0x1)
	QTextItem__Overline    QTextItem__RenderFlag = QTextItem__RenderFlag(0x10)
	QTextItem__Underline   QTextItem__RenderFlag = QTextItem__RenderFlag(0x20)
	QTextItem__StrikeOut   QTextItem__RenderFlag = QTextItem__RenderFlag(0x40)
	QTextItem__Dummy       QTextItem__RenderFlag = QTextItem__RenderFlag(0xffffffff)
)

func (ptr *QTextItem) Ascent() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ascent"}).(float64)
}

func (ptr *QTextItem) Descent() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Descent"}).(float64)
}

func (ptr *QTextItem) Font() *QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*QFont)
}

func (ptr *QTextItem) RenderFlags() QTextItem__RenderFlag {

	return QTextItem__RenderFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RenderFlags"}).(float64))
}

func (ptr *QTextItem) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QTextItem) Width() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64)
}

type QTextLayout struct {
	internal.Internal
}

type QTextLayout_ITF interface {
	QTextLayout_PTR() *QTextLayout
}

func (ptr *QTextLayout) QTextLayout_PTR() *QTextLayout {
	return ptr
}

func (ptr *QTextLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextLayout(ptr QTextLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextLayout_PTR().Pointer()
	}
	return nil
}

func (n *QTextLayout) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextLayoutFromPointer(ptr unsafe.Pointer) (n *QTextLayout) {
	n = new(QTextLayout)
	n.InitFromInternal(uintptr(ptr), "gui.QTextLayout")
	return
}

//go:generate stringer -type=QTextLayout__CursorMode
//QTextLayout::CursorMode
type QTextLayout__CursorMode int64

const (
	QTextLayout__SkipCharacters QTextLayout__CursorMode = QTextLayout__CursorMode(0)
	QTextLayout__SkipWords      QTextLayout__CursorMode = QTextLayout__CursorMode(1)
)

func NewQTextLayout() *QTextLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextLayout", ""}).(*QTextLayout)
}

func NewQTextLayout2(text string) *QTextLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextLayout2", "", text}).(*QTextLayout)
}

func NewQTextLayout4(text string, font QFont_ITF, paintdevice QPaintDevice_ITF) *QTextLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextLayout4", "", text, font, paintdevice}).(*QTextLayout)
}

func (ptr *QTextLayout) BeginLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginLayout"})
}

func (ptr *QTextLayout) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QTextLayout) CacheEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CacheEnabled"}).(bool)
}

func (ptr *QTextLayout) ClearFormats() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearFormats"})
}

func (ptr *QTextLayout) ClearLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearLayout"})
}

func (ptr *QTextLayout) CreateLine() *QTextLine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateLine"}).(*QTextLine)
}

func (ptr *QTextLayout) CursorMoveStyle() core.Qt__CursorMoveStyle {

	return core.Qt__CursorMoveStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorMoveStyle"}).(float64))
}

func (ptr *QTextLayout) DrawCursor(painter QPainter_ITF, position core.QPointF_ITF, cursorPosition int, width int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawCursor", painter, position, cursorPosition, width})
}

func (ptr *QTextLayout) DrawCursor2(painter QPainter_ITF, position core.QPointF_ITF, cursorPosition int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawCursor2", painter, position, cursorPosition})
}

func (ptr *QTextLayout) EndLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndLayout"})
}

func (ptr *QTextLayout) Font() *QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*QFont)
}

func (ptr *QTextLayout) GlyphRuns(from int, length int) []*QGlyphRun {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlyphRuns", from, length}).([]*QGlyphRun)
}

func (ptr *QTextLayout) IsValidCursorPosition(pos int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValidCursorPosition", pos}).(bool)
}

func (ptr *QTextLayout) LeftCursorPosition(oldPos int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LeftCursorPosition", oldPos}).(float64))
}

func (ptr *QTextLayout) LineAt(i int) *QTextLine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineAt", i}).(*QTextLine)
}

func (ptr *QTextLayout) LineCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineCount"}).(float64))
}

func (ptr *QTextLayout) LineForTextPosition(pos int) *QTextLine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineForTextPosition", pos}).(*QTextLine)
}

func (ptr *QTextLayout) MaximumWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumWidth"}).(float64)
}

func (ptr *QTextLayout) MinimumWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumWidth"}).(float64)
}

func (ptr *QTextLayout) NextCursorPosition(oldPos int, mode QTextLayout__CursorMode) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NextCursorPosition", oldPos, mode}).(float64))
}

func (ptr *QTextLayout) Position() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(*core.QPointF)
}

func (ptr *QTextLayout) PreeditAreaPosition() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PreeditAreaPosition"}).(float64))
}

func (ptr *QTextLayout) PreeditAreaText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PreeditAreaText"}).(string)
}

func (ptr *QTextLayout) PreviousCursorPosition(oldPos int, mode QTextLayout__CursorMode) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PreviousCursorPosition", oldPos, mode}).(float64))
}

func (ptr *QTextLayout) RightCursorPosition(oldPos int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RightCursorPosition", oldPos}).(float64))
}

func (ptr *QTextLayout) SetCacheEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCacheEnabled", enable})
}

func (ptr *QTextLayout) SetCursorMoveStyle(style core.Qt__CursorMoveStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCursorMoveStyle", style})
}

func (ptr *QTextLayout) SetFont(font QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont", font})
}

func (ptr *QTextLayout) SetPosition(p core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPosition", p})
}

func (ptr *QTextLayout) SetPreeditArea(position int, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPreeditArea", position, text})
}

func (ptr *QTextLayout) SetText(stri string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", stri})
}

func (ptr *QTextLayout) SetTextOption(option QTextOption_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextOption", option})
}

func (ptr *QTextLayout) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QTextLayout) TextOption() *QTextOption {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextOption"}).(*QTextOption)
}

func (ptr *QTextLayout) DestroyQTextLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextLayout"})
}

func (ptr *QTextLayout) __formats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__formats_newList"}).(unsafe.Pointer)
}

func (ptr *QTextLayout) __glyphRuns_atList(i int) *QGlyphRun {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphRuns_atList", i}).(*QGlyphRun)
}

func (ptr *QTextLayout) __glyphRuns_setList(i QGlyphRun_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphRuns_setList", i})
}

func (ptr *QTextLayout) __glyphRuns_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphRuns_newList"}).(unsafe.Pointer)
}

type QTextLength struct {
	internal.Internal
}

type QTextLength_ITF interface {
	QTextLength_PTR() *QTextLength
}

func (ptr *QTextLength) QTextLength_PTR() *QTextLength {
	return ptr
}

func (ptr *QTextLength) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextLength) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextLength(ptr QTextLength_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextLength_PTR().Pointer()
	}
	return nil
}

func (n *QTextLength) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextLengthFromPointer(ptr unsafe.Pointer) (n *QTextLength) {
	n = new(QTextLength)
	n.InitFromInternal(uintptr(ptr), "gui.QTextLength")
	return
}

func (ptr *QTextLength) DestroyQTextLength() {
}

//go:generate stringer -type=QTextLength__Type
//QTextLength::Type
type QTextLength__Type int64

const (
	QTextLength__VariableLength   QTextLength__Type = QTextLength__Type(0)
	QTextLength__FixedLength      QTextLength__Type = QTextLength__Type(1)
	QTextLength__PercentageLength QTextLength__Type = QTextLength__Type(2)
)

func NewQTextLength() *QTextLength {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextLength", ""}).(*QTextLength)
}

func NewQTextLength2(ty QTextLength__Type, value float64) *QTextLength {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextLength2", "", ty, value}).(*QTextLength)
}

func (ptr *QTextLength) RawValue() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RawValue"}).(float64)
}

func (ptr *QTextLength) Type() QTextLength__Type {

	return QTextLength__Type(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QTextLength) Value(maximumLength float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value", maximumLength}).(float64)
}

type QTextLine struct {
	internal.Internal
}

type QTextLine_ITF interface {
	QTextLine_PTR() *QTextLine
}

func (ptr *QTextLine) QTextLine_PTR() *QTextLine {
	return ptr
}

func (ptr *QTextLine) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextLine) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextLine(ptr QTextLine_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextLine_PTR().Pointer()
	}
	return nil
}

func (n *QTextLine) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextLineFromPointer(ptr unsafe.Pointer) (n *QTextLine) {
	n = new(QTextLine)
	n.InitFromInternal(uintptr(ptr), "gui.QTextLine")
	return
}

func (ptr *QTextLine) DestroyQTextLine() {
}

//go:generate stringer -type=QTextLine__Edge
//QTextLine::Edge
type QTextLine__Edge int64

const (
	QTextLine__Leading  QTextLine__Edge = QTextLine__Edge(0)
	QTextLine__Trailing QTextLine__Edge = QTextLine__Edge(1)
)

//go:generate stringer -type=QTextLine__CursorPosition
//QTextLine::CursorPosition
type QTextLine__CursorPosition int64

const (
	QTextLine__CursorBetweenCharacters QTextLine__CursorPosition = QTextLine__CursorPosition(0)
	QTextLine__CursorOnCharacter       QTextLine__CursorPosition = QTextLine__CursorPosition(1)
)

func NewQTextLine() *QTextLine {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextLine", ""}).(*QTextLine)
}

func (ptr *QTextLine) Ascent() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ascent"}).(float64)
}

func (ptr *QTextLine) CursorToX(cursorPos int, edge QTextLine__Edge) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorToX", cursorPos, edge}).(float64)
}

func (ptr *QTextLine) CursorToX2(cursorPos int, edge QTextLine__Edge) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorToX2", cursorPos, edge}).(float64)
}

func (ptr *QTextLine) Descent() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Descent"}).(float64)
}

func (ptr *QTextLine) GlyphRuns(from int, length int) []*QGlyphRun {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlyphRuns", from, length}).([]*QGlyphRun)
}

func (ptr *QTextLine) Height() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64)
}

func (ptr *QTextLine) HorizontalAdvance() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalAdvance"}).(float64)
}

func (ptr *QTextLine) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QTextLine) Leading() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Leading"}).(float64)
}

func (ptr *QTextLine) LeadingIncluded() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LeadingIncluded"}).(bool)
}

func (ptr *QTextLine) LineNumber() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineNumber"}).(float64))
}

func (ptr *QTextLine) NaturalTextRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NaturalTextRect"}).(*core.QRectF)
}

func (ptr *QTextLine) NaturalTextWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NaturalTextWidth"}).(float64)
}

func (ptr *QTextLine) Position() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(*core.QPointF)
}

func (ptr *QTextLine) Rect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rect"}).(*core.QRectF)
}

func (ptr *QTextLine) SetLeadingIncluded(included bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLeadingIncluded", included})
}

func (ptr *QTextLine) SetLineWidth(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLineWidth", width})
}

func (ptr *QTextLine) SetNumColumns(numColumns int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNumColumns", numColumns})
}

func (ptr *QTextLine) SetNumColumns2(numColumns int, alignmentWidth float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNumColumns2", numColumns, alignmentWidth})
}

func (ptr *QTextLine) SetPosition(pos core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPosition", pos})
}

func (ptr *QTextLine) TextLength() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextLength"}).(float64))
}

func (ptr *QTextLine) TextStart() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextStart"}).(float64))
}

func (ptr *QTextLine) Width() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64)
}

func (ptr *QTextLine) X() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float64)
}

func (ptr *QTextLine) XToCursor(x float64, cpos QTextLine__CursorPosition) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "XToCursor", x, cpos}).(float64))
}

func (ptr *QTextLine) Y() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float64)
}

func (ptr *QTextLine) __glyphRuns_atList(i int) *QGlyphRun {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphRuns_atList", i}).(*QGlyphRun)
}

func (ptr *QTextLine) __glyphRuns_setList(i QGlyphRun_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphRuns_setList", i})
}

func (ptr *QTextLine) __glyphRuns_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__glyphRuns_newList"}).(unsafe.Pointer)
}

type QTextList struct {
	QTextBlockGroup
}

type QTextList_ITF interface {
	QTextBlockGroup_ITF
	QTextList_PTR() *QTextList
}

func (ptr *QTextList) QTextList_PTR() *QTextList {
	return ptr
}

func (ptr *QTextList) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextBlockGroup_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextList) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QTextBlockGroup_PTR().SetPointer(p)
	}
}

func PointerFromQTextList(ptr QTextList_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextList_PTR().Pointer()
	}
	return nil
}

func (n *QTextList) InitFromInternal(ptr uintptr, name string) {
	n.QTextBlockGroup_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextList) ClassNameInternalF() string {
	return n.QTextBlockGroup_PTR().ClassNameInternalF()
}

func NewQTextListFromPointer(ptr unsafe.Pointer) (n *QTextList) {
	n = new(QTextList)
	n.InitFromInternal(uintptr(ptr), "gui.QTextList")
	return
}

func (ptr *QTextList) DestroyQTextList() {
}

func (ptr *QTextList) Add(block QTextBlock_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Add", block})
}

func (ptr *QTextList) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QTextList) Format() *QTextListFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*QTextListFormat)
}

func (ptr *QTextList) Item(i int) *QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Item", i}).(*QTextBlock)
}

func (ptr *QTextList) ItemNumber(block QTextBlock_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemNumber", block}).(float64))
}

func (ptr *QTextList) ItemText(block QTextBlock_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemText", block}).(string)
}

func (ptr *QTextList) Remove(block QTextBlock_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove", block})
}

func (ptr *QTextList) RemoveItem(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveItem", i})
}

func (ptr *QTextList) SetFormat(format QTextListFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", format})
}

type QTextListFormat struct {
	QTextFormat
}

type QTextListFormat_ITF interface {
	QTextFormat_ITF
	QTextListFormat_PTR() *QTextListFormat
}

func (ptr *QTextListFormat) QTextListFormat_PTR() *QTextListFormat {
	return ptr
}

func (ptr *QTextListFormat) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextFormat_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextListFormat) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QTextFormat_PTR().SetPointer(p)
	}
}

func PointerFromQTextListFormat(ptr QTextListFormat_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextListFormat_PTR().Pointer()
	}
	return nil
}

func (n *QTextListFormat) InitFromInternal(ptr uintptr, name string) {
	n.QTextFormat_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextListFormat) ClassNameInternalF() string {
	return n.QTextFormat_PTR().ClassNameInternalF()
}

func NewQTextListFormatFromPointer(ptr unsafe.Pointer) (n *QTextListFormat) {
	n = new(QTextListFormat)
	n.InitFromInternal(uintptr(ptr), "gui.QTextListFormat")
	return
}

func (ptr *QTextListFormat) DestroyQTextListFormat() {
}

//go:generate stringer -type=QTextListFormat__Style
//QTextListFormat::Style
type QTextListFormat__Style int64

var (
	QTextListFormat__ListDisc           QTextListFormat__Style = QTextListFormat__Style(-1)
	QTextListFormat__ListCircle         QTextListFormat__Style = QTextListFormat__Style(-2)
	QTextListFormat__ListSquare         QTextListFormat__Style = QTextListFormat__Style(-3)
	QTextListFormat__ListDecimal        QTextListFormat__Style = QTextListFormat__Style(-4)
	QTextListFormat__ListLowerAlpha     QTextListFormat__Style = QTextListFormat__Style(-5)
	QTextListFormat__ListUpperAlpha     QTextListFormat__Style = QTextListFormat__Style(-6)
	QTextListFormat__ListLowerRoman     QTextListFormat__Style = QTextListFormat__Style(-7)
	QTextListFormat__ListUpperRoman     QTextListFormat__Style = QTextListFormat__Style(-8)
	QTextListFormat__ListStyleUndefined QTextListFormat__Style = QTextListFormat__Style(0)
)

func NewQTextListFormat() *QTextListFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextListFormat", ""}).(*QTextListFormat)
}

func (ptr *QTextListFormat) Indent() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Indent"}).(float64))
}

func (ptr *QTextListFormat) NumberPrefix() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NumberPrefix"}).(string)
}

func (ptr *QTextListFormat) NumberSuffix() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NumberSuffix"}).(string)
}

func (ptr *QTextListFormat) SetIndent(indentation int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIndent", indentation})
}

func (ptr *QTextListFormat) SetNumberPrefix(numberPrefix string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNumberPrefix", numberPrefix})
}

func (ptr *QTextListFormat) SetNumberSuffix(numberSuffix string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNumberSuffix", numberSuffix})
}

func (ptr *QTextListFormat) SetStyle(style QTextListFormat__Style) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStyle", style})
}

func (ptr *QTextListFormat) Style() QTextListFormat__Style {

	return QTextListFormat__Style(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Style"}).(float64))
}

type QTextObject struct {
	core.QObject
}

type QTextObject_ITF interface {
	core.QObject_ITF
	QTextObject_PTR() *QTextObject
}

func (ptr *QTextObject) QTextObject_PTR() *QTextObject {
	return ptr
}

func (ptr *QTextObject) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextObject) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQTextObject(ptr QTextObject_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextObject_PTR().Pointer()
	}
	return nil
}

func (n *QTextObject) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextObject) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQTextObjectFromPointer(ptr unsafe.Pointer) (n *QTextObject) {
	n = new(QTextObject)
	n.InitFromInternal(uintptr(ptr), "gui.QTextObject")
	return
}
func NewQTextObject(document QTextDocument_ITF) *QTextObject {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextObject", "", document}).(*QTextObject)
}

func (ptr *QTextObject) Document() *QTextDocument {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Document"}).(*QTextDocument)
}

func (ptr *QTextObject) Format() *QTextFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*QTextFormat)
}

func (ptr *QTextObject) FormatIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FormatIndex"}).(float64))
}

func (ptr *QTextObject) ObjectIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ObjectIndex"}).(float64))
}

func (ptr *QTextObject) SetFormat(format QTextFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", format})
}

func (ptr *QTextObject) ConnectDestroyQTextObject(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTextObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextObject) DisconnectDestroyQTextObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTextObject"})
}

func (ptr *QTextObject) DestroyQTextObject() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextObject"})
}

func (ptr *QTextObject) DestroyQTextObjectDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextObjectDefault"})
}

func (ptr *QTextObject) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QTextObject) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QTextObject) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QTextObject) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QTextObject) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QTextObject) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QTextObject) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QTextObject) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QTextObject) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QTextObject) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QTextObject) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QTextObject) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QTextObject) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QTextObject) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QTextObject) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QTextObject) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QTextObject) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QTextObject) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QTextObject) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QTextObject) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QTextObject) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QTextObjectInterface struct {
	internal.Internal
}

type QTextObjectInterface_ITF interface {
	QTextObjectInterface_PTR() *QTextObjectInterface
}

func (ptr *QTextObjectInterface) QTextObjectInterface_PTR() *QTextObjectInterface {
	return ptr
}

func (ptr *QTextObjectInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextObjectInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextObjectInterface(ptr QTextObjectInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextObjectInterface_PTR().Pointer()
	}
	return nil
}

func (n *QTextObjectInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextObjectInterfaceFromPointer(ptr unsafe.Pointer) (n *QTextObjectInterface) {
	n = new(QTextObjectInterface)
	n.InitFromInternal(uintptr(ptr), "gui.QTextObjectInterface")
	return
}
func (ptr *QTextObjectInterface) ConnectDrawObject(f func(painter *QPainter, rect *core.QRectF, doc *QTextDocument, posInDocument int, format *QTextFormat)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextObjectInterface) DisconnectDrawObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawObject"})
}

func (ptr *QTextObjectInterface) DrawObject(painter QPainter_ITF, rect core.QRectF_ITF, doc QTextDocument_ITF, posInDocument int, format QTextFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawObject", painter, rect, doc, posInDocument, format})
}

func (ptr *QTextObjectInterface) ConnectIntrinsicSize(f func(doc *QTextDocument, posInDocument int, format *QTextFormat) *core.QSizeF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIntrinsicSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextObjectInterface) DisconnectIntrinsicSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIntrinsicSize"})
}

func (ptr *QTextObjectInterface) IntrinsicSize(doc QTextDocument_ITF, posInDocument int, format QTextFormat_ITF) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IntrinsicSize", doc, posInDocument, format}).(*core.QSizeF)
}

func (ptr *QTextObjectInterface) ConnectDestroyQTextObjectInterface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTextObjectInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextObjectInterface) DisconnectDestroyQTextObjectInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTextObjectInterface"})
}

func (ptr *QTextObjectInterface) DestroyQTextObjectInterface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextObjectInterface"})
}

func (ptr *QTextObjectInterface) DestroyQTextObjectInterfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextObjectInterfaceDefault"})
}

type QTextOption struct {
	internal.Internal
}

type QTextOption_ITF interface {
	QTextOption_PTR() *QTextOption
}

func (ptr *QTextOption) QTextOption_PTR() *QTextOption {
	return ptr
}

func (ptr *QTextOption) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextOption) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextOption(ptr QTextOption_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextOption_PTR().Pointer()
	}
	return nil
}

func (n *QTextOption) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextOptionFromPointer(ptr unsafe.Pointer) (n *QTextOption) {
	n = new(QTextOption)
	n.InitFromInternal(uintptr(ptr), "gui.QTextOption")
	return
}

//go:generate stringer -type=QTextOption__TabType
//QTextOption::TabType
type QTextOption__TabType int64

const (
	QTextOption__LeftTab      QTextOption__TabType = QTextOption__TabType(0)
	QTextOption__RightTab     QTextOption__TabType = QTextOption__TabType(1)
	QTextOption__CenterTab    QTextOption__TabType = QTextOption__TabType(2)
	QTextOption__DelimiterTab QTextOption__TabType = QTextOption__TabType(3)
)

//go:generate stringer -type=QTextOption__WrapMode
//QTextOption::WrapMode
type QTextOption__WrapMode int64

const (
	QTextOption__NoWrap                       QTextOption__WrapMode = QTextOption__WrapMode(0)
	QTextOption__WordWrap                     QTextOption__WrapMode = QTextOption__WrapMode(1)
	QTextOption__ManualWrap                   QTextOption__WrapMode = QTextOption__WrapMode(2)
	QTextOption__WrapAnywhere                 QTextOption__WrapMode = QTextOption__WrapMode(3)
	QTextOption__WrapAtWordBoundaryOrAnywhere QTextOption__WrapMode = QTextOption__WrapMode(4)
)

//go:generate stringer -type=QTextOption__Flag
//QTextOption::Flag
type QTextOption__Flag int64

const (
	QTextOption__ShowTabsAndSpaces                     QTextOption__Flag = QTextOption__Flag(0x1)
	QTextOption__ShowLineAndParagraphSeparators        QTextOption__Flag = QTextOption__Flag(0x2)
	QTextOption__AddSpaceForLineAndParagraphSeparators QTextOption__Flag = QTextOption__Flag(0x4)
	QTextOption__SuppressColors                        QTextOption__Flag = QTextOption__Flag(0x8)
	QTextOption__ShowDocumentTerminator                QTextOption__Flag = QTextOption__Flag(0x10)
	QTextOption__IncludeTrailingSpaces                 QTextOption__Flag = QTextOption__Flag(0x80000000)
)

func NewQTextOption() *QTextOption {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextOption", ""}).(*QTextOption)
}

func NewQTextOption2(alignment core.Qt__AlignmentFlag) *QTextOption {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextOption2", "", alignment}).(*QTextOption)
}

func NewQTextOption3(other QTextOption_ITF) *QTextOption {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextOption3", "", other}).(*QTextOption)
}

func (ptr *QTextOption) Alignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment"}).(float64))
}

func (ptr *QTextOption) Flags() QTextOption__Flag {

	return QTextOption__Flag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flags"}).(float64))
}

func (ptr *QTextOption) SetAlignment(alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", alignment})
}

func (ptr *QTextOption) SetFlags(flags QTextOption__Flag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlags", flags})
}

func (ptr *QTextOption) SetTabArray(tabStops []float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabArray", tabStops})
}

func (ptr *QTextOption) SetTabStopDistance(tabStopDistance float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabStopDistance", tabStopDistance})
}

func (ptr *QTextOption) SetTextDirection(direction core.Qt__LayoutDirection) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextDirection", direction})
}

func (ptr *QTextOption) SetUseDesignMetrics(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUseDesignMetrics", enable})
}

func (ptr *QTextOption) SetWrapMode(mode QTextOption__WrapMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWrapMode", mode})
}

func (ptr *QTextOption) TabArray() []float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabArray"}).([]float64)
}

func (ptr *QTextOption) TabStopDistance() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabStopDistance"}).(float64)
}

func (ptr *QTextOption) TextDirection() core.Qt__LayoutDirection {

	return core.Qt__LayoutDirection(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextDirection"}).(float64))
}

func (ptr *QTextOption) UseDesignMetrics() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UseDesignMetrics"}).(bool)
}

func (ptr *QTextOption) WrapMode() QTextOption__WrapMode {

	return QTextOption__WrapMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WrapMode"}).(float64))
}

func (ptr *QTextOption) DestroyQTextOption() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextOption"})
}

func (ptr *QTextOption) __setTabArray_tabStops_atList(i int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTabArray_tabStops_atList", i}).(float64)
}

func (ptr *QTextOption) __setTabArray_tabStops_setList(i float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTabArray_tabStops_setList", i})
}

func (ptr *QTextOption) __setTabArray_tabStops_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTabArray_tabStops_newList"}).(unsafe.Pointer)
}

func (ptr *QTextOption) __tabArray_atList(i int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__tabArray_atList", i}).(float64)
}

func (ptr *QTextOption) __tabArray_setList(i float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__tabArray_setList", i})
}

func (ptr *QTextOption) __tabArray_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__tabArray_newList"}).(unsafe.Pointer)
}

type QTextTable struct {
	QTextFrame
}

type QTextTable_ITF interface {
	QTextFrame_ITF
	QTextTable_PTR() *QTextTable
}

func (ptr *QTextTable) QTextTable_PTR() *QTextTable {
	return ptr
}

func (ptr *QTextTable) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextFrame_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextTable) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QTextFrame_PTR().SetPointer(p)
	}
}

func PointerFromQTextTable(ptr QTextTable_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextTable_PTR().Pointer()
	}
	return nil
}

func (n *QTextTable) InitFromInternal(ptr uintptr, name string) {
	n.QTextFrame_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextTable) ClassNameInternalF() string {
	return n.QTextFrame_PTR().ClassNameInternalF()
}

func NewQTextTableFromPointer(ptr unsafe.Pointer) (n *QTextTable) {
	n = new(QTextTable)
	n.InitFromInternal(uintptr(ptr), "gui.QTextTable")
	return
}

func (ptr *QTextTable) DestroyQTextTable() {
}

func (ptr *QTextTable) AppendColumns(count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendColumns", count})
}

func (ptr *QTextTable) AppendRows(count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendRows", count})
}

func (ptr *QTextTable) CellAt(row int, column int) *QTextTableCell {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CellAt", row, column}).(*QTextTableCell)
}

func (ptr *QTextTable) CellAt2(position int) *QTextTableCell {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CellAt2", position}).(*QTextTableCell)
}

func (ptr *QTextTable) CellAt3(cursor QTextCursor_ITF) *QTextTableCell {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CellAt3", cursor}).(*QTextTableCell)
}

func (ptr *QTextTable) Columns() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Columns"}).(float64))
}

func (ptr *QTextTable) Format() *QTextTableFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*QTextTableFormat)
}

func (ptr *QTextTable) InsertColumns(index int, columns int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertColumns", index, columns})
}

func (ptr *QTextTable) InsertRows(index int, rows int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRows", index, rows})
}

func (ptr *QTextTable) MergeCells(row int, column int, numRows int, numCols int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MergeCells", row, column, numRows, numCols})
}

func (ptr *QTextTable) MergeCells2(cursor QTextCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MergeCells2", cursor})
}

func (ptr *QTextTable) RemoveColumns(index int, columns int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveColumns", index, columns})
}

func (ptr *QTextTable) RemoveRows(index int, rows int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRows", index, rows})
}

func (ptr *QTextTable) Resize(rows int, columns int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resize", rows, columns})
}

func (ptr *QTextTable) RowEnd(cursor QTextCursor_ITF) *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowEnd", cursor}).(*QTextCursor)
}

func (ptr *QTextTable) RowStart(cursor QTextCursor_ITF) *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowStart", cursor}).(*QTextCursor)
}

func (ptr *QTextTable) Rows() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rows"}).(float64))
}

func (ptr *QTextTable) SetFormat(format QTextTableFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", format})
}

func (ptr *QTextTable) SplitCell(row int, column int, numRows int, numCols int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SplitCell", row, column, numRows, numCols})
}

type QTextTableCell struct {
	internal.Internal
}

type QTextTableCell_ITF interface {
	QTextTableCell_PTR() *QTextTableCell
}

func (ptr *QTextTableCell) QTextTableCell_PTR() *QTextTableCell {
	return ptr
}

func (ptr *QTextTableCell) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTextTableCell) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTextTableCell(ptr QTextTableCell_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextTableCell_PTR().Pointer()
	}
	return nil
}

func (n *QTextTableCell) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTextTableCellFromPointer(ptr unsafe.Pointer) (n *QTextTableCell) {
	n = new(QTextTableCell)
	n.InitFromInternal(uintptr(ptr), "gui.QTextTableCell")
	return
}
func NewQTextTableCell() *QTextTableCell {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextTableCell", ""}).(*QTextTableCell)
}

func NewQTextTableCell2(other QTextTableCell_ITF) *QTextTableCell {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextTableCell2", "", other}).(*QTextTableCell)
}

func (ptr *QTextTableCell) Column() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Column"}).(float64))
}

func (ptr *QTextTableCell) ColumnSpan() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnSpan"}).(float64))
}

func (ptr *QTextTableCell) FirstCursorPosition() *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FirstCursorPosition"}).(*QTextCursor)
}

func (ptr *QTextTableCell) Format() *QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*QTextCharFormat)
}

func (ptr *QTextTableCell) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QTextTableCell) LastCursorPosition() *QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastCursorPosition"}).(*QTextCursor)
}

func (ptr *QTextTableCell) Row() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Row"}).(float64))
}

func (ptr *QTextTableCell) RowSpan() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowSpan"}).(float64))
}

func (ptr *QTextTableCell) SetFormat(format QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", format})
}

func (ptr *QTextTableCell) TableCellFormatIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TableCellFormatIndex"}).(float64))
}

func (ptr *QTextTableCell) DestroyQTextTableCell() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextTableCell"})
}

type QTextTableCellFormat struct {
	QTextCharFormat
}

type QTextTableCellFormat_ITF interface {
	QTextCharFormat_ITF
	QTextTableCellFormat_PTR() *QTextTableCellFormat
}

func (ptr *QTextTableCellFormat) QTextTableCellFormat_PTR() *QTextTableCellFormat {
	return ptr
}

func (ptr *QTextTableCellFormat) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextCharFormat_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextTableCellFormat) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QTextCharFormat_PTR().SetPointer(p)
	}
}

func PointerFromQTextTableCellFormat(ptr QTextTableCellFormat_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextTableCellFormat_PTR().Pointer()
	}
	return nil
}

func (n *QTextTableCellFormat) InitFromInternal(ptr uintptr, name string) {
	n.QTextCharFormat_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextTableCellFormat) ClassNameInternalF() string {
	return n.QTextCharFormat_PTR().ClassNameInternalF()
}

func NewQTextTableCellFormatFromPointer(ptr unsafe.Pointer) (n *QTextTableCellFormat) {
	n = new(QTextTableCellFormat)
	n.InitFromInternal(uintptr(ptr), "gui.QTextTableCellFormat")
	return
}

func (ptr *QTextTableCellFormat) DestroyQTextTableCellFormat() {
}

func NewQTextTableCellFormat() *QTextTableCellFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextTableCellFormat", ""}).(*QTextTableCellFormat)
}

func (ptr *QTextTableCellFormat) BottomPadding() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BottomPadding"}).(float64)
}

func (ptr *QTextTableCellFormat) LeftPadding() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LeftPadding"}).(float64)
}

func (ptr *QTextTableCellFormat) RightPadding() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RightPadding"}).(float64)
}

func (ptr *QTextTableCellFormat) SetBottomPadding(padding float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottomPadding", padding})
}

func (ptr *QTextTableCellFormat) SetLeftPadding(padding float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLeftPadding", padding})
}

func (ptr *QTextTableCellFormat) SetPadding(padding float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPadding", padding})
}

func (ptr *QTextTableCellFormat) SetRightPadding(padding float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRightPadding", padding})
}

func (ptr *QTextTableCellFormat) SetTopPadding(padding float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTopPadding", padding})
}

func (ptr *QTextTableCellFormat) TopPadding() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopPadding"}).(float64)
}

type QTextTableFormat struct {
	QTextFrameFormat
}

type QTextTableFormat_ITF interface {
	QTextFrameFormat_ITF
	QTextTableFormat_PTR() *QTextTableFormat
}

func (ptr *QTextTableFormat) QTextTableFormat_PTR() *QTextTableFormat {
	return ptr
}

func (ptr *QTextTableFormat) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextFrameFormat_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextTableFormat) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QTextFrameFormat_PTR().SetPointer(p)
	}
}

func PointerFromQTextTableFormat(ptr QTextTableFormat_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextTableFormat_PTR().Pointer()
	}
	return nil
}

func (n *QTextTableFormat) InitFromInternal(ptr uintptr, name string) {
	n.QTextFrameFormat_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextTableFormat) ClassNameInternalF() string {
	return n.QTextFrameFormat_PTR().ClassNameInternalF()
}

func NewQTextTableFormatFromPointer(ptr unsafe.Pointer) (n *QTextTableFormat) {
	n = new(QTextTableFormat)
	n.InitFromInternal(uintptr(ptr), "gui.QTextTableFormat")
	return
}

func (ptr *QTextTableFormat) DestroyQTextTableFormat() {
}

func NewQTextTableFormat() *QTextTableFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTextTableFormat", ""}).(*QTextTableFormat)
}

func (ptr *QTextTableFormat) Alignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment"}).(float64))
}

func (ptr *QTextTableFormat) CellPadding() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CellPadding"}).(float64)
}

func (ptr *QTextTableFormat) CellSpacing() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CellSpacing"}).(float64)
}

func (ptr *QTextTableFormat) ClearColumnWidthConstraints() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearColumnWidthConstraints"})
}

func (ptr *QTextTableFormat) Columns() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Columns"}).(float64))
}

func (ptr *QTextTableFormat) HeaderRowCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeaderRowCount"}).(float64))
}

func (ptr *QTextTableFormat) SetAlignment(alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", alignment})
}

func (ptr *QTextTableFormat) SetCellPadding(padding float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCellPadding", padding})
}

func (ptr *QTextTableFormat) SetCellSpacing(spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCellSpacing", spacing})
}

func (ptr *QTextTableFormat) SetColumnWidthConstraints(constraints []*QTextLength) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnWidthConstraints", constraints})
}

func (ptr *QTextTableFormat) SetHeaderRowCount(count int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeaderRowCount", count})
}

func (ptr *QTextTableFormat) __columnWidthConstraints_atList(i int) *QTextLength {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__columnWidthConstraints_atList", i}).(*QTextLength)
}

func (ptr *QTextTableFormat) __columnWidthConstraints_setList(i QTextLength_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__columnWidthConstraints_setList", i})
}

func (ptr *QTextTableFormat) __columnWidthConstraints_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__columnWidthConstraints_newList"}).(unsafe.Pointer)
}

func (ptr *QTextTableFormat) __setColumnWidthConstraints_constraints_atList(i int) *QTextLength {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setColumnWidthConstraints_constraints_atList", i}).(*QTextLength)
}

func (ptr *QTextTableFormat) __setColumnWidthConstraints_constraints_setList(i QTextLength_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setColumnWidthConstraints_constraints_setList", i})
}

func (ptr *QTextTableFormat) __setColumnWidthConstraints_constraints_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setColumnWidthConstraints_constraints_newList"}).(unsafe.Pointer)
}

type QTouchDevice struct {
	internal.Internal
}

type QTouchDevice_ITF interface {
	QTouchDevice_PTR() *QTouchDevice
}

func (ptr *QTouchDevice) QTouchDevice_PTR() *QTouchDevice {
	return ptr
}

func (ptr *QTouchDevice) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTouchDevice) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTouchDevice(ptr QTouchDevice_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTouchDevice_PTR().Pointer()
	}
	return nil
}

func (n *QTouchDevice) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTouchDeviceFromPointer(ptr unsafe.Pointer) (n *QTouchDevice) {
	n = new(QTouchDevice)
	n.InitFromInternal(uintptr(ptr), "gui.QTouchDevice")
	return
}

//go:generate stringer -type=QTouchDevice__DeviceType
//QTouchDevice::DeviceType
type QTouchDevice__DeviceType int64

const (
	QTouchDevice__TouchScreen QTouchDevice__DeviceType = QTouchDevice__DeviceType(0)
	QTouchDevice__TouchPad    QTouchDevice__DeviceType = QTouchDevice__DeviceType(1)
)

//go:generate stringer -type=QTouchDevice__CapabilityFlag
//QTouchDevice::CapabilityFlag
type QTouchDevice__CapabilityFlag int64

const (
	QTouchDevice__Position           QTouchDevice__CapabilityFlag = QTouchDevice__CapabilityFlag(0x0001)
	QTouchDevice__Area               QTouchDevice__CapabilityFlag = QTouchDevice__CapabilityFlag(0x0002)
	QTouchDevice__Pressure           QTouchDevice__CapabilityFlag = QTouchDevice__CapabilityFlag(0x0004)
	QTouchDevice__Velocity           QTouchDevice__CapabilityFlag = QTouchDevice__CapabilityFlag(0x0008)
	QTouchDevice__RawPositions       QTouchDevice__CapabilityFlag = QTouchDevice__CapabilityFlag(0x0010)
	QTouchDevice__NormalizedPosition QTouchDevice__CapabilityFlag = QTouchDevice__CapabilityFlag(0x0020)
	QTouchDevice__MouseEmulation     QTouchDevice__CapabilityFlag = QTouchDevice__CapabilityFlag(0x0040)
)

func NewQTouchDevice() *QTouchDevice {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTouchDevice", ""}).(*QTouchDevice)
}

func (ptr *QTouchDevice) Capabilities() QTouchDevice__CapabilityFlag {

	return QTouchDevice__CapabilityFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Capabilities"}).(float64))
}

func QTouchDevice_Devices() []*QTouchDevice {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTouchDevice_Devices", ""}).([]*QTouchDevice)
}

func (ptr *QTouchDevice) Devices() []*QTouchDevice {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTouchDevice_Devices", ""}).([]*QTouchDevice)
}

func (ptr *QTouchDevice) MaximumTouchPoints() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumTouchPoints"}).(float64))
}

func (ptr *QTouchDevice) Name() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Name"}).(string)
}

func (ptr *QTouchDevice) SetCapabilities(caps QTouchDevice__CapabilityFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCapabilities", caps})
}

func (ptr *QTouchDevice) SetMaximumTouchPoints(max int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumTouchPoints", max})
}

func (ptr *QTouchDevice) SetName(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetName", name})
}

func (ptr *QTouchDevice) SetType(devType QTouchDevice__DeviceType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetType", devType})
}

func (ptr *QTouchDevice) Type() QTouchDevice__DeviceType {

	return QTouchDevice__DeviceType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QTouchDevice) DestroyQTouchDevice() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTouchDevice"})
}

func (ptr *QTouchDevice) __devices_atList(i int) *QTouchDevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__devices_atList", i}).(*QTouchDevice)
}

func (ptr *QTouchDevice) __devices_setList(i QTouchDevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__devices_setList", i})
}

func (ptr *QTouchDevice) __devices_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__devices_newList"}).(unsafe.Pointer)
}

type QTouchEvent struct {
	QInputEvent
}

type QTouchEvent_ITF interface {
	QInputEvent_ITF
	QTouchEvent_PTR() *QTouchEvent
}

func (ptr *QTouchEvent) QTouchEvent_PTR() *QTouchEvent {
	return ptr
}

func (ptr *QTouchEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QInputEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QTouchEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QInputEvent_PTR().SetPointer(p)
	}
}

func PointerFromQTouchEvent(ptr QTouchEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTouchEvent_PTR().Pointer()
	}
	return nil
}

func (n *QTouchEvent) InitFromInternal(ptr uintptr, name string) {
	n.QInputEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTouchEvent) ClassNameInternalF() string {
	return n.QInputEvent_PTR().ClassNameInternalF()
}

func NewQTouchEventFromPointer(ptr unsafe.Pointer) (n *QTouchEvent) {
	n = new(QTouchEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QTouchEvent")
	return
}
func (ptr *QTouchEvent) Device() *QTouchDevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Device"}).(*QTouchDevice)
}

func (ptr *QTouchEvent) Target() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Target"}).(*core.QObject)
}

func (ptr *QTouchEvent) TouchPointStates() core.Qt__TouchPointState {

	return core.Qt__TouchPointState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TouchPointStates"}).(float64))
}

func (ptr *QTouchEvent) Window() *QWindow {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Window"}).(*QWindow)
}

func (ptr *QTouchEvent) ConnectDestroyQTouchEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTouchEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTouchEvent) DisconnectDestroyQTouchEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTouchEvent"})
}

func (ptr *QTouchEvent) DestroyQTouchEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTouchEvent"})
}

func (ptr *QTouchEvent) DestroyQTouchEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTouchEventDefault"})
}

func (ptr *QTouchEvent) __QTouchEvent_touchPoints_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QTouchEvent_touchPoints_newList"}).(unsafe.Pointer)
}

func (ptr *QTouchEvent) __setTouchPoints_atouchPoints_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTouchPoints_atouchPoints_newList"}).(unsafe.Pointer)
}

func (ptr *QTouchEvent) __touchPoints_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__touchPoints_newList"}).(unsafe.Pointer)
}

func (ptr *QTouchEvent) ___touchPoints_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "___touchPoints_newList"}).(unsafe.Pointer)
}

func (ptr *QTouchEvent) __set_touchPoints__newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__set_touchPoints__newList"}).(unsafe.Pointer)
}

type QTransform struct {
	internal.Internal
}

type QTransform_ITF interface {
	QTransform_PTR() *QTransform
}

func (ptr *QTransform) QTransform_PTR() *QTransform {
	return ptr
}

func (ptr *QTransform) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTransform) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTransform(ptr QTransform_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTransform_PTR().Pointer()
	}
	return nil
}

func (n *QTransform) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTransformFromPointer(ptr unsafe.Pointer) (n *QTransform) {
	n = new(QTransform)
	n.InitFromInternal(uintptr(ptr), "gui.QTransform")
	return
}

func (ptr *QTransform) DestroyQTransform() {
}

//go:generate stringer -type=QTransform__TransformationType
//QTransform::TransformationType
type QTransform__TransformationType int64

const (
	QTransform__TxNone      QTransform__TransformationType = QTransform__TransformationType(0x00)
	QTransform__TxTranslate QTransform__TransformationType = QTransform__TransformationType(0x01)
	QTransform__TxScale     QTransform__TransformationType = QTransform__TransformationType(0x02)
	QTransform__TxRotate    QTransform__TransformationType = QTransform__TransformationType(0x04)
	QTransform__TxShear     QTransform__TransformationType = QTransform__TransformationType(0x08)
	QTransform__TxProject   QTransform__TransformationType = QTransform__TransformationType(0x10)
)

func NewQTransform2() *QTransform {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTransform2", ""}).(*QTransform)
}

func NewQTransform3(m11 float64, m12 float64, m13 float64, m21 float64, m22 float64, m23 float64, m31 float64, m32 float64, m33 float64) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTransform3", "", m11, m12, m13, m21, m22, m23, m31, m32, m33}).(*QTransform)
}

func NewQTransform4(m11 float64, m12 float64, m21 float64, m22 float64, dx float64, dy float64) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTransform4", "", m11, m12, m21, m22, dx, dy}).(*QTransform)
}

func NewQTransform5(matrix QMatrix_ITF) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQTransform5", "", matrix}).(*QTransform)
}

func (ptr *QTransform) Adjoint() *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Adjoint"}).(*QTransform)
}

func (ptr *QTransform) Determinant() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Determinant"}).(float64)
}

func (ptr *QTransform) Dx() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Dx"}).(float64)
}

func (ptr *QTransform) Dy() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Dy"}).(float64)
}

func QTransform_FromScale(sx float64, sy float64) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTransform_FromScale", "", sx, sy}).(*QTransform)
}

func (ptr *QTransform) FromScale(sx float64, sy float64) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTransform_FromScale", "", sx, sy}).(*QTransform)
}

func QTransform_FromTranslate(dx float64, dy float64) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTransform_FromTranslate", "", dx, dy}).(*QTransform)
}

func (ptr *QTransform) FromTranslate(dx float64, dy float64) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTransform_FromTranslate", "", dx, dy}).(*QTransform)
}

func (ptr *QTransform) Inverted(invertible *bool) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Inverted", invertible}).(*QTransform)
}

func (ptr *QTransform) IsAffine() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAffine"}).(bool)
}

func (ptr *QTransform) IsIdentity() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIdentity"}).(bool)
}

func (ptr *QTransform) IsInvertible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsInvertible"}).(bool)
}

func (ptr *QTransform) IsRotating() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRotating"}).(bool)
}

func (ptr *QTransform) IsScaling() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsScaling"}).(bool)
}

func (ptr *QTransform) IsTranslating() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTranslating"}).(bool)
}

func (ptr *QTransform) M11() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "M11"}).(float64)
}

func (ptr *QTransform) M12() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "M12"}).(float64)
}

func (ptr *QTransform) M13() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "M13"}).(float64)
}

func (ptr *QTransform) M21() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "M21"}).(float64)
}

func (ptr *QTransform) M22() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "M22"}).(float64)
}

func (ptr *QTransform) M23() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "M23"}).(float64)
}

func (ptr *QTransform) M31() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "M31"}).(float64)
}

func (ptr *QTransform) M32() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "M32"}).(float64)
}

func (ptr *QTransform) M33() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "M33"}).(float64)
}

func (ptr *QTransform) Map(x float64, y float64, tx float64, ty float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map", x, y, tx, ty})
}

func (ptr *QTransform) Map2(point core.QPoint_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map2", point}).(*core.QPoint)
}

func (ptr *QTransform) Map3(p core.QPointF_ITF) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map3", p}).(*core.QPointF)
}

func (ptr *QTransform) Map4(l core.QLine_ITF) *core.QLine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map4", l}).(*core.QLine)
}

func (ptr *QTransform) Map5(line core.QLineF_ITF) *core.QLineF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map5", line}).(*core.QLineF)
}

func (ptr *QTransform) Map6(polygon QPolygonF_ITF) *QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map6", polygon}).(*QPolygonF)
}

func (ptr *QTransform) Map7(polygon QPolygon_ITF) *QPolygon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map7", polygon}).(*QPolygon)
}

func (ptr *QTransform) Map8(region QRegion_ITF) *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map8", region}).(*QRegion)
}

func (ptr *QTransform) Map9(path QPainterPath_ITF) *QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map9", path}).(*QPainterPath)
}

func (ptr *QTransform) Map10(x int, y int, tx int, ty int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map10", x, y, tx, ty})
}

func (ptr *QTransform) MapRect(rectangle core.QRectF_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRect", rectangle}).(*core.QRectF)
}

func (ptr *QTransform) MapRect2(rectangle core.QRect_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRect2", rectangle}).(*core.QRect)
}

func (ptr *QTransform) MapToPolygon(rectangle core.QRect_ITF) *QPolygon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToPolygon", rectangle}).(*QPolygon)
}

func QTransform_QuadToQuad(one QPolygonF_ITF, two QPolygonF_ITF, trans QTransform_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTransform_QuadToQuad", "", one, two, trans}).(bool)
}

func (ptr *QTransform) QuadToQuad(one QPolygonF_ITF, two QPolygonF_ITF, trans QTransform_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTransform_QuadToQuad", "", one, two, trans}).(bool)
}

func QTransform_QuadToSquare(quad QPolygonF_ITF, trans QTransform_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTransform_QuadToSquare", "", quad, trans}).(bool)
}

func (ptr *QTransform) QuadToSquare(quad QPolygonF_ITF, trans QTransform_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTransform_QuadToSquare", "", quad, trans}).(bool)
}

func (ptr *QTransform) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QTransform) Rotate(angle float64, axis core.Qt__Axis) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rotate", angle, axis}).(*QTransform)
}

func (ptr *QTransform) RotateRadians(angle float64, axis core.Qt__Axis) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RotateRadians", angle, axis}).(*QTransform)
}

func (ptr *QTransform) Scale(sx float64, sy float64) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scale", sx, sy}).(*QTransform)
}

func (ptr *QTransform) SetMatrix(m11 float64, m12 float64, m13 float64, m21 float64, m22 float64, m23 float64, m31 float64, m32 float64, m33 float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMatrix", m11, m12, m13, m21, m22, m23, m31, m32, m33})
}

func (ptr *QTransform) Shear(sh float64, sv float64) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shear", sh, sv}).(*QTransform)
}

func QTransform_SquareToQuad(quad QPolygonF_ITF, trans QTransform_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTransform_SquareToQuad", "", quad, trans}).(bool)
}

func (ptr *QTransform) SquareToQuad(quad QPolygonF_ITF, trans QTransform_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QTransform_SquareToQuad", "", quad, trans}).(bool)
}

func (ptr *QTransform) ToAffine() *QMatrix {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToAffine"}).(*QMatrix)
}

func (ptr *QTransform) Translate(dx float64, dy float64) *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate", dx, dy}).(*QTransform)
}

func (ptr *QTransform) Transposed() *QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transposed"}).(*QTransform)
}

func (ptr *QTransform) Type() QTransform__TransformationType {

	return QTransform__TransformationType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

type QValidator struct {
	core.QObject
}

type QValidator_ITF interface {
	core.QObject_ITF
	QValidator_PTR() *QValidator
}

func (ptr *QValidator) QValidator_PTR() *QValidator {
	return ptr
}

func (ptr *QValidator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QValidator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQValidator(ptr QValidator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QValidator_PTR().Pointer()
	}
	return nil
}

func (n *QValidator) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QValidator) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQValidatorFromPointer(ptr unsafe.Pointer) (n *QValidator) {
	n = new(QValidator)
	n.InitFromInternal(uintptr(ptr), "gui.QValidator")
	return
}

//go:generate stringer -type=QValidator__State
//QValidator::State
type QValidator__State int64

const (
	QValidator__Invalid      QValidator__State = QValidator__State(0)
	QValidator__Intermediate QValidator__State = QValidator__State(1)
	QValidator__Acceptable   QValidator__State = QValidator__State(2)
)

func NewQValidator(parent core.QObject_ITF) *QValidator {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQValidator", "", parent}).(*QValidator)
}

func (ptr *QValidator) ConnectChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QValidator) DisconnectChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectChanged"})
}

func (ptr *QValidator) Changed() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Changed"})
}

func (ptr *QValidator) ConnectFixup(f func(input string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFixup", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QValidator) DisconnectFixup() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFixup"})
}

func (ptr *QValidator) Fixup(input string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Fixup", input})
}

func (ptr *QValidator) FixupDefault(input string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FixupDefault", input})
}

func (ptr *QValidator) Locale() *core.QLocale {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Locale"}).(*core.QLocale)
}

func (ptr *QValidator) SetLocale(locale core.QLocale_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLocale", locale})
}

func (ptr *QValidator) ConnectValidate(f func(input string, pos int) QValidator__State) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValidate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QValidator) DisconnectValidate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValidate"})
}

func (ptr *QValidator) Validate(input string, pos int) QValidator__State {

	return QValidator__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Validate", input, pos}).(float64))
}

func (ptr *QValidator) ConnectDestroyQValidator(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQValidator", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QValidator) DisconnectDestroyQValidator() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQValidator"})
}

func (ptr *QValidator) DestroyQValidator() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQValidator"})
}

func (ptr *QValidator) DestroyQValidatorDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQValidatorDefault"})
}

func (ptr *QValidator) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QValidator) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QValidator) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QValidator) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QValidator) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QValidator) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QValidator) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QValidator) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QValidator) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QValidator) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QValidator) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QValidator) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QValidator) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QValidator) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QValidator) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QValidator) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QValidator) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QValidator) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QValidator) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QValidator) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QValidator) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QVector2D struct {
	internal.Internal
}

type QVector2D_ITF interface {
	QVector2D_PTR() *QVector2D
}

func (ptr *QVector2D) QVector2D_PTR() *QVector2D {
	return ptr
}

func (ptr *QVector2D) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVector2D) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVector2D(ptr QVector2D_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVector2D_PTR().Pointer()
	}
	return nil
}

func (n *QVector2D) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVector2DFromPointer(ptr unsafe.Pointer) (n *QVector2D) {
	n = new(QVector2D)
	n.InitFromInternal(uintptr(ptr), "gui.QVector2D")
	return
}

func (ptr *QVector2D) DestroyQVector2D() {
}

func NewQVector2D() *QVector2D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector2D", ""}).(*QVector2D)
}

func NewQVector2D3(xpos float32, ypos float32) *QVector2D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector2D3", "", xpos, ypos}).(*QVector2D)
}

func NewQVector2D4(point core.QPoint_ITF) *QVector2D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector2D4", "", point}).(*QVector2D)
}

func NewQVector2D5(point core.QPointF_ITF) *QVector2D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector2D5", "", point}).(*QVector2D)
}

func NewQVector2D6(vector QVector3D_ITF) *QVector2D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector2D6", "", vector}).(*QVector2D)
}

func NewQVector2D7(vector QVector4D_ITF) *QVector2D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector2D7", "", vector}).(*QVector2D)
}

func (ptr *QVector2D) DistanceToLine(point QVector2D_ITF, direction QVector2D_ITF) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DistanceToLine", point, direction}).(float32)
}

func (ptr *QVector2D) DistanceToPoint(point QVector2D_ITF) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DistanceToPoint", point}).(float32)
}

func QVector2D_DotProduct(v1 QVector2D_ITF, v2 QVector2D_ITF) float32 {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QVector2D_DotProduct", "", v1, v2}).(float32)
}

func (ptr *QVector2D) DotProduct(v1 QVector2D_ITF, v2 QVector2D_ITF) float32 {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QVector2D_DotProduct", "", v1, v2}).(float32)
}

func (ptr *QVector2D) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QVector2D) Length() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Length"}).(float32)
}

func (ptr *QVector2D) LengthSquared() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LengthSquared"}).(float32)
}

func (ptr *QVector2D) Normalize() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Normalize"})
}

func (ptr *QVector2D) Normalized() *QVector2D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Normalized"}).(*QVector2D)
}

func (ptr *QVector2D) SetX(x float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetX", x})
}

func (ptr *QVector2D) SetY(y float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetY", y})
}

func (ptr *QVector2D) ToPoint() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPoint"}).(*core.QPoint)
}

func (ptr *QVector2D) ToPointF() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPointF"}).(*core.QPointF)
}

func (ptr *QVector2D) ToVector3D() *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVector3D"}).(*QVector3D)
}

func (ptr *QVector2D) ToVector4D() *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVector4D"}).(*QVector4D)
}

func (ptr *QVector2D) X() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float32)
}

func (ptr *QVector2D) Y() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float32)
}

type QVector3D struct {
	internal.Internal
}

type QVector3D_ITF interface {
	QVector3D_PTR() *QVector3D
}

func (ptr *QVector3D) QVector3D_PTR() *QVector3D {
	return ptr
}

func (ptr *QVector3D) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVector3D) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVector3D(ptr QVector3D_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVector3D_PTR().Pointer()
	}
	return nil
}

func (n *QVector3D) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVector3DFromPointer(ptr unsafe.Pointer) (n *QVector3D) {
	n = new(QVector3D)
	n.InitFromInternal(uintptr(ptr), "gui.QVector3D")
	return
}

func (ptr *QVector3D) DestroyQVector3D() {
}

func NewQVector3D() *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector3D", ""}).(*QVector3D)
}

func NewQVector3D3(xpos float32, ypos float32, zpos float32) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector3D3", "", xpos, ypos, zpos}).(*QVector3D)
}

func NewQVector3D4(point core.QPoint_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector3D4", "", point}).(*QVector3D)
}

func NewQVector3D5(point core.QPointF_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector3D5", "", point}).(*QVector3D)
}

func NewQVector3D6(vector QVector2D_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector3D6", "", vector}).(*QVector3D)
}

func NewQVector3D7(vector QVector2D_ITF, zpos float32) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector3D7", "", vector, zpos}).(*QVector3D)
}

func NewQVector3D8(vector QVector4D_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector3D8", "", vector}).(*QVector3D)
}

func QVector3D_CrossProduct(v1 QVector3D_ITF, v2 QVector3D_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QVector3D_CrossProduct", "", v1, v2}).(*QVector3D)
}

func (ptr *QVector3D) CrossProduct(v1 QVector3D_ITF, v2 QVector3D_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QVector3D_CrossProduct", "", v1, v2}).(*QVector3D)
}

func (ptr *QVector3D) DistanceToLine(point QVector3D_ITF, direction QVector3D_ITF) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DistanceToLine", point, direction}).(float32)
}

func (ptr *QVector3D) DistanceToPlane(plane QVector3D_ITF, normal QVector3D_ITF) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DistanceToPlane", plane, normal}).(float32)
}

func (ptr *QVector3D) DistanceToPlane2(plane1 QVector3D_ITF, plane2 QVector3D_ITF, plane3 QVector3D_ITF) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DistanceToPlane2", plane1, plane2, plane3}).(float32)
}

func (ptr *QVector3D) DistanceToPoint(point QVector3D_ITF) float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DistanceToPoint", point}).(float32)
}

func QVector3D_DotProduct(v1 QVector3D_ITF, v2 QVector3D_ITF) float32 {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QVector3D_DotProduct", "", v1, v2}).(float32)
}

func (ptr *QVector3D) DotProduct(v1 QVector3D_ITF, v2 QVector3D_ITF) float32 {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QVector3D_DotProduct", "", v1, v2}).(float32)
}

func (ptr *QVector3D) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QVector3D) Length() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Length"}).(float32)
}

func (ptr *QVector3D) LengthSquared() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LengthSquared"}).(float32)
}

func QVector3D_Normal(v1 QVector3D_ITF, v2 QVector3D_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QVector3D_Normal", "", v1, v2}).(*QVector3D)
}

func (ptr *QVector3D) Normal(v1 QVector3D_ITF, v2 QVector3D_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QVector3D_Normal", "", v1, v2}).(*QVector3D)
}

func QVector3D_Normal2(v1 QVector3D_ITF, v2 QVector3D_ITF, v3 QVector3D_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QVector3D_Normal2", "", v1, v2, v3}).(*QVector3D)
}

func (ptr *QVector3D) Normal2(v1 QVector3D_ITF, v2 QVector3D_ITF, v3 QVector3D_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QVector3D_Normal2", "", v1, v2, v3}).(*QVector3D)
}

func (ptr *QVector3D) Normalize() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Normalize"})
}

func (ptr *QVector3D) Normalized() *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Normalized"}).(*QVector3D)
}

func (ptr *QVector3D) Project(modelView QMatrix4x4_ITF, projection QMatrix4x4_ITF, viewport core.QRect_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Project", modelView, projection, viewport}).(*QVector3D)
}

func (ptr *QVector3D) SetX(x float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetX", x})
}

func (ptr *QVector3D) SetY(y float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetY", y})
}

func (ptr *QVector3D) SetZ(z float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetZ", z})
}

func (ptr *QVector3D) ToPoint() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPoint"}).(*core.QPoint)
}

func (ptr *QVector3D) ToPointF() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPointF"}).(*core.QPointF)
}

func (ptr *QVector3D) ToVector2D() *QVector2D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVector2D"}).(*QVector2D)
}

func (ptr *QVector3D) ToVector4D() *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVector4D"}).(*QVector4D)
}

func (ptr *QVector3D) Unproject(modelView QMatrix4x4_ITF, projection QMatrix4x4_ITF, viewport core.QRect_ITF) *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unproject", modelView, projection, viewport}).(*QVector3D)
}

func (ptr *QVector3D) X() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float32)
}

func (ptr *QVector3D) Y() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float32)
}

func (ptr *QVector3D) Z() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Z"}).(float32)
}

type QVector4D struct {
	internal.Internal
}

type QVector4D_ITF interface {
	QVector4D_PTR() *QVector4D
}

func (ptr *QVector4D) QVector4D_PTR() *QVector4D {
	return ptr
}

func (ptr *QVector4D) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVector4D) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVector4D(ptr QVector4D_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVector4D_PTR().Pointer()
	}
	return nil
}

func (n *QVector4D) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVector4DFromPointer(ptr unsafe.Pointer) (n *QVector4D) {
	n = new(QVector4D)
	n.InitFromInternal(uintptr(ptr), "gui.QVector4D")
	return
}

func (ptr *QVector4D) DestroyQVector4D() {
}

func NewQVector4D() *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector4D", ""}).(*QVector4D)
}

func NewQVector4D3(xpos float32, ypos float32, zpos float32, wpos float32) *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector4D3", "", xpos, ypos, zpos, wpos}).(*QVector4D)
}

func NewQVector4D4(point core.QPoint_ITF) *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector4D4", "", point}).(*QVector4D)
}

func NewQVector4D5(point core.QPointF_ITF) *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector4D5", "", point}).(*QVector4D)
}

func NewQVector4D6(vector QVector2D_ITF) *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector4D6", "", vector}).(*QVector4D)
}

func NewQVector4D7(vector QVector2D_ITF, zpos float32, wpos float32) *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector4D7", "", vector, zpos, wpos}).(*QVector4D)
}

func NewQVector4D8(vector QVector3D_ITF) *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector4D8", "", vector}).(*QVector4D)
}

func NewQVector4D9(vector QVector3D_ITF, wpos float32) *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQVector4D9", "", vector, wpos}).(*QVector4D)
}

func QVector4D_DotProduct(v1 QVector4D_ITF, v2 QVector4D_ITF) float32 {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QVector4D_DotProduct", "", v1, v2}).(float32)
}

func (ptr *QVector4D) DotProduct(v1 QVector4D_ITF, v2 QVector4D_ITF) float32 {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QVector4D_DotProduct", "", v1, v2}).(float32)
}

func (ptr *QVector4D) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QVector4D) Length() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Length"}).(float32)
}

func (ptr *QVector4D) LengthSquared() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LengthSquared"}).(float32)
}

func (ptr *QVector4D) Normalize() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Normalize"})
}

func (ptr *QVector4D) Normalized() *QVector4D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Normalized"}).(*QVector4D)
}

func (ptr *QVector4D) SetW(w float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetW", w})
}

func (ptr *QVector4D) SetX(x float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetX", x})
}

func (ptr *QVector4D) SetY(y float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetY", y})
}

func (ptr *QVector4D) SetZ(z float32) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetZ", z})
}

func (ptr *QVector4D) ToPoint() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPoint"}).(*core.QPoint)
}

func (ptr *QVector4D) ToPointF() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPointF"}).(*core.QPointF)
}

func (ptr *QVector4D) ToVector2D() *QVector2D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVector2D"}).(*QVector2D)
}

func (ptr *QVector4D) ToVector2DAffine() *QVector2D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVector2DAffine"}).(*QVector2D)
}

func (ptr *QVector4D) ToVector3D() *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVector3D"}).(*QVector3D)
}

func (ptr *QVector4D) ToVector3DAffine() *QVector3D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToVector3DAffine"}).(*QVector3D)
}

func (ptr *QVector4D) W() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "W"}).(float32)
}

func (ptr *QVector4D) X() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float32)
}

func (ptr *QVector4D) Y() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float32)
}

func (ptr *QVector4D) Z() float32 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Z"}).(float32)
}

type QVulkanDeviceFunctions struct {
	internal.Internal
}

type QVulkanDeviceFunctions_ITF interface {
	QVulkanDeviceFunctions_PTR() *QVulkanDeviceFunctions
}

func (ptr *QVulkanDeviceFunctions) QVulkanDeviceFunctions_PTR() *QVulkanDeviceFunctions {
	return ptr
}

func (ptr *QVulkanDeviceFunctions) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVulkanDeviceFunctions) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVulkanDeviceFunctions(ptr QVulkanDeviceFunctions_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVulkanDeviceFunctions_PTR().Pointer()
	}
	return nil
}

func (n *QVulkanDeviceFunctions) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVulkanDeviceFunctionsFromPointer(ptr unsafe.Pointer) (n *QVulkanDeviceFunctions) {
	n = new(QVulkanDeviceFunctions)
	n.InitFromInternal(uintptr(ptr), "gui.QVulkanDeviceFunctions")
	return
}

func (ptr *QVulkanDeviceFunctions) DestroyQVulkanDeviceFunctions() {
}

type QVulkanExtension struct {
	internal.Internal
}

type QVulkanExtension_ITF interface {
	QVulkanExtension_PTR() *QVulkanExtension
}

func (ptr *QVulkanExtension) QVulkanExtension_PTR() *QVulkanExtension {
	return ptr
}

func (ptr *QVulkanExtension) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVulkanExtension) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVulkanExtension(ptr QVulkanExtension_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVulkanExtension_PTR().Pointer()
	}
	return nil
}

func (n *QVulkanExtension) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVulkanExtensionFromPointer(ptr unsafe.Pointer) (n *QVulkanExtension) {
	n = new(QVulkanExtension)
	n.InitFromInternal(uintptr(ptr), "gui.QVulkanExtension")
	return
}

func (ptr *QVulkanExtension) DestroyQVulkanExtension() {
}

type QVulkanFunctions struct {
	internal.Internal
}

type QVulkanFunctions_ITF interface {
	QVulkanFunctions_PTR() *QVulkanFunctions
}

func (ptr *QVulkanFunctions) QVulkanFunctions_PTR() *QVulkanFunctions {
	return ptr
}

func (ptr *QVulkanFunctions) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVulkanFunctions) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVulkanFunctions(ptr QVulkanFunctions_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVulkanFunctions_PTR().Pointer()
	}
	return nil
}

func (n *QVulkanFunctions) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVulkanFunctionsFromPointer(ptr unsafe.Pointer) (n *QVulkanFunctions) {
	n = new(QVulkanFunctions)
	n.InitFromInternal(uintptr(ptr), "gui.QVulkanFunctions")
	return
}

func (ptr *QVulkanFunctions) DestroyQVulkanFunctions() {
}

type QVulkanInfoVector struct {
	core.QVector
}

type QVulkanInfoVector_ITF interface {
	core.QVector_ITF
	QVulkanInfoVector_PTR() *QVulkanInfoVector
}

func (ptr *QVulkanInfoVector) QVulkanInfoVector_PTR() *QVulkanInfoVector {
	return ptr
}

func (ptr *QVulkanInfoVector) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVector_PTR().Pointer()
	}
	return nil
}

func (ptr *QVulkanInfoVector) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVector_PTR().SetPointer(p)
	}
}

func PointerFromQVulkanInfoVector(ptr QVulkanInfoVector_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVulkanInfoVector_PTR().Pointer()
	}
	return nil
}

func (n *QVulkanInfoVector) InitFromInternal(ptr uintptr, name string) {
	n.QVector_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QVulkanInfoVector) ClassNameInternalF() string {
	return n.QVector_PTR().ClassNameInternalF()
}

func NewQVulkanInfoVectorFromPointer(ptr unsafe.Pointer) (n *QVulkanInfoVector) {
	n = new(QVulkanInfoVector)
	n.InitFromInternal(uintptr(ptr), "gui.QVulkanInfoVector")
	return
}

func (ptr *QVulkanInfoVector) DestroyQVulkanInfoVector() {
}

type QVulkanInstance struct {
	internal.Internal
}

type QVulkanInstance_ITF interface {
	QVulkanInstance_PTR() *QVulkanInstance
}

func (ptr *QVulkanInstance) QVulkanInstance_PTR() *QVulkanInstance {
	return ptr
}

func (ptr *QVulkanInstance) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVulkanInstance) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVulkanInstance(ptr QVulkanInstance_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVulkanInstance_PTR().Pointer()
	}
	return nil
}

func (n *QVulkanInstance) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVulkanInstanceFromPointer(ptr unsafe.Pointer) (n *QVulkanInstance) {
	n = new(QVulkanInstance)
	n.InitFromInternal(uintptr(ptr), "gui.QVulkanInstance")
	return
}

//go:generate stringer -type=QVulkanInstance__Flag
//QVulkanInstance::Flag
type QVulkanInstance__Flag int64

const (
	QVulkanInstance__NoDebugOutputRedirect QVulkanInstance__Flag = QVulkanInstance__Flag(0x01)
)

type QVulkanLayer struct {
	internal.Internal
}

type QVulkanLayer_ITF interface {
	QVulkanLayer_PTR() *QVulkanLayer
}

func (ptr *QVulkanLayer) QVulkanLayer_PTR() *QVulkanLayer {
	return ptr
}

func (ptr *QVulkanLayer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVulkanLayer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVulkanLayer(ptr QVulkanLayer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVulkanLayer_PTR().Pointer()
	}
	return nil
}

func (n *QVulkanLayer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVulkanLayerFromPointer(ptr unsafe.Pointer) (n *QVulkanLayer) {
	n = new(QVulkanLayer)
	n.InitFromInternal(uintptr(ptr), "gui.QVulkanLayer")
	return
}

func (ptr *QVulkanLayer) DestroyQVulkanLayer() {
}

type QVulkanWindow struct {
	QWindow
}

type QVulkanWindow_ITF interface {
	QWindow_ITF
	QVulkanWindow_PTR() *QVulkanWindow
}

func (ptr *QVulkanWindow) QVulkanWindow_PTR() *QVulkanWindow {
	return ptr
}

func (ptr *QVulkanWindow) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWindow_PTR().Pointer()
	}
	return nil
}

func (ptr *QVulkanWindow) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWindow_PTR().SetPointer(p)
	}
}

func PointerFromQVulkanWindow(ptr QVulkanWindow_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVulkanWindow_PTR().Pointer()
	}
	return nil
}

func (n *QVulkanWindow) InitFromInternal(ptr uintptr, name string) {
	n.QWindow_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QVulkanWindow) ClassNameInternalF() string {
	return n.QWindow_PTR().ClassNameInternalF()
}

func NewQVulkanWindowFromPointer(ptr unsafe.Pointer) (n *QVulkanWindow) {
	n = new(QVulkanWindow)
	n.InitFromInternal(uintptr(ptr), "gui.QVulkanWindow")
	return
}

//go:generate stringer -type=QVulkanWindow__Flag
//QVulkanWindow::Flag
type QVulkanWindow__Flag int64

const (
	QVulkanWindow__PersistentResources QVulkanWindow__Flag = QVulkanWindow__Flag(0x01)
)

type QVulkanWindowRenderer struct {
	internal.Internal
}

type QVulkanWindowRenderer_ITF interface {
	QVulkanWindowRenderer_PTR() *QVulkanWindowRenderer
}

func (ptr *QVulkanWindowRenderer) QVulkanWindowRenderer_PTR() *QVulkanWindowRenderer {
	return ptr
}

func (ptr *QVulkanWindowRenderer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVulkanWindowRenderer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVulkanWindowRenderer(ptr QVulkanWindowRenderer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVulkanWindowRenderer_PTR().Pointer()
	}
	return nil
}

func (n *QVulkanWindowRenderer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVulkanWindowRendererFromPointer(ptr unsafe.Pointer) (n *QVulkanWindowRenderer) {
	n = new(QVulkanWindowRenderer)
	n.InitFromInternal(uintptr(ptr), "gui.QVulkanWindowRenderer")
	return
}

type QWhatsThisClickedEvent struct {
	core.QEvent
}

type QWhatsThisClickedEvent_ITF interface {
	core.QEvent_ITF
	QWhatsThisClickedEvent_PTR() *QWhatsThisClickedEvent
}

func (ptr *QWhatsThisClickedEvent) QWhatsThisClickedEvent_PTR() *QWhatsThisClickedEvent {
	return ptr
}

func (ptr *QWhatsThisClickedEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QWhatsThisClickedEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQWhatsThisClickedEvent(ptr QWhatsThisClickedEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWhatsThisClickedEvent_PTR().Pointer()
	}
	return nil
}

func (n *QWhatsThisClickedEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWhatsThisClickedEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQWhatsThisClickedEventFromPointer(ptr unsafe.Pointer) (n *QWhatsThisClickedEvent) {
	n = new(QWhatsThisClickedEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QWhatsThisClickedEvent")
	return
}

func (ptr *QWhatsThisClickedEvent) DestroyQWhatsThisClickedEvent() {
}

func NewQWhatsThisClickedEvent(href string) *QWhatsThisClickedEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQWhatsThisClickedEvent", "", href}).(*QWhatsThisClickedEvent)
}

func (ptr *QWhatsThisClickedEvent) Href() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Href"}).(string)
}

type QWheelEvent struct {
	QInputEvent
}

type QWheelEvent_ITF interface {
	QInputEvent_ITF
	QWheelEvent_PTR() *QWheelEvent
}

func (ptr *QWheelEvent) QWheelEvent_PTR() *QWheelEvent {
	return ptr
}

func (ptr *QWheelEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QInputEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QWheelEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QInputEvent_PTR().SetPointer(p)
	}
}

func PointerFromQWheelEvent(ptr QWheelEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWheelEvent_PTR().Pointer()
	}
	return nil
}

func (n *QWheelEvent) InitFromInternal(ptr uintptr, name string) {
	n.QInputEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWheelEvent) ClassNameInternalF() string {
	return n.QInputEvent_PTR().ClassNameInternalF()
}

func NewQWheelEventFromPointer(ptr unsafe.Pointer) (n *QWheelEvent) {
	n = new(QWheelEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QWheelEvent")
	return
}

func (ptr *QWheelEvent) DestroyQWheelEvent() {
}

func NewQWheelEvent3(pos core.QPointF_ITF, globalPos core.QPointF_ITF, pixelDelta core.QPoint_ITF, angleDelta core.QPoint_ITF, qt4Delta int, qt4Orientation core.Qt__Orientation, buttons core.Qt__MouseButton, modifiers core.Qt__KeyboardModifier) *QWheelEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQWheelEvent3", "", pos, globalPos, pixelDelta, angleDelta, qt4Delta, qt4Orientation, buttons, modifiers}).(*QWheelEvent)
}

func NewQWheelEvent4(pos core.QPointF_ITF, globalPos core.QPointF_ITF, pixelDelta core.QPoint_ITF, angleDelta core.QPoint_ITF, qt4Delta int, qt4Orientation core.Qt__Orientation, buttons core.Qt__MouseButton, modifiers core.Qt__KeyboardModifier, phase core.Qt__ScrollPhase) *QWheelEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQWheelEvent4", "", pos, globalPos, pixelDelta, angleDelta, qt4Delta, qt4Orientation, buttons, modifiers, phase}).(*QWheelEvent)
}

func NewQWheelEvent5(pos core.QPointF_ITF, globalPos core.QPointF_ITF, pixelDelta core.QPoint_ITF, angleDelta core.QPoint_ITF, qt4Delta int, qt4Orientation core.Qt__Orientation, buttons core.Qt__MouseButton, modifiers core.Qt__KeyboardModifier, phase core.Qt__ScrollPhase, source core.Qt__MouseEventSource) *QWheelEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQWheelEvent5", "", pos, globalPos, pixelDelta, angleDelta, qt4Delta, qt4Orientation, buttons, modifiers, phase, source}).(*QWheelEvent)
}

func NewQWheelEvent6(pos core.QPointF_ITF, globalPos core.QPointF_ITF, pixelDelta core.QPoint_ITF, angleDelta core.QPoint_ITF, qt4Delta int, qt4Orientation core.Qt__Orientation, buttons core.Qt__MouseButton, modifiers core.Qt__KeyboardModifier, phase core.Qt__ScrollPhase, source core.Qt__MouseEventSource, inverted bool) *QWheelEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQWheelEvent6", "", pos, globalPos, pixelDelta, angleDelta, qt4Delta, qt4Orientation, buttons, modifiers, phase, source, inverted}).(*QWheelEvent)
}

func NewQWheelEvent7(pos core.QPointF_ITF, globalPos core.QPointF_ITF, pixelDelta core.QPoint_ITF, angleDelta core.QPoint_ITF, buttons core.Qt__MouseButton, modifiers core.Qt__KeyboardModifier, phase core.Qt__ScrollPhase, inverted bool, source core.Qt__MouseEventSource) *QWheelEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQWheelEvent7", "", pos, globalPos, pixelDelta, angleDelta, buttons, modifiers, phase, inverted, source}).(*QWheelEvent)
}

func (ptr *QWheelEvent) AngleDelta() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AngleDelta"}).(*core.QPoint)
}

func (ptr *QWheelEvent) Buttons() core.Qt__MouseButton {

	return core.Qt__MouseButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Buttons"}).(float64))
}

func (ptr *QWheelEvent) GlobalPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalPos"}).(*core.QPoint)
}

func (ptr *QWheelEvent) GlobalPosF() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalPosF"}).(*core.QPointF)
}

func (ptr *QWheelEvent) GlobalX() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalX"}).(float64))
}

func (ptr *QWheelEvent) GlobalY() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GlobalY"}).(float64))
}

func (ptr *QWheelEvent) Inverted() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Inverted"}).(bool)
}

func (ptr *QWheelEvent) Phase() core.Qt__ScrollPhase {

	return core.Qt__ScrollPhase(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Phase"}).(float64))
}

func (ptr *QWheelEvent) PixelDelta() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelDelta"}).(*core.QPoint)
}

func (ptr *QWheelEvent) Pos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPoint)
}

func (ptr *QWheelEvent) PosF() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PosF"}).(*core.QPointF)
}

func (ptr *QWheelEvent) Source() core.Qt__MouseEventSource {

	return core.Qt__MouseEventSource(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Source"}).(float64))
}

func (ptr *QWheelEvent) X() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float64))
}

func (ptr *QWheelEvent) Y() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float64))
}

type QWindow struct {
	core.QObject
	QSurface
}

type QWindow_ITF interface {
	core.QObject_ITF
	QSurface_ITF
	QWindow_PTR() *QWindow
}

func (ptr *QWindow) QWindow_PTR() *QWindow {
	return ptr
}

func (ptr *QWindow) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QWindow) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
		ptr.QSurface_PTR().SetPointer(p)
	}
}

func PointerFromQWindow(ptr QWindow_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWindow_PTR().Pointer()
	}
	return nil
}

func (n *QWindow) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)
	n.QSurface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWindow) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQWindowFromPointer(ptr unsafe.Pointer) (n *QWindow) {
	n = new(QWindow)
	n.InitFromInternal(uintptr(ptr), "gui.QWindow")
	return
}

//go:generate stringer -type=QWindow__Visibility
//QWindow::Visibility
type QWindow__Visibility int64

const (
	QWindow__Hidden              QWindow__Visibility = QWindow__Visibility(0)
	QWindow__AutomaticVisibility QWindow__Visibility = QWindow__Visibility(1)
	QWindow__Windowed            QWindow__Visibility = QWindow__Visibility(2)
	QWindow__Minimized           QWindow__Visibility = QWindow__Visibility(3)
	QWindow__Maximized           QWindow__Visibility = QWindow__Visibility(4)
	QWindow__FullScreen          QWindow__Visibility = QWindow__Visibility(5)
)

//go:generate stringer -type=QWindow__AncestorMode
//QWindow::AncestorMode
type QWindow__AncestorMode int64

const (
	QWindow__ExcludeTransients QWindow__AncestorMode = QWindow__AncestorMode(0)
	QWindow__IncludeTransients QWindow__AncestorMode = QWindow__AncestorMode(1)
)

func NewQWindow(targetScreen QScreen_ITF) *QWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQWindow", "", targetScreen}).(*QWindow)
}

func NewQWindow2(parent QWindow_ITF) *QWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.NewQWindow2", "", parent}).(*QWindow)
}

func (ptr *QWindow) ConnectActiveChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectActiveChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectActiveChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectActiveChanged"})
}

func (ptr *QWindow) ActiveChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ActiveChanged"})
}

func (ptr *QWindow) ConnectAlert(f func(msec int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectAlert", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectAlert() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectAlert"})
}

func (ptr *QWindow) Alert(msec int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Alert", msec})
}

func (ptr *QWindow) AlertDefault(msec int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AlertDefault", msec})
}

func (ptr *QWindow) BaseSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "BaseSize"}).(*core.QSize)
}

func (ptr *QWindow) ConnectClose(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectClose", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectClose() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectClose"})
}

func (ptr *QWindow) Close() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Close"}).(bool)
}

func (ptr *QWindow) CloseDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CloseDefault"}).(bool)
}

func (ptr *QWindow) ContentOrientation() core.Qt__ScreenOrientation {

	return core.Qt__ScreenOrientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ContentOrientation"}).(float64))
}

func (ptr *QWindow) ConnectContentOrientationChanged(f func(orientation core.Qt__ScreenOrientation)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectContentOrientationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectContentOrientationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectContentOrientationChanged"})
}

func (ptr *QWindow) ContentOrientationChanged(orientation core.Qt__ScreenOrientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ContentOrientationChanged", orientation})
}

func (ptr *QWindow) Create() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Create"})
}

func (ptr *QWindow) Cursor() *QCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Cursor"}).(*QCursor)
}

func (ptr *QWindow) Destroy() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Destroy"})
}

func (ptr *QWindow) DevicePixelRatio() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DevicePixelRatio"}).(float64)
}

func (ptr *QWindow) ConnectEvent(f func(ev *core.QEvent) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectEvent"})
}

func (ptr *QWindow) Event(ev core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Event", ev}).(bool)
}

func (ptr *QWindow) EventDefault(ev core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventDefault", ev}).(bool)
}

func (ptr *QWindow) ConnectExposeEvent(f func(ev *QExposeEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectExposeEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectExposeEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectExposeEvent"})
}

func (ptr *QWindow) ExposeEvent(ev QExposeEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ExposeEvent", ev})
}

func (ptr *QWindow) ExposeEventDefault(ev QExposeEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ExposeEventDefault", ev})
}

func (ptr *QWindow) FilePath() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FilePath"}).(string)
}

func (ptr *QWindow) Flags() core.Qt__WindowType {

	return core.Qt__WindowType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Flags"}).(float64))
}

func (ptr *QWindow) ConnectFocusInEvent(f func(ev *QFocusEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectFocusInEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectFocusInEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectFocusInEvent"})
}

func (ptr *QWindow) FocusInEvent(ev QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusInEvent", ev})
}

func (ptr *QWindow) FocusInEventDefault(ev QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusInEventDefault", ev})
}

func (ptr *QWindow) ConnectFocusObject(f func() *core.QObject) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectFocusObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectFocusObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectFocusObject"})
}

func (ptr *QWindow) FocusObject() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusObject"}).(*core.QObject)
}

func (ptr *QWindow) FocusObjectDefault() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusObjectDefault"}).(*core.QObject)
}

func (ptr *QWindow) ConnectFocusObjectChanged(f func(object *core.QObject)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectFocusObjectChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectFocusObjectChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectFocusObjectChanged"})
}

func (ptr *QWindow) FocusObjectChanged(object core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusObjectChanged", object})
}

func (ptr *QWindow) ConnectFocusOutEvent(f func(ev *QFocusEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectFocusOutEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectFocusOutEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectFocusOutEvent"})
}

func (ptr *QWindow) FocusOutEvent(ev QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusOutEvent", ev})
}

func (ptr *QWindow) FocusOutEventDefault(ev QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusOutEventDefault", ev})
}

func (ptr *QWindow) ConnectFormat(f func() *QSurfaceFormat) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectFormat"})
}

func (ptr *QWindow) Format() *QSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Format"}).(*QSurfaceFormat)
}

func (ptr *QWindow) FormatDefault() *QSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FormatDefault"}).(*QSurfaceFormat)
}

func (ptr *QWindow) FrameGeometry() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FrameGeometry"}).(*core.QRect)
}

func (ptr *QWindow) FrameMargins() *core.QMargins {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FrameMargins"}).(*core.QMargins)
}

func (ptr *QWindow) FramePosition() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FramePosition"}).(*core.QPoint)
}

func QWindow_FromWinId(id uintptr) *QWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QWindow_FromWinId", "", id}).(*QWindow)
}

func (ptr *QWindow) FromWinId(id uintptr) *QWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "gui.QWindow_FromWinId", "", id}).(*QWindow)
}

func (ptr *QWindow) Geometry() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Geometry"}).(*core.QRect)
}

func (ptr *QWindow) Height() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Height"}).(float64))
}

func (ptr *QWindow) ConnectHeightChanged(f func(arg int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectHeightChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectHeightChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectHeightChanged"})
}

func (ptr *QWindow) HeightChanged(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HeightChanged", arg})
}

func (ptr *QWindow) ConnectHide(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectHide", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectHide() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectHide"})
}

func (ptr *QWindow) Hide() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Hide"})
}

func (ptr *QWindow) HideDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HideDefault"})
}

func (ptr *QWindow) ConnectHideEvent(f func(ev *QHideEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectHideEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectHideEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectHideEvent"})
}

func (ptr *QWindow) HideEvent(ev QHideEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HideEvent", ev})
}

func (ptr *QWindow) HideEventDefault(ev QHideEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HideEventDefault", ev})
}

func (ptr *QWindow) Icon() *QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Icon"}).(*QIcon)
}

func (ptr *QWindow) IsActive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsActive"}).(bool)
}

func (ptr *QWindow) IsAncestorOf(child QWindow_ITF, mode QWindow__AncestorMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsAncestorOf", child, mode}).(bool)
}

func (ptr *QWindow) IsExposed() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsExposed"}).(bool)
}

func (ptr *QWindow) IsModal() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsModal"}).(bool)
}

func (ptr *QWindow) IsTopLevel() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsTopLevel"}).(bool)
}

func (ptr *QWindow) IsVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsVisible"}).(bool)
}

func (ptr *QWindow) ConnectKeyPressEvent(f func(ev *QKeyEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectKeyPressEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectKeyPressEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectKeyPressEvent"})
}

func (ptr *QWindow) KeyPressEvent(ev QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "KeyPressEvent", ev})
}

func (ptr *QWindow) KeyPressEventDefault(ev QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "KeyPressEventDefault", ev})
}

func (ptr *QWindow) ConnectKeyReleaseEvent(f func(ev *QKeyEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectKeyReleaseEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectKeyReleaseEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectKeyReleaseEvent"})
}

func (ptr *QWindow) KeyReleaseEvent(ev QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "KeyReleaseEvent", ev})
}

func (ptr *QWindow) KeyReleaseEventDefault(ev QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "KeyReleaseEventDefault", ev})
}

func (ptr *QWindow) ConnectLower(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectLower", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectLower() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectLower"})
}

func (ptr *QWindow) Lower() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Lower"})
}

func (ptr *QWindow) LowerDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "LowerDefault"})
}

func (ptr *QWindow) MapFromGlobal(pos core.QPoint_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MapFromGlobal", pos}).(*core.QPoint)
}

func (ptr *QWindow) MapToGlobal(pos core.QPoint_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MapToGlobal", pos}).(*core.QPoint)
}

func (ptr *QWindow) Mask() *QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Mask"}).(*QRegion)
}

func (ptr *QWindow) MaximumHeight() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MaximumHeight"}).(float64))
}

func (ptr *QWindow) ConnectMaximumHeightChanged(f func(arg int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMaximumHeightChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectMaximumHeightChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMaximumHeightChanged"})
}

func (ptr *QWindow) MaximumHeightChanged(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MaximumHeightChanged", arg})
}

func (ptr *QWindow) MaximumSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MaximumSize"}).(*core.QSize)
}

func (ptr *QWindow) MaximumWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MaximumWidth"}).(float64))
}

func (ptr *QWindow) ConnectMaximumWidthChanged(f func(arg int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMaximumWidthChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectMaximumWidthChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMaximumWidthChanged"})
}

func (ptr *QWindow) MaximumWidthChanged(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MaximumWidthChanged", arg})
}

func (ptr *QWindow) MinimumHeight() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MinimumHeight"}).(float64))
}

func (ptr *QWindow) ConnectMinimumHeightChanged(f func(arg int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMinimumHeightChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectMinimumHeightChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMinimumHeightChanged"})
}

func (ptr *QWindow) MinimumHeightChanged(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MinimumHeightChanged", arg})
}

func (ptr *QWindow) MinimumSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MinimumSize"}).(*core.QSize)
}

func (ptr *QWindow) MinimumWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MinimumWidth"}).(float64))
}

func (ptr *QWindow) ConnectMinimumWidthChanged(f func(arg int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMinimumWidthChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectMinimumWidthChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMinimumWidthChanged"})
}

func (ptr *QWindow) MinimumWidthChanged(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MinimumWidthChanged", arg})
}

func (ptr *QWindow) Modality() core.Qt__WindowModality {

	return core.Qt__WindowModality(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Modality"}).(float64))
}

func (ptr *QWindow) ConnectModalityChanged(f func(modality core.Qt__WindowModality)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectModalityChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectModalityChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectModalityChanged"})
}

func (ptr *QWindow) ModalityChanged(modality core.Qt__WindowModality) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ModalityChanged", modality})
}

func (ptr *QWindow) ConnectMouseDoubleClickEvent(f func(ev *QMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMouseDoubleClickEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectMouseDoubleClickEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMouseDoubleClickEvent"})
}

func (ptr *QWindow) MouseDoubleClickEvent(ev QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MouseDoubleClickEvent", ev})
}

func (ptr *QWindow) MouseDoubleClickEventDefault(ev QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MouseDoubleClickEventDefault", ev})
}

func (ptr *QWindow) ConnectMouseMoveEvent(f func(ev *QMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMouseMoveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectMouseMoveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMouseMoveEvent"})
}

func (ptr *QWindow) MouseMoveEvent(ev QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MouseMoveEvent", ev})
}

func (ptr *QWindow) MouseMoveEventDefault(ev QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MouseMoveEventDefault", ev})
}

func (ptr *QWindow) ConnectMousePressEvent(f func(ev *QMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMousePressEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectMousePressEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMousePressEvent"})
}

func (ptr *QWindow) MousePressEvent(ev QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MousePressEvent", ev})
}

func (ptr *QWindow) MousePressEventDefault(ev QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MousePressEventDefault", ev})
}

func (ptr *QWindow) ConnectMouseReleaseEvent(f func(ev *QMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMouseReleaseEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectMouseReleaseEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMouseReleaseEvent"})
}

func (ptr *QWindow) MouseReleaseEvent(ev QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MouseReleaseEvent", ev})
}

func (ptr *QWindow) MouseReleaseEventDefault(ev QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MouseReleaseEventDefault", ev})
}

func (ptr *QWindow) ConnectMoveEvent(f func(ev *QMoveEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMoveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectMoveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMoveEvent"})
}

func (ptr *QWindow) MoveEvent(ev QMoveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MoveEvent", ev})
}

func (ptr *QWindow) MoveEventDefault(ev QMoveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MoveEventDefault", ev})
}

func (ptr *QWindow) ConnectNativeEvent(f func(eventType *core.QByteArray, message unsafe.Pointer, result *int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNativeEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectNativeEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNativeEvent"})
}

func (ptr *QWindow) NativeEvent(eventType core.QByteArray_ITF, message unsafe.Pointer, result *int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "NativeEvent", eventType, message, result}).(bool)
}

func (ptr *QWindow) NativeEventDefault(eventType core.QByteArray_ITF, message unsafe.Pointer, result *int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "NativeEventDefault", eventType, message, result}).(bool)
}

func (ptr *QWindow) Opacity() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Opacity"}).(float64)
}

func (ptr *QWindow) ConnectOpacityChanged(f func(opacity float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectOpacityChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectOpacityChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectOpacityChanged"})
}

func (ptr *QWindow) OpacityChanged(opacity float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "OpacityChanged", opacity})
}

func (ptr *QWindow) Parent(mode QWindow__AncestorMode) *QWindow {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Parent", mode}).(*QWindow)
}

func (ptr *QWindow) Parent2() *QWindow {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Parent2"}).(*QWindow)
}

func (ptr *QWindow) Position() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Position"}).(*core.QPoint)
}

func (ptr *QWindow) ConnectRaise(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectRaise", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectRaise() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectRaise"})
}

func (ptr *QWindow) Raise() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Raise"})
}

func (ptr *QWindow) RaiseDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RaiseDefault"})
}

func (ptr *QWindow) ReportContentOrientationChange(orientation core.Qt__ScreenOrientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ReportContentOrientationChange", orientation})
}

func (ptr *QWindow) ConnectRequestActivate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectRequestActivate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectRequestActivate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectRequestActivate"})
}

func (ptr *QWindow) RequestActivate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RequestActivate"})
}

func (ptr *QWindow) RequestActivateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RequestActivateDefault"})
}

func (ptr *QWindow) ConnectRequestUpdate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectRequestUpdate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectRequestUpdate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectRequestUpdate"})
}

func (ptr *QWindow) RequestUpdate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RequestUpdate"})
}

func (ptr *QWindow) RequestUpdateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RequestUpdateDefault"})
}

func (ptr *QWindow) RequestedFormat() *QSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RequestedFormat"}).(*QSurfaceFormat)
}

func (ptr *QWindow) Resize(newSize core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Resize", newSize})
}

func (ptr *QWindow) Resize2(w int, h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Resize2", w, h})
}

func (ptr *QWindow) ConnectResizeEvent(f func(ev *QResizeEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectResizeEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectResizeEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectResizeEvent"})
}

func (ptr *QWindow) ResizeEvent(ev QResizeEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ResizeEvent", ev})
}

func (ptr *QWindow) ResizeEventDefault(ev QResizeEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ResizeEventDefault", ev})
}

func (ptr *QWindow) Screen() *QScreen {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Screen"}).(*QScreen)
}

func (ptr *QWindow) ConnectScreenChanged(f func(screen *QScreen)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectScreenChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectScreenChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectScreenChanged"})
}

func (ptr *QWindow) ScreenChanged(screen QScreen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ScreenChanged", screen})
}

func (ptr *QWindow) SetBaseSize(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetBaseSize", size})
}

func (ptr *QWindow) SetCursor(cursor QCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetCursor", cursor})
}

func (ptr *QWindow) SetFilePath(filePath string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFilePath", filePath})
}

func (ptr *QWindow) SetFlag(flag core.Qt__WindowType, on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFlag", flag, on})
}

func (ptr *QWindow) SetFlags(flags core.Qt__WindowType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFlags", flags})
}

func (ptr *QWindow) SetFormat(format QSurfaceFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFormat", format})
}

func (ptr *QWindow) SetFramePosition(point core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFramePosition", point})
}

func (ptr *QWindow) ConnectSetGeometry(f func(posx int, posy int, w int, h int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetGeometry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectSetGeometry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetGeometry"})
}

func (ptr *QWindow) SetGeometry(posx int, posy int, w int, h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetGeometry", posx, posy, w, h})
}

func (ptr *QWindow) SetGeometryDefault(posx int, posy int, w int, h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetGeometryDefault", posx, posy, w, h})
}

func (ptr *QWindow) ConnectSetGeometry2(f func(rect *core.QRect)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetGeometry2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectSetGeometry2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetGeometry2"})
}

func (ptr *QWindow) SetGeometry2(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetGeometry2", rect})
}

func (ptr *QWindow) SetGeometry2Default(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetGeometry2Default", rect})
}

func (ptr *QWindow) ConnectSetHeight(f func(arg int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetHeight", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectSetHeight() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetHeight"})
}

func (ptr *QWindow) SetHeight(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetHeight", arg})
}

func (ptr *QWindow) SetHeightDefault(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetHeightDefault", arg})
}

func (ptr *QWindow) SetIcon(icon QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetIcon", icon})
}

func (ptr *QWindow) SetKeyboardGrabEnabled(grab bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetKeyboardGrabEnabled", grab}).(bool)
}

func (ptr *QWindow) SetMask(region QRegion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMask", region})
}

func (ptr *QWindow) ConnectSetMaximumHeight(f func(h int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetMaximumHeight", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectSetMaximumHeight() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetMaximumHeight"})
}

func (ptr *QWindow) SetMaximumHeight(h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMaximumHeight", h})
}

func (ptr *QWindow) SetMaximumHeightDefault(h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMaximumHeightDefault", h})
}

func (ptr *QWindow) SetMaximumSize(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMaximumSize", size})
}

func (ptr *QWindow) ConnectSetMaximumWidth(f func(w int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetMaximumWidth", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectSetMaximumWidth() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetMaximumWidth"})
}

func (ptr *QWindow) SetMaximumWidth(w int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMaximumWidth", w})
}

func (ptr *QWindow) SetMaximumWidthDefault(w int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMaximumWidthDefault", w})
}

func (ptr *QWindow) ConnectSetMinimumHeight(f func(h int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetMinimumHeight", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectSetMinimumHeight() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetMinimumHeight"})
}

func (ptr *QWindow) SetMinimumHeight(h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMinimumHeight", h})
}

func (ptr *QWindow) SetMinimumHeightDefault(h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMinimumHeightDefault", h})
}

func (ptr *QWindow) SetMinimumSize(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMinimumSize", size})
}

func (ptr *QWindow) ConnectSetMinimumWidth(f func(w int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetMinimumWidth", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectSetMinimumWidth() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetMinimumWidth"})
}

func (ptr *QWindow) SetMinimumWidth(w int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMinimumWidth", w})
}

func (ptr *QWindow) SetMinimumWidthDefault(w int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMinimumWidthDefault", w})
}

func (ptr *QWindow) SetModality(modality core.Qt__WindowModality) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetModality", modality})
}

func (ptr *QWindow) SetMouseGrabEnabled(grab bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMouseGrabEnabled", grab}).(bool)
}

func (ptr *QWindow) SetOpacity(level float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetOpacity", level})
}

func (ptr *QWindow) SetParent(parent QWindow_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetParent", parent})
}

func (ptr *QWindow) SetPosition(pt core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetPosition", pt})
}

func (ptr *QWindow) SetPosition2(posx int, posy int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetPosition2", posx, posy})
}

func (ptr *QWindow) SetScreen(newScreen QScreen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetScreen", newScreen})
}

func (ptr *QWindow) SetSizeIncrement(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetSizeIncrement", size})
}

func (ptr *QWindow) SetSurfaceType(surfaceType QSurface__SurfaceType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetSurfaceType", surfaceType})
}

func (ptr *QWindow) ConnectSetTitle(f func(vqs string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetTitle", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectSetTitle() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetTitle"})
}

func (ptr *QWindow) SetTitle(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetTitle", vqs})
}

func (ptr *QWindow) SetTitleDefault(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetTitleDefault", vqs})
}

func (ptr *QWindow) SetVisibility(v QWindow__Visibility) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetVisibility", v})
}

func (ptr *QWindow) ConnectSetVisible(f func(visible bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetVisible", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectSetVisible() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetVisible"})
}

func (ptr *QWindow) SetVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetVisible", visible})
}

func (ptr *QWindow) SetVisibleDefault(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetVisibleDefault", visible})
}

func (ptr *QWindow) ConnectSetWidth(f func(arg int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetWidth", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectSetWidth() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetWidth"})
}

func (ptr *QWindow) SetWidth(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWidth", arg})
}

func (ptr *QWindow) SetWidthDefault(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWidthDefault", arg})
}

func (ptr *QWindow) SetWindowState(state core.Qt__WindowState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowState", state})
}

func (ptr *QWindow) SetWindowStates(state core.Qt__WindowState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowStates", state})
}

func (ptr *QWindow) ConnectSetX(f func(arg int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetX", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectSetX() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetX"})
}

func (ptr *QWindow) SetX(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetX", arg})
}

func (ptr *QWindow) SetXDefault(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetXDefault", arg})
}

func (ptr *QWindow) ConnectSetY(f func(arg int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetY", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectSetY() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetY"})
}

func (ptr *QWindow) SetY(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetY", arg})
}

func (ptr *QWindow) SetYDefault(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetYDefault", arg})
}

func (ptr *QWindow) ConnectShow(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectShow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectShow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectShow"})
}

func (ptr *QWindow) Show() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Show"})
}

func (ptr *QWindow) ShowDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowDefault"})
}

func (ptr *QWindow) ConnectShowEvent(f func(ev *QShowEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectShowEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectShowEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectShowEvent"})
}

func (ptr *QWindow) ShowEvent(ev QShowEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowEvent", ev})
}

func (ptr *QWindow) ShowEventDefault(ev QShowEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowEventDefault", ev})
}

func (ptr *QWindow) ConnectShowFullScreen(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectShowFullScreen", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectShowFullScreen() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectShowFullScreen"})
}

func (ptr *QWindow) ShowFullScreen() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowFullScreen"})
}

func (ptr *QWindow) ShowFullScreenDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowFullScreenDefault"})
}

func (ptr *QWindow) ConnectShowMaximized(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectShowMaximized", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectShowMaximized() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectShowMaximized"})
}

func (ptr *QWindow) ShowMaximized() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowMaximized"})
}

func (ptr *QWindow) ShowMaximizedDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowMaximizedDefault"})
}

func (ptr *QWindow) ConnectShowMinimized(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectShowMinimized", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectShowMinimized() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectShowMinimized"})
}

func (ptr *QWindow) ShowMinimized() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowMinimized"})
}

func (ptr *QWindow) ShowMinimizedDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowMinimizedDefault"})
}

func (ptr *QWindow) ConnectShowNormal(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectShowNormal", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectShowNormal() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectShowNormal"})
}

func (ptr *QWindow) ShowNormal() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowNormal"})
}

func (ptr *QWindow) ShowNormalDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowNormalDefault"})
}

func (ptr *QWindow) ConnectSize(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSize"})
}

func (ptr *QWindow) Size() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Size"}).(*core.QSize)
}

func (ptr *QWindow) SizeDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SizeDefault"}).(*core.QSize)
}

func (ptr *QWindow) SizeIncrement() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SizeIncrement"}).(*core.QSize)
}

func (ptr *QWindow) ConnectSurfaceType(f func() QSurface__SurfaceType) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSurfaceType", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectSurfaceType() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSurfaceType"})
}

func (ptr *QWindow) SurfaceType() QSurface__SurfaceType {

	return QSurface__SurfaceType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SurfaceType"}).(float64))
}

func (ptr *QWindow) SurfaceTypeDefault() QSurface__SurfaceType {

	return QSurface__SurfaceType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SurfaceTypeDefault"}).(float64))
}

func (ptr *QWindow) ConnectTabletEvent(f func(ev *QTabletEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectTabletEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectTabletEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectTabletEvent"})
}

func (ptr *QWindow) TabletEvent(ev QTabletEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TabletEvent", ev})
}

func (ptr *QWindow) TabletEventDefault(ev QTabletEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TabletEventDefault", ev})
}

func (ptr *QWindow) Title() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Title"}).(string)
}

func (ptr *QWindow) ConnectTouchEvent(f func(ev *QTouchEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectTouchEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectTouchEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectTouchEvent"})
}

func (ptr *QWindow) TouchEvent(ev QTouchEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TouchEvent", ev})
}

func (ptr *QWindow) TouchEventDefault(ev QTouchEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TouchEventDefault", ev})
}

func (ptr *QWindow) Type() core.Qt__WindowType {

	return core.Qt__WindowType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QWindow) UnsetCursor() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "UnsetCursor"})
}

func (ptr *QWindow) Visibility() QWindow__Visibility {

	return QWindow__Visibility(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Visibility"}).(float64))
}

func (ptr *QWindow) ConnectVisibilityChanged(f func(visibility QWindow__Visibility)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectVisibilityChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectVisibilityChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectVisibilityChanged"})
}

func (ptr *QWindow) VisibilityChanged(visibility QWindow__Visibility) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "VisibilityChanged", visibility})
}

func (ptr *QWindow) ConnectVisibleChanged(f func(arg bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectVisibleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectVisibleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectVisibleChanged"})
}

func (ptr *QWindow) VisibleChanged(arg bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "VisibleChanged", arg})
}

func (ptr *QWindow) ConnectWheelEvent(f func(ev *QWheelEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectWheelEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectWheelEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectWheelEvent"})
}

func (ptr *QWindow) WheelEvent(ev QWheelEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WheelEvent", ev})
}

func (ptr *QWindow) WheelEventDefault(ev QWheelEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WheelEventDefault", ev})
}

func (ptr *QWindow) Width() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Width"}).(float64))
}

func (ptr *QWindow) ConnectWidthChanged(f func(arg int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectWidthChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectWidthChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectWidthChanged"})
}

func (ptr *QWindow) WidthChanged(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WidthChanged", arg})
}

func (ptr *QWindow) WinId() uintptr {

	return uintptr(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WinId"}).(float64))
}

func (ptr *QWindow) WindowState() core.Qt__WindowState {

	return core.Qt__WindowState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowState"}).(float64))
}

func (ptr *QWindow) ConnectWindowStateChanged(f func(windowState core.Qt__WindowState)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectWindowStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectWindowStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectWindowStateChanged"})
}

func (ptr *QWindow) WindowStateChanged(windowState core.Qt__WindowState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowStateChanged", windowState})
}

func (ptr *QWindow) WindowStates() core.Qt__WindowState {

	return core.Qt__WindowState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowStates"}).(float64))
}

func (ptr *QWindow) ConnectWindowTitleChanged(f func(title string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectWindowTitleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectWindowTitleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectWindowTitleChanged"})
}

func (ptr *QWindow) WindowTitleChanged(title string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowTitleChanged", title})
}

func (ptr *QWindow) X() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "X"}).(float64))
}

func (ptr *QWindow) ConnectXChanged(f func(arg int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectXChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectXChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectXChanged"})
}

func (ptr *QWindow) XChanged(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "XChanged", arg})
}

func (ptr *QWindow) Y() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Y"}).(float64))
}

func (ptr *QWindow) ConnectYChanged(f func(arg int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectYChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectYChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectYChanged"})
}

func (ptr *QWindow) YChanged(arg int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "YChanged", arg})
}

func (ptr *QWindow) ConnectDestroyQWindow(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDestroyQWindow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWindow) DisconnectDestroyQWindow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDestroyQWindow"})
}

func (ptr *QWindow) DestroyQWindow() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQWindow"})
}

func (ptr *QWindow) DestroyQWindowDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQWindowDefault"})
}

func (ptr *QWindow) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QWindow) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QWindow) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QWindow) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QWindow) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QWindow) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QWindow) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QWindow) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QWindow) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QWindow) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QWindow) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QWindow) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QWindow) ChildEvent(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEvent", event})
}

func (ptr *QWindow) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QWindow) ConnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotify", sign})
}

func (ptr *QWindow) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QWindow) CustomEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEvent", event})
}

func (ptr *QWindow) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QWindow) DeleteLater() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLater"})
}

func (ptr *QWindow) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QWindow) DisconnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotify", sign})
}

func (ptr *QWindow) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QWindow) EventFilter(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilter", watched, event}).(bool)
}

func (ptr *QWindow) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QWindow) MetaObject() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObject"}).(*core.QMetaObject)
}

func (ptr *QWindow) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QWindow) TimerEvent(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEvent", event})
}

func (ptr *QWindow) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEventDefault", event})
}

type QWindowStateChangeEvent struct {
	core.QEvent
}

type QWindowStateChangeEvent_ITF interface {
	core.QEvent_ITF
	QWindowStateChangeEvent_PTR() *QWindowStateChangeEvent
}

func (ptr *QWindowStateChangeEvent) QWindowStateChangeEvent_PTR() *QWindowStateChangeEvent {
	return ptr
}

func (ptr *QWindowStateChangeEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QWindowStateChangeEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQWindowStateChangeEvent(ptr QWindowStateChangeEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWindowStateChangeEvent_PTR().Pointer()
	}
	return nil
}

func (n *QWindowStateChangeEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWindowStateChangeEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQWindowStateChangeEventFromPointer(ptr unsafe.Pointer) (n *QWindowStateChangeEvent) {
	n = new(QWindowStateChangeEvent)
	n.InitFromInternal(uintptr(ptr), "gui.QWindowStateChangeEvent")
	return
}

func (ptr *QWindowStateChangeEvent) DestroyQWindowStateChangeEvent() {
}

func (ptr *QWindowStateChangeEvent) OldState() core.Qt__WindowState {

	return core.Qt__WindowState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OldState"}).(float64))
}

func init() {
	internal.ConstructorTable["gui.QAbstractTextDocumentLayout"] = NewQAbstractTextDocumentLayoutFromPointer
	internal.ConstructorTable["gui.QAbstractUndoItem"] = NewQAbstractUndoItemFromPointer
	internal.ConstructorTable["gui.QAccessible"] = NewQAccessibleFromPointer
	internal.ConstructorTable["gui.QAccessibleActionInterface"] = NewQAccessibleActionInterfaceFromPointer
	internal.ConstructorTable["gui.QAccessibleEditableTextInterface"] = NewQAccessibleEditableTextInterfaceFromPointer
	internal.ConstructorTable["gui.QAccessibleEvent"] = NewQAccessibleEventFromPointer
	internal.ConstructorTable["gui.QAccessibleInterface"] = NewQAccessibleInterfaceFromPointer
	internal.ConstructorTable["gui.QAccessibleObject"] = NewQAccessibleObjectFromPointer
	internal.ConstructorTable["gui.QAccessiblePlugin"] = NewQAccessiblePluginFromPointer
	internal.ConstructorTable["gui.QAccessibleStateChangeEvent"] = NewQAccessibleStateChangeEventFromPointer
	internal.ConstructorTable["gui.QAccessibleTableCellInterface"] = NewQAccessibleTableCellInterfaceFromPointer
	internal.ConstructorTable["gui.QAccessibleTableInterface"] = NewQAccessibleTableInterfaceFromPointer
	internal.ConstructorTable["gui.QAccessibleTableModelChangeEvent"] = NewQAccessibleTableModelChangeEventFromPointer
	internal.ConstructorTable["gui.QAccessibleTextCursorEvent"] = NewQAccessibleTextCursorEventFromPointer
	internal.ConstructorTable["gui.QAccessibleTextInsertEvent"] = NewQAccessibleTextInsertEventFromPointer
	internal.ConstructorTable["gui.QAccessibleTextInterface"] = NewQAccessibleTextInterfaceFromPointer
	internal.ConstructorTable["gui.QAccessibleTextRemoveEvent"] = NewQAccessibleTextRemoveEventFromPointer
	internal.ConstructorTable["gui.QAccessibleTextSelectionEvent"] = NewQAccessibleTextSelectionEventFromPointer
	internal.ConstructorTable["gui.QAccessibleTextUpdateEvent"] = NewQAccessibleTextUpdateEventFromPointer
	internal.ConstructorTable["gui.QAccessibleValueChangeEvent"] = NewQAccessibleValueChangeEventFromPointer
	internal.ConstructorTable["gui.QAccessibleValueInterface"] = NewQAccessibleValueInterfaceFromPointer
	internal.ConstructorTable["gui.QActionEvent"] = NewQActionEventFromPointer
	internal.ConstructorTable["gui.QApplicationStateChangeEvent"] = NewQApplicationStateChangeEventFromPointer
	internal.ConstructorTable["gui.QBackingStore"] = NewQBackingStoreFromPointer
	internal.ConstructorTable["gui.QBitmap"] = NewQBitmapFromPointer
	internal.ConstructorTable["gui.QBrush"] = NewQBrushFromPointer
	internal.ConstructorTable["gui.QClipboard"] = NewQClipboardFromPointer
	internal.ConstructorTable["gui.QCloseEvent"] = NewQCloseEventFromPointer
	internal.ConstructorTable["gui.QColor"] = NewQColorFromPointer
	internal.ConstructorTable["gui.QColorDialogOptions"] = NewQColorDialogOptionsFromPointer
	internal.ConstructorTable["gui.QConicalGradient"] = NewQConicalGradientFromPointer
	internal.ConstructorTable["gui.QContextMenuEvent"] = NewQContextMenuEventFromPointer
	internal.ConstructorTable["gui.QCursor"] = NewQCursorFromPointer
	internal.ConstructorTable["gui.QDesktopServices"] = NewQDesktopServicesFromPointer
	internal.ConstructorTable["gui.QDoubleValidator"] = NewQDoubleValidatorFromPointer
	internal.ConstructorTable["gui.QDrag"] = NewQDragFromPointer
	internal.ConstructorTable["gui.QDragEnterEvent"] = NewQDragEnterEventFromPointer
	internal.ConstructorTable["gui.QDragLeaveEvent"] = NewQDragLeaveEventFromPointer
	internal.ConstructorTable["gui.QDragMoveEvent"] = NewQDragMoveEventFromPointer
	internal.ConstructorTable["gui.QDropEvent"] = NewQDropEventFromPointer
	internal.ConstructorTable["gui.QEnterEvent"] = NewQEnterEventFromPointer
	internal.ConstructorTable["gui.QExposeEvent"] = NewQExposeEventFromPointer
	internal.ConstructorTable["gui.QFileOpenEvent"] = NewQFileOpenEventFromPointer
	internal.ConstructorTable["gui.QFocusEvent"] = NewQFocusEventFromPointer
	internal.ConstructorTable["gui.QFont"] = NewQFontFromPointer
	internal.ConstructorTable["gui.QFontDatabase"] = NewQFontDatabaseFromPointer
	internal.ConstructorTable["gui.QFontDialogOptions"] = NewQFontDialogOptionsFromPointer
	internal.ConstructorTable["gui.QFontInfo"] = NewQFontInfoFromPointer
	internal.ConstructorTable["gui.QFontMetrics"] = NewQFontMetricsFromPointer
	internal.ConstructorTable["gui.QFontMetricsF"] = NewQFontMetricsFFromPointer
	internal.ConstructorTable["gui.QGenericPlugin"] = NewQGenericPluginFromPointer
	internal.ConstructorTable["gui.QGenericPluginFactory"] = NewQGenericPluginFactoryFromPointer
	internal.ConstructorTable["gui.QGlyphRun"] = NewQGlyphRunFromPointer
	internal.ConstructorTable["gui.QGradient"] = NewQGradientFromPointer
	internal.ConstructorTable["gui.QGuiApplication"] = NewQGuiApplicationFromPointer
	internal.ConstructorTable["gui.QHelpEvent"] = NewQHelpEventFromPointer
	internal.ConstructorTable["gui.QHideEvent"] = NewQHideEventFromPointer
	internal.ConstructorTable["gui.QHoverEvent"] = NewQHoverEventFromPointer
	internal.ConstructorTable["gui.QIcon"] = NewQIconFromPointer
	internal.ConstructorTable["gui.QIconDragEvent"] = NewQIconDragEventFromPointer
	internal.ConstructorTable["gui.QIconEngine"] = NewQIconEngineFromPointer
	internal.ConstructorTable["gui.QIconEnginePlugin"] = NewQIconEnginePluginFromPointer
	internal.ConstructorTable["gui.QImage"] = NewQImageFromPointer
	internal.ConstructorTable["gui.QImageIOHandler"] = NewQImageIOHandlerFromPointer
	internal.ConstructorTable["gui.QImageIOPlugin"] = NewQImageIOPluginFromPointer
	internal.ConstructorTable["gui.QImageReader"] = NewQImageReaderFromPointer
	internal.ConstructorTable["gui.QImageTextKeyLang"] = NewQImageTextKeyLangFromPointer
	internal.ConstructorTable["gui.QImageWriter"] = NewQImageWriterFromPointer
	internal.ConstructorTable["gui.QInputEvent"] = NewQInputEventFromPointer
	internal.ConstructorTable["gui.QInputMethod"] = NewQInputMethodFromPointer
	internal.ConstructorTable["gui.QInputMethodEvent"] = NewQInputMethodEventFromPointer
	internal.ConstructorTable["gui.QInputMethodQueryEvent"] = NewQInputMethodQueryEventFromPointer
	internal.ConstructorTable["gui.QIntValidator"] = NewQIntValidatorFromPointer
	internal.ConstructorTable["gui.QKeyEvent"] = NewQKeyEventFromPointer
	internal.ConstructorTable["gui.QKeySequence"] = NewQKeySequenceFromPointer
	internal.ConstructorTable["gui.QLinearGradient"] = NewQLinearGradientFromPointer
	internal.ConstructorTable["gui.QMatrix"] = NewQMatrixFromPointer
	internal.ConstructorTable["gui.QMatrix4x4"] = NewQMatrix4x4FromPointer
	internal.ConstructorTable["gui.QMouseEvent"] = NewQMouseEventFromPointer
	internal.ConstructorTable["gui.QMoveEvent"] = NewQMoveEventFromPointer
	internal.ConstructorTable["gui.QMovie"] = NewQMovieFromPointer
	internal.ConstructorTable["gui.QNativeGestureEvent"] = NewQNativeGestureEventFromPointer
	internal.ConstructorTable["gui.QOffscreenSurface"] = NewQOffscreenSurfaceFromPointer
	internal.ConstructorTable["gui.QOpenGLBuffer"] = NewQOpenGLBufferFromPointer
	internal.ConstructorTable["gui.QOpenGLContext"] = NewQOpenGLContextFromPointer
	internal.ConstructorTable["gui.QOpenGLContextGroup"] = NewQOpenGLContextGroupFromPointer
	internal.ConstructorTable["gui.QOpenGLDebugLogger"] = NewQOpenGLDebugLoggerFromPointer
	internal.ConstructorTable["gui.QOpenGLDebugMessage"] = NewQOpenGLDebugMessageFromPointer
	internal.ConstructorTable["gui.QOpenGLExtraFunctions"] = NewQOpenGLExtraFunctionsFromPointer
	internal.ConstructorTable["gui.QOpenGLFramebufferObject"] = NewQOpenGLFramebufferObjectFromPointer
	internal.ConstructorTable["gui.QOpenGLFramebufferObjectFormat"] = NewQOpenGLFramebufferObjectFormatFromPointer
	internal.ConstructorTable["gui.QOpenGLFunctions"] = NewQOpenGLFunctionsFromPointer
	internal.ConstructorTable["gui.QOpenGLPaintDevice"] = NewQOpenGLPaintDeviceFromPointer
	internal.ConstructorTable["gui.QOpenGLPixelTransferOptions"] = NewQOpenGLPixelTransferOptionsFromPointer
	internal.ConstructorTable["gui.QOpenGLShader"] = NewQOpenGLShaderFromPointer
	internal.ConstructorTable["gui.QOpenGLShaderProgram"] = NewQOpenGLShaderProgramFromPointer
	internal.ConstructorTable["gui.QOpenGLTexture"] = NewQOpenGLTextureFromPointer
	internal.ConstructorTable["gui.QOpenGLTextureBlitter"] = NewQOpenGLTextureBlitterFromPointer
	internal.ConstructorTable["gui.QOpenGLTimeMonitor"] = NewQOpenGLTimeMonitorFromPointer
	internal.ConstructorTable["gui.QOpenGLTimerQuery"] = NewQOpenGLTimerQueryFromPointer
	internal.ConstructorTable["gui.QOpenGLVersionFunctionsBackend"] = NewQOpenGLVersionFunctionsBackendFromPointer
	internal.ConstructorTable["gui.QOpenGLVersionFunctionsStorage"] = NewQOpenGLVersionFunctionsStorageFromPointer
	internal.ConstructorTable["gui.QOpenGLVersionProfile"] = NewQOpenGLVersionProfileFromPointer
	internal.ConstructorTable["gui.QOpenGLVersionStatus"] = NewQOpenGLVersionStatusFromPointer
	internal.ConstructorTable["gui.QOpenGLVertexArrayObject"] = NewQOpenGLVertexArrayObjectFromPointer
	internal.ConstructorTable["gui.QOpenGLWindow"] = NewQOpenGLWindowFromPointer
	internal.ConstructorTable["gui.QPageLayout"] = NewQPageLayoutFromPointer
	internal.ConstructorTable["gui.QPageSize"] = NewQPageSizeFromPointer
	internal.ConstructorTable["gui.QPagedPaintDevice"] = NewQPagedPaintDeviceFromPointer
	internal.ConstructorTable["gui.QPaintDevice"] = NewQPaintDeviceFromPointer
	internal.ConstructorTable["gui.QPaintDeviceWindow"] = NewQPaintDeviceWindowFromPointer
	internal.ConstructorTable["gui.QPaintEngine"] = NewQPaintEngineFromPointer
	internal.ConstructorTable["gui.QPaintEngineState"] = NewQPaintEngineStateFromPointer
	internal.ConstructorTable["gui.QPaintEvent"] = NewQPaintEventFromPointer
	internal.ConstructorTable["gui.QPainter"] = NewQPainterFromPointer
	internal.ConstructorTable["gui.QPainterPath"] = NewQPainterPathFromPointer
	internal.ConstructorTable["gui.QPainterPathStroker"] = NewQPainterPathStrokerFromPointer
	internal.ConstructorTable["gui.QPalette"] = NewQPaletteFromPointer
	internal.ConstructorTable["gui.QPdfWriter"] = NewQPdfWriterFromPointer
	internal.ConstructorTable["gui.QPen"] = NewQPenFromPointer
	internal.ConstructorTable["gui.QPicture"] = NewQPictureFromPointer
	internal.ConstructorTable["gui.QPictureFormatPlugin"] = NewQPictureFormatPluginFromPointer
	internal.ConstructorTable["gui.QPictureIO"] = NewQPictureIOFromPointer
	internal.ConstructorTable["gui.QPixelFormat"] = NewQPixelFormatFromPointer
	internal.ConstructorTable["gui.QPixmap"] = NewQPixmapFromPointer
	internal.ConstructorTable["gui.QPixmapCache"] = NewQPixmapCacheFromPointer
	internal.ConstructorTable["gui.QPlatformSurfaceEvent"] = NewQPlatformSurfaceEventFromPointer
	internal.ConstructorTable["gui.QPointingDeviceUniqueId"] = NewQPointingDeviceUniqueIdFromPointer
	internal.ConstructorTable["gui.QPolygon"] = NewQPolygonFromPointer
	internal.ConstructorTable["gui.QPolygonF"] = NewQPolygonFFromPointer
	internal.ConstructorTable["gui.QQuaternion"] = NewQQuaternionFromPointer
	internal.ConstructorTable["gui.QRadialGradient"] = NewQRadialGradientFromPointer
	internal.ConstructorTable["gui.QRasterWindow"] = NewQRasterWindowFromPointer
	internal.ConstructorTable["gui.QRawFont"] = NewQRawFontFromPointer
	internal.ConstructorTable["gui.QRegExpValidator"] = NewQRegExpValidatorFromPointer
	internal.ConstructorTable["gui.QRegion"] = NewQRegionFromPointer
	internal.ConstructorTable["gui.QRegularExpressionValidator"] = NewQRegularExpressionValidatorFromPointer
	internal.ConstructorTable["gui.QResizeEvent"] = NewQResizeEventFromPointer
	internal.ConstructorTable["gui.QRgba64"] = NewQRgba64FromPointer
	internal.ConstructorTable["gui.QScreen"] = NewQScreenFromPointer
	internal.ConstructorTable["gui.QScreenOrientationChangeEvent"] = NewQScreenOrientationChangeEventFromPointer
	internal.ConstructorTable["gui.QScrollEvent"] = NewQScrollEventFromPointer
	internal.ConstructorTable["gui.QScrollPrepareEvent"] = NewQScrollPrepareEventFromPointer
	internal.ConstructorTable["gui.QSessionManager"] = NewQSessionManagerFromPointer
	internal.ConstructorTable["gui.QShortcutEvent"] = NewQShortcutEventFromPointer
	internal.ConstructorTable["gui.QShowEvent"] = NewQShowEventFromPointer
	internal.ConstructorTable["gui.QStandardItem"] = NewQStandardItemFromPointer
	internal.ConstructorTable["gui.QStandardItemModel"] = NewQStandardItemModelFromPointer
	internal.ConstructorTable["gui.QStaticText"] = NewQStaticTextFromPointer
	internal.ConstructorTable["gui.QStatusTipEvent"] = NewQStatusTipEventFromPointer
	internal.ConstructorTable["gui.QStyleHints"] = NewQStyleHintsFromPointer
	internal.ConstructorTable["gui.QSurface"] = NewQSurfaceFromPointer
	internal.ConstructorTable["gui.QSurfaceFormat"] = NewQSurfaceFormatFromPointer
	internal.ConstructorTable["gui.QSyntaxHighlighter"] = NewQSyntaxHighlighterFromPointer
	internal.ConstructorTable["gui.QTabletEvent"] = NewQTabletEventFromPointer
	internal.ConstructorTable["gui.QTextBlock"] = NewQTextBlockFromPointer
	internal.ConstructorTable["gui.QTextBlockFormat"] = NewQTextBlockFormatFromPointer
	internal.ConstructorTable["gui.QTextBlockGroup"] = NewQTextBlockGroupFromPointer
	internal.ConstructorTable["gui.QTextBlockUserData"] = NewQTextBlockUserDataFromPointer
	internal.ConstructorTable["gui.QTextCharFormat"] = NewQTextCharFormatFromPointer
	internal.ConstructorTable["gui.QTextCursor"] = NewQTextCursorFromPointer
	internal.ConstructorTable["gui.QTextDocument"] = NewQTextDocumentFromPointer
	internal.ConstructorTable["gui.QTextDocumentFragment"] = NewQTextDocumentFragmentFromPointer
	internal.ConstructorTable["gui.QTextDocumentWriter"] = NewQTextDocumentWriterFromPointer
	internal.ConstructorTable["gui.QTextFormat"] = NewQTextFormatFromPointer
	internal.ConstructorTable["gui.QTextFragment"] = NewQTextFragmentFromPointer
	internal.ConstructorTable["gui.QTextFrame"] = NewQTextFrameFromPointer
	internal.ConstructorTable["gui.QTextFrameFormat"] = NewQTextFrameFormatFromPointer
	internal.ConstructorTable["gui.QTextFrameLayoutData"] = NewQTextFrameLayoutDataFromPointer
	internal.ConstructorTable["gui.QTextImageFormat"] = NewQTextImageFormatFromPointer
	internal.ConstructorTable["gui.QTextInlineObject"] = NewQTextInlineObjectFromPointer
	internal.ConstructorTable["gui.QTextItem"] = NewQTextItemFromPointer
	internal.ConstructorTable["gui.QTextLayout"] = NewQTextLayoutFromPointer
	internal.ConstructorTable["gui.QTextLength"] = NewQTextLengthFromPointer
	internal.ConstructorTable["gui.QTextLine"] = NewQTextLineFromPointer
	internal.ConstructorTable["gui.QTextList"] = NewQTextListFromPointer
	internal.ConstructorTable["gui.QTextListFormat"] = NewQTextListFormatFromPointer
	internal.ConstructorTable["gui.QTextObject"] = NewQTextObjectFromPointer
	internal.ConstructorTable["gui.QTextObjectInterface"] = NewQTextObjectInterfaceFromPointer
	internal.ConstructorTable["gui.QTextOption"] = NewQTextOptionFromPointer
	internal.ConstructorTable["gui.QTextTable"] = NewQTextTableFromPointer
	internal.ConstructorTable["gui.QTextTableCell"] = NewQTextTableCellFromPointer
	internal.ConstructorTable["gui.QTextTableCellFormat"] = NewQTextTableCellFormatFromPointer
	internal.ConstructorTable["gui.QTextTableFormat"] = NewQTextTableFormatFromPointer
	internal.ConstructorTable["gui.QTouchDevice"] = NewQTouchDeviceFromPointer
	internal.ConstructorTable["gui.QTouchEvent"] = NewQTouchEventFromPointer
	internal.ConstructorTable["gui.QTransform"] = NewQTransformFromPointer
	internal.ConstructorTable["gui.QValidator"] = NewQValidatorFromPointer
	internal.ConstructorTable["gui.QVector2D"] = NewQVector2DFromPointer
	internal.ConstructorTable["gui.QVector3D"] = NewQVector3DFromPointer
	internal.ConstructorTable["gui.QVector4D"] = NewQVector4DFromPointer
	internal.ConstructorTable["gui.QWhatsThisClickedEvent"] = NewQWhatsThisClickedEventFromPointer
	internal.ConstructorTable["gui.QWheelEvent"] = NewQWheelEventFromPointer
	internal.ConstructorTable["gui.QWindow"] = NewQWindowFromPointer
	internal.ConstructorTable["gui.QWindowStateChangeEvent"] = NewQWindowStateChangeEventFromPointer
}
