// +build !minimal

package multimedia

import (
	"github.com/therecipe/qt/core"
	"github.com/therecipe/qt/gui"
	"github.com/therecipe/qt/internal"
	"github.com/therecipe/qt/network"
	"github.com/therecipe/qt/widgets"
	"unsafe"
)

type AVFAudioEncoderSettingsControl struct {
	QAudioEncoderSettingsControl
}

type AVFAudioEncoderSettingsControl_ITF interface {
	QAudioEncoderSettingsControl_ITF
	AVFAudioEncoderSettingsControl_PTR() *AVFAudioEncoderSettingsControl
}

func (ptr *AVFAudioEncoderSettingsControl) AVFAudioEncoderSettingsControl_PTR() *AVFAudioEncoderSettingsControl {
	return ptr
}

func (ptr *AVFAudioEncoderSettingsControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFAudioEncoderSettingsControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioEncoderSettingsControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFAudioEncoderSettingsControl(ptr AVFAudioEncoderSettingsControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFAudioEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFAudioEncoderSettingsControl) InitFromInternal(ptr uintptr, name string) {
	n.QAudioEncoderSettingsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFAudioEncoderSettingsControl) ClassNameInternalF() string {
	return n.QAudioEncoderSettingsControl_PTR().ClassNameInternalF()
}

func NewAVFAudioEncoderSettingsControlFromPointer(ptr unsafe.Pointer) (n *AVFAudioEncoderSettingsControl) {
	n = new(AVFAudioEncoderSettingsControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFAudioEncoderSettingsControl")
	return
}

func (ptr *AVFAudioEncoderSettingsControl) DestroyAVFAudioEncoderSettingsControl() {
}

type AVFAudioInputSelectorControl struct {
	QAudioInputSelectorControl
}

type AVFAudioInputSelectorControl_ITF interface {
	QAudioInputSelectorControl_ITF
	AVFAudioInputSelectorControl_PTR() *AVFAudioInputSelectorControl
}

func (ptr *AVFAudioInputSelectorControl) AVFAudioInputSelectorControl_PTR() *AVFAudioInputSelectorControl {
	return ptr
}

func (ptr *AVFAudioInputSelectorControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioInputSelectorControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFAudioInputSelectorControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioInputSelectorControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFAudioInputSelectorControl(ptr AVFAudioInputSelectorControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFAudioInputSelectorControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFAudioInputSelectorControl) InitFromInternal(ptr uintptr, name string) {
	n.QAudioInputSelectorControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFAudioInputSelectorControl) ClassNameInternalF() string {
	return n.QAudioInputSelectorControl_PTR().ClassNameInternalF()
}

func NewAVFAudioInputSelectorControlFromPointer(ptr unsafe.Pointer) (n *AVFAudioInputSelectorControl) {
	n = new(AVFAudioInputSelectorControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFAudioInputSelectorControl")
	return
}

func (ptr *AVFAudioInputSelectorControl) DestroyAVFAudioInputSelectorControl() {
}

type AVFCameraControl struct {
	QCameraControl
}

type AVFCameraControl_ITF interface {
	QCameraControl_ITF
	AVFCameraControl_PTR() *AVFCameraControl
}

func (ptr *AVFCameraControl) AVFCameraControl_PTR() *AVFCameraControl {
	return ptr
}

func (ptr *AVFCameraControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFCameraControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFCameraControl(ptr AVFCameraControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFCameraControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFCameraControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFCameraControl) ClassNameInternalF() string {
	return n.QCameraControl_PTR().ClassNameInternalF()
}

func NewAVFCameraControlFromPointer(ptr unsafe.Pointer) (n *AVFCameraControl) {
	n = new(AVFCameraControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFCameraControl")
	return
}

func (ptr *AVFCameraControl) DestroyAVFCameraControl() {
}

type AVFCameraDeviceControl struct {
	QVideoDeviceSelectorControl
}

type AVFCameraDeviceControl_ITF interface {
	QVideoDeviceSelectorControl_ITF
	AVFCameraDeviceControl_PTR() *AVFCameraDeviceControl
}

func (ptr *AVFCameraDeviceControl) AVFCameraDeviceControl_PTR() *AVFCameraDeviceControl {
	return ptr
}

func (ptr *AVFCameraDeviceControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoDeviceSelectorControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFCameraDeviceControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoDeviceSelectorControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFCameraDeviceControl(ptr AVFCameraDeviceControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFCameraDeviceControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFCameraDeviceControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoDeviceSelectorControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFCameraDeviceControl) ClassNameInternalF() string {
	return n.QVideoDeviceSelectorControl_PTR().ClassNameInternalF()
}

func NewAVFCameraDeviceControlFromPointer(ptr unsafe.Pointer) (n *AVFCameraDeviceControl) {
	n = new(AVFCameraDeviceControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFCameraDeviceControl")
	return
}

func (ptr *AVFCameraDeviceControl) DestroyAVFCameraDeviceControl() {
}

type AVFCameraExposureControl struct {
	QCameraExposureControl
}

type AVFCameraExposureControl_ITF interface {
	QCameraExposureControl_ITF
	AVFCameraExposureControl_PTR() *AVFCameraExposureControl
}

func (ptr *AVFCameraExposureControl) AVFCameraExposureControl_PTR() *AVFCameraExposureControl {
	return ptr
}

func (ptr *AVFCameraExposureControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraExposureControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFCameraExposureControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraExposureControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFCameraExposureControl(ptr AVFCameraExposureControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFCameraExposureControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFCameraExposureControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraExposureControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFCameraExposureControl) ClassNameInternalF() string {
	return n.QCameraExposureControl_PTR().ClassNameInternalF()
}

func NewAVFCameraExposureControlFromPointer(ptr unsafe.Pointer) (n *AVFCameraExposureControl) {
	n = new(AVFCameraExposureControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFCameraExposureControl")
	return
}

func (ptr *AVFCameraExposureControl) DestroyAVFCameraExposureControl() {
}

type AVFCameraFlashControl struct {
	QCameraFlashControl
}

type AVFCameraFlashControl_ITF interface {
	QCameraFlashControl_ITF
	AVFCameraFlashControl_PTR() *AVFCameraFlashControl
}

func (ptr *AVFCameraFlashControl) AVFCameraFlashControl_PTR() *AVFCameraFlashControl {
	return ptr
}

func (ptr *AVFCameraFlashControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFlashControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFCameraFlashControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraFlashControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFCameraFlashControl(ptr AVFCameraFlashControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFCameraFlashControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFCameraFlashControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraFlashControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFCameraFlashControl) ClassNameInternalF() string {
	return n.QCameraFlashControl_PTR().ClassNameInternalF()
}

func NewAVFCameraFlashControlFromPointer(ptr unsafe.Pointer) (n *AVFCameraFlashControl) {
	n = new(AVFCameraFlashControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFCameraFlashControl")
	return
}

func (ptr *AVFCameraFlashControl) DestroyAVFCameraFlashControl() {
}

type AVFCameraFocusControl struct {
	QCameraFocusControl
}

type AVFCameraFocusControl_ITF interface {
	QCameraFocusControl_ITF
	AVFCameraFocusControl_PTR() *AVFCameraFocusControl
}

func (ptr *AVFCameraFocusControl) AVFCameraFocusControl_PTR() *AVFCameraFocusControl {
	return ptr
}

func (ptr *AVFCameraFocusControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFocusControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFCameraFocusControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraFocusControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFCameraFocusControl(ptr AVFCameraFocusControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFCameraFocusControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFCameraFocusControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraFocusControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFCameraFocusControl) ClassNameInternalF() string {
	return n.QCameraFocusControl_PTR().ClassNameInternalF()
}

func NewAVFCameraFocusControlFromPointer(ptr unsafe.Pointer) (n *AVFCameraFocusControl) {
	n = new(AVFCameraFocusControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFCameraFocusControl")
	return
}

func (ptr *AVFCameraFocusControl) DestroyAVFCameraFocusControl() {
}

type AVFCameraInfo struct {
	internal.Internal
}

type AVFCameraInfo_ITF interface {
	AVFCameraInfo_PTR() *AVFCameraInfo
}

func (ptr *AVFCameraInfo) AVFCameraInfo_PTR() *AVFCameraInfo {
	return ptr
}

func (ptr *AVFCameraInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *AVFCameraInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromAVFCameraInfo(ptr AVFCameraInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFCameraInfo_PTR().Pointer()
	}
	return nil
}

func (n *AVFCameraInfo) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewAVFCameraInfoFromPointer(ptr unsafe.Pointer) (n *AVFCameraInfo) {
	n = new(AVFCameraInfo)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFCameraInfo")
	return
}

func (ptr *AVFCameraInfo) DestroyAVFCameraInfo() {
}

type AVFCameraInfoControl struct {
	QCameraInfoControl
}

type AVFCameraInfoControl_ITF interface {
	QCameraInfoControl_ITF
	AVFCameraInfoControl_PTR() *AVFCameraInfoControl
}

func (ptr *AVFCameraInfoControl) AVFCameraInfoControl_PTR() *AVFCameraInfoControl {
	return ptr
}

func (ptr *AVFCameraInfoControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraInfoControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFCameraInfoControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraInfoControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFCameraInfoControl(ptr AVFCameraInfoControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFCameraInfoControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFCameraInfoControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraInfoControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFCameraInfoControl) ClassNameInternalF() string {
	return n.QCameraInfoControl_PTR().ClassNameInternalF()
}

func NewAVFCameraInfoControlFromPointer(ptr unsafe.Pointer) (n *AVFCameraInfoControl) {
	n = new(AVFCameraInfoControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFCameraInfoControl")
	return
}

func (ptr *AVFCameraInfoControl) DestroyAVFCameraInfoControl() {
}

type AVFCameraMetaDataControl struct {
	QMetaDataWriterControl
}

type AVFCameraMetaDataControl_ITF interface {
	QMetaDataWriterControl_ITF
	AVFCameraMetaDataControl_PTR() *AVFCameraMetaDataControl
}

func (ptr *AVFCameraMetaDataControl) AVFCameraMetaDataControl_PTR() *AVFCameraMetaDataControl {
	return ptr
}

func (ptr *AVFCameraMetaDataControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaDataWriterControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFCameraMetaDataControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMetaDataWriterControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFCameraMetaDataControl(ptr AVFCameraMetaDataControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFCameraMetaDataControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFCameraMetaDataControl) InitFromInternal(ptr uintptr, name string) {
	n.QMetaDataWriterControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFCameraMetaDataControl) ClassNameInternalF() string {
	return n.QMetaDataWriterControl_PTR().ClassNameInternalF()
}

func NewAVFCameraMetaDataControlFromPointer(ptr unsafe.Pointer) (n *AVFCameraMetaDataControl) {
	n = new(AVFCameraMetaDataControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFCameraMetaDataControl")
	return
}

func (ptr *AVFCameraMetaDataControl) DestroyAVFCameraMetaDataControl() {
}

type AVFCameraRendererControl struct {
	QVideoRendererControl
}

type AVFCameraRendererControl_ITF interface {
	QVideoRendererControl_ITF
	AVFCameraRendererControl_PTR() *AVFCameraRendererControl
}

func (ptr *AVFCameraRendererControl) AVFCameraRendererControl_PTR() *AVFCameraRendererControl {
	return ptr
}

func (ptr *AVFCameraRendererControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFCameraRendererControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoRendererControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFCameraRendererControl(ptr AVFCameraRendererControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFCameraRendererControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFCameraRendererControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoRendererControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFCameraRendererControl) ClassNameInternalF() string {
	return n.QVideoRendererControl_PTR().ClassNameInternalF()
}

func NewAVFCameraRendererControlFromPointer(ptr unsafe.Pointer) (n *AVFCameraRendererControl) {
	n = new(AVFCameraRendererControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFCameraRendererControl")
	return
}

func (ptr *AVFCameraRendererControl) DestroyAVFCameraRendererControl() {
}

type AVFCameraService struct {
	QMediaService
}

type AVFCameraService_ITF interface {
	QMediaService_ITF
	AVFCameraService_PTR() *AVFCameraService
}

func (ptr *AVFCameraService) AVFCameraService_PTR() *AVFCameraService {
	return ptr
}

func (ptr *AVFCameraService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFCameraService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromAVFCameraService(ptr AVFCameraService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFCameraService_PTR().Pointer()
	}
	return nil
}

func (n *AVFCameraService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFCameraService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewAVFCameraServiceFromPointer(ptr unsafe.Pointer) (n *AVFCameraService) {
	n = new(AVFCameraService)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFCameraService")
	return
}

func (ptr *AVFCameraService) DestroyAVFCameraService() {
}

type AVFCameraSession struct {
	core.QObject
}

type AVFCameraSession_ITF interface {
	core.QObject_ITF
	AVFCameraSession_PTR() *AVFCameraSession
}

func (ptr *AVFCameraSession) AVFCameraSession_PTR() *AVFCameraSession {
	return ptr
}

func (ptr *AVFCameraSession) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFCameraSession) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromAVFCameraSession(ptr AVFCameraSession_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFCameraSession_PTR().Pointer()
	}
	return nil
}

func (n *AVFCameraSession) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFCameraSession) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewAVFCameraSessionFromPointer(ptr unsafe.Pointer) (n *AVFCameraSession) {
	n = new(AVFCameraSession)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFCameraSession")
	return
}

func (ptr *AVFCameraSession) DestroyAVFCameraSession() {
}

type AVFCameraViewfinderSettingsControl struct {
	QCameraViewfinderSettingsControl
}

type AVFCameraViewfinderSettingsControl_ITF interface {
	QCameraViewfinderSettingsControl_ITF
	AVFCameraViewfinderSettingsControl_PTR() *AVFCameraViewfinderSettingsControl
}

func (ptr *AVFCameraViewfinderSettingsControl) AVFCameraViewfinderSettingsControl_PTR() *AVFCameraViewfinderSettingsControl {
	return ptr
}

func (ptr *AVFCameraViewfinderSettingsControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraViewfinderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFCameraViewfinderSettingsControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraViewfinderSettingsControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFCameraViewfinderSettingsControl(ptr AVFCameraViewfinderSettingsControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFCameraViewfinderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFCameraViewfinderSettingsControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraViewfinderSettingsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFCameraViewfinderSettingsControl) ClassNameInternalF() string {
	return n.QCameraViewfinderSettingsControl_PTR().ClassNameInternalF()
}

func NewAVFCameraViewfinderSettingsControlFromPointer(ptr unsafe.Pointer) (n *AVFCameraViewfinderSettingsControl) {
	n = new(AVFCameraViewfinderSettingsControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFCameraViewfinderSettingsControl")
	return
}

func (ptr *AVFCameraViewfinderSettingsControl) DestroyAVFCameraViewfinderSettingsControl() {
}

type AVFCameraViewfinderSettingsControl2 struct {
	QCameraViewfinderSettingsControl2
}

type AVFCameraViewfinderSettingsControl2_ITF interface {
	QCameraViewfinderSettingsControl2_ITF
	AVFCameraViewfinderSettingsControl2_PTR() *AVFCameraViewfinderSettingsControl2
}

func (ptr *AVFCameraViewfinderSettingsControl2) AVFCameraViewfinderSettingsControl2_PTR() *AVFCameraViewfinderSettingsControl2 {
	return ptr
}

func (ptr *AVFCameraViewfinderSettingsControl2) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraViewfinderSettingsControl2_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFCameraViewfinderSettingsControl2) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraViewfinderSettingsControl2_PTR().SetPointer(p)
	}
}

func PointerFromAVFCameraViewfinderSettingsControl2(ptr AVFCameraViewfinderSettingsControl2_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFCameraViewfinderSettingsControl2_PTR().Pointer()
	}
	return nil
}

func (n *AVFCameraViewfinderSettingsControl2) InitFromInternal(ptr uintptr, name string) {
	n.QCameraViewfinderSettingsControl2_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFCameraViewfinderSettingsControl2) ClassNameInternalF() string {
	return n.QCameraViewfinderSettingsControl2_PTR().ClassNameInternalF()
}

func NewAVFCameraViewfinderSettingsControl2FromPointer(ptr unsafe.Pointer) (n *AVFCameraViewfinderSettingsControl2) {
	n = new(AVFCameraViewfinderSettingsControl2)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFCameraViewfinderSettingsControl2")
	return
}

func (ptr *AVFCameraViewfinderSettingsControl2) DestroyAVFCameraViewfinderSettingsControl2() {
}

type AVFCameraZoomControl struct {
	QCameraZoomControl
}

type AVFCameraZoomControl_ITF interface {
	QCameraZoomControl_ITF
	AVFCameraZoomControl_PTR() *AVFCameraZoomControl
}

func (ptr *AVFCameraZoomControl) AVFCameraZoomControl_PTR() *AVFCameraZoomControl {
	return ptr
}

func (ptr *AVFCameraZoomControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraZoomControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFCameraZoomControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraZoomControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFCameraZoomControl(ptr AVFCameraZoomControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFCameraZoomControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFCameraZoomControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraZoomControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFCameraZoomControl) ClassNameInternalF() string {
	return n.QCameraZoomControl_PTR().ClassNameInternalF()
}

func NewAVFCameraZoomControlFromPointer(ptr unsafe.Pointer) (n *AVFCameraZoomControl) {
	n = new(AVFCameraZoomControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFCameraZoomControl")
	return
}

func (ptr *AVFCameraZoomControl) DestroyAVFCameraZoomControl() {
}

type AVFConfigurationLock struct {
	internal.Internal
}

type AVFConfigurationLock_ITF interface {
	AVFConfigurationLock_PTR() *AVFConfigurationLock
}

func (ptr *AVFConfigurationLock) AVFConfigurationLock_PTR() *AVFConfigurationLock {
	return ptr
}

func (ptr *AVFConfigurationLock) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *AVFConfigurationLock) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromAVFConfigurationLock(ptr AVFConfigurationLock_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFConfigurationLock_PTR().Pointer()
	}
	return nil
}

func (n *AVFConfigurationLock) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewAVFConfigurationLockFromPointer(ptr unsafe.Pointer) (n *AVFConfigurationLock) {
	n = new(AVFConfigurationLock)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFConfigurationLock")
	return
}

func (ptr *AVFConfigurationLock) DestroyAVFConfigurationLock() {
}

type AVFDisplayLink struct {
	core.QObject
}

type AVFDisplayLink_ITF interface {
	core.QObject_ITF
	AVFDisplayLink_PTR() *AVFDisplayLink
}

func (ptr *AVFDisplayLink) AVFDisplayLink_PTR() *AVFDisplayLink {
	return ptr
}

func (ptr *AVFDisplayLink) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFDisplayLink) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromAVFDisplayLink(ptr AVFDisplayLink_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFDisplayLink_PTR().Pointer()
	}
	return nil
}

func (n *AVFDisplayLink) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFDisplayLink) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewAVFDisplayLinkFromPointer(ptr unsafe.Pointer) (n *AVFDisplayLink) {
	n = new(AVFDisplayLink)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFDisplayLink")
	return
}

func (ptr *AVFDisplayLink) DestroyAVFDisplayLink() {
}

type AVFImageCaptureControl struct {
	QCameraImageCaptureControl
}

type AVFImageCaptureControl_ITF interface {
	QCameraImageCaptureControl_ITF
	AVFImageCaptureControl_PTR() *AVFImageCaptureControl
}

func (ptr *AVFImageCaptureControl) AVFImageCaptureControl_PTR() *AVFImageCaptureControl {
	return ptr
}

func (ptr *AVFImageCaptureControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageCaptureControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFImageCaptureControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraImageCaptureControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFImageCaptureControl(ptr AVFImageCaptureControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFImageCaptureControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFImageCaptureControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraImageCaptureControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFImageCaptureControl) ClassNameInternalF() string {
	return n.QCameraImageCaptureControl_PTR().ClassNameInternalF()
}

func NewAVFImageCaptureControlFromPointer(ptr unsafe.Pointer) (n *AVFImageCaptureControl) {
	n = new(AVFImageCaptureControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFImageCaptureControl")
	return
}

func (ptr *AVFImageCaptureControl) DestroyAVFImageCaptureControl() {
}

type AVFImageEncoderControl struct {
	QImageEncoderControl
}

type AVFImageEncoderControl_ITF interface {
	QImageEncoderControl_ITF
	AVFImageEncoderControl_PTR() *AVFImageEncoderControl
}

func (ptr *AVFImageEncoderControl) AVFImageEncoderControl_PTR() *AVFImageEncoderControl {
	return ptr
}

func (ptr *AVFImageEncoderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QImageEncoderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFImageEncoderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QImageEncoderControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFImageEncoderControl(ptr AVFImageEncoderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFImageEncoderControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFImageEncoderControl) InitFromInternal(ptr uintptr, name string) {
	n.QImageEncoderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFImageEncoderControl) ClassNameInternalF() string {
	return n.QImageEncoderControl_PTR().ClassNameInternalF()
}

func NewAVFImageEncoderControlFromPointer(ptr unsafe.Pointer) (n *AVFImageEncoderControl) {
	n = new(AVFImageEncoderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFImageEncoderControl")
	return
}

func (ptr *AVFImageEncoderControl) DestroyAVFImageEncoderControl() {
}

type AVFMediaContainerControl struct {
	QMediaContainerControl
}

type AVFMediaContainerControl_ITF interface {
	QMediaContainerControl_ITF
	AVFMediaContainerControl_PTR() *AVFMediaContainerControl
}

func (ptr *AVFMediaContainerControl) AVFMediaContainerControl_PTR() *AVFMediaContainerControl {
	return ptr
}

func (ptr *AVFMediaContainerControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaContainerControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFMediaContainerControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaContainerControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFMediaContainerControl(ptr AVFMediaContainerControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFMediaContainerControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFMediaContainerControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaContainerControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFMediaContainerControl) ClassNameInternalF() string {
	return n.QMediaContainerControl_PTR().ClassNameInternalF()
}

func NewAVFMediaContainerControlFromPointer(ptr unsafe.Pointer) (n *AVFMediaContainerControl) {
	n = new(AVFMediaContainerControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFMediaContainerControl")
	return
}

func (ptr *AVFMediaContainerControl) DestroyAVFMediaContainerControl() {
}

type AVFMediaPlayerControl struct {
	QMediaPlayerControl
}

type AVFMediaPlayerControl_ITF interface {
	QMediaPlayerControl_ITF
	AVFMediaPlayerControl_PTR() *AVFMediaPlayerControl
}

func (ptr *AVFMediaPlayerControl) AVFMediaPlayerControl_PTR() *AVFMediaPlayerControl {
	return ptr
}

func (ptr *AVFMediaPlayerControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaPlayerControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFMediaPlayerControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaPlayerControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFMediaPlayerControl(ptr AVFMediaPlayerControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFMediaPlayerControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFMediaPlayerControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaPlayerControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFMediaPlayerControl) ClassNameInternalF() string {
	return n.QMediaPlayerControl_PTR().ClassNameInternalF()
}

func NewAVFMediaPlayerControlFromPointer(ptr unsafe.Pointer) (n *AVFMediaPlayerControl) {
	n = new(AVFMediaPlayerControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFMediaPlayerControl")
	return
}

func (ptr *AVFMediaPlayerControl) DestroyAVFMediaPlayerControl() {
}

type AVFMediaPlayerMetaDataControl struct {
	QMetaDataReaderControl
}

type AVFMediaPlayerMetaDataControl_ITF interface {
	QMetaDataReaderControl_ITF
	AVFMediaPlayerMetaDataControl_PTR() *AVFMediaPlayerMetaDataControl
}

func (ptr *AVFMediaPlayerMetaDataControl) AVFMediaPlayerMetaDataControl_PTR() *AVFMediaPlayerMetaDataControl {
	return ptr
}

func (ptr *AVFMediaPlayerMetaDataControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaDataReaderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFMediaPlayerMetaDataControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMetaDataReaderControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFMediaPlayerMetaDataControl(ptr AVFMediaPlayerMetaDataControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFMediaPlayerMetaDataControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFMediaPlayerMetaDataControl) InitFromInternal(ptr uintptr, name string) {
	n.QMetaDataReaderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFMediaPlayerMetaDataControl) ClassNameInternalF() string {
	return n.QMetaDataReaderControl_PTR().ClassNameInternalF()
}

func NewAVFMediaPlayerMetaDataControlFromPointer(ptr unsafe.Pointer) (n *AVFMediaPlayerMetaDataControl) {
	n = new(AVFMediaPlayerMetaDataControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFMediaPlayerMetaDataControl")
	return
}

func (ptr *AVFMediaPlayerMetaDataControl) DestroyAVFMediaPlayerMetaDataControl() {
}

type AVFMediaPlayerService struct {
	QMediaService
}

type AVFMediaPlayerService_ITF interface {
	QMediaService_ITF
	AVFMediaPlayerService_PTR() *AVFMediaPlayerService
}

func (ptr *AVFMediaPlayerService) AVFMediaPlayerService_PTR() *AVFMediaPlayerService {
	return ptr
}

func (ptr *AVFMediaPlayerService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFMediaPlayerService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromAVFMediaPlayerService(ptr AVFMediaPlayerService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFMediaPlayerService_PTR().Pointer()
	}
	return nil
}

func (n *AVFMediaPlayerService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFMediaPlayerService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewAVFMediaPlayerServiceFromPointer(ptr unsafe.Pointer) (n *AVFMediaPlayerService) {
	n = new(AVFMediaPlayerService)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFMediaPlayerService")
	return
}

func (ptr *AVFMediaPlayerService) DestroyAVFMediaPlayerService() {
}

type AVFMediaPlayerServicePlugin struct {
	QMediaServiceFeaturesInterface
	QMediaServiceProviderPlugin
	QMediaServiceSupportedFormatsInterface
}

type AVFMediaPlayerServicePlugin_ITF interface {
	QMediaServiceFeaturesInterface_ITF
	QMediaServiceProviderPlugin_ITF
	QMediaServiceSupportedFormatsInterface_ITF
	AVFMediaPlayerServicePlugin_PTR() *AVFMediaPlayerServicePlugin
}

func (ptr *AVFMediaPlayerServicePlugin) AVFMediaPlayerServicePlugin_PTR() *AVFMediaPlayerServicePlugin {
	return ptr
}

func (ptr *AVFMediaPlayerServicePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceFeaturesInterface_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFMediaPlayerServicePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaServiceFeaturesInterface_PTR().SetPointer(p)
		ptr.QMediaServiceProviderPlugin_PTR().SetPointer(p)
		ptr.QMediaServiceSupportedFormatsInterface_PTR().SetPointer(p)
	}
}

func PointerFromAVFMediaPlayerServicePlugin(ptr AVFMediaPlayerServicePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFMediaPlayerServicePlugin_PTR().Pointer()
	}
	return nil
}

func (n *AVFMediaPlayerServicePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QMediaServiceFeaturesInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceProviderPlugin_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceSupportedFormatsInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFMediaPlayerServicePlugin) ClassNameInternalF() string {
	return n.QMediaServiceFeaturesInterface_PTR().ClassNameInternalF()
}

func NewAVFMediaPlayerServicePluginFromPointer(ptr unsafe.Pointer) (n *AVFMediaPlayerServicePlugin) {
	n = new(AVFMediaPlayerServicePlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFMediaPlayerServicePlugin")
	return
}

func (ptr *AVFMediaPlayerServicePlugin) DestroyAVFMediaPlayerServicePlugin() {
}

type AVFMediaPlayerSession struct {
	core.QObject
}

type AVFMediaPlayerSession_ITF interface {
	core.QObject_ITF
	AVFMediaPlayerSession_PTR() *AVFMediaPlayerSession
}

func (ptr *AVFMediaPlayerSession) AVFMediaPlayerSession_PTR() *AVFMediaPlayerSession {
	return ptr
}

func (ptr *AVFMediaPlayerSession) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFMediaPlayerSession) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromAVFMediaPlayerSession(ptr AVFMediaPlayerSession_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFMediaPlayerSession_PTR().Pointer()
	}
	return nil
}

func (n *AVFMediaPlayerSession) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFMediaPlayerSession) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewAVFMediaPlayerSessionFromPointer(ptr unsafe.Pointer) (n *AVFMediaPlayerSession) {
	n = new(AVFMediaPlayerSession)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFMediaPlayerSession")
	return
}

func (ptr *AVFMediaPlayerSession) DestroyAVFMediaPlayerSession() {
}

type AVFMediaRecorderControl struct {
	QMediaRecorderControl
}

type AVFMediaRecorderControl_ITF interface {
	QMediaRecorderControl_ITF
	AVFMediaRecorderControl_PTR() *AVFMediaRecorderControl
}

func (ptr *AVFMediaRecorderControl) AVFMediaRecorderControl_PTR() *AVFMediaRecorderControl {
	return ptr
}

func (ptr *AVFMediaRecorderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaRecorderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFMediaRecorderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaRecorderControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFMediaRecorderControl(ptr AVFMediaRecorderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFMediaRecorderControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFMediaRecorderControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaRecorderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFMediaRecorderControl) ClassNameInternalF() string {
	return n.QMediaRecorderControl_PTR().ClassNameInternalF()
}

func NewAVFMediaRecorderControlFromPointer(ptr unsafe.Pointer) (n *AVFMediaRecorderControl) {
	n = new(AVFMediaRecorderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFMediaRecorderControl")
	return
}

func (ptr *AVFMediaRecorderControl) DestroyAVFMediaRecorderControl() {
}

type AVFMediaRecorderControlIOS struct {
	QMediaRecorderControl
}

type AVFMediaRecorderControlIOS_ITF interface {
	QMediaRecorderControl_ITF
	AVFMediaRecorderControlIOS_PTR() *AVFMediaRecorderControlIOS
}

func (ptr *AVFMediaRecorderControlIOS) AVFMediaRecorderControlIOS_PTR() *AVFMediaRecorderControlIOS {
	return ptr
}

func (ptr *AVFMediaRecorderControlIOS) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaRecorderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFMediaRecorderControlIOS) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaRecorderControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFMediaRecorderControlIOS(ptr AVFMediaRecorderControlIOS_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFMediaRecorderControlIOS_PTR().Pointer()
	}
	return nil
}

func (n *AVFMediaRecorderControlIOS) InitFromInternal(ptr uintptr, name string) {
	n.QMediaRecorderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFMediaRecorderControlIOS) ClassNameInternalF() string {
	return n.QMediaRecorderControl_PTR().ClassNameInternalF()
}

func NewAVFMediaRecorderControlIOSFromPointer(ptr unsafe.Pointer) (n *AVFMediaRecorderControlIOS) {
	n = new(AVFMediaRecorderControlIOS)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFMediaRecorderControlIOS")
	return
}

func (ptr *AVFMediaRecorderControlIOS) DestroyAVFMediaRecorderControlIOS() {
}

type AVFMediaVideoProbeControl struct {
	QMediaVideoProbeControl
}

type AVFMediaVideoProbeControl_ITF interface {
	QMediaVideoProbeControl_ITF
	AVFMediaVideoProbeControl_PTR() *AVFMediaVideoProbeControl
}

func (ptr *AVFMediaVideoProbeControl) AVFMediaVideoProbeControl_PTR() *AVFMediaVideoProbeControl {
	return ptr
}

func (ptr *AVFMediaVideoProbeControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaVideoProbeControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFMediaVideoProbeControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaVideoProbeControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFMediaVideoProbeControl(ptr AVFMediaVideoProbeControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFMediaVideoProbeControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFMediaVideoProbeControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaVideoProbeControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFMediaVideoProbeControl) ClassNameInternalF() string {
	return n.QMediaVideoProbeControl_PTR().ClassNameInternalF()
}

func NewAVFMediaVideoProbeControlFromPointer(ptr unsafe.Pointer) (n *AVFMediaVideoProbeControl) {
	n = new(AVFMediaVideoProbeControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFMediaVideoProbeControl")
	return
}

func (ptr *AVFMediaVideoProbeControl) DestroyAVFMediaVideoProbeControl() {
}

type AVFObjectDeleter struct {
	internal.Internal
}

type AVFObjectDeleter_ITF interface {
	AVFObjectDeleter_PTR() *AVFObjectDeleter
}

func (ptr *AVFObjectDeleter) AVFObjectDeleter_PTR() *AVFObjectDeleter {
	return ptr
}

func (ptr *AVFObjectDeleter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *AVFObjectDeleter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromAVFObjectDeleter(ptr AVFObjectDeleter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFObjectDeleter_PTR().Pointer()
	}
	return nil
}

func (n *AVFObjectDeleter) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewAVFObjectDeleterFromPointer(ptr unsafe.Pointer) (n *AVFObjectDeleter) {
	n = new(AVFObjectDeleter)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFObjectDeleter")
	return
}

func (ptr *AVFObjectDeleter) DestroyAVFObjectDeleter() {
}

type AVFScopedPointer struct {
	internal.Internal
}

type AVFScopedPointer_ITF interface {
	AVFScopedPointer_PTR() *AVFScopedPointer
}

func (ptr *AVFScopedPointer) AVFScopedPointer_PTR() *AVFScopedPointer {
	return ptr
}

func (ptr *AVFScopedPointer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *AVFScopedPointer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromAVFScopedPointer(ptr AVFScopedPointer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFScopedPointer_PTR().Pointer()
	}
	return nil
}

func (n *AVFScopedPointer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewAVFScopedPointerFromPointer(ptr unsafe.Pointer) (n *AVFScopedPointer) {
	n = new(AVFScopedPointer)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFScopedPointer")
	return
}

func (ptr *AVFScopedPointer) DestroyAVFScopedPointer() {
}

type AVFServicePlugin struct {
	QMediaServiceCameraInfoInterface
	QMediaServiceDefaultDeviceInterface
	QMediaServiceProviderPlugin
	QMediaServiceSupportedDevicesInterface
}

type AVFServicePlugin_ITF interface {
	QMediaServiceCameraInfoInterface_ITF
	QMediaServiceDefaultDeviceInterface_ITF
	QMediaServiceProviderPlugin_ITF
	QMediaServiceSupportedDevicesInterface_ITF
	AVFServicePlugin_PTR() *AVFServicePlugin
}

func (ptr *AVFServicePlugin) AVFServicePlugin_PTR() *AVFServicePlugin {
	return ptr
}

func (ptr *AVFServicePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceCameraInfoInterface_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFServicePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaServiceCameraInfoInterface_PTR().SetPointer(p)
		ptr.QMediaServiceDefaultDeviceInterface_PTR().SetPointer(p)
		ptr.QMediaServiceProviderPlugin_PTR().SetPointer(p)
		ptr.QMediaServiceSupportedDevicesInterface_PTR().SetPointer(p)
	}
}

func PointerFromAVFServicePlugin(ptr AVFServicePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFServicePlugin_PTR().Pointer()
	}
	return nil
}

func (n *AVFServicePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QMediaServiceCameraInfoInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceDefaultDeviceInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceProviderPlugin_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceSupportedDevicesInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFServicePlugin) ClassNameInternalF() string {
	return n.QMediaServiceCameraInfoInterface_PTR().ClassNameInternalF()
}

func NewAVFServicePluginFromPointer(ptr unsafe.Pointer) (n *AVFServicePlugin) {
	n = new(AVFServicePlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFServicePlugin")
	return
}

func (ptr *AVFServicePlugin) DestroyAVFServicePlugin() {
}

type AVFStorageLocation struct {
	internal.Internal
}

type AVFStorageLocation_ITF interface {
	AVFStorageLocation_PTR() *AVFStorageLocation
}

func (ptr *AVFStorageLocation) AVFStorageLocation_PTR() *AVFStorageLocation {
	return ptr
}

func (ptr *AVFStorageLocation) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *AVFStorageLocation) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromAVFStorageLocation(ptr AVFStorageLocation_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFStorageLocation_PTR().Pointer()
	}
	return nil
}

func (n *AVFStorageLocation) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewAVFStorageLocationFromPointer(ptr unsafe.Pointer) (n *AVFStorageLocation) {
	n = new(AVFStorageLocation)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFStorageLocation")
	return
}

func (ptr *AVFStorageLocation) DestroyAVFStorageLocation() {
}

type AVFVideoEncoderSettingsControl struct {
	QVideoEncoderSettingsControl
}

type AVFVideoEncoderSettingsControl_ITF interface {
	QVideoEncoderSettingsControl_ITF
	AVFVideoEncoderSettingsControl_PTR() *AVFVideoEncoderSettingsControl
}

func (ptr *AVFVideoEncoderSettingsControl) AVFVideoEncoderSettingsControl_PTR() *AVFVideoEncoderSettingsControl {
	return ptr
}

func (ptr *AVFVideoEncoderSettingsControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFVideoEncoderSettingsControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoEncoderSettingsControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFVideoEncoderSettingsControl(ptr AVFVideoEncoderSettingsControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFVideoEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFVideoEncoderSettingsControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoEncoderSettingsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFVideoEncoderSettingsControl) ClassNameInternalF() string {
	return n.QVideoEncoderSettingsControl_PTR().ClassNameInternalF()
}

func NewAVFVideoEncoderSettingsControlFromPointer(ptr unsafe.Pointer) (n *AVFVideoEncoderSettingsControl) {
	n = new(AVFVideoEncoderSettingsControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFVideoEncoderSettingsControl")
	return
}

func (ptr *AVFVideoEncoderSettingsControl) DestroyAVFVideoEncoderSettingsControl() {
}

type AVFVideoFrameRenderer struct {
	core.QObject
}

type AVFVideoFrameRenderer_ITF interface {
	core.QObject_ITF
	AVFVideoFrameRenderer_PTR() *AVFVideoFrameRenderer
}

func (ptr *AVFVideoFrameRenderer) AVFVideoFrameRenderer_PTR() *AVFVideoFrameRenderer {
	return ptr
}

func (ptr *AVFVideoFrameRenderer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFVideoFrameRenderer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromAVFVideoFrameRenderer(ptr AVFVideoFrameRenderer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFVideoFrameRenderer_PTR().Pointer()
	}
	return nil
}

func (n *AVFVideoFrameRenderer) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFVideoFrameRenderer) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewAVFVideoFrameRendererFromPointer(ptr unsafe.Pointer) (n *AVFVideoFrameRenderer) {
	n = new(AVFVideoFrameRenderer)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFVideoFrameRenderer")
	return
}

func (ptr *AVFVideoFrameRenderer) DestroyAVFVideoFrameRenderer() {
}

type AVFVideoOutput struct {
	internal.Internal
}

type AVFVideoOutput_ITF interface {
	AVFVideoOutput_PTR() *AVFVideoOutput
}

func (ptr *AVFVideoOutput) AVFVideoOutput_PTR() *AVFVideoOutput {
	return ptr
}

func (ptr *AVFVideoOutput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *AVFVideoOutput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromAVFVideoOutput(ptr AVFVideoOutput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFVideoOutput_PTR().Pointer()
	}
	return nil
}

func (n *AVFVideoOutput) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewAVFVideoOutputFromPointer(ptr unsafe.Pointer) (n *AVFVideoOutput) {
	n = new(AVFVideoOutput)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFVideoOutput")
	return
}

func (ptr *AVFVideoOutput) DestroyAVFVideoOutput() {
}

type AVFVideoRendererControl struct {
	AVFVideoOutput
	QVideoRendererControl
}

type AVFVideoRendererControl_ITF interface {
	AVFVideoOutput_ITF
	QVideoRendererControl_ITF
	AVFVideoRendererControl_PTR() *AVFVideoRendererControl
}

func (ptr *AVFVideoRendererControl) AVFVideoRendererControl_PTR() *AVFVideoRendererControl {
	return ptr
}

func (ptr *AVFVideoRendererControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFVideoOutput_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFVideoRendererControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.AVFVideoOutput_PTR().SetPointer(p)
		ptr.QVideoRendererControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFVideoRendererControl(ptr AVFVideoRendererControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFVideoRendererControl) InitFromInternal(ptr uintptr, name string) {
	n.AVFVideoOutput_PTR().InitFromInternal(uintptr(ptr), name)
	n.QVideoRendererControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFVideoRendererControl) ClassNameInternalF() string {
	return n.AVFVideoOutput_PTR().ClassNameInternalF()
}

func NewAVFVideoRendererControlFromPointer(ptr unsafe.Pointer) (n *AVFVideoRendererControl) {
	n = new(AVFVideoRendererControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFVideoRendererControl")
	return
}

func (ptr *AVFVideoRendererControl) DestroyAVFVideoRendererControl() {
}

type AVFVideoWidget struct {
	widgets.QWidget
}

type AVFVideoWidget_ITF interface {
	widgets.QWidget_ITF
	AVFVideoWidget_PTR() *AVFVideoWidget
}

func (ptr *AVFVideoWidget) AVFVideoWidget_PTR() *AVFVideoWidget {
	return ptr
}

func (ptr *AVFVideoWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFVideoWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromAVFVideoWidget(ptr AVFVideoWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFVideoWidget_PTR().Pointer()
	}
	return nil
}

func (n *AVFVideoWidget) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFVideoWidget) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewAVFVideoWidgetFromPointer(ptr unsafe.Pointer) (n *AVFVideoWidget) {
	n = new(AVFVideoWidget)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFVideoWidget")
	return
}

func (ptr *AVFVideoWidget) DestroyAVFVideoWidget() {
}

type AVFVideoWidgetControl struct {
	AVFVideoOutput
}

type AVFVideoWidgetControl_ITF interface {
	AVFVideoOutput_ITF
	AVFVideoWidgetControl_PTR() *AVFVideoWidgetControl
}

func (ptr *AVFVideoWidgetControl) AVFVideoWidgetControl_PTR() *AVFVideoWidgetControl {
	return ptr
}

func (ptr *AVFVideoWidgetControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFVideoOutput_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFVideoWidgetControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.AVFVideoOutput_PTR().SetPointer(p)
	}
}

func PointerFromAVFVideoWidgetControl(ptr AVFVideoWidgetControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFVideoWidgetControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFVideoWidgetControl) InitFromInternal(ptr uintptr, name string) {
	n.AVFVideoOutput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFVideoWidgetControl) ClassNameInternalF() string {
	return n.AVFVideoOutput_PTR().ClassNameInternalF()
}

func NewAVFVideoWidgetControlFromPointer(ptr unsafe.Pointer) (n *AVFVideoWidgetControl) {
	n = new(AVFVideoWidgetControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFVideoWidgetControl")
	return
}

func (ptr *AVFVideoWidgetControl) DestroyAVFVideoWidgetControl() {
}

type AVFVideoWindowControl struct {
	AVFVideoOutput
	QVideoWindowControl
}

type AVFVideoWindowControl_ITF interface {
	AVFVideoOutput_ITF
	QVideoWindowControl_ITF
	AVFVideoWindowControl_PTR() *AVFVideoWindowControl
}

func (ptr *AVFVideoWindowControl) AVFVideoWindowControl_PTR() *AVFVideoWindowControl {
	return ptr
}

func (ptr *AVFVideoWindowControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFVideoOutput_PTR().Pointer()
	}
	return nil
}

func (ptr *AVFVideoWindowControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.AVFVideoOutput_PTR().SetPointer(p)
		ptr.QVideoWindowControl_PTR().SetPointer(p)
	}
}

func PointerFromAVFVideoWindowControl(ptr AVFVideoWindowControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AVFVideoWindowControl_PTR().Pointer()
	}
	return nil
}

func (n *AVFVideoWindowControl) InitFromInternal(ptr uintptr, name string) {
	n.AVFVideoOutput_PTR().InitFromInternal(uintptr(ptr), name)
	n.QVideoWindowControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AVFVideoWindowControl) ClassNameInternalF() string {
	return n.AVFVideoOutput_PTR().ClassNameInternalF()
}

func NewAVFVideoWindowControlFromPointer(ptr unsafe.Pointer) (n *AVFVideoWindowControl) {
	n = new(AVFVideoWindowControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AVFVideoWindowControl")
	return
}

func (ptr *AVFVideoWindowControl) DestroyAVFVideoWindowControl() {
}

type AndroidCamcorderProfile struct {
	internal.Internal
}

type AndroidCamcorderProfile_ITF interface {
	AndroidCamcorderProfile_PTR() *AndroidCamcorderProfile
}

func (ptr *AndroidCamcorderProfile) AndroidCamcorderProfile_PTR() *AndroidCamcorderProfile {
	return ptr
}

func (ptr *AndroidCamcorderProfile) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *AndroidCamcorderProfile) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromAndroidCamcorderProfile(ptr AndroidCamcorderProfile_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AndroidCamcorderProfile_PTR().Pointer()
	}
	return nil
}

func (n *AndroidCamcorderProfile) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewAndroidCamcorderProfileFromPointer(ptr unsafe.Pointer) (n *AndroidCamcorderProfile) {
	n = new(AndroidCamcorderProfile)
	n.InitFromInternal(uintptr(ptr), "multimedia.AndroidCamcorderProfile")
	return
}

func (ptr *AndroidCamcorderProfile) DestroyAndroidCamcorderProfile() {
}

type AndroidCamera struct {
	core.QObject
}

type AndroidCamera_ITF interface {
	core.QObject_ITF
	AndroidCamera_PTR() *AndroidCamera
}

func (ptr *AndroidCamera) AndroidCamera_PTR() *AndroidCamera {
	return ptr
}

func (ptr *AndroidCamera) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *AndroidCamera) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromAndroidCamera(ptr AndroidCamera_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AndroidCamera_PTR().Pointer()
	}
	return nil
}

func (n *AndroidCamera) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AndroidCamera) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewAndroidCameraFromPointer(ptr unsafe.Pointer) (n *AndroidCamera) {
	n = new(AndroidCamera)
	n.InitFromInternal(uintptr(ptr), "multimedia.AndroidCamera")
	return
}

func (ptr *AndroidCamera) DestroyAndroidCamera() {
}

type AndroidMediaMetadataRetriever struct {
	internal.Internal
}

type AndroidMediaMetadataRetriever_ITF interface {
	AndroidMediaMetadataRetriever_PTR() *AndroidMediaMetadataRetriever
}

func (ptr *AndroidMediaMetadataRetriever) AndroidMediaMetadataRetriever_PTR() *AndroidMediaMetadataRetriever {
	return ptr
}

func (ptr *AndroidMediaMetadataRetriever) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *AndroidMediaMetadataRetriever) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromAndroidMediaMetadataRetriever(ptr AndroidMediaMetadataRetriever_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AndroidMediaMetadataRetriever_PTR().Pointer()
	}
	return nil
}

func (n *AndroidMediaMetadataRetriever) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewAndroidMediaMetadataRetrieverFromPointer(ptr unsafe.Pointer) (n *AndroidMediaMetadataRetriever) {
	n = new(AndroidMediaMetadataRetriever)
	n.InitFromInternal(uintptr(ptr), "multimedia.AndroidMediaMetadataRetriever")
	return
}

func (ptr *AndroidMediaMetadataRetriever) DestroyAndroidMediaMetadataRetriever() {
}

type AndroidMediaPlayer struct {
	core.QObject
}

type AndroidMediaPlayer_ITF interface {
	core.QObject_ITF
	AndroidMediaPlayer_PTR() *AndroidMediaPlayer
}

func (ptr *AndroidMediaPlayer) AndroidMediaPlayer_PTR() *AndroidMediaPlayer {
	return ptr
}

func (ptr *AndroidMediaPlayer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *AndroidMediaPlayer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromAndroidMediaPlayer(ptr AndroidMediaPlayer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AndroidMediaPlayer_PTR().Pointer()
	}
	return nil
}

func (n *AndroidMediaPlayer) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AndroidMediaPlayer) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewAndroidMediaPlayerFromPointer(ptr unsafe.Pointer) (n *AndroidMediaPlayer) {
	n = new(AndroidMediaPlayer)
	n.InitFromInternal(uintptr(ptr), "multimedia.AndroidMediaPlayer")
	return
}

func (ptr *AndroidMediaPlayer) DestroyAndroidMediaPlayer() {
}

type AndroidMediaRecorder struct {
	core.QObject
}

type AndroidMediaRecorder_ITF interface {
	core.QObject_ITF
	AndroidMediaRecorder_PTR() *AndroidMediaRecorder
}

func (ptr *AndroidMediaRecorder) AndroidMediaRecorder_PTR() *AndroidMediaRecorder {
	return ptr
}

func (ptr *AndroidMediaRecorder) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *AndroidMediaRecorder) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromAndroidMediaRecorder(ptr AndroidMediaRecorder_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AndroidMediaRecorder_PTR().Pointer()
	}
	return nil
}

func (n *AndroidMediaRecorder) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AndroidMediaRecorder) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewAndroidMediaRecorderFromPointer(ptr unsafe.Pointer) (n *AndroidMediaRecorder) {
	n = new(AndroidMediaRecorder)
	n.InitFromInternal(uintptr(ptr), "multimedia.AndroidMediaRecorder")
	return
}

func (ptr *AndroidMediaRecorder) DestroyAndroidMediaRecorder() {
}

type AndroidMultimediaUtils struct {
	internal.Internal
}

type AndroidMultimediaUtils_ITF interface {
	AndroidMultimediaUtils_PTR() *AndroidMultimediaUtils
}

func (ptr *AndroidMultimediaUtils) AndroidMultimediaUtils_PTR() *AndroidMultimediaUtils {
	return ptr
}

func (ptr *AndroidMultimediaUtils) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *AndroidMultimediaUtils) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromAndroidMultimediaUtils(ptr AndroidMultimediaUtils_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AndroidMultimediaUtils_PTR().Pointer()
	}
	return nil
}

func (n *AndroidMultimediaUtils) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewAndroidMultimediaUtilsFromPointer(ptr unsafe.Pointer) (n *AndroidMultimediaUtils) {
	n = new(AndroidMultimediaUtils)
	n.InitFromInternal(uintptr(ptr), "multimedia.AndroidMultimediaUtils")
	return
}

func (ptr *AndroidMultimediaUtils) DestroyAndroidMultimediaUtils() {
}

type AndroidSurfaceHolder struct {
	core.QObject
}

type AndroidSurfaceHolder_ITF interface {
	core.QObject_ITF
	AndroidSurfaceHolder_PTR() *AndroidSurfaceHolder
}

func (ptr *AndroidSurfaceHolder) AndroidSurfaceHolder_PTR() *AndroidSurfaceHolder {
	return ptr
}

func (ptr *AndroidSurfaceHolder) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *AndroidSurfaceHolder) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromAndroidSurfaceHolder(ptr AndroidSurfaceHolder_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AndroidSurfaceHolder_PTR().Pointer()
	}
	return nil
}

func (n *AndroidSurfaceHolder) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AndroidSurfaceHolder) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewAndroidSurfaceHolderFromPointer(ptr unsafe.Pointer) (n *AndroidSurfaceHolder) {
	n = new(AndroidSurfaceHolder)
	n.InitFromInternal(uintptr(ptr), "multimedia.AndroidSurfaceHolder")
	return
}

func (ptr *AndroidSurfaceHolder) DestroyAndroidSurfaceHolder() {
}

type AndroidSurfaceTexture struct {
	core.QObject
}

type AndroidSurfaceTexture_ITF interface {
	core.QObject_ITF
	AndroidSurfaceTexture_PTR() *AndroidSurfaceTexture
}

func (ptr *AndroidSurfaceTexture) AndroidSurfaceTexture_PTR() *AndroidSurfaceTexture {
	return ptr
}

func (ptr *AndroidSurfaceTexture) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *AndroidSurfaceTexture) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromAndroidSurfaceTexture(ptr AndroidSurfaceTexture_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AndroidSurfaceTexture_PTR().Pointer()
	}
	return nil
}

func (n *AndroidSurfaceTexture) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AndroidSurfaceTexture) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewAndroidSurfaceTextureFromPointer(ptr unsafe.Pointer) (n *AndroidSurfaceTexture) {
	n = new(AndroidSurfaceTexture)
	n.InitFromInternal(uintptr(ptr), "multimedia.AndroidSurfaceTexture")
	return
}

func (ptr *AndroidSurfaceTexture) DestroyAndroidSurfaceTexture() {
}

type AndroidSurfaceView struct {
	core.QObject
}

type AndroidSurfaceView_ITF interface {
	core.QObject_ITF
	AndroidSurfaceView_PTR() *AndroidSurfaceView
}

func (ptr *AndroidSurfaceView) AndroidSurfaceView_PTR() *AndroidSurfaceView {
	return ptr
}

func (ptr *AndroidSurfaceView) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *AndroidSurfaceView) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromAndroidSurfaceView(ptr AndroidSurfaceView_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AndroidSurfaceView_PTR().Pointer()
	}
	return nil
}

func (n *AndroidSurfaceView) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AndroidSurfaceView) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewAndroidSurfaceViewFromPointer(ptr unsafe.Pointer) (n *AndroidSurfaceView) {
	n = new(AndroidSurfaceView)
	n.InitFromInternal(uintptr(ptr), "multimedia.AndroidSurfaceView")
	return
}

func (ptr *AndroidSurfaceView) DestroyAndroidSurfaceView() {
}

type AsyncCallback struct {
	internal.Internal
}

type AsyncCallback_ITF interface {
	AsyncCallback_PTR() *AsyncCallback
}

func (ptr *AsyncCallback) AsyncCallback_PTR() *AsyncCallback {
	return ptr
}

func (ptr *AsyncCallback) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *AsyncCallback) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromAsyncCallback(ptr AsyncCallback_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AsyncCallback_PTR().Pointer()
	}
	return nil
}

func (n *AsyncCallback) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewAsyncCallbackFromPointer(ptr unsafe.Pointer) (n *AsyncCallback) {
	n = new(AsyncCallback)
	n.InitFromInternal(uintptr(ptr), "multimedia.AsyncCallback")
	return
}

func (ptr *AsyncCallback) DestroyAsyncCallback() {
}

type AudioCaptureProbeControl struct {
	QMediaAudioProbeControl
}

type AudioCaptureProbeControl_ITF interface {
	QMediaAudioProbeControl_ITF
	AudioCaptureProbeControl_PTR() *AudioCaptureProbeControl
}

func (ptr *AudioCaptureProbeControl) AudioCaptureProbeControl_PTR() *AudioCaptureProbeControl {
	return ptr
}

func (ptr *AudioCaptureProbeControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaAudioProbeControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AudioCaptureProbeControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaAudioProbeControl_PTR().SetPointer(p)
	}
}

func PointerFromAudioCaptureProbeControl(ptr AudioCaptureProbeControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AudioCaptureProbeControl_PTR().Pointer()
	}
	return nil
}

func (n *AudioCaptureProbeControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaAudioProbeControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AudioCaptureProbeControl) ClassNameInternalF() string {
	return n.QMediaAudioProbeControl_PTR().ClassNameInternalF()
}

func NewAudioCaptureProbeControlFromPointer(ptr unsafe.Pointer) (n *AudioCaptureProbeControl) {
	n = new(AudioCaptureProbeControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AudioCaptureProbeControl")
	return
}

func (ptr *AudioCaptureProbeControl) DestroyAudioCaptureProbeControl() {
}

type AudioCaptureService struct {
	QMediaService
}

type AudioCaptureService_ITF interface {
	QMediaService_ITF
	AudioCaptureService_PTR() *AudioCaptureService
}

func (ptr *AudioCaptureService) AudioCaptureService_PTR() *AudioCaptureService {
	return ptr
}

func (ptr *AudioCaptureService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *AudioCaptureService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromAudioCaptureService(ptr AudioCaptureService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AudioCaptureService_PTR().Pointer()
	}
	return nil
}

func (n *AudioCaptureService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AudioCaptureService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewAudioCaptureServiceFromPointer(ptr unsafe.Pointer) (n *AudioCaptureService) {
	n = new(AudioCaptureService)
	n.InitFromInternal(uintptr(ptr), "multimedia.AudioCaptureService")
	return
}

func (ptr *AudioCaptureService) DestroyAudioCaptureService() {
}

type AudioCaptureServicePlugin struct {
	QMediaServiceProviderPlugin
}

type AudioCaptureServicePlugin_ITF interface {
	QMediaServiceProviderPlugin_ITF
	AudioCaptureServicePlugin_PTR() *AudioCaptureServicePlugin
}

func (ptr *AudioCaptureServicePlugin) AudioCaptureServicePlugin_PTR() *AudioCaptureServicePlugin {
	return ptr
}

func (ptr *AudioCaptureServicePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceProviderPlugin_PTR().Pointer()
	}
	return nil
}

func (ptr *AudioCaptureServicePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaServiceProviderPlugin_PTR().SetPointer(p)
	}
}

func PointerFromAudioCaptureServicePlugin(ptr AudioCaptureServicePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AudioCaptureServicePlugin_PTR().Pointer()
	}
	return nil
}

func (n *AudioCaptureServicePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QMediaServiceProviderPlugin_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AudioCaptureServicePlugin) ClassNameInternalF() string {
	return n.QMediaServiceProviderPlugin_PTR().ClassNameInternalF()
}

func NewAudioCaptureServicePluginFromPointer(ptr unsafe.Pointer) (n *AudioCaptureServicePlugin) {
	n = new(AudioCaptureServicePlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.AudioCaptureServicePlugin")
	return
}

func (ptr *AudioCaptureServicePlugin) DestroyAudioCaptureServicePlugin() {
}

type AudioCaptureSession struct {
	core.QObject
}

type AudioCaptureSession_ITF interface {
	core.QObject_ITF
	AudioCaptureSession_PTR() *AudioCaptureSession
}

func (ptr *AudioCaptureSession) AudioCaptureSession_PTR() *AudioCaptureSession {
	return ptr
}

func (ptr *AudioCaptureSession) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *AudioCaptureSession) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromAudioCaptureSession(ptr AudioCaptureSession_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AudioCaptureSession_PTR().Pointer()
	}
	return nil
}

func (n *AudioCaptureSession) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AudioCaptureSession) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewAudioCaptureSessionFromPointer(ptr unsafe.Pointer) (n *AudioCaptureSession) {
	n = new(AudioCaptureSession)
	n.InitFromInternal(uintptr(ptr), "multimedia.AudioCaptureSession")
	return
}

func (ptr *AudioCaptureSession) DestroyAudioCaptureSession() {
}

type AudioContainerControl struct {
	QMediaContainerControl
}

type AudioContainerControl_ITF interface {
	QMediaContainerControl_ITF
	AudioContainerControl_PTR() *AudioContainerControl
}

func (ptr *AudioContainerControl) AudioContainerControl_PTR() *AudioContainerControl {
	return ptr
}

func (ptr *AudioContainerControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaContainerControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AudioContainerControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaContainerControl_PTR().SetPointer(p)
	}
}

func PointerFromAudioContainerControl(ptr AudioContainerControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AudioContainerControl_PTR().Pointer()
	}
	return nil
}

func (n *AudioContainerControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaContainerControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AudioContainerControl) ClassNameInternalF() string {
	return n.QMediaContainerControl_PTR().ClassNameInternalF()
}

func NewAudioContainerControlFromPointer(ptr unsafe.Pointer) (n *AudioContainerControl) {
	n = new(AudioContainerControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AudioContainerControl")
	return
}

func (ptr *AudioContainerControl) DestroyAudioContainerControl() {
}

type AudioEncoderControl struct {
	QAudioEncoderSettingsControl
}

type AudioEncoderControl_ITF interface {
	QAudioEncoderSettingsControl_ITF
	AudioEncoderControl_PTR() *AudioEncoderControl
}

func (ptr *AudioEncoderControl) AudioEncoderControl_PTR() *AudioEncoderControl {
	return ptr
}

func (ptr *AudioEncoderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AudioEncoderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioEncoderSettingsControl_PTR().SetPointer(p)
	}
}

func PointerFromAudioEncoderControl(ptr AudioEncoderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AudioEncoderControl_PTR().Pointer()
	}
	return nil
}

func (n *AudioEncoderControl) InitFromInternal(ptr uintptr, name string) {
	n.QAudioEncoderSettingsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AudioEncoderControl) ClassNameInternalF() string {
	return n.QAudioEncoderSettingsControl_PTR().ClassNameInternalF()
}

func NewAudioEncoderControlFromPointer(ptr unsafe.Pointer) (n *AudioEncoderControl) {
	n = new(AudioEncoderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AudioEncoderControl")
	return
}

func (ptr *AudioEncoderControl) DestroyAudioEncoderControl() {
}

type AudioInputSelector struct {
	QAudioInputSelectorControl
}

type AudioInputSelector_ITF interface {
	QAudioInputSelectorControl_ITF
	AudioInputSelector_PTR() *AudioInputSelector
}

func (ptr *AudioInputSelector) AudioInputSelector_PTR() *AudioInputSelector {
	return ptr
}

func (ptr *AudioInputSelector) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioInputSelectorControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AudioInputSelector) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioInputSelectorControl_PTR().SetPointer(p)
	}
}

func PointerFromAudioInputSelector(ptr AudioInputSelector_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AudioInputSelector_PTR().Pointer()
	}
	return nil
}

func (n *AudioInputSelector) InitFromInternal(ptr uintptr, name string) {
	n.QAudioInputSelectorControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AudioInputSelector) ClassNameInternalF() string {
	return n.QAudioInputSelectorControl_PTR().ClassNameInternalF()
}

func NewAudioInputSelectorFromPointer(ptr unsafe.Pointer) (n *AudioInputSelector) {
	n = new(AudioInputSelector)
	n.InitFromInternal(uintptr(ptr), "multimedia.AudioInputSelector")
	return
}

func (ptr *AudioInputSelector) DestroyAudioInputSelector() {
}

type AudioInterface struct {
	internal.Internal
}

type AudioInterface_ITF interface {
	AudioInterface_PTR() *AudioInterface
}

func (ptr *AudioInterface) AudioInterface_PTR() *AudioInterface {
	return ptr
}

func (ptr *AudioInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *AudioInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromAudioInterface(ptr AudioInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AudioInterface_PTR().Pointer()
	}
	return nil
}

func (n *AudioInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewAudioInterfaceFromPointer(ptr unsafe.Pointer) (n *AudioInterface) {
	n = new(AudioInterface)
	n.InitFromInternal(uintptr(ptr), "multimedia.AudioInterface")
	return
}

func (ptr *AudioInterface) DestroyAudioInterface() {
}

type AudioMediaRecorderControl struct {
	QMediaRecorderControl
}

type AudioMediaRecorderControl_ITF interface {
	QMediaRecorderControl_ITF
	AudioMediaRecorderControl_PTR() *AudioMediaRecorderControl
}

func (ptr *AudioMediaRecorderControl) AudioMediaRecorderControl_PTR() *AudioMediaRecorderControl {
	return ptr
}

func (ptr *AudioMediaRecorderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaRecorderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *AudioMediaRecorderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaRecorderControl_PTR().SetPointer(p)
	}
}

func PointerFromAudioMediaRecorderControl(ptr AudioMediaRecorderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AudioMediaRecorderControl_PTR().Pointer()
	}
	return nil
}

func (n *AudioMediaRecorderControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaRecorderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AudioMediaRecorderControl) ClassNameInternalF() string {
	return n.QMediaRecorderControl_PTR().ClassNameInternalF()
}

func NewAudioMediaRecorderControlFromPointer(ptr unsafe.Pointer) (n *AudioMediaRecorderControl) {
	n = new(AudioMediaRecorderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.AudioMediaRecorderControl")
	return
}

func (ptr *AudioMediaRecorderControl) DestroyAudioMediaRecorderControl() {
}

type AudioSampleGrabberCallback struct {
	SampleGrabberCallback
}

type AudioSampleGrabberCallback_ITF interface {
	SampleGrabberCallback_ITF
	AudioSampleGrabberCallback_PTR() *AudioSampleGrabberCallback
}

func (ptr *AudioSampleGrabberCallback) AudioSampleGrabberCallback_PTR() *AudioSampleGrabberCallback {
	return ptr
}

func (ptr *AudioSampleGrabberCallback) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.SampleGrabberCallback_PTR().Pointer()
	}
	return nil
}

func (ptr *AudioSampleGrabberCallback) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.SampleGrabberCallback_PTR().SetPointer(p)
	}
}

func PointerFromAudioSampleGrabberCallback(ptr AudioSampleGrabberCallback_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.AudioSampleGrabberCallback_PTR().Pointer()
	}
	return nil
}

func (n *AudioSampleGrabberCallback) InitFromInternal(ptr uintptr, name string) {
	n.SampleGrabberCallback_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *AudioSampleGrabberCallback) ClassNameInternalF() string {
	return n.SampleGrabberCallback_PTR().ClassNameInternalF()
}

func NewAudioSampleGrabberCallbackFromPointer(ptr unsafe.Pointer) (n *AudioSampleGrabberCallback) {
	n = new(AudioSampleGrabberCallback)
	n.InitFromInternal(uintptr(ptr), "multimedia.AudioSampleGrabberCallback")
	return
}

func (ptr *AudioSampleGrabberCallback) DestroyAudioSampleGrabberCallback() {
}

type BbCameraAudioEncoderSettingsControl struct {
	QAudioEncoderSettingsControl
}

type BbCameraAudioEncoderSettingsControl_ITF interface {
	QAudioEncoderSettingsControl_ITF
	BbCameraAudioEncoderSettingsControl_PTR() *BbCameraAudioEncoderSettingsControl
}

func (ptr *BbCameraAudioEncoderSettingsControl) BbCameraAudioEncoderSettingsControl_PTR() *BbCameraAudioEncoderSettingsControl {
	return ptr
}

func (ptr *BbCameraAudioEncoderSettingsControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraAudioEncoderSettingsControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioEncoderSettingsControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraAudioEncoderSettingsControl(ptr BbCameraAudioEncoderSettingsControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraAudioEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraAudioEncoderSettingsControl) InitFromInternal(ptr uintptr, name string) {
	n.QAudioEncoderSettingsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraAudioEncoderSettingsControl) ClassNameInternalF() string {
	return n.QAudioEncoderSettingsControl_PTR().ClassNameInternalF()
}

func NewBbCameraAudioEncoderSettingsControlFromPointer(ptr unsafe.Pointer) (n *BbCameraAudioEncoderSettingsControl) {
	n = new(BbCameraAudioEncoderSettingsControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraAudioEncoderSettingsControl")
	return
}

func (ptr *BbCameraAudioEncoderSettingsControl) DestroyBbCameraAudioEncoderSettingsControl() {
}

type BbCameraCaptureBufferFormatControl struct {
	QCameraCaptureBufferFormatControl
}

type BbCameraCaptureBufferFormatControl_ITF interface {
	QCameraCaptureBufferFormatControl_ITF
	BbCameraCaptureBufferFormatControl_PTR() *BbCameraCaptureBufferFormatControl
}

func (ptr *BbCameraCaptureBufferFormatControl) BbCameraCaptureBufferFormatControl_PTR() *BbCameraCaptureBufferFormatControl {
	return ptr
}

func (ptr *BbCameraCaptureBufferFormatControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraCaptureBufferFormatControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraCaptureBufferFormatControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraCaptureBufferFormatControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraCaptureBufferFormatControl(ptr BbCameraCaptureBufferFormatControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraCaptureBufferFormatControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraCaptureBufferFormatControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraCaptureBufferFormatControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraCaptureBufferFormatControl) ClassNameInternalF() string {
	return n.QCameraCaptureBufferFormatControl_PTR().ClassNameInternalF()
}

func NewBbCameraCaptureBufferFormatControlFromPointer(ptr unsafe.Pointer) (n *BbCameraCaptureBufferFormatControl) {
	n = new(BbCameraCaptureBufferFormatControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraCaptureBufferFormatControl")
	return
}

func (ptr *BbCameraCaptureBufferFormatControl) DestroyBbCameraCaptureBufferFormatControl() {
}

type BbCameraCaptureDestinationControl struct {
	QCameraCaptureDestinationControl
}

type BbCameraCaptureDestinationControl_ITF interface {
	QCameraCaptureDestinationControl_ITF
	BbCameraCaptureDestinationControl_PTR() *BbCameraCaptureDestinationControl
}

func (ptr *BbCameraCaptureDestinationControl) BbCameraCaptureDestinationControl_PTR() *BbCameraCaptureDestinationControl {
	return ptr
}

func (ptr *BbCameraCaptureDestinationControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraCaptureDestinationControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraCaptureDestinationControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraCaptureDestinationControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraCaptureDestinationControl(ptr BbCameraCaptureDestinationControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraCaptureDestinationControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraCaptureDestinationControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraCaptureDestinationControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraCaptureDestinationControl) ClassNameInternalF() string {
	return n.QCameraCaptureDestinationControl_PTR().ClassNameInternalF()
}

func NewBbCameraCaptureDestinationControlFromPointer(ptr unsafe.Pointer) (n *BbCameraCaptureDestinationControl) {
	n = new(BbCameraCaptureDestinationControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraCaptureDestinationControl")
	return
}

func (ptr *BbCameraCaptureDestinationControl) DestroyBbCameraCaptureDestinationControl() {
}

type BbCameraControl struct {
	QCameraControl
}

type BbCameraControl_ITF interface {
	QCameraControl_ITF
	BbCameraControl_PTR() *BbCameraControl
}

func (ptr *BbCameraControl) BbCameraControl_PTR() *BbCameraControl {
	return ptr
}

func (ptr *BbCameraControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraControl(ptr BbCameraControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraControl) ClassNameInternalF() string {
	return n.QCameraControl_PTR().ClassNameInternalF()
}

func NewBbCameraControlFromPointer(ptr unsafe.Pointer) (n *BbCameraControl) {
	n = new(BbCameraControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraControl")
	return
}

func (ptr *BbCameraControl) DestroyBbCameraControl() {
}

type BbCameraExposureControl struct {
	QCameraExposureControl
}

type BbCameraExposureControl_ITF interface {
	QCameraExposureControl_ITF
	BbCameraExposureControl_PTR() *BbCameraExposureControl
}

func (ptr *BbCameraExposureControl) BbCameraExposureControl_PTR() *BbCameraExposureControl {
	return ptr
}

func (ptr *BbCameraExposureControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraExposureControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraExposureControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraExposureControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraExposureControl(ptr BbCameraExposureControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraExposureControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraExposureControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraExposureControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraExposureControl) ClassNameInternalF() string {
	return n.QCameraExposureControl_PTR().ClassNameInternalF()
}

func NewBbCameraExposureControlFromPointer(ptr unsafe.Pointer) (n *BbCameraExposureControl) {
	n = new(BbCameraExposureControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraExposureControl")
	return
}

func (ptr *BbCameraExposureControl) DestroyBbCameraExposureControl() {
}

type BbCameraFlashControl struct {
	QCameraFlashControl
}

type BbCameraFlashControl_ITF interface {
	QCameraFlashControl_ITF
	BbCameraFlashControl_PTR() *BbCameraFlashControl
}

func (ptr *BbCameraFlashControl) BbCameraFlashControl_PTR() *BbCameraFlashControl {
	return ptr
}

func (ptr *BbCameraFlashControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFlashControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraFlashControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraFlashControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraFlashControl(ptr BbCameraFlashControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraFlashControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraFlashControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraFlashControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraFlashControl) ClassNameInternalF() string {
	return n.QCameraFlashControl_PTR().ClassNameInternalF()
}

func NewBbCameraFlashControlFromPointer(ptr unsafe.Pointer) (n *BbCameraFlashControl) {
	n = new(BbCameraFlashControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraFlashControl")
	return
}

func (ptr *BbCameraFlashControl) DestroyBbCameraFlashControl() {
}

type BbCameraFocusControl struct {
	QCameraFocusControl
}

type BbCameraFocusControl_ITF interface {
	QCameraFocusControl_ITF
	BbCameraFocusControl_PTR() *BbCameraFocusControl
}

func (ptr *BbCameraFocusControl) BbCameraFocusControl_PTR() *BbCameraFocusControl {
	return ptr
}

func (ptr *BbCameraFocusControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFocusControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraFocusControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraFocusControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraFocusControl(ptr BbCameraFocusControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraFocusControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraFocusControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraFocusControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraFocusControl) ClassNameInternalF() string {
	return n.QCameraFocusControl_PTR().ClassNameInternalF()
}

func NewBbCameraFocusControlFromPointer(ptr unsafe.Pointer) (n *BbCameraFocusControl) {
	n = new(BbCameraFocusControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraFocusControl")
	return
}

func (ptr *BbCameraFocusControl) DestroyBbCameraFocusControl() {
}

type BbCameraImageCaptureControl struct {
	QCameraImageCaptureControl
}

type BbCameraImageCaptureControl_ITF interface {
	QCameraImageCaptureControl_ITF
	BbCameraImageCaptureControl_PTR() *BbCameraImageCaptureControl
}

func (ptr *BbCameraImageCaptureControl) BbCameraImageCaptureControl_PTR() *BbCameraImageCaptureControl {
	return ptr
}

func (ptr *BbCameraImageCaptureControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageCaptureControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraImageCaptureControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraImageCaptureControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraImageCaptureControl(ptr BbCameraImageCaptureControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraImageCaptureControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraImageCaptureControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraImageCaptureControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraImageCaptureControl) ClassNameInternalF() string {
	return n.QCameraImageCaptureControl_PTR().ClassNameInternalF()
}

func NewBbCameraImageCaptureControlFromPointer(ptr unsafe.Pointer) (n *BbCameraImageCaptureControl) {
	n = new(BbCameraImageCaptureControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraImageCaptureControl")
	return
}

func (ptr *BbCameraImageCaptureControl) DestroyBbCameraImageCaptureControl() {
}

type BbCameraImageProcessingControl struct {
	QCameraImageProcessingControl
}

type BbCameraImageProcessingControl_ITF interface {
	QCameraImageProcessingControl_ITF
	BbCameraImageProcessingControl_PTR() *BbCameraImageProcessingControl
}

func (ptr *BbCameraImageProcessingControl) BbCameraImageProcessingControl_PTR() *BbCameraImageProcessingControl {
	return ptr
}

func (ptr *BbCameraImageProcessingControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageProcessingControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraImageProcessingControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraImageProcessingControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraImageProcessingControl(ptr BbCameraImageProcessingControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraImageProcessingControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraImageProcessingControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraImageProcessingControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraImageProcessingControl) ClassNameInternalF() string {
	return n.QCameraImageProcessingControl_PTR().ClassNameInternalF()
}

func NewBbCameraImageProcessingControlFromPointer(ptr unsafe.Pointer) (n *BbCameraImageProcessingControl) {
	n = new(BbCameraImageProcessingControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraImageProcessingControl")
	return
}

func (ptr *BbCameraImageProcessingControl) DestroyBbCameraImageProcessingControl() {
}

type BbCameraInfoControl struct {
	QCameraInfoControl
}

type BbCameraInfoControl_ITF interface {
	QCameraInfoControl_ITF
	BbCameraInfoControl_PTR() *BbCameraInfoControl
}

func (ptr *BbCameraInfoControl) BbCameraInfoControl_PTR() *BbCameraInfoControl {
	return ptr
}

func (ptr *BbCameraInfoControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraInfoControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraInfoControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraInfoControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraInfoControl(ptr BbCameraInfoControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraInfoControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraInfoControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraInfoControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraInfoControl) ClassNameInternalF() string {
	return n.QCameraInfoControl_PTR().ClassNameInternalF()
}

func NewBbCameraInfoControlFromPointer(ptr unsafe.Pointer) (n *BbCameraInfoControl) {
	n = new(BbCameraInfoControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraInfoControl")
	return
}

func (ptr *BbCameraInfoControl) DestroyBbCameraInfoControl() {
}

type BbCameraLocksControl struct {
	QCameraLocksControl
}

type BbCameraLocksControl_ITF interface {
	QCameraLocksControl_ITF
	BbCameraLocksControl_PTR() *BbCameraLocksControl
}

func (ptr *BbCameraLocksControl) BbCameraLocksControl_PTR() *BbCameraLocksControl {
	return ptr
}

func (ptr *BbCameraLocksControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraLocksControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraLocksControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraLocksControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraLocksControl(ptr BbCameraLocksControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraLocksControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraLocksControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraLocksControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraLocksControl) ClassNameInternalF() string {
	return n.QCameraLocksControl_PTR().ClassNameInternalF()
}

func NewBbCameraLocksControlFromPointer(ptr unsafe.Pointer) (n *BbCameraLocksControl) {
	n = new(BbCameraLocksControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraLocksControl")
	return
}

func (ptr *BbCameraLocksControl) DestroyBbCameraLocksControl() {
}

type BbCameraMediaRecorderControl struct {
	QMediaRecorderControl
}

type BbCameraMediaRecorderControl_ITF interface {
	QMediaRecorderControl_ITF
	BbCameraMediaRecorderControl_PTR() *BbCameraMediaRecorderControl
}

func (ptr *BbCameraMediaRecorderControl) BbCameraMediaRecorderControl_PTR() *BbCameraMediaRecorderControl {
	return ptr
}

func (ptr *BbCameraMediaRecorderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaRecorderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraMediaRecorderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaRecorderControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraMediaRecorderControl(ptr BbCameraMediaRecorderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraMediaRecorderControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraMediaRecorderControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaRecorderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraMediaRecorderControl) ClassNameInternalF() string {
	return n.QMediaRecorderControl_PTR().ClassNameInternalF()
}

func NewBbCameraMediaRecorderControlFromPointer(ptr unsafe.Pointer) (n *BbCameraMediaRecorderControl) {
	n = new(BbCameraMediaRecorderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraMediaRecorderControl")
	return
}

func (ptr *BbCameraMediaRecorderControl) DestroyBbCameraMediaRecorderControl() {
}

type BbCameraOrientationHandler struct {
	core.QAbstractNativeEventFilter
	core.QObject
}

type BbCameraOrientationHandler_ITF interface {
	core.QAbstractNativeEventFilter_ITF
	core.QObject_ITF
	BbCameraOrientationHandler_PTR() *BbCameraOrientationHandler
}

func (ptr *BbCameraOrientationHandler) BbCameraOrientationHandler_PTR() *BbCameraOrientationHandler {
	return ptr
}

func (ptr *BbCameraOrientationHandler) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractNativeEventFilter_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraOrientationHandler) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractNativeEventFilter_PTR().SetPointer(p)
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraOrientationHandler(ptr BbCameraOrientationHandler_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraOrientationHandler_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraOrientationHandler) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractNativeEventFilter_PTR().InitFromInternal(uintptr(ptr), name)
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraOrientationHandler) ClassNameInternalF() string {
	return n.QAbstractNativeEventFilter_PTR().ClassNameInternalF()
}

func NewBbCameraOrientationHandlerFromPointer(ptr unsafe.Pointer) (n *BbCameraOrientationHandler) {
	n = new(BbCameraOrientationHandler)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraOrientationHandler")
	return
}

func (ptr *BbCameraOrientationHandler) DestroyBbCameraOrientationHandler() {
}

type BbCameraService struct {
	QMediaService
}

type BbCameraService_ITF interface {
	QMediaService_ITF
	BbCameraService_PTR() *BbCameraService
}

func (ptr *BbCameraService) BbCameraService_PTR() *BbCameraService {
	return ptr
}

func (ptr *BbCameraService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraService(ptr BbCameraService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraService_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewBbCameraServiceFromPointer(ptr unsafe.Pointer) (n *BbCameraService) {
	n = new(BbCameraService)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraService")
	return
}

func (ptr *BbCameraService) DestroyBbCameraService() {
}

type BbCameraSession struct {
	core.QObject
}

type BbCameraSession_ITF interface {
	core.QObject_ITF
	BbCameraSession_PTR() *BbCameraSession
}

func (ptr *BbCameraSession) BbCameraSession_PTR() *BbCameraSession {
	return ptr
}

func (ptr *BbCameraSession) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraSession) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraSession(ptr BbCameraSession_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraSession_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraSession) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraSession) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewBbCameraSessionFromPointer(ptr unsafe.Pointer) (n *BbCameraSession) {
	n = new(BbCameraSession)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraSession")
	return
}

func (ptr *BbCameraSession) DestroyBbCameraSession() {
}

type BbCameraVideoEncoderSettingsControl struct {
	QVideoEncoderSettingsControl
}

type BbCameraVideoEncoderSettingsControl_ITF interface {
	QVideoEncoderSettingsControl_ITF
	BbCameraVideoEncoderSettingsControl_PTR() *BbCameraVideoEncoderSettingsControl
}

func (ptr *BbCameraVideoEncoderSettingsControl) BbCameraVideoEncoderSettingsControl_PTR() *BbCameraVideoEncoderSettingsControl {
	return ptr
}

func (ptr *BbCameraVideoEncoderSettingsControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraVideoEncoderSettingsControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoEncoderSettingsControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraVideoEncoderSettingsControl(ptr BbCameraVideoEncoderSettingsControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraVideoEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraVideoEncoderSettingsControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoEncoderSettingsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraVideoEncoderSettingsControl) ClassNameInternalF() string {
	return n.QVideoEncoderSettingsControl_PTR().ClassNameInternalF()
}

func NewBbCameraVideoEncoderSettingsControlFromPointer(ptr unsafe.Pointer) (n *BbCameraVideoEncoderSettingsControl) {
	n = new(BbCameraVideoEncoderSettingsControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraVideoEncoderSettingsControl")
	return
}

func (ptr *BbCameraVideoEncoderSettingsControl) DestroyBbCameraVideoEncoderSettingsControl() {
}

type BbCameraViewfinderSettingsControl struct {
	QCameraViewfinderSettingsControl
}

type BbCameraViewfinderSettingsControl_ITF interface {
	QCameraViewfinderSettingsControl_ITF
	BbCameraViewfinderSettingsControl_PTR() *BbCameraViewfinderSettingsControl
}

func (ptr *BbCameraViewfinderSettingsControl) BbCameraViewfinderSettingsControl_PTR() *BbCameraViewfinderSettingsControl {
	return ptr
}

func (ptr *BbCameraViewfinderSettingsControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraViewfinderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraViewfinderSettingsControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraViewfinderSettingsControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraViewfinderSettingsControl(ptr BbCameraViewfinderSettingsControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraViewfinderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraViewfinderSettingsControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraViewfinderSettingsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraViewfinderSettingsControl) ClassNameInternalF() string {
	return n.QCameraViewfinderSettingsControl_PTR().ClassNameInternalF()
}

func NewBbCameraViewfinderSettingsControlFromPointer(ptr unsafe.Pointer) (n *BbCameraViewfinderSettingsControl) {
	n = new(BbCameraViewfinderSettingsControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraViewfinderSettingsControl")
	return
}

func (ptr *BbCameraViewfinderSettingsControl) DestroyBbCameraViewfinderSettingsControl() {
}

type BbCameraZoomControl struct {
	QCameraZoomControl
}

type BbCameraZoomControl_ITF interface {
	QCameraZoomControl_ITF
	BbCameraZoomControl_PTR() *BbCameraZoomControl
}

func (ptr *BbCameraZoomControl) BbCameraZoomControl_PTR() *BbCameraZoomControl {
	return ptr
}

func (ptr *BbCameraZoomControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraZoomControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbCameraZoomControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraZoomControl_PTR().SetPointer(p)
	}
}

func PointerFromBbCameraZoomControl(ptr BbCameraZoomControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbCameraZoomControl_PTR().Pointer()
	}
	return nil
}

func (n *BbCameraZoomControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraZoomControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbCameraZoomControl) ClassNameInternalF() string {
	return n.QCameraZoomControl_PTR().ClassNameInternalF()
}

func NewBbCameraZoomControlFromPointer(ptr unsafe.Pointer) (n *BbCameraZoomControl) {
	n = new(BbCameraZoomControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbCameraZoomControl")
	return
}

func (ptr *BbCameraZoomControl) DestroyBbCameraZoomControl() {
}

type BbImageEncoderControl struct {
	QImageEncoderControl
}

type BbImageEncoderControl_ITF interface {
	QImageEncoderControl_ITF
	BbImageEncoderControl_PTR() *BbImageEncoderControl
}

func (ptr *BbImageEncoderControl) BbImageEncoderControl_PTR() *BbImageEncoderControl {
	return ptr
}

func (ptr *BbImageEncoderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QImageEncoderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbImageEncoderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QImageEncoderControl_PTR().SetPointer(p)
	}
}

func PointerFromBbImageEncoderControl(ptr BbImageEncoderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbImageEncoderControl_PTR().Pointer()
	}
	return nil
}

func (n *BbImageEncoderControl) InitFromInternal(ptr uintptr, name string) {
	n.QImageEncoderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbImageEncoderControl) ClassNameInternalF() string {
	return n.QImageEncoderControl_PTR().ClassNameInternalF()
}

func NewBbImageEncoderControlFromPointer(ptr unsafe.Pointer) (n *BbImageEncoderControl) {
	n = new(BbImageEncoderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbImageEncoderControl")
	return
}

func (ptr *BbImageEncoderControl) DestroyBbImageEncoderControl() {
}

type BbMediaStorageLocation struct {
	internal.Internal
}

type BbMediaStorageLocation_ITF interface {
	BbMediaStorageLocation_PTR() *BbMediaStorageLocation
}

func (ptr *BbMediaStorageLocation) BbMediaStorageLocation_PTR() *BbMediaStorageLocation {
	return ptr
}

func (ptr *BbMediaStorageLocation) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *BbMediaStorageLocation) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromBbMediaStorageLocation(ptr BbMediaStorageLocation_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbMediaStorageLocation_PTR().Pointer()
	}
	return nil
}

func (n *BbMediaStorageLocation) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewBbMediaStorageLocationFromPointer(ptr unsafe.Pointer) (n *BbMediaStorageLocation) {
	n = new(BbMediaStorageLocation)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbMediaStorageLocation")
	return
}

func (ptr *BbMediaStorageLocation) DestroyBbMediaStorageLocation() {
}

type BbVideoDeviceSelectorControl struct {
	QVideoDeviceSelectorControl
}

type BbVideoDeviceSelectorControl_ITF interface {
	QVideoDeviceSelectorControl_ITF
	BbVideoDeviceSelectorControl_PTR() *BbVideoDeviceSelectorControl
}

func (ptr *BbVideoDeviceSelectorControl) BbVideoDeviceSelectorControl_PTR() *BbVideoDeviceSelectorControl {
	return ptr
}

func (ptr *BbVideoDeviceSelectorControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoDeviceSelectorControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbVideoDeviceSelectorControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoDeviceSelectorControl_PTR().SetPointer(p)
	}
}

func PointerFromBbVideoDeviceSelectorControl(ptr BbVideoDeviceSelectorControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbVideoDeviceSelectorControl_PTR().Pointer()
	}
	return nil
}

func (n *BbVideoDeviceSelectorControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoDeviceSelectorControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbVideoDeviceSelectorControl) ClassNameInternalF() string {
	return n.QVideoDeviceSelectorControl_PTR().ClassNameInternalF()
}

func NewBbVideoDeviceSelectorControlFromPointer(ptr unsafe.Pointer) (n *BbVideoDeviceSelectorControl) {
	n = new(BbVideoDeviceSelectorControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbVideoDeviceSelectorControl")
	return
}

func (ptr *BbVideoDeviceSelectorControl) DestroyBbVideoDeviceSelectorControl() {
}

type BbVideoRendererControl struct {
	QVideoRendererControl
}

type BbVideoRendererControl_ITF interface {
	QVideoRendererControl_ITF
	BbVideoRendererControl_PTR() *BbVideoRendererControl
}

func (ptr *BbVideoRendererControl) BbVideoRendererControl_PTR() *BbVideoRendererControl {
	return ptr
}

func (ptr *BbVideoRendererControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (ptr *BbVideoRendererControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoRendererControl_PTR().SetPointer(p)
	}
}

func PointerFromBbVideoRendererControl(ptr BbVideoRendererControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.BbVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (n *BbVideoRendererControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoRendererControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *BbVideoRendererControl) ClassNameInternalF() string {
	return n.QVideoRendererControl_PTR().ClassNameInternalF()
}

func NewBbVideoRendererControlFromPointer(ptr unsafe.Pointer) (n *BbVideoRendererControl) {
	n = new(BbVideoRendererControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.BbVideoRendererControl")
	return
}

func (ptr *BbVideoRendererControl) DestroyBbVideoRendererControl() {
}

type CameraBinAudioEncoder struct {
	QAudioEncoderSettingsControl
}

type CameraBinAudioEncoder_ITF interface {
	QAudioEncoderSettingsControl_ITF
	CameraBinAudioEncoder_PTR() *CameraBinAudioEncoder
}

func (ptr *CameraBinAudioEncoder) CameraBinAudioEncoder_PTR() *CameraBinAudioEncoder {
	return ptr
}

func (ptr *CameraBinAudioEncoder) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinAudioEncoder) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioEncoderSettingsControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinAudioEncoder(ptr CameraBinAudioEncoder_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinAudioEncoder_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinAudioEncoder) InitFromInternal(ptr uintptr, name string) {
	n.QAudioEncoderSettingsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinAudioEncoder) ClassNameInternalF() string {
	return n.QAudioEncoderSettingsControl_PTR().ClassNameInternalF()
}

func NewCameraBinAudioEncoderFromPointer(ptr unsafe.Pointer) (n *CameraBinAudioEncoder) {
	n = new(CameraBinAudioEncoder)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinAudioEncoder")
	return
}

func (ptr *CameraBinAudioEncoder) DestroyCameraBinAudioEncoder() {
}

type CameraBinCaptureBufferFormat struct {
	QCameraCaptureBufferFormatControl
}

type CameraBinCaptureBufferFormat_ITF interface {
	QCameraCaptureBufferFormatControl_ITF
	CameraBinCaptureBufferFormat_PTR() *CameraBinCaptureBufferFormat
}

func (ptr *CameraBinCaptureBufferFormat) CameraBinCaptureBufferFormat_PTR() *CameraBinCaptureBufferFormat {
	return ptr
}

func (ptr *CameraBinCaptureBufferFormat) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraCaptureBufferFormatControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinCaptureBufferFormat) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraCaptureBufferFormatControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinCaptureBufferFormat(ptr CameraBinCaptureBufferFormat_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinCaptureBufferFormat_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinCaptureBufferFormat) InitFromInternal(ptr uintptr, name string) {
	n.QCameraCaptureBufferFormatControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinCaptureBufferFormat) ClassNameInternalF() string {
	return n.QCameraCaptureBufferFormatControl_PTR().ClassNameInternalF()
}

func NewCameraBinCaptureBufferFormatFromPointer(ptr unsafe.Pointer) (n *CameraBinCaptureBufferFormat) {
	n = new(CameraBinCaptureBufferFormat)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinCaptureBufferFormat")
	return
}

func (ptr *CameraBinCaptureBufferFormat) DestroyCameraBinCaptureBufferFormat() {
}

type CameraBinCaptureDestination struct {
	QCameraCaptureDestinationControl
}

type CameraBinCaptureDestination_ITF interface {
	QCameraCaptureDestinationControl_ITF
	CameraBinCaptureDestination_PTR() *CameraBinCaptureDestination
}

func (ptr *CameraBinCaptureDestination) CameraBinCaptureDestination_PTR() *CameraBinCaptureDestination {
	return ptr
}

func (ptr *CameraBinCaptureDestination) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraCaptureDestinationControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinCaptureDestination) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraCaptureDestinationControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinCaptureDestination(ptr CameraBinCaptureDestination_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinCaptureDestination_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinCaptureDestination) InitFromInternal(ptr uintptr, name string) {
	n.QCameraCaptureDestinationControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinCaptureDestination) ClassNameInternalF() string {
	return n.QCameraCaptureDestinationControl_PTR().ClassNameInternalF()
}

func NewCameraBinCaptureDestinationFromPointer(ptr unsafe.Pointer) (n *CameraBinCaptureDestination) {
	n = new(CameraBinCaptureDestination)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinCaptureDestination")
	return
}

func (ptr *CameraBinCaptureDestination) DestroyCameraBinCaptureDestination() {
}

type CameraBinContainer struct {
	QMediaContainerControl
}

type CameraBinContainer_ITF interface {
	QMediaContainerControl_ITF
	CameraBinContainer_PTR() *CameraBinContainer
}

func (ptr *CameraBinContainer) CameraBinContainer_PTR() *CameraBinContainer {
	return ptr
}

func (ptr *CameraBinContainer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaContainerControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinContainer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaContainerControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinContainer(ptr CameraBinContainer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinContainer_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinContainer) InitFromInternal(ptr uintptr, name string) {
	n.QMediaContainerControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinContainer) ClassNameInternalF() string {
	return n.QMediaContainerControl_PTR().ClassNameInternalF()
}

func NewCameraBinContainerFromPointer(ptr unsafe.Pointer) (n *CameraBinContainer) {
	n = new(CameraBinContainer)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinContainer")
	return
}

func (ptr *CameraBinContainer) DestroyCameraBinContainer() {
}

type CameraBinControl struct {
	QCameraControl
}

type CameraBinControl_ITF interface {
	QCameraControl_ITF
	CameraBinControl_PTR() *CameraBinControl
}

func (ptr *CameraBinControl) CameraBinControl_PTR() *CameraBinControl {
	return ptr
}

func (ptr *CameraBinControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinControl(ptr CameraBinControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinControl_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinControl) ClassNameInternalF() string {
	return n.QCameraControl_PTR().ClassNameInternalF()
}

func NewCameraBinControlFromPointer(ptr unsafe.Pointer) (n *CameraBinControl) {
	n = new(CameraBinControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinControl")
	return
}

func (ptr *CameraBinControl) DestroyCameraBinControl() {
}

type CameraBinExposure struct {
	QCameraExposureControl
}

type CameraBinExposure_ITF interface {
	QCameraExposureControl_ITF
	CameraBinExposure_PTR() *CameraBinExposure
}

func (ptr *CameraBinExposure) CameraBinExposure_PTR() *CameraBinExposure {
	return ptr
}

func (ptr *CameraBinExposure) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraExposureControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinExposure) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraExposureControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinExposure(ptr CameraBinExposure_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinExposure_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinExposure) InitFromInternal(ptr uintptr, name string) {
	n.QCameraExposureControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinExposure) ClassNameInternalF() string {
	return n.QCameraExposureControl_PTR().ClassNameInternalF()
}

func NewCameraBinExposureFromPointer(ptr unsafe.Pointer) (n *CameraBinExposure) {
	n = new(CameraBinExposure)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinExposure")
	return
}

func (ptr *CameraBinExposure) DestroyCameraBinExposure() {
}

type CameraBinFlash struct {
	QCameraFlashControl
}

type CameraBinFlash_ITF interface {
	QCameraFlashControl_ITF
	CameraBinFlash_PTR() *CameraBinFlash
}

func (ptr *CameraBinFlash) CameraBinFlash_PTR() *CameraBinFlash {
	return ptr
}

func (ptr *CameraBinFlash) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFlashControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinFlash) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraFlashControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinFlash(ptr CameraBinFlash_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinFlash_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinFlash) InitFromInternal(ptr uintptr, name string) {
	n.QCameraFlashControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinFlash) ClassNameInternalF() string {
	return n.QCameraFlashControl_PTR().ClassNameInternalF()
}

func NewCameraBinFlashFromPointer(ptr unsafe.Pointer) (n *CameraBinFlash) {
	n = new(CameraBinFlash)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinFlash")
	return
}

func (ptr *CameraBinFlash) DestroyCameraBinFlash() {
}

type CameraBinFocus struct {
	QCameraFocusControl
}

type CameraBinFocus_ITF interface {
	QCameraFocusControl_ITF
	CameraBinFocus_PTR() *CameraBinFocus
}

func (ptr *CameraBinFocus) CameraBinFocus_PTR() *CameraBinFocus {
	return ptr
}

func (ptr *CameraBinFocus) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFocusControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinFocus) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraFocusControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinFocus(ptr CameraBinFocus_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinFocus_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinFocus) InitFromInternal(ptr uintptr, name string) {
	n.QCameraFocusControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinFocus) ClassNameInternalF() string {
	return n.QCameraFocusControl_PTR().ClassNameInternalF()
}

func NewCameraBinFocusFromPointer(ptr unsafe.Pointer) (n *CameraBinFocus) {
	n = new(CameraBinFocus)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinFocus")
	return
}

func (ptr *CameraBinFocus) DestroyCameraBinFocus() {
}

type CameraBinImageCapture struct {
	QCameraImageCaptureControl
}

type CameraBinImageCapture_ITF interface {
	QCameraImageCaptureControl_ITF
	CameraBinImageCapture_PTR() *CameraBinImageCapture
}

func (ptr *CameraBinImageCapture) CameraBinImageCapture_PTR() *CameraBinImageCapture {
	return ptr
}

func (ptr *CameraBinImageCapture) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageCaptureControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinImageCapture) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraImageCaptureControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinImageCapture(ptr CameraBinImageCapture_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinImageCapture_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinImageCapture) InitFromInternal(ptr uintptr, name string) {
	n.QCameraImageCaptureControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinImageCapture) ClassNameInternalF() string {
	return n.QCameraImageCaptureControl_PTR().ClassNameInternalF()
}

func NewCameraBinImageCaptureFromPointer(ptr unsafe.Pointer) (n *CameraBinImageCapture) {
	n = new(CameraBinImageCapture)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinImageCapture")
	return
}

func (ptr *CameraBinImageCapture) DestroyCameraBinImageCapture() {
}

type CameraBinImageEncoder struct {
	QImageEncoderControl
}

type CameraBinImageEncoder_ITF interface {
	QImageEncoderControl_ITF
	CameraBinImageEncoder_PTR() *CameraBinImageEncoder
}

func (ptr *CameraBinImageEncoder) CameraBinImageEncoder_PTR() *CameraBinImageEncoder {
	return ptr
}

func (ptr *CameraBinImageEncoder) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QImageEncoderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinImageEncoder) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QImageEncoderControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinImageEncoder(ptr CameraBinImageEncoder_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinImageEncoder_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinImageEncoder) InitFromInternal(ptr uintptr, name string) {
	n.QImageEncoderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinImageEncoder) ClassNameInternalF() string {
	return n.QImageEncoderControl_PTR().ClassNameInternalF()
}

func NewCameraBinImageEncoderFromPointer(ptr unsafe.Pointer) (n *CameraBinImageEncoder) {
	n = new(CameraBinImageEncoder)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinImageEncoder")
	return
}

func (ptr *CameraBinImageEncoder) DestroyCameraBinImageEncoder() {
}

type CameraBinImageProcessing struct {
	QCameraImageProcessingControl
}

type CameraBinImageProcessing_ITF interface {
	QCameraImageProcessingControl_ITF
	CameraBinImageProcessing_PTR() *CameraBinImageProcessing
}

func (ptr *CameraBinImageProcessing) CameraBinImageProcessing_PTR() *CameraBinImageProcessing {
	return ptr
}

func (ptr *CameraBinImageProcessing) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageProcessingControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinImageProcessing) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraImageProcessingControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinImageProcessing(ptr CameraBinImageProcessing_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinImageProcessing_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinImageProcessing) InitFromInternal(ptr uintptr, name string) {
	n.QCameraImageProcessingControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinImageProcessing) ClassNameInternalF() string {
	return n.QCameraImageProcessingControl_PTR().ClassNameInternalF()
}

func NewCameraBinImageProcessingFromPointer(ptr unsafe.Pointer) (n *CameraBinImageProcessing) {
	n = new(CameraBinImageProcessing)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinImageProcessing")
	return
}

func (ptr *CameraBinImageProcessing) DestroyCameraBinImageProcessing() {
}

type CameraBinInfoControl struct {
	QCameraInfoControl
}

type CameraBinInfoControl_ITF interface {
	QCameraInfoControl_ITF
	CameraBinInfoControl_PTR() *CameraBinInfoControl
}

func (ptr *CameraBinInfoControl) CameraBinInfoControl_PTR() *CameraBinInfoControl {
	return ptr
}

func (ptr *CameraBinInfoControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraInfoControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinInfoControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraInfoControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinInfoControl(ptr CameraBinInfoControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinInfoControl_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinInfoControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraInfoControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinInfoControl) ClassNameInternalF() string {
	return n.QCameraInfoControl_PTR().ClassNameInternalF()
}

func NewCameraBinInfoControlFromPointer(ptr unsafe.Pointer) (n *CameraBinInfoControl) {
	n = new(CameraBinInfoControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinInfoControl")
	return
}

func (ptr *CameraBinInfoControl) DestroyCameraBinInfoControl() {
}

type CameraBinLocks struct {
	QCameraLocksControl
}

type CameraBinLocks_ITF interface {
	QCameraLocksControl_ITF
	CameraBinLocks_PTR() *CameraBinLocks
}

func (ptr *CameraBinLocks) CameraBinLocks_PTR() *CameraBinLocks {
	return ptr
}

func (ptr *CameraBinLocks) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraLocksControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinLocks) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraLocksControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinLocks(ptr CameraBinLocks_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinLocks_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinLocks) InitFromInternal(ptr uintptr, name string) {
	n.QCameraLocksControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinLocks) ClassNameInternalF() string {
	return n.QCameraLocksControl_PTR().ClassNameInternalF()
}

func NewCameraBinLocksFromPointer(ptr unsafe.Pointer) (n *CameraBinLocks) {
	n = new(CameraBinLocks)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinLocks")
	return
}

func (ptr *CameraBinLocks) DestroyCameraBinLocks() {
}

type CameraBinMetaData struct {
	QMetaDataWriterControl
}

type CameraBinMetaData_ITF interface {
	QMetaDataWriterControl_ITF
	CameraBinMetaData_PTR() *CameraBinMetaData
}

func (ptr *CameraBinMetaData) CameraBinMetaData_PTR() *CameraBinMetaData {
	return ptr
}

func (ptr *CameraBinMetaData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaDataWriterControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinMetaData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMetaDataWriterControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinMetaData(ptr CameraBinMetaData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinMetaData_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinMetaData) InitFromInternal(ptr uintptr, name string) {
	n.QMetaDataWriterControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinMetaData) ClassNameInternalF() string {
	return n.QMetaDataWriterControl_PTR().ClassNameInternalF()
}

func NewCameraBinMetaDataFromPointer(ptr unsafe.Pointer) (n *CameraBinMetaData) {
	n = new(CameraBinMetaData)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinMetaData")
	return
}

func (ptr *CameraBinMetaData) DestroyCameraBinMetaData() {
}

type CameraBinRecorder struct {
	QMediaRecorderControl
}

type CameraBinRecorder_ITF interface {
	QMediaRecorderControl_ITF
	CameraBinRecorder_PTR() *CameraBinRecorder
}

func (ptr *CameraBinRecorder) CameraBinRecorder_PTR() *CameraBinRecorder {
	return ptr
}

func (ptr *CameraBinRecorder) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaRecorderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinRecorder) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaRecorderControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinRecorder(ptr CameraBinRecorder_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinRecorder_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinRecorder) InitFromInternal(ptr uintptr, name string) {
	n.QMediaRecorderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinRecorder) ClassNameInternalF() string {
	return n.QMediaRecorderControl_PTR().ClassNameInternalF()
}

func NewCameraBinRecorderFromPointer(ptr unsafe.Pointer) (n *CameraBinRecorder) {
	n = new(CameraBinRecorder)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinRecorder")
	return
}

func (ptr *CameraBinRecorder) DestroyCameraBinRecorder() {
}

type CameraBinService struct {
	QMediaService
}

type CameraBinService_ITF interface {
	QMediaService_ITF
	CameraBinService_PTR() *CameraBinService
}

func (ptr *CameraBinService) CameraBinService_PTR() *CameraBinService {
	return ptr
}

func (ptr *CameraBinService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinService(ptr CameraBinService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinService_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewCameraBinServiceFromPointer(ptr unsafe.Pointer) (n *CameraBinService) {
	n = new(CameraBinService)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinService")
	return
}

func (ptr *CameraBinService) DestroyCameraBinService() {
}

type CameraBinServicePlugin struct {
	QMediaServiceCameraInfoInterface
	QMediaServiceDefaultDeviceInterface
	QMediaServiceFeaturesInterface
	QMediaServiceProviderPlugin
	QMediaServiceSupportedDevicesInterface
}

type CameraBinServicePlugin_ITF interface {
	QMediaServiceCameraInfoInterface_ITF
	QMediaServiceDefaultDeviceInterface_ITF
	QMediaServiceFeaturesInterface_ITF
	QMediaServiceProviderPlugin_ITF
	QMediaServiceSupportedDevicesInterface_ITF
	CameraBinServicePlugin_PTR() *CameraBinServicePlugin
}

func (ptr *CameraBinServicePlugin) CameraBinServicePlugin_PTR() *CameraBinServicePlugin {
	return ptr
}

func (ptr *CameraBinServicePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceCameraInfoInterface_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinServicePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaServiceCameraInfoInterface_PTR().SetPointer(p)
		ptr.QMediaServiceDefaultDeviceInterface_PTR().SetPointer(p)
		ptr.QMediaServiceFeaturesInterface_PTR().SetPointer(p)
		ptr.QMediaServiceProviderPlugin_PTR().SetPointer(p)
		ptr.QMediaServiceSupportedDevicesInterface_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinServicePlugin(ptr CameraBinServicePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinServicePlugin_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinServicePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QMediaServiceCameraInfoInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceDefaultDeviceInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceFeaturesInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceProviderPlugin_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceSupportedDevicesInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinServicePlugin) ClassNameInternalF() string {
	return n.QMediaServiceCameraInfoInterface_PTR().ClassNameInternalF()
}

func NewCameraBinServicePluginFromPointer(ptr unsafe.Pointer) (n *CameraBinServicePlugin) {
	n = new(CameraBinServicePlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinServicePlugin")
	return
}

func (ptr *CameraBinServicePlugin) DestroyCameraBinServicePlugin() {
}

type CameraBinSession struct {
	core.QObject
}

type CameraBinSession_ITF interface {
	core.QObject_ITF
	CameraBinSession_PTR() *CameraBinSession
}

func (ptr *CameraBinSession) CameraBinSession_PTR() *CameraBinSession {
	return ptr
}

func (ptr *CameraBinSession) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinSession) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinSession(ptr CameraBinSession_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinSession_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinSession) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinSession) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewCameraBinSessionFromPointer(ptr unsafe.Pointer) (n *CameraBinSession) {
	n = new(CameraBinSession)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinSession")
	return
}

func (ptr *CameraBinSession) DestroyCameraBinSession() {
}

type CameraBinV4LImageProcessing struct {
	QCameraImageProcessingControl
}

type CameraBinV4LImageProcessing_ITF interface {
	QCameraImageProcessingControl_ITF
	CameraBinV4LImageProcessing_PTR() *CameraBinV4LImageProcessing
}

func (ptr *CameraBinV4LImageProcessing) CameraBinV4LImageProcessing_PTR() *CameraBinV4LImageProcessing {
	return ptr
}

func (ptr *CameraBinV4LImageProcessing) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageProcessingControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinV4LImageProcessing) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraImageProcessingControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinV4LImageProcessing(ptr CameraBinV4LImageProcessing_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinV4LImageProcessing_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinV4LImageProcessing) InitFromInternal(ptr uintptr, name string) {
	n.QCameraImageProcessingControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinV4LImageProcessing) ClassNameInternalF() string {
	return n.QCameraImageProcessingControl_PTR().ClassNameInternalF()
}

func NewCameraBinV4LImageProcessingFromPointer(ptr unsafe.Pointer) (n *CameraBinV4LImageProcessing) {
	n = new(CameraBinV4LImageProcessing)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinV4LImageProcessing")
	return
}

func (ptr *CameraBinV4LImageProcessing) DestroyCameraBinV4LImageProcessing() {
}

type CameraBinVideoEncoder struct {
	QVideoEncoderSettingsControl
}

type CameraBinVideoEncoder_ITF interface {
	QVideoEncoderSettingsControl_ITF
	CameraBinVideoEncoder_PTR() *CameraBinVideoEncoder
}

func (ptr *CameraBinVideoEncoder) CameraBinVideoEncoder_PTR() *CameraBinVideoEncoder {
	return ptr
}

func (ptr *CameraBinVideoEncoder) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinVideoEncoder) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoEncoderSettingsControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinVideoEncoder(ptr CameraBinVideoEncoder_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinVideoEncoder_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinVideoEncoder) InitFromInternal(ptr uintptr, name string) {
	n.QVideoEncoderSettingsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinVideoEncoder) ClassNameInternalF() string {
	return n.QVideoEncoderSettingsControl_PTR().ClassNameInternalF()
}

func NewCameraBinVideoEncoderFromPointer(ptr unsafe.Pointer) (n *CameraBinVideoEncoder) {
	n = new(CameraBinVideoEncoder)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinVideoEncoder")
	return
}

func (ptr *CameraBinVideoEncoder) DestroyCameraBinVideoEncoder() {
}

type CameraBinViewfinderSettings struct {
	QCameraViewfinderSettingsControl
}

type CameraBinViewfinderSettings_ITF interface {
	QCameraViewfinderSettingsControl_ITF
	CameraBinViewfinderSettings_PTR() *CameraBinViewfinderSettings
}

func (ptr *CameraBinViewfinderSettings) CameraBinViewfinderSettings_PTR() *CameraBinViewfinderSettings {
	return ptr
}

func (ptr *CameraBinViewfinderSettings) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraViewfinderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinViewfinderSettings) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraViewfinderSettingsControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinViewfinderSettings(ptr CameraBinViewfinderSettings_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinViewfinderSettings_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinViewfinderSettings) InitFromInternal(ptr uintptr, name string) {
	n.QCameraViewfinderSettingsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinViewfinderSettings) ClassNameInternalF() string {
	return n.QCameraViewfinderSettingsControl_PTR().ClassNameInternalF()
}

func NewCameraBinViewfinderSettingsFromPointer(ptr unsafe.Pointer) (n *CameraBinViewfinderSettings) {
	n = new(CameraBinViewfinderSettings)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinViewfinderSettings")
	return
}

func (ptr *CameraBinViewfinderSettings) DestroyCameraBinViewfinderSettings() {
}

type CameraBinViewfinderSettings2 struct {
	QCameraViewfinderSettingsControl2
}

type CameraBinViewfinderSettings2_ITF interface {
	QCameraViewfinderSettingsControl2_ITF
	CameraBinViewfinderSettings2_PTR() *CameraBinViewfinderSettings2
}

func (ptr *CameraBinViewfinderSettings2) CameraBinViewfinderSettings2_PTR() *CameraBinViewfinderSettings2 {
	return ptr
}

func (ptr *CameraBinViewfinderSettings2) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraViewfinderSettingsControl2_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinViewfinderSettings2) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraViewfinderSettingsControl2_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinViewfinderSettings2(ptr CameraBinViewfinderSettings2_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinViewfinderSettings2_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinViewfinderSettings2) InitFromInternal(ptr uintptr, name string) {
	n.QCameraViewfinderSettingsControl2_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinViewfinderSettings2) ClassNameInternalF() string {
	return n.QCameraViewfinderSettingsControl2_PTR().ClassNameInternalF()
}

func NewCameraBinViewfinderSettings2FromPointer(ptr unsafe.Pointer) (n *CameraBinViewfinderSettings2) {
	n = new(CameraBinViewfinderSettings2)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinViewfinderSettings2")
	return
}

func (ptr *CameraBinViewfinderSettings2) DestroyCameraBinViewfinderSettings2() {
}

type CameraBinZoom struct {
	QCameraZoomControl
}

type CameraBinZoom_ITF interface {
	QCameraZoomControl_ITF
	CameraBinZoom_PTR() *CameraBinZoom
}

func (ptr *CameraBinZoom) CameraBinZoom_PTR() *CameraBinZoom {
	return ptr
}

func (ptr *CameraBinZoom) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraZoomControl_PTR().Pointer()
	}
	return nil
}

func (ptr *CameraBinZoom) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraZoomControl_PTR().SetPointer(p)
	}
}

func PointerFromCameraBinZoom(ptr CameraBinZoom_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CameraBinZoom_PTR().Pointer()
	}
	return nil
}

func (n *CameraBinZoom) InitFromInternal(ptr uintptr, name string) {
	n.QCameraZoomControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CameraBinZoom) ClassNameInternalF() string {
	return n.QCameraZoomControl_PTR().ClassNameInternalF()
}

func NewCameraBinZoomFromPointer(ptr unsafe.Pointer) (n *CameraBinZoom) {
	n = new(CameraBinZoom)
	n.InitFromInternal(uintptr(ptr), "multimedia.CameraBinZoom")
	return
}

func (ptr *CameraBinZoom) DestroyCameraBinZoom() {
}

type CamerabinResourcePolicy struct {
	core.QObject
}

type CamerabinResourcePolicy_ITF interface {
	core.QObject_ITF
	CamerabinResourcePolicy_PTR() *CamerabinResourcePolicy
}

func (ptr *CamerabinResourcePolicy) CamerabinResourcePolicy_PTR() *CamerabinResourcePolicy {
	return ptr
}

func (ptr *CamerabinResourcePolicy) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *CamerabinResourcePolicy) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromCamerabinResourcePolicy(ptr CamerabinResourcePolicy_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CamerabinResourcePolicy_PTR().Pointer()
	}
	return nil
}

func (n *CamerabinResourcePolicy) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CamerabinResourcePolicy) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewCamerabinResourcePolicyFromPointer(ptr unsafe.Pointer) (n *CamerabinResourcePolicy) {
	n = new(CamerabinResourcePolicy)
	n.InitFromInternal(uintptr(ptr), "multimedia.CamerabinResourcePolicy")
	return
}

func (ptr *CamerabinResourcePolicy) DestroyCamerabinResourcePolicy() {
}

type CoreAudioBufferList struct {
	internal.Internal
}

type CoreAudioBufferList_ITF interface {
	CoreAudioBufferList_PTR() *CoreAudioBufferList
}

func (ptr *CoreAudioBufferList) CoreAudioBufferList_PTR() *CoreAudioBufferList {
	return ptr
}

func (ptr *CoreAudioBufferList) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *CoreAudioBufferList) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromCoreAudioBufferList(ptr CoreAudioBufferList_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CoreAudioBufferList_PTR().Pointer()
	}
	return nil
}

func (n *CoreAudioBufferList) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewCoreAudioBufferListFromPointer(ptr unsafe.Pointer) (n *CoreAudioBufferList) {
	n = new(CoreAudioBufferList)
	n.InitFromInternal(uintptr(ptr), "multimedia.CoreAudioBufferList")
	return
}

func (ptr *CoreAudioBufferList) DestroyCoreAudioBufferList() {
}

type CoreAudioDeviceInfo struct {
	QAbstractAudioDeviceInfo
}

type CoreAudioDeviceInfo_ITF interface {
	QAbstractAudioDeviceInfo_ITF
	CoreAudioDeviceInfo_PTR() *CoreAudioDeviceInfo
}

func (ptr *CoreAudioDeviceInfo) CoreAudioDeviceInfo_PTR() *CoreAudioDeviceInfo {
	return ptr
}

func (ptr *CoreAudioDeviceInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (ptr *CoreAudioDeviceInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioDeviceInfo_PTR().SetPointer(p)
	}
}

func PointerFromCoreAudioDeviceInfo(ptr CoreAudioDeviceInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CoreAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (n *CoreAudioDeviceInfo) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioDeviceInfo_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CoreAudioDeviceInfo) ClassNameInternalF() string {
	return n.QAbstractAudioDeviceInfo_PTR().ClassNameInternalF()
}

func NewCoreAudioDeviceInfoFromPointer(ptr unsafe.Pointer) (n *CoreAudioDeviceInfo) {
	n = new(CoreAudioDeviceInfo)
	n.InitFromInternal(uintptr(ptr), "multimedia.CoreAudioDeviceInfo")
	return
}

func (ptr *CoreAudioDeviceInfo) DestroyCoreAudioDeviceInfo() {
}

type CoreAudioInput struct {
	QAbstractAudioInput
}

type CoreAudioInput_ITF interface {
	QAbstractAudioInput_ITF
	CoreAudioInput_PTR() *CoreAudioInput
}

func (ptr *CoreAudioInput) CoreAudioInput_PTR() *CoreAudioInput {
	return ptr
}

func (ptr *CoreAudioInput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioInput_PTR().Pointer()
	}
	return nil
}

func (ptr *CoreAudioInput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioInput_PTR().SetPointer(p)
	}
}

func PointerFromCoreAudioInput(ptr CoreAudioInput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CoreAudioInput_PTR().Pointer()
	}
	return nil
}

func (n *CoreAudioInput) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioInput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CoreAudioInput) ClassNameInternalF() string {
	return n.QAbstractAudioInput_PTR().ClassNameInternalF()
}

func NewCoreAudioInputFromPointer(ptr unsafe.Pointer) (n *CoreAudioInput) {
	n = new(CoreAudioInput)
	n.InitFromInternal(uintptr(ptr), "multimedia.CoreAudioInput")
	return
}

func (ptr *CoreAudioInput) DestroyCoreAudioInput() {
}

type CoreAudioInputBuffer struct {
	core.QObject
}

type CoreAudioInputBuffer_ITF interface {
	core.QObject_ITF
	CoreAudioInputBuffer_PTR() *CoreAudioInputBuffer
}

func (ptr *CoreAudioInputBuffer) CoreAudioInputBuffer_PTR() *CoreAudioInputBuffer {
	return ptr
}

func (ptr *CoreAudioInputBuffer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *CoreAudioInputBuffer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromCoreAudioInputBuffer(ptr CoreAudioInputBuffer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CoreAudioInputBuffer_PTR().Pointer()
	}
	return nil
}

func (n *CoreAudioInputBuffer) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CoreAudioInputBuffer) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewCoreAudioInputBufferFromPointer(ptr unsafe.Pointer) (n *CoreAudioInputBuffer) {
	n = new(CoreAudioInputBuffer)
	n.InitFromInternal(uintptr(ptr), "multimedia.CoreAudioInputBuffer")
	return
}

func (ptr *CoreAudioInputBuffer) DestroyCoreAudioInputBuffer() {
}

type CoreAudioInputDevice struct {
	core.QIODevice
}

type CoreAudioInputDevice_ITF interface {
	core.QIODevice_ITF
	CoreAudioInputDevice_PTR() *CoreAudioInputDevice
}

func (ptr *CoreAudioInputDevice) CoreAudioInputDevice_PTR() *CoreAudioInputDevice {
	return ptr
}

func (ptr *CoreAudioInputDevice) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QIODevice_PTR().Pointer()
	}
	return nil
}

func (ptr *CoreAudioInputDevice) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QIODevice_PTR().SetPointer(p)
	}
}

func PointerFromCoreAudioInputDevice(ptr CoreAudioInputDevice_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CoreAudioInputDevice_PTR().Pointer()
	}
	return nil
}

func (n *CoreAudioInputDevice) InitFromInternal(ptr uintptr, name string) {
	n.QIODevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CoreAudioInputDevice) ClassNameInternalF() string {
	return n.QIODevice_PTR().ClassNameInternalF()
}

func NewCoreAudioInputDeviceFromPointer(ptr unsafe.Pointer) (n *CoreAudioInputDevice) {
	n = new(CoreAudioInputDevice)
	n.InitFromInternal(uintptr(ptr), "multimedia.CoreAudioInputDevice")
	return
}

func (ptr *CoreAudioInputDevice) DestroyCoreAudioInputDevice() {
}

type CoreAudioOutput struct {
	QAbstractAudioOutput
}

type CoreAudioOutput_ITF interface {
	QAbstractAudioOutput_ITF
	CoreAudioOutput_PTR() *CoreAudioOutput
}

func (ptr *CoreAudioOutput) CoreAudioOutput_PTR() *CoreAudioOutput {
	return ptr
}

func (ptr *CoreAudioOutput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioOutput_PTR().Pointer()
	}
	return nil
}

func (ptr *CoreAudioOutput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioOutput_PTR().SetPointer(p)
	}
}

func PointerFromCoreAudioOutput(ptr CoreAudioOutput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CoreAudioOutput_PTR().Pointer()
	}
	return nil
}

func (n *CoreAudioOutput) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioOutput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CoreAudioOutput) ClassNameInternalF() string {
	return n.QAbstractAudioOutput_PTR().ClassNameInternalF()
}

func NewCoreAudioOutputFromPointer(ptr unsafe.Pointer) (n *CoreAudioOutput) {
	n = new(CoreAudioOutput)
	n.InitFromInternal(uintptr(ptr), "multimedia.CoreAudioOutput")
	return
}

func (ptr *CoreAudioOutput) DestroyCoreAudioOutput() {
}

type CoreAudioOutputBuffer struct {
	core.QObject
}

type CoreAudioOutputBuffer_ITF interface {
	core.QObject_ITF
	CoreAudioOutputBuffer_PTR() *CoreAudioOutputBuffer
}

func (ptr *CoreAudioOutputBuffer) CoreAudioOutputBuffer_PTR() *CoreAudioOutputBuffer {
	return ptr
}

func (ptr *CoreAudioOutputBuffer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *CoreAudioOutputBuffer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromCoreAudioOutputBuffer(ptr CoreAudioOutputBuffer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CoreAudioOutputBuffer_PTR().Pointer()
	}
	return nil
}

func (n *CoreAudioOutputBuffer) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CoreAudioOutputBuffer) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewCoreAudioOutputBufferFromPointer(ptr unsafe.Pointer) (n *CoreAudioOutputBuffer) {
	n = new(CoreAudioOutputBuffer)
	n.InitFromInternal(uintptr(ptr), "multimedia.CoreAudioOutputBuffer")
	return
}

func (ptr *CoreAudioOutputBuffer) DestroyCoreAudioOutputBuffer() {
}

type CoreAudioOutputDevice struct {
	core.QIODevice
}

type CoreAudioOutputDevice_ITF interface {
	core.QIODevice_ITF
	CoreAudioOutputDevice_PTR() *CoreAudioOutputDevice
}

func (ptr *CoreAudioOutputDevice) CoreAudioOutputDevice_PTR() *CoreAudioOutputDevice {
	return ptr
}

func (ptr *CoreAudioOutputDevice) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QIODevice_PTR().Pointer()
	}
	return nil
}

func (ptr *CoreAudioOutputDevice) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QIODevice_PTR().SetPointer(p)
	}
}

func PointerFromCoreAudioOutputDevice(ptr CoreAudioOutputDevice_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CoreAudioOutputDevice_PTR().Pointer()
	}
	return nil
}

func (n *CoreAudioOutputDevice) InitFromInternal(ptr uintptr, name string) {
	n.QIODevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CoreAudioOutputDevice) ClassNameInternalF() string {
	return n.QIODevice_PTR().ClassNameInternalF()
}

func NewCoreAudioOutputDeviceFromPointer(ptr unsafe.Pointer) (n *CoreAudioOutputDevice) {
	n = new(CoreAudioOutputDevice)
	n.InitFromInternal(uintptr(ptr), "multimedia.CoreAudioOutputDevice")
	return
}

func (ptr *CoreAudioOutputDevice) DestroyCoreAudioOutputDevice() {
}

type CoreAudioPacketFeeder struct {
	internal.Internal
}

type CoreAudioPacketFeeder_ITF interface {
	CoreAudioPacketFeeder_PTR() *CoreAudioPacketFeeder
}

func (ptr *CoreAudioPacketFeeder) CoreAudioPacketFeeder_PTR() *CoreAudioPacketFeeder {
	return ptr
}

func (ptr *CoreAudioPacketFeeder) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *CoreAudioPacketFeeder) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromCoreAudioPacketFeeder(ptr CoreAudioPacketFeeder_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CoreAudioPacketFeeder_PTR().Pointer()
	}
	return nil
}

func (n *CoreAudioPacketFeeder) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewCoreAudioPacketFeederFromPointer(ptr unsafe.Pointer) (n *CoreAudioPacketFeeder) {
	n = new(CoreAudioPacketFeeder)
	n.InitFromInternal(uintptr(ptr), "multimedia.CoreAudioPacketFeeder")
	return
}

func (ptr *CoreAudioPacketFeeder) DestroyCoreAudioPacketFeeder() {
}

type CoreAudioPlugin struct {
	QAudioSystemPlugin
}

type CoreAudioPlugin_ITF interface {
	QAudioSystemPlugin_ITF
	CoreAudioPlugin_PTR() *CoreAudioPlugin
}

func (ptr *CoreAudioPlugin) CoreAudioPlugin_PTR() *CoreAudioPlugin {
	return ptr
}

func (ptr *CoreAudioPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioSystemPlugin_PTR().Pointer()
	}
	return nil
}

func (ptr *CoreAudioPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioSystemPlugin_PTR().SetPointer(p)
	}
}

func PointerFromCoreAudioPlugin(ptr CoreAudioPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CoreAudioPlugin_PTR().Pointer()
	}
	return nil
}

func (n *CoreAudioPlugin) InitFromInternal(ptr uintptr, name string) {
	n.QAudioSystemPlugin_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CoreAudioPlugin) ClassNameInternalF() string {
	return n.QAudioSystemPlugin_PTR().ClassNameInternalF()
}

func NewCoreAudioPluginFromPointer(ptr unsafe.Pointer) (n *CoreAudioPlugin) {
	n = new(CoreAudioPlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.CoreAudioPlugin")
	return
}

func (ptr *CoreAudioPlugin) DestroyCoreAudioPlugin() {
}

type CoreAudioRingBuffer struct {
	internal.Internal
}

type CoreAudioRingBuffer_ITF interface {
	CoreAudioRingBuffer_PTR() *CoreAudioRingBuffer
}

func (ptr *CoreAudioRingBuffer) CoreAudioRingBuffer_PTR() *CoreAudioRingBuffer {
	return ptr
}

func (ptr *CoreAudioRingBuffer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *CoreAudioRingBuffer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromCoreAudioRingBuffer(ptr CoreAudioRingBuffer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CoreAudioRingBuffer_PTR().Pointer()
	}
	return nil
}

func (n *CoreAudioRingBuffer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewCoreAudioRingBufferFromPointer(ptr unsafe.Pointer) (n *CoreAudioRingBuffer) {
	n = new(CoreAudioRingBuffer)
	n.InitFromInternal(uintptr(ptr), "multimedia.CoreAudioRingBuffer")
	return
}

func (ptr *CoreAudioRingBuffer) DestroyCoreAudioRingBuffer() {
}

type CoreAudioSessionManager struct {
	core.QObject
}

type CoreAudioSessionManager_ITF interface {
	core.QObject_ITF
	CoreAudioSessionManager_PTR() *CoreAudioSessionManager
}

func (ptr *CoreAudioSessionManager) CoreAudioSessionManager_PTR() *CoreAudioSessionManager {
	return ptr
}

func (ptr *CoreAudioSessionManager) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *CoreAudioSessionManager) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromCoreAudioSessionManager(ptr CoreAudioSessionManager_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CoreAudioSessionManager_PTR().Pointer()
	}
	return nil
}

func (n *CoreAudioSessionManager) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *CoreAudioSessionManager) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewCoreAudioSessionManagerFromPointer(ptr unsafe.Pointer) (n *CoreAudioSessionManager) {
	n = new(CoreAudioSessionManager)
	n.InitFromInternal(uintptr(ptr), "multimedia.CoreAudioSessionManager")
	return
}

func (ptr *CoreAudioSessionManager) DestroyCoreAudioSessionManager() {
}

type CoreAudioUtils struct {
	internal.Internal
}

type CoreAudioUtils_ITF interface {
	CoreAudioUtils_PTR() *CoreAudioUtils
}

func (ptr *CoreAudioUtils) CoreAudioUtils_PTR() *CoreAudioUtils {
	return ptr
}

func (ptr *CoreAudioUtils) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *CoreAudioUtils) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromCoreAudioUtils(ptr CoreAudioUtils_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.CoreAudioUtils_PTR().Pointer()
	}
	return nil
}

func (n *CoreAudioUtils) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewCoreAudioUtilsFromPointer(ptr unsafe.Pointer) (n *CoreAudioUtils) {
	n = new(CoreAudioUtils)
	n.InitFromInternal(uintptr(ptr), "multimedia.CoreAudioUtils")
	return
}

func (ptr *CoreAudioUtils) DestroyCoreAudioUtils() {
}

type D3DPresentEngine struct {
	internal.Internal
}

type D3DPresentEngine_ITF interface {
	D3DPresentEngine_PTR() *D3DPresentEngine
}

func (ptr *D3DPresentEngine) D3DPresentEngine_PTR() *D3DPresentEngine {
	return ptr
}

func (ptr *D3DPresentEngine) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *D3DPresentEngine) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromD3DPresentEngine(ptr D3DPresentEngine_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.D3DPresentEngine_PTR().Pointer()
	}
	return nil
}

func (n *D3DPresentEngine) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewD3DPresentEngineFromPointer(ptr unsafe.Pointer) (n *D3DPresentEngine) {
	n = new(D3DPresentEngine)
	n.InitFromInternal(uintptr(ptr), "multimedia.D3DPresentEngine")
	return
}

func (ptr *D3DPresentEngine) DestroyD3DPresentEngine() {
}

type DSCameraControl struct {
	QCameraControl
}

type DSCameraControl_ITF interface {
	QCameraControl_ITF
	DSCameraControl_PTR() *DSCameraControl
}

func (ptr *DSCameraControl) DSCameraControl_PTR() *DSCameraControl {
	return ptr
}

func (ptr *DSCameraControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DSCameraControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraControl_PTR().SetPointer(p)
	}
}

func PointerFromDSCameraControl(ptr DSCameraControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DSCameraControl_PTR().Pointer()
	}
	return nil
}

func (n *DSCameraControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DSCameraControl) ClassNameInternalF() string {
	return n.QCameraControl_PTR().ClassNameInternalF()
}

func NewDSCameraControlFromPointer(ptr unsafe.Pointer) (n *DSCameraControl) {
	n = new(DSCameraControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DSCameraControl")
	return
}

func (ptr *DSCameraControl) DestroyDSCameraControl() {
}

type DSCameraImageProcessingControl struct {
	QCameraImageProcessingControl
}

type DSCameraImageProcessingControl_ITF interface {
	QCameraImageProcessingControl_ITF
	DSCameraImageProcessingControl_PTR() *DSCameraImageProcessingControl
}

func (ptr *DSCameraImageProcessingControl) DSCameraImageProcessingControl_PTR() *DSCameraImageProcessingControl {
	return ptr
}

func (ptr *DSCameraImageProcessingControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageProcessingControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DSCameraImageProcessingControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraImageProcessingControl_PTR().SetPointer(p)
	}
}

func PointerFromDSCameraImageProcessingControl(ptr DSCameraImageProcessingControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DSCameraImageProcessingControl_PTR().Pointer()
	}
	return nil
}

func (n *DSCameraImageProcessingControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraImageProcessingControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DSCameraImageProcessingControl) ClassNameInternalF() string {
	return n.QCameraImageProcessingControl_PTR().ClassNameInternalF()
}

func NewDSCameraImageProcessingControlFromPointer(ptr unsafe.Pointer) (n *DSCameraImageProcessingControl) {
	n = new(DSCameraImageProcessingControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DSCameraImageProcessingControl")
	return
}

func (ptr *DSCameraImageProcessingControl) DestroyDSCameraImageProcessingControl() {
}

type DSCameraService struct {
	QMediaService
}

type DSCameraService_ITF interface {
	QMediaService_ITF
	DSCameraService_PTR() *DSCameraService
}

func (ptr *DSCameraService) DSCameraService_PTR() *DSCameraService {
	return ptr
}

func (ptr *DSCameraService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *DSCameraService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromDSCameraService(ptr DSCameraService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DSCameraService_PTR().Pointer()
	}
	return nil
}

func (n *DSCameraService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DSCameraService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewDSCameraServiceFromPointer(ptr unsafe.Pointer) (n *DSCameraService) {
	n = new(DSCameraService)
	n.InitFromInternal(uintptr(ptr), "multimedia.DSCameraService")
	return
}

func (ptr *DSCameraService) DestroyDSCameraService() {
}

type DSCameraSession struct {
	core.QObject
}

type DSCameraSession_ITF interface {
	core.QObject_ITF
	DSCameraSession_PTR() *DSCameraSession
}

func (ptr *DSCameraSession) DSCameraSession_PTR() *DSCameraSession {
	return ptr
}

func (ptr *DSCameraSession) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *DSCameraSession) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromDSCameraSession(ptr DSCameraSession_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DSCameraSession_PTR().Pointer()
	}
	return nil
}

func (n *DSCameraSession) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DSCameraSession) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewDSCameraSessionFromPointer(ptr unsafe.Pointer) (n *DSCameraSession) {
	n = new(DSCameraSession)
	n.InitFromInternal(uintptr(ptr), "multimedia.DSCameraSession")
	return
}

func (ptr *DSCameraSession) DestroyDSCameraSession() {
}

type DSCameraViewfinderSettingsControl struct {
	QCameraViewfinderSettingsControl2
}

type DSCameraViewfinderSettingsControl_ITF interface {
	QCameraViewfinderSettingsControl2_ITF
	DSCameraViewfinderSettingsControl_PTR() *DSCameraViewfinderSettingsControl
}

func (ptr *DSCameraViewfinderSettingsControl) DSCameraViewfinderSettingsControl_PTR() *DSCameraViewfinderSettingsControl {
	return ptr
}

func (ptr *DSCameraViewfinderSettingsControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraViewfinderSettingsControl2_PTR().Pointer()
	}
	return nil
}

func (ptr *DSCameraViewfinderSettingsControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraViewfinderSettingsControl2_PTR().SetPointer(p)
	}
}

func PointerFromDSCameraViewfinderSettingsControl(ptr DSCameraViewfinderSettingsControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DSCameraViewfinderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (n *DSCameraViewfinderSettingsControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraViewfinderSettingsControl2_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DSCameraViewfinderSettingsControl) ClassNameInternalF() string {
	return n.QCameraViewfinderSettingsControl2_PTR().ClassNameInternalF()
}

func NewDSCameraViewfinderSettingsControlFromPointer(ptr unsafe.Pointer) (n *DSCameraViewfinderSettingsControl) {
	n = new(DSCameraViewfinderSettingsControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DSCameraViewfinderSettingsControl")
	return
}

func (ptr *DSCameraViewfinderSettingsControl) DestroyDSCameraViewfinderSettingsControl() {
}

type DSImageCaptureControl struct {
	QCameraImageCaptureControl
}

type DSImageCaptureControl_ITF interface {
	QCameraImageCaptureControl_ITF
	DSImageCaptureControl_PTR() *DSImageCaptureControl
}

func (ptr *DSImageCaptureControl) DSImageCaptureControl_PTR() *DSImageCaptureControl {
	return ptr
}

func (ptr *DSImageCaptureControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageCaptureControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DSImageCaptureControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraImageCaptureControl_PTR().SetPointer(p)
	}
}

func PointerFromDSImageCaptureControl(ptr DSImageCaptureControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DSImageCaptureControl_PTR().Pointer()
	}
	return nil
}

func (n *DSImageCaptureControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraImageCaptureControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DSImageCaptureControl) ClassNameInternalF() string {
	return n.QCameraImageCaptureControl_PTR().ClassNameInternalF()
}

func NewDSImageCaptureControlFromPointer(ptr unsafe.Pointer) (n *DSImageCaptureControl) {
	n = new(DSImageCaptureControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DSImageCaptureControl")
	return
}

func (ptr *DSImageCaptureControl) DestroyDSImageCaptureControl() {
}

type DSServicePlugin struct {
	QMediaServiceDefaultDeviceInterface
	QMediaServiceFeaturesInterface
	QMediaServiceProviderPlugin
	QMediaServiceSupportedDevicesInterface
}

type DSServicePlugin_ITF interface {
	QMediaServiceDefaultDeviceInterface_ITF
	QMediaServiceFeaturesInterface_ITF
	QMediaServiceProviderPlugin_ITF
	QMediaServiceSupportedDevicesInterface_ITF
	DSServicePlugin_PTR() *DSServicePlugin
}

func (ptr *DSServicePlugin) DSServicePlugin_PTR() *DSServicePlugin {
	return ptr
}

func (ptr *DSServicePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceDefaultDeviceInterface_PTR().Pointer()
	}
	return nil
}

func (ptr *DSServicePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaServiceDefaultDeviceInterface_PTR().SetPointer(p)
		ptr.QMediaServiceFeaturesInterface_PTR().SetPointer(p)
		ptr.QMediaServiceProviderPlugin_PTR().SetPointer(p)
		ptr.QMediaServiceSupportedDevicesInterface_PTR().SetPointer(p)
	}
}

func PointerFromDSServicePlugin(ptr DSServicePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DSServicePlugin_PTR().Pointer()
	}
	return nil
}

func (n *DSServicePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QMediaServiceDefaultDeviceInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceFeaturesInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceProviderPlugin_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceSupportedDevicesInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DSServicePlugin) ClassNameInternalF() string {
	return n.QMediaServiceDefaultDeviceInterface_PTR().ClassNameInternalF()
}

func NewDSServicePluginFromPointer(ptr unsafe.Pointer) (n *DSServicePlugin) {
	n = new(DSServicePlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.DSServicePlugin")
	return
}

func (ptr *DSServicePlugin) DestroyDSServicePlugin() {
}

type DSVideoDeviceControl struct {
	QVideoDeviceSelectorControl
}

type DSVideoDeviceControl_ITF interface {
	QVideoDeviceSelectorControl_ITF
	DSVideoDeviceControl_PTR() *DSVideoDeviceControl
}

func (ptr *DSVideoDeviceControl) DSVideoDeviceControl_PTR() *DSVideoDeviceControl {
	return ptr
}

func (ptr *DSVideoDeviceControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoDeviceSelectorControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DSVideoDeviceControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoDeviceSelectorControl_PTR().SetPointer(p)
	}
}

func PointerFromDSVideoDeviceControl(ptr DSVideoDeviceControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DSVideoDeviceControl_PTR().Pointer()
	}
	return nil
}

func (n *DSVideoDeviceControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoDeviceSelectorControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DSVideoDeviceControl) ClassNameInternalF() string {
	return n.QVideoDeviceSelectorControl_PTR().ClassNameInternalF()
}

func NewDSVideoDeviceControlFromPointer(ptr unsafe.Pointer) (n *DSVideoDeviceControl) {
	n = new(DSVideoDeviceControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DSVideoDeviceControl")
	return
}

func (ptr *DSVideoDeviceControl) DestroyDSVideoDeviceControl() {
}

type DSVideoRendererControl struct {
	QVideoRendererControl
}

type DSVideoRendererControl_ITF interface {
	QVideoRendererControl_ITF
	DSVideoRendererControl_PTR() *DSVideoRendererControl
}

func (ptr *DSVideoRendererControl) DSVideoRendererControl_PTR() *DSVideoRendererControl {
	return ptr
}

func (ptr *DSVideoRendererControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DSVideoRendererControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoRendererControl_PTR().SetPointer(p)
	}
}

func PointerFromDSVideoRendererControl(ptr DSVideoRendererControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DSVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (n *DSVideoRendererControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoRendererControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DSVideoRendererControl) ClassNameInternalF() string {
	return n.QVideoRendererControl_PTR().ClassNameInternalF()
}

func NewDSVideoRendererControlFromPointer(ptr unsafe.Pointer) (n *DSVideoRendererControl) {
	n = new(DSVideoRendererControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DSVideoRendererControl")
	return
}

func (ptr *DSVideoRendererControl) DestroyDSVideoRendererControl() {
}

type DirectShowAudioEndpointControl struct {
	QAudioOutputSelectorControl
}

type DirectShowAudioEndpointControl_ITF interface {
	QAudioOutputSelectorControl_ITF
	DirectShowAudioEndpointControl_PTR() *DirectShowAudioEndpointControl
}

func (ptr *DirectShowAudioEndpointControl) DirectShowAudioEndpointControl_PTR() *DirectShowAudioEndpointControl {
	return ptr
}

func (ptr *DirectShowAudioEndpointControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioOutputSelectorControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowAudioEndpointControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioOutputSelectorControl_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowAudioEndpointControl(ptr DirectShowAudioEndpointControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowAudioEndpointControl_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowAudioEndpointControl) InitFromInternal(ptr uintptr, name string) {
	n.QAudioOutputSelectorControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowAudioEndpointControl) ClassNameInternalF() string {
	return n.QAudioOutputSelectorControl_PTR().ClassNameInternalF()
}

func NewDirectShowAudioEndpointControlFromPointer(ptr unsafe.Pointer) (n *DirectShowAudioEndpointControl) {
	n = new(DirectShowAudioEndpointControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowAudioEndpointControl")
	return
}

func (ptr *DirectShowAudioEndpointControl) DestroyDirectShowAudioEndpointControl() {
}

type DirectShowAudioProbeControl struct {
	QMediaAudioProbeControl
}

type DirectShowAudioProbeControl_ITF interface {
	QMediaAudioProbeControl_ITF
	DirectShowAudioProbeControl_PTR() *DirectShowAudioProbeControl
}

func (ptr *DirectShowAudioProbeControl) DirectShowAudioProbeControl_PTR() *DirectShowAudioProbeControl {
	return ptr
}

func (ptr *DirectShowAudioProbeControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaAudioProbeControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowAudioProbeControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaAudioProbeControl_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowAudioProbeControl(ptr DirectShowAudioProbeControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowAudioProbeControl_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowAudioProbeControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaAudioProbeControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowAudioProbeControl) ClassNameInternalF() string {
	return n.QMediaAudioProbeControl_PTR().ClassNameInternalF()
}

func NewDirectShowAudioProbeControlFromPointer(ptr unsafe.Pointer) (n *DirectShowAudioProbeControl) {
	n = new(DirectShowAudioProbeControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowAudioProbeControl")
	return
}

func (ptr *DirectShowAudioProbeControl) DestroyDirectShowAudioProbeControl() {
}

type DirectShowBaseFilter struct {
	internal.Internal
}

type DirectShowBaseFilter_ITF interface {
	DirectShowBaseFilter_PTR() *DirectShowBaseFilter
}

func (ptr *DirectShowBaseFilter) DirectShowBaseFilter_PTR() *DirectShowBaseFilter {
	return ptr
}

func (ptr *DirectShowBaseFilter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *DirectShowBaseFilter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromDirectShowBaseFilter(ptr DirectShowBaseFilter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowBaseFilter_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowBaseFilter) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewDirectShowBaseFilterFromPointer(ptr unsafe.Pointer) (n *DirectShowBaseFilter) {
	n = new(DirectShowBaseFilter)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowBaseFilter")
	return
}

func (ptr *DirectShowBaseFilter) DestroyDirectShowBaseFilter() {
}

type DirectShowCameraCaptureBufferFormatControl struct {
	QCameraCaptureBufferFormatControl
}

type DirectShowCameraCaptureBufferFormatControl_ITF interface {
	QCameraCaptureBufferFormatControl_ITF
	DirectShowCameraCaptureBufferFormatControl_PTR() *DirectShowCameraCaptureBufferFormatControl
}

func (ptr *DirectShowCameraCaptureBufferFormatControl) DirectShowCameraCaptureBufferFormatControl_PTR() *DirectShowCameraCaptureBufferFormatControl {
	return ptr
}

func (ptr *DirectShowCameraCaptureBufferFormatControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraCaptureBufferFormatControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowCameraCaptureBufferFormatControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraCaptureBufferFormatControl_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowCameraCaptureBufferFormatControl(ptr DirectShowCameraCaptureBufferFormatControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowCameraCaptureBufferFormatControl_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowCameraCaptureBufferFormatControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraCaptureBufferFormatControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowCameraCaptureBufferFormatControl) ClassNameInternalF() string {
	return n.QCameraCaptureBufferFormatControl_PTR().ClassNameInternalF()
}

func NewDirectShowCameraCaptureBufferFormatControlFromPointer(ptr unsafe.Pointer) (n *DirectShowCameraCaptureBufferFormatControl) {
	n = new(DirectShowCameraCaptureBufferFormatControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowCameraCaptureBufferFormatControl")
	return
}

func (ptr *DirectShowCameraCaptureBufferFormatControl) DestroyDirectShowCameraCaptureBufferFormatControl() {
}

type DirectShowCameraCaptureDestinationControl struct {
	QCameraCaptureDestinationControl
}

type DirectShowCameraCaptureDestinationControl_ITF interface {
	QCameraCaptureDestinationControl_ITF
	DirectShowCameraCaptureDestinationControl_PTR() *DirectShowCameraCaptureDestinationControl
}

func (ptr *DirectShowCameraCaptureDestinationControl) DirectShowCameraCaptureDestinationControl_PTR() *DirectShowCameraCaptureDestinationControl {
	return ptr
}

func (ptr *DirectShowCameraCaptureDestinationControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraCaptureDestinationControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowCameraCaptureDestinationControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraCaptureDestinationControl_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowCameraCaptureDestinationControl(ptr DirectShowCameraCaptureDestinationControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowCameraCaptureDestinationControl_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowCameraCaptureDestinationControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraCaptureDestinationControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowCameraCaptureDestinationControl) ClassNameInternalF() string {
	return n.QCameraCaptureDestinationControl_PTR().ClassNameInternalF()
}

func NewDirectShowCameraCaptureDestinationControlFromPointer(ptr unsafe.Pointer) (n *DirectShowCameraCaptureDestinationControl) {
	n = new(DirectShowCameraCaptureDestinationControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowCameraCaptureDestinationControl")
	return
}

func (ptr *DirectShowCameraCaptureDestinationControl) DestroyDirectShowCameraCaptureDestinationControl() {
}

type DirectShowCameraExposureControl struct {
	QCameraExposureControl
}

type DirectShowCameraExposureControl_ITF interface {
	QCameraExposureControl_ITF
	DirectShowCameraExposureControl_PTR() *DirectShowCameraExposureControl
}

func (ptr *DirectShowCameraExposureControl) DirectShowCameraExposureControl_PTR() *DirectShowCameraExposureControl {
	return ptr
}

func (ptr *DirectShowCameraExposureControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraExposureControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowCameraExposureControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraExposureControl_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowCameraExposureControl(ptr DirectShowCameraExposureControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowCameraExposureControl_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowCameraExposureControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraExposureControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowCameraExposureControl) ClassNameInternalF() string {
	return n.QCameraExposureControl_PTR().ClassNameInternalF()
}

func NewDirectShowCameraExposureControlFromPointer(ptr unsafe.Pointer) (n *DirectShowCameraExposureControl) {
	n = new(DirectShowCameraExposureControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowCameraExposureControl")
	return
}

func (ptr *DirectShowCameraExposureControl) DestroyDirectShowCameraExposureControl() {
}

type DirectShowCameraImageEncoderControl struct {
	QImageEncoderControl
}

type DirectShowCameraImageEncoderControl_ITF interface {
	QImageEncoderControl_ITF
	DirectShowCameraImageEncoderControl_PTR() *DirectShowCameraImageEncoderControl
}

func (ptr *DirectShowCameraImageEncoderControl) DirectShowCameraImageEncoderControl_PTR() *DirectShowCameraImageEncoderControl {
	return ptr
}

func (ptr *DirectShowCameraImageEncoderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QImageEncoderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowCameraImageEncoderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QImageEncoderControl_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowCameraImageEncoderControl(ptr DirectShowCameraImageEncoderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowCameraImageEncoderControl_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowCameraImageEncoderControl) InitFromInternal(ptr uintptr, name string) {
	n.QImageEncoderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowCameraImageEncoderControl) ClassNameInternalF() string {
	return n.QImageEncoderControl_PTR().ClassNameInternalF()
}

func NewDirectShowCameraImageEncoderControlFromPointer(ptr unsafe.Pointer) (n *DirectShowCameraImageEncoderControl) {
	n = new(DirectShowCameraImageEncoderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowCameraImageEncoderControl")
	return
}

func (ptr *DirectShowCameraImageEncoderControl) DestroyDirectShowCameraImageEncoderControl() {
}

type DirectShowCameraZoomControl struct {
	QCameraZoomControl
}

type DirectShowCameraZoomControl_ITF interface {
	QCameraZoomControl_ITF
	DirectShowCameraZoomControl_PTR() *DirectShowCameraZoomControl
}

func (ptr *DirectShowCameraZoomControl) DirectShowCameraZoomControl_PTR() *DirectShowCameraZoomControl {
	return ptr
}

func (ptr *DirectShowCameraZoomControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraZoomControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowCameraZoomControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraZoomControl_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowCameraZoomControl(ptr DirectShowCameraZoomControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowCameraZoomControl_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowCameraZoomControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraZoomControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowCameraZoomControl) ClassNameInternalF() string {
	return n.QCameraZoomControl_PTR().ClassNameInternalF()
}

func NewDirectShowCameraZoomControlFromPointer(ptr unsafe.Pointer) (n *DirectShowCameraZoomControl) {
	n = new(DirectShowCameraZoomControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowCameraZoomControl")
	return
}

func (ptr *DirectShowCameraZoomControl) DestroyDirectShowCameraZoomControl() {
}

type DirectShowEventLoop struct {
	core.QObject
}

type DirectShowEventLoop_ITF interface {
	core.QObject_ITF
	DirectShowEventLoop_PTR() *DirectShowEventLoop
}

func (ptr *DirectShowEventLoop) DirectShowEventLoop_PTR() *DirectShowEventLoop {
	return ptr
}

func (ptr *DirectShowEventLoop) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowEventLoop) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowEventLoop(ptr DirectShowEventLoop_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowEventLoop_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowEventLoop) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowEventLoop) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewDirectShowEventLoopFromPointer(ptr unsafe.Pointer) (n *DirectShowEventLoop) {
	n = new(DirectShowEventLoop)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowEventLoop")
	return
}

func (ptr *DirectShowEventLoop) DestroyDirectShowEventLoop() {
}

type DirectShowEvrVideoWindowControl struct {
	internal.Internal
}

type DirectShowEvrVideoWindowControl_ITF interface {
	DirectShowEvrVideoWindowControl_PTR() *DirectShowEvrVideoWindowControl
}

func (ptr *DirectShowEvrVideoWindowControl) DirectShowEvrVideoWindowControl_PTR() *DirectShowEvrVideoWindowControl {
	return ptr
}

func (ptr *DirectShowEvrVideoWindowControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *DirectShowEvrVideoWindowControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromDirectShowEvrVideoWindowControl(ptr DirectShowEvrVideoWindowControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowEvrVideoWindowControl_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowEvrVideoWindowControl) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewDirectShowEvrVideoWindowControlFromPointer(ptr unsafe.Pointer) (n *DirectShowEvrVideoWindowControl) {
	n = new(DirectShowEvrVideoWindowControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowEvrVideoWindowControl")
	return
}

func (ptr *DirectShowEvrVideoWindowControl) DestroyDirectShowEvrVideoWindowControl() {
}

type DirectShowIOReader struct {
	core.QObject
}

type DirectShowIOReader_ITF interface {
	core.QObject_ITF
	DirectShowIOReader_PTR() *DirectShowIOReader
}

func (ptr *DirectShowIOReader) DirectShowIOReader_PTR() *DirectShowIOReader {
	return ptr
}

func (ptr *DirectShowIOReader) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowIOReader) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowIOReader(ptr DirectShowIOReader_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowIOReader_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowIOReader) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowIOReader) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewDirectShowIOReaderFromPointer(ptr unsafe.Pointer) (n *DirectShowIOReader) {
	n = new(DirectShowIOReader)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowIOReader")
	return
}

func (ptr *DirectShowIOReader) DestroyDirectShowIOReader() {
}

type DirectShowIOSource struct {
	internal.Internal
}

type DirectShowIOSource_ITF interface {
	DirectShowIOSource_PTR() *DirectShowIOSource
}

func (ptr *DirectShowIOSource) DirectShowIOSource_PTR() *DirectShowIOSource {
	return ptr
}

func (ptr *DirectShowIOSource) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *DirectShowIOSource) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromDirectShowIOSource(ptr DirectShowIOSource_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowIOSource_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowIOSource) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewDirectShowIOSourceFromPointer(ptr unsafe.Pointer) (n *DirectShowIOSource) {
	n = new(DirectShowIOSource)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowIOSource")
	return
}

func (ptr *DirectShowIOSource) DestroyDirectShowIOSource() {
}

type DirectShowInputPin struct {
	DirectShowPin
}

type DirectShowInputPin_ITF interface {
	DirectShowPin_ITF
	DirectShowInputPin_PTR() *DirectShowInputPin
}

func (ptr *DirectShowInputPin) DirectShowInputPin_PTR() *DirectShowInputPin {
	return ptr
}

func (ptr *DirectShowInputPin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowPin_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowInputPin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.DirectShowPin_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowInputPin(ptr DirectShowInputPin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowInputPin_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowInputPin) InitFromInternal(ptr uintptr, name string) {
	n.DirectShowPin_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowInputPin) ClassNameInternalF() string {
	return n.DirectShowPin_PTR().ClassNameInternalF()
}

func NewDirectShowInputPinFromPointer(ptr unsafe.Pointer) (n *DirectShowInputPin) {
	n = new(DirectShowInputPin)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowInputPin")
	return
}

func (ptr *DirectShowInputPin) DestroyDirectShowInputPin() {
}

type DirectShowMediaType struct {
	internal.Internal
}

type DirectShowMediaType_ITF interface {
	DirectShowMediaType_PTR() *DirectShowMediaType
}

func (ptr *DirectShowMediaType) DirectShowMediaType_PTR() *DirectShowMediaType {
	return ptr
}

func (ptr *DirectShowMediaType) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *DirectShowMediaType) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromDirectShowMediaType(ptr DirectShowMediaType_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowMediaType_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowMediaType) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewDirectShowMediaTypeFromPointer(ptr unsafe.Pointer) (n *DirectShowMediaType) {
	n = new(DirectShowMediaType)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowMediaType")
	return
}

func (ptr *DirectShowMediaType) DestroyDirectShowMediaType() {
}

type DirectShowMediaTypeEnum struct {
	internal.Internal
}

type DirectShowMediaTypeEnum_ITF interface {
	DirectShowMediaTypeEnum_PTR() *DirectShowMediaTypeEnum
}

func (ptr *DirectShowMediaTypeEnum) DirectShowMediaTypeEnum_PTR() *DirectShowMediaTypeEnum {
	return ptr
}

func (ptr *DirectShowMediaTypeEnum) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *DirectShowMediaTypeEnum) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromDirectShowMediaTypeEnum(ptr DirectShowMediaTypeEnum_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowMediaTypeEnum_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowMediaTypeEnum) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewDirectShowMediaTypeEnumFromPointer(ptr unsafe.Pointer) (n *DirectShowMediaTypeEnum) {
	n = new(DirectShowMediaTypeEnum)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowMediaTypeEnum")
	return
}

func (ptr *DirectShowMediaTypeEnum) DestroyDirectShowMediaTypeEnum() {
}

type DirectShowMetaDataControl struct {
	QMetaDataReaderControl
}

type DirectShowMetaDataControl_ITF interface {
	QMetaDataReaderControl_ITF
	DirectShowMetaDataControl_PTR() *DirectShowMetaDataControl
}

func (ptr *DirectShowMetaDataControl) DirectShowMetaDataControl_PTR() *DirectShowMetaDataControl {
	return ptr
}

func (ptr *DirectShowMetaDataControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaDataReaderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowMetaDataControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMetaDataReaderControl_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowMetaDataControl(ptr DirectShowMetaDataControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowMetaDataControl_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowMetaDataControl) InitFromInternal(ptr uintptr, name string) {
	n.QMetaDataReaderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowMetaDataControl) ClassNameInternalF() string {
	return n.QMetaDataReaderControl_PTR().ClassNameInternalF()
}

func NewDirectShowMetaDataControlFromPointer(ptr unsafe.Pointer) (n *DirectShowMetaDataControl) {
	n = new(DirectShowMetaDataControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowMetaDataControl")
	return
}

func (ptr *DirectShowMetaDataControl) DestroyDirectShowMetaDataControl() {
}

type DirectShowOutputPin struct {
	DirectShowPin
}

type DirectShowOutputPin_ITF interface {
	DirectShowPin_ITF
	DirectShowOutputPin_PTR() *DirectShowOutputPin
}

func (ptr *DirectShowOutputPin) DirectShowOutputPin_PTR() *DirectShowOutputPin {
	return ptr
}

func (ptr *DirectShowOutputPin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowPin_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowOutputPin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.DirectShowPin_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowOutputPin(ptr DirectShowOutputPin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowOutputPin_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowOutputPin) InitFromInternal(ptr uintptr, name string) {
	n.DirectShowPin_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowOutputPin) ClassNameInternalF() string {
	return n.DirectShowPin_PTR().ClassNameInternalF()
}

func NewDirectShowOutputPinFromPointer(ptr unsafe.Pointer) (n *DirectShowOutputPin) {
	n = new(DirectShowOutputPin)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowOutputPin")
	return
}

func (ptr *DirectShowOutputPin) DestroyDirectShowOutputPin() {
}

type DirectShowPin struct {
	internal.Internal
}

type DirectShowPin_ITF interface {
	DirectShowPin_PTR() *DirectShowPin
}

func (ptr *DirectShowPin) DirectShowPin_PTR() *DirectShowPin {
	return ptr
}

func (ptr *DirectShowPin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *DirectShowPin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromDirectShowPin(ptr DirectShowPin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowPin_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowPin) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewDirectShowPinFromPointer(ptr unsafe.Pointer) (n *DirectShowPin) {
	n = new(DirectShowPin)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowPin")
	return
}

func (ptr *DirectShowPin) DestroyDirectShowPin() {
}

type DirectShowPinEnum struct {
	internal.Internal
}

type DirectShowPinEnum_ITF interface {
	DirectShowPinEnum_PTR() *DirectShowPinEnum
}

func (ptr *DirectShowPinEnum) DirectShowPinEnum_PTR() *DirectShowPinEnum {
	return ptr
}

func (ptr *DirectShowPinEnum) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *DirectShowPinEnum) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromDirectShowPinEnum(ptr DirectShowPinEnum_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowPinEnum_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowPinEnum) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewDirectShowPinEnumFromPointer(ptr unsafe.Pointer) (n *DirectShowPinEnum) {
	n = new(DirectShowPinEnum)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowPinEnum")
	return
}

func (ptr *DirectShowPinEnum) DestroyDirectShowPinEnum() {
}

type DirectShowPlayerControl struct {
	QMediaPlayerControl
}

type DirectShowPlayerControl_ITF interface {
	QMediaPlayerControl_ITF
	DirectShowPlayerControl_PTR() *DirectShowPlayerControl
}

func (ptr *DirectShowPlayerControl) DirectShowPlayerControl_PTR() *DirectShowPlayerControl {
	return ptr
}

func (ptr *DirectShowPlayerControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaPlayerControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowPlayerControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaPlayerControl_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowPlayerControl(ptr DirectShowPlayerControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowPlayerControl_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowPlayerControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaPlayerControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowPlayerControl) ClassNameInternalF() string {
	return n.QMediaPlayerControl_PTR().ClassNameInternalF()
}

func NewDirectShowPlayerControlFromPointer(ptr unsafe.Pointer) (n *DirectShowPlayerControl) {
	n = new(DirectShowPlayerControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowPlayerControl")
	return
}

func (ptr *DirectShowPlayerControl) DestroyDirectShowPlayerControl() {
}

type DirectShowPlayerService struct {
	QMediaService
}

type DirectShowPlayerService_ITF interface {
	QMediaService_ITF
	DirectShowPlayerService_PTR() *DirectShowPlayerService
}

func (ptr *DirectShowPlayerService) DirectShowPlayerService_PTR() *DirectShowPlayerService {
	return ptr
}

func (ptr *DirectShowPlayerService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowPlayerService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowPlayerService(ptr DirectShowPlayerService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowPlayerService_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowPlayerService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowPlayerService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewDirectShowPlayerServiceFromPointer(ptr unsafe.Pointer) (n *DirectShowPlayerService) {
	n = new(DirectShowPlayerService)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowPlayerService")
	return
}

func (ptr *DirectShowPlayerService) DestroyDirectShowPlayerService() {
}

type DirectShowSampleGrabber struct {
	core.QObject
}

type DirectShowSampleGrabber_ITF interface {
	core.QObject_ITF
	DirectShowSampleGrabber_PTR() *DirectShowSampleGrabber
}

func (ptr *DirectShowSampleGrabber) DirectShowSampleGrabber_PTR() *DirectShowSampleGrabber {
	return ptr
}

func (ptr *DirectShowSampleGrabber) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowSampleGrabber) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowSampleGrabber(ptr DirectShowSampleGrabber_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowSampleGrabber_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowSampleGrabber) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowSampleGrabber) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewDirectShowSampleGrabberFromPointer(ptr unsafe.Pointer) (n *DirectShowSampleGrabber) {
	n = new(DirectShowSampleGrabber)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowSampleGrabber")
	return
}

func (ptr *DirectShowSampleGrabber) DestroyDirectShowSampleGrabber() {
}

type DirectShowVideoBuffer struct {
	QAbstractVideoBuffer
}

type DirectShowVideoBuffer_ITF interface {
	QAbstractVideoBuffer_ITF
	DirectShowVideoBuffer_PTR() *DirectShowVideoBuffer
}

func (ptr *DirectShowVideoBuffer) DirectShowVideoBuffer_PTR() *DirectShowVideoBuffer {
	return ptr
}

func (ptr *DirectShowVideoBuffer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractVideoBuffer_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowVideoBuffer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractVideoBuffer_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowVideoBuffer(ptr DirectShowVideoBuffer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowVideoBuffer_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowVideoBuffer) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractVideoBuffer_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowVideoBuffer) ClassNameInternalF() string {
	return n.QAbstractVideoBuffer_PTR().ClassNameInternalF()
}

func NewDirectShowVideoBufferFromPointer(ptr unsafe.Pointer) (n *DirectShowVideoBuffer) {
	n = new(DirectShowVideoBuffer)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowVideoBuffer")
	return
}

func (ptr *DirectShowVideoBuffer) DestroyDirectShowVideoBuffer() {
}

type DirectShowVideoProbeControl struct {
	QMediaVideoProbeControl
}

type DirectShowVideoProbeControl_ITF interface {
	QMediaVideoProbeControl_ITF
	DirectShowVideoProbeControl_PTR() *DirectShowVideoProbeControl
}

func (ptr *DirectShowVideoProbeControl) DirectShowVideoProbeControl_PTR() *DirectShowVideoProbeControl {
	return ptr
}

func (ptr *DirectShowVideoProbeControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaVideoProbeControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowVideoProbeControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaVideoProbeControl_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowVideoProbeControl(ptr DirectShowVideoProbeControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowVideoProbeControl_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowVideoProbeControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaVideoProbeControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowVideoProbeControl) ClassNameInternalF() string {
	return n.QMediaVideoProbeControl_PTR().ClassNameInternalF()
}

func NewDirectShowVideoProbeControlFromPointer(ptr unsafe.Pointer) (n *DirectShowVideoProbeControl) {
	n = new(DirectShowVideoProbeControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowVideoProbeControl")
	return
}

func (ptr *DirectShowVideoProbeControl) DestroyDirectShowVideoProbeControl() {
}

type DirectShowVideoRendererControl struct {
	QVideoRendererControl
}

type DirectShowVideoRendererControl_ITF interface {
	QVideoRendererControl_ITF
	DirectShowVideoRendererControl_PTR() *DirectShowVideoRendererControl
}

func (ptr *DirectShowVideoRendererControl) DirectShowVideoRendererControl_PTR() *DirectShowVideoRendererControl {
	return ptr
}

func (ptr *DirectShowVideoRendererControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (ptr *DirectShowVideoRendererControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoRendererControl_PTR().SetPointer(p)
	}
}

func PointerFromDirectShowVideoRendererControl(ptr DirectShowVideoRendererControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.DirectShowVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (n *DirectShowVideoRendererControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoRendererControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *DirectShowVideoRendererControl) ClassNameInternalF() string {
	return n.QVideoRendererControl_PTR().ClassNameInternalF()
}

func NewDirectShowVideoRendererControlFromPointer(ptr unsafe.Pointer) (n *DirectShowVideoRendererControl) {
	n = new(DirectShowVideoRendererControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.DirectShowVideoRendererControl")
	return
}

func (ptr *DirectShowVideoRendererControl) DestroyDirectShowVideoRendererControl() {
}

type EVRCustomPresenter struct {
	core.QObject
}

type EVRCustomPresenter_ITF interface {
	core.QObject_ITF
	EVRCustomPresenter_PTR() *EVRCustomPresenter
}

func (ptr *EVRCustomPresenter) EVRCustomPresenter_PTR() *EVRCustomPresenter {
	return ptr
}

func (ptr *EVRCustomPresenter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *EVRCustomPresenter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromEVRCustomPresenter(ptr EVRCustomPresenter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.EVRCustomPresenter_PTR().Pointer()
	}
	return nil
}

func (n *EVRCustomPresenter) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *EVRCustomPresenter) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewEVRCustomPresenterFromPointer(ptr unsafe.Pointer) (n *EVRCustomPresenter) {
	n = new(EVRCustomPresenter)
	n.InitFromInternal(uintptr(ptr), "multimedia.EVRCustomPresenter")
	return
}

func (ptr *EVRCustomPresenter) DestroyEVRCustomPresenter() {
}

type EvrVideoWindowControl struct {
	QVideoWindowControl
}

type EvrVideoWindowControl_ITF interface {
	QVideoWindowControl_ITF
	EvrVideoWindowControl_PTR() *EvrVideoWindowControl
}

func (ptr *EvrVideoWindowControl) EvrVideoWindowControl_PTR() *EvrVideoWindowControl {
	return ptr
}

func (ptr *EvrVideoWindowControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoWindowControl_PTR().Pointer()
	}
	return nil
}

func (ptr *EvrVideoWindowControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoWindowControl_PTR().SetPointer(p)
	}
}

func PointerFromEvrVideoWindowControl(ptr EvrVideoWindowControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.EvrVideoWindowControl_PTR().Pointer()
	}
	return nil
}

func (n *EvrVideoWindowControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoWindowControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *EvrVideoWindowControl) ClassNameInternalF() string {
	return n.QVideoWindowControl_PTR().ClassNameInternalF()
}

func NewEvrVideoWindowControlFromPointer(ptr unsafe.Pointer) (n *EvrVideoWindowControl) {
	n = new(EvrVideoWindowControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.EvrVideoWindowControl")
	return
}

func (ptr *EvrVideoWindowControl) DestroyEvrVideoWindowControl() {
}

type FileProbeProxy struct {
	core.QFile
}

type FileProbeProxy_ITF interface {
	core.QFile_ITF
	FileProbeProxy_PTR() *FileProbeProxy
}

func (ptr *FileProbeProxy) FileProbeProxy_PTR() *FileProbeProxy {
	return ptr
}

func (ptr *FileProbeProxy) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QFile_PTR().Pointer()
	}
	return nil
}

func (ptr *FileProbeProxy) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QFile_PTR().SetPointer(p)
	}
}

func PointerFromFileProbeProxy(ptr FileProbeProxy_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.FileProbeProxy_PTR().Pointer()
	}
	return nil
}

func (n *FileProbeProxy) InitFromInternal(ptr uintptr, name string) {
	n.QFile_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *FileProbeProxy) ClassNameInternalF() string {
	return n.QFile_PTR().ClassNameInternalF()
}

func NewFileProbeProxyFromPointer(ptr unsafe.Pointer) (n *FileProbeProxy) {
	n = new(FileProbeProxy)
	n.InitFromInternal(uintptr(ptr), "multimedia.FileProbeProxy")
	return
}

func (ptr *FileProbeProxy) DestroyFileProbeProxy() {
}

type MFAbstractActivate struct {
	internal.Internal
}

type MFAbstractActivate_ITF interface {
	MFAbstractActivate_PTR() *MFAbstractActivate
}

func (ptr *MFAbstractActivate) MFAbstractActivate_PTR() *MFAbstractActivate {
	return ptr
}

func (ptr *MFAbstractActivate) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *MFAbstractActivate) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromMFAbstractActivate(ptr MFAbstractActivate_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFAbstractActivate_PTR().Pointer()
	}
	return nil
}

func (n *MFAbstractActivate) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewMFAbstractActivateFromPointer(ptr unsafe.Pointer) (n *MFAbstractActivate) {
	n = new(MFAbstractActivate)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFAbstractActivate")
	return
}

func (ptr *MFAbstractActivate) DestroyMFAbstractActivate() {
}

type MFAudioDecoderControl struct {
	QAudioDecoderControl
}

type MFAudioDecoderControl_ITF interface {
	QAudioDecoderControl_ITF
	MFAudioDecoderControl_PTR() *MFAudioDecoderControl
}

func (ptr *MFAudioDecoderControl) MFAudioDecoderControl_PTR() *MFAudioDecoderControl {
	return ptr
}

func (ptr *MFAudioDecoderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioDecoderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *MFAudioDecoderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioDecoderControl_PTR().SetPointer(p)
	}
}

func PointerFromMFAudioDecoderControl(ptr MFAudioDecoderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFAudioDecoderControl_PTR().Pointer()
	}
	return nil
}

func (n *MFAudioDecoderControl) InitFromInternal(ptr uintptr, name string) {
	n.QAudioDecoderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MFAudioDecoderControl) ClassNameInternalF() string {
	return n.QAudioDecoderControl_PTR().ClassNameInternalF()
}

func NewMFAudioDecoderControlFromPointer(ptr unsafe.Pointer) (n *MFAudioDecoderControl) {
	n = new(MFAudioDecoderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFAudioDecoderControl")
	return
}

func (ptr *MFAudioDecoderControl) DestroyMFAudioDecoderControl() {
}

type MFAudioDecoderService struct {
	QMediaService
}

type MFAudioDecoderService_ITF interface {
	QMediaService_ITF
	MFAudioDecoderService_PTR() *MFAudioDecoderService
}

func (ptr *MFAudioDecoderService) MFAudioDecoderService_PTR() *MFAudioDecoderService {
	return ptr
}

func (ptr *MFAudioDecoderService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *MFAudioDecoderService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromMFAudioDecoderService(ptr MFAudioDecoderService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFAudioDecoderService_PTR().Pointer()
	}
	return nil
}

func (n *MFAudioDecoderService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MFAudioDecoderService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewMFAudioDecoderServiceFromPointer(ptr unsafe.Pointer) (n *MFAudioDecoderService) {
	n = new(MFAudioDecoderService)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFAudioDecoderService")
	return
}

func (ptr *MFAudioDecoderService) DestroyMFAudioDecoderService() {
}

type MFAudioEndpointControl struct {
	QAudioOutputSelectorControl
}

type MFAudioEndpointControl_ITF interface {
	QAudioOutputSelectorControl_ITF
	MFAudioEndpointControl_PTR() *MFAudioEndpointControl
}

func (ptr *MFAudioEndpointControl) MFAudioEndpointControl_PTR() *MFAudioEndpointControl {
	return ptr
}

func (ptr *MFAudioEndpointControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioOutputSelectorControl_PTR().Pointer()
	}
	return nil
}

func (ptr *MFAudioEndpointControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioOutputSelectorControl_PTR().SetPointer(p)
	}
}

func PointerFromMFAudioEndpointControl(ptr MFAudioEndpointControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFAudioEndpointControl_PTR().Pointer()
	}
	return nil
}

func (n *MFAudioEndpointControl) InitFromInternal(ptr uintptr, name string) {
	n.QAudioOutputSelectorControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MFAudioEndpointControl) ClassNameInternalF() string {
	return n.QAudioOutputSelectorControl_PTR().ClassNameInternalF()
}

func NewMFAudioEndpointControlFromPointer(ptr unsafe.Pointer) (n *MFAudioEndpointControl) {
	n = new(MFAudioEndpointControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFAudioEndpointControl")
	return
}

func (ptr *MFAudioEndpointControl) DestroyMFAudioEndpointControl() {
}

type MFAudioProbeControl struct {
	QMediaAudioProbeControl
}

type MFAudioProbeControl_ITF interface {
	QMediaAudioProbeControl_ITF
	MFAudioProbeControl_PTR() *MFAudioProbeControl
}

func (ptr *MFAudioProbeControl) MFAudioProbeControl_PTR() *MFAudioProbeControl {
	return ptr
}

func (ptr *MFAudioProbeControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaAudioProbeControl_PTR().Pointer()
	}
	return nil
}

func (ptr *MFAudioProbeControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaAudioProbeControl_PTR().SetPointer(p)
	}
}

func PointerFromMFAudioProbeControl(ptr MFAudioProbeControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFAudioProbeControl_PTR().Pointer()
	}
	return nil
}

func (n *MFAudioProbeControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaAudioProbeControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MFAudioProbeControl) ClassNameInternalF() string {
	return n.QMediaAudioProbeControl_PTR().ClassNameInternalF()
}

func NewMFAudioProbeControlFromPointer(ptr unsafe.Pointer) (n *MFAudioProbeControl) {
	n = new(MFAudioProbeControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFAudioProbeControl")
	return
}

func (ptr *MFAudioProbeControl) DestroyMFAudioProbeControl() {
}

type MFDecoderSourceReader struct {
	core.QObject
}

type MFDecoderSourceReader_ITF interface {
	core.QObject_ITF
	MFDecoderSourceReader_PTR() *MFDecoderSourceReader
}

func (ptr *MFDecoderSourceReader) MFDecoderSourceReader_PTR() *MFDecoderSourceReader {
	return ptr
}

func (ptr *MFDecoderSourceReader) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *MFDecoderSourceReader) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromMFDecoderSourceReader(ptr MFDecoderSourceReader_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFDecoderSourceReader_PTR().Pointer()
	}
	return nil
}

func (n *MFDecoderSourceReader) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MFDecoderSourceReader) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewMFDecoderSourceReaderFromPointer(ptr unsafe.Pointer) (n *MFDecoderSourceReader) {
	n = new(MFDecoderSourceReader)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFDecoderSourceReader")
	return
}

func (ptr *MFDecoderSourceReader) DestroyMFDecoderSourceReader() {
}

type MFEvrVideoWindowControl struct {
	internal.Internal
}

type MFEvrVideoWindowControl_ITF interface {
	MFEvrVideoWindowControl_PTR() *MFEvrVideoWindowControl
}

func (ptr *MFEvrVideoWindowControl) MFEvrVideoWindowControl_PTR() *MFEvrVideoWindowControl {
	return ptr
}

func (ptr *MFEvrVideoWindowControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *MFEvrVideoWindowControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromMFEvrVideoWindowControl(ptr MFEvrVideoWindowControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFEvrVideoWindowControl_PTR().Pointer()
	}
	return nil
}

func (n *MFEvrVideoWindowControl) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewMFEvrVideoWindowControlFromPointer(ptr unsafe.Pointer) (n *MFEvrVideoWindowControl) {
	n = new(MFEvrVideoWindowControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFEvrVideoWindowControl")
	return
}

func (ptr *MFEvrVideoWindowControl) DestroyMFEvrVideoWindowControl() {
}

type MFMetaDataControl struct {
	QMetaDataReaderControl
}

type MFMetaDataControl_ITF interface {
	QMetaDataReaderControl_ITF
	MFMetaDataControl_PTR() *MFMetaDataControl
}

func (ptr *MFMetaDataControl) MFMetaDataControl_PTR() *MFMetaDataControl {
	return ptr
}

func (ptr *MFMetaDataControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaDataReaderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *MFMetaDataControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMetaDataReaderControl_PTR().SetPointer(p)
	}
}

func PointerFromMFMetaDataControl(ptr MFMetaDataControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFMetaDataControl_PTR().Pointer()
	}
	return nil
}

func (n *MFMetaDataControl) InitFromInternal(ptr uintptr, name string) {
	n.QMetaDataReaderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MFMetaDataControl) ClassNameInternalF() string {
	return n.QMetaDataReaderControl_PTR().ClassNameInternalF()
}

func NewMFMetaDataControlFromPointer(ptr unsafe.Pointer) (n *MFMetaDataControl) {
	n = new(MFMetaDataControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFMetaDataControl")
	return
}

func (ptr *MFMetaDataControl) DestroyMFMetaDataControl() {
}

type MFPlayerControl struct {
	QMediaPlayerControl
}

type MFPlayerControl_ITF interface {
	QMediaPlayerControl_ITF
	MFPlayerControl_PTR() *MFPlayerControl
}

func (ptr *MFPlayerControl) MFPlayerControl_PTR() *MFPlayerControl {
	return ptr
}

func (ptr *MFPlayerControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaPlayerControl_PTR().Pointer()
	}
	return nil
}

func (ptr *MFPlayerControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaPlayerControl_PTR().SetPointer(p)
	}
}

func PointerFromMFPlayerControl(ptr MFPlayerControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFPlayerControl_PTR().Pointer()
	}
	return nil
}

func (n *MFPlayerControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaPlayerControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MFPlayerControl) ClassNameInternalF() string {
	return n.QMediaPlayerControl_PTR().ClassNameInternalF()
}

func NewMFPlayerControlFromPointer(ptr unsafe.Pointer) (n *MFPlayerControl) {
	n = new(MFPlayerControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFPlayerControl")
	return
}

func (ptr *MFPlayerControl) DestroyMFPlayerControl() {
}

type MFPlayerService struct {
	QMediaService
}

type MFPlayerService_ITF interface {
	QMediaService_ITF
	MFPlayerService_PTR() *MFPlayerService
}

func (ptr *MFPlayerService) MFPlayerService_PTR() *MFPlayerService {
	return ptr
}

func (ptr *MFPlayerService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *MFPlayerService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromMFPlayerService(ptr MFPlayerService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFPlayerService_PTR().Pointer()
	}
	return nil
}

func (n *MFPlayerService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MFPlayerService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewMFPlayerServiceFromPointer(ptr unsafe.Pointer) (n *MFPlayerService) {
	n = new(MFPlayerService)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFPlayerService")
	return
}

func (ptr *MFPlayerService) DestroyMFPlayerService() {
}

type MFPlayerSession struct {
	core.QObject
}

type MFPlayerSession_ITF interface {
	core.QObject_ITF
	MFPlayerSession_PTR() *MFPlayerSession
}

func (ptr *MFPlayerSession) MFPlayerSession_PTR() *MFPlayerSession {
	return ptr
}

func (ptr *MFPlayerSession) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *MFPlayerSession) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromMFPlayerSession(ptr MFPlayerSession_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFPlayerSession_PTR().Pointer()
	}
	return nil
}

func (n *MFPlayerSession) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MFPlayerSession) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewMFPlayerSessionFromPointer(ptr unsafe.Pointer) (n *MFPlayerSession) {
	n = new(MFPlayerSession)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFPlayerSession")
	return
}

func (ptr *MFPlayerSession) DestroyMFPlayerSession() {
}

type MFStream struct {
	core.QObject
}

type MFStream_ITF interface {
	core.QObject_ITF
	MFStream_PTR() *MFStream
}

func (ptr *MFStream) MFStream_PTR() *MFStream {
	return ptr
}

func (ptr *MFStream) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *MFStream) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromMFStream(ptr MFStream_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFStream_PTR().Pointer()
	}
	return nil
}

func (n *MFStream) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MFStream) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewMFStreamFromPointer(ptr unsafe.Pointer) (n *MFStream) {
	n = new(MFStream)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFStream")
	return
}

func (ptr *MFStream) DestroyMFStream() {
}

type MFTransform struct {
	internal.Internal
}

type MFTransform_ITF interface {
	MFTransform_PTR() *MFTransform
}

func (ptr *MFTransform) MFTransform_PTR() *MFTransform {
	return ptr
}

func (ptr *MFTransform) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *MFTransform) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromMFTransform(ptr MFTransform_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFTransform_PTR().Pointer()
	}
	return nil
}

func (n *MFTransform) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewMFTransformFromPointer(ptr unsafe.Pointer) (n *MFTransform) {
	n = new(MFTransform)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFTransform")
	return
}

func (ptr *MFTransform) DestroyMFTransform() {
}

type MFVideoProbeControl struct {
	QMediaVideoProbeControl
}

type MFVideoProbeControl_ITF interface {
	QMediaVideoProbeControl_ITF
	MFVideoProbeControl_PTR() *MFVideoProbeControl
}

func (ptr *MFVideoProbeControl) MFVideoProbeControl_PTR() *MFVideoProbeControl {
	return ptr
}

func (ptr *MFVideoProbeControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaVideoProbeControl_PTR().Pointer()
	}
	return nil
}

func (ptr *MFVideoProbeControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaVideoProbeControl_PTR().SetPointer(p)
	}
}

func PointerFromMFVideoProbeControl(ptr MFVideoProbeControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFVideoProbeControl_PTR().Pointer()
	}
	return nil
}

func (n *MFVideoProbeControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaVideoProbeControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MFVideoProbeControl) ClassNameInternalF() string {
	return n.QMediaVideoProbeControl_PTR().ClassNameInternalF()
}

func NewMFVideoProbeControlFromPointer(ptr unsafe.Pointer) (n *MFVideoProbeControl) {
	n = new(MFVideoProbeControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFVideoProbeControl")
	return
}

func (ptr *MFVideoProbeControl) DestroyMFVideoProbeControl() {
}

type MFVideoRendererControl struct {
	QVideoRendererControl
}

type MFVideoRendererControl_ITF interface {
	QVideoRendererControl_ITF
	MFVideoRendererControl_PTR() *MFVideoRendererControl
}

func (ptr *MFVideoRendererControl) MFVideoRendererControl_PTR() *MFVideoRendererControl {
	return ptr
}

func (ptr *MFVideoRendererControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (ptr *MFVideoRendererControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoRendererControl_PTR().SetPointer(p)
	}
}

func PointerFromMFVideoRendererControl(ptr MFVideoRendererControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MFVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (n *MFVideoRendererControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoRendererControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MFVideoRendererControl) ClassNameInternalF() string {
	return n.QVideoRendererControl_PTR().ClassNameInternalF()
}

func NewMFVideoRendererControlFromPointer(ptr unsafe.Pointer) (n *MFVideoRendererControl) {
	n = new(MFVideoRendererControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MFVideoRendererControl")
	return
}

func (ptr *MFVideoRendererControl) DestroyMFVideoRendererControl() {
}

type MmRendererAudioRoleControl struct {
	QAudioRoleControl
}

type MmRendererAudioRoleControl_ITF interface {
	QAudioRoleControl_ITF
	MmRendererAudioRoleControl_PTR() *MmRendererAudioRoleControl
}

func (ptr *MmRendererAudioRoleControl) MmRendererAudioRoleControl_PTR() *MmRendererAudioRoleControl {
	return ptr
}

func (ptr *MmRendererAudioRoleControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioRoleControl_PTR().Pointer()
	}
	return nil
}

func (ptr *MmRendererAudioRoleControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioRoleControl_PTR().SetPointer(p)
	}
}

func PointerFromMmRendererAudioRoleControl(ptr MmRendererAudioRoleControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MmRendererAudioRoleControl_PTR().Pointer()
	}
	return nil
}

func (n *MmRendererAudioRoleControl) InitFromInternal(ptr uintptr, name string) {
	n.QAudioRoleControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MmRendererAudioRoleControl) ClassNameInternalF() string {
	return n.QAudioRoleControl_PTR().ClassNameInternalF()
}

func NewMmRendererAudioRoleControlFromPointer(ptr unsafe.Pointer) (n *MmRendererAudioRoleControl) {
	n = new(MmRendererAudioRoleControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MmRendererAudioRoleControl")
	return
}

func (ptr *MmRendererAudioRoleControl) DestroyMmRendererAudioRoleControl() {
}

type MmRendererCustomAudioRoleControl struct {
	QCustomAudioRoleControl
}

type MmRendererCustomAudioRoleControl_ITF interface {
	QCustomAudioRoleControl_ITF
	MmRendererCustomAudioRoleControl_PTR() *MmRendererCustomAudioRoleControl
}

func (ptr *MmRendererCustomAudioRoleControl) MmRendererCustomAudioRoleControl_PTR() *MmRendererCustomAudioRoleControl {
	return ptr
}

func (ptr *MmRendererCustomAudioRoleControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCustomAudioRoleControl_PTR().Pointer()
	}
	return nil
}

func (ptr *MmRendererCustomAudioRoleControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCustomAudioRoleControl_PTR().SetPointer(p)
	}
}

func PointerFromMmRendererCustomAudioRoleControl(ptr MmRendererCustomAudioRoleControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MmRendererCustomAudioRoleControl_PTR().Pointer()
	}
	return nil
}

func (n *MmRendererCustomAudioRoleControl) InitFromInternal(ptr uintptr, name string) {
	n.QCustomAudioRoleControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MmRendererCustomAudioRoleControl) ClassNameInternalF() string {
	return n.QCustomAudioRoleControl_PTR().ClassNameInternalF()
}

func NewMmRendererCustomAudioRoleControlFromPointer(ptr unsafe.Pointer) (n *MmRendererCustomAudioRoleControl) {
	n = new(MmRendererCustomAudioRoleControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MmRendererCustomAudioRoleControl")
	return
}

func (ptr *MmRendererCustomAudioRoleControl) DestroyMmRendererCustomAudioRoleControl() {
}

type MmRendererMediaPlayerControl struct {
	core.QAbstractNativeEventFilter
	QMediaPlayerControl
}

type MmRendererMediaPlayerControl_ITF interface {
	core.QAbstractNativeEventFilter_ITF
	QMediaPlayerControl_ITF
	MmRendererMediaPlayerControl_PTR() *MmRendererMediaPlayerControl
}

func (ptr *MmRendererMediaPlayerControl) MmRendererMediaPlayerControl_PTR() *MmRendererMediaPlayerControl {
	return ptr
}

func (ptr *MmRendererMediaPlayerControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractNativeEventFilter_PTR().Pointer()
	}
	return nil
}

func (ptr *MmRendererMediaPlayerControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractNativeEventFilter_PTR().SetPointer(p)
		ptr.QMediaPlayerControl_PTR().SetPointer(p)
	}
}

func PointerFromMmRendererMediaPlayerControl(ptr MmRendererMediaPlayerControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MmRendererMediaPlayerControl_PTR().Pointer()
	}
	return nil
}

func (n *MmRendererMediaPlayerControl) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractNativeEventFilter_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaPlayerControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MmRendererMediaPlayerControl) ClassNameInternalF() string {
	return n.QAbstractNativeEventFilter_PTR().ClassNameInternalF()
}

func NewMmRendererMediaPlayerControlFromPointer(ptr unsafe.Pointer) (n *MmRendererMediaPlayerControl) {
	n = new(MmRendererMediaPlayerControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MmRendererMediaPlayerControl")
	return
}

func (ptr *MmRendererMediaPlayerControl) DestroyMmRendererMediaPlayerControl() {
}

type MmRendererMediaPlayerService struct {
	QMediaService
}

type MmRendererMediaPlayerService_ITF interface {
	QMediaService_ITF
	MmRendererMediaPlayerService_PTR() *MmRendererMediaPlayerService
}

func (ptr *MmRendererMediaPlayerService) MmRendererMediaPlayerService_PTR() *MmRendererMediaPlayerService {
	return ptr
}

func (ptr *MmRendererMediaPlayerService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *MmRendererMediaPlayerService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromMmRendererMediaPlayerService(ptr MmRendererMediaPlayerService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MmRendererMediaPlayerService_PTR().Pointer()
	}
	return nil
}

func (n *MmRendererMediaPlayerService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MmRendererMediaPlayerService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewMmRendererMediaPlayerServiceFromPointer(ptr unsafe.Pointer) (n *MmRendererMediaPlayerService) {
	n = new(MmRendererMediaPlayerService)
	n.InitFromInternal(uintptr(ptr), "multimedia.MmRendererMediaPlayerService")
	return
}

func (ptr *MmRendererMediaPlayerService) DestroyMmRendererMediaPlayerService() {
}

type MmRendererMetaData struct {
	internal.Internal
}

type MmRendererMetaData_ITF interface {
	MmRendererMetaData_PTR() *MmRendererMetaData
}

func (ptr *MmRendererMetaData) MmRendererMetaData_PTR() *MmRendererMetaData {
	return ptr
}

func (ptr *MmRendererMetaData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *MmRendererMetaData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromMmRendererMetaData(ptr MmRendererMetaData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MmRendererMetaData_PTR().Pointer()
	}
	return nil
}

func (n *MmRendererMetaData) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewMmRendererMetaDataFromPointer(ptr unsafe.Pointer) (n *MmRendererMetaData) {
	n = new(MmRendererMetaData)
	n.InitFromInternal(uintptr(ptr), "multimedia.MmRendererMetaData")
	return
}

func (ptr *MmRendererMetaData) DestroyMmRendererMetaData() {
}

type MmRendererMetaDataReaderControl struct {
	QMetaDataReaderControl
}

type MmRendererMetaDataReaderControl_ITF interface {
	QMetaDataReaderControl_ITF
	MmRendererMetaDataReaderControl_PTR() *MmRendererMetaDataReaderControl
}

func (ptr *MmRendererMetaDataReaderControl) MmRendererMetaDataReaderControl_PTR() *MmRendererMetaDataReaderControl {
	return ptr
}

func (ptr *MmRendererMetaDataReaderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaDataReaderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *MmRendererMetaDataReaderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMetaDataReaderControl_PTR().SetPointer(p)
	}
}

func PointerFromMmRendererMetaDataReaderControl(ptr MmRendererMetaDataReaderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MmRendererMetaDataReaderControl_PTR().Pointer()
	}
	return nil
}

func (n *MmRendererMetaDataReaderControl) InitFromInternal(ptr uintptr, name string) {
	n.QMetaDataReaderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MmRendererMetaDataReaderControl) ClassNameInternalF() string {
	return n.QMetaDataReaderControl_PTR().ClassNameInternalF()
}

func NewMmRendererMetaDataReaderControlFromPointer(ptr unsafe.Pointer) (n *MmRendererMetaDataReaderControl) {
	n = new(MmRendererMetaDataReaderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MmRendererMetaDataReaderControl")
	return
}

func (ptr *MmRendererMetaDataReaderControl) DestroyMmRendererMetaDataReaderControl() {
}

type MmRendererPlayerVideoRendererControl struct {
	QVideoRendererControl
}

type MmRendererPlayerVideoRendererControl_ITF interface {
	QVideoRendererControl_ITF
	MmRendererPlayerVideoRendererControl_PTR() *MmRendererPlayerVideoRendererControl
}

func (ptr *MmRendererPlayerVideoRendererControl) MmRendererPlayerVideoRendererControl_PTR() *MmRendererPlayerVideoRendererControl {
	return ptr
}

func (ptr *MmRendererPlayerVideoRendererControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (ptr *MmRendererPlayerVideoRendererControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoRendererControl_PTR().SetPointer(p)
	}
}

func PointerFromMmRendererPlayerVideoRendererControl(ptr MmRendererPlayerVideoRendererControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MmRendererPlayerVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (n *MmRendererPlayerVideoRendererControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoRendererControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MmRendererPlayerVideoRendererControl) ClassNameInternalF() string {
	return n.QVideoRendererControl_PTR().ClassNameInternalF()
}

func NewMmRendererPlayerVideoRendererControlFromPointer(ptr unsafe.Pointer) (n *MmRendererPlayerVideoRendererControl) {
	n = new(MmRendererPlayerVideoRendererControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MmRendererPlayerVideoRendererControl")
	return
}

func (ptr *MmRendererPlayerVideoRendererControl) DestroyMmRendererPlayerVideoRendererControl() {
}

type MmRendererVideoWindowControl struct {
	QVideoWindowControl
}

type MmRendererVideoWindowControl_ITF interface {
	QVideoWindowControl_ITF
	MmRendererVideoWindowControl_PTR() *MmRendererVideoWindowControl
}

func (ptr *MmRendererVideoWindowControl) MmRendererVideoWindowControl_PTR() *MmRendererVideoWindowControl {
	return ptr
}

func (ptr *MmRendererVideoWindowControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoWindowControl_PTR().Pointer()
	}
	return nil
}

func (ptr *MmRendererVideoWindowControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoWindowControl_PTR().SetPointer(p)
	}
}

func PointerFromMmRendererVideoWindowControl(ptr MmRendererVideoWindowControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MmRendererVideoWindowControl_PTR().Pointer()
	}
	return nil
}

func (n *MmRendererVideoWindowControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoWindowControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MmRendererVideoWindowControl) ClassNameInternalF() string {
	return n.QVideoWindowControl_PTR().ClassNameInternalF()
}

func NewMmRendererVideoWindowControlFromPointer(ptr unsafe.Pointer) (n *MmRendererVideoWindowControl) {
	n = new(MmRendererVideoWindowControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MmRendererVideoWindowControl")
	return
}

func (ptr *MmRendererVideoWindowControl) DestroyMmRendererVideoWindowControl() {
}

type MmrEventMediaPlayerControl struct {
	MmRendererMediaPlayerControl
}

type MmrEventMediaPlayerControl_ITF interface {
	MmRendererMediaPlayerControl_ITF
	MmrEventMediaPlayerControl_PTR() *MmrEventMediaPlayerControl
}

func (ptr *MmrEventMediaPlayerControl) MmrEventMediaPlayerControl_PTR() *MmrEventMediaPlayerControl {
	return ptr
}

func (ptr *MmrEventMediaPlayerControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.MmRendererMediaPlayerControl_PTR().Pointer()
	}
	return nil
}

func (ptr *MmrEventMediaPlayerControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.MmRendererMediaPlayerControl_PTR().SetPointer(p)
	}
}

func PointerFromMmrEventMediaPlayerControl(ptr MmrEventMediaPlayerControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MmrEventMediaPlayerControl_PTR().Pointer()
	}
	return nil
}

func (n *MmrEventMediaPlayerControl) InitFromInternal(ptr uintptr, name string) {
	n.MmRendererMediaPlayerControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MmrEventMediaPlayerControl) ClassNameInternalF() string {
	return n.MmRendererMediaPlayerControl_PTR().ClassNameInternalF()
}

func NewMmrEventMediaPlayerControlFromPointer(ptr unsafe.Pointer) (n *MmrEventMediaPlayerControl) {
	n = new(MmrEventMediaPlayerControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.MmrEventMediaPlayerControl")
	return
}

func (ptr *MmrEventMediaPlayerControl) DestroyMmrEventMediaPlayerControl() {
}

type MmrEventThread struct {
	core.QThread
}

type MmrEventThread_ITF interface {
	core.QThread_ITF
	MmrEventThread_PTR() *MmrEventThread
}

func (ptr *MmrEventThread) MmrEventThread_PTR() *MmrEventThread {
	return ptr
}

func (ptr *MmrEventThread) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QThread_PTR().Pointer()
	}
	return nil
}

func (ptr *MmrEventThread) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QThread_PTR().SetPointer(p)
	}
}

func PointerFromMmrEventThread(ptr MmrEventThread_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.MmrEventThread_PTR().Pointer()
	}
	return nil
}

func (n *MmrEventThread) InitFromInternal(ptr uintptr, name string) {
	n.QThread_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *MmrEventThread) ClassNameInternalF() string {
	return n.QThread_PTR().ClassNameInternalF()
}

func NewMmrEventThreadFromPointer(ptr unsafe.Pointer) (n *MmrEventThread) {
	n = new(MmrEventThread)
	n.InitFromInternal(uintptr(ptr), "multimedia.MmrEventThread")
	return
}

func (ptr *MmrEventThread) DestroyMmrEventThread() {
}

type NeutrinoServicePlugin struct {
	QMediaServiceFeaturesInterface
	QMediaServiceProviderPlugin
}

type NeutrinoServicePlugin_ITF interface {
	QMediaServiceFeaturesInterface_ITF
	QMediaServiceProviderPlugin_ITF
	NeutrinoServicePlugin_PTR() *NeutrinoServicePlugin
}

func (ptr *NeutrinoServicePlugin) NeutrinoServicePlugin_PTR() *NeutrinoServicePlugin {
	return ptr
}

func (ptr *NeutrinoServicePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceFeaturesInterface_PTR().Pointer()
	}
	return nil
}

func (ptr *NeutrinoServicePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaServiceFeaturesInterface_PTR().SetPointer(p)
		ptr.QMediaServiceProviderPlugin_PTR().SetPointer(p)
	}
}

func PointerFromNeutrinoServicePlugin(ptr NeutrinoServicePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.NeutrinoServicePlugin_PTR().Pointer()
	}
	return nil
}

func (n *NeutrinoServicePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QMediaServiceFeaturesInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceProviderPlugin_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *NeutrinoServicePlugin) ClassNameInternalF() string {
	return n.QMediaServiceFeaturesInterface_PTR().ClassNameInternalF()
}

func NewNeutrinoServicePluginFromPointer(ptr unsafe.Pointer) (n *NeutrinoServicePlugin) {
	n = new(NeutrinoServicePlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.NeutrinoServicePlugin")
	return
}

func (ptr *NeutrinoServicePlugin) DestroyNeutrinoServicePlugin() {
}

type OpenGLResourcesDeleter struct {
	core.QObject
}

type OpenGLResourcesDeleter_ITF interface {
	core.QObject_ITF
	OpenGLResourcesDeleter_PTR() *OpenGLResourcesDeleter
}

func (ptr *OpenGLResourcesDeleter) OpenGLResourcesDeleter_PTR() *OpenGLResourcesDeleter {
	return ptr
}

func (ptr *OpenGLResourcesDeleter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *OpenGLResourcesDeleter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromOpenGLResourcesDeleter(ptr OpenGLResourcesDeleter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.OpenGLResourcesDeleter_PTR().Pointer()
	}
	return nil
}

func (n *OpenGLResourcesDeleter) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *OpenGLResourcesDeleter) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewOpenGLResourcesDeleterFromPointer(ptr unsafe.Pointer) (n *OpenGLResourcesDeleter) {
	n = new(OpenGLResourcesDeleter)
	n.InitFromInternal(uintptr(ptr), "multimedia.OpenGLResourcesDeleter")
	return
}

func (ptr *OpenGLResourcesDeleter) DestroyOpenGLResourcesDeleter() {
}

type QAbstractAudioDeviceInfo struct {
	core.QObject
}

type QAbstractAudioDeviceInfo_ITF interface {
	core.QObject_ITF
	QAbstractAudioDeviceInfo_PTR() *QAbstractAudioDeviceInfo
}

func (ptr *QAbstractAudioDeviceInfo) QAbstractAudioDeviceInfo_PTR() *QAbstractAudioDeviceInfo {
	return ptr
}

func (ptr *QAbstractAudioDeviceInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractAudioDeviceInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractAudioDeviceInfo(ptr QAbstractAudioDeviceInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractAudioDeviceInfo) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractAudioDeviceInfo) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAbstractAudioDeviceInfoFromPointer(ptr unsafe.Pointer) (n *QAbstractAudioDeviceInfo) {
	n = new(QAbstractAudioDeviceInfo)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAbstractAudioDeviceInfo")
	return
}

func (ptr *QAbstractAudioDeviceInfo) DestroyQAbstractAudioDeviceInfo() {
}

func (ptr *QAbstractAudioDeviceInfo) ConnectDeviceName(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDeviceName", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioDeviceInfo) DisconnectDeviceName() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDeviceName"})
}

func (ptr *QAbstractAudioDeviceInfo) DeviceName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeviceName"}).(string)
}

func (ptr *QAbstractAudioDeviceInfo) ConnectIsFormatSupported(f func(format *QAudioFormat) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsFormatSupported", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioDeviceInfo) DisconnectIsFormatSupported() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsFormatSupported"})
}

func (ptr *QAbstractAudioDeviceInfo) IsFormatSupported(format QAudioFormat_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFormatSupported", format}).(bool)
}

func (ptr *QAbstractAudioDeviceInfo) ConnectPreferredFormat(f func() *QAudioFormat) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPreferredFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioDeviceInfo) DisconnectPreferredFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPreferredFormat"})
}

func (ptr *QAbstractAudioDeviceInfo) PreferredFormat() *QAudioFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PreferredFormat"}).(*QAudioFormat)
}

func (ptr *QAbstractAudioDeviceInfo) ConnectSupportedByteOrders(f func() []QAudioFormat__Endian) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedByteOrders", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioDeviceInfo) DisconnectSupportedByteOrders() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedByteOrders"})
}

func (ptr *QAbstractAudioDeviceInfo) SupportedByteOrders() []QAudioFormat__Endian {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedByteOrders"}).([]QAudioFormat__Endian)
}

func (ptr *QAbstractAudioDeviceInfo) ConnectSupportedChannelCounts(f func() []int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedChannelCounts", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioDeviceInfo) DisconnectSupportedChannelCounts() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedChannelCounts"})
}

func (ptr *QAbstractAudioDeviceInfo) SupportedChannelCounts() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedChannelCounts"}).([]int)
}

func (ptr *QAbstractAudioDeviceInfo) ConnectSupportedCodecs(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedCodecs", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioDeviceInfo) DisconnectSupportedCodecs() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedCodecs"})
}

func (ptr *QAbstractAudioDeviceInfo) SupportedCodecs() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedCodecs"}).([]string)
}

func (ptr *QAbstractAudioDeviceInfo) ConnectSupportedSampleRates(f func() []int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedSampleRates", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioDeviceInfo) DisconnectSupportedSampleRates() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedSampleRates"})
}

func (ptr *QAbstractAudioDeviceInfo) SupportedSampleRates() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedSampleRates"}).([]int)
}

func (ptr *QAbstractAudioDeviceInfo) ConnectSupportedSampleSizes(f func() []int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedSampleSizes", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioDeviceInfo) DisconnectSupportedSampleSizes() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedSampleSizes"})
}

func (ptr *QAbstractAudioDeviceInfo) SupportedSampleSizes() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedSampleSizes"}).([]int)
}

func (ptr *QAbstractAudioDeviceInfo) ConnectSupportedSampleTypes(f func() []QAudioFormat__SampleType) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedSampleTypes", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioDeviceInfo) DisconnectSupportedSampleTypes() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedSampleTypes"})
}

func (ptr *QAbstractAudioDeviceInfo) SupportedSampleTypes() []QAudioFormat__SampleType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedSampleTypes"}).([]QAudioFormat__SampleType)
}

func (ptr *QAbstractAudioDeviceInfo) __supportedByteOrders_atList(i int) QAudioFormat__Endian {

	return QAudioFormat__Endian(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedByteOrders_atList", i}).(float64))
}

func (ptr *QAbstractAudioDeviceInfo) __supportedByteOrders_setList(i QAudioFormat__Endian) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedByteOrders_setList", i})
}

func (ptr *QAbstractAudioDeviceInfo) __supportedByteOrders_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedByteOrders_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioDeviceInfo) __supportedChannelCounts_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedChannelCounts_atList", i}).(float64))
}

func (ptr *QAbstractAudioDeviceInfo) __supportedChannelCounts_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedChannelCounts_setList", i})
}

func (ptr *QAbstractAudioDeviceInfo) __supportedChannelCounts_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedChannelCounts_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioDeviceInfo) __supportedSampleRates_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleRates_atList", i}).(float64))
}

func (ptr *QAbstractAudioDeviceInfo) __supportedSampleRates_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleRates_setList", i})
}

func (ptr *QAbstractAudioDeviceInfo) __supportedSampleRates_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleRates_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioDeviceInfo) __supportedSampleSizes_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleSizes_atList", i}).(float64))
}

func (ptr *QAbstractAudioDeviceInfo) __supportedSampleSizes_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleSizes_setList", i})
}

func (ptr *QAbstractAudioDeviceInfo) __supportedSampleSizes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleSizes_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioDeviceInfo) __supportedSampleTypes_atList(i int) QAudioFormat__SampleType {

	return QAudioFormat__SampleType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleTypes_atList", i}).(float64))
}

func (ptr *QAbstractAudioDeviceInfo) __supportedSampleTypes_setList(i QAudioFormat__SampleType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleTypes_setList", i})
}

func (ptr *QAbstractAudioDeviceInfo) __supportedSampleTypes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleTypes_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioDeviceInfo) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QAbstractAudioDeviceInfo) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QAbstractAudioDeviceInfo) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioDeviceInfo) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QAbstractAudioDeviceInfo) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QAbstractAudioDeviceInfo) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioDeviceInfo) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QAbstractAudioDeviceInfo) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QAbstractAudioDeviceInfo) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioDeviceInfo) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QAbstractAudioDeviceInfo) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QAbstractAudioDeviceInfo) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioDeviceInfo) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QAbstractAudioDeviceInfo) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QAbstractAudioDeviceInfo) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QAbstractAudioDeviceInfo) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QAbstractAudioDeviceInfo) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QAbstractAudioDeviceInfo) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QAbstractAudioDeviceInfo) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QAbstractAudioDeviceInfo) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QAbstractAudioDeviceInfo) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QAbstractAudioInput struct {
	core.QObject
}

type QAbstractAudioInput_ITF interface {
	core.QObject_ITF
	QAbstractAudioInput_PTR() *QAbstractAudioInput
}

func (ptr *QAbstractAudioInput) QAbstractAudioInput_PTR() *QAbstractAudioInput {
	return ptr
}

func (ptr *QAbstractAudioInput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractAudioInput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractAudioInput(ptr QAbstractAudioInput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioInput_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractAudioInput) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractAudioInput) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAbstractAudioInputFromPointer(ptr unsafe.Pointer) (n *QAbstractAudioInput) {
	n = new(QAbstractAudioInput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAbstractAudioInput")
	return
}

func (ptr *QAbstractAudioInput) DestroyQAbstractAudioInput() {
}

func (ptr *QAbstractAudioInput) ConnectBufferSize(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBufferSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectBufferSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBufferSize"})
}

func (ptr *QAbstractAudioInput) BufferSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferSize"}).(float64))
}

func (ptr *QAbstractAudioInput) ConnectBytesReady(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBytesReady", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectBytesReady() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBytesReady"})
}

func (ptr *QAbstractAudioInput) BytesReady() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesReady"}).(float64))
}

func (ptr *QAbstractAudioInput) ConnectElapsedUSecs(f func() int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectElapsedUSecs", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectElapsedUSecs() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectElapsedUSecs"})
}

func (ptr *QAbstractAudioInput) ElapsedUSecs() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ElapsedUSecs"}).(float64))
}

func (ptr *QAbstractAudioInput) ConnectError(f func() QAudio__Error) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectError() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError"})
}

func (ptr *QAbstractAudioInput) Error() QAudio__Error {

	return QAudio__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QAbstractAudioInput) ConnectErrorChanged(f func(error QAudio__Error)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectErrorChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectErrorChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectErrorChanged"})
}

func (ptr *QAbstractAudioInput) ErrorChanged(error QAudio__Error) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorChanged", error})
}

func (ptr *QAbstractAudioInput) ConnectFormat(f func() *QAudioFormat) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFormat"})
}

func (ptr *QAbstractAudioInput) Format() *QAudioFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*QAudioFormat)
}

func (ptr *QAbstractAudioInput) ConnectNotify(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotify", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectNotify() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotify"})
}

func (ptr *QAbstractAudioInput) Notify() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Notify"})
}

func (ptr *QAbstractAudioInput) ConnectNotifyInterval(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyInterval", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectNotifyInterval() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyInterval"})
}

func (ptr *QAbstractAudioInput) NotifyInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NotifyInterval"}).(float64))
}

func (ptr *QAbstractAudioInput) ConnectPeriodSize(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPeriodSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectPeriodSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPeriodSize"})
}

func (ptr *QAbstractAudioInput) PeriodSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PeriodSize"}).(float64))
}

func (ptr *QAbstractAudioInput) ConnectProcessedUSecs(f func() int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectProcessedUSecs", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectProcessedUSecs() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectProcessedUSecs"})
}

func (ptr *QAbstractAudioInput) ProcessedUSecs() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProcessedUSecs"}).(float64))
}

func (ptr *QAbstractAudioInput) ConnectReset(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectReset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReset"})
}

func (ptr *QAbstractAudioInput) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QAbstractAudioInput) ConnectResume(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectResume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResume"})
}

func (ptr *QAbstractAudioInput) Resume() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resume"})
}

func (ptr *QAbstractAudioInput) ConnectSetBufferSize(f func(value int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetBufferSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectSetBufferSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetBufferSize"})
}

func (ptr *QAbstractAudioInput) SetBufferSize(value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBufferSize", value})
}

func (ptr *QAbstractAudioInput) ConnectSetFormat(f func(fmtfmt *QAudioFormat)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectSetFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFormat"})
}

func (ptr *QAbstractAudioInput) SetFormat(fmtfmt QAudioFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", fmtfmt})
}

func (ptr *QAbstractAudioInput) ConnectSetNotifyInterval(f func(ms int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetNotifyInterval", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectSetNotifyInterval() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetNotifyInterval"})
}

func (ptr *QAbstractAudioInput) SetNotifyInterval(ms int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNotifyInterval", ms})
}

func (ptr *QAbstractAudioInput) ConnectStart(f func(device *core.QIODevice)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectStart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart"})
}

func (ptr *QAbstractAudioInput) Start(device core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start", device})
}

func (ptr *QAbstractAudioInput) ConnectStart2(f func() *core.QIODevice) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectStart2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart2"})
}

func (ptr *QAbstractAudioInput) Start2() *core.QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start2"}).(*core.QIODevice)
}

func (ptr *QAbstractAudioInput) ConnectState(f func() QAudio__State) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectState"})
}

func (ptr *QAbstractAudioInput) State() QAudio__State {

	return QAudio__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QAbstractAudioInput) ConnectStateChanged(f func(state QAudio__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QAbstractAudioInput) StateChanged(state QAudio__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", state})
}

func (ptr *QAbstractAudioInput) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QAbstractAudioInput) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QAbstractAudioInput) ConnectSuspend(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSuspend", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioInput) DisconnectSuspend() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSuspend"})
}

func (ptr *QAbstractAudioInput) Suspend() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Suspend"})
}

func (ptr *QAbstractAudioInput) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QAbstractAudioInput) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QAbstractAudioInput) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioInput) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QAbstractAudioInput) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QAbstractAudioInput) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioInput) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QAbstractAudioInput) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QAbstractAudioInput) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioInput) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QAbstractAudioInput) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QAbstractAudioInput) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioInput) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QAbstractAudioInput) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QAbstractAudioInput) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QAbstractAudioInput) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QAbstractAudioInput) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QAbstractAudioInput) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QAbstractAudioInput) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QAbstractAudioInput) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QAbstractAudioInput) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QAbstractAudioOutput struct {
	core.QObject
}

type QAbstractAudioOutput_ITF interface {
	core.QObject_ITF
	QAbstractAudioOutput_PTR() *QAbstractAudioOutput
}

func (ptr *QAbstractAudioOutput) QAbstractAudioOutput_PTR() *QAbstractAudioOutput {
	return ptr
}

func (ptr *QAbstractAudioOutput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractAudioOutput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractAudioOutput(ptr QAbstractAudioOutput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioOutput_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractAudioOutput) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractAudioOutput) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAbstractAudioOutputFromPointer(ptr unsafe.Pointer) (n *QAbstractAudioOutput) {
	n = new(QAbstractAudioOutput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAbstractAudioOutput")
	return
}

func (ptr *QAbstractAudioOutput) DestroyQAbstractAudioOutput() {
}

func (ptr *QAbstractAudioOutput) ConnectBufferSize(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBufferSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectBufferSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBufferSize"})
}

func (ptr *QAbstractAudioOutput) BufferSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferSize"}).(float64))
}

func (ptr *QAbstractAudioOutput) ConnectBytesFree(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBytesFree", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectBytesFree() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBytesFree"})
}

func (ptr *QAbstractAudioOutput) BytesFree() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesFree"}).(float64))
}

func (ptr *QAbstractAudioOutput) ConnectElapsedUSecs(f func() int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectElapsedUSecs", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectElapsedUSecs() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectElapsedUSecs"})
}

func (ptr *QAbstractAudioOutput) ElapsedUSecs() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ElapsedUSecs"}).(float64))
}

func (ptr *QAbstractAudioOutput) ConnectError(f func() QAudio__Error) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectError() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError"})
}

func (ptr *QAbstractAudioOutput) Error() QAudio__Error {

	return QAudio__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QAbstractAudioOutput) ConnectErrorChanged(f func(error QAudio__Error)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectErrorChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectErrorChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectErrorChanged"})
}

func (ptr *QAbstractAudioOutput) ErrorChanged(error QAudio__Error) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorChanged", error})
}

func (ptr *QAbstractAudioOutput) ConnectFormat(f func() *QAudioFormat) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFormat"})
}

func (ptr *QAbstractAudioOutput) Format() *QAudioFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*QAudioFormat)
}

func (ptr *QAbstractAudioOutput) ConnectNotify(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotify", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectNotify() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotify"})
}

func (ptr *QAbstractAudioOutput) Notify() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Notify"})
}

func (ptr *QAbstractAudioOutput) ConnectNotifyInterval(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyInterval", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectNotifyInterval() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyInterval"})
}

func (ptr *QAbstractAudioOutput) NotifyInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NotifyInterval"}).(float64))
}

func (ptr *QAbstractAudioOutput) ConnectPeriodSize(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPeriodSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectPeriodSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPeriodSize"})
}

func (ptr *QAbstractAudioOutput) PeriodSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PeriodSize"}).(float64))
}

func (ptr *QAbstractAudioOutput) ConnectProcessedUSecs(f func() int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectProcessedUSecs", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectProcessedUSecs() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectProcessedUSecs"})
}

func (ptr *QAbstractAudioOutput) ProcessedUSecs() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProcessedUSecs"}).(float64))
}

func (ptr *QAbstractAudioOutput) ConnectReset(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectReset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReset"})
}

func (ptr *QAbstractAudioOutput) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QAbstractAudioOutput) ConnectResume(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectResume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResume"})
}

func (ptr *QAbstractAudioOutput) Resume() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resume"})
}

func (ptr *QAbstractAudioOutput) ConnectSetBufferSize(f func(value int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetBufferSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectSetBufferSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetBufferSize"})
}

func (ptr *QAbstractAudioOutput) SetBufferSize(value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBufferSize", value})
}

func (ptr *QAbstractAudioOutput) ConnectSetFormat(f func(fmtfmt *QAudioFormat)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectSetFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFormat"})
}

func (ptr *QAbstractAudioOutput) SetFormat(fmtfmt QAudioFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", fmtfmt})
}

func (ptr *QAbstractAudioOutput) ConnectSetNotifyInterval(f func(ms int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetNotifyInterval", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectSetNotifyInterval() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetNotifyInterval"})
}

func (ptr *QAbstractAudioOutput) SetNotifyInterval(ms int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNotifyInterval", ms})
}

func (ptr *QAbstractAudioOutput) ConnectSetVolume(f func(volume float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetVolume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectSetVolume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetVolume"})
}

func (ptr *QAbstractAudioOutput) SetVolume(volume float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVolume", volume})
}

func (ptr *QAbstractAudioOutput) SetVolumeDefault(volume float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVolumeDefault", volume})
}

func (ptr *QAbstractAudioOutput) ConnectStart(f func(device *core.QIODevice)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectStart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart"})
}

func (ptr *QAbstractAudioOutput) Start(device core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start", device})
}

func (ptr *QAbstractAudioOutput) ConnectStart2(f func() *core.QIODevice) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectStart2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart2"})
}

func (ptr *QAbstractAudioOutput) Start2() *core.QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start2"}).(*core.QIODevice)
}

func (ptr *QAbstractAudioOutput) ConnectState(f func() QAudio__State) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectState"})
}

func (ptr *QAbstractAudioOutput) State() QAudio__State {

	return QAudio__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QAbstractAudioOutput) ConnectStateChanged(f func(state QAudio__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QAbstractAudioOutput) StateChanged(state QAudio__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", state})
}

func (ptr *QAbstractAudioOutput) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QAbstractAudioOutput) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QAbstractAudioOutput) ConnectSuspend(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSuspend", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectSuspend() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSuspend"})
}

func (ptr *QAbstractAudioOutput) Suspend() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Suspend"})
}

func (ptr *QAbstractAudioOutput) ConnectVolume(f func() float64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVolume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractAudioOutput) DisconnectVolume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVolume"})
}

func (ptr *QAbstractAudioOutput) Volume() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Volume"}).(float64)
}

func (ptr *QAbstractAudioOutput) VolumeDefault() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VolumeDefault"}).(float64)
}

func (ptr *QAbstractAudioOutput) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QAbstractAudioOutput) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QAbstractAudioOutput) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioOutput) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QAbstractAudioOutput) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QAbstractAudioOutput) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioOutput) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QAbstractAudioOutput) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QAbstractAudioOutput) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioOutput) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QAbstractAudioOutput) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QAbstractAudioOutput) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QAbstractAudioOutput) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QAbstractAudioOutput) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QAbstractAudioOutput) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QAbstractAudioOutput) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QAbstractAudioOutput) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QAbstractAudioOutput) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QAbstractAudioOutput) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QAbstractAudioOutput) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QAbstractAudioOutput) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QAbstractPlanarVideoBuffer struct {
	QAbstractVideoBuffer
}

type QAbstractPlanarVideoBuffer_ITF interface {
	QAbstractVideoBuffer_ITF
	QAbstractPlanarVideoBuffer_PTR() *QAbstractPlanarVideoBuffer
}

func (ptr *QAbstractPlanarVideoBuffer) QAbstractPlanarVideoBuffer_PTR() *QAbstractPlanarVideoBuffer {
	return ptr
}

func (ptr *QAbstractPlanarVideoBuffer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractVideoBuffer_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractPlanarVideoBuffer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractVideoBuffer_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractPlanarVideoBuffer(ptr QAbstractPlanarVideoBuffer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractPlanarVideoBuffer_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractPlanarVideoBuffer) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractVideoBuffer_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractPlanarVideoBuffer) ClassNameInternalF() string {
	return n.QAbstractVideoBuffer_PTR().ClassNameInternalF()
}

func NewQAbstractPlanarVideoBufferFromPointer(ptr unsafe.Pointer) (n *QAbstractPlanarVideoBuffer) {
	n = new(QAbstractPlanarVideoBuffer)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAbstractPlanarVideoBuffer")
	return
}
func (ptr *QAbstractPlanarVideoBuffer) ConnectDestroyQAbstractPlanarVideoBuffer(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractPlanarVideoBuffer", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractPlanarVideoBuffer) DisconnectDestroyQAbstractPlanarVideoBuffer() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractPlanarVideoBuffer"})
}

func (ptr *QAbstractPlanarVideoBuffer) DestroyQAbstractPlanarVideoBuffer() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractPlanarVideoBuffer"})
}

func (ptr *QAbstractPlanarVideoBuffer) DestroyQAbstractPlanarVideoBufferDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractPlanarVideoBufferDefault"})
}

func (ptr *QAbstractPlanarVideoBuffer) Map(mode QAbstractVideoBuffer__MapMode, numBytes int, bytesPerLine int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map", mode, numBytes, bytesPerLine}).(string)
}

func (ptr *QAbstractPlanarVideoBuffer) MapDefault(mode QAbstractVideoBuffer__MapMode, numBytes int, bytesPerLine int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapDefault", mode, numBytes, bytesPerLine}).(string)
}

func (ptr *QAbstractPlanarVideoBuffer) MapMode() QAbstractVideoBuffer__MapMode {

	return QAbstractVideoBuffer__MapMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapMode"}).(float64))
}

func (ptr *QAbstractPlanarVideoBuffer) MapModeDefault() QAbstractVideoBuffer__MapMode {

	return QAbstractVideoBuffer__MapMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapModeDefault"}).(float64))
}

func (ptr *QAbstractPlanarVideoBuffer) Unmap() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unmap"})
}

func (ptr *QAbstractPlanarVideoBuffer) UnmapDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnmapDefault"})
}

type QAbstractVideoBuffer struct {
	internal.Internal
}

type QAbstractVideoBuffer_ITF interface {
	QAbstractVideoBuffer_PTR() *QAbstractVideoBuffer
}

func (ptr *QAbstractVideoBuffer) QAbstractVideoBuffer_PTR() *QAbstractVideoBuffer {
	return ptr
}

func (ptr *QAbstractVideoBuffer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAbstractVideoBuffer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAbstractVideoBuffer(ptr QAbstractVideoBuffer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractVideoBuffer_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractVideoBuffer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAbstractVideoBufferFromPointer(ptr unsafe.Pointer) (n *QAbstractVideoBuffer) {
	n = new(QAbstractVideoBuffer)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAbstractVideoBuffer")
	return
}

//go:generate stringer -type=QAbstractVideoBuffer__MapMode
//QAbstractVideoBuffer::MapMode
type QAbstractVideoBuffer__MapMode int64

const (
	QAbstractVideoBuffer__NotMapped QAbstractVideoBuffer__MapMode = QAbstractVideoBuffer__MapMode(0x00)
	QAbstractVideoBuffer__ReadOnly  QAbstractVideoBuffer__MapMode = QAbstractVideoBuffer__MapMode(0x01)
	QAbstractVideoBuffer__WriteOnly QAbstractVideoBuffer__MapMode = QAbstractVideoBuffer__MapMode(0x02)
	QAbstractVideoBuffer__ReadWrite QAbstractVideoBuffer__MapMode = QAbstractVideoBuffer__MapMode(QAbstractVideoBuffer__ReadOnly | QAbstractVideoBuffer__WriteOnly)
)

//go:generate stringer -type=QAbstractVideoBuffer__HandleType
//QAbstractVideoBuffer::HandleType
type QAbstractVideoBuffer__HandleType int64

const (
	QAbstractVideoBuffer__NoHandle         QAbstractVideoBuffer__HandleType = QAbstractVideoBuffer__HandleType(0)
	QAbstractVideoBuffer__GLTextureHandle  QAbstractVideoBuffer__HandleType = QAbstractVideoBuffer__HandleType(1)
	QAbstractVideoBuffer__XvShmImageHandle QAbstractVideoBuffer__HandleType = QAbstractVideoBuffer__HandleType(2)
	QAbstractVideoBuffer__CoreImageHandle  QAbstractVideoBuffer__HandleType = QAbstractVideoBuffer__HandleType(3)
	QAbstractVideoBuffer__QPixmapHandle    QAbstractVideoBuffer__HandleType = QAbstractVideoBuffer__HandleType(4)
	QAbstractVideoBuffer__EGLImageHandle   QAbstractVideoBuffer__HandleType = QAbstractVideoBuffer__HandleType(5)
	QAbstractVideoBuffer__UserHandle       QAbstractVideoBuffer__HandleType = QAbstractVideoBuffer__HandleType(1000)
)

func NewQAbstractVideoBuffer(ty QAbstractVideoBuffer__HandleType) *QAbstractVideoBuffer {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAbstractVideoBuffer", "", ty}).(*QAbstractVideoBuffer)
}

func (ptr *QAbstractVideoBuffer) ConnectHandle(f func() *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHandle", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoBuffer) DisconnectHandle() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHandle"})
}

func (ptr *QAbstractVideoBuffer) Handle() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Handle"}).(*core.QVariant)
}

func (ptr *QAbstractVideoBuffer) HandleDefault() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HandleDefault"}).(*core.QVariant)
}

func (ptr *QAbstractVideoBuffer) HandleType() QAbstractVideoBuffer__HandleType {

	return QAbstractVideoBuffer__HandleType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HandleType"}).(float64))
}

func (ptr *QAbstractVideoBuffer) ConnectMap(f func(mode QAbstractVideoBuffer__MapMode, numBytes int, bytesPerLine int) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMap", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoBuffer) DisconnectMap() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMap"})
}

func (ptr *QAbstractVideoBuffer) Map(mode QAbstractVideoBuffer__MapMode, numBytes int, bytesPerLine int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map", mode, numBytes, bytesPerLine}).(string)
}

func (ptr *QAbstractVideoBuffer) ConnectMapMode(f func() QAbstractVideoBuffer__MapMode) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMapMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoBuffer) DisconnectMapMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMapMode"})
}

func (ptr *QAbstractVideoBuffer) MapMode() QAbstractVideoBuffer__MapMode {

	return QAbstractVideoBuffer__MapMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapMode"}).(float64))
}

func (ptr *QAbstractVideoBuffer) ConnectRelease(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRelease", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoBuffer) DisconnectRelease() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRelease"})
}

func (ptr *QAbstractVideoBuffer) Release() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Release"})
}

func (ptr *QAbstractVideoBuffer) ReleaseDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReleaseDefault"})
}

func (ptr *QAbstractVideoBuffer) ConnectUnmap(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUnmap", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoBuffer) DisconnectUnmap() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUnmap"})
}

func (ptr *QAbstractVideoBuffer) Unmap() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unmap"})
}

func (ptr *QAbstractVideoBuffer) ConnectDestroyQAbstractVideoBuffer(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractVideoBuffer", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoBuffer) DisconnectDestroyQAbstractVideoBuffer() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractVideoBuffer"})
}

func (ptr *QAbstractVideoBuffer) DestroyQAbstractVideoBuffer() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractVideoBuffer"})
}

func (ptr *QAbstractVideoBuffer) DestroyQAbstractVideoBufferDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractVideoBufferDefault"})
}

type QAbstractVideoFilter struct {
	core.QObject
}

type QAbstractVideoFilter_ITF interface {
	core.QObject_ITF
	QAbstractVideoFilter_PTR() *QAbstractVideoFilter
}

func (ptr *QAbstractVideoFilter) QAbstractVideoFilter_PTR() *QAbstractVideoFilter {
	return ptr
}

func (ptr *QAbstractVideoFilter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractVideoFilter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractVideoFilter(ptr QAbstractVideoFilter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractVideoFilter_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractVideoFilter) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractVideoFilter) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAbstractVideoFilterFromPointer(ptr unsafe.Pointer) (n *QAbstractVideoFilter) {
	n = new(QAbstractVideoFilter)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAbstractVideoFilter")
	return
}

func (ptr *QAbstractVideoFilter) DestroyQAbstractVideoFilter() {
}

func NewQAbstractVideoFilter(parent core.QObject_ITF) *QAbstractVideoFilter {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAbstractVideoFilter", "", parent}).(*QAbstractVideoFilter)
}

func (ptr *QAbstractVideoFilter) ConnectActiveChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActiveChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoFilter) DisconnectActiveChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActiveChanged"})
}

func (ptr *QAbstractVideoFilter) ActiveChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveChanged"})
}

func (ptr *QAbstractVideoFilter) ConnectCreateFilterRunnable(f func() *QVideoFilterRunnable) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreateFilterRunnable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoFilter) DisconnectCreateFilterRunnable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreateFilterRunnable"})
}

func (ptr *QAbstractVideoFilter) CreateFilterRunnable() *QVideoFilterRunnable {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateFilterRunnable"}).(*QVideoFilterRunnable)
}

func (ptr *QAbstractVideoFilter) IsActive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsActive"}).(bool)
}

func (ptr *QAbstractVideoFilter) SetActive(v bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActive", v})
}

func (ptr *QAbstractVideoFilter) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QAbstractVideoFilter) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QAbstractVideoFilter) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractVideoFilter) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QAbstractVideoFilter) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QAbstractVideoFilter) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractVideoFilter) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QAbstractVideoFilter) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QAbstractVideoFilter) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractVideoFilter) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QAbstractVideoFilter) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QAbstractVideoFilter) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QAbstractVideoFilter) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QAbstractVideoFilter) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QAbstractVideoFilter) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QAbstractVideoFilter) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QAbstractVideoFilter) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QAbstractVideoFilter) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QAbstractVideoFilter) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QAbstractVideoFilter) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QAbstractVideoFilter) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QAbstractVideoSurface struct {
	core.QObject
}

type QAbstractVideoSurface_ITF interface {
	core.QObject_ITF
	QAbstractVideoSurface_PTR() *QAbstractVideoSurface
}

func (ptr *QAbstractVideoSurface) QAbstractVideoSurface_PTR() *QAbstractVideoSurface {
	return ptr
}

func (ptr *QAbstractVideoSurface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractVideoSurface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractVideoSurface(ptr QAbstractVideoSurface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractVideoSurface_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractVideoSurface) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractVideoSurface) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAbstractVideoSurfaceFromPointer(ptr unsafe.Pointer) (n *QAbstractVideoSurface) {
	n = new(QAbstractVideoSurface)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAbstractVideoSurface")
	return
}

//go:generate stringer -type=QAbstractVideoSurface__Error
//QAbstractVideoSurface::Error
type QAbstractVideoSurface__Error int64

const (
	QAbstractVideoSurface__NoError                QAbstractVideoSurface__Error = QAbstractVideoSurface__Error(0)
	QAbstractVideoSurface__UnsupportedFormatError QAbstractVideoSurface__Error = QAbstractVideoSurface__Error(1)
	QAbstractVideoSurface__IncorrectFormatError   QAbstractVideoSurface__Error = QAbstractVideoSurface__Error(2)
	QAbstractVideoSurface__StoppedError           QAbstractVideoSurface__Error = QAbstractVideoSurface__Error(3)
	QAbstractVideoSurface__ResourceError          QAbstractVideoSurface__Error = QAbstractVideoSurface__Error(4)
)

func NewQAbstractVideoSurface(parent core.QObject_ITF) *QAbstractVideoSurface {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAbstractVideoSurface", "", parent}).(*QAbstractVideoSurface)
}

func (ptr *QAbstractVideoSurface) ConnectActiveChanged(f func(active bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActiveChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoSurface) DisconnectActiveChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActiveChanged"})
}

func (ptr *QAbstractVideoSurface) ActiveChanged(active bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveChanged", active})
}

func (ptr *QAbstractVideoSurface) Error() QAbstractVideoSurface__Error {

	return QAbstractVideoSurface__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QAbstractVideoSurface) IsActive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsActive"}).(bool)
}

func (ptr *QAbstractVideoSurface) ConnectIsFormatSupported(f func(format *QVideoSurfaceFormat) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsFormatSupported", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoSurface) DisconnectIsFormatSupported() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsFormatSupported"})
}

func (ptr *QAbstractVideoSurface) IsFormatSupported(format QVideoSurfaceFormat_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFormatSupported", format}).(bool)
}

func (ptr *QAbstractVideoSurface) IsFormatSupportedDefault(format QVideoSurfaceFormat_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFormatSupportedDefault", format}).(bool)
}

func (ptr *QAbstractVideoSurface) NativeResolution() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NativeResolution"}).(*core.QSize)
}

func (ptr *QAbstractVideoSurface) ConnectNativeResolutionChanged(f func(resolution *core.QSize)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNativeResolutionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoSurface) DisconnectNativeResolutionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNativeResolutionChanged"})
}

func (ptr *QAbstractVideoSurface) NativeResolutionChanged(resolution core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NativeResolutionChanged", resolution})
}

func (ptr *QAbstractVideoSurface) ConnectNearestFormat(f func(format *QVideoSurfaceFormat) *QVideoSurfaceFormat) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNearestFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoSurface) DisconnectNearestFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNearestFormat"})
}

func (ptr *QAbstractVideoSurface) NearestFormat(format QVideoSurfaceFormat_ITF) *QVideoSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NearestFormat", format}).(*QVideoSurfaceFormat)
}

func (ptr *QAbstractVideoSurface) NearestFormatDefault(format QVideoSurfaceFormat_ITF) *QVideoSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NearestFormatDefault", format}).(*QVideoSurfaceFormat)
}

func (ptr *QAbstractVideoSurface) ConnectPresent(f func(frame *QVideoFrame) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPresent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoSurface) DisconnectPresent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPresent"})
}

func (ptr *QAbstractVideoSurface) Present(frame QVideoFrame_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Present", frame}).(bool)
}

func (ptr *QAbstractVideoSurface) SetError(error QAbstractVideoSurface__Error) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetError", error})
}

func (ptr *QAbstractVideoSurface) SetNativeResolution(resolution core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNativeResolution", resolution})
}

func (ptr *QAbstractVideoSurface) ConnectStart(f func(format *QVideoSurfaceFormat) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoSurface) DisconnectStart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart"})
}

func (ptr *QAbstractVideoSurface) Start(format QVideoSurfaceFormat_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start", format}).(bool)
}

func (ptr *QAbstractVideoSurface) StartDefault(format QVideoSurfaceFormat_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDefault", format}).(bool)
}

func (ptr *QAbstractVideoSurface) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoSurface) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QAbstractVideoSurface) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QAbstractVideoSurface) StopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StopDefault"})
}

func (ptr *QAbstractVideoSurface) ConnectSupportedFormatsChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedFormatsChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoSurface) DisconnectSupportedFormatsChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedFormatsChanged"})
}

func (ptr *QAbstractVideoSurface) SupportedFormatsChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedFormatsChanged"})
}

func (ptr *QAbstractVideoSurface) ConnectSupportedPixelFormats(f func(ty QAbstractVideoBuffer__HandleType) []QVideoFrame__PixelFormat) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedPixelFormats", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoSurface) DisconnectSupportedPixelFormats() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedPixelFormats"})
}

func (ptr *QAbstractVideoSurface) SupportedPixelFormats(ty QAbstractVideoBuffer__HandleType) []QVideoFrame__PixelFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedPixelFormats", ty}).([]QVideoFrame__PixelFormat)
}

func (ptr *QAbstractVideoSurface) SurfaceFormat() *QVideoSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SurfaceFormat"}).(*QVideoSurfaceFormat)
}

func (ptr *QAbstractVideoSurface) ConnectSurfaceFormatChanged(f func(format *QVideoSurfaceFormat)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSurfaceFormatChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoSurface) DisconnectSurfaceFormatChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSurfaceFormatChanged"})
}

func (ptr *QAbstractVideoSurface) SurfaceFormatChanged(format QVideoSurfaceFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SurfaceFormatChanged", format})
}

func (ptr *QAbstractVideoSurface) ConnectDestroyQAbstractVideoSurface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractVideoSurface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractVideoSurface) DisconnectDestroyQAbstractVideoSurface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractVideoSurface"})
}

func (ptr *QAbstractVideoSurface) DestroyQAbstractVideoSurface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractVideoSurface"})
}

func (ptr *QAbstractVideoSurface) DestroyQAbstractVideoSurfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractVideoSurfaceDefault"})
}

func (ptr *QAbstractVideoSurface) __supportedPixelFormats_atList(i int) QVideoFrame__PixelFormat {

	return QVideoFrame__PixelFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedPixelFormats_atList", i}).(float64))
}

func (ptr *QAbstractVideoSurface) __supportedPixelFormats_setList(i QVideoFrame__PixelFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedPixelFormats_setList", i})
}

func (ptr *QAbstractVideoSurface) __supportedPixelFormats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedPixelFormats_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractVideoSurface) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QAbstractVideoSurface) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QAbstractVideoSurface) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractVideoSurface) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QAbstractVideoSurface) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QAbstractVideoSurface) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractVideoSurface) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QAbstractVideoSurface) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QAbstractVideoSurface) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractVideoSurface) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QAbstractVideoSurface) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QAbstractVideoSurface) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QAbstractVideoSurface) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QAbstractVideoSurface) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QAbstractVideoSurface) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QAbstractVideoSurface) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QAbstractVideoSurface) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QAbstractVideoSurface) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QAbstractVideoSurface) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QAbstractVideoSurface) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QAbstractVideoSurface) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QAlsaAudioDeviceInfo struct {
	QAbstractAudioDeviceInfo
}

type QAlsaAudioDeviceInfo_ITF interface {
	QAbstractAudioDeviceInfo_ITF
	QAlsaAudioDeviceInfo_PTR() *QAlsaAudioDeviceInfo
}

func (ptr *QAlsaAudioDeviceInfo) QAlsaAudioDeviceInfo_PTR() *QAlsaAudioDeviceInfo {
	return ptr
}

func (ptr *QAlsaAudioDeviceInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (ptr *QAlsaAudioDeviceInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioDeviceInfo_PTR().SetPointer(p)
	}
}

func PointerFromQAlsaAudioDeviceInfo(ptr QAlsaAudioDeviceInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAlsaAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (n *QAlsaAudioDeviceInfo) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioDeviceInfo_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAlsaAudioDeviceInfo) ClassNameInternalF() string {
	return n.QAbstractAudioDeviceInfo_PTR().ClassNameInternalF()
}

func NewQAlsaAudioDeviceInfoFromPointer(ptr unsafe.Pointer) (n *QAlsaAudioDeviceInfo) {
	n = new(QAlsaAudioDeviceInfo)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAlsaAudioDeviceInfo")
	return
}

func (ptr *QAlsaAudioDeviceInfo) DestroyQAlsaAudioDeviceInfo() {
}

type QAlsaAudioInput struct {
	QAbstractAudioInput
}

type QAlsaAudioInput_ITF interface {
	QAbstractAudioInput_ITF
	QAlsaAudioInput_PTR() *QAlsaAudioInput
}

func (ptr *QAlsaAudioInput) QAlsaAudioInput_PTR() *QAlsaAudioInput {
	return ptr
}

func (ptr *QAlsaAudioInput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioInput_PTR().Pointer()
	}
	return nil
}

func (ptr *QAlsaAudioInput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioInput_PTR().SetPointer(p)
	}
}

func PointerFromQAlsaAudioInput(ptr QAlsaAudioInput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAlsaAudioInput_PTR().Pointer()
	}
	return nil
}

func (n *QAlsaAudioInput) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioInput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAlsaAudioInput) ClassNameInternalF() string {
	return n.QAbstractAudioInput_PTR().ClassNameInternalF()
}

func NewQAlsaAudioInputFromPointer(ptr unsafe.Pointer) (n *QAlsaAudioInput) {
	n = new(QAlsaAudioInput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAlsaAudioInput")
	return
}

func (ptr *QAlsaAudioInput) DestroyQAlsaAudioInput() {
}

type QAlsaAudioOutput struct {
	QAbstractAudioOutput
}

type QAlsaAudioOutput_ITF interface {
	QAbstractAudioOutput_ITF
	QAlsaAudioOutput_PTR() *QAlsaAudioOutput
}

func (ptr *QAlsaAudioOutput) QAlsaAudioOutput_PTR() *QAlsaAudioOutput {
	return ptr
}

func (ptr *QAlsaAudioOutput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioOutput_PTR().Pointer()
	}
	return nil
}

func (ptr *QAlsaAudioOutput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioOutput_PTR().SetPointer(p)
	}
}

func PointerFromQAlsaAudioOutput(ptr QAlsaAudioOutput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAlsaAudioOutput_PTR().Pointer()
	}
	return nil
}

func (n *QAlsaAudioOutput) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioOutput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAlsaAudioOutput) ClassNameInternalF() string {
	return n.QAbstractAudioOutput_PTR().ClassNameInternalF()
}

func NewQAlsaAudioOutputFromPointer(ptr unsafe.Pointer) (n *QAlsaAudioOutput) {
	n = new(QAlsaAudioOutput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAlsaAudioOutput")
	return
}

func (ptr *QAlsaAudioOutput) DestroyQAlsaAudioOutput() {
}

type QAlsaPlugin struct {
	QAudioSystemPlugin
}

type QAlsaPlugin_ITF interface {
	QAudioSystemPlugin_ITF
	QAlsaPlugin_PTR() *QAlsaPlugin
}

func (ptr *QAlsaPlugin) QAlsaPlugin_PTR() *QAlsaPlugin {
	return ptr
}

func (ptr *QAlsaPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioSystemPlugin_PTR().Pointer()
	}
	return nil
}

func (ptr *QAlsaPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioSystemPlugin_PTR().SetPointer(p)
	}
}

func PointerFromQAlsaPlugin(ptr QAlsaPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAlsaPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QAlsaPlugin) InitFromInternal(ptr uintptr, name string) {
	n.QAudioSystemPlugin_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAlsaPlugin) ClassNameInternalF() string {
	return n.QAudioSystemPlugin_PTR().ClassNameInternalF()
}

func NewQAlsaPluginFromPointer(ptr unsafe.Pointer) (n *QAlsaPlugin) {
	n = new(QAlsaPlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAlsaPlugin")
	return
}

func (ptr *QAlsaPlugin) DestroyQAlsaPlugin() {
}

type QAndroidAudioEncoderSettingsControl struct {
	QAudioEncoderSettingsControl
}

type QAndroidAudioEncoderSettingsControl_ITF interface {
	QAudioEncoderSettingsControl_ITF
	QAndroidAudioEncoderSettingsControl_PTR() *QAndroidAudioEncoderSettingsControl
}

func (ptr *QAndroidAudioEncoderSettingsControl) QAndroidAudioEncoderSettingsControl_PTR() *QAndroidAudioEncoderSettingsControl {
	return ptr
}

func (ptr *QAndroidAudioEncoderSettingsControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidAudioEncoderSettingsControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioEncoderSettingsControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidAudioEncoderSettingsControl(ptr QAndroidAudioEncoderSettingsControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidAudioEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidAudioEncoderSettingsControl) InitFromInternal(ptr uintptr, name string) {
	n.QAudioEncoderSettingsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidAudioEncoderSettingsControl) ClassNameInternalF() string {
	return n.QAudioEncoderSettingsControl_PTR().ClassNameInternalF()
}

func NewQAndroidAudioEncoderSettingsControlFromPointer(ptr unsafe.Pointer) (n *QAndroidAudioEncoderSettingsControl) {
	n = new(QAndroidAudioEncoderSettingsControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidAudioEncoderSettingsControl")
	return
}

func (ptr *QAndroidAudioEncoderSettingsControl) DestroyQAndroidAudioEncoderSettingsControl() {
}

type QAndroidAudioInputSelectorControl struct {
	QAudioInputSelectorControl
}

type QAndroidAudioInputSelectorControl_ITF interface {
	QAudioInputSelectorControl_ITF
	QAndroidAudioInputSelectorControl_PTR() *QAndroidAudioInputSelectorControl
}

func (ptr *QAndroidAudioInputSelectorControl) QAndroidAudioInputSelectorControl_PTR() *QAndroidAudioInputSelectorControl {
	return ptr
}

func (ptr *QAndroidAudioInputSelectorControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioInputSelectorControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidAudioInputSelectorControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioInputSelectorControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidAudioInputSelectorControl(ptr QAndroidAudioInputSelectorControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidAudioInputSelectorControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidAudioInputSelectorControl) InitFromInternal(ptr uintptr, name string) {
	n.QAudioInputSelectorControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidAudioInputSelectorControl) ClassNameInternalF() string {
	return n.QAudioInputSelectorControl_PTR().ClassNameInternalF()
}

func NewQAndroidAudioInputSelectorControlFromPointer(ptr unsafe.Pointer) (n *QAndroidAudioInputSelectorControl) {
	n = new(QAndroidAudioInputSelectorControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidAudioInputSelectorControl")
	return
}

func (ptr *QAndroidAudioInputSelectorControl) DestroyQAndroidAudioInputSelectorControl() {
}

type QAndroidAudioRoleControl struct {
	QAudioRoleControl
}

type QAndroidAudioRoleControl_ITF interface {
	QAudioRoleControl_ITF
	QAndroidAudioRoleControl_PTR() *QAndroidAudioRoleControl
}

func (ptr *QAndroidAudioRoleControl) QAndroidAudioRoleControl_PTR() *QAndroidAudioRoleControl {
	return ptr
}

func (ptr *QAndroidAudioRoleControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioRoleControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidAudioRoleControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioRoleControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidAudioRoleControl(ptr QAndroidAudioRoleControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidAudioRoleControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidAudioRoleControl) InitFromInternal(ptr uintptr, name string) {
	n.QAudioRoleControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidAudioRoleControl) ClassNameInternalF() string {
	return n.QAudioRoleControl_PTR().ClassNameInternalF()
}

func NewQAndroidAudioRoleControlFromPointer(ptr unsafe.Pointer) (n *QAndroidAudioRoleControl) {
	n = new(QAndroidAudioRoleControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidAudioRoleControl")
	return
}

func (ptr *QAndroidAudioRoleControl) DestroyQAndroidAudioRoleControl() {
}

type QAndroidCameraCaptureBufferFormatControl struct {
	QCameraCaptureBufferFormatControl
}

type QAndroidCameraCaptureBufferFormatControl_ITF interface {
	QCameraCaptureBufferFormatControl_ITF
	QAndroidCameraCaptureBufferFormatControl_PTR() *QAndroidCameraCaptureBufferFormatControl
}

func (ptr *QAndroidCameraCaptureBufferFormatControl) QAndroidCameraCaptureBufferFormatControl_PTR() *QAndroidCameraCaptureBufferFormatControl {
	return ptr
}

func (ptr *QAndroidCameraCaptureBufferFormatControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraCaptureBufferFormatControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCameraCaptureBufferFormatControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraCaptureBufferFormatControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCameraCaptureBufferFormatControl(ptr QAndroidCameraCaptureBufferFormatControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCameraCaptureBufferFormatControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCameraCaptureBufferFormatControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraCaptureBufferFormatControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCameraCaptureBufferFormatControl) ClassNameInternalF() string {
	return n.QCameraCaptureBufferFormatControl_PTR().ClassNameInternalF()
}

func NewQAndroidCameraCaptureBufferFormatControlFromPointer(ptr unsafe.Pointer) (n *QAndroidCameraCaptureBufferFormatControl) {
	n = new(QAndroidCameraCaptureBufferFormatControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCameraCaptureBufferFormatControl")
	return
}

func (ptr *QAndroidCameraCaptureBufferFormatControl) DestroyQAndroidCameraCaptureBufferFormatControl() {
}

type QAndroidCameraCaptureDestinationControl struct {
	QCameraCaptureDestinationControl
}

type QAndroidCameraCaptureDestinationControl_ITF interface {
	QCameraCaptureDestinationControl_ITF
	QAndroidCameraCaptureDestinationControl_PTR() *QAndroidCameraCaptureDestinationControl
}

func (ptr *QAndroidCameraCaptureDestinationControl) QAndroidCameraCaptureDestinationControl_PTR() *QAndroidCameraCaptureDestinationControl {
	return ptr
}

func (ptr *QAndroidCameraCaptureDestinationControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraCaptureDestinationControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCameraCaptureDestinationControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraCaptureDestinationControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCameraCaptureDestinationControl(ptr QAndroidCameraCaptureDestinationControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCameraCaptureDestinationControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCameraCaptureDestinationControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraCaptureDestinationControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCameraCaptureDestinationControl) ClassNameInternalF() string {
	return n.QCameraCaptureDestinationControl_PTR().ClassNameInternalF()
}

func NewQAndroidCameraCaptureDestinationControlFromPointer(ptr unsafe.Pointer) (n *QAndroidCameraCaptureDestinationControl) {
	n = new(QAndroidCameraCaptureDestinationControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCameraCaptureDestinationControl")
	return
}

func (ptr *QAndroidCameraCaptureDestinationControl) DestroyQAndroidCameraCaptureDestinationControl() {
}

type QAndroidCameraControl struct {
	QCameraControl
}

type QAndroidCameraControl_ITF interface {
	QCameraControl_ITF
	QAndroidCameraControl_PTR() *QAndroidCameraControl
}

func (ptr *QAndroidCameraControl) QAndroidCameraControl_PTR() *QAndroidCameraControl {
	return ptr
}

func (ptr *QAndroidCameraControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCameraControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCameraControl(ptr QAndroidCameraControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCameraControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCameraControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCameraControl) ClassNameInternalF() string {
	return n.QCameraControl_PTR().ClassNameInternalF()
}

func NewQAndroidCameraControlFromPointer(ptr unsafe.Pointer) (n *QAndroidCameraControl) {
	n = new(QAndroidCameraControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCameraControl")
	return
}

func (ptr *QAndroidCameraControl) DestroyQAndroidCameraControl() {
}

type QAndroidCameraExposureControl struct {
	QCameraExposureControl
}

type QAndroidCameraExposureControl_ITF interface {
	QCameraExposureControl_ITF
	QAndroidCameraExposureControl_PTR() *QAndroidCameraExposureControl
}

func (ptr *QAndroidCameraExposureControl) QAndroidCameraExposureControl_PTR() *QAndroidCameraExposureControl {
	return ptr
}

func (ptr *QAndroidCameraExposureControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraExposureControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCameraExposureControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraExposureControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCameraExposureControl(ptr QAndroidCameraExposureControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCameraExposureControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCameraExposureControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraExposureControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCameraExposureControl) ClassNameInternalF() string {
	return n.QCameraExposureControl_PTR().ClassNameInternalF()
}

func NewQAndroidCameraExposureControlFromPointer(ptr unsafe.Pointer) (n *QAndroidCameraExposureControl) {
	n = new(QAndroidCameraExposureControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCameraExposureControl")
	return
}

func (ptr *QAndroidCameraExposureControl) DestroyQAndroidCameraExposureControl() {
}

type QAndroidCameraFlashControl struct {
	QCameraFlashControl
}

type QAndroidCameraFlashControl_ITF interface {
	QCameraFlashControl_ITF
	QAndroidCameraFlashControl_PTR() *QAndroidCameraFlashControl
}

func (ptr *QAndroidCameraFlashControl) QAndroidCameraFlashControl_PTR() *QAndroidCameraFlashControl {
	return ptr
}

func (ptr *QAndroidCameraFlashControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFlashControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCameraFlashControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraFlashControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCameraFlashControl(ptr QAndroidCameraFlashControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCameraFlashControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCameraFlashControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraFlashControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCameraFlashControl) ClassNameInternalF() string {
	return n.QCameraFlashControl_PTR().ClassNameInternalF()
}

func NewQAndroidCameraFlashControlFromPointer(ptr unsafe.Pointer) (n *QAndroidCameraFlashControl) {
	n = new(QAndroidCameraFlashControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCameraFlashControl")
	return
}

func (ptr *QAndroidCameraFlashControl) DestroyQAndroidCameraFlashControl() {
}

type QAndroidCameraFocusControl struct {
	QCameraFocusControl
}

type QAndroidCameraFocusControl_ITF interface {
	QCameraFocusControl_ITF
	QAndroidCameraFocusControl_PTR() *QAndroidCameraFocusControl
}

func (ptr *QAndroidCameraFocusControl) QAndroidCameraFocusControl_PTR() *QAndroidCameraFocusControl {
	return ptr
}

func (ptr *QAndroidCameraFocusControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFocusControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCameraFocusControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraFocusControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCameraFocusControl(ptr QAndroidCameraFocusControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCameraFocusControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCameraFocusControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraFocusControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCameraFocusControl) ClassNameInternalF() string {
	return n.QCameraFocusControl_PTR().ClassNameInternalF()
}

func NewQAndroidCameraFocusControlFromPointer(ptr unsafe.Pointer) (n *QAndroidCameraFocusControl) {
	n = new(QAndroidCameraFocusControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCameraFocusControl")
	return
}

func (ptr *QAndroidCameraFocusControl) DestroyQAndroidCameraFocusControl() {
}

type QAndroidCameraImageCaptureControl struct {
	QCameraImageCaptureControl
}

type QAndroidCameraImageCaptureControl_ITF interface {
	QCameraImageCaptureControl_ITF
	QAndroidCameraImageCaptureControl_PTR() *QAndroidCameraImageCaptureControl
}

func (ptr *QAndroidCameraImageCaptureControl) QAndroidCameraImageCaptureControl_PTR() *QAndroidCameraImageCaptureControl {
	return ptr
}

func (ptr *QAndroidCameraImageCaptureControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageCaptureControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCameraImageCaptureControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraImageCaptureControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCameraImageCaptureControl(ptr QAndroidCameraImageCaptureControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCameraImageCaptureControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCameraImageCaptureControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraImageCaptureControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCameraImageCaptureControl) ClassNameInternalF() string {
	return n.QCameraImageCaptureControl_PTR().ClassNameInternalF()
}

func NewQAndroidCameraImageCaptureControlFromPointer(ptr unsafe.Pointer) (n *QAndroidCameraImageCaptureControl) {
	n = new(QAndroidCameraImageCaptureControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCameraImageCaptureControl")
	return
}

func (ptr *QAndroidCameraImageCaptureControl) DestroyQAndroidCameraImageCaptureControl() {
}

type QAndroidCameraImageProcessingControl struct {
	QCameraImageProcessingControl
}

type QAndroidCameraImageProcessingControl_ITF interface {
	QCameraImageProcessingControl_ITF
	QAndroidCameraImageProcessingControl_PTR() *QAndroidCameraImageProcessingControl
}

func (ptr *QAndroidCameraImageProcessingControl) QAndroidCameraImageProcessingControl_PTR() *QAndroidCameraImageProcessingControl {
	return ptr
}

func (ptr *QAndroidCameraImageProcessingControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageProcessingControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCameraImageProcessingControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraImageProcessingControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCameraImageProcessingControl(ptr QAndroidCameraImageProcessingControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCameraImageProcessingControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCameraImageProcessingControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraImageProcessingControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCameraImageProcessingControl) ClassNameInternalF() string {
	return n.QCameraImageProcessingControl_PTR().ClassNameInternalF()
}

func NewQAndroidCameraImageProcessingControlFromPointer(ptr unsafe.Pointer) (n *QAndroidCameraImageProcessingControl) {
	n = new(QAndroidCameraImageProcessingControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCameraImageProcessingControl")
	return
}

func (ptr *QAndroidCameraImageProcessingControl) DestroyQAndroidCameraImageProcessingControl() {
}

type QAndroidCameraInfoControl struct {
	QCameraInfoControl
}

type QAndroidCameraInfoControl_ITF interface {
	QCameraInfoControl_ITF
	QAndroidCameraInfoControl_PTR() *QAndroidCameraInfoControl
}

func (ptr *QAndroidCameraInfoControl) QAndroidCameraInfoControl_PTR() *QAndroidCameraInfoControl {
	return ptr
}

func (ptr *QAndroidCameraInfoControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraInfoControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCameraInfoControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraInfoControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCameraInfoControl(ptr QAndroidCameraInfoControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCameraInfoControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCameraInfoControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraInfoControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCameraInfoControl) ClassNameInternalF() string {
	return n.QCameraInfoControl_PTR().ClassNameInternalF()
}

func NewQAndroidCameraInfoControlFromPointer(ptr unsafe.Pointer) (n *QAndroidCameraInfoControl) {
	n = new(QAndroidCameraInfoControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCameraInfoControl")
	return
}

func (ptr *QAndroidCameraInfoControl) DestroyQAndroidCameraInfoControl() {
}

type QAndroidCameraLocksControl struct {
	QCameraLocksControl
}

type QAndroidCameraLocksControl_ITF interface {
	QCameraLocksControl_ITF
	QAndroidCameraLocksControl_PTR() *QAndroidCameraLocksControl
}

func (ptr *QAndroidCameraLocksControl) QAndroidCameraLocksControl_PTR() *QAndroidCameraLocksControl {
	return ptr
}

func (ptr *QAndroidCameraLocksControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraLocksControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCameraLocksControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraLocksControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCameraLocksControl(ptr QAndroidCameraLocksControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCameraLocksControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCameraLocksControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraLocksControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCameraLocksControl) ClassNameInternalF() string {
	return n.QCameraLocksControl_PTR().ClassNameInternalF()
}

func NewQAndroidCameraLocksControlFromPointer(ptr unsafe.Pointer) (n *QAndroidCameraLocksControl) {
	n = new(QAndroidCameraLocksControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCameraLocksControl")
	return
}

func (ptr *QAndroidCameraLocksControl) DestroyQAndroidCameraLocksControl() {
}

type QAndroidCameraSession struct {
	core.QObject
}

type QAndroidCameraSession_ITF interface {
	core.QObject_ITF
	QAndroidCameraSession_PTR() *QAndroidCameraSession
}

func (ptr *QAndroidCameraSession) QAndroidCameraSession_PTR() *QAndroidCameraSession {
	return ptr
}

func (ptr *QAndroidCameraSession) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCameraSession) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCameraSession(ptr QAndroidCameraSession_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCameraSession_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCameraSession) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCameraSession) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAndroidCameraSessionFromPointer(ptr unsafe.Pointer) (n *QAndroidCameraSession) {
	n = new(QAndroidCameraSession)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCameraSession")
	return
}

func (ptr *QAndroidCameraSession) DestroyQAndroidCameraSession() {
}

type QAndroidCameraVideoRendererControl struct {
	QVideoRendererControl
}

type QAndroidCameraVideoRendererControl_ITF interface {
	QVideoRendererControl_ITF
	QAndroidCameraVideoRendererControl_PTR() *QAndroidCameraVideoRendererControl
}

func (ptr *QAndroidCameraVideoRendererControl) QAndroidCameraVideoRendererControl_PTR() *QAndroidCameraVideoRendererControl {
	return ptr
}

func (ptr *QAndroidCameraVideoRendererControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCameraVideoRendererControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoRendererControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCameraVideoRendererControl(ptr QAndroidCameraVideoRendererControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCameraVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCameraVideoRendererControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoRendererControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCameraVideoRendererControl) ClassNameInternalF() string {
	return n.QVideoRendererControl_PTR().ClassNameInternalF()
}

func NewQAndroidCameraVideoRendererControlFromPointer(ptr unsafe.Pointer) (n *QAndroidCameraVideoRendererControl) {
	n = new(QAndroidCameraVideoRendererControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCameraVideoRendererControl")
	return
}

func (ptr *QAndroidCameraVideoRendererControl) DestroyQAndroidCameraVideoRendererControl() {
}

type QAndroidCameraZoomControl struct {
	QCameraZoomControl
}

type QAndroidCameraZoomControl_ITF interface {
	QCameraZoomControl_ITF
	QAndroidCameraZoomControl_PTR() *QAndroidCameraZoomControl
}

func (ptr *QAndroidCameraZoomControl) QAndroidCameraZoomControl_PTR() *QAndroidCameraZoomControl {
	return ptr
}

func (ptr *QAndroidCameraZoomControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraZoomControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCameraZoomControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraZoomControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCameraZoomControl(ptr QAndroidCameraZoomControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCameraZoomControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCameraZoomControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraZoomControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCameraZoomControl) ClassNameInternalF() string {
	return n.QCameraZoomControl_PTR().ClassNameInternalF()
}

func NewQAndroidCameraZoomControlFromPointer(ptr unsafe.Pointer) (n *QAndroidCameraZoomControl) {
	n = new(QAndroidCameraZoomControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCameraZoomControl")
	return
}

func (ptr *QAndroidCameraZoomControl) DestroyQAndroidCameraZoomControl() {
}

type QAndroidCaptureService struct {
	QMediaService
}

type QAndroidCaptureService_ITF interface {
	QMediaService_ITF
	QAndroidCaptureService_PTR() *QAndroidCaptureService
}

func (ptr *QAndroidCaptureService) QAndroidCaptureService_PTR() *QAndroidCaptureService {
	return ptr
}

func (ptr *QAndroidCaptureService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCaptureService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCaptureService(ptr QAndroidCaptureService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCaptureService_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCaptureService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCaptureService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewQAndroidCaptureServiceFromPointer(ptr unsafe.Pointer) (n *QAndroidCaptureService) {
	n = new(QAndroidCaptureService)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCaptureService")
	return
}

func (ptr *QAndroidCaptureService) DestroyQAndroidCaptureService() {
}

type QAndroidCaptureSession struct {
	core.QObject
}

type QAndroidCaptureSession_ITF interface {
	core.QObject_ITF
	QAndroidCaptureSession_PTR() *QAndroidCaptureSession
}

func (ptr *QAndroidCaptureSession) QAndroidCaptureSession_PTR() *QAndroidCaptureSession {
	return ptr
}

func (ptr *QAndroidCaptureSession) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCaptureSession) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCaptureSession(ptr QAndroidCaptureSession_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCaptureSession_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCaptureSession) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCaptureSession) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAndroidCaptureSessionFromPointer(ptr unsafe.Pointer) (n *QAndroidCaptureSession) {
	n = new(QAndroidCaptureSession)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCaptureSession")
	return
}

func (ptr *QAndroidCaptureSession) DestroyQAndroidCaptureSession() {
}

type QAndroidCustomAudioRoleControl struct {
	QCustomAudioRoleControl
}

type QAndroidCustomAudioRoleControl_ITF interface {
	QCustomAudioRoleControl_ITF
	QAndroidCustomAudioRoleControl_PTR() *QAndroidCustomAudioRoleControl
}

func (ptr *QAndroidCustomAudioRoleControl) QAndroidCustomAudioRoleControl_PTR() *QAndroidCustomAudioRoleControl {
	return ptr
}

func (ptr *QAndroidCustomAudioRoleControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCustomAudioRoleControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidCustomAudioRoleControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCustomAudioRoleControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidCustomAudioRoleControl(ptr QAndroidCustomAudioRoleControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidCustomAudioRoleControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidCustomAudioRoleControl) InitFromInternal(ptr uintptr, name string) {
	n.QCustomAudioRoleControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidCustomAudioRoleControl) ClassNameInternalF() string {
	return n.QCustomAudioRoleControl_PTR().ClassNameInternalF()
}

func NewQAndroidCustomAudioRoleControlFromPointer(ptr unsafe.Pointer) (n *QAndroidCustomAudioRoleControl) {
	n = new(QAndroidCustomAudioRoleControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidCustomAudioRoleControl")
	return
}

func (ptr *QAndroidCustomAudioRoleControl) DestroyQAndroidCustomAudioRoleControl() {
}

type QAndroidImageEncoderControl struct {
	QImageEncoderControl
}

type QAndroidImageEncoderControl_ITF interface {
	QImageEncoderControl_ITF
	QAndroidImageEncoderControl_PTR() *QAndroidImageEncoderControl
}

func (ptr *QAndroidImageEncoderControl) QAndroidImageEncoderControl_PTR() *QAndroidImageEncoderControl {
	return ptr
}

func (ptr *QAndroidImageEncoderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QImageEncoderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidImageEncoderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QImageEncoderControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidImageEncoderControl(ptr QAndroidImageEncoderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidImageEncoderControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidImageEncoderControl) InitFromInternal(ptr uintptr, name string) {
	n.QImageEncoderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidImageEncoderControl) ClassNameInternalF() string {
	return n.QImageEncoderControl_PTR().ClassNameInternalF()
}

func NewQAndroidImageEncoderControlFromPointer(ptr unsafe.Pointer) (n *QAndroidImageEncoderControl) {
	n = new(QAndroidImageEncoderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidImageEncoderControl")
	return
}

func (ptr *QAndroidImageEncoderControl) DestroyQAndroidImageEncoderControl() {
}

type QAndroidMediaContainerControl struct {
	QMediaContainerControl
}

type QAndroidMediaContainerControl_ITF interface {
	QMediaContainerControl_ITF
	QAndroidMediaContainerControl_PTR() *QAndroidMediaContainerControl
}

func (ptr *QAndroidMediaContainerControl) QAndroidMediaContainerControl_PTR() *QAndroidMediaContainerControl {
	return ptr
}

func (ptr *QAndroidMediaContainerControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaContainerControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidMediaContainerControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaContainerControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidMediaContainerControl(ptr QAndroidMediaContainerControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidMediaContainerControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidMediaContainerControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaContainerControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidMediaContainerControl) ClassNameInternalF() string {
	return n.QMediaContainerControl_PTR().ClassNameInternalF()
}

func NewQAndroidMediaContainerControlFromPointer(ptr unsafe.Pointer) (n *QAndroidMediaContainerControl) {
	n = new(QAndroidMediaContainerControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidMediaContainerControl")
	return
}

func (ptr *QAndroidMediaContainerControl) DestroyQAndroidMediaContainerControl() {
}

type QAndroidMediaPlayerControl struct {
	QMediaPlayerControl
}

type QAndroidMediaPlayerControl_ITF interface {
	QMediaPlayerControl_ITF
	QAndroidMediaPlayerControl_PTR() *QAndroidMediaPlayerControl
}

func (ptr *QAndroidMediaPlayerControl) QAndroidMediaPlayerControl_PTR() *QAndroidMediaPlayerControl {
	return ptr
}

func (ptr *QAndroidMediaPlayerControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaPlayerControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidMediaPlayerControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaPlayerControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidMediaPlayerControl(ptr QAndroidMediaPlayerControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidMediaPlayerControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidMediaPlayerControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaPlayerControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidMediaPlayerControl) ClassNameInternalF() string {
	return n.QMediaPlayerControl_PTR().ClassNameInternalF()
}

func NewQAndroidMediaPlayerControlFromPointer(ptr unsafe.Pointer) (n *QAndroidMediaPlayerControl) {
	n = new(QAndroidMediaPlayerControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidMediaPlayerControl")
	return
}

func (ptr *QAndroidMediaPlayerControl) DestroyQAndroidMediaPlayerControl() {
}

type QAndroidMediaPlayerVideoRendererControl struct {
	QVideoRendererControl
}

type QAndroidMediaPlayerVideoRendererControl_ITF interface {
	QVideoRendererControl_ITF
	QAndroidMediaPlayerVideoRendererControl_PTR() *QAndroidMediaPlayerVideoRendererControl
}

func (ptr *QAndroidMediaPlayerVideoRendererControl) QAndroidMediaPlayerVideoRendererControl_PTR() *QAndroidMediaPlayerVideoRendererControl {
	return ptr
}

func (ptr *QAndroidMediaPlayerVideoRendererControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidMediaPlayerVideoRendererControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoRendererControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidMediaPlayerVideoRendererControl(ptr QAndroidMediaPlayerVideoRendererControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidMediaPlayerVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidMediaPlayerVideoRendererControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoRendererControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidMediaPlayerVideoRendererControl) ClassNameInternalF() string {
	return n.QVideoRendererControl_PTR().ClassNameInternalF()
}

func NewQAndroidMediaPlayerVideoRendererControlFromPointer(ptr unsafe.Pointer) (n *QAndroidMediaPlayerVideoRendererControl) {
	n = new(QAndroidMediaPlayerVideoRendererControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidMediaPlayerVideoRendererControl")
	return
}

func (ptr *QAndroidMediaPlayerVideoRendererControl) DestroyQAndroidMediaPlayerVideoRendererControl() {
}

type QAndroidMediaRecorderControl struct {
	QMediaRecorderControl
}

type QAndroidMediaRecorderControl_ITF interface {
	QMediaRecorderControl_ITF
	QAndroidMediaRecorderControl_PTR() *QAndroidMediaRecorderControl
}

func (ptr *QAndroidMediaRecorderControl) QAndroidMediaRecorderControl_PTR() *QAndroidMediaRecorderControl {
	return ptr
}

func (ptr *QAndroidMediaRecorderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaRecorderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidMediaRecorderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaRecorderControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidMediaRecorderControl(ptr QAndroidMediaRecorderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidMediaRecorderControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidMediaRecorderControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaRecorderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidMediaRecorderControl) ClassNameInternalF() string {
	return n.QMediaRecorderControl_PTR().ClassNameInternalF()
}

func NewQAndroidMediaRecorderControlFromPointer(ptr unsafe.Pointer) (n *QAndroidMediaRecorderControl) {
	n = new(QAndroidMediaRecorderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidMediaRecorderControl")
	return
}

func (ptr *QAndroidMediaRecorderControl) DestroyQAndroidMediaRecorderControl() {
}

type QAndroidMediaService struct {
	QMediaService
}

type QAndroidMediaService_ITF interface {
	QMediaService_ITF
	QAndroidMediaService_PTR() *QAndroidMediaService
}

func (ptr *QAndroidMediaService) QAndroidMediaService_PTR() *QAndroidMediaService {
	return ptr
}

func (ptr *QAndroidMediaService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidMediaService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidMediaService(ptr QAndroidMediaService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidMediaService_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidMediaService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidMediaService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewQAndroidMediaServiceFromPointer(ptr unsafe.Pointer) (n *QAndroidMediaService) {
	n = new(QAndroidMediaService)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidMediaService")
	return
}

func (ptr *QAndroidMediaService) DestroyQAndroidMediaService() {
}

type QAndroidMediaServicePlugin struct {
	QMediaServiceCameraInfoInterface
	QMediaServiceDefaultDeviceInterface
	QMediaServiceFeaturesInterface
	QMediaServiceProviderPlugin
	QMediaServiceSupportedDevicesInterface
}

type QAndroidMediaServicePlugin_ITF interface {
	QMediaServiceCameraInfoInterface_ITF
	QMediaServiceDefaultDeviceInterface_ITF
	QMediaServiceFeaturesInterface_ITF
	QMediaServiceProviderPlugin_ITF
	QMediaServiceSupportedDevicesInterface_ITF
	QAndroidMediaServicePlugin_PTR() *QAndroidMediaServicePlugin
}

func (ptr *QAndroidMediaServicePlugin) QAndroidMediaServicePlugin_PTR() *QAndroidMediaServicePlugin {
	return ptr
}

func (ptr *QAndroidMediaServicePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceCameraInfoInterface_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidMediaServicePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaServiceCameraInfoInterface_PTR().SetPointer(p)
		ptr.QMediaServiceDefaultDeviceInterface_PTR().SetPointer(p)
		ptr.QMediaServiceFeaturesInterface_PTR().SetPointer(p)
		ptr.QMediaServiceProviderPlugin_PTR().SetPointer(p)
		ptr.QMediaServiceSupportedDevicesInterface_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidMediaServicePlugin(ptr QAndroidMediaServicePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidMediaServicePlugin_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidMediaServicePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QMediaServiceCameraInfoInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceDefaultDeviceInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceFeaturesInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceProviderPlugin_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceSupportedDevicesInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidMediaServicePlugin) ClassNameInternalF() string {
	return n.QMediaServiceCameraInfoInterface_PTR().ClassNameInternalF()
}

func NewQAndroidMediaServicePluginFromPointer(ptr unsafe.Pointer) (n *QAndroidMediaServicePlugin) {
	n = new(QAndroidMediaServicePlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidMediaServicePlugin")
	return
}

func (ptr *QAndroidMediaServicePlugin) DestroyQAndroidMediaServicePlugin() {
}

type QAndroidMediaVideoProbeControl struct {
	QMediaVideoProbeControl
}

type QAndroidMediaVideoProbeControl_ITF interface {
	QMediaVideoProbeControl_ITF
	QAndroidMediaVideoProbeControl_PTR() *QAndroidMediaVideoProbeControl
}

func (ptr *QAndroidMediaVideoProbeControl) QAndroidMediaVideoProbeControl_PTR() *QAndroidMediaVideoProbeControl {
	return ptr
}

func (ptr *QAndroidMediaVideoProbeControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaVideoProbeControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidMediaVideoProbeControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaVideoProbeControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidMediaVideoProbeControl(ptr QAndroidMediaVideoProbeControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidMediaVideoProbeControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidMediaVideoProbeControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaVideoProbeControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidMediaVideoProbeControl) ClassNameInternalF() string {
	return n.QMediaVideoProbeControl_PTR().ClassNameInternalF()
}

func NewQAndroidMediaVideoProbeControlFromPointer(ptr unsafe.Pointer) (n *QAndroidMediaVideoProbeControl) {
	n = new(QAndroidMediaVideoProbeControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidMediaVideoProbeControl")
	return
}

func (ptr *QAndroidMediaVideoProbeControl) DestroyQAndroidMediaVideoProbeControl() {
}

type QAndroidMetaDataReaderControl struct {
	QMetaDataReaderControl
}

type QAndroidMetaDataReaderControl_ITF interface {
	QMetaDataReaderControl_ITF
	QAndroidMetaDataReaderControl_PTR() *QAndroidMetaDataReaderControl
}

func (ptr *QAndroidMetaDataReaderControl) QAndroidMetaDataReaderControl_PTR() *QAndroidMetaDataReaderControl {
	return ptr
}

func (ptr *QAndroidMetaDataReaderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaDataReaderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidMetaDataReaderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMetaDataReaderControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidMetaDataReaderControl(ptr QAndroidMetaDataReaderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidMetaDataReaderControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidMetaDataReaderControl) InitFromInternal(ptr uintptr, name string) {
	n.QMetaDataReaderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidMetaDataReaderControl) ClassNameInternalF() string {
	return n.QMetaDataReaderControl_PTR().ClassNameInternalF()
}

func NewQAndroidMetaDataReaderControlFromPointer(ptr unsafe.Pointer) (n *QAndroidMetaDataReaderControl) {
	n = new(QAndroidMetaDataReaderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidMetaDataReaderControl")
	return
}

func (ptr *QAndroidMetaDataReaderControl) DestroyQAndroidMetaDataReaderControl() {
}

type QAndroidSGVideoNode struct {
	internal.Internal
}

type QAndroidSGVideoNode_ITF interface {
	QAndroidSGVideoNode_PTR() *QAndroidSGVideoNode
}

func (ptr *QAndroidSGVideoNode) QAndroidSGVideoNode_PTR() *QAndroidSGVideoNode {
	return ptr
}

func (ptr *QAndroidSGVideoNode) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAndroidSGVideoNode) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAndroidSGVideoNode(ptr QAndroidSGVideoNode_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidSGVideoNode_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidSGVideoNode) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAndroidSGVideoNodeFromPointer(ptr unsafe.Pointer) (n *QAndroidSGVideoNode) {
	n = new(QAndroidSGVideoNode)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidSGVideoNode")
	return
}

func (ptr *QAndroidSGVideoNode) DestroyQAndroidSGVideoNode() {
}

type QAndroidSGVideoNodeFactoryPlugin struct {
	internal.Internal
}

type QAndroidSGVideoNodeFactoryPlugin_ITF interface {
	QAndroidSGVideoNodeFactoryPlugin_PTR() *QAndroidSGVideoNodeFactoryPlugin
}

func (ptr *QAndroidSGVideoNodeFactoryPlugin) QAndroidSGVideoNodeFactoryPlugin_PTR() *QAndroidSGVideoNodeFactoryPlugin {
	return ptr
}

func (ptr *QAndroidSGVideoNodeFactoryPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAndroidSGVideoNodeFactoryPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAndroidSGVideoNodeFactoryPlugin(ptr QAndroidSGVideoNodeFactoryPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidSGVideoNodeFactoryPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidSGVideoNodeFactoryPlugin) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAndroidSGVideoNodeFactoryPluginFromPointer(ptr unsafe.Pointer) (n *QAndroidSGVideoNodeFactoryPlugin) {
	n = new(QAndroidSGVideoNodeFactoryPlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidSGVideoNodeFactoryPlugin")
	return
}

func (ptr *QAndroidSGVideoNodeFactoryPlugin) DestroyQAndroidSGVideoNodeFactoryPlugin() {
}

type QAndroidTextureVideoOutput struct {
	QAndroidVideoOutput
}

type QAndroidTextureVideoOutput_ITF interface {
	QAndroidVideoOutput_ITF
	QAndroidTextureVideoOutput_PTR() *QAndroidTextureVideoOutput
}

func (ptr *QAndroidTextureVideoOutput) QAndroidTextureVideoOutput_PTR() *QAndroidTextureVideoOutput {
	return ptr
}

func (ptr *QAndroidTextureVideoOutput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidVideoOutput_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidTextureVideoOutput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAndroidVideoOutput_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidTextureVideoOutput(ptr QAndroidTextureVideoOutput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidTextureVideoOutput_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidTextureVideoOutput) InitFromInternal(ptr uintptr, name string) {
	n.QAndroidVideoOutput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidTextureVideoOutput) ClassNameInternalF() string {
	return n.QAndroidVideoOutput_PTR().ClassNameInternalF()
}

func NewQAndroidTextureVideoOutputFromPointer(ptr unsafe.Pointer) (n *QAndroidTextureVideoOutput) {
	n = new(QAndroidTextureVideoOutput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidTextureVideoOutput")
	return
}

func (ptr *QAndroidTextureVideoOutput) DestroyQAndroidTextureVideoOutput() {
}

type QAndroidVideoDeviceSelectorControl struct {
	QVideoDeviceSelectorControl
}

type QAndroidVideoDeviceSelectorControl_ITF interface {
	QVideoDeviceSelectorControl_ITF
	QAndroidVideoDeviceSelectorControl_PTR() *QAndroidVideoDeviceSelectorControl
}

func (ptr *QAndroidVideoDeviceSelectorControl) QAndroidVideoDeviceSelectorControl_PTR() *QAndroidVideoDeviceSelectorControl {
	return ptr
}

func (ptr *QAndroidVideoDeviceSelectorControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoDeviceSelectorControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidVideoDeviceSelectorControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoDeviceSelectorControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidVideoDeviceSelectorControl(ptr QAndroidVideoDeviceSelectorControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidVideoDeviceSelectorControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidVideoDeviceSelectorControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoDeviceSelectorControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidVideoDeviceSelectorControl) ClassNameInternalF() string {
	return n.QVideoDeviceSelectorControl_PTR().ClassNameInternalF()
}

func NewQAndroidVideoDeviceSelectorControlFromPointer(ptr unsafe.Pointer) (n *QAndroidVideoDeviceSelectorControl) {
	n = new(QAndroidVideoDeviceSelectorControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidVideoDeviceSelectorControl")
	return
}

func (ptr *QAndroidVideoDeviceSelectorControl) DestroyQAndroidVideoDeviceSelectorControl() {
}

type QAndroidVideoEncoderSettingsControl struct {
	QVideoEncoderSettingsControl
}

type QAndroidVideoEncoderSettingsControl_ITF interface {
	QVideoEncoderSettingsControl_ITF
	QAndroidVideoEncoderSettingsControl_PTR() *QAndroidVideoEncoderSettingsControl
}

func (ptr *QAndroidVideoEncoderSettingsControl) QAndroidVideoEncoderSettingsControl_PTR() *QAndroidVideoEncoderSettingsControl {
	return ptr
}

func (ptr *QAndroidVideoEncoderSettingsControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidVideoEncoderSettingsControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoEncoderSettingsControl_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidVideoEncoderSettingsControl(ptr QAndroidVideoEncoderSettingsControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidVideoEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidVideoEncoderSettingsControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoEncoderSettingsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidVideoEncoderSettingsControl) ClassNameInternalF() string {
	return n.QVideoEncoderSettingsControl_PTR().ClassNameInternalF()
}

func NewQAndroidVideoEncoderSettingsControlFromPointer(ptr unsafe.Pointer) (n *QAndroidVideoEncoderSettingsControl) {
	n = new(QAndroidVideoEncoderSettingsControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidVideoEncoderSettingsControl")
	return
}

func (ptr *QAndroidVideoEncoderSettingsControl) DestroyQAndroidVideoEncoderSettingsControl() {
}

type QAndroidVideoOutput struct {
	core.QObject
}

type QAndroidVideoOutput_ITF interface {
	core.QObject_ITF
	QAndroidVideoOutput_PTR() *QAndroidVideoOutput
}

func (ptr *QAndroidVideoOutput) QAndroidVideoOutput_PTR() *QAndroidVideoOutput {
	return ptr
}

func (ptr *QAndroidVideoOutput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidVideoOutput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidVideoOutput(ptr QAndroidVideoOutput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidVideoOutput_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidVideoOutput) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidVideoOutput) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAndroidVideoOutputFromPointer(ptr unsafe.Pointer) (n *QAndroidVideoOutput) {
	n = new(QAndroidVideoOutput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidVideoOutput")
	return
}

func (ptr *QAndroidVideoOutput) DestroyQAndroidVideoOutput() {
}

type QAndroidViewfinderSettingsControl2 struct {
	QCameraViewfinderSettingsControl2
}

type QAndroidViewfinderSettingsControl2_ITF interface {
	QCameraViewfinderSettingsControl2_ITF
	QAndroidViewfinderSettingsControl2_PTR() *QAndroidViewfinderSettingsControl2
}

func (ptr *QAndroidViewfinderSettingsControl2) QAndroidViewfinderSettingsControl2_PTR() *QAndroidViewfinderSettingsControl2 {
	return ptr
}

func (ptr *QAndroidViewfinderSettingsControl2) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraViewfinderSettingsControl2_PTR().Pointer()
	}
	return nil
}

func (ptr *QAndroidViewfinderSettingsControl2) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraViewfinderSettingsControl2_PTR().SetPointer(p)
	}
}

func PointerFromQAndroidViewfinderSettingsControl2(ptr QAndroidViewfinderSettingsControl2_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAndroidViewfinderSettingsControl2_PTR().Pointer()
	}
	return nil
}

func (n *QAndroidViewfinderSettingsControl2) InitFromInternal(ptr uintptr, name string) {
	n.QCameraViewfinderSettingsControl2_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAndroidViewfinderSettingsControl2) ClassNameInternalF() string {
	return n.QCameraViewfinderSettingsControl2_PTR().ClassNameInternalF()
}

func NewQAndroidViewfinderSettingsControl2FromPointer(ptr unsafe.Pointer) (n *QAndroidViewfinderSettingsControl2) {
	n = new(QAndroidViewfinderSettingsControl2)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAndroidViewfinderSettingsControl2")
	return
}

func (ptr *QAndroidViewfinderSettingsControl2) DestroyQAndroidViewfinderSettingsControl2() {
}

type QAudio struct {
	internal.Internal
}

type QAudio_ITF interface {
	QAudio_PTR() *QAudio
}

func (ptr *QAudio) QAudio_PTR() *QAudio {
	return ptr
}

func (ptr *QAudio) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAudio) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAudio(ptr QAudio_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudio_PTR().Pointer()
	}
	return nil
}

func (n *QAudio) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAudioFromPointer(ptr unsafe.Pointer) (n *QAudio) {
	n = new(QAudio)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudio")
	return
}

func (ptr *QAudio) DestroyQAudio() {
}

//go:generate stringer -type=QAudio__Error
//QAudio::Error
type QAudio__Error int64

const (
	QAudio__NoError       QAudio__Error = QAudio__Error(0)
	QAudio__OpenError     QAudio__Error = QAudio__Error(1)
	QAudio__IOError       QAudio__Error = QAudio__Error(2)
	QAudio__UnderrunError QAudio__Error = QAudio__Error(3)
	QAudio__FatalError    QAudio__Error = QAudio__Error(4)
)

//go:generate stringer -type=QAudio__State
//QAudio::State
type QAudio__State int64

const (
	QAudio__ActiveState      QAudio__State = QAudio__State(0)
	QAudio__SuspendedState   QAudio__State = QAudio__State(1)
	QAudio__StoppedState     QAudio__State = QAudio__State(2)
	QAudio__IdleState        QAudio__State = QAudio__State(3)
	QAudio__InterruptedState QAudio__State = QAudio__State(4)
)

//go:generate stringer -type=QAudio__Mode
//QAudio::Mode
type QAudio__Mode int64

const (
	QAudio__AudioInput  QAudio__Mode = QAudio__Mode(0)
	QAudio__AudioOutput QAudio__Mode = QAudio__Mode(1)
)

//go:generate stringer -type=QAudio__Role
//QAudio::Role
type QAudio__Role int64

const (
	QAudio__UnknownRole            QAudio__Role = QAudio__Role(0)
	QAudio__MusicRole              QAudio__Role = QAudio__Role(1)
	QAudio__VideoRole              QAudio__Role = QAudio__Role(2)
	QAudio__VoiceCommunicationRole QAudio__Role = QAudio__Role(3)
	QAudio__AlarmRole              QAudio__Role = QAudio__Role(4)
	QAudio__NotificationRole       QAudio__Role = QAudio__Role(5)
	QAudio__RingtoneRole           QAudio__Role = QAudio__Role(6)
	QAudio__AccessibilityRole      QAudio__Role = QAudio__Role(7)
	QAudio__SonificationRole       QAudio__Role = QAudio__Role(8)
	QAudio__GameRole               QAudio__Role = QAudio__Role(9)
	QAudio__CustomRole             QAudio__Role = QAudio__Role(10)
)

//go:generate stringer -type=QAudio__VolumeScale
//QAudio::VolumeScale
type QAudio__VolumeScale int64

const (
	QAudio__LinearVolumeScale      QAudio__VolumeScale = QAudio__VolumeScale(0)
	QAudio__CubicVolumeScale       QAudio__VolumeScale = QAudio__VolumeScale(1)
	QAudio__LogarithmicVolumeScale QAudio__VolumeScale = QAudio__VolumeScale(2)
	QAudio__DecibelVolumeScale     QAudio__VolumeScale = QAudio__VolumeScale(3)
)

func QAudio_ConvertVolume(volume float64, from QAudio__VolumeScale, to QAudio__VolumeScale) float64 {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.QAudio_ConvertVolume", "", volume, from, to}).(float64)
}

func (ptr *QAudio) ConvertVolume(volume float64, from QAudio__VolumeScale, to QAudio__VolumeScale) float64 {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.QAudio_ConvertVolume", "", volume, from, to}).(float64)
}

type QAudioBuffer struct {
	internal.Internal
}

type QAudioBuffer_ITF interface {
	QAudioBuffer_PTR() *QAudioBuffer
}

func (ptr *QAudioBuffer) QAudioBuffer_PTR() *QAudioBuffer {
	return ptr
}

func (ptr *QAudioBuffer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAudioBuffer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAudioBuffer(ptr QAudioBuffer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioBuffer_PTR().Pointer()
	}
	return nil
}

func (n *QAudioBuffer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAudioBufferFromPointer(ptr unsafe.Pointer) (n *QAudioBuffer) {
	n = new(QAudioBuffer)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioBuffer")
	return
}
func NewQAudioBuffer() *QAudioBuffer {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioBuffer", ""}).(*QAudioBuffer)
}

func NewQAudioBuffer2(data core.QByteArray_ITF, format QAudioFormat_ITF, startTime int64) *QAudioBuffer {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioBuffer2", "", data, format, startTime}).(*QAudioBuffer)
}

func NewQAudioBuffer3(numFrames int, format QAudioFormat_ITF, startTime int64) *QAudioBuffer {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioBuffer3", "", numFrames, format, startTime}).(*QAudioBuffer)
}

func (ptr *QAudioBuffer) ByteCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ByteCount"}).(float64))
}

func (ptr *QAudioBuffer) ConstData() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConstData"}).(unsafe.Pointer)
}

func (ptr *QAudioBuffer) Data() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data"}).(unsafe.Pointer)
}

func (ptr *QAudioBuffer) Data2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data2"}).(unsafe.Pointer)
}

func (ptr *QAudioBuffer) Duration() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Duration"}).(float64))
}

func (ptr *QAudioBuffer) Format() *QAudioFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*QAudioFormat)
}

func (ptr *QAudioBuffer) FrameCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameCount"}).(float64))
}

func (ptr *QAudioBuffer) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QAudioBuffer) SampleCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SampleCount"}).(float64))
}

func (ptr *QAudioBuffer) StartTime() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartTime"}).(float64))
}

func (ptr *QAudioBuffer) DestroyQAudioBuffer() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioBuffer"})
}

type QAudioDecoder struct {
	QMediaObject
}

type QAudioDecoder_ITF interface {
	QMediaObject_ITF
	QAudioDecoder_PTR() *QAudioDecoder
}

func (ptr *QAudioDecoder) QAudioDecoder_PTR() *QAudioDecoder {
	return ptr
}

func (ptr *QAudioDecoder) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAudioDecoder) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaObject_PTR().SetPointer(p)
	}
}

func PointerFromQAudioDecoder(ptr QAudioDecoder_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioDecoder_PTR().Pointer()
	}
	return nil
}

func (n *QAudioDecoder) InitFromInternal(ptr uintptr, name string) {
	n.QMediaObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAudioDecoder) ClassNameInternalF() string {
	return n.QMediaObject_PTR().ClassNameInternalF()
}

func NewQAudioDecoderFromPointer(ptr unsafe.Pointer) (n *QAudioDecoder) {
	n = new(QAudioDecoder)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioDecoder")
	return
}

//go:generate stringer -type=QAudioDecoder__State
//QAudioDecoder::State
type QAudioDecoder__State int64

const (
	QAudioDecoder__StoppedState  QAudioDecoder__State = QAudioDecoder__State(0)
	QAudioDecoder__DecodingState QAudioDecoder__State = QAudioDecoder__State(1)
)

//go:generate stringer -type=QAudioDecoder__Error
//QAudioDecoder::Error
type QAudioDecoder__Error int64

const (
	QAudioDecoder__NoError             QAudioDecoder__Error = QAudioDecoder__Error(0)
	QAudioDecoder__ResourceError       QAudioDecoder__Error = QAudioDecoder__Error(1)
	QAudioDecoder__FormatError         QAudioDecoder__Error = QAudioDecoder__Error(2)
	QAudioDecoder__AccessDeniedError   QAudioDecoder__Error = QAudioDecoder__Error(3)
	QAudioDecoder__ServiceMissingError QAudioDecoder__Error = QAudioDecoder__Error(4)
)

func NewQAudioDecoder(parent core.QObject_ITF) *QAudioDecoder {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioDecoder", "", parent}).(*QAudioDecoder)
}

func (ptr *QAudioDecoder) AudioFormat() *QAudioFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioFormat"}).(*QAudioFormat)
}

func (ptr *QAudioDecoder) BufferAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferAvailable"}).(bool)
}

func (ptr *QAudioDecoder) ConnectBufferAvailableChanged(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBufferAvailableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoder) DisconnectBufferAvailableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBufferAvailableChanged"})
}

func (ptr *QAudioDecoder) BufferAvailableChanged(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferAvailableChanged", available})
}

func (ptr *QAudioDecoder) ConnectBufferReady(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBufferReady", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoder) DisconnectBufferReady() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBufferReady"})
}

func (ptr *QAudioDecoder) BufferReady() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferReady"})
}

func (ptr *QAudioDecoder) Duration() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Duration"}).(float64))
}

func (ptr *QAudioDecoder) ConnectDurationChanged(f func(duration int64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDurationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoder) DisconnectDurationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDurationChanged"})
}

func (ptr *QAudioDecoder) DurationChanged(duration int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DurationChanged", duration})
}

func (ptr *QAudioDecoder) Error() QAudioDecoder__Error {

	return QAudioDecoder__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QAudioDecoder) ConnectError2(f func(error QAudioDecoder__Error)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoder) DisconnectError2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError2"})
}

func (ptr *QAudioDecoder) Error2(error QAudioDecoder__Error) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error2", error})
}

func (ptr *QAudioDecoder) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QAudioDecoder) ConnectFinished(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFinished", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoder) DisconnectFinished() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFinished"})
}

func (ptr *QAudioDecoder) Finished() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Finished"})
}

func (ptr *QAudioDecoder) ConnectFormatChanged(f func(format *QAudioFormat)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFormatChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoder) DisconnectFormatChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFormatChanged"})
}

func (ptr *QAudioDecoder) FormatChanged(format QAudioFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FormatChanged", format})
}

func QAudioDecoder_HasSupport(mimeType string, codecs []string) QMultimedia__SupportEstimate {

	return QMultimedia__SupportEstimate(internal.CallLocalFunction([]interface{}{"", "", "multimedia.QAudioDecoder_HasSupport", "", mimeType, codecs}).(float64))
}

func (ptr *QAudioDecoder) HasSupport(mimeType string, codecs []string) QMultimedia__SupportEstimate {

	return QMultimedia__SupportEstimate(internal.CallLocalFunction([]interface{}{"", "", "multimedia.QAudioDecoder_HasSupport", "", mimeType, codecs}).(float64))
}

func (ptr *QAudioDecoder) Position() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(float64))
}

func (ptr *QAudioDecoder) ConnectPositionChanged(f func(position int64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPositionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoder) DisconnectPositionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPositionChanged"})
}

func (ptr *QAudioDecoder) PositionChanged(position int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PositionChanged", position})
}

func (ptr *QAudioDecoder) Read() *QAudioBuffer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read"}).(*QAudioBuffer)
}

func (ptr *QAudioDecoder) SetAudioFormat(format QAudioFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAudioFormat", format})
}

func (ptr *QAudioDecoder) SetSourceDevice(device core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSourceDevice", device})
}

func (ptr *QAudioDecoder) SetSourceFilename(fileName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSourceFilename", fileName})
}

func (ptr *QAudioDecoder) ConnectSourceChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSourceChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoder) DisconnectSourceChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSourceChanged"})
}

func (ptr *QAudioDecoder) SourceChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceChanged"})
}

func (ptr *QAudioDecoder) SourceDevice() *core.QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceDevice"}).(*core.QIODevice)
}

func (ptr *QAudioDecoder) SourceFilename() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceFilename"}).(string)
}

func (ptr *QAudioDecoder) ConnectStart(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoder) DisconnectStart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart"})
}

func (ptr *QAudioDecoder) Start() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start"})
}

func (ptr *QAudioDecoder) StartDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDefault"})
}

func (ptr *QAudioDecoder) State() QAudioDecoder__State {

	return QAudioDecoder__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QAudioDecoder) ConnectStateChanged(f func(state QAudioDecoder__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoder) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QAudioDecoder) StateChanged(state QAudioDecoder__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", state})
}

func (ptr *QAudioDecoder) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoder) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QAudioDecoder) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QAudioDecoder) StopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StopDefault"})
}

func (ptr *QAudioDecoder) ConnectDestroyQAudioDecoder(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAudioDecoder", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoder) DisconnectDestroyQAudioDecoder() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAudioDecoder"})
}

func (ptr *QAudioDecoder) DestroyQAudioDecoder() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioDecoder"})
}

func (ptr *QAudioDecoder) DestroyQAudioDecoderDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioDecoderDefault"})
}

type QAudioDecoderControl struct {
	QMediaControl
}

type QAudioDecoderControl_ITF interface {
	QMediaControl_ITF
	QAudioDecoderControl_PTR() *QAudioDecoderControl
}

func (ptr *QAudioDecoderControl) QAudioDecoderControl_PTR() *QAudioDecoderControl {
	return ptr
}

func (ptr *QAudioDecoderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAudioDecoderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQAudioDecoderControl(ptr QAudioDecoderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioDecoderControl_PTR().Pointer()
	}
	return nil
}

func (n *QAudioDecoderControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAudioDecoderControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQAudioDecoderControlFromPointer(ptr unsafe.Pointer) (n *QAudioDecoderControl) {
	n = new(QAudioDecoderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioDecoderControl")
	return
}
func NewQAudioDecoderControl(parent core.QObject_ITF) *QAudioDecoderControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioDecoderControl", "", parent}).(*QAudioDecoderControl)
}

func (ptr *QAudioDecoderControl) ConnectAudioFormat(f func() *QAudioFormat) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAudioFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectAudioFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAudioFormat"})
}

func (ptr *QAudioDecoderControl) AudioFormat() *QAudioFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioFormat"}).(*QAudioFormat)
}

func (ptr *QAudioDecoderControl) ConnectBufferAvailable(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBufferAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectBufferAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBufferAvailable"})
}

func (ptr *QAudioDecoderControl) BufferAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferAvailable"}).(bool)
}

func (ptr *QAudioDecoderControl) ConnectBufferAvailableChanged(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBufferAvailableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectBufferAvailableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBufferAvailableChanged"})
}

func (ptr *QAudioDecoderControl) BufferAvailableChanged(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferAvailableChanged", available})
}

func (ptr *QAudioDecoderControl) ConnectBufferReady(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBufferReady", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectBufferReady() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBufferReady"})
}

func (ptr *QAudioDecoderControl) BufferReady() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferReady"})
}

func (ptr *QAudioDecoderControl) ConnectDuration(f func() int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDuration", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectDuration() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDuration"})
}

func (ptr *QAudioDecoderControl) Duration() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Duration"}).(float64))
}

func (ptr *QAudioDecoderControl) ConnectDurationChanged(f func(duration int64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDurationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectDurationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDurationChanged"})
}

func (ptr *QAudioDecoderControl) DurationChanged(duration int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DurationChanged", duration})
}

func (ptr *QAudioDecoderControl) ConnectError(f func(error int, errorString string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectError() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError"})
}

func (ptr *QAudioDecoderControl) Error(error int, errorString string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error", error, errorString})
}

func (ptr *QAudioDecoderControl) ConnectFinished(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFinished", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectFinished() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFinished"})
}

func (ptr *QAudioDecoderControl) Finished() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Finished"})
}

func (ptr *QAudioDecoderControl) ConnectFormatChanged(f func(format *QAudioFormat)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFormatChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectFormatChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFormatChanged"})
}

func (ptr *QAudioDecoderControl) FormatChanged(format QAudioFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FormatChanged", format})
}

func (ptr *QAudioDecoderControl) ConnectPosition(f func() int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPosition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectPosition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPosition"})
}

func (ptr *QAudioDecoderControl) Position() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(float64))
}

func (ptr *QAudioDecoderControl) ConnectPositionChanged(f func(position int64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPositionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectPositionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPositionChanged"})
}

func (ptr *QAudioDecoderControl) PositionChanged(position int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PositionChanged", position})
}

func (ptr *QAudioDecoderControl) ConnectRead(f func() *QAudioBuffer) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRead", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectRead() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRead"})
}

func (ptr *QAudioDecoderControl) Read() *QAudioBuffer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read"}).(*QAudioBuffer)
}

func (ptr *QAudioDecoderControl) ConnectSetAudioFormat(f func(format *QAudioFormat)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetAudioFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectSetAudioFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetAudioFormat"})
}

func (ptr *QAudioDecoderControl) SetAudioFormat(format QAudioFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAudioFormat", format})
}

func (ptr *QAudioDecoderControl) ConnectSetSourceDevice(f func(device *core.QIODevice)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSourceDevice", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectSetSourceDevice() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSourceDevice"})
}

func (ptr *QAudioDecoderControl) SetSourceDevice(device core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSourceDevice", device})
}

func (ptr *QAudioDecoderControl) ConnectSetSourceFilename(f func(fileName string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSourceFilename", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectSetSourceFilename() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSourceFilename"})
}

func (ptr *QAudioDecoderControl) SetSourceFilename(fileName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSourceFilename", fileName})
}

func (ptr *QAudioDecoderControl) ConnectSourceChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSourceChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectSourceChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSourceChanged"})
}

func (ptr *QAudioDecoderControl) SourceChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceChanged"})
}

func (ptr *QAudioDecoderControl) ConnectSourceDevice(f func() *core.QIODevice) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSourceDevice", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectSourceDevice() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSourceDevice"})
}

func (ptr *QAudioDecoderControl) SourceDevice() *core.QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceDevice"}).(*core.QIODevice)
}

func (ptr *QAudioDecoderControl) ConnectSourceFilename(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSourceFilename", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectSourceFilename() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSourceFilename"})
}

func (ptr *QAudioDecoderControl) SourceFilename() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceFilename"}).(string)
}

func (ptr *QAudioDecoderControl) ConnectStart(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectStart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart"})
}

func (ptr *QAudioDecoderControl) Start() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start"})
}

func (ptr *QAudioDecoderControl) ConnectState(f func() QAudioDecoder__State) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectState"})
}

func (ptr *QAudioDecoderControl) State() QAudioDecoder__State {

	return QAudioDecoder__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QAudioDecoderControl) ConnectStateChanged(f func(newState QAudioDecoder__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QAudioDecoderControl) StateChanged(newState QAudioDecoder__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", newState})
}

func (ptr *QAudioDecoderControl) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QAudioDecoderControl) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QAudioDecoderControl) ConnectDestroyQAudioDecoderControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAudioDecoderControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioDecoderControl) DisconnectDestroyQAudioDecoderControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAudioDecoderControl"})
}

func (ptr *QAudioDecoderControl) DestroyQAudioDecoderControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioDecoderControl"})
}

func (ptr *QAudioDecoderControl) DestroyQAudioDecoderControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioDecoderControlDefault"})
}

type QAudioDeviceInfo struct {
	internal.Internal
}

type QAudioDeviceInfo_ITF interface {
	QAudioDeviceInfo_PTR() *QAudioDeviceInfo
}

func (ptr *QAudioDeviceInfo) QAudioDeviceInfo_PTR() *QAudioDeviceInfo {
	return ptr
}

func (ptr *QAudioDeviceInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAudioDeviceInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAudioDeviceInfo(ptr QAudioDeviceInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (n *QAudioDeviceInfo) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAudioDeviceInfoFromPointer(ptr unsafe.Pointer) (n *QAudioDeviceInfo) {
	n = new(QAudioDeviceInfo)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioDeviceInfo")
	return
}
func NewQAudioDeviceInfo() *QAudioDeviceInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioDeviceInfo", ""}).(*QAudioDeviceInfo)
}

func NewQAudioDeviceInfo2(other QAudioDeviceInfo_ITF) *QAudioDeviceInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioDeviceInfo2", "", other}).(*QAudioDeviceInfo)
}

func QAudioDeviceInfo_AvailableDevices(mode QAudio__Mode) []*QAudioDeviceInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.QAudioDeviceInfo_AvailableDevices", "", mode}).([]*QAudioDeviceInfo)
}

func (ptr *QAudioDeviceInfo) AvailableDevices(mode QAudio__Mode) []*QAudioDeviceInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.QAudioDeviceInfo_AvailableDevices", "", mode}).([]*QAudioDeviceInfo)
}

func QAudioDeviceInfo_DefaultInputDevice() *QAudioDeviceInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.QAudioDeviceInfo_DefaultInputDevice", ""}).(*QAudioDeviceInfo)
}

func (ptr *QAudioDeviceInfo) DefaultInputDevice() *QAudioDeviceInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.QAudioDeviceInfo_DefaultInputDevice", ""}).(*QAudioDeviceInfo)
}

func QAudioDeviceInfo_DefaultOutputDevice() *QAudioDeviceInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.QAudioDeviceInfo_DefaultOutputDevice", ""}).(*QAudioDeviceInfo)
}

func (ptr *QAudioDeviceInfo) DefaultOutputDevice() *QAudioDeviceInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.QAudioDeviceInfo_DefaultOutputDevice", ""}).(*QAudioDeviceInfo)
}

func (ptr *QAudioDeviceInfo) DeviceName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeviceName"}).(string)
}

func (ptr *QAudioDeviceInfo) IsFormatSupported(settings QAudioFormat_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFormatSupported", settings}).(bool)
}

func (ptr *QAudioDeviceInfo) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QAudioDeviceInfo) NearestFormat(settings QAudioFormat_ITF) *QAudioFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NearestFormat", settings}).(*QAudioFormat)
}

func (ptr *QAudioDeviceInfo) PreferredFormat() *QAudioFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PreferredFormat"}).(*QAudioFormat)
}

func (ptr *QAudioDeviceInfo) SupportedByteOrders() []QAudioFormat__Endian {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedByteOrders"}).([]QAudioFormat__Endian)
}

func (ptr *QAudioDeviceInfo) SupportedChannelCounts() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedChannelCounts"}).([]int)
}

func (ptr *QAudioDeviceInfo) SupportedCodecs() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedCodecs"}).([]string)
}

func (ptr *QAudioDeviceInfo) SupportedSampleRates() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedSampleRates"}).([]int)
}

func (ptr *QAudioDeviceInfo) SupportedSampleSizes() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedSampleSizes"}).([]int)
}

func (ptr *QAudioDeviceInfo) SupportedSampleTypes() []QAudioFormat__SampleType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedSampleTypes"}).([]QAudioFormat__SampleType)
}

func (ptr *QAudioDeviceInfo) DestroyQAudioDeviceInfo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioDeviceInfo"})
}

func (ptr *QAudioDeviceInfo) __availableDevices_atList(i int) *QAudioDeviceInfo {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableDevices_atList", i}).(*QAudioDeviceInfo)
}

func (ptr *QAudioDeviceInfo) __availableDevices_setList(i QAudioDeviceInfo_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableDevices_setList", i})
}

func (ptr *QAudioDeviceInfo) __availableDevices_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableDevices_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioDeviceInfo) __supportedByteOrders_atList(i int) QAudioFormat__Endian {

	return QAudioFormat__Endian(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedByteOrders_atList", i}).(float64))
}

func (ptr *QAudioDeviceInfo) __supportedByteOrders_setList(i QAudioFormat__Endian) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedByteOrders_setList", i})
}

func (ptr *QAudioDeviceInfo) __supportedByteOrders_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedByteOrders_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioDeviceInfo) __supportedChannelCounts_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedChannelCounts_atList", i}).(float64))
}

func (ptr *QAudioDeviceInfo) __supportedChannelCounts_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedChannelCounts_setList", i})
}

func (ptr *QAudioDeviceInfo) __supportedChannelCounts_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedChannelCounts_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioDeviceInfo) __supportedSampleRates_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleRates_atList", i}).(float64))
}

func (ptr *QAudioDeviceInfo) __supportedSampleRates_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleRates_setList", i})
}

func (ptr *QAudioDeviceInfo) __supportedSampleRates_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleRates_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioDeviceInfo) __supportedSampleSizes_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleSizes_atList", i}).(float64))
}

func (ptr *QAudioDeviceInfo) __supportedSampleSizes_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleSizes_setList", i})
}

func (ptr *QAudioDeviceInfo) __supportedSampleSizes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleSizes_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioDeviceInfo) __supportedSampleTypes_atList(i int) QAudioFormat__SampleType {

	return QAudioFormat__SampleType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleTypes_atList", i}).(float64))
}

func (ptr *QAudioDeviceInfo) __supportedSampleTypes_setList(i QAudioFormat__SampleType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleTypes_setList", i})
}

func (ptr *QAudioDeviceInfo) __supportedSampleTypes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleTypes_newList"}).(unsafe.Pointer)
}

type QAudioEncoderSettings struct {
	internal.Internal
}

type QAudioEncoderSettings_ITF interface {
	QAudioEncoderSettings_PTR() *QAudioEncoderSettings
}

func (ptr *QAudioEncoderSettings) QAudioEncoderSettings_PTR() *QAudioEncoderSettings {
	return ptr
}

func (ptr *QAudioEncoderSettings) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAudioEncoderSettings) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAudioEncoderSettings(ptr QAudioEncoderSettings_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioEncoderSettings_PTR().Pointer()
	}
	return nil
}

func (n *QAudioEncoderSettings) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAudioEncoderSettingsFromPointer(ptr unsafe.Pointer) (n *QAudioEncoderSettings) {
	n = new(QAudioEncoderSettings)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioEncoderSettings")
	return
}
func NewQAudioEncoderSettings() *QAudioEncoderSettings {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioEncoderSettings", ""}).(*QAudioEncoderSettings)
}

func NewQAudioEncoderSettings2(other QAudioEncoderSettings_ITF) *QAudioEncoderSettings {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioEncoderSettings2", "", other}).(*QAudioEncoderSettings)
}

func (ptr *QAudioEncoderSettings) BitRate() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BitRate"}).(float64))
}

func (ptr *QAudioEncoderSettings) ChannelCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChannelCount"}).(float64))
}

func (ptr *QAudioEncoderSettings) Codec() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Codec"}).(string)
}

func (ptr *QAudioEncoderSettings) EncodingMode() QMultimedia__EncodingMode {

	return QMultimedia__EncodingMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EncodingMode"}).(float64))
}

func (ptr *QAudioEncoderSettings) EncodingOption(option string) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EncodingOption", option}).(*core.QVariant)
}

func (ptr *QAudioEncoderSettings) EncodingOptions() map[string]*core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EncodingOptions"}).(map[string]*core.QVariant)
}

func (ptr *QAudioEncoderSettings) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QAudioEncoderSettings) Quality() QMultimedia__EncodingQuality {

	return QMultimedia__EncodingQuality(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Quality"}).(float64))
}

func (ptr *QAudioEncoderSettings) SampleRate() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SampleRate"}).(float64))
}

func (ptr *QAudioEncoderSettings) SetBitRate(rate int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBitRate", rate})
}

func (ptr *QAudioEncoderSettings) SetChannelCount(channels int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChannelCount", channels})
}

func (ptr *QAudioEncoderSettings) SetCodec(codec string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCodec", codec})
}

func (ptr *QAudioEncoderSettings) SetEncodingMode(mode QMultimedia__EncodingMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEncodingMode", mode})
}

func (ptr *QAudioEncoderSettings) SetEncodingOption(option string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEncodingOption", option, value})
}

func (ptr *QAudioEncoderSettings) SetEncodingOptions(options map[string]*core.QVariant) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEncodingOptions", options})
}

func (ptr *QAudioEncoderSettings) SetQuality(quality QMultimedia__EncodingQuality) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetQuality", quality})
}

func (ptr *QAudioEncoderSettings) SetSampleRate(rate int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSampleRate", rate})
}

func (ptr *QAudioEncoderSettings) DestroyQAudioEncoderSettings() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioEncoderSettings"})
}

func (ptr *QAudioEncoderSettings) __encodingOptions_atList(v string, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodingOptions_atList", v, i}).(*core.QVariant)
}

func (ptr *QAudioEncoderSettings) __encodingOptions_setList(key string, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodingOptions_setList", key, i})
}

func (ptr *QAudioEncoderSettings) __encodingOptions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodingOptions_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioEncoderSettings) __encodingOptions_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodingOptions_keyList"}).([]string)
}

func (ptr *QAudioEncoderSettings) __setEncodingOptions_options_atList(v string, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setEncodingOptions_options_atList", v, i}).(*core.QVariant)
}

func (ptr *QAudioEncoderSettings) __setEncodingOptions_options_setList(key string, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setEncodingOptions_options_setList", key, i})
}

func (ptr *QAudioEncoderSettings) __setEncodingOptions_options_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setEncodingOptions_options_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioEncoderSettings) __setEncodingOptions_options_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setEncodingOptions_options_keyList"}).([]string)
}

func (ptr *QAudioEncoderSettings) ____encodingOptions_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____encodingOptions_keyList_atList", i}).(string)
}

func (ptr *QAudioEncoderSettings) ____encodingOptions_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____encodingOptions_keyList_setList", i})
}

func (ptr *QAudioEncoderSettings) ____encodingOptions_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____encodingOptions_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioEncoderSettings) ____setEncodingOptions_options_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setEncodingOptions_options_keyList_atList", i}).(string)
}

func (ptr *QAudioEncoderSettings) ____setEncodingOptions_options_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setEncodingOptions_options_keyList_setList", i})
}

func (ptr *QAudioEncoderSettings) ____setEncodingOptions_options_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setEncodingOptions_options_keyList_newList"}).(unsafe.Pointer)
}

type QAudioEncoderSettingsControl struct {
	QMediaControl
}

type QAudioEncoderSettingsControl_ITF interface {
	QMediaControl_ITF
	QAudioEncoderSettingsControl_PTR() *QAudioEncoderSettingsControl
}

func (ptr *QAudioEncoderSettingsControl) QAudioEncoderSettingsControl_PTR() *QAudioEncoderSettingsControl {
	return ptr
}

func (ptr *QAudioEncoderSettingsControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAudioEncoderSettingsControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQAudioEncoderSettingsControl(ptr QAudioEncoderSettingsControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (n *QAudioEncoderSettingsControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAudioEncoderSettingsControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQAudioEncoderSettingsControlFromPointer(ptr unsafe.Pointer) (n *QAudioEncoderSettingsControl) {
	n = new(QAudioEncoderSettingsControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioEncoderSettingsControl")
	return
}
func NewQAudioEncoderSettingsControl(parent core.QObject_ITF) *QAudioEncoderSettingsControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioEncoderSettingsControl", "", parent}).(*QAudioEncoderSettingsControl)
}

func (ptr *QAudioEncoderSettingsControl) ConnectAudioSettings(f func() *QAudioEncoderSettings) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAudioSettings", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioEncoderSettingsControl) DisconnectAudioSettings() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAudioSettings"})
}

func (ptr *QAudioEncoderSettingsControl) AudioSettings() *QAudioEncoderSettings {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioSettings"}).(*QAudioEncoderSettings)
}

func (ptr *QAudioEncoderSettingsControl) ConnectCodecDescription(f func(codecName string) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCodecDescription", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioEncoderSettingsControl) DisconnectCodecDescription() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCodecDescription"})
}

func (ptr *QAudioEncoderSettingsControl) CodecDescription(codecName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CodecDescription", codecName}).(string)
}

func (ptr *QAudioEncoderSettingsControl) ConnectSetAudioSettings(f func(settings *QAudioEncoderSettings)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetAudioSettings", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioEncoderSettingsControl) DisconnectSetAudioSettings() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetAudioSettings"})
}

func (ptr *QAudioEncoderSettingsControl) SetAudioSettings(settings QAudioEncoderSettings_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAudioSettings", settings})
}

func (ptr *QAudioEncoderSettingsControl) ConnectSupportedAudioCodecs(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedAudioCodecs", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioEncoderSettingsControl) DisconnectSupportedAudioCodecs() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedAudioCodecs"})
}

func (ptr *QAudioEncoderSettingsControl) SupportedAudioCodecs() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedAudioCodecs"}).([]string)
}

func (ptr *QAudioEncoderSettingsControl) ConnectSupportedSampleRates(f func(settings *QAudioEncoderSettings, continuous *bool) []int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedSampleRates", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioEncoderSettingsControl) DisconnectSupportedSampleRates() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedSampleRates"})
}

func (ptr *QAudioEncoderSettingsControl) SupportedSampleRates(settings QAudioEncoderSettings_ITF, continuous *bool) []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedSampleRates", settings, continuous}).([]int)
}

func (ptr *QAudioEncoderSettingsControl) ConnectDestroyQAudioEncoderSettingsControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAudioEncoderSettingsControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioEncoderSettingsControl) DisconnectDestroyQAudioEncoderSettingsControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAudioEncoderSettingsControl"})
}

func (ptr *QAudioEncoderSettingsControl) DestroyQAudioEncoderSettingsControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioEncoderSettingsControl"})
}

func (ptr *QAudioEncoderSettingsControl) DestroyQAudioEncoderSettingsControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioEncoderSettingsControlDefault"})
}

func (ptr *QAudioEncoderSettingsControl) __supportedSampleRates_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleRates_atList", i}).(float64))
}

func (ptr *QAudioEncoderSettingsControl) __supportedSampleRates_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleRates_setList", i})
}

func (ptr *QAudioEncoderSettingsControl) __supportedSampleRates_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedSampleRates_newList"}).(unsafe.Pointer)
}

type QAudioFormat struct {
	internal.Internal
}

type QAudioFormat_ITF interface {
	QAudioFormat_PTR() *QAudioFormat
}

func (ptr *QAudioFormat) QAudioFormat_PTR() *QAudioFormat {
	return ptr
}

func (ptr *QAudioFormat) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAudioFormat) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAudioFormat(ptr QAudioFormat_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioFormat_PTR().Pointer()
	}
	return nil
}

func (n *QAudioFormat) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAudioFormatFromPointer(ptr unsafe.Pointer) (n *QAudioFormat) {
	n = new(QAudioFormat)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioFormat")
	return
}

//go:generate stringer -type=QAudioFormat__SampleType
//QAudioFormat::SampleType
type QAudioFormat__SampleType int64

const (
	QAudioFormat__Unknown     QAudioFormat__SampleType = QAudioFormat__SampleType(0)
	QAudioFormat__SignedInt   QAudioFormat__SampleType = QAudioFormat__SampleType(1)
	QAudioFormat__UnSignedInt QAudioFormat__SampleType = QAudioFormat__SampleType(2)
	QAudioFormat__Float       QAudioFormat__SampleType = QAudioFormat__SampleType(3)
)

//go:generate stringer -type=QAudioFormat__Endian
//QAudioFormat::Endian
type QAudioFormat__Endian int64

const (
	QAudioFormat__BigEndian    QAudioFormat__Endian = QAudioFormat__Endian(core.QSysInfo__BigEndian)
	QAudioFormat__LittleEndian QAudioFormat__Endian = QAudioFormat__Endian(core.QSysInfo__LittleEndian)
)

func NewQAudioFormat() *QAudioFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioFormat", ""}).(*QAudioFormat)
}

func NewQAudioFormat2(other QAudioFormat_ITF) *QAudioFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioFormat2", "", other}).(*QAudioFormat)
}

func (ptr *QAudioFormat) ByteOrder() QAudioFormat__Endian {

	return QAudioFormat__Endian(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ByteOrder"}).(float64))
}

func (ptr *QAudioFormat) BytesForDuration(duration int64) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesForDuration", duration}).(float64))
}

func (ptr *QAudioFormat) BytesForFrames(frameCount int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesForFrames", frameCount}).(float64))
}

func (ptr *QAudioFormat) BytesPerFrame() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesPerFrame"}).(float64))
}

func (ptr *QAudioFormat) ChannelCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChannelCount"}).(float64))
}

func (ptr *QAudioFormat) Codec() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Codec"}).(string)
}

func (ptr *QAudioFormat) DurationForBytes(bytes int) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DurationForBytes", bytes}).(float64))
}

func (ptr *QAudioFormat) DurationForFrames(frameCount int) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DurationForFrames", frameCount}).(float64))
}

func (ptr *QAudioFormat) FramesForBytes(byteCount int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FramesForBytes", byteCount}).(float64))
}

func (ptr *QAudioFormat) FramesForDuration(duration int64) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FramesForDuration", duration}).(float64))
}

func (ptr *QAudioFormat) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QAudioFormat) SampleRate() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SampleRate"}).(float64))
}

func (ptr *QAudioFormat) SampleSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SampleSize"}).(float64))
}

func (ptr *QAudioFormat) SampleType() QAudioFormat__SampleType {

	return QAudioFormat__SampleType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SampleType"}).(float64))
}

func (ptr *QAudioFormat) SetByteOrder(byteOrder QAudioFormat__Endian) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetByteOrder", byteOrder})
}

func (ptr *QAudioFormat) SetChannelCount(channels int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChannelCount", channels})
}

func (ptr *QAudioFormat) SetCodec(codec string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCodec", codec})
}

func (ptr *QAudioFormat) SetSampleRate(samplerate int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSampleRate", samplerate})
}

func (ptr *QAudioFormat) SetSampleSize(sampleSize int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSampleSize", sampleSize})
}

func (ptr *QAudioFormat) SetSampleType(sampleType QAudioFormat__SampleType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSampleType", sampleType})
}

func (ptr *QAudioFormat) DestroyQAudioFormat() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioFormat"})
}

type QAudioInput struct {
	core.QObject
}

type QAudioInput_ITF interface {
	core.QObject_ITF
	QAudioInput_PTR() *QAudioInput
}

func (ptr *QAudioInput) QAudioInput_PTR() *QAudioInput {
	return ptr
}

func (ptr *QAudioInput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAudioInput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAudioInput(ptr QAudioInput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioInput_PTR().Pointer()
	}
	return nil
}

func (n *QAudioInput) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAudioInput) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAudioInputFromPointer(ptr unsafe.Pointer) (n *QAudioInput) {
	n = new(QAudioInput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioInput")
	return
}
func NewQAudioInput(format QAudioFormat_ITF, parent core.QObject_ITF) *QAudioInput {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioInput", "", format, parent}).(*QAudioInput)
}

func NewQAudioInput2(audioDevice QAudioDeviceInfo_ITF, format QAudioFormat_ITF, parent core.QObject_ITF) *QAudioInput {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioInput2", "", audioDevice, format, parent}).(*QAudioInput)
}

func (ptr *QAudioInput) BufferSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferSize"}).(float64))
}

func (ptr *QAudioInput) BytesReady() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesReady"}).(float64))
}

func (ptr *QAudioInput) ElapsedUSecs() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ElapsedUSecs"}).(float64))
}

func (ptr *QAudioInput) Error() QAudio__Error {

	return QAudio__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QAudioInput) Format() *QAudioFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*QAudioFormat)
}

func (ptr *QAudioInput) NotifyInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NotifyInterval"}).(float64))
}

func (ptr *QAudioInput) PeriodSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PeriodSize"}).(float64))
}

func (ptr *QAudioInput) ProcessedUSecs() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProcessedUSecs"}).(float64))
}

func (ptr *QAudioInput) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QAudioInput) Resume() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resume"})
}

func (ptr *QAudioInput) SetBufferSize(value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBufferSize", value})
}

func (ptr *QAudioInput) SetNotifyInterval(ms int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNotifyInterval", ms})
}

func (ptr *QAudioInput) SetVolume(volume float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVolume", volume})
}

func (ptr *QAudioInput) Start(device core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start", device})
}

func (ptr *QAudioInput) Start2() *core.QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start2"}).(*core.QIODevice)
}

func (ptr *QAudioInput) State() QAudio__State {

	return QAudio__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QAudioInput) ConnectStateChanged(f func(state QAudio__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioInput) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QAudioInput) StateChanged(state QAudio__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", state})
}

func (ptr *QAudioInput) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QAudioInput) Suspend() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Suspend"})
}

func (ptr *QAudioInput) Volume() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Volume"}).(float64)
}

func (ptr *QAudioInput) ConnectDestroyQAudioInput(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAudioInput", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioInput) DisconnectDestroyQAudioInput() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAudioInput"})
}

func (ptr *QAudioInput) DestroyQAudioInput() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioInput"})
}

func (ptr *QAudioInput) DestroyQAudioInputDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioInputDefault"})
}

func (ptr *QAudioInput) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QAudioInput) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QAudioInput) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioInput) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QAudioInput) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QAudioInput) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioInput) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QAudioInput) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QAudioInput) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioInput) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QAudioInput) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QAudioInput) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QAudioInput) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QAudioInput) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QAudioInput) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QAudioInput) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QAudioInput) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QAudioInput) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QAudioInput) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QAudioInput) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QAudioInput) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QAudioInputSelectorControl struct {
	QMediaControl
}

type QAudioInputSelectorControl_ITF interface {
	QMediaControl_ITF
	QAudioInputSelectorControl_PTR() *QAudioInputSelectorControl
}

func (ptr *QAudioInputSelectorControl) QAudioInputSelectorControl_PTR() *QAudioInputSelectorControl {
	return ptr
}

func (ptr *QAudioInputSelectorControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAudioInputSelectorControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQAudioInputSelectorControl(ptr QAudioInputSelectorControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioInputSelectorControl_PTR().Pointer()
	}
	return nil
}

func (n *QAudioInputSelectorControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAudioInputSelectorControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQAudioInputSelectorControlFromPointer(ptr unsafe.Pointer) (n *QAudioInputSelectorControl) {
	n = new(QAudioInputSelectorControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioInputSelectorControl")
	return
}
func (ptr *QAudioInputSelectorControl) ConnectActiveInput(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActiveInput", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioInputSelectorControl) DisconnectActiveInput() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActiveInput"})
}

func (ptr *QAudioInputSelectorControl) ActiveInput() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveInput"}).(string)
}

func (ptr *QAudioInputSelectorControl) ConnectActiveInputChanged(f func(name string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActiveInputChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioInputSelectorControl) DisconnectActiveInputChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActiveInputChanged"})
}

func (ptr *QAudioInputSelectorControl) ActiveInputChanged(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveInputChanged", name})
}

func (ptr *QAudioInputSelectorControl) ConnectAvailableInputsChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAvailableInputsChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioInputSelectorControl) DisconnectAvailableInputsChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAvailableInputsChanged"})
}

func (ptr *QAudioInputSelectorControl) AvailableInputsChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableInputsChanged"})
}

func (ptr *QAudioInputSelectorControl) ConnectDefaultInput(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDefaultInput", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioInputSelectorControl) DisconnectDefaultInput() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDefaultInput"})
}

func (ptr *QAudioInputSelectorControl) DefaultInput() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultInput"}).(string)
}

func (ptr *QAudioInputSelectorControl) ConnectInputDescription(f func(name string) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInputDescription", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioInputSelectorControl) DisconnectInputDescription() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInputDescription"})
}

func (ptr *QAudioInputSelectorControl) InputDescription(name string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputDescription", name}).(string)
}

func (ptr *QAudioInputSelectorControl) ConnectSetActiveInput(f func(name string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetActiveInput", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioInputSelectorControl) DisconnectSetActiveInput() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetActiveInput"})
}

func (ptr *QAudioInputSelectorControl) SetActiveInput(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActiveInput", name})
}

func (ptr *QAudioInputSelectorControl) ConnectDestroyQAudioInputSelectorControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAudioInputSelectorControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioInputSelectorControl) DisconnectDestroyQAudioInputSelectorControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAudioInputSelectorControl"})
}

func (ptr *QAudioInputSelectorControl) DestroyQAudioInputSelectorControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioInputSelectorControl"})
}

func (ptr *QAudioInputSelectorControl) DestroyQAudioInputSelectorControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioInputSelectorControlDefault"})
}

func (ptr *QAudioInputSelectorControl) __availableInputs_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableInputs_atList", i}).(string)
}

func (ptr *QAudioInputSelectorControl) __availableInputs_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableInputs_setList", i})
}

func (ptr *QAudioInputSelectorControl) __availableInputs_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableInputs_newList"}).(unsafe.Pointer)
}

type QAudioOutput struct {
	core.QObject
}

type QAudioOutput_ITF interface {
	core.QObject_ITF
	QAudioOutput_PTR() *QAudioOutput
}

func (ptr *QAudioOutput) QAudioOutput_PTR() *QAudioOutput {
	return ptr
}

func (ptr *QAudioOutput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAudioOutput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAudioOutput(ptr QAudioOutput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioOutput_PTR().Pointer()
	}
	return nil
}

func (n *QAudioOutput) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAudioOutput) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAudioOutputFromPointer(ptr unsafe.Pointer) (n *QAudioOutput) {
	n = new(QAudioOutput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioOutput")
	return
}
func NewQAudioOutput(format QAudioFormat_ITF, parent core.QObject_ITF) *QAudioOutput {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioOutput", "", format, parent}).(*QAudioOutput)
}

func NewQAudioOutput2(audioDevice QAudioDeviceInfo_ITF, format QAudioFormat_ITF, parent core.QObject_ITF) *QAudioOutput {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioOutput2", "", audioDevice, format, parent}).(*QAudioOutput)
}

func (ptr *QAudioOutput) BufferSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferSize"}).(float64))
}

func (ptr *QAudioOutput) BytesFree() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesFree"}).(float64))
}

func (ptr *QAudioOutput) Category() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Category"}).(string)
}

func (ptr *QAudioOutput) ElapsedUSecs() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ElapsedUSecs"}).(float64))
}

func (ptr *QAudioOutput) Error() QAudio__Error {

	return QAudio__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QAudioOutput) Format() *QAudioFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*QAudioFormat)
}

func (ptr *QAudioOutput) NotifyInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NotifyInterval"}).(float64))
}

func (ptr *QAudioOutput) PeriodSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PeriodSize"}).(float64))
}

func (ptr *QAudioOutput) ProcessedUSecs() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProcessedUSecs"}).(float64))
}

func (ptr *QAudioOutput) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QAudioOutput) Resume() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resume"})
}

func (ptr *QAudioOutput) SetBufferSize(value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBufferSize", value})
}

func (ptr *QAudioOutput) SetCategory(category string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCategory", category})
}

func (ptr *QAudioOutput) SetNotifyInterval(ms int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNotifyInterval", ms})
}

func (ptr *QAudioOutput) SetVolume(volume float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVolume", volume})
}

func (ptr *QAudioOutput) Start(device core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start", device})
}

func (ptr *QAudioOutput) Start2() *core.QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start2"}).(*core.QIODevice)
}

func (ptr *QAudioOutput) State() QAudio__State {

	return QAudio__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QAudioOutput) ConnectStateChanged(f func(state QAudio__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioOutput) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QAudioOutput) StateChanged(state QAudio__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", state})
}

func (ptr *QAudioOutput) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QAudioOutput) Suspend() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Suspend"})
}

func (ptr *QAudioOutput) Volume() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Volume"}).(float64)
}

func (ptr *QAudioOutput) ConnectDestroyQAudioOutput(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAudioOutput", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioOutput) DisconnectDestroyQAudioOutput() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAudioOutput"})
}

func (ptr *QAudioOutput) DestroyQAudioOutput() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioOutput"})
}

func (ptr *QAudioOutput) DestroyQAudioOutputDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioOutputDefault"})
}

func (ptr *QAudioOutput) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QAudioOutput) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QAudioOutput) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioOutput) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QAudioOutput) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QAudioOutput) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioOutput) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QAudioOutput) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QAudioOutput) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioOutput) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QAudioOutput) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QAudioOutput) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QAudioOutput) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QAudioOutput) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QAudioOutput) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QAudioOutput) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QAudioOutput) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QAudioOutput) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QAudioOutput) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QAudioOutput) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QAudioOutput) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QAudioOutputSelectorControl struct {
	QMediaControl
}

type QAudioOutputSelectorControl_ITF interface {
	QMediaControl_ITF
	QAudioOutputSelectorControl_PTR() *QAudioOutputSelectorControl
}

func (ptr *QAudioOutputSelectorControl) QAudioOutputSelectorControl_PTR() *QAudioOutputSelectorControl {
	return ptr
}

func (ptr *QAudioOutputSelectorControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAudioOutputSelectorControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQAudioOutputSelectorControl(ptr QAudioOutputSelectorControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioOutputSelectorControl_PTR().Pointer()
	}
	return nil
}

func (n *QAudioOutputSelectorControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAudioOutputSelectorControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQAudioOutputSelectorControlFromPointer(ptr unsafe.Pointer) (n *QAudioOutputSelectorControl) {
	n = new(QAudioOutputSelectorControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioOutputSelectorControl")
	return
}
func (ptr *QAudioOutputSelectorControl) ConnectActiveOutput(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActiveOutput", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioOutputSelectorControl) DisconnectActiveOutput() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActiveOutput"})
}

func (ptr *QAudioOutputSelectorControl) ActiveOutput() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveOutput"}).(string)
}

func (ptr *QAudioOutputSelectorControl) ConnectActiveOutputChanged(f func(name string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActiveOutputChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioOutputSelectorControl) DisconnectActiveOutputChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActiveOutputChanged"})
}

func (ptr *QAudioOutputSelectorControl) ActiveOutputChanged(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveOutputChanged", name})
}

func (ptr *QAudioOutputSelectorControl) ConnectAvailableOutputsChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAvailableOutputsChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioOutputSelectorControl) DisconnectAvailableOutputsChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAvailableOutputsChanged"})
}

func (ptr *QAudioOutputSelectorControl) AvailableOutputsChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableOutputsChanged"})
}

func (ptr *QAudioOutputSelectorControl) ConnectDefaultOutput(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDefaultOutput", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioOutputSelectorControl) DisconnectDefaultOutput() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDefaultOutput"})
}

func (ptr *QAudioOutputSelectorControl) DefaultOutput() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultOutput"}).(string)
}

func (ptr *QAudioOutputSelectorControl) ConnectOutputDescription(f func(name string) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOutputDescription", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioOutputSelectorControl) DisconnectOutputDescription() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOutputDescription"})
}

func (ptr *QAudioOutputSelectorControl) OutputDescription(name string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OutputDescription", name}).(string)
}

func (ptr *QAudioOutputSelectorControl) ConnectSetActiveOutput(f func(name string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetActiveOutput", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioOutputSelectorControl) DisconnectSetActiveOutput() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetActiveOutput"})
}

func (ptr *QAudioOutputSelectorControl) SetActiveOutput(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActiveOutput", name})
}

func (ptr *QAudioOutputSelectorControl) ConnectDestroyQAudioOutputSelectorControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAudioOutputSelectorControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioOutputSelectorControl) DisconnectDestroyQAudioOutputSelectorControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAudioOutputSelectorControl"})
}

func (ptr *QAudioOutputSelectorControl) DestroyQAudioOutputSelectorControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioOutputSelectorControl"})
}

func (ptr *QAudioOutputSelectorControl) DestroyQAudioOutputSelectorControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioOutputSelectorControlDefault"})
}

func (ptr *QAudioOutputSelectorControl) __availableOutputs_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableOutputs_atList", i}).(string)
}

func (ptr *QAudioOutputSelectorControl) __availableOutputs_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableOutputs_setList", i})
}

func (ptr *QAudioOutputSelectorControl) __availableOutputs_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableOutputs_newList"}).(unsafe.Pointer)
}

type QAudioProbe struct {
	core.QObject
}

type QAudioProbe_ITF interface {
	core.QObject_ITF
	QAudioProbe_PTR() *QAudioProbe
}

func (ptr *QAudioProbe) QAudioProbe_PTR() *QAudioProbe {
	return ptr
}

func (ptr *QAudioProbe) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAudioProbe) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAudioProbe(ptr QAudioProbe_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioProbe_PTR().Pointer()
	}
	return nil
}

func (n *QAudioProbe) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAudioProbe) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAudioProbeFromPointer(ptr unsafe.Pointer) (n *QAudioProbe) {
	n = new(QAudioProbe)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioProbe")
	return
}
func NewQAudioProbe(parent core.QObject_ITF) *QAudioProbe {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioProbe", "", parent}).(*QAudioProbe)
}

func (ptr *QAudioProbe) ConnectAudioBufferProbed(f func(buffer *QAudioBuffer)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAudioBufferProbed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioProbe) DisconnectAudioBufferProbed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAudioBufferProbed"})
}

func (ptr *QAudioProbe) AudioBufferProbed(buffer QAudioBuffer_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioBufferProbed", buffer})
}

func (ptr *QAudioProbe) ConnectFlush(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFlush", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioProbe) DisconnectFlush() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFlush"})
}

func (ptr *QAudioProbe) Flush() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flush"})
}

func (ptr *QAudioProbe) IsActive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsActive"}).(bool)
}

func (ptr *QAudioProbe) SetSource(source QMediaObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSource", source}).(bool)
}

func (ptr *QAudioProbe) SetSource2(mediaRecorder QMediaRecorder_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSource2", mediaRecorder}).(bool)
}

func (ptr *QAudioProbe) ConnectDestroyQAudioProbe(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAudioProbe", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioProbe) DisconnectDestroyQAudioProbe() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAudioProbe"})
}

func (ptr *QAudioProbe) DestroyQAudioProbe() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioProbe"})
}

func (ptr *QAudioProbe) DestroyQAudioProbeDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioProbeDefault"})
}

func (ptr *QAudioProbe) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QAudioProbe) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QAudioProbe) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioProbe) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QAudioProbe) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QAudioProbe) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioProbe) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QAudioProbe) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QAudioProbe) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioProbe) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QAudioProbe) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QAudioProbe) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QAudioProbe) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QAudioProbe) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QAudioProbe) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QAudioProbe) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QAudioProbe) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QAudioProbe) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QAudioProbe) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QAudioProbe) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QAudioProbe) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QAudioRecorder struct {
	QMediaRecorder
}

type QAudioRecorder_ITF interface {
	QMediaRecorder_ITF
	QAudioRecorder_PTR() *QAudioRecorder
}

func (ptr *QAudioRecorder) QAudioRecorder_PTR() *QAudioRecorder {
	return ptr
}

func (ptr *QAudioRecorder) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaRecorder_PTR().Pointer()
	}
	return nil
}

func (ptr *QAudioRecorder) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaRecorder_PTR().SetPointer(p)
	}
}

func PointerFromQAudioRecorder(ptr QAudioRecorder_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioRecorder_PTR().Pointer()
	}
	return nil
}

func (n *QAudioRecorder) InitFromInternal(ptr uintptr, name string) {
	n.QMediaRecorder_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAudioRecorder) ClassNameInternalF() string {
	return n.QMediaRecorder_PTR().ClassNameInternalF()
}

func NewQAudioRecorderFromPointer(ptr unsafe.Pointer) (n *QAudioRecorder) {
	n = new(QAudioRecorder)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioRecorder")
	return
}
func NewQAudioRecorder(parent core.QObject_ITF) *QAudioRecorder {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioRecorder", "", parent}).(*QAudioRecorder)
}

func (ptr *QAudioRecorder) AudioInput() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioInput"}).(string)
}

func (ptr *QAudioRecorder) ConnectAudioInputChanged(f func(name string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAudioInputChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioRecorder) DisconnectAudioInputChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAudioInputChanged"})
}

func (ptr *QAudioRecorder) AudioInputChanged(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioInputChanged", name})
}

func (ptr *QAudioRecorder) AudioInputDescription(name string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioInputDescription", name}).(string)
}

func (ptr *QAudioRecorder) AudioInputs() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioInputs"}).([]string)
}

func (ptr *QAudioRecorder) ConnectAvailableAudioInputsChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAvailableAudioInputsChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioRecorder) DisconnectAvailableAudioInputsChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAvailableAudioInputsChanged"})
}

func (ptr *QAudioRecorder) AvailableAudioInputsChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableAudioInputsChanged"})
}

func (ptr *QAudioRecorder) DefaultAudioInput() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultAudioInput"}).(string)
}

func (ptr *QAudioRecorder) ConnectSetAudioInput(f func(name string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetAudioInput", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioRecorder) DisconnectSetAudioInput() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetAudioInput"})
}

func (ptr *QAudioRecorder) SetAudioInput(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAudioInput", name})
}

func (ptr *QAudioRecorder) SetAudioInputDefault(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAudioInputDefault", name})
}

func (ptr *QAudioRecorder) ConnectDestroyQAudioRecorder(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAudioRecorder", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioRecorder) DisconnectDestroyQAudioRecorder() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAudioRecorder"})
}

func (ptr *QAudioRecorder) DestroyQAudioRecorder() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioRecorder"})
}

func (ptr *QAudioRecorder) DestroyQAudioRecorderDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioRecorderDefault"})
}

type QAudioRoleControl struct {
	QMediaControl
}

type QAudioRoleControl_ITF interface {
	QMediaControl_ITF
	QAudioRoleControl_PTR() *QAudioRoleControl
}

func (ptr *QAudioRoleControl) QAudioRoleControl_PTR() *QAudioRoleControl {
	return ptr
}

func (ptr *QAudioRoleControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QAudioRoleControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQAudioRoleControl(ptr QAudioRoleControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioRoleControl_PTR().Pointer()
	}
	return nil
}

func (n *QAudioRoleControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAudioRoleControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQAudioRoleControlFromPointer(ptr unsafe.Pointer) (n *QAudioRoleControl) {
	n = new(QAudioRoleControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioRoleControl")
	return
}
func NewQAudioRoleControl(parent core.QObject_ITF) *QAudioRoleControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioRoleControl", "", parent}).(*QAudioRoleControl)
}

func (ptr *QAudioRoleControl) ConnectAudioRole(f func() QAudio__Role) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAudioRole", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioRoleControl) DisconnectAudioRole() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAudioRole"})
}

func (ptr *QAudioRoleControl) AudioRole() QAudio__Role {

	return QAudio__Role(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioRole"}).(float64))
}

func (ptr *QAudioRoleControl) ConnectAudioRoleChanged(f func(role QAudio__Role)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAudioRoleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioRoleControl) DisconnectAudioRoleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAudioRoleChanged"})
}

func (ptr *QAudioRoleControl) AudioRoleChanged(role QAudio__Role) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioRoleChanged", role})
}

func (ptr *QAudioRoleControl) ConnectSetAudioRole(f func(role QAudio__Role)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetAudioRole", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioRoleControl) DisconnectSetAudioRole() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetAudioRole"})
}

func (ptr *QAudioRoleControl) SetAudioRole(role QAudio__Role) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAudioRole", role})
}

func (ptr *QAudioRoleControl) ConnectSupportedAudioRoles(f func() []QAudio__Role) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedAudioRoles", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioRoleControl) DisconnectSupportedAudioRoles() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedAudioRoles"})
}

func (ptr *QAudioRoleControl) SupportedAudioRoles() []QAudio__Role {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedAudioRoles"}).([]QAudio__Role)
}

func (ptr *QAudioRoleControl) ConnectDestroyQAudioRoleControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAudioRoleControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioRoleControl) DisconnectDestroyQAudioRoleControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAudioRoleControl"})
}

func (ptr *QAudioRoleControl) DestroyQAudioRoleControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioRoleControl"})
}

func (ptr *QAudioRoleControl) DestroyQAudioRoleControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAudioRoleControlDefault"})
}

func (ptr *QAudioRoleControl) __supportedAudioRoles_atList(i int) QAudio__Role {

	return QAudio__Role(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedAudioRoles_atList", i}).(float64))
}

func (ptr *QAudioRoleControl) __supportedAudioRoles_setList(i QAudio__Role) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedAudioRoles_setList", i})
}

func (ptr *QAudioRoleControl) __supportedAudioRoles_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedAudioRoles_newList"}).(unsafe.Pointer)
}

type QAudioSystemFactoryInterface struct {
	internal.Internal
}

type QAudioSystemFactoryInterface_ITF interface {
	QAudioSystemFactoryInterface_PTR() *QAudioSystemFactoryInterface
}

func (ptr *QAudioSystemFactoryInterface) QAudioSystemFactoryInterface_PTR() *QAudioSystemFactoryInterface {
	return ptr
}

func (ptr *QAudioSystemFactoryInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QAudioSystemFactoryInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQAudioSystemFactoryInterface(ptr QAudioSystemFactoryInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioSystemFactoryInterface_PTR().Pointer()
	}
	return nil
}

func (n *QAudioSystemFactoryInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQAudioSystemFactoryInterfaceFromPointer(ptr unsafe.Pointer) (n *QAudioSystemFactoryInterface) {
	n = new(QAudioSystemFactoryInterface)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioSystemFactoryInterface")
	return
}

func (ptr *QAudioSystemFactoryInterface) DestroyQAudioSystemFactoryInterface() {
}

func (ptr *QAudioSystemFactoryInterface) __availableDevices_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableDevices_atList", i}).(*core.QByteArray)
}

func (ptr *QAudioSystemFactoryInterface) __availableDevices_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableDevices_setList", i})
}

func (ptr *QAudioSystemFactoryInterface) __availableDevices_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableDevices_newList"}).(unsafe.Pointer)
}

type QAudioSystemPlugin struct {
	core.QObject
	QAudioSystemFactoryInterface
}

type QAudioSystemPlugin_ITF interface {
	core.QObject_ITF
	QAudioSystemFactoryInterface_ITF
	QAudioSystemPlugin_PTR() *QAudioSystemPlugin
}

func (ptr *QAudioSystemPlugin) QAudioSystemPlugin_PTR() *QAudioSystemPlugin {
	return ptr
}

func (ptr *QAudioSystemPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAudioSystemPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
		ptr.QAudioSystemFactoryInterface_PTR().SetPointer(p)
	}
}

func PointerFromQAudioSystemPlugin(ptr QAudioSystemPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioSystemPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QAudioSystemPlugin) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)
	n.QAudioSystemFactoryInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAudioSystemPlugin) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAudioSystemPluginFromPointer(ptr unsafe.Pointer) (n *QAudioSystemPlugin) {
	n = new(QAudioSystemPlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QAudioSystemPlugin")
	return
}
func NewQAudioSystemPlugin(parent core.QObject_ITF) *QAudioSystemPlugin {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQAudioSystemPlugin", "", parent}).(*QAudioSystemPlugin)
}

func (ptr *QAudioSystemPlugin) ConnectAvailableDevices(f func(mode QAudio__Mode) []*core.QByteArray) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectAvailableDevices", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioSystemPlugin) DisconnectAvailableDevices() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectAvailableDevices"})
}

func (ptr *QAudioSystemPlugin) AvailableDevices(mode QAudio__Mode) []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AvailableDevices", mode}).([]*core.QByteArray)
}

func (ptr *QAudioSystemPlugin) ConnectCreateDeviceInfo(f func(device *core.QByteArray, mode QAudio__Mode) *QAbstractAudioDeviceInfo) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectCreateDeviceInfo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioSystemPlugin) DisconnectCreateDeviceInfo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectCreateDeviceInfo"})
}

func (ptr *QAudioSystemPlugin) CreateDeviceInfo(device core.QByteArray_ITF, mode QAudio__Mode) *QAbstractAudioDeviceInfo {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CreateDeviceInfo", device, mode}).(*QAbstractAudioDeviceInfo)
}

func (ptr *QAudioSystemPlugin) ConnectCreateInput(f func(device *core.QByteArray) *QAbstractAudioInput) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectCreateInput", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioSystemPlugin) DisconnectCreateInput() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectCreateInput"})
}

func (ptr *QAudioSystemPlugin) CreateInput(device core.QByteArray_ITF) *QAbstractAudioInput {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CreateInput", device}).(*QAbstractAudioInput)
}

func (ptr *QAudioSystemPlugin) ConnectCreateOutput(f func(device *core.QByteArray) *QAbstractAudioOutput) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectCreateOutput", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioSystemPlugin) DisconnectCreateOutput() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectCreateOutput"})
}

func (ptr *QAudioSystemPlugin) CreateOutput(device core.QByteArray_ITF) *QAbstractAudioOutput {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CreateOutput", device}).(*QAbstractAudioOutput)
}

func (ptr *QAudioSystemPlugin) ConnectDestroyQAudioSystemPlugin(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDestroyQAudioSystemPlugin", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAudioSystemPlugin) DisconnectDestroyQAudioSystemPlugin() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDestroyQAudioSystemPlugin"})
}

func (ptr *QAudioSystemPlugin) DestroyQAudioSystemPlugin() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQAudioSystemPlugin"})
}

func (ptr *QAudioSystemPlugin) DestroyQAudioSystemPluginDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQAudioSystemPluginDefault"})
}

func (ptr *QAudioSystemPlugin) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QAudioSystemPlugin) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QAudioSystemPlugin) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioSystemPlugin) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QAudioSystemPlugin) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QAudioSystemPlugin) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioSystemPlugin) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QAudioSystemPlugin) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QAudioSystemPlugin) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QAudioSystemPlugin) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QAudioSystemPlugin) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QAudioSystemPlugin) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QAudioSystemPlugin) ChildEvent(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEvent", event})
}

func (ptr *QAudioSystemPlugin) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QAudioSystemPlugin) ConnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotify", sign})
}

func (ptr *QAudioSystemPlugin) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QAudioSystemPlugin) CustomEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEvent", event})
}

func (ptr *QAudioSystemPlugin) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QAudioSystemPlugin) DeleteLater() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLater"})
}

func (ptr *QAudioSystemPlugin) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QAudioSystemPlugin) DisconnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotify", sign})
}

func (ptr *QAudioSystemPlugin) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QAudioSystemPlugin) Event(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Event", e}).(bool)
}

func (ptr *QAudioSystemPlugin) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QAudioSystemPlugin) EventFilter(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilter", watched, event}).(bool)
}

func (ptr *QAudioSystemPlugin) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QAudioSystemPlugin) MetaObject() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObject"}).(*core.QMetaObject)
}

func (ptr *QAudioSystemPlugin) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QAudioSystemPlugin) TimerEvent(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEvent", event})
}

func (ptr *QAudioSystemPlugin) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEventDefault", event})
}

type QCamera struct {
	QMediaObject
}

type QCamera_ITF interface {
	QMediaObject_ITF
	QCamera_PTR() *QCamera
}

func (ptr *QCamera) QCamera_PTR() *QCamera {
	return ptr
}

func (ptr *QCamera) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QCamera) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaObject_PTR().SetPointer(p)
	}
}

func PointerFromQCamera(ptr QCamera_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCamera_PTR().Pointer()
	}
	return nil
}

func (n *QCamera) InitFromInternal(ptr uintptr, name string) {
	n.QMediaObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCamera) ClassNameInternalF() string {
	return n.QMediaObject_PTR().ClassNameInternalF()
}

func NewQCameraFromPointer(ptr unsafe.Pointer) (n *QCamera) {
	n = new(QCamera)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCamera")
	return
}

//go:generate stringer -type=QCamera__Status
//QCamera::Status
type QCamera__Status int64

const (
	QCamera__UnavailableStatus QCamera__Status = QCamera__Status(0)
	QCamera__UnloadedStatus    QCamera__Status = QCamera__Status(1)
	QCamera__LoadingStatus     QCamera__Status = QCamera__Status(2)
	QCamera__UnloadingStatus   QCamera__Status = QCamera__Status(3)
	QCamera__LoadedStatus      QCamera__Status = QCamera__Status(4)
	QCamera__StandbyStatus     QCamera__Status = QCamera__Status(5)
	QCamera__StartingStatus    QCamera__Status = QCamera__Status(6)
	QCamera__StoppingStatus    QCamera__Status = QCamera__Status(7)
	QCamera__ActiveStatus      QCamera__Status = QCamera__Status(8)
)

//go:generate stringer -type=QCamera__State
//QCamera::State
type QCamera__State int64

const (
	QCamera__UnloadedState QCamera__State = QCamera__State(0)
	QCamera__LoadedState   QCamera__State = QCamera__State(1)
	QCamera__ActiveState   QCamera__State = QCamera__State(2)
)

//go:generate stringer -type=QCamera__CaptureMode
//QCamera::CaptureMode
type QCamera__CaptureMode int64

const (
	QCamera__CaptureViewfinder QCamera__CaptureMode = QCamera__CaptureMode(0)
	QCamera__CaptureStillImage QCamera__CaptureMode = QCamera__CaptureMode(0x01)
	QCamera__CaptureVideo      QCamera__CaptureMode = QCamera__CaptureMode(0x02)
)

//go:generate stringer -type=QCamera__Error
//QCamera::Error
type QCamera__Error int64

const (
	QCamera__NoError                  QCamera__Error = QCamera__Error(0)
	QCamera__CameraError              QCamera__Error = QCamera__Error(1)
	QCamera__InvalidRequestError      QCamera__Error = QCamera__Error(2)
	QCamera__ServiceMissingError      QCamera__Error = QCamera__Error(3)
	QCamera__NotSupportedFeatureError QCamera__Error = QCamera__Error(4)
)

//go:generate stringer -type=QCamera__LockStatus
//QCamera::LockStatus
type QCamera__LockStatus int64

const (
	QCamera__Unlocked  QCamera__LockStatus = QCamera__LockStatus(0)
	QCamera__Searching QCamera__LockStatus = QCamera__LockStatus(1)
	QCamera__Locked    QCamera__LockStatus = QCamera__LockStatus(2)
)

//go:generate stringer -type=QCamera__LockChangeReason
//QCamera::LockChangeReason
type QCamera__LockChangeReason int64

const (
	QCamera__UserRequest       QCamera__LockChangeReason = QCamera__LockChangeReason(0)
	QCamera__LockAcquired      QCamera__LockChangeReason = QCamera__LockChangeReason(1)
	QCamera__LockFailed        QCamera__LockChangeReason = QCamera__LockChangeReason(2)
	QCamera__LockLost          QCamera__LockChangeReason = QCamera__LockChangeReason(3)
	QCamera__LockTemporaryLost QCamera__LockChangeReason = QCamera__LockChangeReason(4)
)

//go:generate stringer -type=QCamera__LockType
//QCamera::LockType
type QCamera__LockType int64

const (
	QCamera__NoLock           QCamera__LockType = QCamera__LockType(0)
	QCamera__LockExposure     QCamera__LockType = QCamera__LockType(0x01)
	QCamera__LockWhiteBalance QCamera__LockType = QCamera__LockType(0x02)
	QCamera__LockFocus        QCamera__LockType = QCamera__LockType(0x04)
)

//go:generate stringer -type=QCamera__Position
//QCamera::Position
type QCamera__Position int64

const (
	QCamera__UnspecifiedPosition QCamera__Position = QCamera__Position(0)
	QCamera__BackFace            QCamera__Position = QCamera__Position(1)
	QCamera__FrontFace           QCamera__Position = QCamera__Position(2)
)

func NewQCamera(parent core.QObject_ITF) *QCamera {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCamera", "", parent}).(*QCamera)
}

func NewQCamera2(deviceName core.QByteArray_ITF, parent core.QObject_ITF) *QCamera {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCamera2", "", deviceName, parent}).(*QCamera)
}

func NewQCamera3(cameraInfo QCameraInfo_ITF, parent core.QObject_ITF) *QCamera {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCamera3", "", cameraInfo, parent}).(*QCamera)
}

func NewQCamera4(position QCamera__Position, parent core.QObject_ITF) *QCamera {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCamera4", "", position, parent}).(*QCamera)
}

func (ptr *QCamera) CaptureMode() QCamera__CaptureMode {

	return QCamera__CaptureMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CaptureMode"}).(float64))
}

func (ptr *QCamera) ConnectCaptureModeChanged(f func(mode QCamera__CaptureMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCaptureModeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectCaptureModeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCaptureModeChanged"})
}

func (ptr *QCamera) CaptureModeChanged(mode QCamera__CaptureMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CaptureModeChanged", mode})
}

func (ptr *QCamera) Error() QCamera__Error {

	return QCamera__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QCamera) ConnectError2(f func(value QCamera__Error)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectError2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError2"})
}

func (ptr *QCamera) Error2(value QCamera__Error) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error2", value})
}

func (ptr *QCamera) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QCamera) Exposure() *QCameraExposure {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exposure"}).(*QCameraExposure)
}

func (ptr *QCamera) Focus() *QCameraFocus {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Focus"}).(*QCameraFocus)
}

func (ptr *QCamera) ImageProcessing() *QCameraImageProcessing {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageProcessing"}).(*QCameraImageProcessing)
}

func (ptr *QCamera) IsCaptureModeSupported(mode QCamera__CaptureMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCaptureModeSupported", mode}).(bool)
}

func (ptr *QCamera) ConnectLoad(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLoad", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectLoad() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLoad"})
}

func (ptr *QCamera) Load() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Load"})
}

func (ptr *QCamera) LoadDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadDefault"})
}

func (ptr *QCamera) ConnectLockFailed(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLockFailed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectLockFailed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLockFailed"})
}

func (ptr *QCamera) LockFailed() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LockFailed"})
}

func (ptr *QCamera) LockStatus() QCamera__LockStatus {

	return QCamera__LockStatus(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LockStatus"}).(float64))
}

func (ptr *QCamera) LockStatus2(lockType QCamera__LockType) QCamera__LockStatus {

	return QCamera__LockStatus(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LockStatus2", lockType}).(float64))
}

func (ptr *QCamera) ConnectLockStatusChanged(f func(status QCamera__LockStatus, reason QCamera__LockChangeReason)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLockStatusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectLockStatusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLockStatusChanged"})
}

func (ptr *QCamera) LockStatusChanged(status QCamera__LockStatus, reason QCamera__LockChangeReason) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LockStatusChanged", status, reason})
}

func (ptr *QCamera) ConnectLockStatusChanged2(f func(lock QCamera__LockType, status QCamera__LockStatus, reason QCamera__LockChangeReason)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLockStatusChanged2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectLockStatusChanged2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLockStatusChanged2"})
}

func (ptr *QCamera) LockStatusChanged2(lock QCamera__LockType, status QCamera__LockStatus, reason QCamera__LockChangeReason) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LockStatusChanged2", lock, status, reason})
}

func (ptr *QCamera) ConnectLocked(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLocked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectLocked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLocked"})
}

func (ptr *QCamera) Locked() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Locked"})
}

func (ptr *QCamera) RequestedLocks() QCamera__LockType {

	return QCamera__LockType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestedLocks"}).(float64))
}

func (ptr *QCamera) ConnectSearchAndLock(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSearchAndLock", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectSearchAndLock() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSearchAndLock"})
}

func (ptr *QCamera) SearchAndLock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchAndLock"})
}

func (ptr *QCamera) SearchAndLockDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchAndLockDefault"})
}

func (ptr *QCamera) ConnectSearchAndLock2(f func(locks QCamera__LockType)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSearchAndLock2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectSearchAndLock2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSearchAndLock2"})
}

func (ptr *QCamera) SearchAndLock2(locks QCamera__LockType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchAndLock2", locks})
}

func (ptr *QCamera) SearchAndLock2Default(locks QCamera__LockType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchAndLock2Default", locks})
}

func (ptr *QCamera) ConnectSetCaptureMode(f func(mode QCamera__CaptureMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCaptureMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectSetCaptureMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCaptureMode"})
}

func (ptr *QCamera) SetCaptureMode(mode QCamera__CaptureMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCaptureMode", mode})
}

func (ptr *QCamera) SetCaptureModeDefault(mode QCamera__CaptureMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCaptureModeDefault", mode})
}

func (ptr *QCamera) SetViewfinder(viewfinder QVideoWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewfinder", viewfinder})
}

func (ptr *QCamera) SetViewfinder3(surface QAbstractVideoSurface_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewfinder3", surface})
}

func (ptr *QCamera) SetViewfinderSettings(settings QCameraViewfinderSettings_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewfinderSettings", settings})
}

func (ptr *QCamera) ConnectStart(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectStart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart"})
}

func (ptr *QCamera) Start() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start"})
}

func (ptr *QCamera) StartDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDefault"})
}

func (ptr *QCamera) State() QCamera__State {

	return QCamera__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QCamera) ConnectStateChanged(f func(state QCamera__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QCamera) StateChanged(state QCamera__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", state})
}

func (ptr *QCamera) Status() QCamera__Status {

	return QCamera__Status(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Status"}).(float64))
}

func (ptr *QCamera) ConnectStatusChanged(f func(status QCamera__Status)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStatusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectStatusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStatusChanged"})
}

func (ptr *QCamera) StatusChanged(status QCamera__Status) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StatusChanged", status})
}

func (ptr *QCamera) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QCamera) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QCamera) StopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StopDefault"})
}

func (ptr *QCamera) SupportedLocks() QCamera__LockType {

	return QCamera__LockType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedLocks"}).(float64))
}

func (ptr *QCamera) SupportedViewfinderPixelFormats(settings QCameraViewfinderSettings_ITF) []QVideoFrame__PixelFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedViewfinderPixelFormats", settings}).([]QVideoFrame__PixelFormat)
}

func (ptr *QCamera) SupportedViewfinderResolutions(settings QCameraViewfinderSettings_ITF) []*core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedViewfinderResolutions", settings}).([]*core.QSize)
}

func (ptr *QCamera) SupportedViewfinderSettings(settings QCameraViewfinderSettings_ITF) []*QCameraViewfinderSettings {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedViewfinderSettings", settings}).([]*QCameraViewfinderSettings)
}

func (ptr *QCamera) ConnectUnload(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUnload", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectUnload() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUnload"})
}

func (ptr *QCamera) Unload() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unload"})
}

func (ptr *QCamera) UnloadDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnloadDefault"})
}

func (ptr *QCamera) ConnectUnlock(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUnlock", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectUnlock() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUnlock"})
}

func (ptr *QCamera) Unlock() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unlock"})
}

func (ptr *QCamera) UnlockDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnlockDefault"})
}

func (ptr *QCamera) ConnectUnlock2(f func(locks QCamera__LockType)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUnlock2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectUnlock2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUnlock2"})
}

func (ptr *QCamera) Unlock2(locks QCamera__LockType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unlock2", locks})
}

func (ptr *QCamera) Unlock2Default(locks QCamera__LockType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unlock2Default", locks})
}

func (ptr *QCamera) ViewfinderSettings() *QCameraViewfinderSettings {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewfinderSettings"}).(*QCameraViewfinderSettings)
}

func (ptr *QCamera) ConnectDestroyQCamera(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCamera", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCamera) DisconnectDestroyQCamera() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCamera"})
}

func (ptr *QCamera) DestroyQCamera() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCamera"})
}

func (ptr *QCamera) DestroyQCameraDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraDefault"})
}

func (ptr *QCamera) __availableDevices_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableDevices_atList", i}).(*core.QByteArray)
}

func (ptr *QCamera) __availableDevices_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableDevices_setList", i})
}

func (ptr *QCamera) __availableDevices_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableDevices_newList"}).(unsafe.Pointer)
}

func (ptr *QCamera) __supportedViewfinderPixelFormats_atList(i int) QVideoFrame__PixelFormat {

	return QVideoFrame__PixelFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedViewfinderPixelFormats_atList", i}).(float64))
}

func (ptr *QCamera) __supportedViewfinderPixelFormats_setList(i QVideoFrame__PixelFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedViewfinderPixelFormats_setList", i})
}

func (ptr *QCamera) __supportedViewfinderPixelFormats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedViewfinderPixelFormats_newList"}).(unsafe.Pointer)
}

func (ptr *QCamera) __supportedViewfinderResolutions_atList(i int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedViewfinderResolutions_atList", i}).(*core.QSize)
}

func (ptr *QCamera) __supportedViewfinderResolutions_setList(i core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedViewfinderResolutions_setList", i})
}

func (ptr *QCamera) __supportedViewfinderResolutions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedViewfinderResolutions_newList"}).(unsafe.Pointer)
}

func (ptr *QCamera) __supportedViewfinderSettings_atList(i int) *QCameraViewfinderSettings {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedViewfinderSettings_atList", i}).(*QCameraViewfinderSettings)
}

func (ptr *QCamera) __supportedViewfinderSettings_setList(i QCameraViewfinderSettings_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedViewfinderSettings_setList", i})
}

func (ptr *QCamera) __supportedViewfinderSettings_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedViewfinderSettings_newList"}).(unsafe.Pointer)
}

type QCameraCaptureBufferFormatControl struct {
	QMediaControl
}

type QCameraCaptureBufferFormatControl_ITF interface {
	QMediaControl_ITF
	QCameraCaptureBufferFormatControl_PTR() *QCameraCaptureBufferFormatControl
}

func (ptr *QCameraCaptureBufferFormatControl) QCameraCaptureBufferFormatControl_PTR() *QCameraCaptureBufferFormatControl {
	return ptr
}

func (ptr *QCameraCaptureBufferFormatControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraCaptureBufferFormatControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCameraCaptureBufferFormatControl(ptr QCameraCaptureBufferFormatControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraCaptureBufferFormatControl_PTR().Pointer()
	}
	return nil
}

func (n *QCameraCaptureBufferFormatControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraCaptureBufferFormatControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCameraCaptureBufferFormatControlFromPointer(ptr unsafe.Pointer) (n *QCameraCaptureBufferFormatControl) {
	n = new(QCameraCaptureBufferFormatControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraCaptureBufferFormatControl")
	return
}
func NewQCameraCaptureBufferFormatControl(parent core.QObject_ITF) *QCameraCaptureBufferFormatControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraCaptureBufferFormatControl", "", parent}).(*QCameraCaptureBufferFormatControl)
}

func (ptr *QCameraCaptureBufferFormatControl) ConnectBufferFormat(f func() QVideoFrame__PixelFormat) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBufferFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraCaptureBufferFormatControl) DisconnectBufferFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBufferFormat"})
}

func (ptr *QCameraCaptureBufferFormatControl) BufferFormat() QVideoFrame__PixelFormat {

	return QVideoFrame__PixelFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferFormat"}).(float64))
}

func (ptr *QCameraCaptureBufferFormatControl) ConnectBufferFormatChanged(f func(format QVideoFrame__PixelFormat)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBufferFormatChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraCaptureBufferFormatControl) DisconnectBufferFormatChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBufferFormatChanged"})
}

func (ptr *QCameraCaptureBufferFormatControl) BufferFormatChanged(format QVideoFrame__PixelFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferFormatChanged", format})
}

func (ptr *QCameraCaptureBufferFormatControl) ConnectSetBufferFormat(f func(format QVideoFrame__PixelFormat)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetBufferFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraCaptureBufferFormatControl) DisconnectSetBufferFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetBufferFormat"})
}

func (ptr *QCameraCaptureBufferFormatControl) SetBufferFormat(format QVideoFrame__PixelFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBufferFormat", format})
}

func (ptr *QCameraCaptureBufferFormatControl) ConnectSupportedBufferFormats(f func() []QVideoFrame__PixelFormat) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedBufferFormats", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraCaptureBufferFormatControl) DisconnectSupportedBufferFormats() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedBufferFormats"})
}

func (ptr *QCameraCaptureBufferFormatControl) SupportedBufferFormats() []QVideoFrame__PixelFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedBufferFormats"}).([]QVideoFrame__PixelFormat)
}

func (ptr *QCameraCaptureBufferFormatControl) ConnectDestroyQCameraCaptureBufferFormatControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCameraCaptureBufferFormatControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraCaptureBufferFormatControl) DisconnectDestroyQCameraCaptureBufferFormatControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCameraCaptureBufferFormatControl"})
}

func (ptr *QCameraCaptureBufferFormatControl) DestroyQCameraCaptureBufferFormatControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraCaptureBufferFormatControl"})
}

func (ptr *QCameraCaptureBufferFormatControl) DestroyQCameraCaptureBufferFormatControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraCaptureBufferFormatControlDefault"})
}

func (ptr *QCameraCaptureBufferFormatControl) __supportedBufferFormats_atList(i int) QVideoFrame__PixelFormat {

	return QVideoFrame__PixelFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedBufferFormats_atList", i}).(float64))
}

func (ptr *QCameraCaptureBufferFormatControl) __supportedBufferFormats_setList(i QVideoFrame__PixelFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedBufferFormats_setList", i})
}

func (ptr *QCameraCaptureBufferFormatControl) __supportedBufferFormats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedBufferFormats_newList"}).(unsafe.Pointer)
}

type QCameraCaptureDestinationControl struct {
	QMediaControl
}

type QCameraCaptureDestinationControl_ITF interface {
	QMediaControl_ITF
	QCameraCaptureDestinationControl_PTR() *QCameraCaptureDestinationControl
}

func (ptr *QCameraCaptureDestinationControl) QCameraCaptureDestinationControl_PTR() *QCameraCaptureDestinationControl {
	return ptr
}

func (ptr *QCameraCaptureDestinationControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraCaptureDestinationControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCameraCaptureDestinationControl(ptr QCameraCaptureDestinationControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraCaptureDestinationControl_PTR().Pointer()
	}
	return nil
}

func (n *QCameraCaptureDestinationControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraCaptureDestinationControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCameraCaptureDestinationControlFromPointer(ptr unsafe.Pointer) (n *QCameraCaptureDestinationControl) {
	n = new(QCameraCaptureDestinationControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraCaptureDestinationControl")
	return
}
func NewQCameraCaptureDestinationControl(parent core.QObject_ITF) *QCameraCaptureDestinationControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraCaptureDestinationControl", "", parent}).(*QCameraCaptureDestinationControl)
}

func (ptr *QCameraCaptureDestinationControl) ConnectCaptureDestination(f func() QCameraImageCapture__CaptureDestination) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCaptureDestination", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraCaptureDestinationControl) DisconnectCaptureDestination() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCaptureDestination"})
}

func (ptr *QCameraCaptureDestinationControl) CaptureDestination() QCameraImageCapture__CaptureDestination {

	return QCameraImageCapture__CaptureDestination(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CaptureDestination"}).(float64))
}

func (ptr *QCameraCaptureDestinationControl) ConnectCaptureDestinationChanged(f func(destination QCameraImageCapture__CaptureDestination)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCaptureDestinationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraCaptureDestinationControl) DisconnectCaptureDestinationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCaptureDestinationChanged"})
}

func (ptr *QCameraCaptureDestinationControl) CaptureDestinationChanged(destination QCameraImageCapture__CaptureDestination) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CaptureDestinationChanged", destination})
}

func (ptr *QCameraCaptureDestinationControl) ConnectIsCaptureDestinationSupported(f func(destination QCameraImageCapture__CaptureDestination) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsCaptureDestinationSupported", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraCaptureDestinationControl) DisconnectIsCaptureDestinationSupported() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsCaptureDestinationSupported"})
}

func (ptr *QCameraCaptureDestinationControl) IsCaptureDestinationSupported(destination QCameraImageCapture__CaptureDestination) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCaptureDestinationSupported", destination}).(bool)
}

func (ptr *QCameraCaptureDestinationControl) ConnectSetCaptureDestination(f func(destination QCameraImageCapture__CaptureDestination)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCaptureDestination", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraCaptureDestinationControl) DisconnectSetCaptureDestination() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCaptureDestination"})
}

func (ptr *QCameraCaptureDestinationControl) SetCaptureDestination(destination QCameraImageCapture__CaptureDestination) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCaptureDestination", destination})
}

func (ptr *QCameraCaptureDestinationControl) ConnectDestroyQCameraCaptureDestinationControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCameraCaptureDestinationControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraCaptureDestinationControl) DisconnectDestroyQCameraCaptureDestinationControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCameraCaptureDestinationControl"})
}

func (ptr *QCameraCaptureDestinationControl) DestroyQCameraCaptureDestinationControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraCaptureDestinationControl"})
}

func (ptr *QCameraCaptureDestinationControl) DestroyQCameraCaptureDestinationControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraCaptureDestinationControlDefault"})
}

type QCameraControl struct {
	QMediaControl
}

type QCameraControl_ITF interface {
	QMediaControl_ITF
	QCameraControl_PTR() *QCameraControl
}

func (ptr *QCameraControl) QCameraControl_PTR() *QCameraControl {
	return ptr
}

func (ptr *QCameraControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCameraControl(ptr QCameraControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraControl_PTR().Pointer()
	}
	return nil
}

func (n *QCameraControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCameraControlFromPointer(ptr unsafe.Pointer) (n *QCameraControl) {
	n = new(QCameraControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraControl")
	return
}

//go:generate stringer -type=QCameraControl__PropertyChangeType
//QCameraControl::PropertyChangeType
type QCameraControl__PropertyChangeType int64

const (
	QCameraControl__CaptureMode           QCameraControl__PropertyChangeType = QCameraControl__PropertyChangeType(1)
	QCameraControl__ImageEncodingSettings QCameraControl__PropertyChangeType = QCameraControl__PropertyChangeType(2)
	QCameraControl__VideoEncodingSettings QCameraControl__PropertyChangeType = QCameraControl__PropertyChangeType(3)
	QCameraControl__Viewfinder            QCameraControl__PropertyChangeType = QCameraControl__PropertyChangeType(4)
	QCameraControl__ViewfinderSettings    QCameraControl__PropertyChangeType = QCameraControl__PropertyChangeType(5)
)

func NewQCameraControl(parent core.QObject_ITF) *QCameraControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraControl", "", parent}).(*QCameraControl)
}

func (ptr *QCameraControl) ConnectCanChangeProperty(f func(changeType QCameraControl__PropertyChangeType, status QCamera__Status) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCanChangeProperty", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraControl) DisconnectCanChangeProperty() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCanChangeProperty"})
}

func (ptr *QCameraControl) CanChangeProperty(changeType QCameraControl__PropertyChangeType, status QCamera__Status) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanChangeProperty", changeType, status}).(bool)
}

func (ptr *QCameraControl) ConnectCaptureMode(f func() QCamera__CaptureMode) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCaptureMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraControl) DisconnectCaptureMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCaptureMode"})
}

func (ptr *QCameraControl) CaptureMode() QCamera__CaptureMode {

	return QCamera__CaptureMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CaptureMode"}).(float64))
}

func (ptr *QCameraControl) ConnectCaptureModeChanged(f func(mode QCamera__CaptureMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCaptureModeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraControl) DisconnectCaptureModeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCaptureModeChanged"})
}

func (ptr *QCameraControl) CaptureModeChanged(mode QCamera__CaptureMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CaptureModeChanged", mode})
}

func (ptr *QCameraControl) ConnectError(f func(error int, errorString string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraControl) DisconnectError() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError"})
}

func (ptr *QCameraControl) Error(error int, errorString string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error", error, errorString})
}

func (ptr *QCameraControl) ConnectIsCaptureModeSupported(f func(mode QCamera__CaptureMode) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsCaptureModeSupported", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraControl) DisconnectIsCaptureModeSupported() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsCaptureModeSupported"})
}

func (ptr *QCameraControl) IsCaptureModeSupported(mode QCamera__CaptureMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCaptureModeSupported", mode}).(bool)
}

func (ptr *QCameraControl) ConnectSetCaptureMode(f func(mode QCamera__CaptureMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCaptureMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraControl) DisconnectSetCaptureMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCaptureMode"})
}

func (ptr *QCameraControl) SetCaptureMode(mode QCamera__CaptureMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCaptureMode", mode})
}

func (ptr *QCameraControl) ConnectSetState(f func(state QCamera__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraControl) DisconnectSetState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetState"})
}

func (ptr *QCameraControl) SetState(state QCamera__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetState", state})
}

func (ptr *QCameraControl) ConnectState(f func() QCamera__State) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraControl) DisconnectState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectState"})
}

func (ptr *QCameraControl) State() QCamera__State {

	return QCamera__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QCameraControl) ConnectStateChanged(f func(state QCamera__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraControl) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QCameraControl) StateChanged(state QCamera__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", state})
}

func (ptr *QCameraControl) ConnectStatus(f func() QCamera__Status) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStatus", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraControl) DisconnectStatus() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStatus"})
}

func (ptr *QCameraControl) Status() QCamera__Status {

	return QCamera__Status(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Status"}).(float64))
}

func (ptr *QCameraControl) ConnectStatusChanged(f func(status QCamera__Status)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStatusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraControl) DisconnectStatusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStatusChanged"})
}

func (ptr *QCameraControl) StatusChanged(status QCamera__Status) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StatusChanged", status})
}

func (ptr *QCameraControl) ConnectDestroyQCameraControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCameraControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraControl) DisconnectDestroyQCameraControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCameraControl"})
}

func (ptr *QCameraControl) DestroyQCameraControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraControl"})
}

func (ptr *QCameraControl) DestroyQCameraControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraControlDefault"})
}

type QCameraExposure struct {
	core.QObject
}

type QCameraExposure_ITF interface {
	core.QObject_ITF
	QCameraExposure_PTR() *QCameraExposure
}

func (ptr *QCameraExposure) QCameraExposure_PTR() *QCameraExposure {
	return ptr
}

func (ptr *QCameraExposure) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraExposure) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQCameraExposure(ptr QCameraExposure_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraExposure_PTR().Pointer()
	}
	return nil
}

func (n *QCameraExposure) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraExposure) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQCameraExposureFromPointer(ptr unsafe.Pointer) (n *QCameraExposure) {
	n = new(QCameraExposure)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraExposure")
	return
}

func (ptr *QCameraExposure) DestroyQCameraExposure() {
}

//go:generate stringer -type=QCameraExposure__FlashMode
//QCameraExposure::FlashMode
type QCameraExposure__FlashMode int64

const (
	QCameraExposure__FlashAuto                 QCameraExposure__FlashMode = QCameraExposure__FlashMode(0x1)
	QCameraExposure__FlashOff                  QCameraExposure__FlashMode = QCameraExposure__FlashMode(0x2)
	QCameraExposure__FlashOn                   QCameraExposure__FlashMode = QCameraExposure__FlashMode(0x4)
	QCameraExposure__FlashRedEyeReduction      QCameraExposure__FlashMode = QCameraExposure__FlashMode(0x8)
	QCameraExposure__FlashFill                 QCameraExposure__FlashMode = QCameraExposure__FlashMode(0x10)
	QCameraExposure__FlashTorch                QCameraExposure__FlashMode = QCameraExposure__FlashMode(0x20)
	QCameraExposure__FlashVideoLight           QCameraExposure__FlashMode = QCameraExposure__FlashMode(0x40)
	QCameraExposure__FlashSlowSyncFrontCurtain QCameraExposure__FlashMode = QCameraExposure__FlashMode(0x80)
	QCameraExposure__FlashSlowSyncRearCurtain  QCameraExposure__FlashMode = QCameraExposure__FlashMode(0x100)
	QCameraExposure__FlashManual               QCameraExposure__FlashMode = QCameraExposure__FlashMode(0x200)
)

//go:generate stringer -type=QCameraExposure__ExposureMode
//QCameraExposure::ExposureMode
type QCameraExposure__ExposureMode int64

const (
	QCameraExposure__ExposureAuto          QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(0)
	QCameraExposure__ExposureManual        QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(1)
	QCameraExposure__ExposurePortrait      QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(2)
	QCameraExposure__ExposureNight         QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(3)
	QCameraExposure__ExposureBacklight     QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(4)
	QCameraExposure__ExposureSpotlight     QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(5)
	QCameraExposure__ExposureSports        QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(6)
	QCameraExposure__ExposureSnow          QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(7)
	QCameraExposure__ExposureBeach         QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(8)
	QCameraExposure__ExposureLargeAperture QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(9)
	QCameraExposure__ExposureSmallAperture QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(10)
	QCameraExposure__ExposureAction        QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(11)
	QCameraExposure__ExposureLandscape     QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(12)
	QCameraExposure__ExposureNightPortrait QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(13)
	QCameraExposure__ExposureTheatre       QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(14)
	QCameraExposure__ExposureSunset        QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(15)
	QCameraExposure__ExposureSteadyPhoto   QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(16)
	QCameraExposure__ExposureFireworks     QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(17)
	QCameraExposure__ExposureParty         QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(18)
	QCameraExposure__ExposureCandlelight   QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(19)
	QCameraExposure__ExposureBarcode       QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(20)
	QCameraExposure__ExposureModeVendor    QCameraExposure__ExposureMode = QCameraExposure__ExposureMode(1000)
)

//go:generate stringer -type=QCameraExposure__MeteringMode
//QCameraExposure::MeteringMode
type QCameraExposure__MeteringMode int64

const (
	QCameraExposure__MeteringMatrix  QCameraExposure__MeteringMode = QCameraExposure__MeteringMode(1)
	QCameraExposure__MeteringAverage QCameraExposure__MeteringMode = QCameraExposure__MeteringMode(2)
	QCameraExposure__MeteringSpot    QCameraExposure__MeteringMode = QCameraExposure__MeteringMode(3)
)

func (ptr *QCameraExposure) Aperture() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Aperture"}).(float64)
}

func (ptr *QCameraExposure) ConnectApertureChanged(f func(value float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectApertureChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectApertureChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectApertureChanged"})
}

func (ptr *QCameraExposure) ApertureChanged(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApertureChanged", value})
}

func (ptr *QCameraExposure) ConnectApertureRangeChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectApertureRangeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectApertureRangeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectApertureRangeChanged"})
}

func (ptr *QCameraExposure) ApertureRangeChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApertureRangeChanged"})
}

func (ptr *QCameraExposure) ExposureCompensation() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExposureCompensation"}).(float64)
}

func (ptr *QCameraExposure) ConnectExposureCompensationChanged(f func(value float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectExposureCompensationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectExposureCompensationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectExposureCompensationChanged"})
}

func (ptr *QCameraExposure) ExposureCompensationChanged(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExposureCompensationChanged", value})
}

func (ptr *QCameraExposure) ExposureMode() QCameraExposure__ExposureMode {

	return QCameraExposure__ExposureMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExposureMode"}).(float64))
}

func (ptr *QCameraExposure) FlashMode() QCameraExposure__FlashMode {

	return QCameraExposure__FlashMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FlashMode"}).(float64))
}

func (ptr *QCameraExposure) ConnectFlashReady(f func(ready bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFlashReady", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectFlashReady() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFlashReady"})
}

func (ptr *QCameraExposure) FlashReady(ready bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FlashReady", ready})
}

func (ptr *QCameraExposure) IsAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAvailable"}).(bool)
}

func (ptr *QCameraExposure) IsExposureModeSupported(mode QCameraExposure__ExposureMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsExposureModeSupported", mode}).(bool)
}

func (ptr *QCameraExposure) IsFlashModeSupported(mode QCameraExposure__FlashMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFlashModeSupported", mode}).(bool)
}

func (ptr *QCameraExposure) IsFlashReady() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFlashReady"}).(bool)
}

func (ptr *QCameraExposure) IsMeteringModeSupported(mode QCameraExposure__MeteringMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMeteringModeSupported", mode}).(bool)
}

func (ptr *QCameraExposure) IsoSensitivity() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsoSensitivity"}).(float64))
}

func (ptr *QCameraExposure) ConnectIsoSensitivityChanged(f func(value int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsoSensitivityChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectIsoSensitivityChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsoSensitivityChanged"})
}

func (ptr *QCameraExposure) IsoSensitivityChanged(value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsoSensitivityChanged", value})
}

func (ptr *QCameraExposure) MeteringMode() QCameraExposure__MeteringMode {

	return QCameraExposure__MeteringMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MeteringMode"}).(float64))
}

func (ptr *QCameraExposure) RequestedAperture() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestedAperture"}).(float64)
}

func (ptr *QCameraExposure) RequestedIsoSensitivity() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestedIsoSensitivity"}).(float64))
}

func (ptr *QCameraExposure) RequestedShutterSpeed() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestedShutterSpeed"}).(float64)
}

func (ptr *QCameraExposure) ConnectSetAutoAperture(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetAutoAperture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectSetAutoAperture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetAutoAperture"})
}

func (ptr *QCameraExposure) SetAutoAperture() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoAperture"})
}

func (ptr *QCameraExposure) SetAutoApertureDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoApertureDefault"})
}

func (ptr *QCameraExposure) ConnectSetAutoIsoSensitivity(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetAutoIsoSensitivity", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectSetAutoIsoSensitivity() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetAutoIsoSensitivity"})
}

func (ptr *QCameraExposure) SetAutoIsoSensitivity() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoIsoSensitivity"})
}

func (ptr *QCameraExposure) SetAutoIsoSensitivityDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoIsoSensitivityDefault"})
}

func (ptr *QCameraExposure) ConnectSetAutoShutterSpeed(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetAutoShutterSpeed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectSetAutoShutterSpeed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetAutoShutterSpeed"})
}

func (ptr *QCameraExposure) SetAutoShutterSpeed() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoShutterSpeed"})
}

func (ptr *QCameraExposure) SetAutoShutterSpeedDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoShutterSpeedDefault"})
}

func (ptr *QCameraExposure) ConnectSetExposureCompensation(f func(ev float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetExposureCompensation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectSetExposureCompensation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetExposureCompensation"})
}

func (ptr *QCameraExposure) SetExposureCompensation(ev float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetExposureCompensation", ev})
}

func (ptr *QCameraExposure) SetExposureCompensationDefault(ev float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetExposureCompensationDefault", ev})
}

func (ptr *QCameraExposure) ConnectSetExposureMode(f func(mode QCameraExposure__ExposureMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetExposureMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectSetExposureMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetExposureMode"})
}

func (ptr *QCameraExposure) SetExposureMode(mode QCameraExposure__ExposureMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetExposureMode", mode})
}

func (ptr *QCameraExposure) SetExposureModeDefault(mode QCameraExposure__ExposureMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetExposureModeDefault", mode})
}

func (ptr *QCameraExposure) ConnectSetFlashMode(f func(mode QCameraExposure__FlashMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFlashMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectSetFlashMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFlashMode"})
}

func (ptr *QCameraExposure) SetFlashMode(mode QCameraExposure__FlashMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlashMode", mode})
}

func (ptr *QCameraExposure) SetFlashModeDefault(mode QCameraExposure__FlashMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlashModeDefault", mode})
}

func (ptr *QCameraExposure) ConnectSetManualAperture(f func(aperture float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetManualAperture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectSetManualAperture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetManualAperture"})
}

func (ptr *QCameraExposure) SetManualAperture(aperture float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetManualAperture", aperture})
}

func (ptr *QCameraExposure) SetManualApertureDefault(aperture float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetManualApertureDefault", aperture})
}

func (ptr *QCameraExposure) ConnectSetManualIsoSensitivity(f func(iso int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetManualIsoSensitivity", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectSetManualIsoSensitivity() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetManualIsoSensitivity"})
}

func (ptr *QCameraExposure) SetManualIsoSensitivity(iso int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetManualIsoSensitivity", iso})
}

func (ptr *QCameraExposure) SetManualIsoSensitivityDefault(iso int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetManualIsoSensitivityDefault", iso})
}

func (ptr *QCameraExposure) ConnectSetManualShutterSpeed(f func(seconds float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetManualShutterSpeed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectSetManualShutterSpeed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetManualShutterSpeed"})
}

func (ptr *QCameraExposure) SetManualShutterSpeed(seconds float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetManualShutterSpeed", seconds})
}

func (ptr *QCameraExposure) SetManualShutterSpeedDefault(seconds float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetManualShutterSpeedDefault", seconds})
}

func (ptr *QCameraExposure) ConnectSetMeteringMode(f func(mode QCameraExposure__MeteringMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMeteringMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectSetMeteringMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMeteringMode"})
}

func (ptr *QCameraExposure) SetMeteringMode(mode QCameraExposure__MeteringMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMeteringMode", mode})
}

func (ptr *QCameraExposure) SetMeteringModeDefault(mode QCameraExposure__MeteringMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMeteringModeDefault", mode})
}

func (ptr *QCameraExposure) SetSpotMeteringPoint(point core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSpotMeteringPoint", point})
}

func (ptr *QCameraExposure) ShutterSpeed() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShutterSpeed"}).(float64)
}

func (ptr *QCameraExposure) ConnectShutterSpeedChanged(f func(speed float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShutterSpeedChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectShutterSpeedChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShutterSpeedChanged"})
}

func (ptr *QCameraExposure) ShutterSpeedChanged(speed float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShutterSpeedChanged", speed})
}

func (ptr *QCameraExposure) ConnectShutterSpeedRangeChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShutterSpeedRangeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposure) DisconnectShutterSpeedRangeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShutterSpeedRangeChanged"})
}

func (ptr *QCameraExposure) ShutterSpeedRangeChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShutterSpeedRangeChanged"})
}

func (ptr *QCameraExposure) SpotMeteringPoint() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SpotMeteringPoint"}).(*core.QPointF)
}

func (ptr *QCameraExposure) SupportedApertures(continuous *bool) []float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedApertures", continuous}).([]float64)
}

func (ptr *QCameraExposure) SupportedIsoSensitivities(continuous *bool) []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedIsoSensitivities", continuous}).([]int)
}

func (ptr *QCameraExposure) SupportedShutterSpeeds(continuous *bool) []float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedShutterSpeeds", continuous}).([]float64)
}

func (ptr *QCameraExposure) __supportedApertures_atList(i int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedApertures_atList", i}).(float64)
}

func (ptr *QCameraExposure) __supportedApertures_setList(i float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedApertures_setList", i})
}

func (ptr *QCameraExposure) __supportedApertures_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedApertures_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraExposure) __supportedIsoSensitivities_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedIsoSensitivities_atList", i}).(float64))
}

func (ptr *QCameraExposure) __supportedIsoSensitivities_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedIsoSensitivities_setList", i})
}

func (ptr *QCameraExposure) __supportedIsoSensitivities_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedIsoSensitivities_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraExposure) __supportedShutterSpeeds_atList(i int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedShutterSpeeds_atList", i}).(float64)
}

func (ptr *QCameraExposure) __supportedShutterSpeeds_setList(i float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedShutterSpeeds_setList", i})
}

func (ptr *QCameraExposure) __supportedShutterSpeeds_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedShutterSpeeds_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraExposure) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QCameraExposure) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QCameraExposure) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraExposure) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QCameraExposure) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QCameraExposure) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraExposure) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QCameraExposure) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QCameraExposure) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraExposure) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QCameraExposure) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QCameraExposure) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QCameraExposure) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QCameraExposure) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QCameraExposure) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QCameraExposure) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QCameraExposure) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QCameraExposure) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QCameraExposure) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QCameraExposure) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QCameraExposure) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QCameraExposureControl struct {
	QMediaControl
}

type QCameraExposureControl_ITF interface {
	QMediaControl_ITF
	QCameraExposureControl_PTR() *QCameraExposureControl
}

func (ptr *QCameraExposureControl) QCameraExposureControl_PTR() *QCameraExposureControl {
	return ptr
}

func (ptr *QCameraExposureControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraExposureControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCameraExposureControl(ptr QCameraExposureControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraExposureControl_PTR().Pointer()
	}
	return nil
}

func (n *QCameraExposureControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraExposureControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCameraExposureControlFromPointer(ptr unsafe.Pointer) (n *QCameraExposureControl) {
	n = new(QCameraExposureControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraExposureControl")
	return
}

//go:generate stringer -type=QCameraExposureControl__ExposureParameter
//QCameraExposureControl::ExposureParameter
type QCameraExposureControl__ExposureParameter int64

const (
	QCameraExposureControl__ISO                       QCameraExposureControl__ExposureParameter = QCameraExposureControl__ExposureParameter(0)
	QCameraExposureControl__Aperture                  QCameraExposureControl__ExposureParameter = QCameraExposureControl__ExposureParameter(1)
	QCameraExposureControl__ShutterSpeed              QCameraExposureControl__ExposureParameter = QCameraExposureControl__ExposureParameter(2)
	QCameraExposureControl__ExposureCompensation      QCameraExposureControl__ExposureParameter = QCameraExposureControl__ExposureParameter(3)
	QCameraExposureControl__FlashPower                QCameraExposureControl__ExposureParameter = QCameraExposureControl__ExposureParameter(4)
	QCameraExposureControl__FlashCompensation         QCameraExposureControl__ExposureParameter = QCameraExposureControl__ExposureParameter(5)
	QCameraExposureControl__TorchPower                QCameraExposureControl__ExposureParameter = QCameraExposureControl__ExposureParameter(6)
	QCameraExposureControl__SpotMeteringPoint         QCameraExposureControl__ExposureParameter = QCameraExposureControl__ExposureParameter(7)
	QCameraExposureControl__ExposureMode              QCameraExposureControl__ExposureParameter = QCameraExposureControl__ExposureParameter(8)
	QCameraExposureControl__MeteringMode              QCameraExposureControl__ExposureParameter = QCameraExposureControl__ExposureParameter(9)
	QCameraExposureControl__ExtendedExposureParameter QCameraExposureControl__ExposureParameter = QCameraExposureControl__ExposureParameter(1000)
)

func NewQCameraExposureControl(parent core.QObject_ITF) *QCameraExposureControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraExposureControl", "", parent}).(*QCameraExposureControl)
}

func (ptr *QCameraExposureControl) ConnectActualValue(f func(parameter QCameraExposureControl__ExposureParameter) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActualValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposureControl) DisconnectActualValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActualValue"})
}

func (ptr *QCameraExposureControl) ActualValue(parameter QCameraExposureControl__ExposureParameter) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActualValue", parameter}).(*core.QVariant)
}

func (ptr *QCameraExposureControl) ConnectActualValueChanged(f func(parameter int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActualValueChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposureControl) DisconnectActualValueChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActualValueChanged"})
}

func (ptr *QCameraExposureControl) ActualValueChanged(parameter int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActualValueChanged", parameter})
}

func (ptr *QCameraExposureControl) ConnectIsParameterSupported(f func(parameter QCameraExposureControl__ExposureParameter) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsParameterSupported", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposureControl) DisconnectIsParameterSupported() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsParameterSupported"})
}

func (ptr *QCameraExposureControl) IsParameterSupported(parameter QCameraExposureControl__ExposureParameter) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsParameterSupported", parameter}).(bool)
}

func (ptr *QCameraExposureControl) ConnectParameterRangeChanged(f func(parameter int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectParameterRangeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposureControl) DisconnectParameterRangeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectParameterRangeChanged"})
}

func (ptr *QCameraExposureControl) ParameterRangeChanged(parameter int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParameterRangeChanged", parameter})
}

func (ptr *QCameraExposureControl) ConnectRequestedValue(f func(parameter QCameraExposureControl__ExposureParameter) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRequestedValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposureControl) DisconnectRequestedValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRequestedValue"})
}

func (ptr *QCameraExposureControl) RequestedValue(parameter QCameraExposureControl__ExposureParameter) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestedValue", parameter}).(*core.QVariant)
}

func (ptr *QCameraExposureControl) ConnectRequestedValueChanged(f func(parameter int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRequestedValueChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposureControl) DisconnectRequestedValueChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRequestedValueChanged"})
}

func (ptr *QCameraExposureControl) RequestedValueChanged(parameter int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestedValueChanged", parameter})
}

func (ptr *QCameraExposureControl) ConnectSetValue(f func(parameter QCameraExposureControl__ExposureParameter, value *core.QVariant) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposureControl) DisconnectSetValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetValue"})
}

func (ptr *QCameraExposureControl) SetValue(parameter QCameraExposureControl__ExposureParameter, value core.QVariant_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValue", parameter, value}).(bool)
}

func (ptr *QCameraExposureControl) ConnectSupportedParameterRange(f func(parameter QCameraExposureControl__ExposureParameter, continuous *bool) []*core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedParameterRange", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposureControl) DisconnectSupportedParameterRange() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedParameterRange"})
}

func (ptr *QCameraExposureControl) SupportedParameterRange(parameter QCameraExposureControl__ExposureParameter, continuous *bool) []*core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedParameterRange", parameter, continuous}).([]*core.QVariant)
}

func (ptr *QCameraExposureControl) ConnectDestroyQCameraExposureControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCameraExposureControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraExposureControl) DisconnectDestroyQCameraExposureControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCameraExposureControl"})
}

func (ptr *QCameraExposureControl) DestroyQCameraExposureControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraExposureControl"})
}

func (ptr *QCameraExposureControl) DestroyQCameraExposureControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraExposureControlDefault"})
}

func (ptr *QCameraExposureControl) __supportedParameterRange_atList(i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedParameterRange_atList", i}).(*core.QVariant)
}

func (ptr *QCameraExposureControl) __supportedParameterRange_setList(i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedParameterRange_setList", i})
}

func (ptr *QCameraExposureControl) __supportedParameterRange_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedParameterRange_newList"}).(unsafe.Pointer)
}

type QCameraFeedbackControl struct {
	QMediaControl
}

type QCameraFeedbackControl_ITF interface {
	QMediaControl_ITF
	QCameraFeedbackControl_PTR() *QCameraFeedbackControl
}

func (ptr *QCameraFeedbackControl) QCameraFeedbackControl_PTR() *QCameraFeedbackControl {
	return ptr
}

func (ptr *QCameraFeedbackControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraFeedbackControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCameraFeedbackControl(ptr QCameraFeedbackControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFeedbackControl_PTR().Pointer()
	}
	return nil
}

func (n *QCameraFeedbackControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraFeedbackControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCameraFeedbackControlFromPointer(ptr unsafe.Pointer) (n *QCameraFeedbackControl) {
	n = new(QCameraFeedbackControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraFeedbackControl")
	return
}

//go:generate stringer -type=QCameraFeedbackControl__EventType
//QCameraFeedbackControl::EventType
type QCameraFeedbackControl__EventType int64

const (
	QCameraFeedbackControl__ViewfinderStarted   QCameraFeedbackControl__EventType = QCameraFeedbackControl__EventType(1)
	QCameraFeedbackControl__ViewfinderStopped   QCameraFeedbackControl__EventType = QCameraFeedbackControl__EventType(2)
	QCameraFeedbackControl__ImageCaptured       QCameraFeedbackControl__EventType = QCameraFeedbackControl__EventType(3)
	QCameraFeedbackControl__ImageSaved          QCameraFeedbackControl__EventType = QCameraFeedbackControl__EventType(4)
	QCameraFeedbackControl__ImageError          QCameraFeedbackControl__EventType = QCameraFeedbackControl__EventType(5)
	QCameraFeedbackControl__RecordingStarted    QCameraFeedbackControl__EventType = QCameraFeedbackControl__EventType(6)
	QCameraFeedbackControl__RecordingInProgress QCameraFeedbackControl__EventType = QCameraFeedbackControl__EventType(7)
	QCameraFeedbackControl__RecordingStopped    QCameraFeedbackControl__EventType = QCameraFeedbackControl__EventType(8)
	QCameraFeedbackControl__AutoFocusInProgress QCameraFeedbackControl__EventType = QCameraFeedbackControl__EventType(9)
	QCameraFeedbackControl__AutoFocusLocked     QCameraFeedbackControl__EventType = QCameraFeedbackControl__EventType(10)
	QCameraFeedbackControl__AutoFocusFailed     QCameraFeedbackControl__EventType = QCameraFeedbackControl__EventType(11)
)

func NewQCameraFeedbackControl(parent core.QObject_ITF) *QCameraFeedbackControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraFeedbackControl", "", parent}).(*QCameraFeedbackControl)
}

func (ptr *QCameraFeedbackControl) ConnectIsEventFeedbackEnabled(f func(event QCameraFeedbackControl__EventType) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsEventFeedbackEnabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFeedbackControl) DisconnectIsEventFeedbackEnabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsEventFeedbackEnabled"})
}

func (ptr *QCameraFeedbackControl) IsEventFeedbackEnabled(event QCameraFeedbackControl__EventType) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEventFeedbackEnabled", event}).(bool)
}

func (ptr *QCameraFeedbackControl) ConnectIsEventFeedbackLocked(f func(event QCameraFeedbackControl__EventType) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsEventFeedbackLocked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFeedbackControl) DisconnectIsEventFeedbackLocked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsEventFeedbackLocked"})
}

func (ptr *QCameraFeedbackControl) IsEventFeedbackLocked(event QCameraFeedbackControl__EventType) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEventFeedbackLocked", event}).(bool)
}

func (ptr *QCameraFeedbackControl) ConnectResetEventFeedback(f func(event QCameraFeedbackControl__EventType)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResetEventFeedback", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFeedbackControl) DisconnectResetEventFeedback() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResetEventFeedback"})
}

func (ptr *QCameraFeedbackControl) ResetEventFeedback(event QCameraFeedbackControl__EventType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetEventFeedback", event})
}

func (ptr *QCameraFeedbackControl) ConnectSetEventFeedbackEnabled(f func(event QCameraFeedbackControl__EventType, enabled bool) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetEventFeedbackEnabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFeedbackControl) DisconnectSetEventFeedbackEnabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetEventFeedbackEnabled"})
}

func (ptr *QCameraFeedbackControl) SetEventFeedbackEnabled(event QCameraFeedbackControl__EventType, enabled bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEventFeedbackEnabled", event, enabled}).(bool)
}

func (ptr *QCameraFeedbackControl) ConnectSetEventFeedbackSound(f func(event QCameraFeedbackControl__EventType, filePath string) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetEventFeedbackSound", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFeedbackControl) DisconnectSetEventFeedbackSound() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetEventFeedbackSound"})
}

func (ptr *QCameraFeedbackControl) SetEventFeedbackSound(event QCameraFeedbackControl__EventType, filePath string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEventFeedbackSound", event, filePath}).(bool)
}

func (ptr *QCameraFeedbackControl) ConnectDestroyQCameraFeedbackControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCameraFeedbackControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFeedbackControl) DisconnectDestroyQCameraFeedbackControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCameraFeedbackControl"})
}

func (ptr *QCameraFeedbackControl) DestroyQCameraFeedbackControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraFeedbackControl"})
}

func (ptr *QCameraFeedbackControl) DestroyQCameraFeedbackControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraFeedbackControlDefault"})
}

type QCameraFlashControl struct {
	QMediaControl
}

type QCameraFlashControl_ITF interface {
	QMediaControl_ITF
	QCameraFlashControl_PTR() *QCameraFlashControl
}

func (ptr *QCameraFlashControl) QCameraFlashControl_PTR() *QCameraFlashControl {
	return ptr
}

func (ptr *QCameraFlashControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraFlashControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCameraFlashControl(ptr QCameraFlashControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFlashControl_PTR().Pointer()
	}
	return nil
}

func (n *QCameraFlashControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraFlashControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCameraFlashControlFromPointer(ptr unsafe.Pointer) (n *QCameraFlashControl) {
	n = new(QCameraFlashControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraFlashControl")
	return
}
func NewQCameraFlashControl(parent core.QObject_ITF) *QCameraFlashControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraFlashControl", "", parent}).(*QCameraFlashControl)
}

func (ptr *QCameraFlashControl) ConnectFlashMode(f func() QCameraExposure__FlashMode) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFlashMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFlashControl) DisconnectFlashMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFlashMode"})
}

func (ptr *QCameraFlashControl) FlashMode() QCameraExposure__FlashMode {

	return QCameraExposure__FlashMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FlashMode"}).(float64))
}

func (ptr *QCameraFlashControl) ConnectFlashReady(f func(ready bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFlashReady", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFlashControl) DisconnectFlashReady() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFlashReady"})
}

func (ptr *QCameraFlashControl) FlashReady(ready bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FlashReady", ready})
}

func (ptr *QCameraFlashControl) ConnectIsFlashModeSupported(f func(mode QCameraExposure__FlashMode) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsFlashModeSupported", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFlashControl) DisconnectIsFlashModeSupported() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsFlashModeSupported"})
}

func (ptr *QCameraFlashControl) IsFlashModeSupported(mode QCameraExposure__FlashMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFlashModeSupported", mode}).(bool)
}

func (ptr *QCameraFlashControl) ConnectIsFlashReady(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsFlashReady", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFlashControl) DisconnectIsFlashReady() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsFlashReady"})
}

func (ptr *QCameraFlashControl) IsFlashReady() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFlashReady"}).(bool)
}

func (ptr *QCameraFlashControl) ConnectSetFlashMode(f func(mode QCameraExposure__FlashMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFlashMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFlashControl) DisconnectSetFlashMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFlashMode"})
}

func (ptr *QCameraFlashControl) SetFlashMode(mode QCameraExposure__FlashMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlashMode", mode})
}

func (ptr *QCameraFlashControl) ConnectDestroyQCameraFlashControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCameraFlashControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFlashControl) DisconnectDestroyQCameraFlashControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCameraFlashControl"})
}

func (ptr *QCameraFlashControl) DestroyQCameraFlashControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraFlashControl"})
}

func (ptr *QCameraFlashControl) DestroyQCameraFlashControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraFlashControlDefault"})
}

type QCameraFocus struct {
	core.QObject
}

type QCameraFocus_ITF interface {
	core.QObject_ITF
	QCameraFocus_PTR() *QCameraFocus
}

func (ptr *QCameraFocus) QCameraFocus_PTR() *QCameraFocus {
	return ptr
}

func (ptr *QCameraFocus) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraFocus) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQCameraFocus(ptr QCameraFocus_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFocus_PTR().Pointer()
	}
	return nil
}

func (n *QCameraFocus) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraFocus) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQCameraFocusFromPointer(ptr unsafe.Pointer) (n *QCameraFocus) {
	n = new(QCameraFocus)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraFocus")
	return
}

func (ptr *QCameraFocus) DestroyQCameraFocus() {
}

//go:generate stringer -type=QCameraFocus__FocusMode
//QCameraFocus::FocusMode
type QCameraFocus__FocusMode int64

const (
	QCameraFocus__ManualFocus     QCameraFocus__FocusMode = QCameraFocus__FocusMode(0x1)
	QCameraFocus__HyperfocalFocus QCameraFocus__FocusMode = QCameraFocus__FocusMode(0x02)
	QCameraFocus__InfinityFocus   QCameraFocus__FocusMode = QCameraFocus__FocusMode(0x04)
	QCameraFocus__AutoFocus       QCameraFocus__FocusMode = QCameraFocus__FocusMode(0x8)
	QCameraFocus__ContinuousFocus QCameraFocus__FocusMode = QCameraFocus__FocusMode(0x10)
	QCameraFocus__MacroFocus      QCameraFocus__FocusMode = QCameraFocus__FocusMode(0x20)
)

//go:generate stringer -type=QCameraFocus__FocusPointMode
//QCameraFocus::FocusPointMode
type QCameraFocus__FocusPointMode int64

const (
	QCameraFocus__FocusPointAuto          QCameraFocus__FocusPointMode = QCameraFocus__FocusPointMode(0)
	QCameraFocus__FocusPointCenter        QCameraFocus__FocusPointMode = QCameraFocus__FocusPointMode(1)
	QCameraFocus__FocusPointFaceDetection QCameraFocus__FocusPointMode = QCameraFocus__FocusPointMode(2)
	QCameraFocus__FocusPointCustom        QCameraFocus__FocusPointMode = QCameraFocus__FocusPointMode(3)
)

func (ptr *QCameraFocus) CustomFocusPoint() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomFocusPoint"}).(*core.QPointF)
}

func (ptr *QCameraFocus) DigitalZoom() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DigitalZoom"}).(float64)
}

func (ptr *QCameraFocus) ConnectDigitalZoomChanged(f func(value float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDigitalZoomChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocus) DisconnectDigitalZoomChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDigitalZoomChanged"})
}

func (ptr *QCameraFocus) DigitalZoomChanged(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DigitalZoomChanged", value})
}

func (ptr *QCameraFocus) FocusMode() QCameraFocus__FocusMode {

	return QCameraFocus__FocusMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusMode"}).(float64))
}

func (ptr *QCameraFocus) FocusPointMode() QCameraFocus__FocusPointMode {

	return QCameraFocus__FocusPointMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusPointMode"}).(float64))
}

func (ptr *QCameraFocus) ConnectFocusZonesChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusZonesChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocus) DisconnectFocusZonesChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusZonesChanged"})
}

func (ptr *QCameraFocus) FocusZonesChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusZonesChanged"})
}

func (ptr *QCameraFocus) IsAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAvailable"}).(bool)
}

func (ptr *QCameraFocus) IsFocusModeSupported(mode QCameraFocus__FocusMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFocusModeSupported", mode}).(bool)
}

func (ptr *QCameraFocus) IsFocusPointModeSupported(mode QCameraFocus__FocusPointMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFocusPointModeSupported", mode}).(bool)
}

func (ptr *QCameraFocus) MaximumDigitalZoom() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumDigitalZoom"}).(float64)
}

func (ptr *QCameraFocus) ConnectMaximumDigitalZoomChanged(f func(zoom float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMaximumDigitalZoomChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocus) DisconnectMaximumDigitalZoomChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMaximumDigitalZoomChanged"})
}

func (ptr *QCameraFocus) MaximumDigitalZoomChanged(zoom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumDigitalZoomChanged", zoom})
}

func (ptr *QCameraFocus) MaximumOpticalZoom() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumOpticalZoom"}).(float64)
}

func (ptr *QCameraFocus) ConnectMaximumOpticalZoomChanged(f func(zoom float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMaximumOpticalZoomChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocus) DisconnectMaximumOpticalZoomChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMaximumOpticalZoomChanged"})
}

func (ptr *QCameraFocus) MaximumOpticalZoomChanged(zoom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumOpticalZoomChanged", zoom})
}

func (ptr *QCameraFocus) OpticalZoom() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpticalZoom"}).(float64)
}

func (ptr *QCameraFocus) ConnectOpticalZoomChanged(f func(value float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOpticalZoomChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocus) DisconnectOpticalZoomChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOpticalZoomChanged"})
}

func (ptr *QCameraFocus) OpticalZoomChanged(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpticalZoomChanged", value})
}

func (ptr *QCameraFocus) SetCustomFocusPoint(point core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCustomFocusPoint", point})
}

func (ptr *QCameraFocus) SetFocusMode(mode QCameraFocus__FocusMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFocusMode", mode})
}

func (ptr *QCameraFocus) SetFocusPointMode(mode QCameraFocus__FocusPointMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFocusPointMode", mode})
}

func (ptr *QCameraFocus) ZoomTo(optical float64, digital float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ZoomTo", optical, digital})
}

func (ptr *QCameraFocus) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QCameraFocus) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QCameraFocus) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraFocus) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QCameraFocus) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QCameraFocus) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraFocus) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QCameraFocus) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QCameraFocus) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraFocus) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QCameraFocus) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QCameraFocus) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QCameraFocus) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QCameraFocus) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QCameraFocus) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QCameraFocus) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QCameraFocus) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QCameraFocus) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QCameraFocus) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QCameraFocus) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QCameraFocus) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QCameraFocusControl struct {
	QMediaControl
}

type QCameraFocusControl_ITF interface {
	QMediaControl_ITF
	QCameraFocusControl_PTR() *QCameraFocusControl
}

func (ptr *QCameraFocusControl) QCameraFocusControl_PTR() *QCameraFocusControl {
	return ptr
}

func (ptr *QCameraFocusControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraFocusControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCameraFocusControl(ptr QCameraFocusControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFocusControl_PTR().Pointer()
	}
	return nil
}

func (n *QCameraFocusControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraFocusControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCameraFocusControlFromPointer(ptr unsafe.Pointer) (n *QCameraFocusControl) {
	n = new(QCameraFocusControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraFocusControl")
	return
}
func (ptr *QCameraFocusControl) ConnectCustomFocusPoint(f func() *core.QPointF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCustomFocusPoint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocusControl) DisconnectCustomFocusPoint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCustomFocusPoint"})
}

func (ptr *QCameraFocusControl) CustomFocusPoint() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomFocusPoint"}).(*core.QPointF)
}

func (ptr *QCameraFocusControl) ConnectCustomFocusPointChanged(f func(point *core.QPointF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCustomFocusPointChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocusControl) DisconnectCustomFocusPointChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCustomFocusPointChanged"})
}

func (ptr *QCameraFocusControl) CustomFocusPointChanged(point core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomFocusPointChanged", point})
}

func (ptr *QCameraFocusControl) ConnectFocusMode(f func() QCameraFocus__FocusMode) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocusControl) DisconnectFocusMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusMode"})
}

func (ptr *QCameraFocusControl) FocusMode() QCameraFocus__FocusMode {

	return QCameraFocus__FocusMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusMode"}).(float64))
}

func (ptr *QCameraFocusControl) ConnectFocusModeChanged(f func(mode QCameraFocus__FocusMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusModeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocusControl) DisconnectFocusModeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusModeChanged"})
}

func (ptr *QCameraFocusControl) FocusModeChanged(mode QCameraFocus__FocusMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusModeChanged", mode})
}

func (ptr *QCameraFocusControl) ConnectFocusPointMode(f func() QCameraFocus__FocusPointMode) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusPointMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocusControl) DisconnectFocusPointMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusPointMode"})
}

func (ptr *QCameraFocusControl) FocusPointMode() QCameraFocus__FocusPointMode {

	return QCameraFocus__FocusPointMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusPointMode"}).(float64))
}

func (ptr *QCameraFocusControl) ConnectFocusPointModeChanged(f func(mode QCameraFocus__FocusPointMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusPointModeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocusControl) DisconnectFocusPointModeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusPointModeChanged"})
}

func (ptr *QCameraFocusControl) FocusPointModeChanged(mode QCameraFocus__FocusPointMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusPointModeChanged", mode})
}

func (ptr *QCameraFocusControl) ConnectFocusZonesChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusZonesChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocusControl) DisconnectFocusZonesChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusZonesChanged"})
}

func (ptr *QCameraFocusControl) FocusZonesChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusZonesChanged"})
}

func (ptr *QCameraFocusControl) ConnectIsFocusModeSupported(f func(mode QCameraFocus__FocusMode) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsFocusModeSupported", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocusControl) DisconnectIsFocusModeSupported() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsFocusModeSupported"})
}

func (ptr *QCameraFocusControl) IsFocusModeSupported(mode QCameraFocus__FocusMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFocusModeSupported", mode}).(bool)
}

func (ptr *QCameraFocusControl) ConnectIsFocusPointModeSupported(f func(mode QCameraFocus__FocusPointMode) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsFocusPointModeSupported", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocusControl) DisconnectIsFocusPointModeSupported() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsFocusPointModeSupported"})
}

func (ptr *QCameraFocusControl) IsFocusPointModeSupported(mode QCameraFocus__FocusPointMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFocusPointModeSupported", mode}).(bool)
}

func (ptr *QCameraFocusControl) ConnectSetCustomFocusPoint(f func(point *core.QPointF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCustomFocusPoint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocusControl) DisconnectSetCustomFocusPoint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCustomFocusPoint"})
}

func (ptr *QCameraFocusControl) SetCustomFocusPoint(point core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCustomFocusPoint", point})
}

func (ptr *QCameraFocusControl) ConnectSetFocusMode(f func(mode QCameraFocus__FocusMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFocusMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocusControl) DisconnectSetFocusMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFocusMode"})
}

func (ptr *QCameraFocusControl) SetFocusMode(mode QCameraFocus__FocusMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFocusMode", mode})
}

func (ptr *QCameraFocusControl) ConnectSetFocusPointMode(f func(mode QCameraFocus__FocusPointMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFocusPointMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocusControl) DisconnectSetFocusPointMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFocusPointMode"})
}

func (ptr *QCameraFocusControl) SetFocusPointMode(mode QCameraFocus__FocusPointMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFocusPointMode", mode})
}

func (ptr *QCameraFocusControl) ConnectDestroyQCameraFocusControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCameraFocusControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraFocusControl) DisconnectDestroyQCameraFocusControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCameraFocusControl"})
}

func (ptr *QCameraFocusControl) DestroyQCameraFocusControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraFocusControl"})
}

func (ptr *QCameraFocusControl) DestroyQCameraFocusControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraFocusControlDefault"})
}

type QCameraFocusZone struct {
	internal.Internal
}

type QCameraFocusZone_ITF interface {
	QCameraFocusZone_PTR() *QCameraFocusZone
}

func (ptr *QCameraFocusZone) QCameraFocusZone_PTR() *QCameraFocusZone {
	return ptr
}

func (ptr *QCameraFocusZone) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCameraFocusZone) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCameraFocusZone(ptr QCameraFocusZone_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFocusZone_PTR().Pointer()
	}
	return nil
}

func (n *QCameraFocusZone) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCameraFocusZoneFromPointer(ptr unsafe.Pointer) (n *QCameraFocusZone) {
	n = new(QCameraFocusZone)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraFocusZone")
	return
}

//go:generate stringer -type=QCameraFocusZone__FocusZoneStatus
//QCameraFocusZone::FocusZoneStatus
type QCameraFocusZone__FocusZoneStatus int64

const (
	QCameraFocusZone__Invalid  QCameraFocusZone__FocusZoneStatus = QCameraFocusZone__FocusZoneStatus(0)
	QCameraFocusZone__Unused   QCameraFocusZone__FocusZoneStatus = QCameraFocusZone__FocusZoneStatus(1)
	QCameraFocusZone__Selected QCameraFocusZone__FocusZoneStatus = QCameraFocusZone__FocusZoneStatus(2)
	QCameraFocusZone__Focused  QCameraFocusZone__FocusZoneStatus = QCameraFocusZone__FocusZoneStatus(3)
)

func NewQCameraFocusZone(other QCameraFocusZone_ITF) *QCameraFocusZone {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraFocusZone", "", other}).(*QCameraFocusZone)
}

func (ptr *QCameraFocusZone) Area() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Area"}).(*core.QRectF)
}

func (ptr *QCameraFocusZone) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QCameraFocusZone) Status() QCameraFocusZone__FocusZoneStatus {

	return QCameraFocusZone__FocusZoneStatus(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Status"}).(float64))
}

func (ptr *QCameraFocusZone) DestroyQCameraFocusZone() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraFocusZone"})
}

type QCameraImageCapture struct {
	core.QObject
	QMediaBindableInterface
}

type QCameraImageCapture_ITF interface {
	core.QObject_ITF
	QMediaBindableInterface_ITF
	QCameraImageCapture_PTR() *QCameraImageCapture
}

func (ptr *QCameraImageCapture) QCameraImageCapture_PTR() *QCameraImageCapture {
	return ptr
}

func (ptr *QCameraImageCapture) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraImageCapture) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
		ptr.QMediaBindableInterface_PTR().SetPointer(p)
	}
}

func PointerFromQCameraImageCapture(ptr QCameraImageCapture_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageCapture_PTR().Pointer()
	}
	return nil
}

func (n *QCameraImageCapture) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaBindableInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraImageCapture) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQCameraImageCaptureFromPointer(ptr unsafe.Pointer) (n *QCameraImageCapture) {
	n = new(QCameraImageCapture)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraImageCapture")
	return
}

//go:generate stringer -type=QCameraImageCapture__Error
//QCameraImageCapture::Error
type QCameraImageCapture__Error int64

const (
	QCameraImageCapture__NoError                  QCameraImageCapture__Error = QCameraImageCapture__Error(0)
	QCameraImageCapture__NotReadyError            QCameraImageCapture__Error = QCameraImageCapture__Error(1)
	QCameraImageCapture__ResourceError            QCameraImageCapture__Error = QCameraImageCapture__Error(2)
	QCameraImageCapture__OutOfSpaceError          QCameraImageCapture__Error = QCameraImageCapture__Error(3)
	QCameraImageCapture__NotSupportedFeatureError QCameraImageCapture__Error = QCameraImageCapture__Error(4)
	QCameraImageCapture__FormatError              QCameraImageCapture__Error = QCameraImageCapture__Error(5)
)

//go:generate stringer -type=QCameraImageCapture__DriveMode
//QCameraImageCapture::DriveMode
type QCameraImageCapture__DriveMode int64

const (
	QCameraImageCapture__SingleImageCapture QCameraImageCapture__DriveMode = QCameraImageCapture__DriveMode(0)
)

//go:generate stringer -type=QCameraImageCapture__CaptureDestination
//QCameraImageCapture::CaptureDestination
type QCameraImageCapture__CaptureDestination int64

const (
	QCameraImageCapture__CaptureToFile   QCameraImageCapture__CaptureDestination = QCameraImageCapture__CaptureDestination(0x01)
	QCameraImageCapture__CaptureToBuffer QCameraImageCapture__CaptureDestination = QCameraImageCapture__CaptureDestination(0x02)
)

func NewQCameraImageCapture(mediaObject QMediaObject_ITF, parent core.QObject_ITF) *QCameraImageCapture {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraImageCapture", "", mediaObject, parent}).(*QCameraImageCapture)
}

func (ptr *QCameraImageCapture) Availability() QMultimedia__AvailabilityStatus {

	return QMultimedia__AvailabilityStatus(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Availability"}).(float64))
}

func (ptr *QCameraImageCapture) BufferFormat() QVideoFrame__PixelFormat {

	return QVideoFrame__PixelFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "BufferFormat"}).(float64))
}

func (ptr *QCameraImageCapture) ConnectBufferFormatChanged(f func(format QVideoFrame__PixelFormat)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectBufferFormatChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCapture) DisconnectBufferFormatChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectBufferFormatChanged"})
}

func (ptr *QCameraImageCapture) BufferFormatChanged(format QVideoFrame__PixelFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "BufferFormatChanged", format})
}

func (ptr *QCameraImageCapture) ConnectCancelCapture(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectCancelCapture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCapture) DisconnectCancelCapture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectCancelCapture"})
}

func (ptr *QCameraImageCapture) CancelCapture() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CancelCapture"})
}

func (ptr *QCameraImageCapture) CancelCaptureDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CancelCaptureDefault"})
}

func (ptr *QCameraImageCapture) ConnectCapture(f func(file string) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectCapture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCapture) DisconnectCapture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectCapture"})
}

func (ptr *QCameraImageCapture) Capture(file string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Capture", file}).(float64))
}

func (ptr *QCameraImageCapture) CaptureDefault(file string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CaptureDefault", file}).(float64))
}

func (ptr *QCameraImageCapture) CaptureDestination() QCameraImageCapture__CaptureDestination {

	return QCameraImageCapture__CaptureDestination(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CaptureDestination"}).(float64))
}

func (ptr *QCameraImageCapture) ConnectCaptureDestinationChanged(f func(destination QCameraImageCapture__CaptureDestination)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectCaptureDestinationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCapture) DisconnectCaptureDestinationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectCaptureDestinationChanged"})
}

func (ptr *QCameraImageCapture) CaptureDestinationChanged(destination QCameraImageCapture__CaptureDestination) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CaptureDestinationChanged", destination})
}

func (ptr *QCameraImageCapture) EncodingSettings() *QImageEncoderSettings {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EncodingSettings"}).(*QImageEncoderSettings)
}

func (ptr *QCameraImageCapture) Error() QCameraImageCapture__Error {

	return QCameraImageCapture__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QCameraImageCapture) ConnectError2(f func(id int, error QCameraImageCapture__Error, errorString string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectError2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCapture) DisconnectError2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectError2"})
}

func (ptr *QCameraImageCapture) Error2(id int, error QCameraImageCapture__Error, errorString string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Error2", id, error, errorString})
}

func (ptr *QCameraImageCapture) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QCameraImageCapture) ConnectImageAvailable(f func(id int, frame *QVideoFrame)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectImageAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCapture) DisconnectImageAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectImageAvailable"})
}

func (ptr *QCameraImageCapture) ImageAvailable(id int, frame QVideoFrame_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ImageAvailable", id, frame})
}

func (ptr *QCameraImageCapture) ConnectImageCaptured(f func(id int, preview *gui.QImage)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectImageCaptured", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCapture) DisconnectImageCaptured() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectImageCaptured"})
}

func (ptr *QCameraImageCapture) ImageCaptured(id int, preview gui.QImage_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ImageCaptured", id, preview})
}

func (ptr *QCameraImageCapture) ImageCodecDescription(codec string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ImageCodecDescription", codec}).(string)
}

func (ptr *QCameraImageCapture) ConnectImageExposed(f func(id int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectImageExposed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCapture) DisconnectImageExposed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectImageExposed"})
}

func (ptr *QCameraImageCapture) ImageExposed(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ImageExposed", id})
}

func (ptr *QCameraImageCapture) ConnectImageMetadataAvailable(f func(id int, key string, value *core.QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectImageMetadataAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCapture) DisconnectImageMetadataAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectImageMetadataAvailable"})
}

func (ptr *QCameraImageCapture) ImageMetadataAvailable(id int, key string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ImageMetadataAvailable", id, key, value})
}

func (ptr *QCameraImageCapture) ConnectImageSaved(f func(id int, fileName string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectImageSaved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCapture) DisconnectImageSaved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectImageSaved"})
}

func (ptr *QCameraImageCapture) ImageSaved(id int, fileName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ImageSaved", id, fileName})
}

func (ptr *QCameraImageCapture) IsAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsAvailable"}).(bool)
}

func (ptr *QCameraImageCapture) IsCaptureDestinationSupported(destination QCameraImageCapture__CaptureDestination) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsCaptureDestinationSupported", destination}).(bool)
}

func (ptr *QCameraImageCapture) IsReadyForCapture() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsReadyForCapture"}).(bool)
}

func (ptr *QCameraImageCapture) ConnectMediaObject(f func() *QMediaObject) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMediaObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCapture) DisconnectMediaObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMediaObject"})
}

func (ptr *QCameraImageCapture) MediaObject() *QMediaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MediaObject"}).(*QMediaObject)
}

func (ptr *QCameraImageCapture) MediaObjectDefault() *QMediaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MediaObjectDefault"}).(*QMediaObject)
}

func (ptr *QCameraImageCapture) ConnectReadyForCaptureChanged(f func(ready bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectReadyForCaptureChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCapture) DisconnectReadyForCaptureChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectReadyForCaptureChanged"})
}

func (ptr *QCameraImageCapture) ReadyForCaptureChanged(ready bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ReadyForCaptureChanged", ready})
}

func (ptr *QCameraImageCapture) SetBufferFormat(format QVideoFrame__PixelFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetBufferFormat", format})
}

func (ptr *QCameraImageCapture) SetCaptureDestination(destination QCameraImageCapture__CaptureDestination) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetCaptureDestination", destination})
}

func (ptr *QCameraImageCapture) SetEncodingSettings(settings QImageEncoderSettings_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetEncodingSettings", settings})
}

func (ptr *QCameraImageCapture) ConnectSetMediaObject(f func(mediaObject *QMediaObject) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetMediaObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCapture) DisconnectSetMediaObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetMediaObject"})
}

func (ptr *QCameraImageCapture) SetMediaObject(mediaObject QMediaObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMediaObject", mediaObject}).(bool)
}

func (ptr *QCameraImageCapture) SetMediaObjectDefault(mediaObject QMediaObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMediaObjectDefault", mediaObject}).(bool)
}

func (ptr *QCameraImageCapture) SupportedBufferFormats() []QVideoFrame__PixelFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SupportedBufferFormats"}).([]QVideoFrame__PixelFormat)
}

func (ptr *QCameraImageCapture) SupportedImageCodecs() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SupportedImageCodecs"}).([]string)
}

func (ptr *QCameraImageCapture) SupportedResolutions(settings QImageEncoderSettings_ITF, continuous *bool) []*core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SupportedResolutions", settings, continuous}).([]*core.QSize)
}

func (ptr *QCameraImageCapture) ConnectDestroyQCameraImageCapture(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDestroyQCameraImageCapture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCapture) DisconnectDestroyQCameraImageCapture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDestroyQCameraImageCapture"})
}

func (ptr *QCameraImageCapture) DestroyQCameraImageCapture() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQCameraImageCapture"})
}

func (ptr *QCameraImageCapture) DestroyQCameraImageCaptureDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQCameraImageCaptureDefault"})
}

func (ptr *QCameraImageCapture) __supportedBufferFormats_atList(i int) QVideoFrame__PixelFormat {

	return QVideoFrame__PixelFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedBufferFormats_atList", i}).(float64))
}

func (ptr *QCameraImageCapture) __supportedBufferFormats_setList(i QVideoFrame__PixelFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedBufferFormats_setList", i})
}

func (ptr *QCameraImageCapture) __supportedBufferFormats_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedBufferFormats_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraImageCapture) __supportedResolutions_atList(i int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedResolutions_atList", i}).(*core.QSize)
}

func (ptr *QCameraImageCapture) __supportedResolutions_setList(i core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedResolutions_setList", i})
}

func (ptr *QCameraImageCapture) __supportedResolutions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedResolutions_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraImageCapture) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QCameraImageCapture) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QCameraImageCapture) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraImageCapture) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QCameraImageCapture) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QCameraImageCapture) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraImageCapture) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QCameraImageCapture) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QCameraImageCapture) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraImageCapture) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QCameraImageCapture) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QCameraImageCapture) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QCameraImageCapture) ChildEvent(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEvent", event})
}

func (ptr *QCameraImageCapture) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QCameraImageCapture) ConnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotify", sign})
}

func (ptr *QCameraImageCapture) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QCameraImageCapture) CustomEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEvent", event})
}

func (ptr *QCameraImageCapture) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QCameraImageCapture) DeleteLater() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLater"})
}

func (ptr *QCameraImageCapture) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QCameraImageCapture) DisconnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotify", sign})
}

func (ptr *QCameraImageCapture) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QCameraImageCapture) Event(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Event", e}).(bool)
}

func (ptr *QCameraImageCapture) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QCameraImageCapture) EventFilter(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilter", watched, event}).(bool)
}

func (ptr *QCameraImageCapture) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QCameraImageCapture) MetaObject() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObject"}).(*core.QMetaObject)
}

func (ptr *QCameraImageCapture) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QCameraImageCapture) TimerEvent(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEvent", event})
}

func (ptr *QCameraImageCapture) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEventDefault", event})
}

type QCameraImageCaptureControl struct {
	QMediaControl
}

type QCameraImageCaptureControl_ITF interface {
	QMediaControl_ITF
	QCameraImageCaptureControl_PTR() *QCameraImageCaptureControl
}

func (ptr *QCameraImageCaptureControl) QCameraImageCaptureControl_PTR() *QCameraImageCaptureControl {
	return ptr
}

func (ptr *QCameraImageCaptureControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraImageCaptureControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCameraImageCaptureControl(ptr QCameraImageCaptureControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageCaptureControl_PTR().Pointer()
	}
	return nil
}

func (n *QCameraImageCaptureControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraImageCaptureControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCameraImageCaptureControlFromPointer(ptr unsafe.Pointer) (n *QCameraImageCaptureControl) {
	n = new(QCameraImageCaptureControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraImageCaptureControl")
	return
}
func NewQCameraImageCaptureControl(parent core.QObject_ITF) *QCameraImageCaptureControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraImageCaptureControl", "", parent}).(*QCameraImageCaptureControl)
}

func (ptr *QCameraImageCaptureControl) ConnectCancelCapture(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCancelCapture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCaptureControl) DisconnectCancelCapture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCancelCapture"})
}

func (ptr *QCameraImageCaptureControl) CancelCapture() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CancelCapture"})
}

func (ptr *QCameraImageCaptureControl) ConnectCapture(f func(fileName string) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCapture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCaptureControl) DisconnectCapture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCapture"})
}

func (ptr *QCameraImageCaptureControl) Capture(fileName string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Capture", fileName}).(float64))
}

func (ptr *QCameraImageCaptureControl) ConnectDriveMode(f func() QCameraImageCapture__DriveMode) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDriveMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCaptureControl) DisconnectDriveMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDriveMode"})
}

func (ptr *QCameraImageCaptureControl) DriveMode() QCameraImageCapture__DriveMode {

	return QCameraImageCapture__DriveMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DriveMode"}).(float64))
}

func (ptr *QCameraImageCaptureControl) ConnectError(f func(id int, error int, errorString string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCaptureControl) DisconnectError() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError"})
}

func (ptr *QCameraImageCaptureControl) Error(id int, error int, errorString string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error", id, error, errorString})
}

func (ptr *QCameraImageCaptureControl) ConnectImageAvailable(f func(requestId int, buffer *QVideoFrame)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectImageAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCaptureControl) DisconnectImageAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectImageAvailable"})
}

func (ptr *QCameraImageCaptureControl) ImageAvailable(requestId int, buffer QVideoFrame_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageAvailable", requestId, buffer})
}

func (ptr *QCameraImageCaptureControl) ConnectImageCaptured(f func(requestId int, preview *gui.QImage)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectImageCaptured", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCaptureControl) DisconnectImageCaptured() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectImageCaptured"})
}

func (ptr *QCameraImageCaptureControl) ImageCaptured(requestId int, preview gui.QImage_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageCaptured", requestId, preview})
}

func (ptr *QCameraImageCaptureControl) ConnectImageExposed(f func(requestId int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectImageExposed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCaptureControl) DisconnectImageExposed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectImageExposed"})
}

func (ptr *QCameraImageCaptureControl) ImageExposed(requestId int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageExposed", requestId})
}

func (ptr *QCameraImageCaptureControl) ConnectImageMetadataAvailable(f func(id int, key string, value *core.QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectImageMetadataAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCaptureControl) DisconnectImageMetadataAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectImageMetadataAvailable"})
}

func (ptr *QCameraImageCaptureControl) ImageMetadataAvailable(id int, key string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageMetadataAvailable", id, key, value})
}

func (ptr *QCameraImageCaptureControl) ConnectImageSaved(f func(requestId int, fileName string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectImageSaved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCaptureControl) DisconnectImageSaved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectImageSaved"})
}

func (ptr *QCameraImageCaptureControl) ImageSaved(requestId int, fileName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageSaved", requestId, fileName})
}

func (ptr *QCameraImageCaptureControl) ConnectIsReadyForCapture(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsReadyForCapture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCaptureControl) DisconnectIsReadyForCapture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsReadyForCapture"})
}

func (ptr *QCameraImageCaptureControl) IsReadyForCapture() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadyForCapture"}).(bool)
}

func (ptr *QCameraImageCaptureControl) ConnectReadyForCaptureChanged(f func(ready bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReadyForCaptureChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCaptureControl) DisconnectReadyForCaptureChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReadyForCaptureChanged"})
}

func (ptr *QCameraImageCaptureControl) ReadyForCaptureChanged(ready bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadyForCaptureChanged", ready})
}

func (ptr *QCameraImageCaptureControl) ConnectSetDriveMode(f func(mode QCameraImageCapture__DriveMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetDriveMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCaptureControl) DisconnectSetDriveMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetDriveMode"})
}

func (ptr *QCameraImageCaptureControl) SetDriveMode(mode QCameraImageCapture__DriveMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDriveMode", mode})
}

func (ptr *QCameraImageCaptureControl) ConnectDestroyQCameraImageCaptureControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCameraImageCaptureControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageCaptureControl) DisconnectDestroyQCameraImageCaptureControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCameraImageCaptureControl"})
}

func (ptr *QCameraImageCaptureControl) DestroyQCameraImageCaptureControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraImageCaptureControl"})
}

func (ptr *QCameraImageCaptureControl) DestroyQCameraImageCaptureControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraImageCaptureControlDefault"})
}

type QCameraImageProcessing struct {
	core.QObject
}

type QCameraImageProcessing_ITF interface {
	core.QObject_ITF
	QCameraImageProcessing_PTR() *QCameraImageProcessing
}

func (ptr *QCameraImageProcessing) QCameraImageProcessing_PTR() *QCameraImageProcessing {
	return ptr
}

func (ptr *QCameraImageProcessing) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraImageProcessing) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQCameraImageProcessing(ptr QCameraImageProcessing_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageProcessing_PTR().Pointer()
	}
	return nil
}

func (n *QCameraImageProcessing) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraImageProcessing) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQCameraImageProcessingFromPointer(ptr unsafe.Pointer) (n *QCameraImageProcessing) {
	n = new(QCameraImageProcessing)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraImageProcessing")
	return
}

func (ptr *QCameraImageProcessing) DestroyQCameraImageProcessing() {
}

//go:generate stringer -type=QCameraImageProcessing__WhiteBalanceMode
//QCameraImageProcessing::WhiteBalanceMode
type QCameraImageProcessing__WhiteBalanceMode int64

const (
	QCameraImageProcessing__WhiteBalanceAuto        QCameraImageProcessing__WhiteBalanceMode = QCameraImageProcessing__WhiteBalanceMode(0)
	QCameraImageProcessing__WhiteBalanceManual      QCameraImageProcessing__WhiteBalanceMode = QCameraImageProcessing__WhiteBalanceMode(1)
	QCameraImageProcessing__WhiteBalanceSunlight    QCameraImageProcessing__WhiteBalanceMode = QCameraImageProcessing__WhiteBalanceMode(2)
	QCameraImageProcessing__WhiteBalanceCloudy      QCameraImageProcessing__WhiteBalanceMode = QCameraImageProcessing__WhiteBalanceMode(3)
	QCameraImageProcessing__WhiteBalanceShade       QCameraImageProcessing__WhiteBalanceMode = QCameraImageProcessing__WhiteBalanceMode(4)
	QCameraImageProcessing__WhiteBalanceTungsten    QCameraImageProcessing__WhiteBalanceMode = QCameraImageProcessing__WhiteBalanceMode(5)
	QCameraImageProcessing__WhiteBalanceFluorescent QCameraImageProcessing__WhiteBalanceMode = QCameraImageProcessing__WhiteBalanceMode(6)
	QCameraImageProcessing__WhiteBalanceFlash       QCameraImageProcessing__WhiteBalanceMode = QCameraImageProcessing__WhiteBalanceMode(7)
	QCameraImageProcessing__WhiteBalanceSunset      QCameraImageProcessing__WhiteBalanceMode = QCameraImageProcessing__WhiteBalanceMode(8)
	QCameraImageProcessing__WhiteBalanceVendor      QCameraImageProcessing__WhiteBalanceMode = QCameraImageProcessing__WhiteBalanceMode(1000)
)

//go:generate stringer -type=QCameraImageProcessing__ColorFilter
//QCameraImageProcessing::ColorFilter
type QCameraImageProcessing__ColorFilter int64

const (
	QCameraImageProcessing__ColorFilterNone       QCameraImageProcessing__ColorFilter = QCameraImageProcessing__ColorFilter(0)
	QCameraImageProcessing__ColorFilterGrayscale  QCameraImageProcessing__ColorFilter = QCameraImageProcessing__ColorFilter(1)
	QCameraImageProcessing__ColorFilterNegative   QCameraImageProcessing__ColorFilter = QCameraImageProcessing__ColorFilter(2)
	QCameraImageProcessing__ColorFilterSolarize   QCameraImageProcessing__ColorFilter = QCameraImageProcessing__ColorFilter(3)
	QCameraImageProcessing__ColorFilterSepia      QCameraImageProcessing__ColorFilter = QCameraImageProcessing__ColorFilter(4)
	QCameraImageProcessing__ColorFilterPosterize  QCameraImageProcessing__ColorFilter = QCameraImageProcessing__ColorFilter(5)
	QCameraImageProcessing__ColorFilterWhiteboard QCameraImageProcessing__ColorFilter = QCameraImageProcessing__ColorFilter(6)
	QCameraImageProcessing__ColorFilterBlackboard QCameraImageProcessing__ColorFilter = QCameraImageProcessing__ColorFilter(7)
	QCameraImageProcessing__ColorFilterAqua       QCameraImageProcessing__ColorFilter = QCameraImageProcessing__ColorFilter(8)
	QCameraImageProcessing__ColorFilterVendor     QCameraImageProcessing__ColorFilter = QCameraImageProcessing__ColorFilter(1000)
)

func (ptr *QCameraImageProcessing) Brightness() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Brightness"}).(float64)
}

func (ptr *QCameraImageProcessing) ColorFilter() QCameraImageProcessing__ColorFilter {

	return QCameraImageProcessing__ColorFilter(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColorFilter"}).(float64))
}

func (ptr *QCameraImageProcessing) Contrast() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contrast"}).(float64)
}

func (ptr *QCameraImageProcessing) DenoisingLevel() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DenoisingLevel"}).(float64)
}

func (ptr *QCameraImageProcessing) IsAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAvailable"}).(bool)
}

func (ptr *QCameraImageProcessing) IsColorFilterSupported(filter QCameraImageProcessing__ColorFilter) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsColorFilterSupported", filter}).(bool)
}

func (ptr *QCameraImageProcessing) IsWhiteBalanceModeSupported(mode QCameraImageProcessing__WhiteBalanceMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsWhiteBalanceModeSupported", mode}).(bool)
}

func (ptr *QCameraImageProcessing) ManualWhiteBalance() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ManualWhiteBalance"}).(float64)
}

func (ptr *QCameraImageProcessing) Saturation() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Saturation"}).(float64)
}

func (ptr *QCameraImageProcessing) SetBrightness(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBrightness", value})
}

func (ptr *QCameraImageProcessing) SetColorFilter(filter QCameraImageProcessing__ColorFilter) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColorFilter", filter})
}

func (ptr *QCameraImageProcessing) SetContrast(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetContrast", value})
}

func (ptr *QCameraImageProcessing) SetDenoisingLevel(level float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDenoisingLevel", level})
}

func (ptr *QCameraImageProcessing) SetManualWhiteBalance(colorTemperature float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetManualWhiteBalance", colorTemperature})
}

func (ptr *QCameraImageProcessing) SetSaturation(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSaturation", value})
}

func (ptr *QCameraImageProcessing) SetSharpeningLevel(level float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSharpeningLevel", level})
}

func (ptr *QCameraImageProcessing) SetWhiteBalanceMode(mode QCameraImageProcessing__WhiteBalanceMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWhiteBalanceMode", mode})
}

func (ptr *QCameraImageProcessing) SharpeningLevel() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SharpeningLevel"}).(float64)
}

func (ptr *QCameraImageProcessing) WhiteBalanceMode() QCameraImageProcessing__WhiteBalanceMode {

	return QCameraImageProcessing__WhiteBalanceMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WhiteBalanceMode"}).(float64))
}

func (ptr *QCameraImageProcessing) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QCameraImageProcessing) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QCameraImageProcessing) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraImageProcessing) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QCameraImageProcessing) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QCameraImageProcessing) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraImageProcessing) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QCameraImageProcessing) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QCameraImageProcessing) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QCameraImageProcessing) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QCameraImageProcessing) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QCameraImageProcessing) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QCameraImageProcessing) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QCameraImageProcessing) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QCameraImageProcessing) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QCameraImageProcessing) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QCameraImageProcessing) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QCameraImageProcessing) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QCameraImageProcessing) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QCameraImageProcessing) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QCameraImageProcessing) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QCameraImageProcessingControl struct {
	QMediaControl
}

type QCameraImageProcessingControl_ITF interface {
	QMediaControl_ITF
	QCameraImageProcessingControl_PTR() *QCameraImageProcessingControl
}

func (ptr *QCameraImageProcessingControl) QCameraImageProcessingControl_PTR() *QCameraImageProcessingControl {
	return ptr
}

func (ptr *QCameraImageProcessingControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraImageProcessingControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCameraImageProcessingControl(ptr QCameraImageProcessingControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageProcessingControl_PTR().Pointer()
	}
	return nil
}

func (n *QCameraImageProcessingControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraImageProcessingControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCameraImageProcessingControlFromPointer(ptr unsafe.Pointer) (n *QCameraImageProcessingControl) {
	n = new(QCameraImageProcessingControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraImageProcessingControl")
	return
}

//go:generate stringer -type=QCameraImageProcessingControl__ProcessingParameter
//QCameraImageProcessingControl::ProcessingParameter
type QCameraImageProcessingControl__ProcessingParameter int64

const (
	QCameraImageProcessingControl__WhiteBalancePreset   QCameraImageProcessingControl__ProcessingParameter = QCameraImageProcessingControl__ProcessingParameter(0)
	QCameraImageProcessingControl__ColorTemperature     QCameraImageProcessingControl__ProcessingParameter = QCameraImageProcessingControl__ProcessingParameter(1)
	QCameraImageProcessingControl__Contrast             QCameraImageProcessingControl__ProcessingParameter = QCameraImageProcessingControl__ProcessingParameter(2)
	QCameraImageProcessingControl__Saturation           QCameraImageProcessingControl__ProcessingParameter = QCameraImageProcessingControl__ProcessingParameter(3)
	QCameraImageProcessingControl__Brightness           QCameraImageProcessingControl__ProcessingParameter = QCameraImageProcessingControl__ProcessingParameter(4)
	QCameraImageProcessingControl__Sharpening           QCameraImageProcessingControl__ProcessingParameter = QCameraImageProcessingControl__ProcessingParameter(5)
	QCameraImageProcessingControl__Denoising            QCameraImageProcessingControl__ProcessingParameter = QCameraImageProcessingControl__ProcessingParameter(6)
	QCameraImageProcessingControl__ContrastAdjustment   QCameraImageProcessingControl__ProcessingParameter = QCameraImageProcessingControl__ProcessingParameter(7)
	QCameraImageProcessingControl__SaturationAdjustment QCameraImageProcessingControl__ProcessingParameter = QCameraImageProcessingControl__ProcessingParameter(8)
	QCameraImageProcessingControl__BrightnessAdjustment QCameraImageProcessingControl__ProcessingParameter = QCameraImageProcessingControl__ProcessingParameter(9)
	QCameraImageProcessingControl__SharpeningAdjustment QCameraImageProcessingControl__ProcessingParameter = QCameraImageProcessingControl__ProcessingParameter(10)
	QCameraImageProcessingControl__DenoisingAdjustment  QCameraImageProcessingControl__ProcessingParameter = QCameraImageProcessingControl__ProcessingParameter(11)
	QCameraImageProcessingControl__ColorFilter          QCameraImageProcessingControl__ProcessingParameter = QCameraImageProcessingControl__ProcessingParameter(12)
	QCameraImageProcessingControl__ExtendedParameter    QCameraImageProcessingControl__ProcessingParameter = QCameraImageProcessingControl__ProcessingParameter(1000)
)

func NewQCameraImageProcessingControl(parent core.QObject_ITF) *QCameraImageProcessingControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraImageProcessingControl", "", parent}).(*QCameraImageProcessingControl)
}

func (ptr *QCameraImageProcessingControl) ConnectIsParameterSupported(f func(parameter QCameraImageProcessingControl__ProcessingParameter) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsParameterSupported", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageProcessingControl) DisconnectIsParameterSupported() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsParameterSupported"})
}

func (ptr *QCameraImageProcessingControl) IsParameterSupported(parameter QCameraImageProcessingControl__ProcessingParameter) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsParameterSupported", parameter}).(bool)
}

func (ptr *QCameraImageProcessingControl) ConnectIsParameterValueSupported(f func(parameter QCameraImageProcessingControl__ProcessingParameter, value *core.QVariant) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsParameterValueSupported", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageProcessingControl) DisconnectIsParameterValueSupported() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsParameterValueSupported"})
}

func (ptr *QCameraImageProcessingControl) IsParameterValueSupported(parameter QCameraImageProcessingControl__ProcessingParameter, value core.QVariant_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsParameterValueSupported", parameter, value}).(bool)
}

func (ptr *QCameraImageProcessingControl) ConnectParameter(f func(parameter QCameraImageProcessingControl__ProcessingParameter) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectParameter", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageProcessingControl) DisconnectParameter() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectParameter"})
}

func (ptr *QCameraImageProcessingControl) Parameter(parameter QCameraImageProcessingControl__ProcessingParameter) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parameter", parameter}).(*core.QVariant)
}

func (ptr *QCameraImageProcessingControl) ConnectSetParameter(f func(parameter QCameraImageProcessingControl__ProcessingParameter, value *core.QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetParameter", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageProcessingControl) DisconnectSetParameter() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetParameter"})
}

func (ptr *QCameraImageProcessingControl) SetParameter(parameter QCameraImageProcessingControl__ProcessingParameter, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetParameter", parameter, value})
}

func (ptr *QCameraImageProcessingControl) ConnectDestroyQCameraImageProcessingControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCameraImageProcessingControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraImageProcessingControl) DisconnectDestroyQCameraImageProcessingControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCameraImageProcessingControl"})
}

func (ptr *QCameraImageProcessingControl) DestroyQCameraImageProcessingControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraImageProcessingControl"})
}

func (ptr *QCameraImageProcessingControl) DestroyQCameraImageProcessingControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraImageProcessingControlDefault"})
}

type QCameraInfo struct {
	internal.Internal
}

type QCameraInfo_ITF interface {
	QCameraInfo_PTR() *QCameraInfo
}

func (ptr *QCameraInfo) QCameraInfo_PTR() *QCameraInfo {
	return ptr
}

func (ptr *QCameraInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCameraInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCameraInfo(ptr QCameraInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraInfo_PTR().Pointer()
	}
	return nil
}

func (n *QCameraInfo) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCameraInfoFromPointer(ptr unsafe.Pointer) (n *QCameraInfo) {
	n = new(QCameraInfo)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraInfo")
	return
}
func NewQCameraInfo(name core.QByteArray_ITF) *QCameraInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraInfo", "", name}).(*QCameraInfo)
}

func NewQCameraInfo2(camera QCamera_ITF) *QCameraInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraInfo2", "", camera}).(*QCameraInfo)
}

func NewQCameraInfo3(other QCameraInfo_ITF) *QCameraInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraInfo3", "", other}).(*QCameraInfo)
}

func QCameraInfo_AvailableCameras(position QCamera__Position) []*QCameraInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.QCameraInfo_AvailableCameras", "", position}).([]*QCameraInfo)
}

func (ptr *QCameraInfo) AvailableCameras(position QCamera__Position) []*QCameraInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.QCameraInfo_AvailableCameras", "", position}).([]*QCameraInfo)
}

func QCameraInfo_DefaultCamera() *QCameraInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.QCameraInfo_DefaultCamera", ""}).(*QCameraInfo)
}

func (ptr *QCameraInfo) DefaultCamera() *QCameraInfo {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.QCameraInfo_DefaultCamera", ""}).(*QCameraInfo)
}

func (ptr *QCameraInfo) Description() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Description"}).(string)
}

func (ptr *QCameraInfo) DeviceName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeviceName"}).(string)
}

func (ptr *QCameraInfo) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QCameraInfo) Orientation() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QCameraInfo) Position() QCamera__Position {

	return QCamera__Position(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(float64))
}

func (ptr *QCameraInfo) DestroyQCameraInfo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraInfo"})
}

func (ptr *QCameraInfo) __availableCameras_atList(i int) *QCameraInfo {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableCameras_atList", i}).(*QCameraInfo)
}

func (ptr *QCameraInfo) __availableCameras_setList(i QCameraInfo_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableCameras_setList", i})
}

func (ptr *QCameraInfo) __availableCameras_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableCameras_newList"}).(unsafe.Pointer)
}

type QCameraInfoControl struct {
	QMediaControl
}

type QCameraInfoControl_ITF interface {
	QMediaControl_ITF
	QCameraInfoControl_PTR() *QCameraInfoControl
}

func (ptr *QCameraInfoControl) QCameraInfoControl_PTR() *QCameraInfoControl {
	return ptr
}

func (ptr *QCameraInfoControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraInfoControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCameraInfoControl(ptr QCameraInfoControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraInfoControl_PTR().Pointer()
	}
	return nil
}

func (n *QCameraInfoControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraInfoControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCameraInfoControlFromPointer(ptr unsafe.Pointer) (n *QCameraInfoControl) {
	n = new(QCameraInfoControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraInfoControl")
	return
}
func NewQCameraInfoControl(parent core.QObject_ITF) *QCameraInfoControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraInfoControl", "", parent}).(*QCameraInfoControl)
}

func (ptr *QCameraInfoControl) ConnectCameraOrientation(f func(deviceName string) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCameraOrientation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraInfoControl) DisconnectCameraOrientation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCameraOrientation"})
}

func (ptr *QCameraInfoControl) CameraOrientation(deviceName string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CameraOrientation", deviceName}).(float64))
}

func (ptr *QCameraInfoControl) ConnectCameraPosition(f func(deviceName string) QCamera__Position) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCameraPosition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraInfoControl) DisconnectCameraPosition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCameraPosition"})
}

func (ptr *QCameraInfoControl) CameraPosition(deviceName string) QCamera__Position {

	return QCamera__Position(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CameraPosition", deviceName}).(float64))
}

func (ptr *QCameraInfoControl) ConnectDestroyQCameraInfoControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCameraInfoControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraInfoControl) DisconnectDestroyQCameraInfoControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCameraInfoControl"})
}

func (ptr *QCameraInfoControl) DestroyQCameraInfoControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraInfoControl"})
}

func (ptr *QCameraInfoControl) DestroyQCameraInfoControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraInfoControlDefault"})
}

type QCameraLocksControl struct {
	QMediaControl
}

type QCameraLocksControl_ITF interface {
	QMediaControl_ITF
	QCameraLocksControl_PTR() *QCameraLocksControl
}

func (ptr *QCameraLocksControl) QCameraLocksControl_PTR() *QCameraLocksControl {
	return ptr
}

func (ptr *QCameraLocksControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraLocksControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCameraLocksControl(ptr QCameraLocksControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraLocksControl_PTR().Pointer()
	}
	return nil
}

func (n *QCameraLocksControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraLocksControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCameraLocksControlFromPointer(ptr unsafe.Pointer) (n *QCameraLocksControl) {
	n = new(QCameraLocksControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraLocksControl")
	return
}
func NewQCameraLocksControl(parent core.QObject_ITF) *QCameraLocksControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraLocksControl", "", parent}).(*QCameraLocksControl)
}

func (ptr *QCameraLocksControl) ConnectLockStatus(f func(lock QCamera__LockType) QCamera__LockStatus) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLockStatus", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraLocksControl) DisconnectLockStatus() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLockStatus"})
}

func (ptr *QCameraLocksControl) LockStatus(lock QCamera__LockType) QCamera__LockStatus {

	return QCamera__LockStatus(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LockStatus", lock}).(float64))
}

func (ptr *QCameraLocksControl) ConnectLockStatusChanged(f func(ty QCamera__LockType, status QCamera__LockStatus, reason QCamera__LockChangeReason)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLockStatusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraLocksControl) DisconnectLockStatusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLockStatusChanged"})
}

func (ptr *QCameraLocksControl) LockStatusChanged(ty QCamera__LockType, status QCamera__LockStatus, reason QCamera__LockChangeReason) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LockStatusChanged", ty, status, reason})
}

func (ptr *QCameraLocksControl) ConnectSearchAndLock(f func(locks QCamera__LockType)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSearchAndLock", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraLocksControl) DisconnectSearchAndLock() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSearchAndLock"})
}

func (ptr *QCameraLocksControl) SearchAndLock(locks QCamera__LockType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchAndLock", locks})
}

func (ptr *QCameraLocksControl) ConnectSupportedLocks(f func() QCamera__LockType) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedLocks", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraLocksControl) DisconnectSupportedLocks() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedLocks"})
}

func (ptr *QCameraLocksControl) SupportedLocks() QCamera__LockType {

	return QCamera__LockType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedLocks"}).(float64))
}

func (ptr *QCameraLocksControl) ConnectUnlock(f func(locks QCamera__LockType)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUnlock", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraLocksControl) DisconnectUnlock() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUnlock"})
}

func (ptr *QCameraLocksControl) Unlock(locks QCamera__LockType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unlock", locks})
}

func (ptr *QCameraLocksControl) ConnectDestroyQCameraLocksControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCameraLocksControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraLocksControl) DisconnectDestroyQCameraLocksControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCameraLocksControl"})
}

func (ptr *QCameraLocksControl) DestroyQCameraLocksControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraLocksControl"})
}

func (ptr *QCameraLocksControl) DestroyQCameraLocksControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraLocksControlDefault"})
}

type QCameraViewfinderSettings struct {
	internal.Internal
}

type QCameraViewfinderSettings_ITF interface {
	QCameraViewfinderSettings_PTR() *QCameraViewfinderSettings
}

func (ptr *QCameraViewfinderSettings) QCameraViewfinderSettings_PTR() *QCameraViewfinderSettings {
	return ptr
}

func (ptr *QCameraViewfinderSettings) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QCameraViewfinderSettings) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQCameraViewfinderSettings(ptr QCameraViewfinderSettings_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraViewfinderSettings_PTR().Pointer()
	}
	return nil
}

func (n *QCameraViewfinderSettings) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQCameraViewfinderSettingsFromPointer(ptr unsafe.Pointer) (n *QCameraViewfinderSettings) {
	n = new(QCameraViewfinderSettings)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraViewfinderSettings")
	return
}
func NewQCameraViewfinderSettings() *QCameraViewfinderSettings {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraViewfinderSettings", ""}).(*QCameraViewfinderSettings)
}

func NewQCameraViewfinderSettings2(other QCameraViewfinderSettings_ITF) *QCameraViewfinderSettings {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraViewfinderSettings2", "", other}).(*QCameraViewfinderSettings)
}

func (ptr *QCameraViewfinderSettings) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QCameraViewfinderSettings) MaximumFrameRate() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumFrameRate"}).(float64)
}

func (ptr *QCameraViewfinderSettings) MinimumFrameRate() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumFrameRate"}).(float64)
}

func (ptr *QCameraViewfinderSettings) PixelAspectRatio() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelAspectRatio"}).(*core.QSize)
}

func (ptr *QCameraViewfinderSettings) PixelFormat() QVideoFrame__PixelFormat {

	return QVideoFrame__PixelFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelFormat"}).(float64))
}

func (ptr *QCameraViewfinderSettings) Resolution() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resolution"}).(*core.QSize)
}

func (ptr *QCameraViewfinderSettings) SetMaximumFrameRate(rate float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumFrameRate", rate})
}

func (ptr *QCameraViewfinderSettings) SetMinimumFrameRate(rate float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumFrameRate", rate})
}

func (ptr *QCameraViewfinderSettings) SetPixelAspectRatio(ratio core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixelAspectRatio", ratio})
}

func (ptr *QCameraViewfinderSettings) SetPixelAspectRatio2(horizontal int, vertical int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixelAspectRatio2", horizontal, vertical})
}

func (ptr *QCameraViewfinderSettings) SetPixelFormat(format QVideoFrame__PixelFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixelFormat", format})
}

func (ptr *QCameraViewfinderSettings) SetResolution(resolution core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResolution", resolution})
}

func (ptr *QCameraViewfinderSettings) SetResolution2(width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResolution2", width, height})
}

func (ptr *QCameraViewfinderSettings) Swap(other QCameraViewfinderSettings_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Swap", other})
}

func (ptr *QCameraViewfinderSettings) DestroyQCameraViewfinderSettings() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraViewfinderSettings"})
}

type QCameraViewfinderSettingsControl struct {
	QMediaControl
}

type QCameraViewfinderSettingsControl_ITF interface {
	QMediaControl_ITF
	QCameraViewfinderSettingsControl_PTR() *QCameraViewfinderSettingsControl
}

func (ptr *QCameraViewfinderSettingsControl) QCameraViewfinderSettingsControl_PTR() *QCameraViewfinderSettingsControl {
	return ptr
}

func (ptr *QCameraViewfinderSettingsControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraViewfinderSettingsControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCameraViewfinderSettingsControl(ptr QCameraViewfinderSettingsControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraViewfinderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (n *QCameraViewfinderSettingsControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraViewfinderSettingsControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCameraViewfinderSettingsControlFromPointer(ptr unsafe.Pointer) (n *QCameraViewfinderSettingsControl) {
	n = new(QCameraViewfinderSettingsControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraViewfinderSettingsControl")
	return
}

//go:generate stringer -type=QCameraViewfinderSettingsControl__ViewfinderParameter
//QCameraViewfinderSettingsControl::ViewfinderParameter
type QCameraViewfinderSettingsControl__ViewfinderParameter int64

const (
	QCameraViewfinderSettingsControl__Resolution       QCameraViewfinderSettingsControl__ViewfinderParameter = QCameraViewfinderSettingsControl__ViewfinderParameter(0)
	QCameraViewfinderSettingsControl__PixelAspectRatio QCameraViewfinderSettingsControl__ViewfinderParameter = QCameraViewfinderSettingsControl__ViewfinderParameter(1)
	QCameraViewfinderSettingsControl__MinimumFrameRate QCameraViewfinderSettingsControl__ViewfinderParameter = QCameraViewfinderSettingsControl__ViewfinderParameter(2)
	QCameraViewfinderSettingsControl__MaximumFrameRate QCameraViewfinderSettingsControl__ViewfinderParameter = QCameraViewfinderSettingsControl__ViewfinderParameter(3)
	QCameraViewfinderSettingsControl__PixelFormat      QCameraViewfinderSettingsControl__ViewfinderParameter = QCameraViewfinderSettingsControl__ViewfinderParameter(4)
	QCameraViewfinderSettingsControl__UserParameter    QCameraViewfinderSettingsControl__ViewfinderParameter = QCameraViewfinderSettingsControl__ViewfinderParameter(1000)
)

func NewQCameraViewfinderSettingsControl(parent core.QObject_ITF) *QCameraViewfinderSettingsControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraViewfinderSettingsControl", "", parent}).(*QCameraViewfinderSettingsControl)
}

func (ptr *QCameraViewfinderSettingsControl) ConnectIsViewfinderParameterSupported(f func(parameter QCameraViewfinderSettingsControl__ViewfinderParameter) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsViewfinderParameterSupported", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraViewfinderSettingsControl) DisconnectIsViewfinderParameterSupported() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsViewfinderParameterSupported"})
}

func (ptr *QCameraViewfinderSettingsControl) IsViewfinderParameterSupported(parameter QCameraViewfinderSettingsControl__ViewfinderParameter) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsViewfinderParameterSupported", parameter}).(bool)
}

func (ptr *QCameraViewfinderSettingsControl) ConnectSetViewfinderParameter(f func(parameter QCameraViewfinderSettingsControl__ViewfinderParameter, value *core.QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetViewfinderParameter", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraViewfinderSettingsControl) DisconnectSetViewfinderParameter() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetViewfinderParameter"})
}

func (ptr *QCameraViewfinderSettingsControl) SetViewfinderParameter(parameter QCameraViewfinderSettingsControl__ViewfinderParameter, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewfinderParameter", parameter, value})
}

func (ptr *QCameraViewfinderSettingsControl) ConnectViewfinderParameter(f func(parameter QCameraViewfinderSettingsControl__ViewfinderParameter) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectViewfinderParameter", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraViewfinderSettingsControl) DisconnectViewfinderParameter() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectViewfinderParameter"})
}

func (ptr *QCameraViewfinderSettingsControl) ViewfinderParameter(parameter QCameraViewfinderSettingsControl__ViewfinderParameter) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewfinderParameter", parameter}).(*core.QVariant)
}

func (ptr *QCameraViewfinderSettingsControl) ConnectDestroyQCameraViewfinderSettingsControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCameraViewfinderSettingsControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraViewfinderSettingsControl) DisconnectDestroyQCameraViewfinderSettingsControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCameraViewfinderSettingsControl"})
}

func (ptr *QCameraViewfinderSettingsControl) DestroyQCameraViewfinderSettingsControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraViewfinderSettingsControl"})
}

func (ptr *QCameraViewfinderSettingsControl) DestroyQCameraViewfinderSettingsControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraViewfinderSettingsControlDefault"})
}

type QCameraViewfinderSettingsControl2 struct {
	QMediaControl
}

type QCameraViewfinderSettingsControl2_ITF interface {
	QMediaControl_ITF
	QCameraViewfinderSettingsControl2_PTR() *QCameraViewfinderSettingsControl2
}

func (ptr *QCameraViewfinderSettingsControl2) QCameraViewfinderSettingsControl2_PTR() *QCameraViewfinderSettingsControl2 {
	return ptr
}

func (ptr *QCameraViewfinderSettingsControl2) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraViewfinderSettingsControl2) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCameraViewfinderSettingsControl2(ptr QCameraViewfinderSettingsControl2_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraViewfinderSettingsControl2_PTR().Pointer()
	}
	return nil
}

func (n *QCameraViewfinderSettingsControl2) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraViewfinderSettingsControl2) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCameraViewfinderSettingsControl2FromPointer(ptr unsafe.Pointer) (n *QCameraViewfinderSettingsControl2) {
	n = new(QCameraViewfinderSettingsControl2)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraViewfinderSettingsControl2")
	return
}
func NewQCameraViewfinderSettingsControl2(parent core.QObject_ITF) *QCameraViewfinderSettingsControl2 {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraViewfinderSettingsControl2", "", parent}).(*QCameraViewfinderSettingsControl2)
}

func (ptr *QCameraViewfinderSettingsControl2) ConnectSetViewfinderSettings(f func(settings *QCameraViewfinderSettings)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetViewfinderSettings", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraViewfinderSettingsControl2) DisconnectSetViewfinderSettings() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetViewfinderSettings"})
}

func (ptr *QCameraViewfinderSettingsControl2) SetViewfinderSettings(settings QCameraViewfinderSettings_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewfinderSettings", settings})
}

func (ptr *QCameraViewfinderSettingsControl2) ConnectSupportedViewfinderSettings(f func() []*QCameraViewfinderSettings) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedViewfinderSettings", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraViewfinderSettingsControl2) DisconnectSupportedViewfinderSettings() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedViewfinderSettings"})
}

func (ptr *QCameraViewfinderSettingsControl2) SupportedViewfinderSettings() []*QCameraViewfinderSettings {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedViewfinderSettings"}).([]*QCameraViewfinderSettings)
}

func (ptr *QCameraViewfinderSettingsControl2) ConnectViewfinderSettings(f func() *QCameraViewfinderSettings) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectViewfinderSettings", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraViewfinderSettingsControl2) DisconnectViewfinderSettings() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectViewfinderSettings"})
}

func (ptr *QCameraViewfinderSettingsControl2) ViewfinderSettings() *QCameraViewfinderSettings {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewfinderSettings"}).(*QCameraViewfinderSettings)
}

func (ptr *QCameraViewfinderSettingsControl2) ConnectDestroyQCameraViewfinderSettingsControl2(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCameraViewfinderSettingsControl2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraViewfinderSettingsControl2) DisconnectDestroyQCameraViewfinderSettingsControl2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCameraViewfinderSettingsControl2"})
}

func (ptr *QCameraViewfinderSettingsControl2) DestroyQCameraViewfinderSettingsControl2() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraViewfinderSettingsControl2"})
}

func (ptr *QCameraViewfinderSettingsControl2) DestroyQCameraViewfinderSettingsControl2Default() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraViewfinderSettingsControl2Default"})
}

func (ptr *QCameraViewfinderSettingsControl2) __supportedViewfinderSettings_atList(i int) *QCameraViewfinderSettings {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedViewfinderSettings_atList", i}).(*QCameraViewfinderSettings)
}

func (ptr *QCameraViewfinderSettingsControl2) __supportedViewfinderSettings_setList(i QCameraViewfinderSettings_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedViewfinderSettings_setList", i})
}

func (ptr *QCameraViewfinderSettingsControl2) __supportedViewfinderSettings_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedViewfinderSettings_newList"}).(unsafe.Pointer)
}

type QCameraZoomControl struct {
	QMediaControl
}

type QCameraZoomControl_ITF interface {
	QMediaControl_ITF
	QCameraZoomControl_PTR() *QCameraZoomControl
}

func (ptr *QCameraZoomControl) QCameraZoomControl_PTR() *QCameraZoomControl {
	return ptr
}

func (ptr *QCameraZoomControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCameraZoomControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCameraZoomControl(ptr QCameraZoomControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraZoomControl_PTR().Pointer()
	}
	return nil
}

func (n *QCameraZoomControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCameraZoomControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCameraZoomControlFromPointer(ptr unsafe.Pointer) (n *QCameraZoomControl) {
	n = new(QCameraZoomControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCameraZoomControl")
	return
}
func NewQCameraZoomControl(parent core.QObject_ITF) *QCameraZoomControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCameraZoomControl", "", parent}).(*QCameraZoomControl)
}

func (ptr *QCameraZoomControl) ConnectCurrentDigitalZoom(f func() float64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentDigitalZoom", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraZoomControl) DisconnectCurrentDigitalZoom() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentDigitalZoom"})
}

func (ptr *QCameraZoomControl) CurrentDigitalZoom() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentDigitalZoom"}).(float64)
}

func (ptr *QCameraZoomControl) ConnectCurrentDigitalZoomChanged(f func(zoom float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentDigitalZoomChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraZoomControl) DisconnectCurrentDigitalZoomChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentDigitalZoomChanged"})
}

func (ptr *QCameraZoomControl) CurrentDigitalZoomChanged(zoom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentDigitalZoomChanged", zoom})
}

func (ptr *QCameraZoomControl) ConnectCurrentOpticalZoom(f func() float64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentOpticalZoom", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraZoomControl) DisconnectCurrentOpticalZoom() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentOpticalZoom"})
}

func (ptr *QCameraZoomControl) CurrentOpticalZoom() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentOpticalZoom"}).(float64)
}

func (ptr *QCameraZoomControl) ConnectCurrentOpticalZoomChanged(f func(zoom float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentOpticalZoomChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraZoomControl) DisconnectCurrentOpticalZoomChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentOpticalZoomChanged"})
}

func (ptr *QCameraZoomControl) CurrentOpticalZoomChanged(zoom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentOpticalZoomChanged", zoom})
}

func (ptr *QCameraZoomControl) ConnectMaximumDigitalZoom(f func() float64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMaximumDigitalZoom", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraZoomControl) DisconnectMaximumDigitalZoom() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMaximumDigitalZoom"})
}

func (ptr *QCameraZoomControl) MaximumDigitalZoom() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumDigitalZoom"}).(float64)
}

func (ptr *QCameraZoomControl) ConnectMaximumDigitalZoomChanged(f func(zoom float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMaximumDigitalZoomChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraZoomControl) DisconnectMaximumDigitalZoomChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMaximumDigitalZoomChanged"})
}

func (ptr *QCameraZoomControl) MaximumDigitalZoomChanged(zoom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumDigitalZoomChanged", zoom})
}

func (ptr *QCameraZoomControl) ConnectMaximumOpticalZoom(f func() float64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMaximumOpticalZoom", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraZoomControl) DisconnectMaximumOpticalZoom() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMaximumOpticalZoom"})
}

func (ptr *QCameraZoomControl) MaximumOpticalZoom() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumOpticalZoom"}).(float64)
}

func (ptr *QCameraZoomControl) ConnectMaximumOpticalZoomChanged(f func(zoom float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMaximumOpticalZoomChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraZoomControl) DisconnectMaximumOpticalZoomChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMaximumOpticalZoomChanged"})
}

func (ptr *QCameraZoomControl) MaximumOpticalZoomChanged(zoom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumOpticalZoomChanged", zoom})
}

func (ptr *QCameraZoomControl) ConnectRequestedDigitalZoom(f func() float64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRequestedDigitalZoom", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraZoomControl) DisconnectRequestedDigitalZoom() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRequestedDigitalZoom"})
}

func (ptr *QCameraZoomControl) RequestedDigitalZoom() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestedDigitalZoom"}).(float64)
}

func (ptr *QCameraZoomControl) ConnectRequestedDigitalZoomChanged(f func(zoom float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRequestedDigitalZoomChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraZoomControl) DisconnectRequestedDigitalZoomChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRequestedDigitalZoomChanged"})
}

func (ptr *QCameraZoomControl) RequestedDigitalZoomChanged(zoom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestedDigitalZoomChanged", zoom})
}

func (ptr *QCameraZoomControl) ConnectRequestedOpticalZoom(f func() float64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRequestedOpticalZoom", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraZoomControl) DisconnectRequestedOpticalZoom() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRequestedOpticalZoom"})
}

func (ptr *QCameraZoomControl) RequestedOpticalZoom() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestedOpticalZoom"}).(float64)
}

func (ptr *QCameraZoomControl) ConnectRequestedOpticalZoomChanged(f func(zoom float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRequestedOpticalZoomChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraZoomControl) DisconnectRequestedOpticalZoomChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRequestedOpticalZoomChanged"})
}

func (ptr *QCameraZoomControl) RequestedOpticalZoomChanged(zoom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestedOpticalZoomChanged", zoom})
}

func (ptr *QCameraZoomControl) ConnectZoomTo(f func(optical float64, digital float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectZoomTo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraZoomControl) DisconnectZoomTo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectZoomTo"})
}

func (ptr *QCameraZoomControl) ZoomTo(optical float64, digital float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ZoomTo", optical, digital})
}

func (ptr *QCameraZoomControl) ConnectDestroyQCameraZoomControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCameraZoomControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCameraZoomControl) DisconnectDestroyQCameraZoomControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCameraZoomControl"})
}

func (ptr *QCameraZoomControl) DestroyQCameraZoomControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraZoomControl"})
}

func (ptr *QCameraZoomControl) DestroyQCameraZoomControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCameraZoomControlDefault"})
}

type QCustomAudioRoleControl struct {
	QMediaControl
}

type QCustomAudioRoleControl_ITF interface {
	QMediaControl_ITF
	QCustomAudioRoleControl_PTR() *QCustomAudioRoleControl
}

func (ptr *QCustomAudioRoleControl) QCustomAudioRoleControl_PTR() *QCustomAudioRoleControl {
	return ptr
}

func (ptr *QCustomAudioRoleControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QCustomAudioRoleControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQCustomAudioRoleControl(ptr QCustomAudioRoleControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCustomAudioRoleControl_PTR().Pointer()
	}
	return nil
}

func (n *QCustomAudioRoleControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCustomAudioRoleControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQCustomAudioRoleControlFromPointer(ptr unsafe.Pointer) (n *QCustomAudioRoleControl) {
	n = new(QCustomAudioRoleControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QCustomAudioRoleControl")
	return
}
func NewQCustomAudioRoleControl(parent core.QObject_ITF) *QCustomAudioRoleControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQCustomAudioRoleControl", "", parent}).(*QCustomAudioRoleControl)
}

func (ptr *QCustomAudioRoleControl) ConnectCustomAudioRole(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCustomAudioRole", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCustomAudioRoleControl) DisconnectCustomAudioRole() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCustomAudioRole"})
}

func (ptr *QCustomAudioRoleControl) CustomAudioRole() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomAudioRole"}).(string)
}

func (ptr *QCustomAudioRoleControl) ConnectCustomAudioRoleChanged(f func(role string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCustomAudioRoleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCustomAudioRoleControl) DisconnectCustomAudioRoleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCustomAudioRoleChanged"})
}

func (ptr *QCustomAudioRoleControl) CustomAudioRoleChanged(role string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomAudioRoleChanged", role})
}

func (ptr *QCustomAudioRoleControl) ConnectSetCustomAudioRole(f func(role string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCustomAudioRole", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCustomAudioRoleControl) DisconnectSetCustomAudioRole() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCustomAudioRole"})
}

func (ptr *QCustomAudioRoleControl) SetCustomAudioRole(role string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCustomAudioRole", role})
}

func (ptr *QCustomAudioRoleControl) ConnectSupportedCustomAudioRoles(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedCustomAudioRoles", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCustomAudioRoleControl) DisconnectSupportedCustomAudioRoles() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedCustomAudioRoles"})
}

func (ptr *QCustomAudioRoleControl) SupportedCustomAudioRoles() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedCustomAudioRoles"}).([]string)
}

func (ptr *QCustomAudioRoleControl) ConnectDestroyQCustomAudioRoleControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCustomAudioRoleControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCustomAudioRoleControl) DisconnectDestroyQCustomAudioRoleControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCustomAudioRoleControl"})
}

func (ptr *QCustomAudioRoleControl) DestroyQCustomAudioRoleControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCustomAudioRoleControl"})
}

func (ptr *QCustomAudioRoleControl) DestroyQCustomAudioRoleControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCustomAudioRoleControlDefault"})
}

type QGStreamerAvailabilityControl struct {
	QMediaAvailabilityControl
}

type QGStreamerAvailabilityControl_ITF interface {
	QMediaAvailabilityControl_ITF
	QGStreamerAvailabilityControl_PTR() *QGStreamerAvailabilityControl
}

func (ptr *QGStreamerAvailabilityControl) QGStreamerAvailabilityControl_PTR() *QGStreamerAvailabilityControl {
	return ptr
}

func (ptr *QGStreamerAvailabilityControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaAvailabilityControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QGStreamerAvailabilityControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaAvailabilityControl_PTR().SetPointer(p)
	}
}

func PointerFromQGStreamerAvailabilityControl(ptr QGStreamerAvailabilityControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGStreamerAvailabilityControl_PTR().Pointer()
	}
	return nil
}

func (n *QGStreamerAvailabilityControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaAvailabilityControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGStreamerAvailabilityControl) ClassNameInternalF() string {
	return n.QMediaAvailabilityControl_PTR().ClassNameInternalF()
}

func NewQGStreamerAvailabilityControlFromPointer(ptr unsafe.Pointer) (n *QGStreamerAvailabilityControl) {
	n = new(QGStreamerAvailabilityControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGStreamerAvailabilityControl")
	return
}

func (ptr *QGStreamerAvailabilityControl) DestroyQGStreamerAvailabilityControl() {
}

type QGstreamerAudioDecoderControl struct {
	QAudioDecoderControl
}

type QGstreamerAudioDecoderControl_ITF interface {
	QAudioDecoderControl_ITF
	QGstreamerAudioDecoderControl_PTR() *QGstreamerAudioDecoderControl
}

func (ptr *QGstreamerAudioDecoderControl) QGstreamerAudioDecoderControl_PTR() *QGstreamerAudioDecoderControl {
	return ptr
}

func (ptr *QGstreamerAudioDecoderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioDecoderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerAudioDecoderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioDecoderControl_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerAudioDecoderControl(ptr QGstreamerAudioDecoderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerAudioDecoderControl_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerAudioDecoderControl) InitFromInternal(ptr uintptr, name string) {
	n.QAudioDecoderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerAudioDecoderControl) ClassNameInternalF() string {
	return n.QAudioDecoderControl_PTR().ClassNameInternalF()
}

func NewQGstreamerAudioDecoderControlFromPointer(ptr unsafe.Pointer) (n *QGstreamerAudioDecoderControl) {
	n = new(QGstreamerAudioDecoderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerAudioDecoderControl")
	return
}

func (ptr *QGstreamerAudioDecoderControl) DestroyQGstreamerAudioDecoderControl() {
}

type QGstreamerAudioDecoderService struct {
	QMediaService
}

type QGstreamerAudioDecoderService_ITF interface {
	QMediaService_ITF
	QGstreamerAudioDecoderService_PTR() *QGstreamerAudioDecoderService
}

func (ptr *QGstreamerAudioDecoderService) QGstreamerAudioDecoderService_PTR() *QGstreamerAudioDecoderService {
	return ptr
}

func (ptr *QGstreamerAudioDecoderService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerAudioDecoderService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerAudioDecoderService(ptr QGstreamerAudioDecoderService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerAudioDecoderService_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerAudioDecoderService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerAudioDecoderService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewQGstreamerAudioDecoderServiceFromPointer(ptr unsafe.Pointer) (n *QGstreamerAudioDecoderService) {
	n = new(QGstreamerAudioDecoderService)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerAudioDecoderService")
	return
}

func (ptr *QGstreamerAudioDecoderService) DestroyQGstreamerAudioDecoderService() {
}

type QGstreamerAudioDecoderServicePlugin struct {
	QMediaServiceProviderPlugin
	QMediaServiceSupportedFormatsInterface
}

type QGstreamerAudioDecoderServicePlugin_ITF interface {
	QMediaServiceProviderPlugin_ITF
	QMediaServiceSupportedFormatsInterface_ITF
	QGstreamerAudioDecoderServicePlugin_PTR() *QGstreamerAudioDecoderServicePlugin
}

func (ptr *QGstreamerAudioDecoderServicePlugin) QGstreamerAudioDecoderServicePlugin_PTR() *QGstreamerAudioDecoderServicePlugin {
	return ptr
}

func (ptr *QGstreamerAudioDecoderServicePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceProviderPlugin_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerAudioDecoderServicePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaServiceProviderPlugin_PTR().SetPointer(p)
		ptr.QMediaServiceSupportedFormatsInterface_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerAudioDecoderServicePlugin(ptr QGstreamerAudioDecoderServicePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerAudioDecoderServicePlugin_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerAudioDecoderServicePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QMediaServiceProviderPlugin_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceSupportedFormatsInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerAudioDecoderServicePlugin) ClassNameInternalF() string {
	return n.QMediaServiceProviderPlugin_PTR().ClassNameInternalF()
}

func NewQGstreamerAudioDecoderServicePluginFromPointer(ptr unsafe.Pointer) (n *QGstreamerAudioDecoderServicePlugin) {
	n = new(QGstreamerAudioDecoderServicePlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerAudioDecoderServicePlugin")
	return
}

func (ptr *QGstreamerAudioDecoderServicePlugin) DestroyQGstreamerAudioDecoderServicePlugin() {
}

type QGstreamerAudioDecoderSession struct {
	core.QObject
}

type QGstreamerAudioDecoderSession_ITF interface {
	core.QObject_ITF
	QGstreamerAudioDecoderSession_PTR() *QGstreamerAudioDecoderSession
}

func (ptr *QGstreamerAudioDecoderSession) QGstreamerAudioDecoderSession_PTR() *QGstreamerAudioDecoderSession {
	return ptr
}

func (ptr *QGstreamerAudioDecoderSession) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerAudioDecoderSession) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerAudioDecoderSession(ptr QGstreamerAudioDecoderSession_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerAudioDecoderSession_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerAudioDecoderSession) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerAudioDecoderSession) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQGstreamerAudioDecoderSessionFromPointer(ptr unsafe.Pointer) (n *QGstreamerAudioDecoderSession) {
	n = new(QGstreamerAudioDecoderSession)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerAudioDecoderSession")
	return
}

func (ptr *QGstreamerAudioDecoderSession) DestroyQGstreamerAudioDecoderSession() {
}

type QGstreamerAudioEncode struct {
	QAudioEncoderSettingsControl
}

type QGstreamerAudioEncode_ITF interface {
	QAudioEncoderSettingsControl_ITF
	QGstreamerAudioEncode_PTR() *QGstreamerAudioEncode
}

func (ptr *QGstreamerAudioEncode) QGstreamerAudioEncode_PTR() *QGstreamerAudioEncode {
	return ptr
}

func (ptr *QGstreamerAudioEncode) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerAudioEncode) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioEncoderSettingsControl_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerAudioEncode(ptr QGstreamerAudioEncode_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerAudioEncode_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerAudioEncode) InitFromInternal(ptr uintptr, name string) {
	n.QAudioEncoderSettingsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerAudioEncode) ClassNameInternalF() string {
	return n.QAudioEncoderSettingsControl_PTR().ClassNameInternalF()
}

func NewQGstreamerAudioEncodeFromPointer(ptr unsafe.Pointer) (n *QGstreamerAudioEncode) {
	n = new(QGstreamerAudioEncode)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerAudioEncode")
	return
}

func (ptr *QGstreamerAudioEncode) DestroyQGstreamerAudioEncode() {
}

type QGstreamerCameraControl struct {
	QCameraControl
}

type QGstreamerCameraControl_ITF interface {
	QCameraControl_ITF
	QGstreamerCameraControl_PTR() *QGstreamerCameraControl
}

func (ptr *QGstreamerCameraControl) QGstreamerCameraControl_PTR() *QGstreamerCameraControl {
	return ptr
}

func (ptr *QGstreamerCameraControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerCameraControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraControl_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerCameraControl(ptr QGstreamerCameraControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerCameraControl_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerCameraControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerCameraControl) ClassNameInternalF() string {
	return n.QCameraControl_PTR().ClassNameInternalF()
}

func NewQGstreamerCameraControlFromPointer(ptr unsafe.Pointer) (n *QGstreamerCameraControl) {
	n = new(QGstreamerCameraControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerCameraControl")
	return
}

func (ptr *QGstreamerCameraControl) DestroyQGstreamerCameraControl() {
}

type QGstreamerCaptureMetaDataControl struct {
	QMetaDataWriterControl
}

type QGstreamerCaptureMetaDataControl_ITF interface {
	QMetaDataWriterControl_ITF
	QGstreamerCaptureMetaDataControl_PTR() *QGstreamerCaptureMetaDataControl
}

func (ptr *QGstreamerCaptureMetaDataControl) QGstreamerCaptureMetaDataControl_PTR() *QGstreamerCaptureMetaDataControl {
	return ptr
}

func (ptr *QGstreamerCaptureMetaDataControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaDataWriterControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerCaptureMetaDataControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMetaDataWriterControl_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerCaptureMetaDataControl(ptr QGstreamerCaptureMetaDataControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerCaptureMetaDataControl_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerCaptureMetaDataControl) InitFromInternal(ptr uintptr, name string) {
	n.QMetaDataWriterControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerCaptureMetaDataControl) ClassNameInternalF() string {
	return n.QMetaDataWriterControl_PTR().ClassNameInternalF()
}

func NewQGstreamerCaptureMetaDataControlFromPointer(ptr unsafe.Pointer) (n *QGstreamerCaptureMetaDataControl) {
	n = new(QGstreamerCaptureMetaDataControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerCaptureMetaDataControl")
	return
}

func (ptr *QGstreamerCaptureMetaDataControl) DestroyQGstreamerCaptureMetaDataControl() {
}

type QGstreamerCaptureService struct {
	QMediaService
}

type QGstreamerCaptureService_ITF interface {
	QMediaService_ITF
	QGstreamerCaptureService_PTR() *QGstreamerCaptureService
}

func (ptr *QGstreamerCaptureService) QGstreamerCaptureService_PTR() *QGstreamerCaptureService {
	return ptr
}

func (ptr *QGstreamerCaptureService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerCaptureService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerCaptureService(ptr QGstreamerCaptureService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerCaptureService_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerCaptureService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerCaptureService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewQGstreamerCaptureServiceFromPointer(ptr unsafe.Pointer) (n *QGstreamerCaptureService) {
	n = new(QGstreamerCaptureService)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerCaptureService")
	return
}

func (ptr *QGstreamerCaptureService) DestroyQGstreamerCaptureService() {
}

type QGstreamerCaptureServicePlugin struct {
	QMediaServiceProviderPlugin
	QMediaServiceSupportedFormatsInterface
}

type QGstreamerCaptureServicePlugin_ITF interface {
	QMediaServiceProviderPlugin_ITF
	QMediaServiceSupportedFormatsInterface_ITF
	QGstreamerCaptureServicePlugin_PTR() *QGstreamerCaptureServicePlugin
}

func (ptr *QGstreamerCaptureServicePlugin) QGstreamerCaptureServicePlugin_PTR() *QGstreamerCaptureServicePlugin {
	return ptr
}

func (ptr *QGstreamerCaptureServicePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceProviderPlugin_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerCaptureServicePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaServiceProviderPlugin_PTR().SetPointer(p)
		ptr.QMediaServiceSupportedFormatsInterface_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerCaptureServicePlugin(ptr QGstreamerCaptureServicePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerCaptureServicePlugin_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerCaptureServicePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QMediaServiceProviderPlugin_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceSupportedFormatsInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerCaptureServicePlugin) ClassNameInternalF() string {
	return n.QMediaServiceProviderPlugin_PTR().ClassNameInternalF()
}

func NewQGstreamerCaptureServicePluginFromPointer(ptr unsafe.Pointer) (n *QGstreamerCaptureServicePlugin) {
	n = new(QGstreamerCaptureServicePlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerCaptureServicePlugin")
	return
}

func (ptr *QGstreamerCaptureServicePlugin) DestroyQGstreamerCaptureServicePlugin() {
}

type QGstreamerCaptureSession struct {
	core.QObject
}

type QGstreamerCaptureSession_ITF interface {
	core.QObject_ITF
	QGstreamerCaptureSession_PTR() *QGstreamerCaptureSession
}

func (ptr *QGstreamerCaptureSession) QGstreamerCaptureSession_PTR() *QGstreamerCaptureSession {
	return ptr
}

func (ptr *QGstreamerCaptureSession) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerCaptureSession) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerCaptureSession(ptr QGstreamerCaptureSession_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerCaptureSession_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerCaptureSession) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerCaptureSession) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQGstreamerCaptureSessionFromPointer(ptr unsafe.Pointer) (n *QGstreamerCaptureSession) {
	n = new(QGstreamerCaptureSession)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerCaptureSession")
	return
}

func (ptr *QGstreamerCaptureSession) DestroyQGstreamerCaptureSession() {
}

type QGstreamerElementFactory struct {
	internal.Internal
}

type QGstreamerElementFactory_ITF interface {
	QGstreamerElementFactory_PTR() *QGstreamerElementFactory
}

func (ptr *QGstreamerElementFactory) QGstreamerElementFactory_PTR() *QGstreamerElementFactory {
	return ptr
}

func (ptr *QGstreamerElementFactory) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QGstreamerElementFactory) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQGstreamerElementFactory(ptr QGstreamerElementFactory_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerElementFactory_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerElementFactory) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQGstreamerElementFactoryFromPointer(ptr unsafe.Pointer) (n *QGstreamerElementFactory) {
	n = new(QGstreamerElementFactory)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerElementFactory")
	return
}

func (ptr *QGstreamerElementFactory) DestroyQGstreamerElementFactory() {
}

type QGstreamerImageCaptureControl struct {
	QCameraImageCaptureControl
}

type QGstreamerImageCaptureControl_ITF interface {
	QCameraImageCaptureControl_ITF
	QGstreamerImageCaptureControl_PTR() *QGstreamerImageCaptureControl
}

func (ptr *QGstreamerImageCaptureControl) QGstreamerImageCaptureControl_PTR() *QGstreamerImageCaptureControl {
	return ptr
}

func (ptr *QGstreamerImageCaptureControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageCaptureControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerImageCaptureControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraImageCaptureControl_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerImageCaptureControl(ptr QGstreamerImageCaptureControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerImageCaptureControl_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerImageCaptureControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraImageCaptureControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerImageCaptureControl) ClassNameInternalF() string {
	return n.QCameraImageCaptureControl_PTR().ClassNameInternalF()
}

func NewQGstreamerImageCaptureControlFromPointer(ptr unsafe.Pointer) (n *QGstreamerImageCaptureControl) {
	n = new(QGstreamerImageCaptureControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerImageCaptureControl")
	return
}

func (ptr *QGstreamerImageCaptureControl) DestroyQGstreamerImageCaptureControl() {
}

type QGstreamerImageEncode struct {
	QImageEncoderControl
}

type QGstreamerImageEncode_ITF interface {
	QImageEncoderControl_ITF
	QGstreamerImageEncode_PTR() *QGstreamerImageEncode
}

func (ptr *QGstreamerImageEncode) QGstreamerImageEncode_PTR() *QGstreamerImageEncode {
	return ptr
}

func (ptr *QGstreamerImageEncode) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QImageEncoderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerImageEncode) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QImageEncoderControl_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerImageEncode(ptr QGstreamerImageEncode_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerImageEncode_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerImageEncode) InitFromInternal(ptr uintptr, name string) {
	n.QImageEncoderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerImageEncode) ClassNameInternalF() string {
	return n.QImageEncoderControl_PTR().ClassNameInternalF()
}

func NewQGstreamerImageEncodeFromPointer(ptr unsafe.Pointer) (n *QGstreamerImageEncode) {
	n = new(QGstreamerImageEncode)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerImageEncode")
	return
}

func (ptr *QGstreamerImageEncode) DestroyQGstreamerImageEncode() {
}

type QGstreamerMediaContainerControl struct {
	QMediaContainerControl
}

type QGstreamerMediaContainerControl_ITF interface {
	QMediaContainerControl_ITF
	QGstreamerMediaContainerControl_PTR() *QGstreamerMediaContainerControl
}

func (ptr *QGstreamerMediaContainerControl) QGstreamerMediaContainerControl_PTR() *QGstreamerMediaContainerControl {
	return ptr
}

func (ptr *QGstreamerMediaContainerControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaContainerControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerMediaContainerControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaContainerControl_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerMediaContainerControl(ptr QGstreamerMediaContainerControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerMediaContainerControl_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerMediaContainerControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaContainerControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerMediaContainerControl) ClassNameInternalF() string {
	return n.QMediaContainerControl_PTR().ClassNameInternalF()
}

func NewQGstreamerMediaContainerControlFromPointer(ptr unsafe.Pointer) (n *QGstreamerMediaContainerControl) {
	n = new(QGstreamerMediaContainerControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerMediaContainerControl")
	return
}

func (ptr *QGstreamerMediaContainerControl) DestroyQGstreamerMediaContainerControl() {
}

type QGstreamerMetaDataProvider struct {
	QMetaDataReaderControl
}

type QGstreamerMetaDataProvider_ITF interface {
	QMetaDataReaderControl_ITF
	QGstreamerMetaDataProvider_PTR() *QGstreamerMetaDataProvider
}

func (ptr *QGstreamerMetaDataProvider) QGstreamerMetaDataProvider_PTR() *QGstreamerMetaDataProvider {
	return ptr
}

func (ptr *QGstreamerMetaDataProvider) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaDataReaderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerMetaDataProvider) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMetaDataReaderControl_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerMetaDataProvider(ptr QGstreamerMetaDataProvider_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerMetaDataProvider_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerMetaDataProvider) InitFromInternal(ptr uintptr, name string) {
	n.QMetaDataReaderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerMetaDataProvider) ClassNameInternalF() string {
	return n.QMetaDataReaderControl_PTR().ClassNameInternalF()
}

func NewQGstreamerMetaDataProviderFromPointer(ptr unsafe.Pointer) (n *QGstreamerMetaDataProvider) {
	n = new(QGstreamerMetaDataProvider)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerMetaDataProvider")
	return
}

func (ptr *QGstreamerMetaDataProvider) DestroyQGstreamerMetaDataProvider() {
}

type QGstreamerPlayerService struct {
	QMediaService
}

type QGstreamerPlayerService_ITF interface {
	QMediaService_ITF
	QGstreamerPlayerService_PTR() *QGstreamerPlayerService
}

func (ptr *QGstreamerPlayerService) QGstreamerPlayerService_PTR() *QGstreamerPlayerService {
	return ptr
}

func (ptr *QGstreamerPlayerService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerPlayerService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerPlayerService(ptr QGstreamerPlayerService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerPlayerService_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerPlayerService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerPlayerService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewQGstreamerPlayerServiceFromPointer(ptr unsafe.Pointer) (n *QGstreamerPlayerService) {
	n = new(QGstreamerPlayerService)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerPlayerService")
	return
}

func (ptr *QGstreamerPlayerService) DestroyQGstreamerPlayerService() {
}

type QGstreamerPlayerServicePlugin struct {
	QMediaServiceFeaturesInterface
	QMediaServiceProviderPlugin
	QMediaServiceSupportedFormatsInterface
}

type QGstreamerPlayerServicePlugin_ITF interface {
	QMediaServiceFeaturesInterface_ITF
	QMediaServiceProviderPlugin_ITF
	QMediaServiceSupportedFormatsInterface_ITF
	QGstreamerPlayerServicePlugin_PTR() *QGstreamerPlayerServicePlugin
}

func (ptr *QGstreamerPlayerServicePlugin) QGstreamerPlayerServicePlugin_PTR() *QGstreamerPlayerServicePlugin {
	return ptr
}

func (ptr *QGstreamerPlayerServicePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceFeaturesInterface_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerPlayerServicePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaServiceFeaturesInterface_PTR().SetPointer(p)
		ptr.QMediaServiceProviderPlugin_PTR().SetPointer(p)
		ptr.QMediaServiceSupportedFormatsInterface_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerPlayerServicePlugin(ptr QGstreamerPlayerServicePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerPlayerServicePlugin_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerPlayerServicePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QMediaServiceFeaturesInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceProviderPlugin_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceSupportedFormatsInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerPlayerServicePlugin) ClassNameInternalF() string {
	return n.QMediaServiceFeaturesInterface_PTR().ClassNameInternalF()
}

func NewQGstreamerPlayerServicePluginFromPointer(ptr unsafe.Pointer) (n *QGstreamerPlayerServicePlugin) {
	n = new(QGstreamerPlayerServicePlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerPlayerServicePlugin")
	return
}

func (ptr *QGstreamerPlayerServicePlugin) DestroyQGstreamerPlayerServicePlugin() {
}

type QGstreamerRecorderControl struct {
	QMediaRecorderControl
}

type QGstreamerRecorderControl_ITF interface {
	QMediaRecorderControl_ITF
	QGstreamerRecorderControl_PTR() *QGstreamerRecorderControl
}

func (ptr *QGstreamerRecorderControl) QGstreamerRecorderControl_PTR() *QGstreamerRecorderControl {
	return ptr
}

func (ptr *QGstreamerRecorderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaRecorderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerRecorderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaRecorderControl_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerRecorderControl(ptr QGstreamerRecorderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerRecorderControl_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerRecorderControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaRecorderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerRecorderControl) ClassNameInternalF() string {
	return n.QMediaRecorderControl_PTR().ClassNameInternalF()
}

func NewQGstreamerRecorderControlFromPointer(ptr unsafe.Pointer) (n *QGstreamerRecorderControl) {
	n = new(QGstreamerRecorderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerRecorderControl")
	return
}

func (ptr *QGstreamerRecorderControl) DestroyQGstreamerRecorderControl() {
}

type QGstreamerStreamsControl struct {
	QMediaStreamsControl
}

type QGstreamerStreamsControl_ITF interface {
	QMediaStreamsControl_ITF
	QGstreamerStreamsControl_PTR() *QGstreamerStreamsControl
}

func (ptr *QGstreamerStreamsControl) QGstreamerStreamsControl_PTR() *QGstreamerStreamsControl {
	return ptr
}

func (ptr *QGstreamerStreamsControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaStreamsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerStreamsControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaStreamsControl_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerStreamsControl(ptr QGstreamerStreamsControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerStreamsControl_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerStreamsControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaStreamsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerStreamsControl) ClassNameInternalF() string {
	return n.QMediaStreamsControl_PTR().ClassNameInternalF()
}

func NewQGstreamerStreamsControlFromPointer(ptr unsafe.Pointer) (n *QGstreamerStreamsControl) {
	n = new(QGstreamerStreamsControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerStreamsControl")
	return
}

func (ptr *QGstreamerStreamsControl) DestroyQGstreamerStreamsControl() {
}

type QGstreamerV4L2Input struct {
	QGstreamerVideoInput
	core.QObject
}

type QGstreamerV4L2Input_ITF interface {
	QGstreamerVideoInput_ITF
	core.QObject_ITF
	QGstreamerV4L2Input_PTR() *QGstreamerV4L2Input
}

func (ptr *QGstreamerV4L2Input) QGstreamerV4L2Input_PTR() *QGstreamerV4L2Input {
	return ptr
}

func (ptr *QGstreamerV4L2Input) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerVideoInput_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerV4L2Input) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGstreamerVideoInput_PTR().SetPointer(p)
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerV4L2Input(ptr QGstreamerV4L2Input_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerV4L2Input_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerV4L2Input) InitFromInternal(ptr uintptr, name string) {
	n.QGstreamerVideoInput_PTR().InitFromInternal(uintptr(ptr), name)
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerV4L2Input) ClassNameInternalF() string {
	return n.QGstreamerVideoInput_PTR().ClassNameInternalF()
}

func NewQGstreamerV4L2InputFromPointer(ptr unsafe.Pointer) (n *QGstreamerV4L2Input) {
	n = new(QGstreamerV4L2Input)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerV4L2Input")
	return
}

func (ptr *QGstreamerV4L2Input) DestroyQGstreamerV4L2Input() {
}

type QGstreamerVideoEncode struct {
	QVideoEncoderSettingsControl
}

type QGstreamerVideoEncode_ITF interface {
	QVideoEncoderSettingsControl_ITF
	QGstreamerVideoEncode_PTR() *QGstreamerVideoEncode
}

func (ptr *QGstreamerVideoEncode) QGstreamerVideoEncode_PTR() *QGstreamerVideoEncode {
	return ptr
}

func (ptr *QGstreamerVideoEncode) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerVideoEncode) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoEncoderSettingsControl_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerVideoEncode(ptr QGstreamerVideoEncode_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerVideoEncode_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerVideoEncode) InitFromInternal(ptr uintptr, name string) {
	n.QVideoEncoderSettingsControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerVideoEncode) ClassNameInternalF() string {
	return n.QVideoEncoderSettingsControl_PTR().ClassNameInternalF()
}

func NewQGstreamerVideoEncodeFromPointer(ptr unsafe.Pointer) (n *QGstreamerVideoEncode) {
	n = new(QGstreamerVideoEncode)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerVideoEncode")
	return
}

func (ptr *QGstreamerVideoEncode) DestroyQGstreamerVideoEncode() {
}

type QGstreamerVideoInput struct {
	QGstreamerElementFactory
}

type QGstreamerVideoInput_ITF interface {
	QGstreamerElementFactory_ITF
	QGstreamerVideoInput_PTR() *QGstreamerVideoInput
}

func (ptr *QGstreamerVideoInput) QGstreamerVideoInput_PTR() *QGstreamerVideoInput {
	return ptr
}

func (ptr *QGstreamerVideoInput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerElementFactory_PTR().Pointer()
	}
	return nil
}

func (ptr *QGstreamerVideoInput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGstreamerElementFactory_PTR().SetPointer(p)
	}
}

func PointerFromQGstreamerVideoInput(ptr QGstreamerVideoInput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGstreamerVideoInput_PTR().Pointer()
	}
	return nil
}

func (n *QGstreamerVideoInput) InitFromInternal(ptr uintptr, name string) {
	n.QGstreamerElementFactory_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGstreamerVideoInput) ClassNameInternalF() string {
	return n.QGstreamerElementFactory_PTR().ClassNameInternalF()
}

func NewQGstreamerVideoInputFromPointer(ptr unsafe.Pointer) (n *QGstreamerVideoInput) {
	n = new(QGstreamerVideoInput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QGstreamerVideoInput")
	return
}

func (ptr *QGstreamerVideoInput) DestroyQGstreamerVideoInput() {
}

type QImageEncoderControl struct {
	QMediaControl
}

type QImageEncoderControl_ITF interface {
	QMediaControl_ITF
	QImageEncoderControl_PTR() *QImageEncoderControl
}

func (ptr *QImageEncoderControl) QImageEncoderControl_PTR() *QImageEncoderControl {
	return ptr
}

func (ptr *QImageEncoderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QImageEncoderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQImageEncoderControl(ptr QImageEncoderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QImageEncoderControl_PTR().Pointer()
	}
	return nil
}

func (n *QImageEncoderControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QImageEncoderControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQImageEncoderControlFromPointer(ptr unsafe.Pointer) (n *QImageEncoderControl) {
	n = new(QImageEncoderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QImageEncoderControl")
	return
}
func NewQImageEncoderControl(parent core.QObject_ITF) *QImageEncoderControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQImageEncoderControl", "", parent}).(*QImageEncoderControl)
}

func (ptr *QImageEncoderControl) ConnectImageCodecDescription(f func(codec string) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectImageCodecDescription", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageEncoderControl) DisconnectImageCodecDescription() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectImageCodecDescription"})
}

func (ptr *QImageEncoderControl) ImageCodecDescription(codec string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageCodecDescription", codec}).(string)
}

func (ptr *QImageEncoderControl) ConnectImageSettings(f func() *QImageEncoderSettings) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectImageSettings", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageEncoderControl) DisconnectImageSettings() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectImageSettings"})
}

func (ptr *QImageEncoderControl) ImageSettings() *QImageEncoderSettings {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ImageSettings"}).(*QImageEncoderSettings)
}

func (ptr *QImageEncoderControl) ConnectSetImageSettings(f func(settings *QImageEncoderSettings)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetImageSettings", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageEncoderControl) DisconnectSetImageSettings() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetImageSettings"})
}

func (ptr *QImageEncoderControl) SetImageSettings(settings QImageEncoderSettings_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetImageSettings", settings})
}

func (ptr *QImageEncoderControl) ConnectSupportedImageCodecs(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedImageCodecs", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageEncoderControl) DisconnectSupportedImageCodecs() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedImageCodecs"})
}

func (ptr *QImageEncoderControl) SupportedImageCodecs() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedImageCodecs"}).([]string)
}

func (ptr *QImageEncoderControl) ConnectSupportedResolutions(f func(settings *QImageEncoderSettings, continuous *bool) []*core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedResolutions", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageEncoderControl) DisconnectSupportedResolutions() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedResolutions"})
}

func (ptr *QImageEncoderControl) SupportedResolutions(settings QImageEncoderSettings_ITF, continuous *bool) []*core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedResolutions", settings, continuous}).([]*core.QSize)
}

func (ptr *QImageEncoderControl) ConnectDestroyQImageEncoderControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQImageEncoderControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QImageEncoderControl) DisconnectDestroyQImageEncoderControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQImageEncoderControl"})
}

func (ptr *QImageEncoderControl) DestroyQImageEncoderControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQImageEncoderControl"})
}

func (ptr *QImageEncoderControl) DestroyQImageEncoderControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQImageEncoderControlDefault"})
}

func (ptr *QImageEncoderControl) __supportedResolutions_atList(i int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedResolutions_atList", i}).(*core.QSize)
}

func (ptr *QImageEncoderControl) __supportedResolutions_setList(i core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedResolutions_setList", i})
}

func (ptr *QImageEncoderControl) __supportedResolutions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedResolutions_newList"}).(unsafe.Pointer)
}

type QImageEncoderSettings struct {
	internal.Internal
}

type QImageEncoderSettings_ITF interface {
	QImageEncoderSettings_PTR() *QImageEncoderSettings
}

func (ptr *QImageEncoderSettings) QImageEncoderSettings_PTR() *QImageEncoderSettings {
	return ptr
}

func (ptr *QImageEncoderSettings) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QImageEncoderSettings) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQImageEncoderSettings(ptr QImageEncoderSettings_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QImageEncoderSettings_PTR().Pointer()
	}
	return nil
}

func (n *QImageEncoderSettings) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQImageEncoderSettingsFromPointer(ptr unsafe.Pointer) (n *QImageEncoderSettings) {
	n = new(QImageEncoderSettings)
	n.InitFromInternal(uintptr(ptr), "multimedia.QImageEncoderSettings")
	return
}
func NewQImageEncoderSettings() *QImageEncoderSettings {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQImageEncoderSettings", ""}).(*QImageEncoderSettings)
}

func NewQImageEncoderSettings2(other QImageEncoderSettings_ITF) *QImageEncoderSettings {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQImageEncoderSettings2", "", other}).(*QImageEncoderSettings)
}

func (ptr *QImageEncoderSettings) Codec() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Codec"}).(string)
}

func (ptr *QImageEncoderSettings) EncodingOption(option string) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EncodingOption", option}).(*core.QVariant)
}

func (ptr *QImageEncoderSettings) EncodingOptions() map[string]*core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EncodingOptions"}).(map[string]*core.QVariant)
}

func (ptr *QImageEncoderSettings) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QImageEncoderSettings) Quality() QMultimedia__EncodingQuality {

	return QMultimedia__EncodingQuality(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Quality"}).(float64))
}

func (ptr *QImageEncoderSettings) Resolution() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resolution"}).(*core.QSize)
}

func (ptr *QImageEncoderSettings) SetCodec(codec string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCodec", codec})
}

func (ptr *QImageEncoderSettings) SetEncodingOption(option string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEncodingOption", option, value})
}

func (ptr *QImageEncoderSettings) SetEncodingOptions(options map[string]*core.QVariant) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEncodingOptions", options})
}

func (ptr *QImageEncoderSettings) SetQuality(quality QMultimedia__EncodingQuality) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetQuality", quality})
}

func (ptr *QImageEncoderSettings) SetResolution(resolution core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResolution", resolution})
}

func (ptr *QImageEncoderSettings) SetResolution2(width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResolution2", width, height})
}

func (ptr *QImageEncoderSettings) DestroyQImageEncoderSettings() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQImageEncoderSettings"})
}

func (ptr *QImageEncoderSettings) __encodingOptions_atList(v string, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodingOptions_atList", v, i}).(*core.QVariant)
}

func (ptr *QImageEncoderSettings) __encodingOptions_setList(key string, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodingOptions_setList", key, i})
}

func (ptr *QImageEncoderSettings) __encodingOptions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodingOptions_newList"}).(unsafe.Pointer)
}

func (ptr *QImageEncoderSettings) __encodingOptions_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodingOptions_keyList"}).([]string)
}

func (ptr *QImageEncoderSettings) __setEncodingOptions_options_atList(v string, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setEncodingOptions_options_atList", v, i}).(*core.QVariant)
}

func (ptr *QImageEncoderSettings) __setEncodingOptions_options_setList(key string, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setEncodingOptions_options_setList", key, i})
}

func (ptr *QImageEncoderSettings) __setEncodingOptions_options_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setEncodingOptions_options_newList"}).(unsafe.Pointer)
}

func (ptr *QImageEncoderSettings) __setEncodingOptions_options_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setEncodingOptions_options_keyList"}).([]string)
}

func (ptr *QImageEncoderSettings) ____encodingOptions_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____encodingOptions_keyList_atList", i}).(string)
}

func (ptr *QImageEncoderSettings) ____encodingOptions_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____encodingOptions_keyList_setList", i})
}

func (ptr *QImageEncoderSettings) ____encodingOptions_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____encodingOptions_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QImageEncoderSettings) ____setEncodingOptions_options_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setEncodingOptions_options_keyList_atList", i}).(string)
}

func (ptr *QImageEncoderSettings) ____setEncodingOptions_options_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setEncodingOptions_options_keyList_setList", i})
}

func (ptr *QImageEncoderSettings) ____setEncodingOptions_options_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setEncodingOptions_options_keyList_newList"}).(unsafe.Pointer)
}

type QM3uPlaylistPlugin struct {
	core.QObject
}

type QM3uPlaylistPlugin_ITF interface {
	core.QObject_ITF
	QM3uPlaylistPlugin_PTR() *QM3uPlaylistPlugin
}

func (ptr *QM3uPlaylistPlugin) QM3uPlaylistPlugin_PTR() *QM3uPlaylistPlugin {
	return ptr
}

func (ptr *QM3uPlaylistPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QM3uPlaylistPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQM3uPlaylistPlugin(ptr QM3uPlaylistPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QM3uPlaylistPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QM3uPlaylistPlugin) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QM3uPlaylistPlugin) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQM3uPlaylistPluginFromPointer(ptr unsafe.Pointer) (n *QM3uPlaylistPlugin) {
	n = new(QM3uPlaylistPlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QM3uPlaylistPlugin")
	return
}

func (ptr *QM3uPlaylistPlugin) DestroyQM3uPlaylistPlugin() {
}

type QMediaAudioProbeControl struct {
	QMediaControl
}

type QMediaAudioProbeControl_ITF interface {
	QMediaControl_ITF
	QMediaAudioProbeControl_PTR() *QMediaAudioProbeControl
}

func (ptr *QMediaAudioProbeControl) QMediaAudioProbeControl_PTR() *QMediaAudioProbeControl {
	return ptr
}

func (ptr *QMediaAudioProbeControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaAudioProbeControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQMediaAudioProbeControl(ptr QMediaAudioProbeControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaAudioProbeControl_PTR().Pointer()
	}
	return nil
}

func (n *QMediaAudioProbeControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaAudioProbeControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQMediaAudioProbeControlFromPointer(ptr unsafe.Pointer) (n *QMediaAudioProbeControl) {
	n = new(QMediaAudioProbeControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaAudioProbeControl")
	return
}
func NewQMediaAudioProbeControl(parent core.QObject_ITF) *QMediaAudioProbeControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaAudioProbeControl", "", parent}).(*QMediaAudioProbeControl)
}

func (ptr *QMediaAudioProbeControl) ConnectAudioBufferProbed(f func(buffer *QAudioBuffer)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAudioBufferProbed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaAudioProbeControl) DisconnectAudioBufferProbed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAudioBufferProbed"})
}

func (ptr *QMediaAudioProbeControl) AudioBufferProbed(buffer QAudioBuffer_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioBufferProbed", buffer})
}

func (ptr *QMediaAudioProbeControl) ConnectFlush(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFlush", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaAudioProbeControl) DisconnectFlush() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFlush"})
}

func (ptr *QMediaAudioProbeControl) Flush() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flush"})
}

func (ptr *QMediaAudioProbeControl) ConnectDestroyQMediaAudioProbeControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaAudioProbeControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaAudioProbeControl) DisconnectDestroyQMediaAudioProbeControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaAudioProbeControl"})
}

func (ptr *QMediaAudioProbeControl) DestroyQMediaAudioProbeControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaAudioProbeControl"})
}

func (ptr *QMediaAudioProbeControl) DestroyQMediaAudioProbeControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaAudioProbeControlDefault"})
}

type QMediaAvailabilityControl struct {
	QMediaControl
}

type QMediaAvailabilityControl_ITF interface {
	QMediaControl_ITF
	QMediaAvailabilityControl_PTR() *QMediaAvailabilityControl
}

func (ptr *QMediaAvailabilityControl) QMediaAvailabilityControl_PTR() *QMediaAvailabilityControl {
	return ptr
}

func (ptr *QMediaAvailabilityControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaAvailabilityControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQMediaAvailabilityControl(ptr QMediaAvailabilityControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaAvailabilityControl_PTR().Pointer()
	}
	return nil
}

func (n *QMediaAvailabilityControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaAvailabilityControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQMediaAvailabilityControlFromPointer(ptr unsafe.Pointer) (n *QMediaAvailabilityControl) {
	n = new(QMediaAvailabilityControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaAvailabilityControl")
	return
}
func NewQMediaAvailabilityControl(parent core.QObject_ITF) *QMediaAvailabilityControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaAvailabilityControl", "", parent}).(*QMediaAvailabilityControl)
}

func (ptr *QMediaAvailabilityControl) ConnectAvailability(f func() QMultimedia__AvailabilityStatus) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAvailability", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaAvailabilityControl) DisconnectAvailability() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAvailability"})
}

func (ptr *QMediaAvailabilityControl) Availability() QMultimedia__AvailabilityStatus {

	return QMultimedia__AvailabilityStatus(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Availability"}).(float64))
}

func (ptr *QMediaAvailabilityControl) ConnectAvailabilityChanged(f func(availability QMultimedia__AvailabilityStatus)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAvailabilityChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaAvailabilityControl) DisconnectAvailabilityChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAvailabilityChanged"})
}

func (ptr *QMediaAvailabilityControl) AvailabilityChanged(availability QMultimedia__AvailabilityStatus) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailabilityChanged", availability})
}

func (ptr *QMediaAvailabilityControl) ConnectDestroyQMediaAvailabilityControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaAvailabilityControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaAvailabilityControl) DisconnectDestroyQMediaAvailabilityControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaAvailabilityControl"})
}

func (ptr *QMediaAvailabilityControl) DestroyQMediaAvailabilityControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaAvailabilityControl"})
}

func (ptr *QMediaAvailabilityControl) DestroyQMediaAvailabilityControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaAvailabilityControlDefault"})
}

type QMediaBindableInterface struct {
	internal.Internal
}

type QMediaBindableInterface_ITF interface {
	QMediaBindableInterface_PTR() *QMediaBindableInterface
}

func (ptr *QMediaBindableInterface) QMediaBindableInterface_PTR() *QMediaBindableInterface {
	return ptr
}

func (ptr *QMediaBindableInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMediaBindableInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMediaBindableInterface(ptr QMediaBindableInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaBindableInterface_PTR().Pointer()
	}
	return nil
}

func (n *QMediaBindableInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMediaBindableInterfaceFromPointer(ptr unsafe.Pointer) (n *QMediaBindableInterface) {
	n = new(QMediaBindableInterface)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaBindableInterface")
	return
}
func (ptr *QMediaBindableInterface) ConnectMediaObject(f func() *QMediaObject) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMediaObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaBindableInterface) DisconnectMediaObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMediaObject"})
}

func (ptr *QMediaBindableInterface) MediaObject() *QMediaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MediaObject"}).(*QMediaObject)
}

func (ptr *QMediaBindableInterface) ConnectSetMediaObject(f func(object *QMediaObject) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMediaObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaBindableInterface) DisconnectSetMediaObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMediaObject"})
}

func (ptr *QMediaBindableInterface) SetMediaObject(object QMediaObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMediaObject", object}).(bool)
}

func (ptr *QMediaBindableInterface) ConnectDestroyQMediaBindableInterface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaBindableInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaBindableInterface) DisconnectDestroyQMediaBindableInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaBindableInterface"})
}

func (ptr *QMediaBindableInterface) DestroyQMediaBindableInterface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaBindableInterface"})
}

func (ptr *QMediaBindableInterface) DestroyQMediaBindableInterfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaBindableInterfaceDefault"})
}

type QMediaContainerControl struct {
	QMediaControl
}

type QMediaContainerControl_ITF interface {
	QMediaControl_ITF
	QMediaContainerControl_PTR() *QMediaContainerControl
}

func (ptr *QMediaContainerControl) QMediaContainerControl_PTR() *QMediaContainerControl {
	return ptr
}

func (ptr *QMediaContainerControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaContainerControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQMediaContainerControl(ptr QMediaContainerControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaContainerControl_PTR().Pointer()
	}
	return nil
}

func (n *QMediaContainerControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaContainerControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQMediaContainerControlFromPointer(ptr unsafe.Pointer) (n *QMediaContainerControl) {
	n = new(QMediaContainerControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaContainerControl")
	return
}
func NewQMediaContainerControl(parent core.QObject_ITF) *QMediaContainerControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaContainerControl", "", parent}).(*QMediaContainerControl)
}

func (ptr *QMediaContainerControl) ConnectContainerDescription(f func(formatMimeType string) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectContainerDescription", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaContainerControl) DisconnectContainerDescription() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectContainerDescription"})
}

func (ptr *QMediaContainerControl) ContainerDescription(formatMimeType string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContainerDescription", formatMimeType}).(string)
}

func (ptr *QMediaContainerControl) ConnectContainerFormat(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectContainerFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaContainerControl) DisconnectContainerFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectContainerFormat"})
}

func (ptr *QMediaContainerControl) ContainerFormat() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContainerFormat"}).(string)
}

func (ptr *QMediaContainerControl) ConnectSetContainerFormat(f func(format string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetContainerFormat", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaContainerControl) DisconnectSetContainerFormat() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetContainerFormat"})
}

func (ptr *QMediaContainerControl) SetContainerFormat(format string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetContainerFormat", format})
}

func (ptr *QMediaContainerControl) ConnectSupportedContainers(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedContainers", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaContainerControl) DisconnectSupportedContainers() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedContainers"})
}

func (ptr *QMediaContainerControl) SupportedContainers() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedContainers"}).([]string)
}

func (ptr *QMediaContainerControl) ConnectDestroyQMediaContainerControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaContainerControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaContainerControl) DisconnectDestroyQMediaContainerControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaContainerControl"})
}

func (ptr *QMediaContainerControl) DestroyQMediaContainerControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaContainerControl"})
}

func (ptr *QMediaContainerControl) DestroyQMediaContainerControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaContainerControlDefault"})
}

type QMediaContent struct {
	internal.Internal
}

type QMediaContent_ITF interface {
	QMediaContent_PTR() *QMediaContent
}

func (ptr *QMediaContent) QMediaContent_PTR() *QMediaContent {
	return ptr
}

func (ptr *QMediaContent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMediaContent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMediaContent(ptr QMediaContent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaContent_PTR().Pointer()
	}
	return nil
}

func (n *QMediaContent) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMediaContentFromPointer(ptr unsafe.Pointer) (n *QMediaContent) {
	n = new(QMediaContent)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaContent")
	return
}
func NewQMediaContent() *QMediaContent {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaContent", ""}).(*QMediaContent)
}

func NewQMediaContent2(url core.QUrl_ITF) *QMediaContent {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaContent2", "", url}).(*QMediaContent)
}

func NewQMediaContent3(request network.QNetworkRequest_ITF) *QMediaContent {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaContent3", "", request}).(*QMediaContent)
}

func NewQMediaContent6(other QMediaContent_ITF) *QMediaContent {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaContent6", "", other}).(*QMediaContent)
}

func NewQMediaContent7(playlist QMediaPlaylist_ITF, contentUrl core.QUrl_ITF, takeOwnership bool) *QMediaContent {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaContent7", "", playlist, contentUrl, takeOwnership}).(*QMediaContent)
}

func (ptr *QMediaContent) CanonicalRequest() *network.QNetworkRequest {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanonicalRequest"}).(*network.QNetworkRequest)
}

func (ptr *QMediaContent) CanonicalUrl() *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanonicalUrl"}).(*core.QUrl)
}

func (ptr *QMediaContent) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QMediaContent) Playlist() *QMediaPlaylist {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Playlist"}).(*QMediaPlaylist)
}

func (ptr *QMediaContent) DestroyQMediaContent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaContent"})
}

func (ptr *QMediaContent) __QMediaContent_resources_atList4(i int) *QMediaResource {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QMediaContent_resources_atList4", i}).(*QMediaResource)
}

func (ptr *QMediaContent) __QMediaContent_resources_setList4(i QMediaResource_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QMediaContent_resources_setList4", i})
}

func (ptr *QMediaContent) __QMediaContent_resources_newList4() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QMediaContent_resources_newList4"}).(unsafe.Pointer)
}

func (ptr *QMediaContent) __resources_atList(i int) *QMediaResource {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__resources_atList", i}).(*QMediaResource)
}

func (ptr *QMediaContent) __resources_setList(i QMediaResource_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__resources_setList", i})
}

func (ptr *QMediaContent) __resources_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__resources_newList"}).(unsafe.Pointer)
}

type QMediaControl struct {
	core.QObject
}

type QMediaControl_ITF interface {
	core.QObject_ITF
	QMediaControl_PTR() *QMediaControl
}

func (ptr *QMediaControl) QMediaControl_PTR() *QMediaControl {
	return ptr
}

func (ptr *QMediaControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQMediaControl(ptr QMediaControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (n *QMediaControl) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaControl) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQMediaControlFromPointer(ptr unsafe.Pointer) (n *QMediaControl) {
	n = new(QMediaControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaControl")
	return
}
func NewQMediaControl(parent core.QObject_ITF) *QMediaControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaControl", "", parent}).(*QMediaControl)
}

func (ptr *QMediaControl) ConnectDestroyQMediaControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaControl) DisconnectDestroyQMediaControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaControl"})
}

func (ptr *QMediaControl) DestroyQMediaControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaControl"})
}

func (ptr *QMediaControl) DestroyQMediaControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaControlDefault"})
}

func (ptr *QMediaControl) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QMediaControl) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QMediaControl) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaControl) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QMediaControl) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QMediaControl) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaControl) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QMediaControl) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QMediaControl) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaControl) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QMediaControl) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QMediaControl) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QMediaControl) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QMediaControl) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QMediaControl) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QMediaControl) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QMediaControl) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QMediaControl) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QMediaControl) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QMediaControl) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QMediaControl) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QMediaGaplessPlaybackControl struct {
	QMediaControl
}

type QMediaGaplessPlaybackControl_ITF interface {
	QMediaControl_ITF
	QMediaGaplessPlaybackControl_PTR() *QMediaGaplessPlaybackControl
}

func (ptr *QMediaGaplessPlaybackControl) QMediaGaplessPlaybackControl_PTR() *QMediaGaplessPlaybackControl {
	return ptr
}

func (ptr *QMediaGaplessPlaybackControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaGaplessPlaybackControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQMediaGaplessPlaybackControl(ptr QMediaGaplessPlaybackControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaGaplessPlaybackControl_PTR().Pointer()
	}
	return nil
}

func (n *QMediaGaplessPlaybackControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaGaplessPlaybackControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQMediaGaplessPlaybackControlFromPointer(ptr unsafe.Pointer) (n *QMediaGaplessPlaybackControl) {
	n = new(QMediaGaplessPlaybackControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaGaplessPlaybackControl")
	return
}
func NewQMediaGaplessPlaybackControl(parent core.QObject_ITF) *QMediaGaplessPlaybackControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaGaplessPlaybackControl", "", parent}).(*QMediaGaplessPlaybackControl)
}

func (ptr *QMediaGaplessPlaybackControl) ConnectAdvancedToNextMedia(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAdvancedToNextMedia", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaGaplessPlaybackControl) DisconnectAdvancedToNextMedia() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAdvancedToNextMedia"})
}

func (ptr *QMediaGaplessPlaybackControl) AdvancedToNextMedia() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AdvancedToNextMedia"})
}

func (ptr *QMediaGaplessPlaybackControl) ConnectCrossfadeTime(f func() float64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCrossfadeTime", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaGaplessPlaybackControl) DisconnectCrossfadeTime() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCrossfadeTime"})
}

func (ptr *QMediaGaplessPlaybackControl) CrossfadeTime() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CrossfadeTime"}).(float64)
}

func (ptr *QMediaGaplessPlaybackControl) ConnectCrossfadeTimeChanged(f func(crossfadeTime float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCrossfadeTimeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaGaplessPlaybackControl) DisconnectCrossfadeTimeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCrossfadeTimeChanged"})
}

func (ptr *QMediaGaplessPlaybackControl) CrossfadeTimeChanged(crossfadeTime float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CrossfadeTimeChanged", crossfadeTime})
}

func (ptr *QMediaGaplessPlaybackControl) ConnectIsCrossfadeSupported(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsCrossfadeSupported", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaGaplessPlaybackControl) DisconnectIsCrossfadeSupported() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsCrossfadeSupported"})
}

func (ptr *QMediaGaplessPlaybackControl) IsCrossfadeSupported() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCrossfadeSupported"}).(bool)
}

func (ptr *QMediaGaplessPlaybackControl) ConnectNextMedia(f func() *QMediaContent) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNextMedia", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaGaplessPlaybackControl) DisconnectNextMedia() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNextMedia"})
}

func (ptr *QMediaGaplessPlaybackControl) NextMedia() *QMediaContent {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NextMedia"}).(*QMediaContent)
}

func (ptr *QMediaGaplessPlaybackControl) ConnectNextMediaChanged(f func(media *QMediaContent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNextMediaChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaGaplessPlaybackControl) DisconnectNextMediaChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNextMediaChanged"})
}

func (ptr *QMediaGaplessPlaybackControl) NextMediaChanged(media QMediaContent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NextMediaChanged", media})
}

func (ptr *QMediaGaplessPlaybackControl) ConnectSetCrossfadeTime(f func(crossfadeTime float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCrossfadeTime", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaGaplessPlaybackControl) DisconnectSetCrossfadeTime() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCrossfadeTime"})
}

func (ptr *QMediaGaplessPlaybackControl) SetCrossfadeTime(crossfadeTime float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCrossfadeTime", crossfadeTime})
}

func (ptr *QMediaGaplessPlaybackControl) ConnectSetNextMedia(f func(media *QMediaContent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetNextMedia", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaGaplessPlaybackControl) DisconnectSetNextMedia() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetNextMedia"})
}

func (ptr *QMediaGaplessPlaybackControl) SetNextMedia(media QMediaContent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNextMedia", media})
}

func (ptr *QMediaGaplessPlaybackControl) ConnectDestroyQMediaGaplessPlaybackControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaGaplessPlaybackControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaGaplessPlaybackControl) DisconnectDestroyQMediaGaplessPlaybackControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaGaplessPlaybackControl"})
}

func (ptr *QMediaGaplessPlaybackControl) DestroyQMediaGaplessPlaybackControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaGaplessPlaybackControl"})
}

func (ptr *QMediaGaplessPlaybackControl) DestroyQMediaGaplessPlaybackControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaGaplessPlaybackControlDefault"})
}

type QMediaNetworkAccessControl struct {
	QMediaControl
}

type QMediaNetworkAccessControl_ITF interface {
	QMediaControl_ITF
	QMediaNetworkAccessControl_PTR() *QMediaNetworkAccessControl
}

func (ptr *QMediaNetworkAccessControl) QMediaNetworkAccessControl_PTR() *QMediaNetworkAccessControl {
	return ptr
}

func (ptr *QMediaNetworkAccessControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaNetworkAccessControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQMediaNetworkAccessControl(ptr QMediaNetworkAccessControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaNetworkAccessControl_PTR().Pointer()
	}
	return nil
}

func (n *QMediaNetworkAccessControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaNetworkAccessControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQMediaNetworkAccessControlFromPointer(ptr unsafe.Pointer) (n *QMediaNetworkAccessControl) {
	n = new(QMediaNetworkAccessControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaNetworkAccessControl")
	return
}
func (ptr *QMediaNetworkAccessControl) ConnectConfigurationChanged(f func(configuration *network.QNetworkConfiguration)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectConfigurationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaNetworkAccessControl) DisconnectConfigurationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectConfigurationChanged"})
}

func (ptr *QMediaNetworkAccessControl) ConfigurationChanged(configuration network.QNetworkConfiguration_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConfigurationChanged", configuration})
}

func (ptr *QMediaNetworkAccessControl) ConnectCurrentConfiguration(f func() *network.QNetworkConfiguration) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentConfiguration", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaNetworkAccessControl) DisconnectCurrentConfiguration() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentConfiguration"})
}

func (ptr *QMediaNetworkAccessControl) CurrentConfiguration() *network.QNetworkConfiguration {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentConfiguration"}).(*network.QNetworkConfiguration)
}

func (ptr *QMediaNetworkAccessControl) ConnectSetConfigurations(f func(configurations []*network.QNetworkConfiguration)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetConfigurations", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaNetworkAccessControl) DisconnectSetConfigurations() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetConfigurations"})
}

func (ptr *QMediaNetworkAccessControl) SetConfigurations(configurations []*network.QNetworkConfiguration) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetConfigurations", configurations})
}

func (ptr *QMediaNetworkAccessControl) ConnectDestroyQMediaNetworkAccessControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaNetworkAccessControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaNetworkAccessControl) DisconnectDestroyQMediaNetworkAccessControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaNetworkAccessControl"})
}

func (ptr *QMediaNetworkAccessControl) DestroyQMediaNetworkAccessControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaNetworkAccessControl"})
}

func (ptr *QMediaNetworkAccessControl) DestroyQMediaNetworkAccessControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaNetworkAccessControlDefault"})
}

func (ptr *QMediaNetworkAccessControl) __setConfigurations_configurations_atList(i int) *network.QNetworkConfiguration {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setConfigurations_configurations_atList", i}).(*network.QNetworkConfiguration)
}

func (ptr *QMediaNetworkAccessControl) __setConfigurations_configurations_setList(i network.QNetworkConfiguration_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setConfigurations_configurations_setList", i})
}

func (ptr *QMediaNetworkAccessControl) __setConfigurations_configurations_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setConfigurations_configurations_newList"}).(unsafe.Pointer)
}

type QMediaObject struct {
	core.QObject
}

type QMediaObject_ITF interface {
	core.QObject_ITF
	QMediaObject_PTR() *QMediaObject
}

func (ptr *QMediaObject) QMediaObject_PTR() *QMediaObject {
	return ptr
}

func (ptr *QMediaObject) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaObject) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQMediaObject(ptr QMediaObject_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaObject_PTR().Pointer()
	}
	return nil
}

func (n *QMediaObject) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaObject) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQMediaObjectFromPointer(ptr unsafe.Pointer) (n *QMediaObject) {
	n = new(QMediaObject)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaObject")
	return
}
func NewQMediaObject(parent core.QObject_ITF, service QMediaService_ITF) *QMediaObject {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaObject", "", parent, service}).(*QMediaObject)
}

func (ptr *QMediaObject) AddPropertyWatch(name core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPropertyWatch", name})
}

func (ptr *QMediaObject) ConnectAvailability(f func() QMultimedia__AvailabilityStatus) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAvailability", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaObject) DisconnectAvailability() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAvailability"})
}

func (ptr *QMediaObject) Availability() QMultimedia__AvailabilityStatus {

	return QMultimedia__AvailabilityStatus(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Availability"}).(float64))
}

func (ptr *QMediaObject) AvailabilityDefault() QMultimedia__AvailabilityStatus {

	return QMultimedia__AvailabilityStatus(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailabilityDefault"}).(float64))
}

func (ptr *QMediaObject) ConnectAvailabilityChanged(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAvailabilityChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaObject) DisconnectAvailabilityChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAvailabilityChanged"})
}

func (ptr *QMediaObject) AvailabilityChanged(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailabilityChanged", available})
}

func (ptr *QMediaObject) ConnectAvailabilityChanged2(f func(availability QMultimedia__AvailabilityStatus)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAvailabilityChanged2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaObject) DisconnectAvailabilityChanged2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAvailabilityChanged2"})
}

func (ptr *QMediaObject) AvailabilityChanged2(availability QMultimedia__AvailabilityStatus) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailabilityChanged2", availability})
}

func (ptr *QMediaObject) AvailableMetaData() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableMetaData"}).([]string)
}

func (ptr *QMediaObject) ConnectBind(f func(object *core.QObject) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBind", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaObject) DisconnectBind() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBind"})
}

func (ptr *QMediaObject) Bind(object core.QObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bind", object}).(bool)
}

func (ptr *QMediaObject) BindDefault(object core.QObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BindDefault", object}).(bool)
}

func (ptr *QMediaObject) ConnectIsAvailable(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaObject) DisconnectIsAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsAvailable"})
}

func (ptr *QMediaObject) IsAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAvailable"}).(bool)
}

func (ptr *QMediaObject) IsAvailableDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAvailableDefault"}).(bool)
}

func (ptr *QMediaObject) IsMetaDataAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMetaDataAvailable"}).(bool)
}

func (ptr *QMediaObject) MetaData(key string) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaData", key}).(*core.QVariant)
}

func (ptr *QMediaObject) ConnectMetaDataAvailableChanged(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMetaDataAvailableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaObject) DisconnectMetaDataAvailableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMetaDataAvailableChanged"})
}

func (ptr *QMediaObject) MetaDataAvailableChanged(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaDataAvailableChanged", available})
}

func (ptr *QMediaObject) ConnectMetaDataChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMetaDataChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaObject) DisconnectMetaDataChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMetaDataChanged"})
}

func (ptr *QMediaObject) MetaDataChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaDataChanged"})
}

func (ptr *QMediaObject) ConnectMetaDataChanged2(f func(key string, value *core.QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMetaDataChanged2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaObject) DisconnectMetaDataChanged2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMetaDataChanged2"})
}

func (ptr *QMediaObject) MetaDataChanged2(key string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaDataChanged2", key, value})
}

func (ptr *QMediaObject) NotifyInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NotifyInterval"}).(float64))
}

func (ptr *QMediaObject) ConnectNotifyIntervalChanged(f func(milliseconds int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyIntervalChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaObject) DisconnectNotifyIntervalChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyIntervalChanged"})
}

func (ptr *QMediaObject) NotifyIntervalChanged(milliseconds int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NotifyIntervalChanged", milliseconds})
}

func (ptr *QMediaObject) RemovePropertyWatch(name core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemovePropertyWatch", name})
}

func (ptr *QMediaObject) ConnectService(f func() *QMediaService) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectService", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaObject) DisconnectService() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectService"})
}

func (ptr *QMediaObject) Service() *QMediaService {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Service"}).(*QMediaService)
}

func (ptr *QMediaObject) ServiceDefault() *QMediaService {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ServiceDefault"}).(*QMediaService)
}

func (ptr *QMediaObject) SetNotifyInterval(milliSeconds int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNotifyInterval", milliSeconds})
}

func (ptr *QMediaObject) ConnectUnbind(f func(object *core.QObject)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUnbind", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaObject) DisconnectUnbind() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUnbind"})
}

func (ptr *QMediaObject) Unbind(object core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unbind", object})
}

func (ptr *QMediaObject) UnbindDefault(object core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnbindDefault", object})
}

func (ptr *QMediaObject) ConnectDestroyQMediaObject(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaObject) DisconnectDestroyQMediaObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaObject"})
}

func (ptr *QMediaObject) DestroyQMediaObject() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaObject"})
}

func (ptr *QMediaObject) DestroyQMediaObjectDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaObjectDefault"})
}

func (ptr *QMediaObject) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QMediaObject) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QMediaObject) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaObject) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QMediaObject) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QMediaObject) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaObject) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QMediaObject) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QMediaObject) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaObject) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QMediaObject) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QMediaObject) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QMediaObject) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QMediaObject) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QMediaObject) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QMediaObject) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QMediaObject) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QMediaObject) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QMediaObject) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QMediaObject) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QMediaObject) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QMediaPlayer struct {
	QMediaObject
}

type QMediaPlayer_ITF interface {
	QMediaObject_ITF
	QMediaPlayer_PTR() *QMediaPlayer
}

func (ptr *QMediaPlayer) QMediaPlayer_PTR() *QMediaPlayer {
	return ptr
}

func (ptr *QMediaPlayer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaPlayer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaObject_PTR().SetPointer(p)
	}
}

func PointerFromQMediaPlayer(ptr QMediaPlayer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaPlayer_PTR().Pointer()
	}
	return nil
}

func (n *QMediaPlayer) InitFromInternal(ptr uintptr, name string) {
	n.QMediaObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaPlayer) ClassNameInternalF() string {
	return n.QMediaObject_PTR().ClassNameInternalF()
}

func NewQMediaPlayerFromPointer(ptr unsafe.Pointer) (n *QMediaPlayer) {
	n = new(QMediaPlayer)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaPlayer")
	return
}

//go:generate stringer -type=QMediaPlayer__MediaStatus
//QMediaPlayer::MediaStatus
type QMediaPlayer__MediaStatus int64

const (
	QMediaPlayer__UnknownMediaStatus QMediaPlayer__MediaStatus = QMediaPlayer__MediaStatus(0)
	QMediaPlayer__NoMedia            QMediaPlayer__MediaStatus = QMediaPlayer__MediaStatus(1)
	QMediaPlayer__LoadingMedia       QMediaPlayer__MediaStatus = QMediaPlayer__MediaStatus(2)
	QMediaPlayer__LoadedMedia        QMediaPlayer__MediaStatus = QMediaPlayer__MediaStatus(3)
	QMediaPlayer__StalledMedia       QMediaPlayer__MediaStatus = QMediaPlayer__MediaStatus(4)
	QMediaPlayer__BufferingMedia     QMediaPlayer__MediaStatus = QMediaPlayer__MediaStatus(5)
	QMediaPlayer__BufferedMedia      QMediaPlayer__MediaStatus = QMediaPlayer__MediaStatus(6)
	QMediaPlayer__EndOfMedia         QMediaPlayer__MediaStatus = QMediaPlayer__MediaStatus(7)
	QMediaPlayer__InvalidMedia       QMediaPlayer__MediaStatus = QMediaPlayer__MediaStatus(8)
)

//go:generate stringer -type=QMediaPlayer__Flag
//QMediaPlayer::Flag
type QMediaPlayer__Flag int64

const (
	QMediaPlayer__LowLatency     QMediaPlayer__Flag = QMediaPlayer__Flag(0x01)
	QMediaPlayer__StreamPlayback QMediaPlayer__Flag = QMediaPlayer__Flag(0x02)
	QMediaPlayer__VideoSurface   QMediaPlayer__Flag = QMediaPlayer__Flag(0x04)
)

//go:generate stringer -type=QMediaPlayer__Error
//QMediaPlayer::Error
type QMediaPlayer__Error int64

const (
	QMediaPlayer__NoError             QMediaPlayer__Error = QMediaPlayer__Error(0)
	QMediaPlayer__ResourceError       QMediaPlayer__Error = QMediaPlayer__Error(1)
	QMediaPlayer__FormatError         QMediaPlayer__Error = QMediaPlayer__Error(2)
	QMediaPlayer__NetworkError        QMediaPlayer__Error = QMediaPlayer__Error(3)
	QMediaPlayer__AccessDeniedError   QMediaPlayer__Error = QMediaPlayer__Error(4)
	QMediaPlayer__ServiceMissingError QMediaPlayer__Error = QMediaPlayer__Error(5)
	QMediaPlayer__MediaIsPlaylist     QMediaPlayer__Error = QMediaPlayer__Error(6)
)

//go:generate stringer -type=QMediaPlayer__State
//QMediaPlayer::State
type QMediaPlayer__State int64

const (
	QMediaPlayer__StoppedState QMediaPlayer__State = QMediaPlayer__State(0)
	QMediaPlayer__PlayingState QMediaPlayer__State = QMediaPlayer__State(1)
	QMediaPlayer__PausedState  QMediaPlayer__State = QMediaPlayer__State(2)
)

func NewQMediaPlayer(parent core.QObject_ITF, flags QMediaPlayer__Flag) *QMediaPlayer {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaPlayer", "", parent, flags}).(*QMediaPlayer)
}

func (ptr *QMediaPlayer) ConnectAudioAvailableChanged(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAudioAvailableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectAudioAvailableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAudioAvailableChanged"})
}

func (ptr *QMediaPlayer) AudioAvailableChanged(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioAvailableChanged", available})
}

func (ptr *QMediaPlayer) AudioRole() QAudio__Role {

	return QAudio__Role(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioRole"}).(float64))
}

func (ptr *QMediaPlayer) ConnectAudioRoleChanged(f func(role QAudio__Role)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAudioRoleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectAudioRoleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAudioRoleChanged"})
}

func (ptr *QMediaPlayer) AudioRoleChanged(role QAudio__Role) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioRoleChanged", role})
}

func (ptr *QMediaPlayer) BufferStatus() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferStatus"}).(float64))
}

func (ptr *QMediaPlayer) ConnectBufferStatusChanged(f func(percentFilled int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBufferStatusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectBufferStatusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBufferStatusChanged"})
}

func (ptr *QMediaPlayer) BufferStatusChanged(percentFilled int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferStatusChanged", percentFilled})
}

func (ptr *QMediaPlayer) CurrentMedia() *QMediaContent {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentMedia"}).(*QMediaContent)
}

func (ptr *QMediaPlayer) ConnectCurrentMediaChanged(f func(media *QMediaContent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentMediaChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectCurrentMediaChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentMediaChanged"})
}

func (ptr *QMediaPlayer) CurrentMediaChanged(media QMediaContent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentMediaChanged", media})
}

func (ptr *QMediaPlayer) CurrentNetworkConfiguration() *network.QNetworkConfiguration {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentNetworkConfiguration"}).(*network.QNetworkConfiguration)
}

func (ptr *QMediaPlayer) CustomAudioRole() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomAudioRole"}).(string)
}

func (ptr *QMediaPlayer) ConnectCustomAudioRoleChanged(f func(role string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCustomAudioRoleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectCustomAudioRoleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCustomAudioRoleChanged"})
}

func (ptr *QMediaPlayer) CustomAudioRoleChanged(role string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomAudioRoleChanged", role})
}

func (ptr *QMediaPlayer) Duration() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Duration"}).(float64))
}

func (ptr *QMediaPlayer) ConnectDurationChanged(f func(duration int64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDurationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectDurationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDurationChanged"})
}

func (ptr *QMediaPlayer) DurationChanged(duration int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DurationChanged", duration})
}

func (ptr *QMediaPlayer) Error() QMediaPlayer__Error {

	return QMediaPlayer__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QMediaPlayer) ConnectError2(f func(error QMediaPlayer__Error)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectError2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError2"})
}

func (ptr *QMediaPlayer) Error2(error QMediaPlayer__Error) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error2", error})
}

func (ptr *QMediaPlayer) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func QMediaPlayer_HasSupport(mimeType string, codecs []string, flags QMediaPlayer__Flag) QMultimedia__SupportEstimate {

	return QMultimedia__SupportEstimate(internal.CallLocalFunction([]interface{}{"", "", "multimedia.QMediaPlayer_HasSupport", "", mimeType, codecs, flags}).(float64))
}

func (ptr *QMediaPlayer) HasSupport(mimeType string, codecs []string, flags QMediaPlayer__Flag) QMultimedia__SupportEstimate {

	return QMultimedia__SupportEstimate(internal.CallLocalFunction([]interface{}{"", "", "multimedia.QMediaPlayer_HasSupport", "", mimeType, codecs, flags}).(float64))
}

func (ptr *QMediaPlayer) IsAudioAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAudioAvailable"}).(bool)
}

func (ptr *QMediaPlayer) IsMuted() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMuted"}).(bool)
}

func (ptr *QMediaPlayer) IsSeekable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSeekable"}).(bool)
}

func (ptr *QMediaPlayer) IsVideoAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsVideoAvailable"}).(bool)
}

func (ptr *QMediaPlayer) Media() *QMediaContent {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Media"}).(*QMediaContent)
}

func (ptr *QMediaPlayer) ConnectMediaChanged(f func(media *QMediaContent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMediaChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectMediaChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMediaChanged"})
}

func (ptr *QMediaPlayer) MediaChanged(media QMediaContent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MediaChanged", media})
}

func (ptr *QMediaPlayer) MediaStatus() QMediaPlayer__MediaStatus {

	return QMediaPlayer__MediaStatus(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MediaStatus"}).(float64))
}

func (ptr *QMediaPlayer) ConnectMediaStatusChanged(f func(status QMediaPlayer__MediaStatus)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMediaStatusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectMediaStatusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMediaStatusChanged"})
}

func (ptr *QMediaPlayer) MediaStatusChanged(status QMediaPlayer__MediaStatus) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MediaStatusChanged", status})
}

func (ptr *QMediaPlayer) MediaStream() *core.QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MediaStream"}).(*core.QIODevice)
}

func (ptr *QMediaPlayer) ConnectMutedChanged(f func(muted bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMutedChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectMutedChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMutedChanged"})
}

func (ptr *QMediaPlayer) MutedChanged(muted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MutedChanged", muted})
}

func (ptr *QMediaPlayer) ConnectNetworkConfigurationChanged(f func(configuration *network.QNetworkConfiguration)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNetworkConfigurationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectNetworkConfigurationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNetworkConfigurationChanged"})
}

func (ptr *QMediaPlayer) NetworkConfigurationChanged(configuration network.QNetworkConfiguration_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NetworkConfigurationChanged", configuration})
}

func (ptr *QMediaPlayer) ConnectPause(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPause", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectPause() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPause"})
}

func (ptr *QMediaPlayer) Pause() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pause"})
}

func (ptr *QMediaPlayer) PauseDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PauseDefault"})
}

func (ptr *QMediaPlayer) ConnectPlay(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPlay", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectPlay() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPlay"})
}

func (ptr *QMediaPlayer) Play() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Play"})
}

func (ptr *QMediaPlayer) PlayDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PlayDefault"})
}

func (ptr *QMediaPlayer) PlaybackRate() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PlaybackRate"}).(float64)
}

func (ptr *QMediaPlayer) ConnectPlaybackRateChanged(f func(rate float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPlaybackRateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectPlaybackRateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPlaybackRateChanged"})
}

func (ptr *QMediaPlayer) PlaybackRateChanged(rate float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PlaybackRateChanged", rate})
}

func (ptr *QMediaPlayer) Playlist() *QMediaPlaylist {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Playlist"}).(*QMediaPlaylist)
}

func (ptr *QMediaPlayer) Position() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(float64))
}

func (ptr *QMediaPlayer) ConnectPositionChanged(f func(position int64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPositionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectPositionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPositionChanged"})
}

func (ptr *QMediaPlayer) PositionChanged(position int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PositionChanged", position})
}

func (ptr *QMediaPlayer) ConnectSeekableChanged(f func(seekable bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSeekableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectSeekableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSeekableChanged"})
}

func (ptr *QMediaPlayer) SeekableChanged(seekable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SeekableChanged", seekable})
}

func (ptr *QMediaPlayer) SetAudioRole(audioRole QAudio__Role) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAudioRole", audioRole})
}

func (ptr *QMediaPlayer) SetCustomAudioRole(audioRole string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCustomAudioRole", audioRole})
}

func (ptr *QMediaPlayer) ConnectSetMedia(f func(media *QMediaContent, stream *core.QIODevice)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMedia", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectSetMedia() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMedia"})
}

func (ptr *QMediaPlayer) SetMedia(media QMediaContent_ITF, stream core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMedia", media, stream})
}

func (ptr *QMediaPlayer) SetMediaDefault(media QMediaContent_ITF, stream core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMediaDefault", media, stream})
}

func (ptr *QMediaPlayer) ConnectSetMuted(f func(muted bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMuted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectSetMuted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMuted"})
}

func (ptr *QMediaPlayer) SetMuted(muted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMuted", muted})
}

func (ptr *QMediaPlayer) SetMutedDefault(muted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMutedDefault", muted})
}

func (ptr *QMediaPlayer) ConnectSetNetworkConfigurations(f func(configurations []*network.QNetworkConfiguration)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetNetworkConfigurations", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectSetNetworkConfigurations() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetNetworkConfigurations"})
}

func (ptr *QMediaPlayer) SetNetworkConfigurations(configurations []*network.QNetworkConfiguration) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNetworkConfigurations", configurations})
}

func (ptr *QMediaPlayer) SetNetworkConfigurationsDefault(configurations []*network.QNetworkConfiguration) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNetworkConfigurationsDefault", configurations})
}

func (ptr *QMediaPlayer) ConnectSetPlaybackRate(f func(rate float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPlaybackRate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectSetPlaybackRate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPlaybackRate"})
}

func (ptr *QMediaPlayer) SetPlaybackRate(rate float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPlaybackRate", rate})
}

func (ptr *QMediaPlayer) SetPlaybackRateDefault(rate float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPlaybackRateDefault", rate})
}

func (ptr *QMediaPlayer) ConnectSetPlaylist(f func(playlist *QMediaPlaylist)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPlaylist", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectSetPlaylist() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPlaylist"})
}

func (ptr *QMediaPlayer) SetPlaylist(playlist QMediaPlaylist_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPlaylist", playlist})
}

func (ptr *QMediaPlayer) SetPlaylistDefault(playlist QMediaPlaylist_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPlaylistDefault", playlist})
}

func (ptr *QMediaPlayer) ConnectSetPosition(f func(position int64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPosition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectSetPosition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPosition"})
}

func (ptr *QMediaPlayer) SetPosition(position int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPosition", position})
}

func (ptr *QMediaPlayer) SetPositionDefault(position int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPositionDefault", position})
}

func (ptr *QMediaPlayer) SetVideoOutput(output QVideoWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVideoOutput", output})
}

func (ptr *QMediaPlayer) SetVideoOutput3(surface QAbstractVideoSurface_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVideoOutput3", surface})
}

func (ptr *QMediaPlayer) ConnectSetVolume(f func(volume int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetVolume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectSetVolume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetVolume"})
}

func (ptr *QMediaPlayer) SetVolume(volume int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVolume", volume})
}

func (ptr *QMediaPlayer) SetVolumeDefault(volume int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVolumeDefault", volume})
}

func (ptr *QMediaPlayer) State() QMediaPlayer__State {

	return QMediaPlayer__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QMediaPlayer) ConnectStateChanged(f func(state QMediaPlayer__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QMediaPlayer) StateChanged(state QMediaPlayer__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", state})
}

func (ptr *QMediaPlayer) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QMediaPlayer) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QMediaPlayer) StopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StopDefault"})
}

func (ptr *QMediaPlayer) SupportedAudioRoles() []QAudio__Role {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedAudioRoles"}).([]QAudio__Role)
}

func (ptr *QMediaPlayer) SupportedCustomAudioRoles() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedCustomAudioRoles"}).([]string)
}

func (ptr *QMediaPlayer) ConnectVideoAvailableChanged(f func(videoAvailable bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVideoAvailableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectVideoAvailableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVideoAvailableChanged"})
}

func (ptr *QMediaPlayer) VideoAvailableChanged(videoAvailable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VideoAvailableChanged", videoAvailable})
}

func (ptr *QMediaPlayer) Volume() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Volume"}).(float64))
}

func (ptr *QMediaPlayer) ConnectVolumeChanged(f func(volume int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVolumeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectVolumeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVolumeChanged"})
}

func (ptr *QMediaPlayer) VolumeChanged(volume int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VolumeChanged", volume})
}

func (ptr *QMediaPlayer) ConnectDestroyQMediaPlayer(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaPlayer", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayer) DisconnectDestroyQMediaPlayer() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaPlayer"})
}

func (ptr *QMediaPlayer) DestroyQMediaPlayer() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaPlayer"})
}

func (ptr *QMediaPlayer) DestroyQMediaPlayerDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaPlayerDefault"})
}

func (ptr *QMediaPlayer) __setNetworkConfigurations_configurations_atList(i int) *network.QNetworkConfiguration {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setNetworkConfigurations_configurations_atList", i}).(*network.QNetworkConfiguration)
}

func (ptr *QMediaPlayer) __setNetworkConfigurations_configurations_setList(i network.QNetworkConfiguration_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setNetworkConfigurations_configurations_setList", i})
}

func (ptr *QMediaPlayer) __setNetworkConfigurations_configurations_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setNetworkConfigurations_configurations_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaPlayer) __supportedAudioRoles_atList(i int) QAudio__Role {

	return QAudio__Role(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedAudioRoles_atList", i}).(float64))
}

func (ptr *QMediaPlayer) __supportedAudioRoles_setList(i QAudio__Role) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedAudioRoles_setList", i})
}

func (ptr *QMediaPlayer) __supportedAudioRoles_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedAudioRoles_newList"}).(unsafe.Pointer)
}

type QMediaPlayerControl struct {
	QMediaControl
}

type QMediaPlayerControl_ITF interface {
	QMediaControl_ITF
	QMediaPlayerControl_PTR() *QMediaPlayerControl
}

func (ptr *QMediaPlayerControl) QMediaPlayerControl_PTR() *QMediaPlayerControl {
	return ptr
}

func (ptr *QMediaPlayerControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaPlayerControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQMediaPlayerControl(ptr QMediaPlayerControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaPlayerControl_PTR().Pointer()
	}
	return nil
}

func (n *QMediaPlayerControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaPlayerControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQMediaPlayerControlFromPointer(ptr unsafe.Pointer) (n *QMediaPlayerControl) {
	n = new(QMediaPlayerControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaPlayerControl")
	return
}
func NewQMediaPlayerControl(parent core.QObject_ITF) *QMediaPlayerControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaPlayerControl", "", parent}).(*QMediaPlayerControl)
}

func (ptr *QMediaPlayerControl) ConnectAudioAvailableChanged(f func(audioAvailable bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAudioAvailableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectAudioAvailableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAudioAvailableChanged"})
}

func (ptr *QMediaPlayerControl) AudioAvailableChanged(audioAvailable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioAvailableChanged", audioAvailable})
}

func (ptr *QMediaPlayerControl) ConnectAvailablePlaybackRanges(f func() *QMediaTimeRange) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAvailablePlaybackRanges", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectAvailablePlaybackRanges() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAvailablePlaybackRanges"})
}

func (ptr *QMediaPlayerControl) AvailablePlaybackRanges() *QMediaTimeRange {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailablePlaybackRanges"}).(*QMediaTimeRange)
}

func (ptr *QMediaPlayerControl) ConnectAvailablePlaybackRangesChanged(f func(ranges *QMediaTimeRange)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAvailablePlaybackRangesChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectAvailablePlaybackRangesChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAvailablePlaybackRangesChanged"})
}

func (ptr *QMediaPlayerControl) AvailablePlaybackRangesChanged(ranges QMediaTimeRange_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailablePlaybackRangesChanged", ranges})
}

func (ptr *QMediaPlayerControl) ConnectBufferStatus(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBufferStatus", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectBufferStatus() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBufferStatus"})
}

func (ptr *QMediaPlayerControl) BufferStatus() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferStatus"}).(float64))
}

func (ptr *QMediaPlayerControl) ConnectBufferStatusChanged(f func(percentFilled int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBufferStatusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectBufferStatusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBufferStatusChanged"})
}

func (ptr *QMediaPlayerControl) BufferStatusChanged(percentFilled int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BufferStatusChanged", percentFilled})
}

func (ptr *QMediaPlayerControl) ConnectDuration(f func() int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDuration", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectDuration() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDuration"})
}

func (ptr *QMediaPlayerControl) Duration() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Duration"}).(float64))
}

func (ptr *QMediaPlayerControl) ConnectDurationChanged(f func(duration int64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDurationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectDurationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDurationChanged"})
}

func (ptr *QMediaPlayerControl) DurationChanged(duration int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DurationChanged", duration})
}

func (ptr *QMediaPlayerControl) ConnectError(f func(error int, errorString string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectError() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError"})
}

func (ptr *QMediaPlayerControl) Error(error int, errorString string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error", error, errorString})
}

func (ptr *QMediaPlayerControl) ConnectIsAudioAvailable(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsAudioAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectIsAudioAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsAudioAvailable"})
}

func (ptr *QMediaPlayerControl) IsAudioAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAudioAvailable"}).(bool)
}

func (ptr *QMediaPlayerControl) ConnectIsMuted(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsMuted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectIsMuted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsMuted"})
}

func (ptr *QMediaPlayerControl) IsMuted() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMuted"}).(bool)
}

func (ptr *QMediaPlayerControl) ConnectIsSeekable(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsSeekable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectIsSeekable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsSeekable"})
}

func (ptr *QMediaPlayerControl) IsSeekable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSeekable"}).(bool)
}

func (ptr *QMediaPlayerControl) ConnectIsVideoAvailable(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsVideoAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectIsVideoAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsVideoAvailable"})
}

func (ptr *QMediaPlayerControl) IsVideoAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsVideoAvailable"}).(bool)
}

func (ptr *QMediaPlayerControl) ConnectMedia(f func() *QMediaContent) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMedia", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectMedia() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMedia"})
}

func (ptr *QMediaPlayerControl) Media() *QMediaContent {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Media"}).(*QMediaContent)
}

func (ptr *QMediaPlayerControl) ConnectMediaChanged(f func(content *QMediaContent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMediaChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectMediaChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMediaChanged"})
}

func (ptr *QMediaPlayerControl) MediaChanged(content QMediaContent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MediaChanged", content})
}

func (ptr *QMediaPlayerControl) ConnectMediaStatus(f func() QMediaPlayer__MediaStatus) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMediaStatus", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectMediaStatus() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMediaStatus"})
}

func (ptr *QMediaPlayerControl) MediaStatus() QMediaPlayer__MediaStatus {

	return QMediaPlayer__MediaStatus(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MediaStatus"}).(float64))
}

func (ptr *QMediaPlayerControl) ConnectMediaStatusChanged(f func(status QMediaPlayer__MediaStatus)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMediaStatusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectMediaStatusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMediaStatusChanged"})
}

func (ptr *QMediaPlayerControl) MediaStatusChanged(status QMediaPlayer__MediaStatus) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MediaStatusChanged", status})
}

func (ptr *QMediaPlayerControl) ConnectMediaStream(f func() *core.QIODevice) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMediaStream", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectMediaStream() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMediaStream"})
}

func (ptr *QMediaPlayerControl) MediaStream() *core.QIODevice {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MediaStream"}).(*core.QIODevice)
}

func (ptr *QMediaPlayerControl) ConnectMutedChanged(f func(mute bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMutedChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectMutedChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMutedChanged"})
}

func (ptr *QMediaPlayerControl) MutedChanged(mute bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MutedChanged", mute})
}

func (ptr *QMediaPlayerControl) ConnectPause(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPause", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectPause() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPause"})
}

func (ptr *QMediaPlayerControl) Pause() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pause"})
}

func (ptr *QMediaPlayerControl) ConnectPlay(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPlay", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectPlay() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPlay"})
}

func (ptr *QMediaPlayerControl) Play() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Play"})
}

func (ptr *QMediaPlayerControl) ConnectPlaybackRate(f func() float64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPlaybackRate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectPlaybackRate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPlaybackRate"})
}

func (ptr *QMediaPlayerControl) PlaybackRate() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PlaybackRate"}).(float64)
}

func (ptr *QMediaPlayerControl) ConnectPlaybackRateChanged(f func(rate float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPlaybackRateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectPlaybackRateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPlaybackRateChanged"})
}

func (ptr *QMediaPlayerControl) PlaybackRateChanged(rate float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PlaybackRateChanged", rate})
}

func (ptr *QMediaPlayerControl) ConnectPosition(f func() int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPosition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectPosition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPosition"})
}

func (ptr *QMediaPlayerControl) Position() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(float64))
}

func (ptr *QMediaPlayerControl) ConnectPositionChanged(f func(position int64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPositionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectPositionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPositionChanged"})
}

func (ptr *QMediaPlayerControl) PositionChanged(position int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PositionChanged", position})
}

func (ptr *QMediaPlayerControl) ConnectSeekableChanged(f func(seekable bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSeekableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectSeekableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSeekableChanged"})
}

func (ptr *QMediaPlayerControl) SeekableChanged(seekable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SeekableChanged", seekable})
}

func (ptr *QMediaPlayerControl) ConnectSetMedia(f func(media *QMediaContent, stream *core.QIODevice)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMedia", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectSetMedia() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMedia"})
}

func (ptr *QMediaPlayerControl) SetMedia(media QMediaContent_ITF, stream core.QIODevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMedia", media, stream})
}

func (ptr *QMediaPlayerControl) ConnectSetMuted(f func(mute bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMuted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectSetMuted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMuted"})
}

func (ptr *QMediaPlayerControl) SetMuted(mute bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMuted", mute})
}

func (ptr *QMediaPlayerControl) ConnectSetPlaybackRate(f func(rate float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPlaybackRate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectSetPlaybackRate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPlaybackRate"})
}

func (ptr *QMediaPlayerControl) SetPlaybackRate(rate float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPlaybackRate", rate})
}

func (ptr *QMediaPlayerControl) ConnectSetPosition(f func(position int64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPosition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectSetPosition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPosition"})
}

func (ptr *QMediaPlayerControl) SetPosition(position int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPosition", position})
}

func (ptr *QMediaPlayerControl) ConnectSetVolume(f func(volume int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetVolume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectSetVolume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetVolume"})
}

func (ptr *QMediaPlayerControl) SetVolume(volume int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVolume", volume})
}

func (ptr *QMediaPlayerControl) ConnectState(f func() QMediaPlayer__State) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectState"})
}

func (ptr *QMediaPlayerControl) State() QMediaPlayer__State {

	return QMediaPlayer__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QMediaPlayerControl) ConnectStateChanged(f func(newState QMediaPlayer__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QMediaPlayerControl) StateChanged(newState QMediaPlayer__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", newState})
}

func (ptr *QMediaPlayerControl) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QMediaPlayerControl) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QMediaPlayerControl) ConnectVideoAvailableChanged(f func(videoAvailable bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVideoAvailableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectVideoAvailableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVideoAvailableChanged"})
}

func (ptr *QMediaPlayerControl) VideoAvailableChanged(videoAvailable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VideoAvailableChanged", videoAvailable})
}

func (ptr *QMediaPlayerControl) ConnectVolume(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVolume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectVolume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVolume"})
}

func (ptr *QMediaPlayerControl) Volume() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Volume"}).(float64))
}

func (ptr *QMediaPlayerControl) ConnectVolumeChanged(f func(volume int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVolumeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectVolumeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVolumeChanged"})
}

func (ptr *QMediaPlayerControl) VolumeChanged(volume int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VolumeChanged", volume})
}

func (ptr *QMediaPlayerControl) ConnectDestroyQMediaPlayerControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaPlayerControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlayerControl) DisconnectDestroyQMediaPlayerControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaPlayerControl"})
}

func (ptr *QMediaPlayerControl) DestroyQMediaPlayerControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaPlayerControl"})
}

func (ptr *QMediaPlayerControl) DestroyQMediaPlayerControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaPlayerControlDefault"})
}

type QMediaPlaylist struct {
	core.QObject
	QMediaBindableInterface
}

type QMediaPlaylist_ITF interface {
	core.QObject_ITF
	QMediaBindableInterface_ITF
	QMediaPlaylist_PTR() *QMediaPlaylist
}

func (ptr *QMediaPlaylist) QMediaPlaylist_PTR() *QMediaPlaylist {
	return ptr
}

func (ptr *QMediaPlaylist) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaPlaylist) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
		ptr.QMediaBindableInterface_PTR().SetPointer(p)
	}
}

func PointerFromQMediaPlaylist(ptr QMediaPlaylist_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaPlaylist_PTR().Pointer()
	}
	return nil
}

func (n *QMediaPlaylist) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaBindableInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaPlaylist) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQMediaPlaylistFromPointer(ptr unsafe.Pointer) (n *QMediaPlaylist) {
	n = new(QMediaPlaylist)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaPlaylist")
	return
}

//go:generate stringer -type=QMediaPlaylist__PlaybackMode
//QMediaPlaylist::PlaybackMode
type QMediaPlaylist__PlaybackMode int64

const (
	QMediaPlaylist__CurrentItemOnce   QMediaPlaylist__PlaybackMode = QMediaPlaylist__PlaybackMode(0)
	QMediaPlaylist__CurrentItemInLoop QMediaPlaylist__PlaybackMode = QMediaPlaylist__PlaybackMode(1)
	QMediaPlaylist__Sequential        QMediaPlaylist__PlaybackMode = QMediaPlaylist__PlaybackMode(2)
	QMediaPlaylist__Loop              QMediaPlaylist__PlaybackMode = QMediaPlaylist__PlaybackMode(3)
	QMediaPlaylist__Random            QMediaPlaylist__PlaybackMode = QMediaPlaylist__PlaybackMode(4)
)

//go:generate stringer -type=QMediaPlaylist__Error
//QMediaPlaylist::Error
type QMediaPlaylist__Error int64

const (
	QMediaPlaylist__NoError                 QMediaPlaylist__Error = QMediaPlaylist__Error(0)
	QMediaPlaylist__FormatError             QMediaPlaylist__Error = QMediaPlaylist__Error(1)
	QMediaPlaylist__FormatNotSupportedError QMediaPlaylist__Error = QMediaPlaylist__Error(2)
	QMediaPlaylist__NetworkError            QMediaPlaylist__Error = QMediaPlaylist__Error(3)
	QMediaPlaylist__AccessDeniedError       QMediaPlaylist__Error = QMediaPlaylist__Error(4)
)

func NewQMediaPlaylist(parent core.QObject_ITF) *QMediaPlaylist {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaPlaylist", "", parent}).(*QMediaPlaylist)
}

func (ptr *QMediaPlaylist) AddMedia(content QMediaContent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AddMedia", content}).(bool)
}

func (ptr *QMediaPlaylist) AddMedia2(items []*QMediaContent) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AddMedia2", items}).(bool)
}

func (ptr *QMediaPlaylist) Clear() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Clear"}).(bool)
}

func (ptr *QMediaPlaylist) CurrentIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CurrentIndex"}).(float64))
}

func (ptr *QMediaPlaylist) ConnectCurrentIndexChanged(f func(position int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectCurrentIndexChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectCurrentIndexChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectCurrentIndexChanged"})
}

func (ptr *QMediaPlaylist) CurrentIndexChanged(position int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CurrentIndexChanged", position})
}

func (ptr *QMediaPlaylist) CurrentMedia() *QMediaContent {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CurrentMedia"}).(*QMediaContent)
}

func (ptr *QMediaPlaylist) ConnectCurrentMediaChanged(f func(content *QMediaContent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectCurrentMediaChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectCurrentMediaChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectCurrentMediaChanged"})
}

func (ptr *QMediaPlaylist) CurrentMediaChanged(content QMediaContent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CurrentMediaChanged", content})
}

func (ptr *QMediaPlaylist) Error() QMediaPlaylist__Error {

	return QMediaPlaylist__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QMediaPlaylist) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QMediaPlaylist) InsertMedia(pos int, content QMediaContent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "InsertMedia", pos, content}).(bool)
}

func (ptr *QMediaPlaylist) InsertMedia2(pos int, items []*QMediaContent) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "InsertMedia2", pos, items}).(bool)
}

func (ptr *QMediaPlaylist) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QMediaPlaylist) IsReadOnly() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsReadOnly"}).(bool)
}

func (ptr *QMediaPlaylist) Load(request network.QNetworkRequest_ITF, format string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Load", request, format})
}

func (ptr *QMediaPlaylist) Load2(location core.QUrl_ITF, format string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Load2", location, format})
}

func (ptr *QMediaPlaylist) Load3(device core.QIODevice_ITF, format string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Load3", device, format})
}

func (ptr *QMediaPlaylist) ConnectLoadFailed(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectLoadFailed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectLoadFailed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectLoadFailed"})
}

func (ptr *QMediaPlaylist) LoadFailed() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "LoadFailed"})
}

func (ptr *QMediaPlaylist) ConnectLoaded(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectLoaded", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectLoaded() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectLoaded"})
}

func (ptr *QMediaPlaylist) Loaded() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Loaded"})
}

func (ptr *QMediaPlaylist) Media(index int) *QMediaContent {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Media", index}).(*QMediaContent)
}

func (ptr *QMediaPlaylist) ConnectMediaAboutToBeInserted(f func(start int, end int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMediaAboutToBeInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectMediaAboutToBeInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMediaAboutToBeInserted"})
}

func (ptr *QMediaPlaylist) MediaAboutToBeInserted(start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MediaAboutToBeInserted", start, end})
}

func (ptr *QMediaPlaylist) ConnectMediaAboutToBeRemoved(f func(start int, end int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMediaAboutToBeRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectMediaAboutToBeRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMediaAboutToBeRemoved"})
}

func (ptr *QMediaPlaylist) MediaAboutToBeRemoved(start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MediaAboutToBeRemoved", start, end})
}

func (ptr *QMediaPlaylist) ConnectMediaChanged(f func(start int, end int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMediaChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectMediaChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMediaChanged"})
}

func (ptr *QMediaPlaylist) MediaChanged(start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MediaChanged", start, end})
}

func (ptr *QMediaPlaylist) MediaCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MediaCount"}).(float64))
}

func (ptr *QMediaPlaylist) ConnectMediaInserted(f func(start int, end int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMediaInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectMediaInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMediaInserted"})
}

func (ptr *QMediaPlaylist) MediaInserted(start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MediaInserted", start, end})
}

func (ptr *QMediaPlaylist) ConnectMediaObject(f func() *QMediaObject) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMediaObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectMediaObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMediaObject"})
}

func (ptr *QMediaPlaylist) MediaObject() *QMediaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MediaObject"}).(*QMediaObject)
}

func (ptr *QMediaPlaylist) MediaObjectDefault() *QMediaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MediaObjectDefault"}).(*QMediaObject)
}

func (ptr *QMediaPlaylist) ConnectMediaRemoved(f func(start int, end int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMediaRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectMediaRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMediaRemoved"})
}

func (ptr *QMediaPlaylist) MediaRemoved(start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MediaRemoved", start, end})
}

func (ptr *QMediaPlaylist) MoveMedia(from int, to int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MoveMedia", from, to}).(bool)
}

func (ptr *QMediaPlaylist) ConnectNext(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNext", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectNext() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNext"})
}

func (ptr *QMediaPlaylist) Next() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Next"})
}

func (ptr *QMediaPlaylist) NextDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "NextDefault"})
}

func (ptr *QMediaPlaylist) NextIndex(steps int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "NextIndex", steps}).(float64))
}

func (ptr *QMediaPlaylist) PlaybackMode() QMediaPlaylist__PlaybackMode {

	return QMediaPlaylist__PlaybackMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "PlaybackMode"}).(float64))
}

func (ptr *QMediaPlaylist) ConnectPlaybackModeChanged(f func(mode QMediaPlaylist__PlaybackMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectPlaybackModeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectPlaybackModeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectPlaybackModeChanged"})
}

func (ptr *QMediaPlaylist) PlaybackModeChanged(mode QMediaPlaylist__PlaybackMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "PlaybackModeChanged", mode})
}

func (ptr *QMediaPlaylist) ConnectPrevious(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectPrevious", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectPrevious() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectPrevious"})
}

func (ptr *QMediaPlaylist) Previous() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Previous"})
}

func (ptr *QMediaPlaylist) PreviousDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "PreviousDefault"})
}

func (ptr *QMediaPlaylist) PreviousIndex(steps int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "PreviousIndex", steps}).(float64))
}

func (ptr *QMediaPlaylist) RemoveMedia(pos int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RemoveMedia", pos}).(bool)
}

func (ptr *QMediaPlaylist) RemoveMedia2(start int, end int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RemoveMedia2", start, end}).(bool)
}

func (ptr *QMediaPlaylist) Save(location core.QUrl_ITF, format string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Save", location, format}).(bool)
}

func (ptr *QMediaPlaylist) Save2(device core.QIODevice_ITF, format string) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Save2", device, format}).(bool)
}

func (ptr *QMediaPlaylist) ConnectSetCurrentIndex(f func(playlistPosition int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetCurrentIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectSetCurrentIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetCurrentIndex"})
}

func (ptr *QMediaPlaylist) SetCurrentIndex(playlistPosition int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetCurrentIndex", playlistPosition})
}

func (ptr *QMediaPlaylist) SetCurrentIndexDefault(playlistPosition int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetCurrentIndexDefault", playlistPosition})
}

func (ptr *QMediaPlaylist) SetPlaybackMode(mode QMediaPlaylist__PlaybackMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetPlaybackMode", mode})
}

func (ptr *QMediaPlaylist) ConnectShuffle(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectShuffle", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectShuffle() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectShuffle"})
}

func (ptr *QMediaPlaylist) Shuffle() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Shuffle"})
}

func (ptr *QMediaPlaylist) ShuffleDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShuffleDefault"})
}

func (ptr *QMediaPlaylist) ConnectDestroyQMediaPlaylist(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDestroyQMediaPlaylist", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaPlaylist) DisconnectDestroyQMediaPlaylist() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDestroyQMediaPlaylist"})
}

func (ptr *QMediaPlaylist) DestroyQMediaPlaylist() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQMediaPlaylist"})
}

func (ptr *QMediaPlaylist) DestroyQMediaPlaylistDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQMediaPlaylistDefault"})
}

func (ptr *QMediaPlaylist) __addMedia_items_atList2(i int) *QMediaContent {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__addMedia_items_atList2", i}).(*QMediaContent)
}

func (ptr *QMediaPlaylist) __addMedia_items_setList2(i QMediaContent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__addMedia_items_setList2", i})
}

func (ptr *QMediaPlaylist) __addMedia_items_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__addMedia_items_newList2"}).(unsafe.Pointer)
}

func (ptr *QMediaPlaylist) __insertMedia_items_atList2(i int) *QMediaContent {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__insertMedia_items_atList2", i}).(*QMediaContent)
}

func (ptr *QMediaPlaylist) __insertMedia_items_setList2(i QMediaContent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__insertMedia_items_setList2", i})
}

func (ptr *QMediaPlaylist) __insertMedia_items_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__insertMedia_items_newList2"}).(unsafe.Pointer)
}

func (ptr *QMediaPlaylist) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QMediaPlaylist) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QMediaPlaylist) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaPlaylist) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QMediaPlaylist) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QMediaPlaylist) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaPlaylist) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QMediaPlaylist) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QMediaPlaylist) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaPlaylist) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QMediaPlaylist) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QMediaPlaylist) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QMediaPlaylist) ChildEvent(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEvent", event})
}

func (ptr *QMediaPlaylist) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QMediaPlaylist) ConnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotify", sign})
}

func (ptr *QMediaPlaylist) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QMediaPlaylist) CustomEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEvent", event})
}

func (ptr *QMediaPlaylist) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QMediaPlaylist) DeleteLater() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLater"})
}

func (ptr *QMediaPlaylist) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QMediaPlaylist) DisconnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotify", sign})
}

func (ptr *QMediaPlaylist) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QMediaPlaylist) Event(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Event", e}).(bool)
}

func (ptr *QMediaPlaylist) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QMediaPlaylist) EventFilter(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilter", watched, event}).(bool)
}

func (ptr *QMediaPlaylist) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QMediaPlaylist) MetaObject() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObject"}).(*core.QMetaObject)
}

func (ptr *QMediaPlaylist) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QMediaPlaylist) TimerEvent(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEvent", event})
}

func (ptr *QMediaPlaylist) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEventDefault", event})
}

func (ptr *QMediaPlaylist) SetMediaObject(object QMediaObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMediaObject", object}).(bool)
}

func (ptr *QMediaPlaylist) SetMediaObjectDefault(object QMediaObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMediaObjectDefault", object}).(bool)
}

type QMediaRecorder struct {
	core.QObject
	QMediaBindableInterface
}

type QMediaRecorder_ITF interface {
	core.QObject_ITF
	QMediaBindableInterface_ITF
	QMediaRecorder_PTR() *QMediaRecorder
}

func (ptr *QMediaRecorder) QMediaRecorder_PTR() *QMediaRecorder {
	return ptr
}

func (ptr *QMediaRecorder) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaRecorder) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
		ptr.QMediaBindableInterface_PTR().SetPointer(p)
	}
}

func PointerFromQMediaRecorder(ptr QMediaRecorder_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaRecorder_PTR().Pointer()
	}
	return nil
}

func (n *QMediaRecorder) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaBindableInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaRecorder) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQMediaRecorderFromPointer(ptr unsafe.Pointer) (n *QMediaRecorder) {
	n = new(QMediaRecorder)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaRecorder")
	return
}

//go:generate stringer -type=QMediaRecorder__Status
//QMediaRecorder::Status
type QMediaRecorder__Status int64

const (
	QMediaRecorder__UnavailableStatus QMediaRecorder__Status = QMediaRecorder__Status(0)
	QMediaRecorder__UnloadedStatus    QMediaRecorder__Status = QMediaRecorder__Status(1)
	QMediaRecorder__LoadingStatus     QMediaRecorder__Status = QMediaRecorder__Status(2)
	QMediaRecorder__LoadedStatus      QMediaRecorder__Status = QMediaRecorder__Status(3)
	QMediaRecorder__StartingStatus    QMediaRecorder__Status = QMediaRecorder__Status(4)
	QMediaRecorder__RecordingStatus   QMediaRecorder__Status = QMediaRecorder__Status(5)
	QMediaRecorder__PausedStatus      QMediaRecorder__Status = QMediaRecorder__Status(6)
	QMediaRecorder__FinalizingStatus  QMediaRecorder__Status = QMediaRecorder__Status(7)
)

//go:generate stringer -type=QMediaRecorder__Error
//QMediaRecorder::Error
type QMediaRecorder__Error int64

const (
	QMediaRecorder__NoError         QMediaRecorder__Error = QMediaRecorder__Error(0)
	QMediaRecorder__ResourceError   QMediaRecorder__Error = QMediaRecorder__Error(1)
	QMediaRecorder__FormatError     QMediaRecorder__Error = QMediaRecorder__Error(2)
	QMediaRecorder__OutOfSpaceError QMediaRecorder__Error = QMediaRecorder__Error(3)
)

//go:generate stringer -type=QMediaRecorder__State
//QMediaRecorder::State
type QMediaRecorder__State int64

const (
	QMediaRecorder__StoppedState   QMediaRecorder__State = QMediaRecorder__State(0)
	QMediaRecorder__RecordingState QMediaRecorder__State = QMediaRecorder__State(1)
	QMediaRecorder__PausedState    QMediaRecorder__State = QMediaRecorder__State(2)
)

func NewQMediaRecorder(mediaObject QMediaObject_ITF, parent core.QObject_ITF) *QMediaRecorder {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaRecorder", "", mediaObject, parent}).(*QMediaRecorder)
}

func (ptr *QMediaRecorder) ActualLocation() *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ActualLocation"}).(*core.QUrl)
}

func (ptr *QMediaRecorder) ConnectActualLocationChanged(f func(location *core.QUrl)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectActualLocationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectActualLocationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectActualLocationChanged"})
}

func (ptr *QMediaRecorder) ActualLocationChanged(location core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ActualLocationChanged", location})
}

func (ptr *QMediaRecorder) AudioCodecDescription(codec string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AudioCodecDescription", codec}).(string)
}

func (ptr *QMediaRecorder) AudioSettings() *QAudioEncoderSettings {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AudioSettings"}).(*QAudioEncoderSettings)
}

func (ptr *QMediaRecorder) Availability() QMultimedia__AvailabilityStatus {

	return QMultimedia__AvailabilityStatus(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Availability"}).(float64))
}

func (ptr *QMediaRecorder) ConnectAvailabilityChanged(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectAvailabilityChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectAvailabilityChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectAvailabilityChanged"})
}

func (ptr *QMediaRecorder) AvailabilityChanged(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AvailabilityChanged", available})
}

func (ptr *QMediaRecorder) ConnectAvailabilityChanged2(f func(availability QMultimedia__AvailabilityStatus)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectAvailabilityChanged2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectAvailabilityChanged2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectAvailabilityChanged2"})
}

func (ptr *QMediaRecorder) AvailabilityChanged2(availability QMultimedia__AvailabilityStatus) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AvailabilityChanged2", availability})
}

func (ptr *QMediaRecorder) AvailableMetaData() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AvailableMetaData"}).([]string)
}

func (ptr *QMediaRecorder) ContainerDescription(format string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ContainerDescription", format}).(string)
}

func (ptr *QMediaRecorder) ContainerFormat() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ContainerFormat"}).(string)
}

func (ptr *QMediaRecorder) Duration() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Duration"}).(float64))
}

func (ptr *QMediaRecorder) ConnectDurationChanged(f func(duration int64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDurationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectDurationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDurationChanged"})
}

func (ptr *QMediaRecorder) DurationChanged(duration int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DurationChanged", duration})
}

func (ptr *QMediaRecorder) Error() QMediaRecorder__Error {

	return QMediaRecorder__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QMediaRecorder) ConnectError2(f func(error QMediaRecorder__Error)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectError2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectError2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectError2"})
}

func (ptr *QMediaRecorder) Error2(error QMediaRecorder__Error) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Error2", error})
}

func (ptr *QMediaRecorder) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QMediaRecorder) IsAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsAvailable"}).(bool)
}

func (ptr *QMediaRecorder) IsMetaDataAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsMetaDataAvailable"}).(bool)
}

func (ptr *QMediaRecorder) IsMetaDataWritable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsMetaDataWritable"}).(bool)
}

func (ptr *QMediaRecorder) IsMuted() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsMuted"}).(bool)
}

func (ptr *QMediaRecorder) ConnectMediaObject(f func() *QMediaObject) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMediaObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectMediaObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMediaObject"})
}

func (ptr *QMediaRecorder) MediaObject() *QMediaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MediaObject"}).(*QMediaObject)
}

func (ptr *QMediaRecorder) MediaObjectDefault() *QMediaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MediaObjectDefault"}).(*QMediaObject)
}

func (ptr *QMediaRecorder) MetaData(key string) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaData", key}).(*core.QVariant)
}

func (ptr *QMediaRecorder) ConnectMetaDataAvailableChanged(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMetaDataAvailableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectMetaDataAvailableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMetaDataAvailableChanged"})
}

func (ptr *QMediaRecorder) MetaDataAvailableChanged(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaDataAvailableChanged", available})
}

func (ptr *QMediaRecorder) ConnectMetaDataChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMetaDataChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectMetaDataChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMetaDataChanged"})
}

func (ptr *QMediaRecorder) MetaDataChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaDataChanged"})
}

func (ptr *QMediaRecorder) ConnectMetaDataChanged2(f func(key string, value *core.QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMetaDataChanged2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectMetaDataChanged2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMetaDataChanged2"})
}

func (ptr *QMediaRecorder) MetaDataChanged2(key string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaDataChanged2", key, value})
}

func (ptr *QMediaRecorder) ConnectMetaDataWritableChanged(f func(writable bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMetaDataWritableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectMetaDataWritableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMetaDataWritableChanged"})
}

func (ptr *QMediaRecorder) MetaDataWritableChanged(writable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaDataWritableChanged", writable})
}

func (ptr *QMediaRecorder) ConnectMutedChanged(f func(muted bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMutedChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectMutedChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMutedChanged"})
}

func (ptr *QMediaRecorder) MutedChanged(muted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MutedChanged", muted})
}

func (ptr *QMediaRecorder) OutputLocation() *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "OutputLocation"}).(*core.QUrl)
}

func (ptr *QMediaRecorder) ConnectPause(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectPause", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectPause() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectPause"})
}

func (ptr *QMediaRecorder) Pause() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Pause"})
}

func (ptr *QMediaRecorder) PauseDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "PauseDefault"})
}

func (ptr *QMediaRecorder) ConnectRecord(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectRecord", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectRecord() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectRecord"})
}

func (ptr *QMediaRecorder) Record() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Record"})
}

func (ptr *QMediaRecorder) RecordDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RecordDefault"})
}

func (ptr *QMediaRecorder) SetAudioSettings(settings QAudioEncoderSettings_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetAudioSettings", settings})
}

func (ptr *QMediaRecorder) SetContainerFormat(container string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetContainerFormat", container})
}

func (ptr *QMediaRecorder) SetEncodingSettings(audio QAudioEncoderSettings_ITF, video QVideoEncoderSettings_ITF, container string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetEncodingSettings", audio, video, container})
}

func (ptr *QMediaRecorder) SetMetaData(key string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMetaData", key, value})
}

func (ptr *QMediaRecorder) ConnectSetMuted(f func(muted bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetMuted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectSetMuted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetMuted"})
}

func (ptr *QMediaRecorder) SetMuted(muted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMuted", muted})
}

func (ptr *QMediaRecorder) SetMutedDefault(muted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMutedDefault", muted})
}

func (ptr *QMediaRecorder) SetOutputLocation(location core.QUrl_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetOutputLocation", location}).(bool)
}

func (ptr *QMediaRecorder) SetVideoSettings(settings QVideoEncoderSettings_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetVideoSettings", settings})
}

func (ptr *QMediaRecorder) ConnectSetVolume(f func(volume float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetVolume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectSetVolume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetVolume"})
}

func (ptr *QMediaRecorder) SetVolume(volume float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetVolume", volume})
}

func (ptr *QMediaRecorder) SetVolumeDefault(volume float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetVolumeDefault", volume})
}

func (ptr *QMediaRecorder) State() QMediaRecorder__State {

	return QMediaRecorder__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QMediaRecorder) ConnectStateChanged(f func(state QMediaRecorder__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QMediaRecorder) StateChanged(state QMediaRecorder__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "StateChanged", state})
}

func (ptr *QMediaRecorder) Status() QMediaRecorder__Status {

	return QMediaRecorder__Status(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Status"}).(float64))
}

func (ptr *QMediaRecorder) ConnectStatusChanged(f func(status QMediaRecorder__Status)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectStatusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectStatusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectStatusChanged"})
}

func (ptr *QMediaRecorder) StatusChanged(status QMediaRecorder__Status) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "StatusChanged", status})
}

func (ptr *QMediaRecorder) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QMediaRecorder) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Stop"})
}

func (ptr *QMediaRecorder) StopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "StopDefault"})
}

func (ptr *QMediaRecorder) SupportedAudioCodecs() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SupportedAudioCodecs"}).([]string)
}

func (ptr *QMediaRecorder) SupportedAudioSampleRates(settings QAudioEncoderSettings_ITF, continuous *bool) []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SupportedAudioSampleRates", settings, continuous}).([]int)
}

func (ptr *QMediaRecorder) SupportedContainers() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SupportedContainers"}).([]string)
}

func (ptr *QMediaRecorder) SupportedFrameRates(settings QVideoEncoderSettings_ITF, continuous *bool) []float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SupportedFrameRates", settings, continuous}).([]float64)
}

func (ptr *QMediaRecorder) SupportedResolutions(settings QVideoEncoderSettings_ITF, continuous *bool) []*core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SupportedResolutions", settings, continuous}).([]*core.QSize)
}

func (ptr *QMediaRecorder) SupportedVideoCodecs() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SupportedVideoCodecs"}).([]string)
}

func (ptr *QMediaRecorder) VideoCodecDescription(codec string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "VideoCodecDescription", codec}).(string)
}

func (ptr *QMediaRecorder) VideoSettings() *QVideoEncoderSettings {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "VideoSettings"}).(*QVideoEncoderSettings)
}

func (ptr *QMediaRecorder) Volume() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Volume"}).(float64)
}

func (ptr *QMediaRecorder) ConnectVolumeChanged(f func(volume float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectVolumeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectVolumeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectVolumeChanged"})
}

func (ptr *QMediaRecorder) VolumeChanged(volume float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "VolumeChanged", volume})
}

func (ptr *QMediaRecorder) ConnectDestroyQMediaRecorder(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDestroyQMediaRecorder", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorder) DisconnectDestroyQMediaRecorder() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDestroyQMediaRecorder"})
}

func (ptr *QMediaRecorder) DestroyQMediaRecorder() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQMediaRecorder"})
}

func (ptr *QMediaRecorder) DestroyQMediaRecorderDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQMediaRecorderDefault"})
}

func (ptr *QMediaRecorder) __supportedAudioSampleRates_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedAudioSampleRates_atList", i}).(float64))
}

func (ptr *QMediaRecorder) __supportedAudioSampleRates_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedAudioSampleRates_setList", i})
}

func (ptr *QMediaRecorder) __supportedAudioSampleRates_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedAudioSampleRates_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaRecorder) __supportedFrameRates_atList(i int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedFrameRates_atList", i}).(float64)
}

func (ptr *QMediaRecorder) __supportedFrameRates_setList(i float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedFrameRates_setList", i})
}

func (ptr *QMediaRecorder) __supportedFrameRates_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedFrameRates_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaRecorder) __supportedResolutions_atList(i int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedResolutions_atList", i}).(*core.QSize)
}

func (ptr *QMediaRecorder) __supportedResolutions_setList(i core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedResolutions_setList", i})
}

func (ptr *QMediaRecorder) __supportedResolutions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__supportedResolutions_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaRecorder) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QMediaRecorder) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QMediaRecorder) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaRecorder) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QMediaRecorder) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QMediaRecorder) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaRecorder) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QMediaRecorder) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QMediaRecorder) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaRecorder) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QMediaRecorder) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QMediaRecorder) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QMediaRecorder) ChildEvent(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEvent", event})
}

func (ptr *QMediaRecorder) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QMediaRecorder) ConnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotify", sign})
}

func (ptr *QMediaRecorder) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QMediaRecorder) CustomEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEvent", event})
}

func (ptr *QMediaRecorder) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QMediaRecorder) DeleteLater() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLater"})
}

func (ptr *QMediaRecorder) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QMediaRecorder) DisconnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotify", sign})
}

func (ptr *QMediaRecorder) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QMediaRecorder) Event(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Event", e}).(bool)
}

func (ptr *QMediaRecorder) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QMediaRecorder) EventFilter(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilter", watched, event}).(bool)
}

func (ptr *QMediaRecorder) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QMediaRecorder) MetaObject() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObject"}).(*core.QMetaObject)
}

func (ptr *QMediaRecorder) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QMediaRecorder) TimerEvent(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEvent", event})
}

func (ptr *QMediaRecorder) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEventDefault", event})
}

func (ptr *QMediaRecorder) SetMediaObject(object QMediaObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMediaObject", object}).(bool)
}

func (ptr *QMediaRecorder) SetMediaObjectDefault(object QMediaObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMediaObjectDefault", object}).(bool)
}

type QMediaRecorderControl struct {
	QMediaControl
}

type QMediaRecorderControl_ITF interface {
	QMediaControl_ITF
	QMediaRecorderControl_PTR() *QMediaRecorderControl
}

func (ptr *QMediaRecorderControl) QMediaRecorderControl_PTR() *QMediaRecorderControl {
	return ptr
}

func (ptr *QMediaRecorderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaRecorderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQMediaRecorderControl(ptr QMediaRecorderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaRecorderControl_PTR().Pointer()
	}
	return nil
}

func (n *QMediaRecorderControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaRecorderControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQMediaRecorderControlFromPointer(ptr unsafe.Pointer) (n *QMediaRecorderControl) {
	n = new(QMediaRecorderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaRecorderControl")
	return
}
func NewQMediaRecorderControl(parent core.QObject_ITF) *QMediaRecorderControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaRecorderControl", "", parent}).(*QMediaRecorderControl)
}

func (ptr *QMediaRecorderControl) ConnectActualLocationChanged(f func(location *core.QUrl)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActualLocationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectActualLocationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActualLocationChanged"})
}

func (ptr *QMediaRecorderControl) ActualLocationChanged(location core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActualLocationChanged", location})
}

func (ptr *QMediaRecorderControl) ConnectApplySettings(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectApplySettings", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectApplySettings() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectApplySettings"})
}

func (ptr *QMediaRecorderControl) ApplySettings() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApplySettings"})
}

func (ptr *QMediaRecorderControl) ConnectDuration(f func() int64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDuration", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectDuration() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDuration"})
}

func (ptr *QMediaRecorderControl) Duration() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Duration"}).(float64))
}

func (ptr *QMediaRecorderControl) ConnectDurationChanged(f func(duration int64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDurationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectDurationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDurationChanged"})
}

func (ptr *QMediaRecorderControl) DurationChanged(duration int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DurationChanged", duration})
}

func (ptr *QMediaRecorderControl) ConnectError(f func(error int, errorString string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectError() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError"})
}

func (ptr *QMediaRecorderControl) Error(error int, errorString string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error", error, errorString})
}

func (ptr *QMediaRecorderControl) ConnectIsMuted(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsMuted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectIsMuted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsMuted"})
}

func (ptr *QMediaRecorderControl) IsMuted() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMuted"}).(bool)
}

func (ptr *QMediaRecorderControl) ConnectMutedChanged(f func(muted bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMutedChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectMutedChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMutedChanged"})
}

func (ptr *QMediaRecorderControl) MutedChanged(muted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MutedChanged", muted})
}

func (ptr *QMediaRecorderControl) ConnectOutputLocation(f func() *core.QUrl) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOutputLocation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectOutputLocation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOutputLocation"})
}

func (ptr *QMediaRecorderControl) OutputLocation() *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OutputLocation"}).(*core.QUrl)
}

func (ptr *QMediaRecorderControl) ConnectSetMuted(f func(muted bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMuted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectSetMuted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMuted"})
}

func (ptr *QMediaRecorderControl) SetMuted(muted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMuted", muted})
}

func (ptr *QMediaRecorderControl) ConnectSetOutputLocation(f func(location *core.QUrl) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetOutputLocation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectSetOutputLocation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetOutputLocation"})
}

func (ptr *QMediaRecorderControl) SetOutputLocation(location core.QUrl_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOutputLocation", location}).(bool)
}

func (ptr *QMediaRecorderControl) ConnectSetState(f func(state QMediaRecorder__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectSetState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetState"})
}

func (ptr *QMediaRecorderControl) SetState(state QMediaRecorder__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetState", state})
}

func (ptr *QMediaRecorderControl) ConnectSetVolume(f func(volume float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetVolume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectSetVolume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetVolume"})
}

func (ptr *QMediaRecorderControl) SetVolume(volume float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVolume", volume})
}

func (ptr *QMediaRecorderControl) ConnectState(f func() QMediaRecorder__State) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectState"})
}

func (ptr *QMediaRecorderControl) State() QMediaRecorder__State {

	return QMediaRecorder__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QMediaRecorderControl) ConnectStateChanged(f func(state QMediaRecorder__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QMediaRecorderControl) StateChanged(state QMediaRecorder__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", state})
}

func (ptr *QMediaRecorderControl) ConnectStatus(f func() QMediaRecorder__Status) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStatus", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectStatus() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStatus"})
}

func (ptr *QMediaRecorderControl) Status() QMediaRecorder__Status {

	return QMediaRecorder__Status(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Status"}).(float64))
}

func (ptr *QMediaRecorderControl) ConnectStatusChanged(f func(status QMediaRecorder__Status)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStatusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectStatusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStatusChanged"})
}

func (ptr *QMediaRecorderControl) StatusChanged(status QMediaRecorder__Status) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StatusChanged", status})
}

func (ptr *QMediaRecorderControl) ConnectVolume(f func() float64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVolume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectVolume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVolume"})
}

func (ptr *QMediaRecorderControl) Volume() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Volume"}).(float64)
}

func (ptr *QMediaRecorderControl) ConnectVolumeChanged(f func(gain float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVolumeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectVolumeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVolumeChanged"})
}

func (ptr *QMediaRecorderControl) VolumeChanged(gain float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VolumeChanged", gain})
}

func (ptr *QMediaRecorderControl) ConnectDestroyQMediaRecorderControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaRecorderControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaRecorderControl) DisconnectDestroyQMediaRecorderControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaRecorderControl"})
}

func (ptr *QMediaRecorderControl) DestroyQMediaRecorderControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaRecorderControl"})
}

func (ptr *QMediaRecorderControl) DestroyQMediaRecorderControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaRecorderControlDefault"})
}

type QMediaResource struct {
	internal.Internal
}

type QMediaResource_ITF interface {
	QMediaResource_PTR() *QMediaResource
}

func (ptr *QMediaResource) QMediaResource_PTR() *QMediaResource {
	return ptr
}

func (ptr *QMediaResource) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMediaResource) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMediaResource(ptr QMediaResource_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaResource_PTR().Pointer()
	}
	return nil
}

func (n *QMediaResource) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMediaResourceFromPointer(ptr unsafe.Pointer) (n *QMediaResource) {
	n = new(QMediaResource)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaResource")
	return
}
func NewQMediaResource() *QMediaResource {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaResource", ""}).(*QMediaResource)
}

func NewQMediaResource2(url core.QUrl_ITF, mimeType string) *QMediaResource {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaResource2", "", url, mimeType}).(*QMediaResource)
}

func NewQMediaResource3(request network.QNetworkRequest_ITF, mimeType string) *QMediaResource {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaResource3", "", request, mimeType}).(*QMediaResource)
}

func NewQMediaResource4(other QMediaResource_ITF) *QMediaResource {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaResource4", "", other}).(*QMediaResource)
}

func (ptr *QMediaResource) AudioBitRate() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioBitRate"}).(float64))
}

func (ptr *QMediaResource) AudioCodec() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AudioCodec"}).(string)
}

func (ptr *QMediaResource) ChannelCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChannelCount"}).(float64))
}

func (ptr *QMediaResource) DataSize() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataSize"}).(float64))
}

func (ptr *QMediaResource) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QMediaResource) Language() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Language"}).(string)
}

func (ptr *QMediaResource) MimeType() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeType"}).(string)
}

func (ptr *QMediaResource) Request() *network.QNetworkRequest {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Request"}).(*network.QNetworkRequest)
}

func (ptr *QMediaResource) Resolution() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resolution"}).(*core.QSize)
}

func (ptr *QMediaResource) SampleRate() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SampleRate"}).(float64))
}

func (ptr *QMediaResource) SetAudioBitRate(rate int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAudioBitRate", rate})
}

func (ptr *QMediaResource) SetAudioCodec(codec string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAudioCodec", codec})
}

func (ptr *QMediaResource) SetChannelCount(channels int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChannelCount", channels})
}

func (ptr *QMediaResource) SetDataSize(size int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDataSize", size})
}

func (ptr *QMediaResource) SetLanguage(language string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLanguage", language})
}

func (ptr *QMediaResource) SetResolution(resolution core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResolution", resolution})
}

func (ptr *QMediaResource) SetResolution2(width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResolution2", width, height})
}

func (ptr *QMediaResource) SetSampleRate(sampleRate int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSampleRate", sampleRate})
}

func (ptr *QMediaResource) SetVideoBitRate(rate int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVideoBitRate", rate})
}

func (ptr *QMediaResource) SetVideoCodec(codec string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVideoCodec", codec})
}

func (ptr *QMediaResource) Url() *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Url"}).(*core.QUrl)
}

func (ptr *QMediaResource) VideoBitRate() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VideoBitRate"}).(float64))
}

func (ptr *QMediaResource) VideoCodec() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VideoCodec"}).(string)
}

func (ptr *QMediaResource) DestroyQMediaResource() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaResource"})
}

func (ptr *QMediaResource) __values_atList(v int, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__values_atList", v, i}).(*core.QVariant)
}

func (ptr *QMediaResource) __values_setList(key int, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__values_setList", key, i})
}

func (ptr *QMediaResource) __values_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__values_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaResource) __values_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__values_keyList"}).([]int)
}

func (ptr *QMediaResource) __setValues__atList(v int, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setValues__atList", v, i}).(*core.QVariant)
}

func (ptr *QMediaResource) __setValues__setList(key int, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setValues__setList", key, i})
}

func (ptr *QMediaResource) __setValues__newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setValues__newList"}).(unsafe.Pointer)
}

func (ptr *QMediaResource) __setValues__keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setValues__keyList"}).([]int)
}

func (ptr *QMediaResource) ____values_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____values_keyList_atList", i}).(float64))
}

func (ptr *QMediaResource) ____values_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____values_keyList_setList", i})
}

func (ptr *QMediaResource) ____values_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____values_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaResource) ____setValues__keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setValues__keyList_atList", i}).(float64))
}

func (ptr *QMediaResource) ____setValues__keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setValues__keyList_setList", i})
}

func (ptr *QMediaResource) ____setValues__keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setValues__keyList_newList"}).(unsafe.Pointer)
}

type QMediaService struct {
	core.QObject
}

type QMediaService_ITF interface {
	core.QObject_ITF
	QMediaService_PTR() *QMediaService
}

func (ptr *QMediaService) QMediaService_PTR() *QMediaService {
	return ptr
}

func (ptr *QMediaService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQMediaService(ptr QMediaService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (n *QMediaService) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaService) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQMediaServiceFromPointer(ptr unsafe.Pointer) (n *QMediaService) {
	n = new(QMediaService)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaService")
	return
}
func NewQMediaService(parent core.QObject_ITF) *QMediaService {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaService", "", parent}).(*QMediaService)
}

func (ptr *QMediaService) ConnectReleaseControl(f func(control *QMediaControl)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReleaseControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaService) DisconnectReleaseControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReleaseControl"})
}

func (ptr *QMediaService) ReleaseControl(control QMediaControl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReleaseControl", control})
}

func (ptr *QMediaService) ConnectRequestControl(f func(interfa string) *QMediaControl) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRequestControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaService) DisconnectRequestControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRequestControl"})
}

func (ptr *QMediaService) RequestControl(interfa string) *QMediaControl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestControl", interfa}).(*QMediaControl)
}

func (ptr *QMediaService) RequestControl2() *QMediaService {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestControl2"}).(*QMediaService)
}

func (ptr *QMediaService) ConnectDestroyQMediaService(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaService", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaService) DisconnectDestroyQMediaService() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaService"})
}

func (ptr *QMediaService) DestroyQMediaService() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaService"})
}

func (ptr *QMediaService) DestroyQMediaServiceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaServiceDefault"})
}

func (ptr *QMediaService) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QMediaService) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QMediaService) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaService) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QMediaService) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QMediaService) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaService) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QMediaService) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QMediaService) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaService) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QMediaService) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QMediaService) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QMediaService) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QMediaService) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QMediaService) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QMediaService) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QMediaService) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QMediaService) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QMediaService) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QMediaService) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QMediaService) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QMediaServiceCameraInfoInterface struct {
	internal.Internal
}

type QMediaServiceCameraInfoInterface_ITF interface {
	QMediaServiceCameraInfoInterface_PTR() *QMediaServiceCameraInfoInterface
}

func (ptr *QMediaServiceCameraInfoInterface) QMediaServiceCameraInfoInterface_PTR() *QMediaServiceCameraInfoInterface {
	return ptr
}

func (ptr *QMediaServiceCameraInfoInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMediaServiceCameraInfoInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMediaServiceCameraInfoInterface(ptr QMediaServiceCameraInfoInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceCameraInfoInterface_PTR().Pointer()
	}
	return nil
}

func (n *QMediaServiceCameraInfoInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMediaServiceCameraInfoInterfaceFromPointer(ptr unsafe.Pointer) (n *QMediaServiceCameraInfoInterface) {
	n = new(QMediaServiceCameraInfoInterface)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaServiceCameraInfoInterface")
	return
}
func (ptr *QMediaServiceCameraInfoInterface) ConnectCameraOrientation(f func(device *core.QByteArray) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCameraOrientation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaServiceCameraInfoInterface) DisconnectCameraOrientation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCameraOrientation"})
}

func (ptr *QMediaServiceCameraInfoInterface) CameraOrientation(device core.QByteArray_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CameraOrientation", device}).(float64))
}

func (ptr *QMediaServiceCameraInfoInterface) ConnectCameraPosition(f func(device *core.QByteArray) QCamera__Position) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCameraPosition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaServiceCameraInfoInterface) DisconnectCameraPosition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCameraPosition"})
}

func (ptr *QMediaServiceCameraInfoInterface) CameraPosition(device core.QByteArray_ITF) QCamera__Position {

	return QCamera__Position(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CameraPosition", device}).(float64))
}

func (ptr *QMediaServiceCameraInfoInterface) ConnectDestroyQMediaServiceCameraInfoInterface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaServiceCameraInfoInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaServiceCameraInfoInterface) DisconnectDestroyQMediaServiceCameraInfoInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaServiceCameraInfoInterface"})
}

func (ptr *QMediaServiceCameraInfoInterface) DestroyQMediaServiceCameraInfoInterface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaServiceCameraInfoInterface"})
}

func (ptr *QMediaServiceCameraInfoInterface) DestroyQMediaServiceCameraInfoInterfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaServiceCameraInfoInterfaceDefault"})
}

type QMediaServiceDefaultDeviceInterface struct {
	internal.Internal
}

type QMediaServiceDefaultDeviceInterface_ITF interface {
	QMediaServiceDefaultDeviceInterface_PTR() *QMediaServiceDefaultDeviceInterface
}

func (ptr *QMediaServiceDefaultDeviceInterface) QMediaServiceDefaultDeviceInterface_PTR() *QMediaServiceDefaultDeviceInterface {
	return ptr
}

func (ptr *QMediaServiceDefaultDeviceInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMediaServiceDefaultDeviceInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMediaServiceDefaultDeviceInterface(ptr QMediaServiceDefaultDeviceInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceDefaultDeviceInterface_PTR().Pointer()
	}
	return nil
}

func (n *QMediaServiceDefaultDeviceInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMediaServiceDefaultDeviceInterfaceFromPointer(ptr unsafe.Pointer) (n *QMediaServiceDefaultDeviceInterface) {
	n = new(QMediaServiceDefaultDeviceInterface)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaServiceDefaultDeviceInterface")
	return
}
func (ptr *QMediaServiceDefaultDeviceInterface) ConnectDefaultDevice(f func(service *core.QByteArray) *core.QByteArray) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDefaultDevice", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaServiceDefaultDeviceInterface) DisconnectDefaultDevice() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDefaultDevice"})
}

func (ptr *QMediaServiceDefaultDeviceInterface) DefaultDevice(service core.QByteArray_ITF) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultDevice", service}).(*core.QByteArray)
}

func (ptr *QMediaServiceDefaultDeviceInterface) ConnectDestroyQMediaServiceDefaultDeviceInterface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaServiceDefaultDeviceInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaServiceDefaultDeviceInterface) DisconnectDestroyQMediaServiceDefaultDeviceInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaServiceDefaultDeviceInterface"})
}

func (ptr *QMediaServiceDefaultDeviceInterface) DestroyQMediaServiceDefaultDeviceInterface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaServiceDefaultDeviceInterface"})
}

func (ptr *QMediaServiceDefaultDeviceInterface) DestroyQMediaServiceDefaultDeviceInterfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaServiceDefaultDeviceInterfaceDefault"})
}

type QMediaServiceFeaturesInterface struct {
	internal.Internal
}

type QMediaServiceFeaturesInterface_ITF interface {
	QMediaServiceFeaturesInterface_PTR() *QMediaServiceFeaturesInterface
}

func (ptr *QMediaServiceFeaturesInterface) QMediaServiceFeaturesInterface_PTR() *QMediaServiceFeaturesInterface {
	return ptr
}

func (ptr *QMediaServiceFeaturesInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMediaServiceFeaturesInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMediaServiceFeaturesInterface(ptr QMediaServiceFeaturesInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceFeaturesInterface_PTR().Pointer()
	}
	return nil
}

func (n *QMediaServiceFeaturesInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMediaServiceFeaturesInterfaceFromPointer(ptr unsafe.Pointer) (n *QMediaServiceFeaturesInterface) {
	n = new(QMediaServiceFeaturesInterface)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaServiceFeaturesInterface")
	return
}
func (ptr *QMediaServiceFeaturesInterface) ConnectDestroyQMediaServiceFeaturesInterface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaServiceFeaturesInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaServiceFeaturesInterface) DisconnectDestroyQMediaServiceFeaturesInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaServiceFeaturesInterface"})
}

func (ptr *QMediaServiceFeaturesInterface) DestroyQMediaServiceFeaturesInterface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaServiceFeaturesInterface"})
}

func (ptr *QMediaServiceFeaturesInterface) DestroyQMediaServiceFeaturesInterfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaServiceFeaturesInterfaceDefault"})
}

type QMediaServiceProviderFactoryInterface struct {
	internal.Internal
}

type QMediaServiceProviderFactoryInterface_ITF interface {
	QMediaServiceProviderFactoryInterface_PTR() *QMediaServiceProviderFactoryInterface
}

func (ptr *QMediaServiceProviderFactoryInterface) QMediaServiceProviderFactoryInterface_PTR() *QMediaServiceProviderFactoryInterface {
	return ptr
}

func (ptr *QMediaServiceProviderFactoryInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMediaServiceProviderFactoryInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMediaServiceProviderFactoryInterface(ptr QMediaServiceProviderFactoryInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceProviderFactoryInterface_PTR().Pointer()
	}
	return nil
}

func (n *QMediaServiceProviderFactoryInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMediaServiceProviderFactoryInterfaceFromPointer(ptr unsafe.Pointer) (n *QMediaServiceProviderFactoryInterface) {
	n = new(QMediaServiceProviderFactoryInterface)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaServiceProviderFactoryInterface")
	return
}

func (ptr *QMediaServiceProviderFactoryInterface) DestroyQMediaServiceProviderFactoryInterface() {
}

type QMediaServiceProviderPlugin struct {
	core.QObject
	QMediaServiceProviderFactoryInterface
}

type QMediaServiceProviderPlugin_ITF interface {
	core.QObject_ITF
	QMediaServiceProviderFactoryInterface_ITF
	QMediaServiceProviderPlugin_PTR() *QMediaServiceProviderPlugin
}

func (ptr *QMediaServiceProviderPlugin) QMediaServiceProviderPlugin_PTR() *QMediaServiceProviderPlugin {
	return ptr
}

func (ptr *QMediaServiceProviderPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaServiceProviderPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
		ptr.QMediaServiceProviderFactoryInterface_PTR().SetPointer(p)
	}
}

func PointerFromQMediaServiceProviderPlugin(ptr QMediaServiceProviderPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceProviderPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QMediaServiceProviderPlugin) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceProviderFactoryInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaServiceProviderPlugin) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQMediaServiceProviderPluginFromPointer(ptr unsafe.Pointer) (n *QMediaServiceProviderPlugin) {
	n = new(QMediaServiceProviderPlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaServiceProviderPlugin")
	return
}

func (ptr *QMediaServiceProviderPlugin) DestroyQMediaServiceProviderPlugin() {
}

func (ptr *QMediaServiceProviderPlugin) ConnectCreate(f func(key string) *QMediaService) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectCreate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaServiceProviderPlugin) DisconnectCreate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectCreate"})
}

func (ptr *QMediaServiceProviderPlugin) Create(key string) *QMediaService {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Create", key}).(*QMediaService)
}

func (ptr *QMediaServiceProviderPlugin) ConnectRelease(f func(service *QMediaService)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectRelease", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaServiceProviderPlugin) DisconnectRelease() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectRelease"})
}

func (ptr *QMediaServiceProviderPlugin) Release(service QMediaService_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Release", service})
}

func (ptr *QMediaServiceProviderPlugin) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QMediaServiceProviderPlugin) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QMediaServiceProviderPlugin) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaServiceProviderPlugin) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QMediaServiceProviderPlugin) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QMediaServiceProviderPlugin) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaServiceProviderPlugin) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QMediaServiceProviderPlugin) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QMediaServiceProviderPlugin) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QMediaServiceProviderPlugin) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QMediaServiceProviderPlugin) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QMediaServiceProviderPlugin) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QMediaServiceProviderPlugin) ChildEvent(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEvent", event})
}

func (ptr *QMediaServiceProviderPlugin) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QMediaServiceProviderPlugin) ConnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotify", sign})
}

func (ptr *QMediaServiceProviderPlugin) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QMediaServiceProviderPlugin) CustomEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEvent", event})
}

func (ptr *QMediaServiceProviderPlugin) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QMediaServiceProviderPlugin) DeleteLater() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLater"})
}

func (ptr *QMediaServiceProviderPlugin) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QMediaServiceProviderPlugin) DisconnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotify", sign})
}

func (ptr *QMediaServiceProviderPlugin) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QMediaServiceProviderPlugin) Event(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Event", e}).(bool)
}

func (ptr *QMediaServiceProviderPlugin) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QMediaServiceProviderPlugin) EventFilter(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilter", watched, event}).(bool)
}

func (ptr *QMediaServiceProviderPlugin) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QMediaServiceProviderPlugin) MetaObject() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObject"}).(*core.QMetaObject)
}

func (ptr *QMediaServiceProviderPlugin) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QMediaServiceProviderPlugin) TimerEvent(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEvent", event})
}

func (ptr *QMediaServiceProviderPlugin) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEventDefault", event})
}

type QMediaServiceSupportedDevicesInterface struct {
	internal.Internal
}

type QMediaServiceSupportedDevicesInterface_ITF interface {
	QMediaServiceSupportedDevicesInterface_PTR() *QMediaServiceSupportedDevicesInterface
}

func (ptr *QMediaServiceSupportedDevicesInterface) QMediaServiceSupportedDevicesInterface_PTR() *QMediaServiceSupportedDevicesInterface {
	return ptr
}

func (ptr *QMediaServiceSupportedDevicesInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMediaServiceSupportedDevicesInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMediaServiceSupportedDevicesInterface(ptr QMediaServiceSupportedDevicesInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceSupportedDevicesInterface_PTR().Pointer()
	}
	return nil
}

func (n *QMediaServiceSupportedDevicesInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMediaServiceSupportedDevicesInterfaceFromPointer(ptr unsafe.Pointer) (n *QMediaServiceSupportedDevicesInterface) {
	n = new(QMediaServiceSupportedDevicesInterface)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaServiceSupportedDevicesInterface")
	return
}
func (ptr *QMediaServiceSupportedDevicesInterface) ConnectDeviceDescription(f func(service *core.QByteArray, device *core.QByteArray) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDeviceDescription", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaServiceSupportedDevicesInterface) DisconnectDeviceDescription() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDeviceDescription"})
}

func (ptr *QMediaServiceSupportedDevicesInterface) DeviceDescription(service core.QByteArray_ITF, device core.QByteArray_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeviceDescription", service, device}).(string)
}

func (ptr *QMediaServiceSupportedDevicesInterface) ConnectDevices(f func(service *core.QByteArray) []*core.QByteArray) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDevices", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaServiceSupportedDevicesInterface) DisconnectDevices() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDevices"})
}

func (ptr *QMediaServiceSupportedDevicesInterface) Devices(service core.QByteArray_ITF) []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Devices", service}).([]*core.QByteArray)
}

func (ptr *QMediaServiceSupportedDevicesInterface) ConnectDestroyQMediaServiceSupportedDevicesInterface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaServiceSupportedDevicesInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaServiceSupportedDevicesInterface) DisconnectDestroyQMediaServiceSupportedDevicesInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaServiceSupportedDevicesInterface"})
}

func (ptr *QMediaServiceSupportedDevicesInterface) DestroyQMediaServiceSupportedDevicesInterface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaServiceSupportedDevicesInterface"})
}

func (ptr *QMediaServiceSupportedDevicesInterface) DestroyQMediaServiceSupportedDevicesInterfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaServiceSupportedDevicesInterfaceDefault"})
}

func (ptr *QMediaServiceSupportedDevicesInterface) __devices_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__devices_atList", i}).(*core.QByteArray)
}

func (ptr *QMediaServiceSupportedDevicesInterface) __devices_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__devices_setList", i})
}

func (ptr *QMediaServiceSupportedDevicesInterface) __devices_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__devices_newList"}).(unsafe.Pointer)
}

type QMediaServiceSupportedFormatsInterface struct {
	internal.Internal
}

type QMediaServiceSupportedFormatsInterface_ITF interface {
	QMediaServiceSupportedFormatsInterface_PTR() *QMediaServiceSupportedFormatsInterface
}

func (ptr *QMediaServiceSupportedFormatsInterface) QMediaServiceSupportedFormatsInterface_PTR() *QMediaServiceSupportedFormatsInterface {
	return ptr
}

func (ptr *QMediaServiceSupportedFormatsInterface) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMediaServiceSupportedFormatsInterface) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMediaServiceSupportedFormatsInterface(ptr QMediaServiceSupportedFormatsInterface_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceSupportedFormatsInterface_PTR().Pointer()
	}
	return nil
}

func (n *QMediaServiceSupportedFormatsInterface) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMediaServiceSupportedFormatsInterfaceFromPointer(ptr unsafe.Pointer) (n *QMediaServiceSupportedFormatsInterface) {
	n = new(QMediaServiceSupportedFormatsInterface)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaServiceSupportedFormatsInterface")
	return
}
func (ptr *QMediaServiceSupportedFormatsInterface) ConnectHasSupport(f func(mimeType string, codecs []string) QMultimedia__SupportEstimate) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHasSupport", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaServiceSupportedFormatsInterface) DisconnectHasSupport() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHasSupport"})
}

func (ptr *QMediaServiceSupportedFormatsInterface) HasSupport(mimeType string, codecs []string) QMultimedia__SupportEstimate {

	return QMultimedia__SupportEstimate(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasSupport", mimeType, codecs}).(float64))
}

func (ptr *QMediaServiceSupportedFormatsInterface) ConnectSupportedMimeTypes(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedMimeTypes", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaServiceSupportedFormatsInterface) DisconnectSupportedMimeTypes() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedMimeTypes"})
}

func (ptr *QMediaServiceSupportedFormatsInterface) SupportedMimeTypes() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedMimeTypes"}).([]string)
}

func (ptr *QMediaServiceSupportedFormatsInterface) ConnectDestroyQMediaServiceSupportedFormatsInterface(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaServiceSupportedFormatsInterface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaServiceSupportedFormatsInterface) DisconnectDestroyQMediaServiceSupportedFormatsInterface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaServiceSupportedFormatsInterface"})
}

func (ptr *QMediaServiceSupportedFormatsInterface) DestroyQMediaServiceSupportedFormatsInterface() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaServiceSupportedFormatsInterface"})
}

func (ptr *QMediaServiceSupportedFormatsInterface) DestroyQMediaServiceSupportedFormatsInterfaceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaServiceSupportedFormatsInterfaceDefault"})
}

type QMediaStreamsControl struct {
	QMediaControl
}

type QMediaStreamsControl_ITF interface {
	QMediaControl_ITF
	QMediaStreamsControl_PTR() *QMediaStreamsControl
}

func (ptr *QMediaStreamsControl) QMediaStreamsControl_PTR() *QMediaStreamsControl {
	return ptr
}

func (ptr *QMediaStreamsControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaStreamsControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQMediaStreamsControl(ptr QMediaStreamsControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaStreamsControl_PTR().Pointer()
	}
	return nil
}

func (n *QMediaStreamsControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaStreamsControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQMediaStreamsControlFromPointer(ptr unsafe.Pointer) (n *QMediaStreamsControl) {
	n = new(QMediaStreamsControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaStreamsControl")
	return
}

//go:generate stringer -type=QMediaStreamsControl__StreamType
//QMediaStreamsControl::StreamType
type QMediaStreamsControl__StreamType int64

const (
	QMediaStreamsControl__UnknownStream    QMediaStreamsControl__StreamType = QMediaStreamsControl__StreamType(0)
	QMediaStreamsControl__VideoStream      QMediaStreamsControl__StreamType = QMediaStreamsControl__StreamType(1)
	QMediaStreamsControl__AudioStream      QMediaStreamsControl__StreamType = QMediaStreamsControl__StreamType(2)
	QMediaStreamsControl__SubPictureStream QMediaStreamsControl__StreamType = QMediaStreamsControl__StreamType(3)
	QMediaStreamsControl__DataStream       QMediaStreamsControl__StreamType = QMediaStreamsControl__StreamType(4)
)

func NewQMediaStreamsControl(parent core.QObject_ITF) *QMediaStreamsControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaStreamsControl", "", parent}).(*QMediaStreamsControl)
}

func (ptr *QMediaStreamsControl) ConnectActiveStreamsChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActiveStreamsChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaStreamsControl) DisconnectActiveStreamsChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActiveStreamsChanged"})
}

func (ptr *QMediaStreamsControl) ActiveStreamsChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveStreamsChanged"})
}

func (ptr *QMediaStreamsControl) ConnectIsActive(f func(streamNumber int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsActive", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaStreamsControl) DisconnectIsActive() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsActive"})
}

func (ptr *QMediaStreamsControl) IsActive(streamNumber int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsActive", streamNumber}).(bool)
}

func (ptr *QMediaStreamsControl) ConnectMetaData(f func(streamNumber int, key string) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMetaData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaStreamsControl) DisconnectMetaData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMetaData"})
}

func (ptr *QMediaStreamsControl) MetaData(streamNumber int, key string) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaData", streamNumber, key}).(*core.QVariant)
}

func (ptr *QMediaStreamsControl) ConnectSetActive(f func(streamNumber int, state bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetActive", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaStreamsControl) DisconnectSetActive() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetActive"})
}

func (ptr *QMediaStreamsControl) SetActive(streamNumber int, state bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActive", streamNumber, state})
}

func (ptr *QMediaStreamsControl) ConnectStreamCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStreamCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaStreamsControl) DisconnectStreamCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStreamCount"})
}

func (ptr *QMediaStreamsControl) StreamCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StreamCount"}).(float64))
}

func (ptr *QMediaStreamsControl) ConnectStreamType(f func(streamNumber int) QMediaStreamsControl__StreamType) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStreamType", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaStreamsControl) DisconnectStreamType() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStreamType"})
}

func (ptr *QMediaStreamsControl) StreamType(streamNumber int) QMediaStreamsControl__StreamType {

	return QMediaStreamsControl__StreamType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StreamType", streamNumber}).(float64))
}

func (ptr *QMediaStreamsControl) ConnectStreamsChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStreamsChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaStreamsControl) DisconnectStreamsChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStreamsChanged"})
}

func (ptr *QMediaStreamsControl) StreamsChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StreamsChanged"})
}

func (ptr *QMediaStreamsControl) ConnectDestroyQMediaStreamsControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaStreamsControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaStreamsControl) DisconnectDestroyQMediaStreamsControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaStreamsControl"})
}

func (ptr *QMediaStreamsControl) DestroyQMediaStreamsControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaStreamsControl"})
}

func (ptr *QMediaStreamsControl) DestroyQMediaStreamsControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaStreamsControlDefault"})
}

type QMediaTimeInterval struct {
	internal.Internal
}

type QMediaTimeInterval_ITF interface {
	QMediaTimeInterval_PTR() *QMediaTimeInterval
}

func (ptr *QMediaTimeInterval) QMediaTimeInterval_PTR() *QMediaTimeInterval {
	return ptr
}

func (ptr *QMediaTimeInterval) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMediaTimeInterval) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMediaTimeInterval(ptr QMediaTimeInterval_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaTimeInterval_PTR().Pointer()
	}
	return nil
}

func (n *QMediaTimeInterval) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMediaTimeIntervalFromPointer(ptr unsafe.Pointer) (n *QMediaTimeInterval) {
	n = new(QMediaTimeInterval)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaTimeInterval")
	return
}

func (ptr *QMediaTimeInterval) DestroyQMediaTimeInterval() {
}

func NewQMediaTimeInterval() *QMediaTimeInterval {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaTimeInterval", ""}).(*QMediaTimeInterval)
}

func NewQMediaTimeInterval2(start int64, end int64) *QMediaTimeInterval {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaTimeInterval2", "", start, end}).(*QMediaTimeInterval)
}

func NewQMediaTimeInterval3(other QMediaTimeInterval_ITF) *QMediaTimeInterval {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaTimeInterval3", "", other}).(*QMediaTimeInterval)
}

func (ptr *QMediaTimeInterval) Contains(ti int64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", ti}).(bool)
}

func (ptr *QMediaTimeInterval) End() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "End"}).(float64))
}

func (ptr *QMediaTimeInterval) IsNormal() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNormal"}).(bool)
}

func (ptr *QMediaTimeInterval) Normalized() *QMediaTimeInterval {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Normalized"}).(*QMediaTimeInterval)
}

func (ptr *QMediaTimeInterval) Start() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start"}).(float64))
}

func (ptr *QMediaTimeInterval) Translated(offset int64) *QMediaTimeInterval {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translated", offset}).(*QMediaTimeInterval)
}

type QMediaTimeRange struct {
	internal.Internal
}

type QMediaTimeRange_ITF interface {
	QMediaTimeRange_PTR() *QMediaTimeRange
}

func (ptr *QMediaTimeRange) QMediaTimeRange_PTR() *QMediaTimeRange {
	return ptr
}

func (ptr *QMediaTimeRange) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMediaTimeRange) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMediaTimeRange(ptr QMediaTimeRange_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaTimeRange_PTR().Pointer()
	}
	return nil
}

func (n *QMediaTimeRange) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMediaTimeRangeFromPointer(ptr unsafe.Pointer) (n *QMediaTimeRange) {
	n = new(QMediaTimeRange)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaTimeRange")
	return
}
func NewQMediaTimeRange() *QMediaTimeRange {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaTimeRange", ""}).(*QMediaTimeRange)
}

func NewQMediaTimeRange2(start int64, end int64) *QMediaTimeRange {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaTimeRange2", "", start, end}).(*QMediaTimeRange)
}

func NewQMediaTimeRange3(interval QMediaTimeInterval_ITF) *QMediaTimeRange {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaTimeRange3", "", interval}).(*QMediaTimeRange)
}

func NewQMediaTimeRange4(ran QMediaTimeRange_ITF) *QMediaTimeRange {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaTimeRange4", "", ran}).(*QMediaTimeRange)
}

func (ptr *QMediaTimeRange) AddInterval(interval QMediaTimeInterval_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddInterval", interval})
}

func (ptr *QMediaTimeRange) AddInterval2(start int64, end int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddInterval2", start, end})
}

func (ptr *QMediaTimeRange) AddTimeRange(ran QMediaTimeRange_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddTimeRange", ran})
}

func (ptr *QMediaTimeRange) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QMediaTimeRange) Contains(ti int64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", ti}).(bool)
}

func (ptr *QMediaTimeRange) EarliestTime() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EarliestTime"}).(float64))
}

func (ptr *QMediaTimeRange) Intervals() []*QMediaTimeInterval {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Intervals"}).([]*QMediaTimeInterval)
}

func (ptr *QMediaTimeRange) IsContinuous() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsContinuous"}).(bool)
}

func (ptr *QMediaTimeRange) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QMediaTimeRange) LatestTime() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LatestTime"}).(float64))
}

func (ptr *QMediaTimeRange) RemoveInterval(interval QMediaTimeInterval_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveInterval", interval})
}

func (ptr *QMediaTimeRange) RemoveInterval2(start int64, end int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveInterval2", start, end})
}

func (ptr *QMediaTimeRange) RemoveTimeRange(ran QMediaTimeRange_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveTimeRange", ran})
}

func (ptr *QMediaTimeRange) DestroyQMediaTimeRange() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaTimeRange"})
}

func (ptr *QMediaTimeRange) __intervals_atList(i int) *QMediaTimeInterval {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__intervals_atList", i}).(*QMediaTimeInterval)
}

func (ptr *QMediaTimeRange) __intervals_setList(i QMediaTimeInterval_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__intervals_setList", i})
}

func (ptr *QMediaTimeRange) __intervals_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__intervals_newList"}).(unsafe.Pointer)
}

type QMediaVideoProbeControl struct {
	QMediaControl
}

type QMediaVideoProbeControl_ITF interface {
	QMediaControl_ITF
	QMediaVideoProbeControl_PTR() *QMediaVideoProbeControl
}

func (ptr *QMediaVideoProbeControl) QMediaVideoProbeControl_PTR() *QMediaVideoProbeControl {
	return ptr
}

func (ptr *QMediaVideoProbeControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QMediaVideoProbeControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQMediaVideoProbeControl(ptr QMediaVideoProbeControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaVideoProbeControl_PTR().Pointer()
	}
	return nil
}

func (n *QMediaVideoProbeControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMediaVideoProbeControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQMediaVideoProbeControlFromPointer(ptr unsafe.Pointer) (n *QMediaVideoProbeControl) {
	n = new(QMediaVideoProbeControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMediaVideoProbeControl")
	return
}
func NewQMediaVideoProbeControl(parent core.QObject_ITF) *QMediaVideoProbeControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMediaVideoProbeControl", "", parent}).(*QMediaVideoProbeControl)
}

func (ptr *QMediaVideoProbeControl) ConnectFlush(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFlush", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaVideoProbeControl) DisconnectFlush() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFlush"})
}

func (ptr *QMediaVideoProbeControl) Flush() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flush"})
}

func (ptr *QMediaVideoProbeControl) ConnectVideoFrameProbed(f func(frame *QVideoFrame)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVideoFrameProbed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaVideoProbeControl) DisconnectVideoFrameProbed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVideoFrameProbed"})
}

func (ptr *QMediaVideoProbeControl) VideoFrameProbed(frame QVideoFrame_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VideoFrameProbed", frame})
}

func (ptr *QMediaVideoProbeControl) ConnectDestroyQMediaVideoProbeControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMediaVideoProbeControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMediaVideoProbeControl) DisconnectDestroyQMediaVideoProbeControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMediaVideoProbeControl"})
}

func (ptr *QMediaVideoProbeControl) DestroyQMediaVideoProbeControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaVideoProbeControl"})
}

func (ptr *QMediaVideoProbeControl) DestroyQMediaVideoProbeControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMediaVideoProbeControlDefault"})
}

type QMetaDataReaderControl struct {
	QMediaControl
}

type QMetaDataReaderControl_ITF interface {
	QMediaControl_ITF
	QMetaDataReaderControl_PTR() *QMetaDataReaderControl
}

func (ptr *QMetaDataReaderControl) QMetaDataReaderControl_PTR() *QMetaDataReaderControl {
	return ptr
}

func (ptr *QMetaDataReaderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QMetaDataReaderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQMetaDataReaderControl(ptr QMetaDataReaderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaDataReaderControl_PTR().Pointer()
	}
	return nil
}

func (n *QMetaDataReaderControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMetaDataReaderControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQMetaDataReaderControlFromPointer(ptr unsafe.Pointer) (n *QMetaDataReaderControl) {
	n = new(QMetaDataReaderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMetaDataReaderControl")
	return
}
func NewQMetaDataReaderControl(parent core.QObject_ITF) *QMetaDataReaderControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMetaDataReaderControl", "", parent}).(*QMetaDataReaderControl)
}

func (ptr *QMetaDataReaderControl) ConnectAvailableMetaData(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAvailableMetaData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataReaderControl) DisconnectAvailableMetaData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAvailableMetaData"})
}

func (ptr *QMetaDataReaderControl) AvailableMetaData() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableMetaData"}).([]string)
}

func (ptr *QMetaDataReaderControl) ConnectIsMetaDataAvailable(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsMetaDataAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataReaderControl) DisconnectIsMetaDataAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsMetaDataAvailable"})
}

func (ptr *QMetaDataReaderControl) IsMetaDataAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMetaDataAvailable"}).(bool)
}

func (ptr *QMetaDataReaderControl) ConnectMetaData(f func(key string) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMetaData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataReaderControl) DisconnectMetaData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMetaData"})
}

func (ptr *QMetaDataReaderControl) MetaData(key string) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaData", key}).(*core.QVariant)
}

func (ptr *QMetaDataReaderControl) ConnectMetaDataAvailableChanged(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMetaDataAvailableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataReaderControl) DisconnectMetaDataAvailableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMetaDataAvailableChanged"})
}

func (ptr *QMetaDataReaderControl) MetaDataAvailableChanged(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaDataAvailableChanged", available})
}

func (ptr *QMetaDataReaderControl) ConnectMetaDataChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMetaDataChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataReaderControl) DisconnectMetaDataChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMetaDataChanged"})
}

func (ptr *QMetaDataReaderControl) MetaDataChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaDataChanged"})
}

func (ptr *QMetaDataReaderControl) ConnectMetaDataChanged2(f func(key string, value *core.QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMetaDataChanged2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataReaderControl) DisconnectMetaDataChanged2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMetaDataChanged2"})
}

func (ptr *QMetaDataReaderControl) MetaDataChanged2(key string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaDataChanged2", key, value})
}

func (ptr *QMetaDataReaderControl) ConnectDestroyQMetaDataReaderControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMetaDataReaderControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataReaderControl) DisconnectDestroyQMetaDataReaderControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMetaDataReaderControl"})
}

func (ptr *QMetaDataReaderControl) DestroyQMetaDataReaderControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMetaDataReaderControl"})
}

func (ptr *QMetaDataReaderControl) DestroyQMetaDataReaderControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMetaDataReaderControlDefault"})
}

type QMetaDataWriterControl struct {
	QMediaControl
}

type QMetaDataWriterControl_ITF interface {
	QMediaControl_ITF
	QMetaDataWriterControl_PTR() *QMetaDataWriterControl
}

func (ptr *QMetaDataWriterControl) QMetaDataWriterControl_PTR() *QMetaDataWriterControl {
	return ptr
}

func (ptr *QMetaDataWriterControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QMetaDataWriterControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQMetaDataWriterControl(ptr QMetaDataWriterControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMetaDataWriterControl_PTR().Pointer()
	}
	return nil
}

func (n *QMetaDataWriterControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMetaDataWriterControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQMetaDataWriterControlFromPointer(ptr unsafe.Pointer) (n *QMetaDataWriterControl) {
	n = new(QMetaDataWriterControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMetaDataWriterControl")
	return
}
func NewQMetaDataWriterControl(parent core.QObject_ITF) *QMetaDataWriterControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQMetaDataWriterControl", "", parent}).(*QMetaDataWriterControl)
}

func (ptr *QMetaDataWriterControl) ConnectAvailableMetaData(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAvailableMetaData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataWriterControl) DisconnectAvailableMetaData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAvailableMetaData"})
}

func (ptr *QMetaDataWriterControl) AvailableMetaData() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableMetaData"}).([]string)
}

func (ptr *QMetaDataWriterControl) ConnectIsMetaDataAvailable(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsMetaDataAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataWriterControl) DisconnectIsMetaDataAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsMetaDataAvailable"})
}

func (ptr *QMetaDataWriterControl) IsMetaDataAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMetaDataAvailable"}).(bool)
}

func (ptr *QMetaDataWriterControl) ConnectIsWritable(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsWritable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataWriterControl) DisconnectIsWritable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsWritable"})
}

func (ptr *QMetaDataWriterControl) IsWritable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsWritable"}).(bool)
}

func (ptr *QMetaDataWriterControl) ConnectMetaData(f func(key string) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMetaData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataWriterControl) DisconnectMetaData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMetaData"})
}

func (ptr *QMetaDataWriterControl) MetaData(key string) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaData", key}).(*core.QVariant)
}

func (ptr *QMetaDataWriterControl) ConnectMetaDataAvailableChanged(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMetaDataAvailableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataWriterControl) DisconnectMetaDataAvailableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMetaDataAvailableChanged"})
}

func (ptr *QMetaDataWriterControl) MetaDataAvailableChanged(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaDataAvailableChanged", available})
}

func (ptr *QMetaDataWriterControl) ConnectMetaDataChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMetaDataChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataWriterControl) DisconnectMetaDataChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMetaDataChanged"})
}

func (ptr *QMetaDataWriterControl) MetaDataChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaDataChanged"})
}

func (ptr *QMetaDataWriterControl) ConnectMetaDataChanged2(f func(key string, value *core.QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMetaDataChanged2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataWriterControl) DisconnectMetaDataChanged2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMetaDataChanged2"})
}

func (ptr *QMetaDataWriterControl) MetaDataChanged2(key string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaDataChanged2", key, value})
}

func (ptr *QMetaDataWriterControl) ConnectSetMetaData(f func(key string, value *core.QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMetaData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataWriterControl) DisconnectSetMetaData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMetaData"})
}

func (ptr *QMetaDataWriterControl) SetMetaData(key string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMetaData", key, value})
}

func (ptr *QMetaDataWriterControl) ConnectWritableChanged(f func(writable bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWritableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataWriterControl) DisconnectWritableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWritableChanged"})
}

func (ptr *QMetaDataWriterControl) WritableChanged(writable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WritableChanged", writable})
}

func (ptr *QMetaDataWriterControl) ConnectDestroyQMetaDataWriterControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMetaDataWriterControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMetaDataWriterControl) DisconnectDestroyQMetaDataWriterControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMetaDataWriterControl"})
}

func (ptr *QMetaDataWriterControl) DestroyQMetaDataWriterControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMetaDataWriterControl"})
}

func (ptr *QMetaDataWriterControl) DestroyQMetaDataWriterControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMetaDataWriterControlDefault"})
}

type QMultimedia struct {
	internal.Internal
}

type QMultimedia_ITF interface {
	QMultimedia_PTR() *QMultimedia
}

func (ptr *QMultimedia) QMultimedia_PTR() *QMultimedia {
	return ptr
}

func (ptr *QMultimedia) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QMultimedia) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQMultimedia(ptr QMultimedia_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMultimedia_PTR().Pointer()
	}
	return nil
}

func (n *QMultimedia) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQMultimediaFromPointer(ptr unsafe.Pointer) (n *QMultimedia) {
	n = new(QMultimedia)
	n.InitFromInternal(uintptr(ptr), "multimedia.QMultimedia")
	return
}

func (ptr *QMultimedia) DestroyQMultimedia() {
}

//go:generate stringer -type=QMultimedia__SupportEstimate
//QMultimedia::SupportEstimate
type QMultimedia__SupportEstimate int64

const (
	QMultimedia__NotSupported      QMultimedia__SupportEstimate = QMultimedia__SupportEstimate(0)
	QMultimedia__MaybeSupported    QMultimedia__SupportEstimate = QMultimedia__SupportEstimate(1)
	QMultimedia__ProbablySupported QMultimedia__SupportEstimate = QMultimedia__SupportEstimate(2)
	QMultimedia__PreferredService  QMultimedia__SupportEstimate = QMultimedia__SupportEstimate(3)
)

//go:generate stringer -type=QMultimedia__AvailabilityStatus
//QMultimedia::AvailabilityStatus
type QMultimedia__AvailabilityStatus int64

const (
	QMultimedia__Available      QMultimedia__AvailabilityStatus = QMultimedia__AvailabilityStatus(0)
	QMultimedia__ServiceMissing QMultimedia__AvailabilityStatus = QMultimedia__AvailabilityStatus(1)
	QMultimedia__Busy           QMultimedia__AvailabilityStatus = QMultimedia__AvailabilityStatus(2)
	QMultimedia__ResourceError  QMultimedia__AvailabilityStatus = QMultimedia__AvailabilityStatus(3)
)

//go:generate stringer -type=QMultimedia__EncodingMode
//QMultimedia::EncodingMode
type QMultimedia__EncodingMode int64

const (
	QMultimedia__ConstantQualityEncoding QMultimedia__EncodingMode = QMultimedia__EncodingMode(0)
	QMultimedia__ConstantBitRateEncoding QMultimedia__EncodingMode = QMultimedia__EncodingMode(1)
	QMultimedia__AverageBitRateEncoding  QMultimedia__EncodingMode = QMultimedia__EncodingMode(2)
	QMultimedia__TwoPassEncoding         QMultimedia__EncodingMode = QMultimedia__EncodingMode(3)
)

//go:generate stringer -type=QMultimedia__EncodingQuality
//QMultimedia::EncodingQuality
type QMultimedia__EncodingQuality int64

const (
	QMultimedia__VeryLowQuality  QMultimedia__EncodingQuality = QMultimedia__EncodingQuality(0)
	QMultimedia__LowQuality      QMultimedia__EncodingQuality = QMultimedia__EncodingQuality(1)
	QMultimedia__NormalQuality   QMultimedia__EncodingQuality = QMultimedia__EncodingQuality(2)
	QMultimedia__HighQuality     QMultimedia__EncodingQuality = QMultimedia__EncodingQuality(3)
	QMultimedia__VeryHighQuality QMultimedia__EncodingQuality = QMultimedia__EncodingQuality(4)
)

type QOpenSLESAudioInput struct {
	QAbstractAudioInput
}

type QOpenSLESAudioInput_ITF interface {
	QAbstractAudioInput_ITF
	QOpenSLESAudioInput_PTR() *QOpenSLESAudioInput
}

func (ptr *QOpenSLESAudioInput) QOpenSLESAudioInput_PTR() *QOpenSLESAudioInput {
	return ptr
}

func (ptr *QOpenSLESAudioInput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioInput_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenSLESAudioInput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioInput_PTR().SetPointer(p)
	}
}

func PointerFromQOpenSLESAudioInput(ptr QOpenSLESAudioInput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenSLESAudioInput_PTR().Pointer()
	}
	return nil
}

func (n *QOpenSLESAudioInput) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioInput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenSLESAudioInput) ClassNameInternalF() string {
	return n.QAbstractAudioInput_PTR().ClassNameInternalF()
}

func NewQOpenSLESAudioInputFromPointer(ptr unsafe.Pointer) (n *QOpenSLESAudioInput) {
	n = new(QOpenSLESAudioInput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QOpenSLESAudioInput")
	return
}

func (ptr *QOpenSLESAudioInput) DestroyQOpenSLESAudioInput() {
}

type QOpenSLESAudioOutput struct {
	QAbstractAudioOutput
}

type QOpenSLESAudioOutput_ITF interface {
	QAbstractAudioOutput_ITF
	QOpenSLESAudioOutput_PTR() *QOpenSLESAudioOutput
}

func (ptr *QOpenSLESAudioOutput) QOpenSLESAudioOutput_PTR() *QOpenSLESAudioOutput {
	return ptr
}

func (ptr *QOpenSLESAudioOutput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioOutput_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenSLESAudioOutput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioOutput_PTR().SetPointer(p)
	}
}

func PointerFromQOpenSLESAudioOutput(ptr QOpenSLESAudioOutput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenSLESAudioOutput_PTR().Pointer()
	}
	return nil
}

func (n *QOpenSLESAudioOutput) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioOutput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenSLESAudioOutput) ClassNameInternalF() string {
	return n.QAbstractAudioOutput_PTR().ClassNameInternalF()
}

func NewQOpenSLESAudioOutputFromPointer(ptr unsafe.Pointer) (n *QOpenSLESAudioOutput) {
	n = new(QOpenSLESAudioOutput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QOpenSLESAudioOutput")
	return
}

func (ptr *QOpenSLESAudioOutput) DestroyQOpenSLESAudioOutput() {
}

type QOpenSLESDeviceInfo struct {
	QAbstractAudioDeviceInfo
}

type QOpenSLESDeviceInfo_ITF interface {
	QAbstractAudioDeviceInfo_ITF
	QOpenSLESDeviceInfo_PTR() *QOpenSLESDeviceInfo
}

func (ptr *QOpenSLESDeviceInfo) QOpenSLESDeviceInfo_PTR() *QOpenSLESDeviceInfo {
	return ptr
}

func (ptr *QOpenSLESDeviceInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenSLESDeviceInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioDeviceInfo_PTR().SetPointer(p)
	}
}

func PointerFromQOpenSLESDeviceInfo(ptr QOpenSLESDeviceInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenSLESDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (n *QOpenSLESDeviceInfo) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioDeviceInfo_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenSLESDeviceInfo) ClassNameInternalF() string {
	return n.QAbstractAudioDeviceInfo_PTR().ClassNameInternalF()
}

func NewQOpenSLESDeviceInfoFromPointer(ptr unsafe.Pointer) (n *QOpenSLESDeviceInfo) {
	n = new(QOpenSLESDeviceInfo)
	n.InitFromInternal(uintptr(ptr), "multimedia.QOpenSLESDeviceInfo")
	return
}

func (ptr *QOpenSLESDeviceInfo) DestroyQOpenSLESDeviceInfo() {
}

type QOpenSLESEngine struct {
	internal.Internal
}

type QOpenSLESEngine_ITF interface {
	QOpenSLESEngine_PTR() *QOpenSLESEngine
}

func (ptr *QOpenSLESEngine) QOpenSLESEngine_PTR() *QOpenSLESEngine {
	return ptr
}

func (ptr *QOpenSLESEngine) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QOpenSLESEngine) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQOpenSLESEngine(ptr QOpenSLESEngine_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenSLESEngine_PTR().Pointer()
	}
	return nil
}

func (n *QOpenSLESEngine) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQOpenSLESEngineFromPointer(ptr unsafe.Pointer) (n *QOpenSLESEngine) {
	n = new(QOpenSLESEngine)
	n.InitFromInternal(uintptr(ptr), "multimedia.QOpenSLESEngine")
	return
}

func (ptr *QOpenSLESEngine) DestroyQOpenSLESEngine() {
}

type QOpenSLESPlugin struct {
	QAudioSystemPlugin
}

type QOpenSLESPlugin_ITF interface {
	QAudioSystemPlugin_ITF
	QOpenSLESPlugin_PTR() *QOpenSLESPlugin
}

func (ptr *QOpenSLESPlugin) QOpenSLESPlugin_PTR() *QOpenSLESPlugin {
	return ptr
}

func (ptr *QOpenSLESPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioSystemPlugin_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenSLESPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioSystemPlugin_PTR().SetPointer(p)
	}
}

func PointerFromQOpenSLESPlugin(ptr QOpenSLESPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenSLESPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QOpenSLESPlugin) InitFromInternal(ptr uintptr, name string) {
	n.QAudioSystemPlugin_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenSLESPlugin) ClassNameInternalF() string {
	return n.QAudioSystemPlugin_PTR().ClassNameInternalF()
}

func NewQOpenSLESPluginFromPointer(ptr unsafe.Pointer) (n *QOpenSLESPlugin) {
	n = new(QOpenSLESPlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QOpenSLESPlugin")
	return
}

func (ptr *QOpenSLESPlugin) DestroyQOpenSLESPlugin() {
}

type QPulseAudioDeviceInfo struct {
	QAbstractAudioDeviceInfo
}

type QPulseAudioDeviceInfo_ITF interface {
	QAbstractAudioDeviceInfo_ITF
	QPulseAudioDeviceInfo_PTR() *QPulseAudioDeviceInfo
}

func (ptr *QPulseAudioDeviceInfo) QPulseAudioDeviceInfo_PTR() *QPulseAudioDeviceInfo {
	return ptr
}

func (ptr *QPulseAudioDeviceInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (ptr *QPulseAudioDeviceInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioDeviceInfo_PTR().SetPointer(p)
	}
}

func PointerFromQPulseAudioDeviceInfo(ptr QPulseAudioDeviceInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPulseAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (n *QPulseAudioDeviceInfo) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioDeviceInfo_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPulseAudioDeviceInfo) ClassNameInternalF() string {
	return n.QAbstractAudioDeviceInfo_PTR().ClassNameInternalF()
}

func NewQPulseAudioDeviceInfoFromPointer(ptr unsafe.Pointer) (n *QPulseAudioDeviceInfo) {
	n = new(QPulseAudioDeviceInfo)
	n.InitFromInternal(uintptr(ptr), "multimedia.QPulseAudioDeviceInfo")
	return
}

func (ptr *QPulseAudioDeviceInfo) DestroyQPulseAudioDeviceInfo() {
}

type QPulseAudioEngine struct {
	core.QObject
}

type QPulseAudioEngine_ITF interface {
	core.QObject_ITF
	QPulseAudioEngine_PTR() *QPulseAudioEngine
}

func (ptr *QPulseAudioEngine) QPulseAudioEngine_PTR() *QPulseAudioEngine {
	return ptr
}

func (ptr *QPulseAudioEngine) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QPulseAudioEngine) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQPulseAudioEngine(ptr QPulseAudioEngine_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPulseAudioEngine_PTR().Pointer()
	}
	return nil
}

func (n *QPulseAudioEngine) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPulseAudioEngine) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQPulseAudioEngineFromPointer(ptr unsafe.Pointer) (n *QPulseAudioEngine) {
	n = new(QPulseAudioEngine)
	n.InitFromInternal(uintptr(ptr), "multimedia.QPulseAudioEngine")
	return
}

func (ptr *QPulseAudioEngine) DestroyQPulseAudioEngine() {
}

type QPulseAudioInput struct {
	QAbstractAudioInput
}

type QPulseAudioInput_ITF interface {
	QAbstractAudioInput_ITF
	QPulseAudioInput_PTR() *QPulseAudioInput
}

func (ptr *QPulseAudioInput) QPulseAudioInput_PTR() *QPulseAudioInput {
	return ptr
}

func (ptr *QPulseAudioInput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioInput_PTR().Pointer()
	}
	return nil
}

func (ptr *QPulseAudioInput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioInput_PTR().SetPointer(p)
	}
}

func PointerFromQPulseAudioInput(ptr QPulseAudioInput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPulseAudioInput_PTR().Pointer()
	}
	return nil
}

func (n *QPulseAudioInput) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioInput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPulseAudioInput) ClassNameInternalF() string {
	return n.QAbstractAudioInput_PTR().ClassNameInternalF()
}

func NewQPulseAudioInputFromPointer(ptr unsafe.Pointer) (n *QPulseAudioInput) {
	n = new(QPulseAudioInput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QPulseAudioInput")
	return
}

func (ptr *QPulseAudioInput) DestroyQPulseAudioInput() {
}

type QPulseAudioOutput struct {
	QAbstractAudioOutput
}

type QPulseAudioOutput_ITF interface {
	QAbstractAudioOutput_ITF
	QPulseAudioOutput_PTR() *QPulseAudioOutput
}

func (ptr *QPulseAudioOutput) QPulseAudioOutput_PTR() *QPulseAudioOutput {
	return ptr
}

func (ptr *QPulseAudioOutput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioOutput_PTR().Pointer()
	}
	return nil
}

func (ptr *QPulseAudioOutput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioOutput_PTR().SetPointer(p)
	}
}

func PointerFromQPulseAudioOutput(ptr QPulseAudioOutput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPulseAudioOutput_PTR().Pointer()
	}
	return nil
}

func (n *QPulseAudioOutput) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioOutput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPulseAudioOutput) ClassNameInternalF() string {
	return n.QAbstractAudioOutput_PTR().ClassNameInternalF()
}

func NewQPulseAudioOutputFromPointer(ptr unsafe.Pointer) (n *QPulseAudioOutput) {
	n = new(QPulseAudioOutput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QPulseAudioOutput")
	return
}

func (ptr *QPulseAudioOutput) DestroyQPulseAudioOutput() {
}

type QPulseAudioPlugin struct {
	QAudioSystemPlugin
}

type QPulseAudioPlugin_ITF interface {
	QAudioSystemPlugin_ITF
	QPulseAudioPlugin_PTR() *QPulseAudioPlugin
}

func (ptr *QPulseAudioPlugin) QPulseAudioPlugin_PTR() *QPulseAudioPlugin {
	return ptr
}

func (ptr *QPulseAudioPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioSystemPlugin_PTR().Pointer()
	}
	return nil
}

func (ptr *QPulseAudioPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioSystemPlugin_PTR().SetPointer(p)
	}
}

func PointerFromQPulseAudioPlugin(ptr QPulseAudioPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPulseAudioPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QPulseAudioPlugin) InitFromInternal(ptr uintptr, name string) {
	n.QAudioSystemPlugin_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPulseAudioPlugin) ClassNameInternalF() string {
	return n.QAudioSystemPlugin_PTR().ClassNameInternalF()
}

func NewQPulseAudioPluginFromPointer(ptr unsafe.Pointer) (n *QPulseAudioPlugin) {
	n = new(QPulseAudioPlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QPulseAudioPlugin")
	return
}

func (ptr *QPulseAudioPlugin) DestroyQPulseAudioPlugin() {
}

type QRadioData struct {
	core.QObject
	QMediaBindableInterface
}

type QRadioData_ITF interface {
	core.QObject_ITF
	QMediaBindableInterface_ITF
	QRadioData_PTR() *QRadioData
}

func (ptr *QRadioData) QRadioData_PTR() *QRadioData {
	return ptr
}

func (ptr *QRadioData) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QRadioData) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
		ptr.QMediaBindableInterface_PTR().SetPointer(p)
	}
}

func PointerFromQRadioData(ptr QRadioData_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRadioData_PTR().Pointer()
	}
	return nil
}

func (n *QRadioData) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaBindableInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QRadioData) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQRadioDataFromPointer(ptr unsafe.Pointer) (n *QRadioData) {
	n = new(QRadioData)
	n.InitFromInternal(uintptr(ptr), "multimedia.QRadioData")
	return
}

//go:generate stringer -type=QRadioData__Error
//QRadioData::Error
type QRadioData__Error int64

const (
	QRadioData__NoError         QRadioData__Error = QRadioData__Error(0)
	QRadioData__ResourceError   QRadioData__Error = QRadioData__Error(1)
	QRadioData__OpenError       QRadioData__Error = QRadioData__Error(2)
	QRadioData__OutOfRangeError QRadioData__Error = QRadioData__Error(3)
)

//go:generate stringer -type=QRadioData__ProgramType
//QRadioData::ProgramType
type QRadioData__ProgramType int64

const (
	QRadioData__Undefined           QRadioData__ProgramType = QRadioData__ProgramType(0)
	QRadioData__News                QRadioData__ProgramType = QRadioData__ProgramType(1)
	QRadioData__CurrentAffairs      QRadioData__ProgramType = QRadioData__ProgramType(2)
	QRadioData__Information         QRadioData__ProgramType = QRadioData__ProgramType(3)
	QRadioData__Sport               QRadioData__ProgramType = QRadioData__ProgramType(4)
	QRadioData__Education           QRadioData__ProgramType = QRadioData__ProgramType(5)
	QRadioData__Drama               QRadioData__ProgramType = QRadioData__ProgramType(6)
	QRadioData__Culture             QRadioData__ProgramType = QRadioData__ProgramType(7)
	QRadioData__Science             QRadioData__ProgramType = QRadioData__ProgramType(8)
	QRadioData__Varied              QRadioData__ProgramType = QRadioData__ProgramType(9)
	QRadioData__PopMusic            QRadioData__ProgramType = QRadioData__ProgramType(10)
	QRadioData__RockMusic           QRadioData__ProgramType = QRadioData__ProgramType(11)
	QRadioData__EasyListening       QRadioData__ProgramType = QRadioData__ProgramType(12)
	QRadioData__LightClassical      QRadioData__ProgramType = QRadioData__ProgramType(13)
	QRadioData__SeriousClassical    QRadioData__ProgramType = QRadioData__ProgramType(14)
	QRadioData__OtherMusic          QRadioData__ProgramType = QRadioData__ProgramType(15)
	QRadioData__Weather             QRadioData__ProgramType = QRadioData__ProgramType(16)
	QRadioData__Finance             QRadioData__ProgramType = QRadioData__ProgramType(17)
	QRadioData__ChildrensProgrammes QRadioData__ProgramType = QRadioData__ProgramType(18)
	QRadioData__SocialAffairs       QRadioData__ProgramType = QRadioData__ProgramType(19)
	QRadioData__Religion            QRadioData__ProgramType = QRadioData__ProgramType(20)
	QRadioData__PhoneIn             QRadioData__ProgramType = QRadioData__ProgramType(21)
	QRadioData__Travel              QRadioData__ProgramType = QRadioData__ProgramType(22)
	QRadioData__Leisure             QRadioData__ProgramType = QRadioData__ProgramType(23)
	QRadioData__JazzMusic           QRadioData__ProgramType = QRadioData__ProgramType(24)
	QRadioData__CountryMusic        QRadioData__ProgramType = QRadioData__ProgramType(25)
	QRadioData__NationalMusic       QRadioData__ProgramType = QRadioData__ProgramType(26)
	QRadioData__OldiesMusic         QRadioData__ProgramType = QRadioData__ProgramType(27)
	QRadioData__FolkMusic           QRadioData__ProgramType = QRadioData__ProgramType(28)
	QRadioData__Documentary         QRadioData__ProgramType = QRadioData__ProgramType(29)
	QRadioData__AlarmTest           QRadioData__ProgramType = QRadioData__ProgramType(30)
	QRadioData__Alarm               QRadioData__ProgramType = QRadioData__ProgramType(31)
	QRadioData__Talk                QRadioData__ProgramType = QRadioData__ProgramType(32)
	QRadioData__ClassicRock         QRadioData__ProgramType = QRadioData__ProgramType(33)
	QRadioData__AdultHits           QRadioData__ProgramType = QRadioData__ProgramType(34)
	QRadioData__SoftRock            QRadioData__ProgramType = QRadioData__ProgramType(35)
	QRadioData__Top40               QRadioData__ProgramType = QRadioData__ProgramType(36)
	QRadioData__Soft                QRadioData__ProgramType = QRadioData__ProgramType(37)
	QRadioData__Nostalgia           QRadioData__ProgramType = QRadioData__ProgramType(38)
	QRadioData__Classical           QRadioData__ProgramType = QRadioData__ProgramType(39)
	QRadioData__RhythmAndBlues      QRadioData__ProgramType = QRadioData__ProgramType(40)
	QRadioData__SoftRhythmAndBlues  QRadioData__ProgramType = QRadioData__ProgramType(41)
	QRadioData__Language            QRadioData__ProgramType = QRadioData__ProgramType(42)
	QRadioData__ReligiousMusic      QRadioData__ProgramType = QRadioData__ProgramType(43)
	QRadioData__ReligiousTalk       QRadioData__ProgramType = QRadioData__ProgramType(44)
	QRadioData__Personality         QRadioData__ProgramType = QRadioData__ProgramType(45)
	QRadioData__Public              QRadioData__ProgramType = QRadioData__ProgramType(46)
	QRadioData__College             QRadioData__ProgramType = QRadioData__ProgramType(47)
)

func NewQRadioData(mediaObject QMediaObject_ITF, parent core.QObject_ITF) *QRadioData {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQRadioData", "", mediaObject, parent}).(*QRadioData)
}

func (ptr *QRadioData) ConnectAlternativeFrequenciesEnabledChanged(f func(enabled bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectAlternativeFrequenciesEnabledChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioData) DisconnectAlternativeFrequenciesEnabledChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectAlternativeFrequenciesEnabledChanged"})
}

func (ptr *QRadioData) AlternativeFrequenciesEnabledChanged(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AlternativeFrequenciesEnabledChanged", enabled})
}

func (ptr *QRadioData) Availability() QMultimedia__AvailabilityStatus {

	return QMultimedia__AvailabilityStatus(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Availability"}).(float64))
}

func (ptr *QRadioData) Error() QRadioData__Error {

	return QRadioData__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QRadioData) ConnectError2(f func(error QRadioData__Error)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectError2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioData) DisconnectError2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectError2"})
}

func (ptr *QRadioData) Error2(error QRadioData__Error) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Error2", error})
}

func (ptr *QRadioData) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QRadioData) IsAlternativeFrequenciesEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsAlternativeFrequenciesEnabled"}).(bool)
}

func (ptr *QRadioData) ConnectMediaObject(f func() *QMediaObject) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMediaObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioData) DisconnectMediaObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMediaObject"})
}

func (ptr *QRadioData) MediaObject() *QMediaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MediaObject"}).(*QMediaObject)
}

func (ptr *QRadioData) MediaObjectDefault() *QMediaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MediaObjectDefault"}).(*QMediaObject)
}

func (ptr *QRadioData) ProgramType() QRadioData__ProgramType {

	return QRadioData__ProgramType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ProgramType"}).(float64))
}

func (ptr *QRadioData) ConnectProgramTypeChanged(f func(programType QRadioData__ProgramType)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectProgramTypeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioData) DisconnectProgramTypeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectProgramTypeChanged"})
}

func (ptr *QRadioData) ProgramTypeChanged(programType QRadioData__ProgramType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ProgramTypeChanged", programType})
}

func (ptr *QRadioData) ProgramTypeName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ProgramTypeName"}).(string)
}

func (ptr *QRadioData) ConnectProgramTypeNameChanged(f func(programTypeName string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectProgramTypeNameChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioData) DisconnectProgramTypeNameChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectProgramTypeNameChanged"})
}

func (ptr *QRadioData) ProgramTypeNameChanged(programTypeName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ProgramTypeNameChanged", programTypeName})
}

func (ptr *QRadioData) RadioText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RadioText"}).(string)
}

func (ptr *QRadioData) ConnectRadioTextChanged(f func(radioText string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectRadioTextChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioData) DisconnectRadioTextChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectRadioTextChanged"})
}

func (ptr *QRadioData) RadioTextChanged(radioText string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RadioTextChanged", radioText})
}

func (ptr *QRadioData) ConnectSetAlternativeFrequenciesEnabled(f func(enabled bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetAlternativeFrequenciesEnabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioData) DisconnectSetAlternativeFrequenciesEnabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetAlternativeFrequenciesEnabled"})
}

func (ptr *QRadioData) SetAlternativeFrequenciesEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetAlternativeFrequenciesEnabled", enabled})
}

func (ptr *QRadioData) SetAlternativeFrequenciesEnabledDefault(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetAlternativeFrequenciesEnabledDefault", enabled})
}

func (ptr *QRadioData) ConnectSetMediaObject(f func(mediaObject *QMediaObject) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetMediaObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioData) DisconnectSetMediaObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetMediaObject"})
}

func (ptr *QRadioData) SetMediaObject(mediaObject QMediaObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMediaObject", mediaObject}).(bool)
}

func (ptr *QRadioData) SetMediaObjectDefault(mediaObject QMediaObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMediaObjectDefault", mediaObject}).(bool)
}

func (ptr *QRadioData) StationId() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "StationId"}).(string)
}

func (ptr *QRadioData) ConnectStationIdChanged(f func(stationId string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectStationIdChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioData) DisconnectStationIdChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectStationIdChanged"})
}

func (ptr *QRadioData) StationIdChanged(stationId string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "StationIdChanged", stationId})
}

func (ptr *QRadioData) StationName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "StationName"}).(string)
}

func (ptr *QRadioData) ConnectStationNameChanged(f func(stationName string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectStationNameChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioData) DisconnectStationNameChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectStationNameChanged"})
}

func (ptr *QRadioData) StationNameChanged(stationName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "StationNameChanged", stationName})
}

func (ptr *QRadioData) ConnectDestroyQRadioData(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDestroyQRadioData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioData) DisconnectDestroyQRadioData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDestroyQRadioData"})
}

func (ptr *QRadioData) DestroyQRadioData() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQRadioData"})
}

func (ptr *QRadioData) DestroyQRadioDataDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQRadioDataDefault"})
}

func (ptr *QRadioData) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QRadioData) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QRadioData) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QRadioData) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QRadioData) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QRadioData) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QRadioData) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QRadioData) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QRadioData) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QRadioData) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QRadioData) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QRadioData) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QRadioData) ChildEvent(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEvent", event})
}

func (ptr *QRadioData) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QRadioData) ConnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotify", sign})
}

func (ptr *QRadioData) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QRadioData) CustomEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEvent", event})
}

func (ptr *QRadioData) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QRadioData) DeleteLater() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLater"})
}

func (ptr *QRadioData) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QRadioData) DisconnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotify", sign})
}

func (ptr *QRadioData) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QRadioData) Event(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Event", e}).(bool)
}

func (ptr *QRadioData) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QRadioData) EventFilter(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilter", watched, event}).(bool)
}

func (ptr *QRadioData) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QRadioData) MetaObject() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObject"}).(*core.QMetaObject)
}

func (ptr *QRadioData) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QRadioData) TimerEvent(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEvent", event})
}

func (ptr *QRadioData) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEventDefault", event})
}

type QRadioDataControl struct {
	QMediaControl
}

type QRadioDataControl_ITF interface {
	QMediaControl_ITF
	QRadioDataControl_PTR() *QRadioDataControl
}

func (ptr *QRadioDataControl) QRadioDataControl_PTR() *QRadioDataControl {
	return ptr
}

func (ptr *QRadioDataControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QRadioDataControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQRadioDataControl(ptr QRadioDataControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRadioDataControl_PTR().Pointer()
	}
	return nil
}

func (n *QRadioDataControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QRadioDataControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQRadioDataControlFromPointer(ptr unsafe.Pointer) (n *QRadioDataControl) {
	n = new(QRadioDataControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QRadioDataControl")
	return
}
func NewQRadioDataControl(parent core.QObject_ITF) *QRadioDataControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQRadioDataControl", "", parent}).(*QRadioDataControl)
}

func (ptr *QRadioDataControl) ConnectAlternativeFrequenciesEnabledChanged(f func(enabled bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAlternativeFrequenciesEnabledChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectAlternativeFrequenciesEnabledChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAlternativeFrequenciesEnabledChanged"})
}

func (ptr *QRadioDataControl) AlternativeFrequenciesEnabledChanged(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AlternativeFrequenciesEnabledChanged", enabled})
}

func (ptr *QRadioDataControl) ConnectError(f func() QRadioData__Error) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectError() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError"})
}

func (ptr *QRadioDataControl) Error() QRadioData__Error {

	return QRadioData__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QRadioDataControl) ConnectError2(f func(error QRadioData__Error)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectError2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError2"})
}

func (ptr *QRadioDataControl) Error2(error QRadioData__Error) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error2", error})
}

func (ptr *QRadioDataControl) ConnectErrorString(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectErrorString", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectErrorString() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectErrorString"})
}

func (ptr *QRadioDataControl) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QRadioDataControl) ConnectIsAlternativeFrequenciesEnabled(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsAlternativeFrequenciesEnabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectIsAlternativeFrequenciesEnabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsAlternativeFrequenciesEnabled"})
}

func (ptr *QRadioDataControl) IsAlternativeFrequenciesEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAlternativeFrequenciesEnabled"}).(bool)
}

func (ptr *QRadioDataControl) ConnectProgramType(f func() QRadioData__ProgramType) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectProgramType", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectProgramType() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectProgramType"})
}

func (ptr *QRadioDataControl) ProgramType() QRadioData__ProgramType {

	return QRadioData__ProgramType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProgramType"}).(float64))
}

func (ptr *QRadioDataControl) ConnectProgramTypeChanged(f func(programType QRadioData__ProgramType)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectProgramTypeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectProgramTypeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectProgramTypeChanged"})
}

func (ptr *QRadioDataControl) ProgramTypeChanged(programType QRadioData__ProgramType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProgramTypeChanged", programType})
}

func (ptr *QRadioDataControl) ConnectProgramTypeName(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectProgramTypeName", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectProgramTypeName() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectProgramTypeName"})
}

func (ptr *QRadioDataControl) ProgramTypeName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProgramTypeName"}).(string)
}

func (ptr *QRadioDataControl) ConnectProgramTypeNameChanged(f func(programTypeName string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectProgramTypeNameChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectProgramTypeNameChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectProgramTypeNameChanged"})
}

func (ptr *QRadioDataControl) ProgramTypeNameChanged(programTypeName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProgramTypeNameChanged", programTypeName})
}

func (ptr *QRadioDataControl) ConnectRadioText(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRadioText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectRadioText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRadioText"})
}

func (ptr *QRadioDataControl) RadioText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RadioText"}).(string)
}

func (ptr *QRadioDataControl) ConnectRadioTextChanged(f func(radioText string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRadioTextChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectRadioTextChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRadioTextChanged"})
}

func (ptr *QRadioDataControl) RadioTextChanged(radioText string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RadioTextChanged", radioText})
}

func (ptr *QRadioDataControl) ConnectSetAlternativeFrequenciesEnabled(f func(enabled bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetAlternativeFrequenciesEnabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectSetAlternativeFrequenciesEnabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetAlternativeFrequenciesEnabled"})
}

func (ptr *QRadioDataControl) SetAlternativeFrequenciesEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlternativeFrequenciesEnabled", enabled})
}

func (ptr *QRadioDataControl) ConnectStationId(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStationId", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectStationId() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStationId"})
}

func (ptr *QRadioDataControl) StationId() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StationId"}).(string)
}

func (ptr *QRadioDataControl) ConnectStationIdChanged(f func(stationId string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStationIdChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectStationIdChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStationIdChanged"})
}

func (ptr *QRadioDataControl) StationIdChanged(stationId string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StationIdChanged", stationId})
}

func (ptr *QRadioDataControl) ConnectStationName(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStationName", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectStationName() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStationName"})
}

func (ptr *QRadioDataControl) StationName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StationName"}).(string)
}

func (ptr *QRadioDataControl) ConnectStationNameChanged(f func(stationName string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStationNameChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectStationNameChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStationNameChanged"})
}

func (ptr *QRadioDataControl) StationNameChanged(stationName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StationNameChanged", stationName})
}

func (ptr *QRadioDataControl) ConnectDestroyQRadioDataControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQRadioDataControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioDataControl) DisconnectDestroyQRadioDataControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQRadioDataControl"})
}

func (ptr *QRadioDataControl) DestroyQRadioDataControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRadioDataControl"})
}

func (ptr *QRadioDataControl) DestroyQRadioDataControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRadioDataControlDefault"})
}

type QRadioTuner struct {
	QMediaObject
}

type QRadioTuner_ITF interface {
	QMediaObject_ITF
	QRadioTuner_PTR() *QRadioTuner
}

func (ptr *QRadioTuner) QRadioTuner_PTR() *QRadioTuner {
	return ptr
}

func (ptr *QRadioTuner) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QRadioTuner) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaObject_PTR().SetPointer(p)
	}
}

func PointerFromQRadioTuner(ptr QRadioTuner_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRadioTuner_PTR().Pointer()
	}
	return nil
}

func (n *QRadioTuner) InitFromInternal(ptr uintptr, name string) {
	n.QMediaObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QRadioTuner) ClassNameInternalF() string {
	return n.QMediaObject_PTR().ClassNameInternalF()
}

func NewQRadioTunerFromPointer(ptr unsafe.Pointer) (n *QRadioTuner) {
	n = new(QRadioTuner)
	n.InitFromInternal(uintptr(ptr), "multimedia.QRadioTuner")
	return
}

//go:generate stringer -type=QRadioTuner__Band
//QRadioTuner::Band
type QRadioTuner__Band int64

const (
	QRadioTuner__AM  QRadioTuner__Band = QRadioTuner__Band(0)
	QRadioTuner__FM  QRadioTuner__Band = QRadioTuner__Band(1)
	QRadioTuner__SW  QRadioTuner__Band = QRadioTuner__Band(2)
	QRadioTuner__LW  QRadioTuner__Band = QRadioTuner__Band(3)
	QRadioTuner__FM2 QRadioTuner__Band = QRadioTuner__Band(4)
)

//go:generate stringer -type=QRadioTuner__Error
//QRadioTuner::Error
type QRadioTuner__Error int64

const (
	QRadioTuner__NoError         QRadioTuner__Error = QRadioTuner__Error(0)
	QRadioTuner__ResourceError   QRadioTuner__Error = QRadioTuner__Error(1)
	QRadioTuner__OpenError       QRadioTuner__Error = QRadioTuner__Error(2)
	QRadioTuner__OutOfRangeError QRadioTuner__Error = QRadioTuner__Error(3)
)

//go:generate stringer -type=QRadioTuner__StereoMode
//QRadioTuner::StereoMode
type QRadioTuner__StereoMode int64

const (
	QRadioTuner__ForceStereo QRadioTuner__StereoMode = QRadioTuner__StereoMode(0)
	QRadioTuner__ForceMono   QRadioTuner__StereoMode = QRadioTuner__StereoMode(1)
	QRadioTuner__Auto        QRadioTuner__StereoMode = QRadioTuner__StereoMode(2)
)

//go:generate stringer -type=QRadioTuner__SearchMode
//QRadioTuner::SearchMode
type QRadioTuner__SearchMode int64

const (
	QRadioTuner__SearchFast         QRadioTuner__SearchMode = QRadioTuner__SearchMode(0)
	QRadioTuner__SearchGetStationId QRadioTuner__SearchMode = QRadioTuner__SearchMode(1)
)

//go:generate stringer -type=QRadioTuner__State
//QRadioTuner::State
type QRadioTuner__State int64

const (
	QRadioTuner__ActiveState  QRadioTuner__State = QRadioTuner__State(0)
	QRadioTuner__StoppedState QRadioTuner__State = QRadioTuner__State(1)
)

func NewQRadioTuner(parent core.QObject_ITF) *QRadioTuner {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQRadioTuner", "", parent}).(*QRadioTuner)
}

func (ptr *QRadioTuner) ConnectAntennaConnectedChanged(f func(connectionStatus bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAntennaConnectedChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectAntennaConnectedChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAntennaConnectedChanged"})
}

func (ptr *QRadioTuner) AntennaConnectedChanged(connectionStatus bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AntennaConnectedChanged", connectionStatus})
}

func (ptr *QRadioTuner) Band() QRadioTuner__Band {

	return QRadioTuner__Band(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Band"}).(float64))
}

func (ptr *QRadioTuner) ConnectBandChanged(f func(band QRadioTuner__Band)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBandChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectBandChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBandChanged"})
}

func (ptr *QRadioTuner) BandChanged(band QRadioTuner__Band) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BandChanged", band})
}

func (ptr *QRadioTuner) ConnectCancelSearch(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCancelSearch", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectCancelSearch() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCancelSearch"})
}

func (ptr *QRadioTuner) CancelSearch() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CancelSearch"})
}

func (ptr *QRadioTuner) CancelSearchDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CancelSearchDefault"})
}

func (ptr *QRadioTuner) Error() QRadioTuner__Error {

	return QRadioTuner__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QRadioTuner) ConnectError2(f func(error QRadioTuner__Error)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectError2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError2"})
}

func (ptr *QRadioTuner) Error2(error QRadioTuner__Error) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error2", error})
}

func (ptr *QRadioTuner) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QRadioTuner) Frequency() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Frequency"}).(float64))
}

func (ptr *QRadioTuner) ConnectFrequencyChanged(f func(frequency int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFrequencyChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectFrequencyChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFrequencyChanged"})
}

func (ptr *QRadioTuner) FrequencyChanged(frequency int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrequencyChanged", frequency})
}

func (ptr *QRadioTuner) FrequencyStep(band QRadioTuner__Band) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrequencyStep", band}).(float64))
}

func (ptr *QRadioTuner) IsAntennaConnected() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAntennaConnected"}).(bool)
}

func (ptr *QRadioTuner) IsBandSupported(band QRadioTuner__Band) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsBandSupported", band}).(bool)
}

func (ptr *QRadioTuner) IsMuted() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMuted"}).(bool)
}

func (ptr *QRadioTuner) IsSearching() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSearching"}).(bool)
}

func (ptr *QRadioTuner) IsStereo() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsStereo"}).(bool)
}

func (ptr *QRadioTuner) ConnectMutedChanged(f func(muted bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMutedChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectMutedChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMutedChanged"})
}

func (ptr *QRadioTuner) MutedChanged(muted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MutedChanged", muted})
}

func (ptr *QRadioTuner) RadioData() *QRadioData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RadioData"}).(*QRadioData)
}

func (ptr *QRadioTuner) ConnectSearchAllStations(f func(searchMode QRadioTuner__SearchMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSearchAllStations", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectSearchAllStations() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSearchAllStations"})
}

func (ptr *QRadioTuner) SearchAllStations(searchMode QRadioTuner__SearchMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchAllStations", searchMode})
}

func (ptr *QRadioTuner) SearchAllStationsDefault(searchMode QRadioTuner__SearchMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchAllStationsDefault", searchMode})
}

func (ptr *QRadioTuner) ConnectSearchBackward(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSearchBackward", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectSearchBackward() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSearchBackward"})
}

func (ptr *QRadioTuner) SearchBackward() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchBackward"})
}

func (ptr *QRadioTuner) SearchBackwardDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchBackwardDefault"})
}

func (ptr *QRadioTuner) ConnectSearchForward(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSearchForward", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectSearchForward() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSearchForward"})
}

func (ptr *QRadioTuner) SearchForward() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchForward"})
}

func (ptr *QRadioTuner) SearchForwardDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchForwardDefault"})
}

func (ptr *QRadioTuner) ConnectSearchingChanged(f func(searching bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSearchingChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectSearchingChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSearchingChanged"})
}

func (ptr *QRadioTuner) SearchingChanged(searching bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchingChanged", searching})
}

func (ptr *QRadioTuner) ConnectSetBand(f func(band QRadioTuner__Band)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetBand", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectSetBand() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetBand"})
}

func (ptr *QRadioTuner) SetBand(band QRadioTuner__Band) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBand", band})
}

func (ptr *QRadioTuner) SetBandDefault(band QRadioTuner__Band) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBandDefault", band})
}

func (ptr *QRadioTuner) ConnectSetFrequency(f func(frequency int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFrequency", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectSetFrequency() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFrequency"})
}

func (ptr *QRadioTuner) SetFrequency(frequency int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrequency", frequency})
}

func (ptr *QRadioTuner) SetFrequencyDefault(frequency int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrequencyDefault", frequency})
}

func (ptr *QRadioTuner) ConnectSetMuted(f func(muted bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMuted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectSetMuted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMuted"})
}

func (ptr *QRadioTuner) SetMuted(muted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMuted", muted})
}

func (ptr *QRadioTuner) SetMutedDefault(muted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMutedDefault", muted})
}

func (ptr *QRadioTuner) SetStereoMode(mode QRadioTuner__StereoMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStereoMode", mode})
}

func (ptr *QRadioTuner) ConnectSetVolume(f func(volume int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetVolume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectSetVolume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetVolume"})
}

func (ptr *QRadioTuner) SetVolume(volume int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVolume", volume})
}

func (ptr *QRadioTuner) SetVolumeDefault(volume int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVolumeDefault", volume})
}

func (ptr *QRadioTuner) SignalStrength() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SignalStrength"}).(float64))
}

func (ptr *QRadioTuner) ConnectSignalStrengthChanged(f func(strength int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSignalStrengthChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectSignalStrengthChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSignalStrengthChanged"})
}

func (ptr *QRadioTuner) SignalStrengthChanged(strength int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SignalStrengthChanged", strength})
}

func (ptr *QRadioTuner) ConnectStart(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectStart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart"})
}

func (ptr *QRadioTuner) Start() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start"})
}

func (ptr *QRadioTuner) StartDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDefault"})
}

func (ptr *QRadioTuner) State() QRadioTuner__State {

	return QRadioTuner__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QRadioTuner) ConnectStateChanged(f func(state QRadioTuner__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QRadioTuner) StateChanged(state QRadioTuner__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", state})
}

func (ptr *QRadioTuner) ConnectStationFound(f func(frequency int, stationId string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStationFound", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectStationFound() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStationFound"})
}

func (ptr *QRadioTuner) StationFound(frequency int, stationId string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StationFound", frequency, stationId})
}

func (ptr *QRadioTuner) StereoMode() QRadioTuner__StereoMode {

	return QRadioTuner__StereoMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StereoMode"}).(float64))
}

func (ptr *QRadioTuner) ConnectStereoStatusChanged(f func(stereo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStereoStatusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectStereoStatusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStereoStatusChanged"})
}

func (ptr *QRadioTuner) StereoStatusChanged(stereo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StereoStatusChanged", stereo})
}

func (ptr *QRadioTuner) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QRadioTuner) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QRadioTuner) StopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StopDefault"})
}

func (ptr *QRadioTuner) Volume() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Volume"}).(float64))
}

func (ptr *QRadioTuner) ConnectVolumeChanged(f func(volume int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVolumeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectVolumeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVolumeChanged"})
}

func (ptr *QRadioTuner) VolumeChanged(volume int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VolumeChanged", volume})
}

func (ptr *QRadioTuner) ConnectDestroyQRadioTuner(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQRadioTuner", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTuner) DisconnectDestroyQRadioTuner() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQRadioTuner"})
}

func (ptr *QRadioTuner) DestroyQRadioTuner() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRadioTuner"})
}

func (ptr *QRadioTuner) DestroyQRadioTunerDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRadioTunerDefault"})
}

type QRadioTunerControl struct {
	QMediaControl
}

type QRadioTunerControl_ITF interface {
	QMediaControl_ITF
	QRadioTunerControl_PTR() *QRadioTunerControl
}

func (ptr *QRadioTunerControl) QRadioTunerControl_PTR() *QRadioTunerControl {
	return ptr
}

func (ptr *QRadioTunerControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QRadioTunerControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQRadioTunerControl(ptr QRadioTunerControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRadioTunerControl_PTR().Pointer()
	}
	return nil
}

func (n *QRadioTunerControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QRadioTunerControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQRadioTunerControlFromPointer(ptr unsafe.Pointer) (n *QRadioTunerControl) {
	n = new(QRadioTunerControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QRadioTunerControl")
	return
}
func (ptr *QRadioTunerControl) ConnectAntennaConnectedChanged(f func(connectionStatus bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAntennaConnectedChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectAntennaConnectedChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAntennaConnectedChanged"})
}

func (ptr *QRadioTunerControl) AntennaConnectedChanged(connectionStatus bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AntennaConnectedChanged", connectionStatus})
}

func (ptr *QRadioTunerControl) ConnectBand(f func() QRadioTuner__Band) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBand", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectBand() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBand"})
}

func (ptr *QRadioTunerControl) Band() QRadioTuner__Band {

	return QRadioTuner__Band(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Band"}).(float64))
}

func (ptr *QRadioTunerControl) ConnectBandChanged(f func(band QRadioTuner__Band)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBandChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectBandChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBandChanged"})
}

func (ptr *QRadioTunerControl) BandChanged(band QRadioTuner__Band) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BandChanged", band})
}

func (ptr *QRadioTunerControl) ConnectCancelSearch(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCancelSearch", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectCancelSearch() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCancelSearch"})
}

func (ptr *QRadioTunerControl) CancelSearch() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CancelSearch"})
}

func (ptr *QRadioTunerControl) ConnectError(f func() QRadioTuner__Error) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectError() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError"})
}

func (ptr *QRadioTunerControl) Error() QRadioTuner__Error {

	return QRadioTuner__Error(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error"}).(float64))
}

func (ptr *QRadioTunerControl) ConnectError2(f func(error QRadioTuner__Error)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectError2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectError2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectError2"})
}

func (ptr *QRadioTunerControl) Error2(error QRadioTuner__Error) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Error2", error})
}

func (ptr *QRadioTunerControl) ConnectErrorString(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectErrorString", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectErrorString() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectErrorString"})
}

func (ptr *QRadioTunerControl) ErrorString() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ErrorString"}).(string)
}

func (ptr *QRadioTunerControl) ConnectFrequency(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFrequency", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectFrequency() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFrequency"})
}

func (ptr *QRadioTunerControl) Frequency() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Frequency"}).(float64))
}

func (ptr *QRadioTunerControl) ConnectFrequencyChanged(f func(frequency int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFrequencyChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectFrequencyChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFrequencyChanged"})
}

func (ptr *QRadioTunerControl) FrequencyChanged(frequency int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrequencyChanged", frequency})
}

func (ptr *QRadioTunerControl) ConnectFrequencyStep(f func(band QRadioTuner__Band) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFrequencyStep", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectFrequencyStep() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFrequencyStep"})
}

func (ptr *QRadioTunerControl) FrequencyStep(band QRadioTuner__Band) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrequencyStep", band}).(float64))
}

func (ptr *QRadioTunerControl) ConnectIsAntennaConnected(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsAntennaConnected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectIsAntennaConnected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsAntennaConnected"})
}

func (ptr *QRadioTunerControl) IsAntennaConnected() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAntennaConnected"}).(bool)
}

func (ptr *QRadioTunerControl) IsAntennaConnectedDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAntennaConnectedDefault"}).(bool)
}

func (ptr *QRadioTunerControl) ConnectIsBandSupported(f func(band QRadioTuner__Band) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsBandSupported", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectIsBandSupported() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsBandSupported"})
}

func (ptr *QRadioTunerControl) IsBandSupported(band QRadioTuner__Band) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsBandSupported", band}).(bool)
}

func (ptr *QRadioTunerControl) ConnectIsMuted(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsMuted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectIsMuted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsMuted"})
}

func (ptr *QRadioTunerControl) IsMuted() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMuted"}).(bool)
}

func (ptr *QRadioTunerControl) ConnectIsSearching(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsSearching", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectIsSearching() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsSearching"})
}

func (ptr *QRadioTunerControl) IsSearching() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSearching"}).(bool)
}

func (ptr *QRadioTunerControl) ConnectIsStereo(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsStereo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectIsStereo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsStereo"})
}

func (ptr *QRadioTunerControl) IsStereo() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsStereo"}).(bool)
}

func (ptr *QRadioTunerControl) ConnectMutedChanged(f func(muted bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMutedChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectMutedChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMutedChanged"})
}

func (ptr *QRadioTunerControl) MutedChanged(muted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MutedChanged", muted})
}

func (ptr *QRadioTunerControl) ConnectSearchAllStations(f func(searchMode QRadioTuner__SearchMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSearchAllStations", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectSearchAllStations() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSearchAllStations"})
}

func (ptr *QRadioTunerControl) SearchAllStations(searchMode QRadioTuner__SearchMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchAllStations", searchMode})
}

func (ptr *QRadioTunerControl) ConnectSearchBackward(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSearchBackward", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectSearchBackward() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSearchBackward"})
}

func (ptr *QRadioTunerControl) SearchBackward() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchBackward"})
}

func (ptr *QRadioTunerControl) ConnectSearchForward(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSearchForward", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectSearchForward() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSearchForward"})
}

func (ptr *QRadioTunerControl) SearchForward() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchForward"})
}

func (ptr *QRadioTunerControl) ConnectSearchingChanged(f func(searching bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSearchingChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectSearchingChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSearchingChanged"})
}

func (ptr *QRadioTunerControl) SearchingChanged(searching bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchingChanged", searching})
}

func (ptr *QRadioTunerControl) ConnectSetBand(f func(band QRadioTuner__Band)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetBand", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectSetBand() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetBand"})
}

func (ptr *QRadioTunerControl) SetBand(band QRadioTuner__Band) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBand", band})
}

func (ptr *QRadioTunerControl) ConnectSetFrequency(f func(frequency int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFrequency", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectSetFrequency() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFrequency"})
}

func (ptr *QRadioTunerControl) SetFrequency(frequency int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrequency", frequency})
}

func (ptr *QRadioTunerControl) ConnectSetMuted(f func(muted bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMuted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectSetMuted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMuted"})
}

func (ptr *QRadioTunerControl) SetMuted(muted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMuted", muted})
}

func (ptr *QRadioTunerControl) ConnectSetStereoMode(f func(mode QRadioTuner__StereoMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetStereoMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectSetStereoMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetStereoMode"})
}

func (ptr *QRadioTunerControl) SetStereoMode(mode QRadioTuner__StereoMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStereoMode", mode})
}

func (ptr *QRadioTunerControl) ConnectSetVolume(f func(volume int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetVolume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectSetVolume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetVolume"})
}

func (ptr *QRadioTunerControl) SetVolume(volume int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVolume", volume})
}

func (ptr *QRadioTunerControl) ConnectSignalStrength(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSignalStrength", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectSignalStrength() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSignalStrength"})
}

func (ptr *QRadioTunerControl) SignalStrength() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SignalStrength"}).(float64))
}

func (ptr *QRadioTunerControl) ConnectSignalStrengthChanged(f func(strength int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSignalStrengthChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectSignalStrengthChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSignalStrengthChanged"})
}

func (ptr *QRadioTunerControl) SignalStrengthChanged(strength int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SignalStrengthChanged", strength})
}

func (ptr *QRadioTunerControl) ConnectStart(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectStart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStart"})
}

func (ptr *QRadioTunerControl) Start() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Start"})
}

func (ptr *QRadioTunerControl) ConnectState(f func() QRadioTuner__State) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectState"})
}

func (ptr *QRadioTunerControl) State() QRadioTuner__State {

	return QRadioTuner__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QRadioTunerControl) ConnectStateChanged(f func(state QRadioTuner__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QRadioTunerControl) StateChanged(state QRadioTuner__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", state})
}

func (ptr *QRadioTunerControl) ConnectStationFound(f func(frequency int, stationId string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStationFound", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectStationFound() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStationFound"})
}

func (ptr *QRadioTunerControl) StationFound(frequency int, stationId string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StationFound", frequency, stationId})
}

func (ptr *QRadioTunerControl) ConnectStereoMode(f func() QRadioTuner__StereoMode) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStereoMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectStereoMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStereoMode"})
}

func (ptr *QRadioTunerControl) StereoMode() QRadioTuner__StereoMode {

	return QRadioTuner__StereoMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StereoMode"}).(float64))
}

func (ptr *QRadioTunerControl) ConnectStereoStatusChanged(f func(stereo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStereoStatusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectStereoStatusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStereoStatusChanged"})
}

func (ptr *QRadioTunerControl) StereoStatusChanged(stereo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StereoStatusChanged", stereo})
}

func (ptr *QRadioTunerControl) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QRadioTunerControl) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QRadioTunerControl) ConnectVolume(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVolume", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectVolume() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVolume"})
}

func (ptr *QRadioTunerControl) Volume() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Volume"}).(float64))
}

func (ptr *QRadioTunerControl) ConnectVolumeChanged(f func(volume int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVolumeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectVolumeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVolumeChanged"})
}

func (ptr *QRadioTunerControl) VolumeChanged(volume int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VolumeChanged", volume})
}

func (ptr *QRadioTunerControl) ConnectDestroyQRadioTunerControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQRadioTunerControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioTunerControl) DisconnectDestroyQRadioTunerControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQRadioTunerControl"})
}

func (ptr *QRadioTunerControl) DestroyQRadioTunerControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRadioTunerControl"})
}

func (ptr *QRadioTunerControl) DestroyQRadioTunerControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRadioTunerControlDefault"})
}

type QSGVideoMaterial_EGL struct {
	internal.Internal
}

type QSGVideoMaterial_EGL_ITF interface {
	QSGVideoMaterial_EGL_PTR() *QSGVideoMaterial_EGL
}

func (ptr *QSGVideoMaterial_EGL) QSGVideoMaterial_EGL_PTR() *QSGVideoMaterial_EGL {
	return ptr
}

func (ptr *QSGVideoMaterial_EGL) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSGVideoMaterial_EGL) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSGVideoMaterial_EGL(ptr QSGVideoMaterial_EGL_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSGVideoMaterial_EGL_PTR().Pointer()
	}
	return nil
}

func (n *QSGVideoMaterial_EGL) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSGVideoMaterial_EGLFromPointer(ptr unsafe.Pointer) (n *QSGVideoMaterial_EGL) {
	n = new(QSGVideoMaterial_EGL)
	n.InitFromInternal(uintptr(ptr), "multimedia.QSGVideoMaterial_EGL")
	return
}

func (ptr *QSGVideoMaterial_EGL) DestroyQSGVideoMaterial_EGL() {
}

type QSGVideoNodeFactory_EGL struct {
	internal.Internal
}

type QSGVideoNodeFactory_EGL_ITF interface {
	QSGVideoNodeFactory_EGL_PTR() *QSGVideoNodeFactory_EGL
}

func (ptr *QSGVideoNodeFactory_EGL) QSGVideoNodeFactory_EGL_PTR() *QSGVideoNodeFactory_EGL {
	return ptr
}

func (ptr *QSGVideoNodeFactory_EGL) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSGVideoNodeFactory_EGL) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSGVideoNodeFactory_EGL(ptr QSGVideoNodeFactory_EGL_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSGVideoNodeFactory_EGL_PTR().Pointer()
	}
	return nil
}

func (n *QSGVideoNodeFactory_EGL) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSGVideoNodeFactory_EGLFromPointer(ptr unsafe.Pointer) (n *QSGVideoNodeFactory_EGL) {
	n = new(QSGVideoNodeFactory_EGL)
	n.InitFromInternal(uintptr(ptr), "multimedia.QSGVideoNodeFactory_EGL")
	return
}

func (ptr *QSGVideoNodeFactory_EGL) DestroyQSGVideoNodeFactory_EGL() {
}

type QSGVideoNode_EGL struct {
	internal.Internal
}

type QSGVideoNode_EGL_ITF interface {
	QSGVideoNode_EGL_PTR() *QSGVideoNode_EGL
}

func (ptr *QSGVideoNode_EGL) QSGVideoNode_EGL_PTR() *QSGVideoNode_EGL {
	return ptr
}

func (ptr *QSGVideoNode_EGL) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSGVideoNode_EGL) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSGVideoNode_EGL(ptr QSGVideoNode_EGL_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSGVideoNode_EGL_PTR().Pointer()
	}
	return nil
}

func (n *QSGVideoNode_EGL) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSGVideoNode_EGLFromPointer(ptr unsafe.Pointer) (n *QSGVideoNode_EGL) {
	n = new(QSGVideoNode_EGL)
	n.InitFromInternal(uintptr(ptr), "multimedia.QSGVideoNode_EGL")
	return
}

func (ptr *QSGVideoNode_EGL) DestroyQSGVideoNode_EGL() {
}

type QSGVivanteVideoMaterial struct {
	internal.Internal
}

type QSGVivanteVideoMaterial_ITF interface {
	QSGVivanteVideoMaterial_PTR() *QSGVivanteVideoMaterial
}

func (ptr *QSGVivanteVideoMaterial) QSGVivanteVideoMaterial_PTR() *QSGVivanteVideoMaterial {
	return ptr
}

func (ptr *QSGVivanteVideoMaterial) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSGVivanteVideoMaterial) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSGVivanteVideoMaterial(ptr QSGVivanteVideoMaterial_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSGVivanteVideoMaterial_PTR().Pointer()
	}
	return nil
}

func (n *QSGVivanteVideoMaterial) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSGVivanteVideoMaterialFromPointer(ptr unsafe.Pointer) (n *QSGVivanteVideoMaterial) {
	n = new(QSGVivanteVideoMaterial)
	n.InitFromInternal(uintptr(ptr), "multimedia.QSGVivanteVideoMaterial")
	return
}

func (ptr *QSGVivanteVideoMaterial) DestroyQSGVivanteVideoMaterial() {
}

type QSGVivanteVideoMaterialShader struct {
	internal.Internal
}

type QSGVivanteVideoMaterialShader_ITF interface {
	QSGVivanteVideoMaterialShader_PTR() *QSGVivanteVideoMaterialShader
}

func (ptr *QSGVivanteVideoMaterialShader) QSGVivanteVideoMaterialShader_PTR() *QSGVivanteVideoMaterialShader {
	return ptr
}

func (ptr *QSGVivanteVideoMaterialShader) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSGVivanteVideoMaterialShader) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSGVivanteVideoMaterialShader(ptr QSGVivanteVideoMaterialShader_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSGVivanteVideoMaterialShader_PTR().Pointer()
	}
	return nil
}

func (n *QSGVivanteVideoMaterialShader) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSGVivanteVideoMaterialShaderFromPointer(ptr unsafe.Pointer) (n *QSGVivanteVideoMaterialShader) {
	n = new(QSGVivanteVideoMaterialShader)
	n.InitFromInternal(uintptr(ptr), "multimedia.QSGVivanteVideoMaterialShader")
	return
}

func (ptr *QSGVivanteVideoMaterialShader) DestroyQSGVivanteVideoMaterialShader() {
}

type QSGVivanteVideoNode struct {
	internal.Internal
}

type QSGVivanteVideoNode_ITF interface {
	QSGVivanteVideoNode_PTR() *QSGVivanteVideoNode
}

func (ptr *QSGVivanteVideoNode) QSGVivanteVideoNode_PTR() *QSGVivanteVideoNode {
	return ptr
}

func (ptr *QSGVivanteVideoNode) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSGVivanteVideoNode) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSGVivanteVideoNode(ptr QSGVivanteVideoNode_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSGVivanteVideoNode_PTR().Pointer()
	}
	return nil
}

func (n *QSGVivanteVideoNode) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSGVivanteVideoNodeFromPointer(ptr unsafe.Pointer) (n *QSGVivanteVideoNode) {
	n = new(QSGVivanteVideoNode)
	n.InitFromInternal(uintptr(ptr), "multimedia.QSGVivanteVideoNode")
	return
}

func (ptr *QSGVivanteVideoNode) DestroyQSGVivanteVideoNode() {
}

type QSGVivanteVideoNodeFactory struct {
	core.QObject
}

type QSGVivanteVideoNodeFactory_ITF interface {
	core.QObject_ITF
	QSGVivanteVideoNodeFactory_PTR() *QSGVivanteVideoNodeFactory
}

func (ptr *QSGVivanteVideoNodeFactory) QSGVivanteVideoNodeFactory_PTR() *QSGVivanteVideoNodeFactory {
	return ptr
}

func (ptr *QSGVivanteVideoNodeFactory) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QSGVivanteVideoNodeFactory) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQSGVivanteVideoNodeFactory(ptr QSGVivanteVideoNodeFactory_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSGVivanteVideoNodeFactory_PTR().Pointer()
	}
	return nil
}

func (n *QSGVivanteVideoNodeFactory) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSGVivanteVideoNodeFactory) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQSGVivanteVideoNodeFactoryFromPointer(ptr unsafe.Pointer) (n *QSGVivanteVideoNodeFactory) {
	n = new(QSGVivanteVideoNodeFactory)
	n.InitFromInternal(uintptr(ptr), "multimedia.QSGVivanteVideoNodeFactory")
	return
}

func (ptr *QSGVivanteVideoNodeFactory) DestroyQSGVivanteVideoNodeFactory() {
}

type QSound struct {
	core.QObject
}

type QSound_ITF interface {
	core.QObject_ITF
	QSound_PTR() *QSound
}

func (ptr *QSound) QSound_PTR() *QSound {
	return ptr
}

func (ptr *QSound) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QSound) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQSound(ptr QSound_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSound_PTR().Pointer()
	}
	return nil
}

func (n *QSound) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSound) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQSoundFromPointer(ptr unsafe.Pointer) (n *QSound) {
	n = new(QSound)
	n.InitFromInternal(uintptr(ptr), "multimedia.QSound")
	return
}

//go:generate stringer -type=QSound__Loop
//QSound::Loop
type QSound__Loop int64

const (
	QSound__Infinite QSound__Loop = QSound__Loop(-1)
)

func NewQSound(filename string, parent core.QObject_ITF) *QSound {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQSound", "", filename, parent}).(*QSound)
}

func (ptr *QSound) FileName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName"}).(string)
}

func (ptr *QSound) IsFinished() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFinished"}).(bool)
}

func (ptr *QSound) Loops() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Loops"}).(float64))
}

func (ptr *QSound) LoopsRemaining() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoopsRemaining"}).(float64))
}

func QSound_Play(filename string) {

	internal.CallLocalFunction([]interface{}{"", "", "multimedia.QSound_Play", "", filename})
}

func (ptr *QSound) Play(filename string) {

	internal.CallLocalFunction([]interface{}{"", "", "multimedia.QSound_Play", "", filename})
}

func (ptr *QSound) ConnectPlay2(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPlay2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSound) DisconnectPlay2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPlay2"})
}

func (ptr *QSound) Play2() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Play2"})
}

func (ptr *QSound) Play2Default() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Play2Default"})
}

func (ptr *QSound) SetLoops(number int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLoops", number})
}

func (ptr *QSound) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSound) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QSound) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QSound) StopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StopDefault"})
}

func (ptr *QSound) ConnectDestroyQSound(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSound", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSound) DisconnectDestroyQSound() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSound"})
}

func (ptr *QSound) DestroyQSound() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSound"})
}

func (ptr *QSound) DestroyQSoundDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSoundDefault"})
}

func (ptr *QSound) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QSound) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QSound) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QSound) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QSound) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QSound) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QSound) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QSound) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QSound) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QSound) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QSound) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QSound) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QSound) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QSound) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QSound) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QSound) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QSound) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QSound) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QSound) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QSound) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QSound) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QSoundEffect struct {
	core.QObject
}

type QSoundEffect_ITF interface {
	core.QObject_ITF
	QSoundEffect_PTR() *QSoundEffect
}

func (ptr *QSoundEffect) QSoundEffect_PTR() *QSoundEffect {
	return ptr
}

func (ptr *QSoundEffect) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QSoundEffect) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQSoundEffect(ptr QSoundEffect_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSoundEffect_PTR().Pointer()
	}
	return nil
}

func (n *QSoundEffect) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSoundEffect) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQSoundEffectFromPointer(ptr unsafe.Pointer) (n *QSoundEffect) {
	n = new(QSoundEffect)
	n.InitFromInternal(uintptr(ptr), "multimedia.QSoundEffect")
	return
}

//go:generate stringer -type=QSoundEffect__Loop
//QSoundEffect::Loop
type QSoundEffect__Loop int64

const (
	QSoundEffect__Infinite QSoundEffect__Loop = QSoundEffect__Loop(-2)
)

//go:generate stringer -type=QSoundEffect__Status
//QSoundEffect::Status
type QSoundEffect__Status int64

const (
	QSoundEffect__Null    QSoundEffect__Status = QSoundEffect__Status(0)
	QSoundEffect__Loading QSoundEffect__Status = QSoundEffect__Status(1)
	QSoundEffect__Ready   QSoundEffect__Status = QSoundEffect__Status(2)
	QSoundEffect__Error   QSoundEffect__Status = QSoundEffect__Status(3)
)

func NewQSoundEffect(parent core.QObject_ITF) *QSoundEffect {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQSoundEffect", "", parent}).(*QSoundEffect)
}

func NewQSoundEffect2(audioDevice QAudioDeviceInfo_ITF, parent core.QObject_ITF) *QSoundEffect {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQSoundEffect2", "", audioDevice, parent}).(*QSoundEffect)
}

func (ptr *QSoundEffect) Category() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Category"}).(string)
}

func (ptr *QSoundEffect) ConnectCategoryChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCategoryChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSoundEffect) DisconnectCategoryChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCategoryChanged"})
}

func (ptr *QSoundEffect) CategoryChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CategoryChanged"})
}

func (ptr *QSoundEffect) IsLoaded() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLoaded"}).(bool)
}

func (ptr *QSoundEffect) IsMuted() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMuted"}).(bool)
}

func (ptr *QSoundEffect) IsPlaying() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsPlaying"}).(bool)
}

func (ptr *QSoundEffect) ConnectLoadedChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLoadedChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSoundEffect) DisconnectLoadedChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLoadedChanged"})
}

func (ptr *QSoundEffect) LoadedChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadedChanged"})
}

func (ptr *QSoundEffect) LoopCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoopCount"}).(float64))
}

func (ptr *QSoundEffect) ConnectLoopCountChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLoopCountChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSoundEffect) DisconnectLoopCountChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLoopCountChanged"})
}

func (ptr *QSoundEffect) LoopCountChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoopCountChanged"})
}

func (ptr *QSoundEffect) LoopsRemaining() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoopsRemaining"}).(float64))
}

func (ptr *QSoundEffect) ConnectLoopsRemainingChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLoopsRemainingChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSoundEffect) DisconnectLoopsRemainingChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLoopsRemainingChanged"})
}

func (ptr *QSoundEffect) LoopsRemainingChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoopsRemainingChanged"})
}

func (ptr *QSoundEffect) ConnectMutedChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMutedChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSoundEffect) DisconnectMutedChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMutedChanged"})
}

func (ptr *QSoundEffect) MutedChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MutedChanged"})
}

func (ptr *QSoundEffect) ConnectPlay(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPlay", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSoundEffect) DisconnectPlay() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPlay"})
}

func (ptr *QSoundEffect) Play() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Play"})
}

func (ptr *QSoundEffect) PlayDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PlayDefault"})
}

func (ptr *QSoundEffect) ConnectPlayingChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPlayingChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSoundEffect) DisconnectPlayingChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPlayingChanged"})
}

func (ptr *QSoundEffect) PlayingChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PlayingChanged"})
}

func (ptr *QSoundEffect) SetCategory(category string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCategory", category})
}

func (ptr *QSoundEffect) SetLoopCount(loopCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLoopCount", loopCount})
}

func (ptr *QSoundEffect) SetMuted(muted bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMuted", muted})
}

func (ptr *QSoundEffect) SetSource(url core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSource", url})
}

func (ptr *QSoundEffect) SetVolume(volume float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVolume", volume})
}

func (ptr *QSoundEffect) Source() *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Source"}).(*core.QUrl)
}

func (ptr *QSoundEffect) ConnectSourceChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSourceChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSoundEffect) DisconnectSourceChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSourceChanged"})
}

func (ptr *QSoundEffect) SourceChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceChanged"})
}

func (ptr *QSoundEffect) Status() QSoundEffect__Status {

	return QSoundEffect__Status(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Status"}).(float64))
}

func (ptr *QSoundEffect) ConnectStatusChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStatusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSoundEffect) DisconnectStatusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStatusChanged"})
}

func (ptr *QSoundEffect) StatusChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StatusChanged"})
}

func (ptr *QSoundEffect) ConnectStop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSoundEffect) DisconnectStop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStop"})
}

func (ptr *QSoundEffect) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QSoundEffect) StopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StopDefault"})
}

func QSoundEffect_SupportedMimeTypes() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.QSoundEffect_SupportedMimeTypes", ""}).([]string)
}

func (ptr *QSoundEffect) SupportedMimeTypes() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.QSoundEffect_SupportedMimeTypes", ""}).([]string)
}

func (ptr *QSoundEffect) Volume() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Volume"}).(float64)
}

func (ptr *QSoundEffect) ConnectVolumeChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVolumeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSoundEffect) DisconnectVolumeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVolumeChanged"})
}

func (ptr *QSoundEffect) VolumeChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VolumeChanged"})
}

func (ptr *QSoundEffect) ConnectDestroyQSoundEffect(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSoundEffect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSoundEffect) DisconnectDestroyQSoundEffect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSoundEffect"})
}

func (ptr *QSoundEffect) DestroyQSoundEffect() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSoundEffect"})
}

func (ptr *QSoundEffect) DestroyQSoundEffectDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSoundEffectDefault"})
}

func (ptr *QSoundEffect) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QSoundEffect) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QSoundEffect) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QSoundEffect) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QSoundEffect) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QSoundEffect) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QSoundEffect) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QSoundEffect) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QSoundEffect) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QSoundEffect) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QSoundEffect) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QSoundEffect) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QSoundEffect) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QSoundEffect) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QSoundEffect) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QSoundEffect) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QSoundEffect) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QSoundEffect) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QSoundEffect) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QSoundEffect) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QSoundEffect) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QVideoDeviceSelectorControl struct {
	QMediaControl
}

type QVideoDeviceSelectorControl_ITF interface {
	QMediaControl_ITF
	QVideoDeviceSelectorControl_PTR() *QVideoDeviceSelectorControl
}

func (ptr *QVideoDeviceSelectorControl) QVideoDeviceSelectorControl_PTR() *QVideoDeviceSelectorControl {
	return ptr
}

func (ptr *QVideoDeviceSelectorControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QVideoDeviceSelectorControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQVideoDeviceSelectorControl(ptr QVideoDeviceSelectorControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoDeviceSelectorControl_PTR().Pointer()
	}
	return nil
}

func (n *QVideoDeviceSelectorControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QVideoDeviceSelectorControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQVideoDeviceSelectorControlFromPointer(ptr unsafe.Pointer) (n *QVideoDeviceSelectorControl) {
	n = new(QVideoDeviceSelectorControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QVideoDeviceSelectorControl")
	return
}
func NewQVideoDeviceSelectorControl(parent core.QObject_ITF) *QVideoDeviceSelectorControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoDeviceSelectorControl", "", parent}).(*QVideoDeviceSelectorControl)
}

func (ptr *QVideoDeviceSelectorControl) ConnectDefaultDevice(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDefaultDevice", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoDeviceSelectorControl) DisconnectDefaultDevice() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDefaultDevice"})
}

func (ptr *QVideoDeviceSelectorControl) DefaultDevice() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultDevice"}).(float64))
}

func (ptr *QVideoDeviceSelectorControl) ConnectDeviceCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDeviceCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoDeviceSelectorControl) DisconnectDeviceCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDeviceCount"})
}

func (ptr *QVideoDeviceSelectorControl) DeviceCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeviceCount"}).(float64))
}

func (ptr *QVideoDeviceSelectorControl) ConnectDeviceDescription(f func(index int) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDeviceDescription", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoDeviceSelectorControl) DisconnectDeviceDescription() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDeviceDescription"})
}

func (ptr *QVideoDeviceSelectorControl) DeviceDescription(index int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeviceDescription", index}).(string)
}

func (ptr *QVideoDeviceSelectorControl) ConnectDeviceName(f func(index int) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDeviceName", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoDeviceSelectorControl) DisconnectDeviceName() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDeviceName"})
}

func (ptr *QVideoDeviceSelectorControl) DeviceName(index int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeviceName", index}).(string)
}

func (ptr *QVideoDeviceSelectorControl) ConnectDevicesChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDevicesChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoDeviceSelectorControl) DisconnectDevicesChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDevicesChanged"})
}

func (ptr *QVideoDeviceSelectorControl) DevicesChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DevicesChanged"})
}

func (ptr *QVideoDeviceSelectorControl) ConnectSelectedDevice(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectedDevice", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoDeviceSelectorControl) DisconnectSelectedDevice() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectedDevice"})
}

func (ptr *QVideoDeviceSelectorControl) SelectedDevice() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedDevice"}).(float64))
}

func (ptr *QVideoDeviceSelectorControl) ConnectSelectedDeviceChanged(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectedDeviceChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoDeviceSelectorControl) DisconnectSelectedDeviceChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectedDeviceChanged"})
}

func (ptr *QVideoDeviceSelectorControl) SelectedDeviceChanged(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedDeviceChanged", index})
}

func (ptr *QVideoDeviceSelectorControl) ConnectSelectedDeviceChanged2(f func(name string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectedDeviceChanged2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoDeviceSelectorControl) DisconnectSelectedDeviceChanged2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectedDeviceChanged2"})
}

func (ptr *QVideoDeviceSelectorControl) SelectedDeviceChanged2(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedDeviceChanged2", name})
}

func (ptr *QVideoDeviceSelectorControl) ConnectSetSelectedDevice(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSelectedDevice", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoDeviceSelectorControl) DisconnectSetSelectedDevice() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSelectedDevice"})
}

func (ptr *QVideoDeviceSelectorControl) SetSelectedDevice(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectedDevice", index})
}

func (ptr *QVideoDeviceSelectorControl) ConnectDestroyQVideoDeviceSelectorControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQVideoDeviceSelectorControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoDeviceSelectorControl) DisconnectDestroyQVideoDeviceSelectorControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQVideoDeviceSelectorControl"})
}

func (ptr *QVideoDeviceSelectorControl) DestroyQVideoDeviceSelectorControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVideoDeviceSelectorControl"})
}

func (ptr *QVideoDeviceSelectorControl) DestroyQVideoDeviceSelectorControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVideoDeviceSelectorControlDefault"})
}

type QVideoEncoderSettings struct {
	internal.Internal
}

type QVideoEncoderSettings_ITF interface {
	QVideoEncoderSettings_PTR() *QVideoEncoderSettings
}

func (ptr *QVideoEncoderSettings) QVideoEncoderSettings_PTR() *QVideoEncoderSettings {
	return ptr
}

func (ptr *QVideoEncoderSettings) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVideoEncoderSettings) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVideoEncoderSettings(ptr QVideoEncoderSettings_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoEncoderSettings_PTR().Pointer()
	}
	return nil
}

func (n *QVideoEncoderSettings) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVideoEncoderSettingsFromPointer(ptr unsafe.Pointer) (n *QVideoEncoderSettings) {
	n = new(QVideoEncoderSettings)
	n.InitFromInternal(uintptr(ptr), "multimedia.QVideoEncoderSettings")
	return
}
func NewQVideoEncoderSettings() *QVideoEncoderSettings {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoEncoderSettings", ""}).(*QVideoEncoderSettings)
}

func NewQVideoEncoderSettings2(other QVideoEncoderSettings_ITF) *QVideoEncoderSettings {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoEncoderSettings2", "", other}).(*QVideoEncoderSettings)
}

func (ptr *QVideoEncoderSettings) BitRate() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BitRate"}).(float64))
}

func (ptr *QVideoEncoderSettings) Codec() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Codec"}).(string)
}

func (ptr *QVideoEncoderSettings) EncodingMode() QMultimedia__EncodingMode {

	return QMultimedia__EncodingMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EncodingMode"}).(float64))
}

func (ptr *QVideoEncoderSettings) EncodingOption(option string) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EncodingOption", option}).(*core.QVariant)
}

func (ptr *QVideoEncoderSettings) EncodingOptions() map[string]*core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EncodingOptions"}).(map[string]*core.QVariant)
}

func (ptr *QVideoEncoderSettings) FrameRate() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameRate"}).(float64)
}

func (ptr *QVideoEncoderSettings) IsNull() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNull"}).(bool)
}

func (ptr *QVideoEncoderSettings) Quality() QMultimedia__EncodingQuality {

	return QMultimedia__EncodingQuality(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Quality"}).(float64))
}

func (ptr *QVideoEncoderSettings) Resolution() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resolution"}).(*core.QSize)
}

func (ptr *QVideoEncoderSettings) SetBitRate(value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBitRate", value})
}

func (ptr *QVideoEncoderSettings) SetCodec(codec string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCodec", codec})
}

func (ptr *QVideoEncoderSettings) SetEncodingMode(mode QMultimedia__EncodingMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEncodingMode", mode})
}

func (ptr *QVideoEncoderSettings) SetEncodingOption(option string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEncodingOption", option, value})
}

func (ptr *QVideoEncoderSettings) SetEncodingOptions(options map[string]*core.QVariant) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEncodingOptions", options})
}

func (ptr *QVideoEncoderSettings) SetFrameRate(rate float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrameRate", rate})
}

func (ptr *QVideoEncoderSettings) SetQuality(quality QMultimedia__EncodingQuality) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetQuality", quality})
}

func (ptr *QVideoEncoderSettings) SetResolution(resolution core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResolution", resolution})
}

func (ptr *QVideoEncoderSettings) SetResolution2(width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResolution2", width, height})
}

func (ptr *QVideoEncoderSettings) DestroyQVideoEncoderSettings() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVideoEncoderSettings"})
}

func (ptr *QVideoEncoderSettings) __encodingOptions_atList(v string, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodingOptions_atList", v, i}).(*core.QVariant)
}

func (ptr *QVideoEncoderSettings) __encodingOptions_setList(key string, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodingOptions_setList", key, i})
}

func (ptr *QVideoEncoderSettings) __encodingOptions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodingOptions_newList"}).(unsafe.Pointer)
}

func (ptr *QVideoEncoderSettings) __encodingOptions_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__encodingOptions_keyList"}).([]string)
}

func (ptr *QVideoEncoderSettings) __setEncodingOptions_options_atList(v string, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setEncodingOptions_options_atList", v, i}).(*core.QVariant)
}

func (ptr *QVideoEncoderSettings) __setEncodingOptions_options_setList(key string, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setEncodingOptions_options_setList", key, i})
}

func (ptr *QVideoEncoderSettings) __setEncodingOptions_options_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setEncodingOptions_options_newList"}).(unsafe.Pointer)
}

func (ptr *QVideoEncoderSettings) __setEncodingOptions_options_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setEncodingOptions_options_keyList"}).([]string)
}

func (ptr *QVideoEncoderSettings) ____encodingOptions_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____encodingOptions_keyList_atList", i}).(string)
}

func (ptr *QVideoEncoderSettings) ____encodingOptions_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____encodingOptions_keyList_setList", i})
}

func (ptr *QVideoEncoderSettings) ____encodingOptions_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____encodingOptions_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QVideoEncoderSettings) ____setEncodingOptions_options_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setEncodingOptions_options_keyList_atList", i}).(string)
}

func (ptr *QVideoEncoderSettings) ____setEncodingOptions_options_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setEncodingOptions_options_keyList_setList", i})
}

func (ptr *QVideoEncoderSettings) ____setEncodingOptions_options_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setEncodingOptions_options_keyList_newList"}).(unsafe.Pointer)
}

type QVideoEncoderSettingsControl struct {
	QMediaControl
}

type QVideoEncoderSettingsControl_ITF interface {
	QMediaControl_ITF
	QVideoEncoderSettingsControl_PTR() *QVideoEncoderSettingsControl
}

func (ptr *QVideoEncoderSettingsControl) QVideoEncoderSettingsControl_PTR() *QVideoEncoderSettingsControl {
	return ptr
}

func (ptr *QVideoEncoderSettingsControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QVideoEncoderSettingsControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQVideoEncoderSettingsControl(ptr QVideoEncoderSettingsControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoEncoderSettingsControl_PTR().Pointer()
	}
	return nil
}

func (n *QVideoEncoderSettingsControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QVideoEncoderSettingsControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQVideoEncoderSettingsControlFromPointer(ptr unsafe.Pointer) (n *QVideoEncoderSettingsControl) {
	n = new(QVideoEncoderSettingsControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QVideoEncoderSettingsControl")
	return
}
func NewQVideoEncoderSettingsControl(parent core.QObject_ITF) *QVideoEncoderSettingsControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoEncoderSettingsControl", "", parent}).(*QVideoEncoderSettingsControl)
}

func (ptr *QVideoEncoderSettingsControl) ConnectSetVideoSettings(f func(settings *QVideoEncoderSettings)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetVideoSettings", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoEncoderSettingsControl) DisconnectSetVideoSettings() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetVideoSettings"})
}

func (ptr *QVideoEncoderSettingsControl) SetVideoSettings(settings QVideoEncoderSettings_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVideoSettings", settings})
}

func (ptr *QVideoEncoderSettingsControl) ConnectSupportedFrameRates(f func(settings *QVideoEncoderSettings, continuous *bool) []float64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedFrameRates", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoEncoderSettingsControl) DisconnectSupportedFrameRates() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedFrameRates"})
}

func (ptr *QVideoEncoderSettingsControl) SupportedFrameRates(settings QVideoEncoderSettings_ITF, continuous *bool) []float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedFrameRates", settings, continuous}).([]float64)
}

func (ptr *QVideoEncoderSettingsControl) ConnectSupportedResolutions(f func(settings *QVideoEncoderSettings, continuous *bool) []*core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedResolutions", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoEncoderSettingsControl) DisconnectSupportedResolutions() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedResolutions"})
}

func (ptr *QVideoEncoderSettingsControl) SupportedResolutions(settings QVideoEncoderSettings_ITF, continuous *bool) []*core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedResolutions", settings, continuous}).([]*core.QSize)
}

func (ptr *QVideoEncoderSettingsControl) ConnectSupportedVideoCodecs(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedVideoCodecs", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoEncoderSettingsControl) DisconnectSupportedVideoCodecs() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedVideoCodecs"})
}

func (ptr *QVideoEncoderSettingsControl) SupportedVideoCodecs() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedVideoCodecs"}).([]string)
}

func (ptr *QVideoEncoderSettingsControl) ConnectVideoCodecDescription(f func(codec string) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVideoCodecDescription", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoEncoderSettingsControl) DisconnectVideoCodecDescription() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVideoCodecDescription"})
}

func (ptr *QVideoEncoderSettingsControl) VideoCodecDescription(codec string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VideoCodecDescription", codec}).(string)
}

func (ptr *QVideoEncoderSettingsControl) ConnectVideoSettings(f func() *QVideoEncoderSettings) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVideoSettings", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoEncoderSettingsControl) DisconnectVideoSettings() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVideoSettings"})
}

func (ptr *QVideoEncoderSettingsControl) VideoSettings() *QVideoEncoderSettings {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VideoSettings"}).(*QVideoEncoderSettings)
}

func (ptr *QVideoEncoderSettingsControl) ConnectDestroyQVideoEncoderSettingsControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQVideoEncoderSettingsControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoEncoderSettingsControl) DisconnectDestroyQVideoEncoderSettingsControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQVideoEncoderSettingsControl"})
}

func (ptr *QVideoEncoderSettingsControl) DestroyQVideoEncoderSettingsControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVideoEncoderSettingsControl"})
}

func (ptr *QVideoEncoderSettingsControl) DestroyQVideoEncoderSettingsControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVideoEncoderSettingsControlDefault"})
}

func (ptr *QVideoEncoderSettingsControl) __supportedFrameRates_atList(i int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedFrameRates_atList", i}).(float64)
}

func (ptr *QVideoEncoderSettingsControl) __supportedFrameRates_setList(i float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedFrameRates_setList", i})
}

func (ptr *QVideoEncoderSettingsControl) __supportedFrameRates_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedFrameRates_newList"}).(unsafe.Pointer)
}

func (ptr *QVideoEncoderSettingsControl) __supportedResolutions_atList(i int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedResolutions_atList", i}).(*core.QSize)
}

func (ptr *QVideoEncoderSettingsControl) __supportedResolutions_setList(i core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedResolutions_setList", i})
}

func (ptr *QVideoEncoderSettingsControl) __supportedResolutions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__supportedResolutions_newList"}).(unsafe.Pointer)
}

type QVideoFilterRunnable struct {
	internal.Internal
}

type QVideoFilterRunnable_ITF interface {
	QVideoFilterRunnable_PTR() *QVideoFilterRunnable
}

func (ptr *QVideoFilterRunnable) QVideoFilterRunnable_PTR() *QVideoFilterRunnable {
	return ptr
}

func (ptr *QVideoFilterRunnable) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVideoFilterRunnable) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVideoFilterRunnable(ptr QVideoFilterRunnable_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoFilterRunnable_PTR().Pointer()
	}
	return nil
}

func (n *QVideoFilterRunnable) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVideoFilterRunnableFromPointer(ptr unsafe.Pointer) (n *QVideoFilterRunnable) {
	n = new(QVideoFilterRunnable)
	n.InitFromInternal(uintptr(ptr), "multimedia.QVideoFilterRunnable")
	return
}

func (ptr *QVideoFilterRunnable) DestroyQVideoFilterRunnable() {
}

//go:generate stringer -type=QVideoFilterRunnable__RunFlag
//QVideoFilterRunnable::RunFlag
type QVideoFilterRunnable__RunFlag int64

const (
	QVideoFilterRunnable__LastInChain QVideoFilterRunnable__RunFlag = QVideoFilterRunnable__RunFlag(0x01)
)

func (ptr *QVideoFilterRunnable) ConnectRun(f func(input *QVideoFrame, surfaceFormat *QVideoSurfaceFormat, flags QVideoFilterRunnable__RunFlag) *QVideoFrame) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRun", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoFilterRunnable) DisconnectRun() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRun"})
}

func (ptr *QVideoFilterRunnable) Run(input QVideoFrame_ITF, surfaceFormat QVideoSurfaceFormat_ITF, flags QVideoFilterRunnable__RunFlag) *QVideoFrame {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Run", input, surfaceFormat, flags}).(*QVideoFrame)
}

type QVideoFrame struct {
	internal.Internal
}

type QVideoFrame_ITF interface {
	QVideoFrame_PTR() *QVideoFrame
}

func (ptr *QVideoFrame) QVideoFrame_PTR() *QVideoFrame {
	return ptr
}

func (ptr *QVideoFrame) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVideoFrame) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVideoFrame(ptr QVideoFrame_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoFrame_PTR().Pointer()
	}
	return nil
}

func (n *QVideoFrame) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVideoFrameFromPointer(ptr unsafe.Pointer) (n *QVideoFrame) {
	n = new(QVideoFrame)
	n.InitFromInternal(uintptr(ptr), "multimedia.QVideoFrame")
	return
}

//go:generate stringer -type=QVideoFrame__FieldType
//QVideoFrame::FieldType
type QVideoFrame__FieldType int64

const (
	QVideoFrame__ProgressiveFrame QVideoFrame__FieldType = QVideoFrame__FieldType(0)
	QVideoFrame__TopField         QVideoFrame__FieldType = QVideoFrame__FieldType(1)
	QVideoFrame__BottomField      QVideoFrame__FieldType = QVideoFrame__FieldType(2)
	QVideoFrame__InterlacedFrame  QVideoFrame__FieldType = QVideoFrame__FieldType(3)
)

//go:generate stringer -type=QVideoFrame__PixelFormat
//QVideoFrame::PixelFormat
type QVideoFrame__PixelFormat int64

const (
	QVideoFrame__Format_Invalid                QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(0)
	QVideoFrame__Format_ARGB32                 QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(1)
	QVideoFrame__Format_ARGB32_Premultiplied   QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(2)
	QVideoFrame__Format_RGB32                  QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(3)
	QVideoFrame__Format_RGB24                  QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(4)
	QVideoFrame__Format_RGB565                 QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(5)
	QVideoFrame__Format_RGB555                 QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(6)
	QVideoFrame__Format_ARGB8565_Premultiplied QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(7)
	QVideoFrame__Format_BGRA32                 QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(8)
	QVideoFrame__Format_BGRA32_Premultiplied   QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(9)
	QVideoFrame__Format_ABGR32                 QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(10)
	QVideoFrame__Format_BGR32                  QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(11)
	QVideoFrame__Format_BGR24                  QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(12)
	QVideoFrame__Format_BGR565                 QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(13)
	QVideoFrame__Format_BGR555                 QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(14)
	QVideoFrame__Format_BGRA5658_Premultiplied QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(15)
	QVideoFrame__Format_AYUV444                QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(16)
	QVideoFrame__Format_AYUV444_Premultiplied  QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(17)
	QVideoFrame__Format_YUV444                 QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(18)
	QVideoFrame__Format_YUV420P                QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(19)
	QVideoFrame__Format_YV12                   QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(20)
	QVideoFrame__Format_UYVY                   QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(21)
	QVideoFrame__Format_YUYV                   QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(22)
	QVideoFrame__Format_NV12                   QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(23)
	QVideoFrame__Format_NV21                   QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(24)
	QVideoFrame__Format_IMC1                   QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(25)
	QVideoFrame__Format_IMC2                   QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(26)
	QVideoFrame__Format_IMC3                   QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(27)
	QVideoFrame__Format_IMC4                   QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(28)
	QVideoFrame__Format_Y8                     QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(29)
	QVideoFrame__Format_Y16                    QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(30)
	QVideoFrame__Format_Jpeg                   QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(31)
	QVideoFrame__Format_CameraRaw              QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(32)
	QVideoFrame__Format_AdobeDng               QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(33)
	QVideoFrame__Format_User                   QVideoFrame__PixelFormat = QVideoFrame__PixelFormat(1000)
)

func NewQVideoFrame() *QVideoFrame {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoFrame", ""}).(*QVideoFrame)
}

func NewQVideoFrame2(buffer QAbstractVideoBuffer_ITF, size core.QSize_ITF, format QVideoFrame__PixelFormat) *QVideoFrame {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoFrame2", "", buffer, size, format}).(*QVideoFrame)
}

func NewQVideoFrame3(bytes int, size core.QSize_ITF, bytesPerLine int, format QVideoFrame__PixelFormat) *QVideoFrame {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoFrame3", "", bytes, size, bytesPerLine, format}).(*QVideoFrame)
}

func NewQVideoFrame4(image gui.QImage_ITF) *QVideoFrame {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoFrame4", "", image}).(*QVideoFrame)
}

func NewQVideoFrame5(other QVideoFrame_ITF) *QVideoFrame {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoFrame5", "", other}).(*QVideoFrame)
}

func (ptr *QVideoFrame) AvailableMetaData() map[string]*core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableMetaData"}).(map[string]*core.QVariant)
}

func (ptr *QVideoFrame) Bits() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bits"}).(string)
}

func (ptr *QVideoFrame) Bits2(plane int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bits2", plane}).(string)
}

func (ptr *QVideoFrame) Bits3() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bits3"}).(string)
}

func (ptr *QVideoFrame) Bits4(plane int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Bits4", plane}).(string)
}

func (ptr *QVideoFrame) Buffer() *QAbstractVideoBuffer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Buffer"}).(*QAbstractVideoBuffer)
}

func (ptr *QVideoFrame) BytesPerLine() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesPerLine"}).(float64))
}

func (ptr *QVideoFrame) BytesPerLine2(plane int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BytesPerLine2", plane}).(float64))
}

func (ptr *QVideoFrame) EndTime() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndTime"}).(float64))
}

func (ptr *QVideoFrame) FieldType() QVideoFrame__FieldType {

	return QVideoFrame__FieldType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FieldType"}).(float64))
}

func (ptr *QVideoFrame) Handle() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Handle"}).(*core.QVariant)
}

func (ptr *QVideoFrame) HandleType() QAbstractVideoBuffer__HandleType {

	return QAbstractVideoBuffer__HandleType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HandleType"}).(float64))
}

func (ptr *QVideoFrame) Height() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64))
}

func QVideoFrame_ImageFormatFromPixelFormat(format QVideoFrame__PixelFormat) gui.QImage__Format {

	return gui.QImage__Format(internal.CallLocalFunction([]interface{}{"", "", "multimedia.QVideoFrame_ImageFormatFromPixelFormat", "", format}).(float64))
}

func (ptr *QVideoFrame) ImageFormatFromPixelFormat(format QVideoFrame__PixelFormat) gui.QImage__Format {

	return gui.QImage__Format(internal.CallLocalFunction([]interface{}{"", "", "multimedia.QVideoFrame_ImageFormatFromPixelFormat", "", format}).(float64))
}

func (ptr *QVideoFrame) IsMapped() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMapped"}).(bool)
}

func (ptr *QVideoFrame) IsReadable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadable"}).(bool)
}

func (ptr *QVideoFrame) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QVideoFrame) IsWritable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsWritable"}).(bool)
}

func (ptr *QVideoFrame) Map(mode QAbstractVideoBuffer__MapMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Map", mode}).(bool)
}

func (ptr *QVideoFrame) MapMode() QAbstractVideoBuffer__MapMode {

	return QAbstractVideoBuffer__MapMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapMode"}).(float64))
}

func (ptr *QVideoFrame) MappedBytes() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MappedBytes"}).(float64))
}

func (ptr *QVideoFrame) MetaData(key string) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaData", key}).(*core.QVariant)
}

func (ptr *QVideoFrame) PixelFormat() QVideoFrame__PixelFormat {

	return QVideoFrame__PixelFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelFormat"}).(float64))
}

func QVideoFrame_PixelFormatFromImageFormat(format gui.QImage__Format) QVideoFrame__PixelFormat {

	return QVideoFrame__PixelFormat(internal.CallLocalFunction([]interface{}{"", "", "multimedia.QVideoFrame_PixelFormatFromImageFormat", "", format}).(float64))
}

func (ptr *QVideoFrame) PixelFormatFromImageFormat(format gui.QImage__Format) QVideoFrame__PixelFormat {

	return QVideoFrame__PixelFormat(internal.CallLocalFunction([]interface{}{"", "", "multimedia.QVideoFrame_PixelFormatFromImageFormat", "", format}).(float64))
}

func (ptr *QVideoFrame) PlaneCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PlaneCount"}).(float64))
}

func (ptr *QVideoFrame) SetEndTime(ti int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEndTime", ti})
}

func (ptr *QVideoFrame) SetFieldType(field QVideoFrame__FieldType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFieldType", field})
}

func (ptr *QVideoFrame) SetMetaData(key string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMetaData", key, value})
}

func (ptr *QVideoFrame) SetStartTime(ti int64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStartTime", ti})
}

func (ptr *QVideoFrame) Size() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(*core.QSize)
}

func (ptr *QVideoFrame) StartTime() int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartTime"}).(float64))
}

func (ptr *QVideoFrame) Unmap() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unmap"})
}

func (ptr *QVideoFrame) Width() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64))
}

func (ptr *QVideoFrame) DestroyQVideoFrame() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVideoFrame"})
}

func (ptr *QVideoFrame) __availableMetaData_atList(v string, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableMetaData_atList", v, i}).(*core.QVariant)
}

func (ptr *QVideoFrame) __availableMetaData_setList(key string, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableMetaData_setList", key, i})
}

func (ptr *QVideoFrame) __availableMetaData_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableMetaData_newList"}).(unsafe.Pointer)
}

func (ptr *QVideoFrame) __availableMetaData_keyList() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__availableMetaData_keyList"}).([]string)
}

func (ptr *QVideoFrame) ____availableMetaData_keyList_atList(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____availableMetaData_keyList_atList", i}).(string)
}

func (ptr *QVideoFrame) ____availableMetaData_keyList_setList(i string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____availableMetaData_keyList_setList", i})
}

func (ptr *QVideoFrame) ____availableMetaData_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____availableMetaData_keyList_newList"}).(unsafe.Pointer)
}

type QVideoProbe struct {
	core.QObject
}

type QVideoProbe_ITF interface {
	core.QObject_ITF
	QVideoProbe_PTR() *QVideoProbe
}

func (ptr *QVideoProbe) QVideoProbe_PTR() *QVideoProbe {
	return ptr
}

func (ptr *QVideoProbe) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QVideoProbe) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQVideoProbe(ptr QVideoProbe_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoProbe_PTR().Pointer()
	}
	return nil
}

func (n *QVideoProbe) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QVideoProbe) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQVideoProbeFromPointer(ptr unsafe.Pointer) (n *QVideoProbe) {
	n = new(QVideoProbe)
	n.InitFromInternal(uintptr(ptr), "multimedia.QVideoProbe")
	return
}
func NewQVideoProbe(parent core.QObject_ITF) *QVideoProbe {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoProbe", "", parent}).(*QVideoProbe)
}

func (ptr *QVideoProbe) ConnectFlush(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFlush", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoProbe) DisconnectFlush() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFlush"})
}

func (ptr *QVideoProbe) Flush() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flush"})
}

func (ptr *QVideoProbe) IsActive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsActive"}).(bool)
}

func (ptr *QVideoProbe) SetSource(source QMediaObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSource", source}).(bool)
}

func (ptr *QVideoProbe) SetSource2(mediaRecorder QMediaRecorder_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSource2", mediaRecorder}).(bool)
}

func (ptr *QVideoProbe) ConnectVideoFrameProbed(f func(frame *QVideoFrame)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVideoFrameProbed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoProbe) DisconnectVideoFrameProbed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVideoFrameProbed"})
}

func (ptr *QVideoProbe) VideoFrameProbed(frame QVideoFrame_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VideoFrameProbed", frame})
}

func (ptr *QVideoProbe) ConnectDestroyQVideoProbe(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQVideoProbe", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoProbe) DisconnectDestroyQVideoProbe() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQVideoProbe"})
}

func (ptr *QVideoProbe) DestroyQVideoProbe() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVideoProbe"})
}

func (ptr *QVideoProbe) DestroyQVideoProbeDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVideoProbeDefault"})
}

func (ptr *QVideoProbe) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QVideoProbe) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QVideoProbe) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QVideoProbe) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QVideoProbe) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QVideoProbe) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QVideoProbe) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QVideoProbe) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QVideoProbe) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QVideoProbe) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QVideoProbe) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QVideoProbe) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QVideoProbe) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QVideoProbe) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QVideoProbe) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QVideoProbe) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QVideoProbe) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QVideoProbe) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QVideoProbe) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QVideoProbe) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QVideoProbe) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QVideoRendererControl struct {
	QMediaControl
}

type QVideoRendererControl_ITF interface {
	QMediaControl_ITF
	QVideoRendererControl_PTR() *QVideoRendererControl
}

func (ptr *QVideoRendererControl) QVideoRendererControl_PTR() *QVideoRendererControl {
	return ptr
}

func (ptr *QVideoRendererControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QVideoRendererControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQVideoRendererControl(ptr QVideoRendererControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (n *QVideoRendererControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QVideoRendererControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQVideoRendererControlFromPointer(ptr unsafe.Pointer) (n *QVideoRendererControl) {
	n = new(QVideoRendererControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QVideoRendererControl")
	return
}
func NewQVideoRendererControl(parent core.QObject_ITF) *QVideoRendererControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoRendererControl", "", parent}).(*QVideoRendererControl)
}

func (ptr *QVideoRendererControl) ConnectSetSurface(f func(surface *QAbstractVideoSurface)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSurface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoRendererControl) DisconnectSetSurface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSurface"})
}

func (ptr *QVideoRendererControl) SetSurface(surface QAbstractVideoSurface_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSurface", surface})
}

func (ptr *QVideoRendererControl) ConnectSurface(f func() *QAbstractVideoSurface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSurface", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoRendererControl) DisconnectSurface() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSurface"})
}

func (ptr *QVideoRendererControl) Surface() *QAbstractVideoSurface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Surface"}).(*QAbstractVideoSurface)
}

func (ptr *QVideoRendererControl) ConnectDestroyQVideoRendererControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQVideoRendererControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoRendererControl) DisconnectDestroyQVideoRendererControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQVideoRendererControl"})
}

func (ptr *QVideoRendererControl) DestroyQVideoRendererControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVideoRendererControl"})
}

func (ptr *QVideoRendererControl) DestroyQVideoRendererControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVideoRendererControlDefault"})
}

type QVideoSurfaceFormat struct {
	internal.Internal
}

type QVideoSurfaceFormat_ITF interface {
	QVideoSurfaceFormat_PTR() *QVideoSurfaceFormat
}

func (ptr *QVideoSurfaceFormat) QVideoSurfaceFormat_PTR() *QVideoSurfaceFormat {
	return ptr
}

func (ptr *QVideoSurfaceFormat) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QVideoSurfaceFormat) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQVideoSurfaceFormat(ptr QVideoSurfaceFormat_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoSurfaceFormat_PTR().Pointer()
	}
	return nil
}

func (n *QVideoSurfaceFormat) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQVideoSurfaceFormatFromPointer(ptr unsafe.Pointer) (n *QVideoSurfaceFormat) {
	n = new(QVideoSurfaceFormat)
	n.InitFromInternal(uintptr(ptr), "multimedia.QVideoSurfaceFormat")
	return
}

//go:generate stringer -type=QVideoSurfaceFormat__Direction
//QVideoSurfaceFormat::Direction
type QVideoSurfaceFormat__Direction int64

const (
	QVideoSurfaceFormat__TopToBottom QVideoSurfaceFormat__Direction = QVideoSurfaceFormat__Direction(0)
	QVideoSurfaceFormat__BottomToTop QVideoSurfaceFormat__Direction = QVideoSurfaceFormat__Direction(1)
)

//go:generate stringer -type=QVideoSurfaceFormat__YCbCrColorSpace
//QVideoSurfaceFormat::YCbCrColorSpace
type QVideoSurfaceFormat__YCbCrColorSpace int64

const (
	QVideoSurfaceFormat__YCbCr_Undefined QVideoSurfaceFormat__YCbCrColorSpace = QVideoSurfaceFormat__YCbCrColorSpace(0)
	QVideoSurfaceFormat__YCbCr_BT601     QVideoSurfaceFormat__YCbCrColorSpace = QVideoSurfaceFormat__YCbCrColorSpace(1)
	QVideoSurfaceFormat__YCbCr_BT709     QVideoSurfaceFormat__YCbCrColorSpace = QVideoSurfaceFormat__YCbCrColorSpace(2)
	QVideoSurfaceFormat__YCbCr_xvYCC601  QVideoSurfaceFormat__YCbCrColorSpace = QVideoSurfaceFormat__YCbCrColorSpace(3)
	QVideoSurfaceFormat__YCbCr_xvYCC709  QVideoSurfaceFormat__YCbCrColorSpace = QVideoSurfaceFormat__YCbCrColorSpace(4)
	QVideoSurfaceFormat__YCbCr_JPEG      QVideoSurfaceFormat__YCbCrColorSpace = QVideoSurfaceFormat__YCbCrColorSpace(5)
)

func NewQVideoSurfaceFormat() *QVideoSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoSurfaceFormat", ""}).(*QVideoSurfaceFormat)
}

func NewQVideoSurfaceFormat2(size core.QSize_ITF, format QVideoFrame__PixelFormat, ty QAbstractVideoBuffer__HandleType) *QVideoSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoSurfaceFormat2", "", size, format, ty}).(*QVideoSurfaceFormat)
}

func NewQVideoSurfaceFormat3(other QVideoSurfaceFormat_ITF) *QVideoSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoSurfaceFormat3", "", other}).(*QVideoSurfaceFormat)
}

func (ptr *QVideoSurfaceFormat) FrameHeight() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameHeight"}).(float64))
}

func (ptr *QVideoSurfaceFormat) FrameRate() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameRate"}).(float64)
}

func (ptr *QVideoSurfaceFormat) FrameSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameSize"}).(*core.QSize)
}

func (ptr *QVideoSurfaceFormat) FrameWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameWidth"}).(float64))
}

func (ptr *QVideoSurfaceFormat) HandleType() QAbstractVideoBuffer__HandleType {

	return QAbstractVideoBuffer__HandleType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HandleType"}).(float64))
}

func (ptr *QVideoSurfaceFormat) IsMirrored() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMirrored"}).(bool)
}

func (ptr *QVideoSurfaceFormat) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QVideoSurfaceFormat) PixelAspectRatio() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelAspectRatio"}).(*core.QSize)
}

func (ptr *QVideoSurfaceFormat) PixelFormat() QVideoFrame__PixelFormat {

	return QVideoFrame__PixelFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelFormat"}).(float64))
}

func (ptr *QVideoSurfaceFormat) Property(name string) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Property", name}).(*core.QVariant)
}

func (ptr *QVideoSurfaceFormat) PropertyNames() []*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PropertyNames"}).([]*core.QByteArray)
}

func (ptr *QVideoSurfaceFormat) ScanLineDirection() QVideoSurfaceFormat__Direction {

	return QVideoSurfaceFormat__Direction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScanLineDirection"}).(float64))
}

func (ptr *QVideoSurfaceFormat) SetFrameRate(rate float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrameRate", rate})
}

func (ptr *QVideoSurfaceFormat) SetFrameSize(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrameSize", size})
}

func (ptr *QVideoSurfaceFormat) SetFrameSize2(width int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrameSize2", width, height})
}

func (ptr *QVideoSurfaceFormat) SetMirrored(mirrored bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMirrored", mirrored})
}

func (ptr *QVideoSurfaceFormat) SetPixelAspectRatio(ratio core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixelAspectRatio", ratio})
}

func (ptr *QVideoSurfaceFormat) SetPixelAspectRatio2(horizontal int, vertical int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixelAspectRatio2", horizontal, vertical})
}

func (ptr *QVideoSurfaceFormat) SetProperty(name string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetProperty", name, value})
}

func (ptr *QVideoSurfaceFormat) SetScanLineDirection(direction QVideoSurfaceFormat__Direction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScanLineDirection", direction})
}

func (ptr *QVideoSurfaceFormat) SetViewport(viewport core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewport", viewport})
}

func (ptr *QVideoSurfaceFormat) SetYCbCrColorSpace(space QVideoSurfaceFormat__YCbCrColorSpace) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetYCbCrColorSpace", space})
}

func (ptr *QVideoSurfaceFormat) SizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint"}).(*core.QSize)
}

func (ptr *QVideoSurfaceFormat) Viewport() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Viewport"}).(*core.QRect)
}

func (ptr *QVideoSurfaceFormat) YCbCrColorSpace() QVideoSurfaceFormat__YCbCrColorSpace {

	return QVideoSurfaceFormat__YCbCrColorSpace(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "YCbCrColorSpace"}).(float64))
}

func (ptr *QVideoSurfaceFormat) DestroyQVideoSurfaceFormat() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVideoSurfaceFormat"})
}

func (ptr *QVideoSurfaceFormat) __propertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__propertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QVideoSurfaceFormat) __propertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__propertyNames_setList", i})
}

func (ptr *QVideoSurfaceFormat) __propertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__propertyNames_newList"}).(unsafe.Pointer)
}

type QVideoWidget struct {
	widgets.QWidget
	QMediaBindableInterface
}

type QVideoWidget_ITF interface {
	widgets.QWidget_ITF
	QMediaBindableInterface_ITF
	QVideoWidget_PTR() *QVideoWidget
}

func (ptr *QVideoWidget) QVideoWidget_PTR() *QVideoWidget {
	return ptr
}

func (ptr *QVideoWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QVideoWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
		ptr.QMediaBindableInterface_PTR().SetPointer(p)
	}
}

func PointerFromQVideoWidget(ptr QVideoWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoWidget_PTR().Pointer()
	}
	return nil
}

func (n *QVideoWidget) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaBindableInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QVideoWidget) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQVideoWidgetFromPointer(ptr unsafe.Pointer) (n *QVideoWidget) {
	n = new(QVideoWidget)
	n.InitFromInternal(uintptr(ptr), "multimedia.QVideoWidget")
	return
}
func NewQVideoWidget(parent widgets.QWidget_ITF) *QVideoWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoWidget", "", parent}).(*QVideoWidget)
}

func (ptr *QVideoWidget) AspectRatioMode() core.Qt__AspectRatioMode {

	return core.Qt__AspectRatioMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "AspectRatioMode"}).(float64))
}

func (ptr *QVideoWidget) Brightness() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "Brightness"}).(float64))
}

func (ptr *QVideoWidget) ConnectBrightnessChanged(f func(brightness int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectBrightnessChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectBrightnessChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectBrightnessChanged"})
}

func (ptr *QVideoWidget) BrightnessChanged(brightness int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "BrightnessChanged", brightness})
}

func (ptr *QVideoWidget) Contrast() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "Contrast"}).(float64))
}

func (ptr *QVideoWidget) ConnectContrastChanged(f func(contrast int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectContrastChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectContrastChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectContrastChanged"})
}

func (ptr *QVideoWidget) ContrastChanged(contrast int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ContrastChanged", contrast})
}

func (ptr *QVideoWidget) ConnectEvent(f func(event *core.QEvent) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectEvent"})
}

func (ptr *QVideoWidget) Event(event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "Event", event}).(bool)
}

func (ptr *QVideoWidget) EventDefault(event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "EventDefault", event}).(bool)
}

func (ptr *QVideoWidget) ConnectFullScreenChanged(f func(fullScreen bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectFullScreenChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectFullScreenChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectFullScreenChanged"})
}

func (ptr *QVideoWidget) FullScreenChanged(fullScreen bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "FullScreenChanged", fullScreen})
}

func (ptr *QVideoWidget) ConnectHideEvent(f func(event *gui.QHideEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectHideEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectHideEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectHideEvent"})
}

func (ptr *QVideoWidget) HideEvent(event gui.QHideEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "HideEvent", event})
}

func (ptr *QVideoWidget) HideEventDefault(event gui.QHideEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "HideEventDefault", event})
}

func (ptr *QVideoWidget) Hue() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "Hue"}).(float64))
}

func (ptr *QVideoWidget) ConnectHueChanged(f func(hue int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectHueChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectHueChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectHueChanged"})
}

func (ptr *QVideoWidget) HueChanged(hue int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "HueChanged", hue})
}

func (ptr *QVideoWidget) IsFullScreen() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "IsFullScreen"}).(bool)
}

func (ptr *QVideoWidget) ConnectMediaObject(f func() *QMediaObject) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectMediaObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectMediaObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectMediaObject"})
}

func (ptr *QVideoWidget) MediaObject() *QMediaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MediaObject"}).(*QMediaObject)
}

func (ptr *QVideoWidget) MediaObjectDefault() *QMediaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MediaObjectDefault"}).(*QMediaObject)
}

func (ptr *QVideoWidget) ConnectMoveEvent(f func(event *gui.QMoveEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectMoveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectMoveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectMoveEvent"})
}

func (ptr *QVideoWidget) MoveEvent(event gui.QMoveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MoveEvent", event})
}

func (ptr *QVideoWidget) MoveEventDefault(event gui.QMoveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MoveEventDefault", event})
}

func (ptr *QVideoWidget) ConnectPaintEvent(f func(event *gui.QPaintEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectPaintEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectPaintEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectPaintEvent"})
}

func (ptr *QVideoWidget) PaintEvent(event gui.QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "PaintEvent", event})
}

func (ptr *QVideoWidget) PaintEventDefault(event gui.QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "PaintEventDefault", event})
}

func (ptr *QVideoWidget) ConnectResizeEvent(f func(event *gui.QResizeEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectResizeEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectResizeEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectResizeEvent"})
}

func (ptr *QVideoWidget) ResizeEvent(event gui.QResizeEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ResizeEvent", event})
}

func (ptr *QVideoWidget) ResizeEventDefault(event gui.QResizeEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ResizeEventDefault", event})
}

func (ptr *QVideoWidget) Saturation() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "Saturation"}).(float64))
}

func (ptr *QVideoWidget) ConnectSaturationChanged(f func(saturation int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectSaturationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectSaturationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectSaturationChanged"})
}

func (ptr *QVideoWidget) SaturationChanged(saturation int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SaturationChanged", saturation})
}

func (ptr *QVideoWidget) ConnectSetAspectRatioMode(f func(mode core.Qt__AspectRatioMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectSetAspectRatioMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectSetAspectRatioMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectSetAspectRatioMode"})
}

func (ptr *QVideoWidget) SetAspectRatioMode(mode core.Qt__AspectRatioMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetAspectRatioMode", mode})
}

func (ptr *QVideoWidget) SetAspectRatioModeDefault(mode core.Qt__AspectRatioMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetAspectRatioModeDefault", mode})
}

func (ptr *QVideoWidget) ConnectSetBrightness(f func(brightness int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectSetBrightness", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectSetBrightness() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectSetBrightness"})
}

func (ptr *QVideoWidget) SetBrightness(brightness int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetBrightness", brightness})
}

func (ptr *QVideoWidget) SetBrightnessDefault(brightness int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetBrightnessDefault", brightness})
}

func (ptr *QVideoWidget) ConnectSetContrast(f func(contrast int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectSetContrast", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectSetContrast() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectSetContrast"})
}

func (ptr *QVideoWidget) SetContrast(contrast int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetContrast", contrast})
}

func (ptr *QVideoWidget) SetContrastDefault(contrast int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetContrastDefault", contrast})
}

func (ptr *QVideoWidget) ConnectSetFullScreen(f func(fullScreen bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectSetFullScreen", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectSetFullScreen() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectSetFullScreen"})
}

func (ptr *QVideoWidget) SetFullScreen(fullScreen bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetFullScreen", fullScreen})
}

func (ptr *QVideoWidget) SetFullScreenDefault(fullScreen bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetFullScreenDefault", fullScreen})
}

func (ptr *QVideoWidget) ConnectSetHue(f func(hue int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectSetHue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectSetHue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectSetHue"})
}

func (ptr *QVideoWidget) SetHue(hue int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetHue", hue})
}

func (ptr *QVideoWidget) SetHueDefault(hue int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetHueDefault", hue})
}

func (ptr *QVideoWidget) ConnectSetSaturation(f func(saturation int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectSetSaturation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectSetSaturation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectSetSaturation"})
}

func (ptr *QVideoWidget) SetSaturation(saturation int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetSaturation", saturation})
}

func (ptr *QVideoWidget) SetSaturationDefault(saturation int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetSaturationDefault", saturation})
}

func (ptr *QVideoWidget) ConnectShowEvent(f func(event *gui.QShowEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectShowEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectShowEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectShowEvent"})
}

func (ptr *QVideoWidget) ShowEvent(event gui.QShowEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ShowEvent", event})
}

func (ptr *QVideoWidget) ShowEventDefault(event gui.QShowEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ShowEventDefault", event})
}

func (ptr *QVideoWidget) ConnectSizeHint(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QVideoWidget) SizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SizeHint"}).(*core.QSize)
}

func (ptr *QVideoWidget) SizeHintDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SizeHintDefault"}).(*core.QSize)
}

func (ptr *QVideoWidget) ConnectDestroyQVideoWidget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectDestroyQVideoWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWidget) DisconnectDestroyQVideoWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectDestroyQVideoWidget"})
}

func (ptr *QVideoWidget) DestroyQVideoWidget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DestroyQVideoWidget"})
}

func (ptr *QVideoWidget) DestroyQVideoWidgetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DestroyQVideoWidgetDefault"})
}

func (ptr *QVideoWidget) __actions_atList(i int) *widgets.QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__actions_atList", i}).(*widgets.QAction)
}

func (ptr *QVideoWidget) __actions_setList(i widgets.QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__actions_setList", i})
}

func (ptr *QVideoWidget) __actions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__actions_newList"}).(unsafe.Pointer)
}

func (ptr *QVideoWidget) __addActions_actions_atList(i int) *widgets.QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__addActions_actions_atList", i}).(*widgets.QAction)
}

func (ptr *QVideoWidget) __addActions_actions_setList(i widgets.QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__addActions_actions_setList", i})
}

func (ptr *QVideoWidget) __addActions_actions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__addActions_actions_newList"}).(unsafe.Pointer)
}

func (ptr *QVideoWidget) __insertActions_actions_atList(i int) *widgets.QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__insertActions_actions_atList", i}).(*widgets.QAction)
}

func (ptr *QVideoWidget) __insertActions_actions_setList(i widgets.QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__insertActions_actions_setList", i})
}

func (ptr *QVideoWidget) __insertActions_actions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__insertActions_actions_newList"}).(unsafe.Pointer)
}

func (ptr *QVideoWidget) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QVideoWidget) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QVideoWidget) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QVideoWidget) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QVideoWidget) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QVideoWidget) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QVideoWidget) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QVideoWidget) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QVideoWidget) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QVideoWidget) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QVideoWidget) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QVideoWidget) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QVideoWidget) ActionEvent(event gui.QActionEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ActionEvent", event})
}

func (ptr *QVideoWidget) ActionEventDefault(event gui.QActionEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ActionEventDefault", event})
}

func (ptr *QVideoWidget) ChangeEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ChangeEvent", event})
}

func (ptr *QVideoWidget) ChangeEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ChangeEventDefault", event})
}

func (ptr *QVideoWidget) Close() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "Close"}).(bool)
}

func (ptr *QVideoWidget) CloseDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "CloseDefault"}).(bool)
}

func (ptr *QVideoWidget) CloseEvent(event gui.QCloseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "CloseEvent", event})
}

func (ptr *QVideoWidget) CloseEventDefault(event gui.QCloseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "CloseEventDefault", event})
}

func (ptr *QVideoWidget) ContextMenuEvent(event gui.QContextMenuEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ContextMenuEvent", event})
}

func (ptr *QVideoWidget) ContextMenuEventDefault(event gui.QContextMenuEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ContextMenuEventDefault", event})
}

func (ptr *QVideoWidget) DragEnterEvent(event gui.QDragEnterEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DragEnterEvent", event})
}

func (ptr *QVideoWidget) DragEnterEventDefault(event gui.QDragEnterEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DragEnterEventDefault", event})
}

func (ptr *QVideoWidget) DragLeaveEvent(event gui.QDragLeaveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DragLeaveEvent", event})
}

func (ptr *QVideoWidget) DragLeaveEventDefault(event gui.QDragLeaveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DragLeaveEventDefault", event})
}

func (ptr *QVideoWidget) DragMoveEvent(event gui.QDragMoveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DragMoveEvent", event})
}

func (ptr *QVideoWidget) DragMoveEventDefault(event gui.QDragMoveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DragMoveEventDefault", event})
}

func (ptr *QVideoWidget) DropEvent(event gui.QDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DropEvent", event})
}

func (ptr *QVideoWidget) DropEventDefault(event gui.QDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DropEventDefault", event})
}

func (ptr *QVideoWidget) EnterEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "EnterEvent", event})
}

func (ptr *QVideoWidget) EnterEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "EnterEventDefault", event})
}

func (ptr *QVideoWidget) FocusInEvent(event gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "FocusInEvent", event})
}

func (ptr *QVideoWidget) FocusInEventDefault(event gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "FocusInEventDefault", event})
}

func (ptr *QVideoWidget) FocusNextPrevChild(next bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "FocusNextPrevChild", next}).(bool)
}

func (ptr *QVideoWidget) FocusNextPrevChildDefault(next bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "FocusNextPrevChildDefault", next}).(bool)
}

func (ptr *QVideoWidget) FocusOutEvent(event gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "FocusOutEvent", event})
}

func (ptr *QVideoWidget) FocusOutEventDefault(event gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "FocusOutEventDefault", event})
}

func (ptr *QVideoWidget) HasHeightForWidth() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "HasHeightForWidth"}).(bool)
}

func (ptr *QVideoWidget) HasHeightForWidthDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "HasHeightForWidthDefault"}).(bool)
}

func (ptr *QVideoWidget) HeightForWidth(w int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "HeightForWidth", w}).(float64))
}

func (ptr *QVideoWidget) HeightForWidthDefault(w int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "HeightForWidthDefault", w}).(float64))
}

func (ptr *QVideoWidget) Hide() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "Hide"})
}

func (ptr *QVideoWidget) HideDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "HideDefault"})
}

func (ptr *QVideoWidget) InitPainter(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "InitPainter", painter})
}

func (ptr *QVideoWidget) InitPainterDefault(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "InitPainterDefault", painter})
}

func (ptr *QVideoWidget) InputMethodEvent(event gui.QInputMethodEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "InputMethodEvent", event})
}

func (ptr *QVideoWidget) InputMethodEventDefault(event gui.QInputMethodEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "InputMethodEventDefault", event})
}

func (ptr *QVideoWidget) InputMethodQuery(query core.Qt__InputMethodQuery) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "InputMethodQuery", query}).(*core.QVariant)
}

func (ptr *QVideoWidget) InputMethodQueryDefault(query core.Qt__InputMethodQuery) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "InputMethodQueryDefault", query}).(*core.QVariant)
}

func (ptr *QVideoWidget) KeyPressEvent(event gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "KeyPressEvent", event})
}

func (ptr *QVideoWidget) KeyPressEventDefault(event gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "KeyPressEventDefault", event})
}

func (ptr *QVideoWidget) KeyReleaseEvent(event gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "KeyReleaseEvent", event})
}

func (ptr *QVideoWidget) KeyReleaseEventDefault(event gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "KeyReleaseEventDefault", event})
}

func (ptr *QVideoWidget) LeaveEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "LeaveEvent", event})
}

func (ptr *QVideoWidget) LeaveEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "LeaveEventDefault", event})
}

func (ptr *QVideoWidget) Lower() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "Lower"})
}

func (ptr *QVideoWidget) LowerDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "LowerDefault"})
}

func (ptr *QVideoWidget) Metric(m gui.QPaintDevice__PaintDeviceMetric) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "Metric", m}).(float64))
}

func (ptr *QVideoWidget) MetricDefault(m gui.QPaintDevice__PaintDeviceMetric) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MetricDefault", m}).(float64))
}

func (ptr *QVideoWidget) MinimumSizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MinimumSizeHint"}).(*core.QSize)
}

func (ptr *QVideoWidget) MinimumSizeHintDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MinimumSizeHintDefault"}).(*core.QSize)
}

func (ptr *QVideoWidget) MouseDoubleClickEvent(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MouseDoubleClickEvent", event})
}

func (ptr *QVideoWidget) MouseDoubleClickEventDefault(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MouseDoubleClickEventDefault", event})
}

func (ptr *QVideoWidget) MouseMoveEvent(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MouseMoveEvent", event})
}

func (ptr *QVideoWidget) MouseMoveEventDefault(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MouseMoveEventDefault", event})
}

func (ptr *QVideoWidget) MousePressEvent(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MousePressEvent", event})
}

func (ptr *QVideoWidget) MousePressEventDefault(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MousePressEventDefault", event})
}

func (ptr *QVideoWidget) MouseReleaseEvent(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MouseReleaseEvent", event})
}

func (ptr *QVideoWidget) MouseReleaseEventDefault(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MouseReleaseEventDefault", event})
}

func (ptr *QVideoWidget) NativeEvent(eventType core.QByteArray_ITF, message unsafe.Pointer, result *int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "NativeEvent", eventType, message, result}).(bool)
}

func (ptr *QVideoWidget) NativeEventDefault(eventType core.QByteArray_ITF, message unsafe.Pointer, result *int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "NativeEventDefault", eventType, message, result}).(bool)
}

func (ptr *QVideoWidget) PaintEngine() *gui.QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "PaintEngine"}).(*gui.QPaintEngine)
}

func (ptr *QVideoWidget) PaintEngineDefault() *gui.QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "PaintEngineDefault"}).(*gui.QPaintEngine)
}

func (ptr *QVideoWidget) Raise() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "Raise"})
}

func (ptr *QVideoWidget) RaiseDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "RaiseDefault"})
}

func (ptr *QVideoWidget) Repaint() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "Repaint"})
}

func (ptr *QVideoWidget) RepaintDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "RepaintDefault"})
}

func (ptr *QVideoWidget) SetDisabled(disable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetDisabled", disable})
}

func (ptr *QVideoWidget) SetDisabledDefault(disable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetDisabledDefault", disable})
}

func (ptr *QVideoWidget) SetEnabled(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetEnabled", vbo})
}

func (ptr *QVideoWidget) SetEnabledDefault(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetEnabledDefault", vbo})
}

func (ptr *QVideoWidget) SetFocus2() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetFocus2"})
}

func (ptr *QVideoWidget) SetFocus2Default() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetFocus2Default"})
}

func (ptr *QVideoWidget) SetHidden(hidden bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetHidden", hidden})
}

func (ptr *QVideoWidget) SetHiddenDefault(hidden bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetHiddenDefault", hidden})
}

func (ptr *QVideoWidget) SetStyleSheet(styleSheet string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetStyleSheet", styleSheet})
}

func (ptr *QVideoWidget) SetStyleSheetDefault(styleSheet string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetStyleSheetDefault", styleSheet})
}

func (ptr *QVideoWidget) SetVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetVisible", visible})
}

func (ptr *QVideoWidget) SetVisibleDefault(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetVisibleDefault", visible})
}

func (ptr *QVideoWidget) SetWindowModified(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetWindowModified", vbo})
}

func (ptr *QVideoWidget) SetWindowModifiedDefault(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetWindowModifiedDefault", vbo})
}

func (ptr *QVideoWidget) SetWindowTitle(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetWindowTitle", vqs})
}

func (ptr *QVideoWidget) SetWindowTitleDefault(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetWindowTitleDefault", vqs})
}

func (ptr *QVideoWidget) Show() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "Show"})
}

func (ptr *QVideoWidget) ShowDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ShowDefault"})
}

func (ptr *QVideoWidget) ShowFullScreen() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ShowFullScreen"})
}

func (ptr *QVideoWidget) ShowFullScreenDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ShowFullScreenDefault"})
}

func (ptr *QVideoWidget) ShowMaximized() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ShowMaximized"})
}

func (ptr *QVideoWidget) ShowMaximizedDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ShowMaximizedDefault"})
}

func (ptr *QVideoWidget) ShowMinimized() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ShowMinimized"})
}

func (ptr *QVideoWidget) ShowMinimizedDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ShowMinimizedDefault"})
}

func (ptr *QVideoWidget) ShowNormal() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ShowNormal"})
}

func (ptr *QVideoWidget) ShowNormalDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ShowNormalDefault"})
}

func (ptr *QVideoWidget) TabletEvent(event gui.QTabletEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "TabletEvent", event})
}

func (ptr *QVideoWidget) TabletEventDefault(event gui.QTabletEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "TabletEventDefault", event})
}

func (ptr *QVideoWidget) Update() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "Update"})
}

func (ptr *QVideoWidget) UpdateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "UpdateDefault"})
}

func (ptr *QVideoWidget) UpdateMicroFocus() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "UpdateMicroFocus"})
}

func (ptr *QVideoWidget) UpdateMicroFocusDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "UpdateMicroFocusDefault"})
}

func (ptr *QVideoWidget) WheelEvent(event gui.QWheelEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "WheelEvent", event})
}

func (ptr *QVideoWidget) WheelEventDefault(event gui.QWheelEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "WheelEventDefault", event})
}

func (ptr *QVideoWidget) ChildEvent(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ChildEvent", event})
}

func (ptr *QVideoWidget) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QVideoWidget) ConnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectNotify", sign})
}

func (ptr *QVideoWidget) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QVideoWidget) CustomEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "CustomEvent", event})
}

func (ptr *QVideoWidget) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QVideoWidget) DeleteLater() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DeleteLater"})
}

func (ptr *QVideoWidget) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QVideoWidget) DisconnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectNotify", sign})
}

func (ptr *QVideoWidget) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QVideoWidget) EventFilter(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "EventFilter", watched, event}).(bool)
}

func (ptr *QVideoWidget) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QVideoWidget) MetaObject() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MetaObject"}).(*core.QMetaObject)
}

func (ptr *QVideoWidget) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QVideoWidget) TimerEvent(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "TimerEvent", event})
}

func (ptr *QVideoWidget) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "TimerEventDefault", event})
}

func (ptr *QVideoWidget) SetMediaObject(object QMediaObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetMediaObject", object}).(bool)
}

func (ptr *QVideoWidget) SetMediaObjectDefault(object QMediaObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QWidget_PTR().ClassNameInternalF(), "SetMediaObjectDefault", object}).(bool)
}

type QVideoWidgetControl struct {
	QMediaControl
}

type QVideoWidgetControl_ITF interface {
	QMediaControl_ITF
	QVideoWidgetControl_PTR() *QVideoWidgetControl
}

func (ptr *QVideoWidgetControl) QVideoWidgetControl_PTR() *QVideoWidgetControl {
	return ptr
}

func (ptr *QVideoWidgetControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QVideoWidgetControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQVideoWidgetControl(ptr QVideoWidgetControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoWidgetControl_PTR().Pointer()
	}
	return nil
}

func (n *QVideoWidgetControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QVideoWidgetControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQVideoWidgetControlFromPointer(ptr unsafe.Pointer) (n *QVideoWidgetControl) {
	n = new(QVideoWidgetControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QVideoWidgetControl")
	return
}

func (ptr *QVideoWidgetControl) DestroyQVideoWidgetControl() {
}

type QVideoWindowControl struct {
	QMediaControl
}

type QVideoWindowControl_ITF interface {
	QMediaControl_ITF
	QVideoWindowControl_PTR() *QVideoWindowControl
}

func (ptr *QVideoWindowControl) QVideoWindowControl_PTR() *QVideoWindowControl {
	return ptr
}

func (ptr *QVideoWindowControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QVideoWindowControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaControl_PTR().SetPointer(p)
	}
}

func PointerFromQVideoWindowControl(ptr QVideoWindowControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoWindowControl_PTR().Pointer()
	}
	return nil
}

func (n *QVideoWindowControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QVideoWindowControl) ClassNameInternalF() string {
	return n.QMediaControl_PTR().ClassNameInternalF()
}

func NewQVideoWindowControlFromPointer(ptr unsafe.Pointer) (n *QVideoWindowControl) {
	n = new(QVideoWindowControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QVideoWindowControl")
	return
}
func NewQVideoWindowControl(parent core.QObject_ITF) *QVideoWindowControl {

	return internal.CallLocalFunction([]interface{}{"", "", "multimedia.NewQVideoWindowControl", "", parent}).(*QVideoWindowControl)
}

func (ptr *QVideoWindowControl) ConnectAspectRatioMode(f func() core.Qt__AspectRatioMode) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAspectRatioMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectAspectRatioMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAspectRatioMode"})
}

func (ptr *QVideoWindowControl) AspectRatioMode() core.Qt__AspectRatioMode {

	return core.Qt__AspectRatioMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AspectRatioMode"}).(float64))
}

func (ptr *QVideoWindowControl) ConnectBrightness(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBrightness", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectBrightness() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBrightness"})
}

func (ptr *QVideoWindowControl) Brightness() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Brightness"}).(float64))
}

func (ptr *QVideoWindowControl) ConnectBrightnessChanged(f func(brightness int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBrightnessChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectBrightnessChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBrightnessChanged"})
}

func (ptr *QVideoWindowControl) BrightnessChanged(brightness int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BrightnessChanged", brightness})
}

func (ptr *QVideoWindowControl) ConnectContrast(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectContrast", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectContrast() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectContrast"})
}

func (ptr *QVideoWindowControl) Contrast() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contrast"}).(float64))
}

func (ptr *QVideoWindowControl) ConnectContrastChanged(f func(contrast int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectContrastChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectContrastChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectContrastChanged"})
}

func (ptr *QVideoWindowControl) ContrastChanged(contrast int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContrastChanged", contrast})
}

func (ptr *QVideoWindowControl) ConnectDisplayRect(f func() *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDisplayRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectDisplayRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDisplayRect"})
}

func (ptr *QVideoWindowControl) DisplayRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisplayRect"}).(*core.QRect)
}

func (ptr *QVideoWindowControl) ConnectFullScreenChanged(f func(fullScreen bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFullScreenChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectFullScreenChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFullScreenChanged"})
}

func (ptr *QVideoWindowControl) FullScreenChanged(fullScreen bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FullScreenChanged", fullScreen})
}

func (ptr *QVideoWindowControl) ConnectHue(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectHue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHue"})
}

func (ptr *QVideoWindowControl) Hue() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Hue"}).(float64))
}

func (ptr *QVideoWindowControl) ConnectHueChanged(f func(hue int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHueChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectHueChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHueChanged"})
}

func (ptr *QVideoWindowControl) HueChanged(hue int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HueChanged", hue})
}

func (ptr *QVideoWindowControl) ConnectIsFullScreen(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsFullScreen", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectIsFullScreen() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsFullScreen"})
}

func (ptr *QVideoWindowControl) IsFullScreen() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFullScreen"}).(bool)
}

func (ptr *QVideoWindowControl) ConnectNativeSize(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNativeSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectNativeSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNativeSize"})
}

func (ptr *QVideoWindowControl) NativeSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NativeSize"}).(*core.QSize)
}

func (ptr *QVideoWindowControl) ConnectNativeSizeChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNativeSizeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectNativeSizeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNativeSizeChanged"})
}

func (ptr *QVideoWindowControl) NativeSizeChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NativeSizeChanged"})
}

func (ptr *QVideoWindowControl) ConnectRepaint(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRepaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectRepaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRepaint"})
}

func (ptr *QVideoWindowControl) Repaint() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Repaint"})
}

func (ptr *QVideoWindowControl) ConnectSaturation(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSaturation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectSaturation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSaturation"})
}

func (ptr *QVideoWindowControl) Saturation() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Saturation"}).(float64))
}

func (ptr *QVideoWindowControl) ConnectSaturationChanged(f func(saturation int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSaturationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectSaturationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSaturationChanged"})
}

func (ptr *QVideoWindowControl) SaturationChanged(saturation int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SaturationChanged", saturation})
}

func (ptr *QVideoWindowControl) ConnectSetAspectRatioMode(f func(mode core.Qt__AspectRatioMode)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetAspectRatioMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectSetAspectRatioMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetAspectRatioMode"})
}

func (ptr *QVideoWindowControl) SetAspectRatioMode(mode core.Qt__AspectRatioMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAspectRatioMode", mode})
}

func (ptr *QVideoWindowControl) ConnectSetBrightness(f func(brightness int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetBrightness", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectSetBrightness() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetBrightness"})
}

func (ptr *QVideoWindowControl) SetBrightness(brightness int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBrightness", brightness})
}

func (ptr *QVideoWindowControl) ConnectSetContrast(f func(contrast int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetContrast", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectSetContrast() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetContrast"})
}

func (ptr *QVideoWindowControl) SetContrast(contrast int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetContrast", contrast})
}

func (ptr *QVideoWindowControl) ConnectSetDisplayRect(f func(rect *core.QRect)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetDisplayRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectSetDisplayRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetDisplayRect"})
}

func (ptr *QVideoWindowControl) SetDisplayRect(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDisplayRect", rect})
}

func (ptr *QVideoWindowControl) ConnectSetFullScreen(f func(fullScreen bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFullScreen", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectSetFullScreen() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFullScreen"})
}

func (ptr *QVideoWindowControl) SetFullScreen(fullScreen bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFullScreen", fullScreen})
}

func (ptr *QVideoWindowControl) ConnectSetHue(f func(hue int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetHue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectSetHue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetHue"})
}

func (ptr *QVideoWindowControl) SetHue(hue int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHue", hue})
}

func (ptr *QVideoWindowControl) ConnectSetSaturation(f func(saturation int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSaturation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectSetSaturation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSaturation"})
}

func (ptr *QVideoWindowControl) SetSaturation(saturation int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSaturation", saturation})
}

func (ptr *QVideoWindowControl) ConnectSetWinId(f func(id uintptr)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetWinId", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectSetWinId() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetWinId"})
}

func (ptr *QVideoWindowControl) SetWinId(id uintptr) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWinId", id})
}

func (ptr *QVideoWindowControl) ConnectWinId(f func() uintptr) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWinId", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectWinId() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWinId"})
}

func (ptr *QVideoWindowControl) WinId() uintptr {

	return uintptr(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WinId"}).(float64))
}

func (ptr *QVideoWindowControl) ConnectDestroyQVideoWindowControl(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQVideoWindowControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVideoWindowControl) DisconnectDestroyQVideoWindowControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQVideoWindowControl"})
}

func (ptr *QVideoWindowControl) DestroyQVideoWindowControl() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVideoWindowControl"})
}

func (ptr *QVideoWindowControl) DestroyQVideoWindowControlDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVideoWindowControlDefault"})
}

type QWasapiAudioDeviceInfo struct {
	QAbstractAudioDeviceInfo
}

type QWasapiAudioDeviceInfo_ITF interface {
	QAbstractAudioDeviceInfo_ITF
	QWasapiAudioDeviceInfo_PTR() *QWasapiAudioDeviceInfo
}

func (ptr *QWasapiAudioDeviceInfo) QWasapiAudioDeviceInfo_PTR() *QWasapiAudioDeviceInfo {
	return ptr
}

func (ptr *QWasapiAudioDeviceInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (ptr *QWasapiAudioDeviceInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioDeviceInfo_PTR().SetPointer(p)
	}
}

func PointerFromQWasapiAudioDeviceInfo(ptr QWasapiAudioDeviceInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWasapiAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (n *QWasapiAudioDeviceInfo) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioDeviceInfo_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWasapiAudioDeviceInfo) ClassNameInternalF() string {
	return n.QAbstractAudioDeviceInfo_PTR().ClassNameInternalF()
}

func NewQWasapiAudioDeviceInfoFromPointer(ptr unsafe.Pointer) (n *QWasapiAudioDeviceInfo) {
	n = new(QWasapiAudioDeviceInfo)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWasapiAudioDeviceInfo")
	return
}

func (ptr *QWasapiAudioDeviceInfo) DestroyQWasapiAudioDeviceInfo() {
}

type QWasapiAudioInput struct {
	QAbstractAudioInput
}

type QWasapiAudioInput_ITF interface {
	QAbstractAudioInput_ITF
	QWasapiAudioInput_PTR() *QWasapiAudioInput
}

func (ptr *QWasapiAudioInput) QWasapiAudioInput_PTR() *QWasapiAudioInput {
	return ptr
}

func (ptr *QWasapiAudioInput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioInput_PTR().Pointer()
	}
	return nil
}

func (ptr *QWasapiAudioInput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioInput_PTR().SetPointer(p)
	}
}

func PointerFromQWasapiAudioInput(ptr QWasapiAudioInput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWasapiAudioInput_PTR().Pointer()
	}
	return nil
}

func (n *QWasapiAudioInput) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioInput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWasapiAudioInput) ClassNameInternalF() string {
	return n.QAbstractAudioInput_PTR().ClassNameInternalF()
}

func NewQWasapiAudioInputFromPointer(ptr unsafe.Pointer) (n *QWasapiAudioInput) {
	n = new(QWasapiAudioInput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWasapiAudioInput")
	return
}

func (ptr *QWasapiAudioInput) DestroyQWasapiAudioInput() {
}

type QWasapiAudioOutput struct {
	QAbstractAudioOutput
}

type QWasapiAudioOutput_ITF interface {
	QAbstractAudioOutput_ITF
	QWasapiAudioOutput_PTR() *QWasapiAudioOutput
}

func (ptr *QWasapiAudioOutput) QWasapiAudioOutput_PTR() *QWasapiAudioOutput {
	return ptr
}

func (ptr *QWasapiAudioOutput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioOutput_PTR().Pointer()
	}
	return nil
}

func (ptr *QWasapiAudioOutput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioOutput_PTR().SetPointer(p)
	}
}

func PointerFromQWasapiAudioOutput(ptr QWasapiAudioOutput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWasapiAudioOutput_PTR().Pointer()
	}
	return nil
}

func (n *QWasapiAudioOutput) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioOutput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWasapiAudioOutput) ClassNameInternalF() string {
	return n.QAbstractAudioOutput_PTR().ClassNameInternalF()
}

func NewQWasapiAudioOutputFromPointer(ptr unsafe.Pointer) (n *QWasapiAudioOutput) {
	n = new(QWasapiAudioOutput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWasapiAudioOutput")
	return
}

func (ptr *QWasapiAudioOutput) DestroyQWasapiAudioOutput() {
}

type QWasapiPlugin struct {
	QAudioSystemPlugin
}

type QWasapiPlugin_ITF interface {
	QAudioSystemPlugin_ITF
	QWasapiPlugin_PTR() *QWasapiPlugin
}

func (ptr *QWasapiPlugin) QWasapiPlugin_PTR() *QWasapiPlugin {
	return ptr
}

func (ptr *QWasapiPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioSystemPlugin_PTR().Pointer()
	}
	return nil
}

func (ptr *QWasapiPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioSystemPlugin_PTR().SetPointer(p)
	}
}

func PointerFromQWasapiPlugin(ptr QWasapiPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWasapiPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QWasapiPlugin) InitFromInternal(ptr uintptr, name string) {
	n.QAudioSystemPlugin_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWasapiPlugin) ClassNameInternalF() string {
	return n.QAudioSystemPlugin_PTR().ClassNameInternalF()
}

func NewQWasapiPluginFromPointer(ptr unsafe.Pointer) (n *QWasapiPlugin) {
	n = new(QWasapiPlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWasapiPlugin")
	return
}

func (ptr *QWasapiPlugin) DestroyQWasapiPlugin() {
}

type QWasapiProcessThread struct {
	core.QThread
}

type QWasapiProcessThread_ITF interface {
	core.QThread_ITF
	QWasapiProcessThread_PTR() *QWasapiProcessThread
}

func (ptr *QWasapiProcessThread) QWasapiProcessThread_PTR() *QWasapiProcessThread {
	return ptr
}

func (ptr *QWasapiProcessThread) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QThread_PTR().Pointer()
	}
	return nil
}

func (ptr *QWasapiProcessThread) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QThread_PTR().SetPointer(p)
	}
}

func PointerFromQWasapiProcessThread(ptr QWasapiProcessThread_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWasapiProcessThread_PTR().Pointer()
	}
	return nil
}

func (n *QWasapiProcessThread) InitFromInternal(ptr uintptr, name string) {
	n.QThread_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWasapiProcessThread) ClassNameInternalF() string {
	return n.QThread_PTR().ClassNameInternalF()
}

func NewQWasapiProcessThreadFromPointer(ptr unsafe.Pointer) (n *QWasapiProcessThread) {
	n = new(QWasapiProcessThread)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWasapiProcessThread")
	return
}

func (ptr *QWasapiProcessThread) DestroyQWasapiProcessThread() {
}

type QWinRTAbstractVideoRendererControl struct {
	QVideoRendererControl
}

type QWinRTAbstractVideoRendererControl_ITF interface {
	QVideoRendererControl_ITF
	QWinRTAbstractVideoRendererControl_PTR() *QWinRTAbstractVideoRendererControl
}

func (ptr *QWinRTAbstractVideoRendererControl) QWinRTAbstractVideoRendererControl_PTR() *QWinRTAbstractVideoRendererControl {
	return ptr
}

func (ptr *QWinRTAbstractVideoRendererControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTAbstractVideoRendererControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoRendererControl_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTAbstractVideoRendererControl(ptr QWinRTAbstractVideoRendererControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTAbstractVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTAbstractVideoRendererControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoRendererControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTAbstractVideoRendererControl) ClassNameInternalF() string {
	return n.QVideoRendererControl_PTR().ClassNameInternalF()
}

func NewQWinRTAbstractVideoRendererControlFromPointer(ptr unsafe.Pointer) (n *QWinRTAbstractVideoRendererControl) {
	n = new(QWinRTAbstractVideoRendererControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTAbstractVideoRendererControl")
	return
}

func (ptr *QWinRTAbstractVideoRendererControl) DestroyQWinRTAbstractVideoRendererControl() {
}

type QWinRTCameraControl struct {
	QCameraControl
}

type QWinRTCameraControl_ITF interface {
	QCameraControl_ITF
	QWinRTCameraControl_PTR() *QWinRTCameraControl
}

func (ptr *QWinRTCameraControl) QWinRTCameraControl_PTR() *QWinRTCameraControl {
	return ptr
}

func (ptr *QWinRTCameraControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTCameraControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraControl_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTCameraControl(ptr QWinRTCameraControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTCameraControl_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTCameraControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTCameraControl) ClassNameInternalF() string {
	return n.QCameraControl_PTR().ClassNameInternalF()
}

func NewQWinRTCameraControlFromPointer(ptr unsafe.Pointer) (n *QWinRTCameraControl) {
	n = new(QWinRTCameraControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTCameraControl")
	return
}

func (ptr *QWinRTCameraControl) DestroyQWinRTCameraControl() {
}

type QWinRTCameraFlashControl struct {
	QCameraFlashControl
}

type QWinRTCameraFlashControl_ITF interface {
	QCameraFlashControl_ITF
	QWinRTCameraFlashControl_PTR() *QWinRTCameraFlashControl
}

func (ptr *QWinRTCameraFlashControl) QWinRTCameraFlashControl_PTR() *QWinRTCameraFlashControl {
	return ptr
}

func (ptr *QWinRTCameraFlashControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFlashControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTCameraFlashControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraFlashControl_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTCameraFlashControl(ptr QWinRTCameraFlashControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTCameraFlashControl_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTCameraFlashControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraFlashControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTCameraFlashControl) ClassNameInternalF() string {
	return n.QCameraFlashControl_PTR().ClassNameInternalF()
}

func NewQWinRTCameraFlashControlFromPointer(ptr unsafe.Pointer) (n *QWinRTCameraFlashControl) {
	n = new(QWinRTCameraFlashControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTCameraFlashControl")
	return
}

func (ptr *QWinRTCameraFlashControl) DestroyQWinRTCameraFlashControl() {
}

type QWinRTCameraFocusControl struct {
	QCameraFocusControl
}

type QWinRTCameraFocusControl_ITF interface {
	QCameraFocusControl_ITF
	QWinRTCameraFocusControl_PTR() *QWinRTCameraFocusControl
}

func (ptr *QWinRTCameraFocusControl) QWinRTCameraFocusControl_PTR() *QWinRTCameraFocusControl {
	return ptr
}

func (ptr *QWinRTCameraFocusControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraFocusControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTCameraFocusControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraFocusControl_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTCameraFocusControl(ptr QWinRTCameraFocusControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTCameraFocusControl_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTCameraFocusControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraFocusControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTCameraFocusControl) ClassNameInternalF() string {
	return n.QCameraFocusControl_PTR().ClassNameInternalF()
}

func NewQWinRTCameraFocusControlFromPointer(ptr unsafe.Pointer) (n *QWinRTCameraFocusControl) {
	n = new(QWinRTCameraFocusControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTCameraFocusControl")
	return
}

func (ptr *QWinRTCameraFocusControl) DestroyQWinRTCameraFocusControl() {
}

type QWinRTCameraImageCaptureControl struct {
	QCameraImageCaptureControl
}

type QWinRTCameraImageCaptureControl_ITF interface {
	QCameraImageCaptureControl_ITF
	QWinRTCameraImageCaptureControl_PTR() *QWinRTCameraImageCaptureControl
}

func (ptr *QWinRTCameraImageCaptureControl) QWinRTCameraImageCaptureControl_PTR() *QWinRTCameraImageCaptureControl {
	return ptr
}

func (ptr *QWinRTCameraImageCaptureControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraImageCaptureControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTCameraImageCaptureControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraImageCaptureControl_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTCameraImageCaptureControl(ptr QWinRTCameraImageCaptureControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTCameraImageCaptureControl_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTCameraImageCaptureControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraImageCaptureControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTCameraImageCaptureControl) ClassNameInternalF() string {
	return n.QCameraImageCaptureControl_PTR().ClassNameInternalF()
}

func NewQWinRTCameraImageCaptureControlFromPointer(ptr unsafe.Pointer) (n *QWinRTCameraImageCaptureControl) {
	n = new(QWinRTCameraImageCaptureControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTCameraImageCaptureControl")
	return
}

func (ptr *QWinRTCameraImageCaptureControl) DestroyQWinRTCameraImageCaptureControl() {
}

type QWinRTCameraInfoControl struct {
	QCameraInfoControl
}

type QWinRTCameraInfoControl_ITF interface {
	QCameraInfoControl_ITF
	QWinRTCameraInfoControl_PTR() *QWinRTCameraInfoControl
}

func (ptr *QWinRTCameraInfoControl) QWinRTCameraInfoControl_PTR() *QWinRTCameraInfoControl {
	return ptr
}

func (ptr *QWinRTCameraInfoControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraInfoControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTCameraInfoControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraInfoControl_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTCameraInfoControl(ptr QWinRTCameraInfoControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTCameraInfoControl_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTCameraInfoControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraInfoControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTCameraInfoControl) ClassNameInternalF() string {
	return n.QCameraInfoControl_PTR().ClassNameInternalF()
}

func NewQWinRTCameraInfoControlFromPointer(ptr unsafe.Pointer) (n *QWinRTCameraInfoControl) {
	n = new(QWinRTCameraInfoControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTCameraInfoControl")
	return
}

func (ptr *QWinRTCameraInfoControl) DestroyQWinRTCameraInfoControl() {
}

type QWinRTCameraLocksControl struct {
	QCameraLocksControl
}

type QWinRTCameraLocksControl_ITF interface {
	QCameraLocksControl_ITF
	QWinRTCameraLocksControl_PTR() *QWinRTCameraLocksControl
}

func (ptr *QWinRTCameraLocksControl) QWinRTCameraLocksControl_PTR() *QWinRTCameraLocksControl {
	return ptr
}

func (ptr *QWinRTCameraLocksControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCameraLocksControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTCameraLocksControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCameraLocksControl_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTCameraLocksControl(ptr QWinRTCameraLocksControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTCameraLocksControl_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTCameraLocksControl) InitFromInternal(ptr uintptr, name string) {
	n.QCameraLocksControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTCameraLocksControl) ClassNameInternalF() string {
	return n.QCameraLocksControl_PTR().ClassNameInternalF()
}

func NewQWinRTCameraLocksControlFromPointer(ptr unsafe.Pointer) (n *QWinRTCameraLocksControl) {
	n = new(QWinRTCameraLocksControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTCameraLocksControl")
	return
}

func (ptr *QWinRTCameraLocksControl) DestroyQWinRTCameraLocksControl() {
}

type QWinRTCameraService struct {
	QMediaService
}

type QWinRTCameraService_ITF interface {
	QMediaService_ITF
	QWinRTCameraService_PTR() *QWinRTCameraService
}

func (ptr *QWinRTCameraService) QWinRTCameraService_PTR() *QWinRTCameraService {
	return ptr
}

func (ptr *QWinRTCameraService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTCameraService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTCameraService(ptr QWinRTCameraService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTCameraService_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTCameraService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTCameraService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewQWinRTCameraServiceFromPointer(ptr unsafe.Pointer) (n *QWinRTCameraService) {
	n = new(QWinRTCameraService)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTCameraService")
	return
}

func (ptr *QWinRTCameraService) DestroyQWinRTCameraService() {
}

type QWinRTCameraVideoRendererControl struct {
	QWinRTAbstractVideoRendererControl
}

type QWinRTCameraVideoRendererControl_ITF interface {
	QWinRTAbstractVideoRendererControl_ITF
	QWinRTCameraVideoRendererControl_PTR() *QWinRTCameraVideoRendererControl
}

func (ptr *QWinRTCameraVideoRendererControl) QWinRTCameraVideoRendererControl_PTR() *QWinRTCameraVideoRendererControl {
	return ptr
}

func (ptr *QWinRTCameraVideoRendererControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTAbstractVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTCameraVideoRendererControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWinRTAbstractVideoRendererControl_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTCameraVideoRendererControl(ptr QWinRTCameraVideoRendererControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTCameraVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTCameraVideoRendererControl) InitFromInternal(ptr uintptr, name string) {
	n.QWinRTAbstractVideoRendererControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTCameraVideoRendererControl) ClassNameInternalF() string {
	return n.QWinRTAbstractVideoRendererControl_PTR().ClassNameInternalF()
}

func NewQWinRTCameraVideoRendererControlFromPointer(ptr unsafe.Pointer) (n *QWinRTCameraVideoRendererControl) {
	n = new(QWinRTCameraVideoRendererControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTCameraVideoRendererControl")
	return
}

func (ptr *QWinRTCameraVideoRendererControl) DestroyQWinRTCameraVideoRendererControl() {
}

type QWinRTImageEncoderControl struct {
	QImageEncoderControl
}

type QWinRTImageEncoderControl_ITF interface {
	QImageEncoderControl_ITF
	QWinRTImageEncoderControl_PTR() *QWinRTImageEncoderControl
}

func (ptr *QWinRTImageEncoderControl) QWinRTImageEncoderControl_PTR() *QWinRTImageEncoderControl {
	return ptr
}

func (ptr *QWinRTImageEncoderControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QImageEncoderControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTImageEncoderControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QImageEncoderControl_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTImageEncoderControl(ptr QWinRTImageEncoderControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTImageEncoderControl_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTImageEncoderControl) InitFromInternal(ptr uintptr, name string) {
	n.QImageEncoderControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTImageEncoderControl) ClassNameInternalF() string {
	return n.QImageEncoderControl_PTR().ClassNameInternalF()
}

func NewQWinRTImageEncoderControlFromPointer(ptr unsafe.Pointer) (n *QWinRTImageEncoderControl) {
	n = new(QWinRTImageEncoderControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTImageEncoderControl")
	return
}

func (ptr *QWinRTImageEncoderControl) DestroyQWinRTImageEncoderControl() {
}

type QWinRTMediaPlayerControl struct {
	QMediaPlayerControl
}

type QWinRTMediaPlayerControl_ITF interface {
	QMediaPlayerControl_ITF
	QWinRTMediaPlayerControl_PTR() *QWinRTMediaPlayerControl
}

func (ptr *QWinRTMediaPlayerControl) QWinRTMediaPlayerControl_PTR() *QWinRTMediaPlayerControl {
	return ptr
}

func (ptr *QWinRTMediaPlayerControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaPlayerControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTMediaPlayerControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaPlayerControl_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTMediaPlayerControl(ptr QWinRTMediaPlayerControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTMediaPlayerControl_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTMediaPlayerControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaPlayerControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTMediaPlayerControl) ClassNameInternalF() string {
	return n.QMediaPlayerControl_PTR().ClassNameInternalF()
}

func NewQWinRTMediaPlayerControlFromPointer(ptr unsafe.Pointer) (n *QWinRTMediaPlayerControl) {
	n = new(QWinRTMediaPlayerControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTMediaPlayerControl")
	return
}

func (ptr *QWinRTMediaPlayerControl) DestroyQWinRTMediaPlayerControl() {
}

type QWinRTMediaPlayerService struct {
	QMediaService
}

type QWinRTMediaPlayerService_ITF interface {
	QMediaService_ITF
	QWinRTMediaPlayerService_PTR() *QWinRTMediaPlayerService
}

func (ptr *QWinRTMediaPlayerService) QWinRTMediaPlayerService_PTR() *QWinRTMediaPlayerService {
	return ptr
}

func (ptr *QWinRTMediaPlayerService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTMediaPlayerService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTMediaPlayerService(ptr QWinRTMediaPlayerService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTMediaPlayerService_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTMediaPlayerService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTMediaPlayerService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewQWinRTMediaPlayerServiceFromPointer(ptr unsafe.Pointer) (n *QWinRTMediaPlayerService) {
	n = new(QWinRTMediaPlayerService)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTMediaPlayerService")
	return
}

func (ptr *QWinRTMediaPlayerService) DestroyQWinRTMediaPlayerService() {
}

type QWinRTPlayerRendererControl struct {
	QWinRTAbstractVideoRendererControl
}

type QWinRTPlayerRendererControl_ITF interface {
	QWinRTAbstractVideoRendererControl_ITF
	QWinRTPlayerRendererControl_PTR() *QWinRTPlayerRendererControl
}

func (ptr *QWinRTPlayerRendererControl) QWinRTPlayerRendererControl_PTR() *QWinRTPlayerRendererControl {
	return ptr
}

func (ptr *QWinRTPlayerRendererControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTAbstractVideoRendererControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTPlayerRendererControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWinRTAbstractVideoRendererControl_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTPlayerRendererControl(ptr QWinRTPlayerRendererControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTPlayerRendererControl_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTPlayerRendererControl) InitFromInternal(ptr uintptr, name string) {
	n.QWinRTAbstractVideoRendererControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTPlayerRendererControl) ClassNameInternalF() string {
	return n.QWinRTAbstractVideoRendererControl_PTR().ClassNameInternalF()
}

func NewQWinRTPlayerRendererControlFromPointer(ptr unsafe.Pointer) (n *QWinRTPlayerRendererControl) {
	n = new(QWinRTPlayerRendererControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTPlayerRendererControl")
	return
}

func (ptr *QWinRTPlayerRendererControl) DestroyQWinRTPlayerRendererControl() {
}

type QWinRTServicePlugin struct {
	QMediaServiceCameraInfoInterface
	QMediaServiceDefaultDeviceInterface
	QMediaServiceFeaturesInterface
	QMediaServiceProviderPlugin
	QMediaServiceSupportedDevicesInterface
}

type QWinRTServicePlugin_ITF interface {
	QMediaServiceCameraInfoInterface_ITF
	QMediaServiceDefaultDeviceInterface_ITF
	QMediaServiceFeaturesInterface_ITF
	QMediaServiceProviderPlugin_ITF
	QMediaServiceSupportedDevicesInterface_ITF
	QWinRTServicePlugin_PTR() *QWinRTServicePlugin
}

func (ptr *QWinRTServicePlugin) QWinRTServicePlugin_PTR() *QWinRTServicePlugin {
	return ptr
}

func (ptr *QWinRTServicePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceCameraInfoInterface_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTServicePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaServiceCameraInfoInterface_PTR().SetPointer(p)
		ptr.QMediaServiceDefaultDeviceInterface_PTR().SetPointer(p)
		ptr.QMediaServiceFeaturesInterface_PTR().SetPointer(p)
		ptr.QMediaServiceProviderPlugin_PTR().SetPointer(p)
		ptr.QMediaServiceSupportedDevicesInterface_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTServicePlugin(ptr QWinRTServicePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTServicePlugin_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTServicePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QMediaServiceCameraInfoInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceDefaultDeviceInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceFeaturesInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceProviderPlugin_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceSupportedDevicesInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTServicePlugin) ClassNameInternalF() string {
	return n.QMediaServiceCameraInfoInterface_PTR().ClassNameInternalF()
}

func NewQWinRTServicePluginFromPointer(ptr unsafe.Pointer) (n *QWinRTServicePlugin) {
	n = new(QWinRTServicePlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTServicePlugin")
	return
}

func (ptr *QWinRTServicePlugin) DestroyQWinRTServicePlugin() {
}

type QWinRTVideoDeviceSelectorControl struct {
	QVideoDeviceSelectorControl
}

type QWinRTVideoDeviceSelectorControl_ITF interface {
	QVideoDeviceSelectorControl_ITF
	QWinRTVideoDeviceSelectorControl_PTR() *QWinRTVideoDeviceSelectorControl
}

func (ptr *QWinRTVideoDeviceSelectorControl) QWinRTVideoDeviceSelectorControl_PTR() *QWinRTVideoDeviceSelectorControl {
	return ptr
}

func (ptr *QWinRTVideoDeviceSelectorControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoDeviceSelectorControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTVideoDeviceSelectorControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoDeviceSelectorControl_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTVideoDeviceSelectorControl(ptr QWinRTVideoDeviceSelectorControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTVideoDeviceSelectorControl_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTVideoDeviceSelectorControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoDeviceSelectorControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTVideoDeviceSelectorControl) ClassNameInternalF() string {
	return n.QVideoDeviceSelectorControl_PTR().ClassNameInternalF()
}

func NewQWinRTVideoDeviceSelectorControlFromPointer(ptr unsafe.Pointer) (n *QWinRTVideoDeviceSelectorControl) {
	n = new(QWinRTVideoDeviceSelectorControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTVideoDeviceSelectorControl")
	return
}

func (ptr *QWinRTVideoDeviceSelectorControl) DestroyQWinRTVideoDeviceSelectorControl() {
}

type QWinRTVideoProbeControl struct {
	QMediaVideoProbeControl
}

type QWinRTVideoProbeControl_ITF interface {
	QMediaVideoProbeControl_ITF
	QWinRTVideoProbeControl_PTR() *QWinRTVideoProbeControl
}

func (ptr *QWinRTVideoProbeControl) QWinRTVideoProbeControl_PTR() *QWinRTVideoProbeControl {
	return ptr
}

func (ptr *QWinRTVideoProbeControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaVideoProbeControl_PTR().Pointer()
	}
	return nil
}

func (ptr *QWinRTVideoProbeControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaVideoProbeControl_PTR().SetPointer(p)
	}
}

func PointerFromQWinRTVideoProbeControl(ptr QWinRTVideoProbeControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWinRTVideoProbeControl_PTR().Pointer()
	}
	return nil
}

func (n *QWinRTVideoProbeControl) InitFromInternal(ptr uintptr, name string) {
	n.QMediaVideoProbeControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWinRTVideoProbeControl) ClassNameInternalF() string {
	return n.QMediaVideoProbeControl_PTR().ClassNameInternalF()
}

func NewQWinRTVideoProbeControlFromPointer(ptr unsafe.Pointer) (n *QWinRTVideoProbeControl) {
	n = new(QWinRTVideoProbeControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWinRTVideoProbeControl")
	return
}

func (ptr *QWinRTVideoProbeControl) DestroyQWinRTVideoProbeControl() {
}

type QWindowsAudioDeviceInfo struct {
	QAbstractAudioDeviceInfo
}

type QWindowsAudioDeviceInfo_ITF interface {
	QAbstractAudioDeviceInfo_ITF
	QWindowsAudioDeviceInfo_PTR() *QWindowsAudioDeviceInfo
}

func (ptr *QWindowsAudioDeviceInfo) QWindowsAudioDeviceInfo_PTR() *QWindowsAudioDeviceInfo {
	return ptr
}

func (ptr *QWindowsAudioDeviceInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (ptr *QWindowsAudioDeviceInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioDeviceInfo_PTR().SetPointer(p)
	}
}

func PointerFromQWindowsAudioDeviceInfo(ptr QWindowsAudioDeviceInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWindowsAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (n *QWindowsAudioDeviceInfo) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioDeviceInfo_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWindowsAudioDeviceInfo) ClassNameInternalF() string {
	return n.QAbstractAudioDeviceInfo_PTR().ClassNameInternalF()
}

func NewQWindowsAudioDeviceInfoFromPointer(ptr unsafe.Pointer) (n *QWindowsAudioDeviceInfo) {
	n = new(QWindowsAudioDeviceInfo)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWindowsAudioDeviceInfo")
	return
}

func (ptr *QWindowsAudioDeviceInfo) DestroyQWindowsAudioDeviceInfo() {
}

type QWindowsAudioInput struct {
	QAbstractAudioInput
}

type QWindowsAudioInput_ITF interface {
	QAbstractAudioInput_ITF
	QWindowsAudioInput_PTR() *QWindowsAudioInput
}

func (ptr *QWindowsAudioInput) QWindowsAudioInput_PTR() *QWindowsAudioInput {
	return ptr
}

func (ptr *QWindowsAudioInput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioInput_PTR().Pointer()
	}
	return nil
}

func (ptr *QWindowsAudioInput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioInput_PTR().SetPointer(p)
	}
}

func PointerFromQWindowsAudioInput(ptr QWindowsAudioInput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWindowsAudioInput_PTR().Pointer()
	}
	return nil
}

func (n *QWindowsAudioInput) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioInput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWindowsAudioInput) ClassNameInternalF() string {
	return n.QAbstractAudioInput_PTR().ClassNameInternalF()
}

func NewQWindowsAudioInputFromPointer(ptr unsafe.Pointer) (n *QWindowsAudioInput) {
	n = new(QWindowsAudioInput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWindowsAudioInput")
	return
}

func (ptr *QWindowsAudioInput) DestroyQWindowsAudioInput() {
}

type QWindowsAudioOutput struct {
	QAbstractAudioOutput
}

type QWindowsAudioOutput_ITF interface {
	QAbstractAudioOutput_ITF
	QWindowsAudioOutput_PTR() *QWindowsAudioOutput
}

func (ptr *QWindowsAudioOutput) QWindowsAudioOutput_PTR() *QWindowsAudioOutput {
	return ptr
}

func (ptr *QWindowsAudioOutput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioOutput_PTR().Pointer()
	}
	return nil
}

func (ptr *QWindowsAudioOutput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioOutput_PTR().SetPointer(p)
	}
}

func PointerFromQWindowsAudioOutput(ptr QWindowsAudioOutput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWindowsAudioOutput_PTR().Pointer()
	}
	return nil
}

func (n *QWindowsAudioOutput) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioOutput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWindowsAudioOutput) ClassNameInternalF() string {
	return n.QAbstractAudioOutput_PTR().ClassNameInternalF()
}

func NewQWindowsAudioOutputFromPointer(ptr unsafe.Pointer) (n *QWindowsAudioOutput) {
	n = new(QWindowsAudioOutput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWindowsAudioOutput")
	return
}

func (ptr *QWindowsAudioOutput) DestroyQWindowsAudioOutput() {
}

type QWindowsAudioPlugin struct {
	QAudioSystemPlugin
}

type QWindowsAudioPlugin_ITF interface {
	QAudioSystemPlugin_ITF
	QWindowsAudioPlugin_PTR() *QWindowsAudioPlugin
}

func (ptr *QWindowsAudioPlugin) QWindowsAudioPlugin_PTR() *QWindowsAudioPlugin {
	return ptr
}

func (ptr *QWindowsAudioPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioSystemPlugin_PTR().Pointer()
	}
	return nil
}

func (ptr *QWindowsAudioPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioSystemPlugin_PTR().SetPointer(p)
	}
}

func PointerFromQWindowsAudioPlugin(ptr QWindowsAudioPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWindowsAudioPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QWindowsAudioPlugin) InitFromInternal(ptr uintptr, name string) {
	n.QAudioSystemPlugin_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWindowsAudioPlugin) ClassNameInternalF() string {
	return n.QAudioSystemPlugin_PTR().ClassNameInternalF()
}

func NewQWindowsAudioPluginFromPointer(ptr unsafe.Pointer) (n *QWindowsAudioPlugin) {
	n = new(QWindowsAudioPlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QWindowsAudioPlugin")
	return
}

func (ptr *QWindowsAudioPlugin) DestroyQWindowsAudioPlugin() {
}

type QnxAudioDeviceInfo struct {
	QAbstractAudioDeviceInfo
}

type QnxAudioDeviceInfo_ITF interface {
	QAbstractAudioDeviceInfo_ITF
	QnxAudioDeviceInfo_PTR() *QnxAudioDeviceInfo
}

func (ptr *QnxAudioDeviceInfo) QnxAudioDeviceInfo_PTR() *QnxAudioDeviceInfo {
	return ptr
}

func (ptr *QnxAudioDeviceInfo) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (ptr *QnxAudioDeviceInfo) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioDeviceInfo_PTR().SetPointer(p)
	}
}

func PointerFromQnxAudioDeviceInfo(ptr QnxAudioDeviceInfo_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QnxAudioDeviceInfo_PTR().Pointer()
	}
	return nil
}

func (n *QnxAudioDeviceInfo) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioDeviceInfo_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QnxAudioDeviceInfo) ClassNameInternalF() string {
	return n.QAbstractAudioDeviceInfo_PTR().ClassNameInternalF()
}

func NewQnxAudioDeviceInfoFromPointer(ptr unsafe.Pointer) (n *QnxAudioDeviceInfo) {
	n = new(QnxAudioDeviceInfo)
	n.InitFromInternal(uintptr(ptr), "multimedia.QnxAudioDeviceInfo")
	return
}

func (ptr *QnxAudioDeviceInfo) DestroyQnxAudioDeviceInfo() {
}

type QnxAudioInput struct {
	QAbstractAudioInput
}

type QnxAudioInput_ITF interface {
	QAbstractAudioInput_ITF
	QnxAudioInput_PTR() *QnxAudioInput
}

func (ptr *QnxAudioInput) QnxAudioInput_PTR() *QnxAudioInput {
	return ptr
}

func (ptr *QnxAudioInput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioInput_PTR().Pointer()
	}
	return nil
}

func (ptr *QnxAudioInput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioInput_PTR().SetPointer(p)
	}
}

func PointerFromQnxAudioInput(ptr QnxAudioInput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QnxAudioInput_PTR().Pointer()
	}
	return nil
}

func (n *QnxAudioInput) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioInput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QnxAudioInput) ClassNameInternalF() string {
	return n.QAbstractAudioInput_PTR().ClassNameInternalF()
}

func NewQnxAudioInputFromPointer(ptr unsafe.Pointer) (n *QnxAudioInput) {
	n = new(QnxAudioInput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QnxAudioInput")
	return
}

func (ptr *QnxAudioInput) DestroyQnxAudioInput() {
}

type QnxAudioOutput struct {
	QAbstractAudioOutput
}

type QnxAudioOutput_ITF interface {
	QAbstractAudioOutput_ITF
	QnxAudioOutput_PTR() *QnxAudioOutput
}

func (ptr *QnxAudioOutput) QnxAudioOutput_PTR() *QnxAudioOutput {
	return ptr
}

func (ptr *QnxAudioOutput) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractAudioOutput_PTR().Pointer()
	}
	return nil
}

func (ptr *QnxAudioOutput) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractAudioOutput_PTR().SetPointer(p)
	}
}

func PointerFromQnxAudioOutput(ptr QnxAudioOutput_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QnxAudioOutput_PTR().Pointer()
	}
	return nil
}

func (n *QnxAudioOutput) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractAudioOutput_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QnxAudioOutput) ClassNameInternalF() string {
	return n.QAbstractAudioOutput_PTR().ClassNameInternalF()
}

func NewQnxAudioOutputFromPointer(ptr unsafe.Pointer) (n *QnxAudioOutput) {
	n = new(QnxAudioOutput)
	n.InitFromInternal(uintptr(ptr), "multimedia.QnxAudioOutput")
	return
}

func (ptr *QnxAudioOutput) DestroyQnxAudioOutput() {
}

type QnxAudioPlugin struct {
	QAudioSystemPlugin
}

type QnxAudioPlugin_ITF interface {
	QAudioSystemPlugin_ITF
	QnxAudioPlugin_PTR() *QnxAudioPlugin
}

func (ptr *QnxAudioPlugin) QnxAudioPlugin_PTR() *QnxAudioPlugin {
	return ptr
}

func (ptr *QnxAudioPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAudioSystemPlugin_PTR().Pointer()
	}
	return nil
}

func (ptr *QnxAudioPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAudioSystemPlugin_PTR().SetPointer(p)
	}
}

func PointerFromQnxAudioPlugin(ptr QnxAudioPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QnxAudioPlugin_PTR().Pointer()
	}
	return nil
}

func (n *QnxAudioPlugin) InitFromInternal(ptr uintptr, name string) {
	n.QAudioSystemPlugin_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QnxAudioPlugin) ClassNameInternalF() string {
	return n.QAudioSystemPlugin_PTR().ClassNameInternalF()
}

func NewQnxAudioPluginFromPointer(ptr unsafe.Pointer) (n *QnxAudioPlugin) {
	n = new(QnxAudioPlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.QnxAudioPlugin")
	return
}

func (ptr *QnxAudioPlugin) DestroyQnxAudioPlugin() {
}

type QnxPushIODevice struct {
	core.QIODevice
}

type QnxPushIODevice_ITF interface {
	core.QIODevice_ITF
	QnxPushIODevice_PTR() *QnxPushIODevice
}

func (ptr *QnxPushIODevice) QnxPushIODevice_PTR() *QnxPushIODevice {
	return ptr
}

func (ptr *QnxPushIODevice) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QIODevice_PTR().Pointer()
	}
	return nil
}

func (ptr *QnxPushIODevice) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QIODevice_PTR().SetPointer(p)
	}
}

func PointerFromQnxPushIODevice(ptr QnxPushIODevice_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QnxPushIODevice_PTR().Pointer()
	}
	return nil
}

func (n *QnxPushIODevice) InitFromInternal(ptr uintptr, name string) {
	n.QIODevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QnxPushIODevice) ClassNameInternalF() string {
	return n.QIODevice_PTR().ClassNameInternalF()
}

func NewQnxPushIODeviceFromPointer(ptr unsafe.Pointer) (n *QnxPushIODevice) {
	n = new(QnxPushIODevice)
	n.InitFromInternal(uintptr(ptr), "multimedia.QnxPushIODevice")
	return
}

func (ptr *QnxPushIODevice) DestroyQnxPushIODevice() {
}

type ResourcePolicyImpl struct {
	internal.Internal
}

type ResourcePolicyImpl_ITF interface {
	ResourcePolicyImpl_PTR() *ResourcePolicyImpl
}

func (ptr *ResourcePolicyImpl) ResourcePolicyImpl_PTR() *ResourcePolicyImpl {
	return ptr
}

func (ptr *ResourcePolicyImpl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *ResourcePolicyImpl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromResourcePolicyImpl(ptr ResourcePolicyImpl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.ResourcePolicyImpl_PTR().Pointer()
	}
	return nil
}

func (n *ResourcePolicyImpl) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewResourcePolicyImplFromPointer(ptr unsafe.Pointer) (n *ResourcePolicyImpl) {
	n = new(ResourcePolicyImpl)
	n.InitFromInternal(uintptr(ptr), "multimedia.ResourcePolicyImpl")
	return
}

func (ptr *ResourcePolicyImpl) DestroyResourcePolicyImpl() {
}

type ResourcePolicyInt struct {
	core.QObject
}

type ResourcePolicyInt_ITF interface {
	core.QObject_ITF
	ResourcePolicyInt_PTR() *ResourcePolicyInt
}

func (ptr *ResourcePolicyInt) ResourcePolicyInt_PTR() *ResourcePolicyInt {
	return ptr
}

func (ptr *ResourcePolicyInt) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *ResourcePolicyInt) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromResourcePolicyInt(ptr ResourcePolicyInt_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.ResourcePolicyInt_PTR().Pointer()
	}
	return nil
}

func (n *ResourcePolicyInt) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *ResourcePolicyInt) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewResourcePolicyIntFromPointer(ptr unsafe.Pointer) (n *ResourcePolicyInt) {
	n = new(ResourcePolicyInt)
	n.InitFromInternal(uintptr(ptr), "multimedia.ResourcePolicyInt")
	return
}

func (ptr *ResourcePolicyInt) DestroyResourcePolicyInt() {
}

type ResourcePolicyPlugin struct {
	internal.Internal
}

type ResourcePolicyPlugin_ITF interface {
	ResourcePolicyPlugin_PTR() *ResourcePolicyPlugin
}

func (ptr *ResourcePolicyPlugin) ResourcePolicyPlugin_PTR() *ResourcePolicyPlugin {
	return ptr
}

func (ptr *ResourcePolicyPlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *ResourcePolicyPlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromResourcePolicyPlugin(ptr ResourcePolicyPlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.ResourcePolicyPlugin_PTR().Pointer()
	}
	return nil
}

func (n *ResourcePolicyPlugin) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewResourcePolicyPluginFromPointer(ptr unsafe.Pointer) (n *ResourcePolicyPlugin) {
	n = new(ResourcePolicyPlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.ResourcePolicyPlugin")
	return
}

func (ptr *ResourcePolicyPlugin) DestroyResourcePolicyPlugin() {
}

type RingBuffer struct {
	internal.Internal
}

type RingBuffer_ITF interface {
	RingBuffer_PTR() *RingBuffer
}

func (ptr *RingBuffer) RingBuffer_PTR() *RingBuffer {
	return ptr
}

func (ptr *RingBuffer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *RingBuffer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromRingBuffer(ptr RingBuffer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.RingBuffer_PTR().Pointer()
	}
	return nil
}

func (n *RingBuffer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewRingBufferFromPointer(ptr unsafe.Pointer) (n *RingBuffer) {
	n = new(RingBuffer)
	n.InitFromInternal(uintptr(ptr), "multimedia.RingBuffer")
	return
}

func (ptr *RingBuffer) DestroyRingBuffer() {
}

type SampleGrabberCallback struct {
	internal.Internal
}

type SampleGrabberCallback_ITF interface {
	SampleGrabberCallback_PTR() *SampleGrabberCallback
}

func (ptr *SampleGrabberCallback) SampleGrabberCallback_PTR() *SampleGrabberCallback {
	return ptr
}

func (ptr *SampleGrabberCallback) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *SampleGrabberCallback) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromSampleGrabberCallback(ptr SampleGrabberCallback_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.SampleGrabberCallback_PTR().Pointer()
	}
	return nil
}

func (n *SampleGrabberCallback) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewSampleGrabberCallbackFromPointer(ptr unsafe.Pointer) (n *SampleGrabberCallback) {
	n = new(SampleGrabberCallback)
	n.InitFromInternal(uintptr(ptr), "multimedia.SampleGrabberCallback")
	return
}

func (ptr *SampleGrabberCallback) DestroySampleGrabberCallback() {
}

type SamplePool struct {
	internal.Internal
}

type SamplePool_ITF interface {
	SamplePool_PTR() *SamplePool
}

func (ptr *SamplePool) SamplePool_PTR() *SamplePool {
	return ptr
}

func (ptr *SamplePool) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *SamplePool) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromSamplePool(ptr SamplePool_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.SamplePool_PTR().Pointer()
	}
	return nil
}

func (n *SamplePool) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewSamplePoolFromPointer(ptr unsafe.Pointer) (n *SamplePool) {
	n = new(SamplePool)
	n.InitFromInternal(uintptr(ptr), "multimedia.SamplePool")
	return
}

func (ptr *SamplePool) DestroySamplePool() {
}

type Scheduler struct {
	internal.Internal
}

type Scheduler_ITF interface {
	Scheduler_PTR() *Scheduler
}

func (ptr *Scheduler) Scheduler_PTR() *Scheduler {
	return ptr
}

func (ptr *Scheduler) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *Scheduler) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromScheduler(ptr Scheduler_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.Scheduler_PTR().Pointer()
	}
	return nil
}

func (n *Scheduler) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewSchedulerFromPointer(ptr unsafe.Pointer) (n *Scheduler) {
	n = new(Scheduler)
	n.InitFromInternal(uintptr(ptr), "multimedia.Scheduler")
	return
}

func (ptr *Scheduler) DestroyScheduler() {
}

type SourceResolver struct {
	core.QObject
}

type SourceResolver_ITF interface {
	core.QObject_ITF
	SourceResolver_PTR() *SourceResolver
}

func (ptr *SourceResolver) SourceResolver_PTR() *SourceResolver {
	return ptr
}

func (ptr *SourceResolver) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *SourceResolver) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromSourceResolver(ptr SourceResolver_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.SourceResolver_PTR().Pointer()
	}
	return nil
}

func (n *SourceResolver) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *SourceResolver) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewSourceResolverFromPointer(ptr unsafe.Pointer) (n *SourceResolver) {
	n = new(SourceResolver)
	n.InitFromInternal(uintptr(ptr), "multimedia.SourceResolver")
	return
}

func (ptr *SourceResolver) DestroySourceResolver() {
}

type V4LRadioControl struct {
	QRadioTunerControl
}

type V4LRadioControl_ITF interface {
	QRadioTunerControl_ITF
	V4LRadioControl_PTR() *V4LRadioControl
}

func (ptr *V4LRadioControl) V4LRadioControl_PTR() *V4LRadioControl {
	return ptr
}

func (ptr *V4LRadioControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QRadioTunerControl_PTR().Pointer()
	}
	return nil
}

func (ptr *V4LRadioControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QRadioTunerControl_PTR().SetPointer(p)
	}
}

func PointerFromV4LRadioControl(ptr V4LRadioControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.V4LRadioControl_PTR().Pointer()
	}
	return nil
}

func (n *V4LRadioControl) InitFromInternal(ptr uintptr, name string) {
	n.QRadioTunerControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *V4LRadioControl) ClassNameInternalF() string {
	return n.QRadioTunerControl_PTR().ClassNameInternalF()
}

func NewV4LRadioControlFromPointer(ptr unsafe.Pointer) (n *V4LRadioControl) {
	n = new(V4LRadioControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.V4LRadioControl")
	return
}

func (ptr *V4LRadioControl) DestroyV4LRadioControl() {
}

type V4LRadioService struct {
	QMediaService
}

type V4LRadioService_ITF interface {
	QMediaService_ITF
	V4LRadioService_PTR() *V4LRadioService
}

func (ptr *V4LRadioService) V4LRadioService_PTR() *V4LRadioService {
	return ptr
}

func (ptr *V4LRadioService) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaService_PTR().Pointer()
	}
	return nil
}

func (ptr *V4LRadioService) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaService_PTR().SetPointer(p)
	}
}

func PointerFromV4LRadioService(ptr V4LRadioService_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.V4LRadioService_PTR().Pointer()
	}
	return nil
}

func (n *V4LRadioService) InitFromInternal(ptr uintptr, name string) {
	n.QMediaService_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *V4LRadioService) ClassNameInternalF() string {
	return n.QMediaService_PTR().ClassNameInternalF()
}

func NewV4LRadioServiceFromPointer(ptr unsafe.Pointer) (n *V4LRadioService) {
	n = new(V4LRadioService)
	n.InitFromInternal(uintptr(ptr), "multimedia.V4LRadioService")
	return
}

func (ptr *V4LRadioService) DestroyV4LRadioService() {
}

type V4LServicePlugin struct {
	QMediaServiceProviderPlugin
	QMediaServiceSupportedDevicesInterface
}

type V4LServicePlugin_ITF interface {
	QMediaServiceProviderPlugin_ITF
	QMediaServiceSupportedDevicesInterface_ITF
	V4LServicePlugin_PTR() *V4LServicePlugin
}

func (ptr *V4LServicePlugin) V4LServicePlugin_PTR() *V4LServicePlugin {
	return ptr
}

func (ptr *V4LServicePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceProviderPlugin_PTR().Pointer()
	}
	return nil
}

func (ptr *V4LServicePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaServiceProviderPlugin_PTR().SetPointer(p)
		ptr.QMediaServiceSupportedDevicesInterface_PTR().SetPointer(p)
	}
}

func PointerFromV4LServicePlugin(ptr V4LServicePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.V4LServicePlugin_PTR().Pointer()
	}
	return nil
}

func (n *V4LServicePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QMediaServiceProviderPlugin_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceSupportedDevicesInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *V4LServicePlugin) ClassNameInternalF() string {
	return n.QMediaServiceProviderPlugin_PTR().ClassNameInternalF()
}

func NewV4LServicePluginFromPointer(ptr unsafe.Pointer) (n *V4LServicePlugin) {
	n = new(V4LServicePlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.V4LServicePlugin")
	return
}

func (ptr *V4LServicePlugin) DestroyV4LServicePlugin() {
}

type VideoSurfaceFilter struct {
	core.QObject
}

type VideoSurfaceFilter_ITF interface {
	core.QObject_ITF
	VideoSurfaceFilter_PTR() *VideoSurfaceFilter
}

func (ptr *VideoSurfaceFilter) VideoSurfaceFilter_PTR() *VideoSurfaceFilter {
	return ptr
}

func (ptr *VideoSurfaceFilter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *VideoSurfaceFilter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromVideoSurfaceFilter(ptr VideoSurfaceFilter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.VideoSurfaceFilter_PTR().Pointer()
	}
	return nil
}

func (n *VideoSurfaceFilter) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *VideoSurfaceFilter) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewVideoSurfaceFilterFromPointer(ptr unsafe.Pointer) (n *VideoSurfaceFilter) {
	n = new(VideoSurfaceFilter)
	n.InitFromInternal(uintptr(ptr), "multimedia.VideoSurfaceFilter")
	return
}

func (ptr *VideoSurfaceFilter) DestroyVideoSurfaceFilter() {
}

type Vmr9VideoWindowControl struct {
	QVideoWindowControl
}

type Vmr9VideoWindowControl_ITF interface {
	QVideoWindowControl_ITF
	Vmr9VideoWindowControl_PTR() *Vmr9VideoWindowControl
}

func (ptr *Vmr9VideoWindowControl) Vmr9VideoWindowControl_PTR() *Vmr9VideoWindowControl {
	return ptr
}

func (ptr *Vmr9VideoWindowControl) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QVideoWindowControl_PTR().Pointer()
	}
	return nil
}

func (ptr *Vmr9VideoWindowControl) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QVideoWindowControl_PTR().SetPointer(p)
	}
}

func PointerFromVmr9VideoWindowControl(ptr Vmr9VideoWindowControl_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.Vmr9VideoWindowControl_PTR().Pointer()
	}
	return nil
}

func (n *Vmr9VideoWindowControl) InitFromInternal(ptr uintptr, name string) {
	n.QVideoWindowControl_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *Vmr9VideoWindowControl) ClassNameInternalF() string {
	return n.QVideoWindowControl_PTR().ClassNameInternalF()
}

func NewVmr9VideoWindowControlFromPointer(ptr unsafe.Pointer) (n *Vmr9VideoWindowControl) {
	n = new(Vmr9VideoWindowControl)
	n.InitFromInternal(uintptr(ptr), "multimedia.Vmr9VideoWindowControl")
	return
}

func (ptr *Vmr9VideoWindowControl) DestroyVmr9VideoWindowControl() {
}

type WMFServicePlugin struct {
	QMediaServiceDefaultDeviceInterface
	QMediaServiceFeaturesInterface
	QMediaServiceProviderPlugin
	QMediaServiceSupportedDevicesInterface
}

type WMFServicePlugin_ITF interface {
	QMediaServiceDefaultDeviceInterface_ITF
	QMediaServiceFeaturesInterface_ITF
	QMediaServiceProviderPlugin_ITF
	QMediaServiceSupportedDevicesInterface_ITF
	WMFServicePlugin_PTR() *WMFServicePlugin
}

func (ptr *WMFServicePlugin) WMFServicePlugin_PTR() *WMFServicePlugin {
	return ptr
}

func (ptr *WMFServicePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QMediaServiceDefaultDeviceInterface_PTR().Pointer()
	}
	return nil
}

func (ptr *WMFServicePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QMediaServiceDefaultDeviceInterface_PTR().SetPointer(p)
		ptr.QMediaServiceFeaturesInterface_PTR().SetPointer(p)
		ptr.QMediaServiceProviderPlugin_PTR().SetPointer(p)
		ptr.QMediaServiceSupportedDevicesInterface_PTR().SetPointer(p)
	}
}

func PointerFromWMFServicePlugin(ptr WMFServicePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.WMFServicePlugin_PTR().Pointer()
	}
	return nil
}

func (n *WMFServicePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QMediaServiceDefaultDeviceInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceFeaturesInterface_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceProviderPlugin_PTR().InitFromInternal(uintptr(ptr), name)
	n.QMediaServiceSupportedDevicesInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *WMFServicePlugin) ClassNameInternalF() string {
	return n.QMediaServiceDefaultDeviceInterface_PTR().ClassNameInternalF()
}

func NewWMFServicePluginFromPointer(ptr unsafe.Pointer) (n *WMFServicePlugin) {
	n = new(WMFServicePlugin)
	n.InitFromInternal(uintptr(ptr), "multimedia.WMFServicePlugin")
	return
}

func (ptr *WMFServicePlugin) DestroyWMFServicePlugin() {
}

type WindowGrabber struct {
	core.QAbstractNativeEventFilter
	core.QObject
}

type WindowGrabber_ITF interface {
	core.QAbstractNativeEventFilter_ITF
	core.QObject_ITF
	WindowGrabber_PTR() *WindowGrabber
}

func (ptr *WindowGrabber) WindowGrabber_PTR() *WindowGrabber {
	return ptr
}

func (ptr *WindowGrabber) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractNativeEventFilter_PTR().Pointer()
	}
	return nil
}

func (ptr *WindowGrabber) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractNativeEventFilter_PTR().SetPointer(p)
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromWindowGrabber(ptr WindowGrabber_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.WindowGrabber_PTR().Pointer()
	}
	return nil
}

func (n *WindowGrabber) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractNativeEventFilter_PTR().InitFromInternal(uintptr(ptr), name)
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *WindowGrabber) ClassNameInternalF() string {
	return n.QAbstractNativeEventFilter_PTR().ClassNameInternalF()
}

func NewWindowGrabberFromPointer(ptr unsafe.Pointer) (n *WindowGrabber) {
	n = new(WindowGrabber)
	n.InitFromInternal(uintptr(ptr), "multimedia.WindowGrabber")
	return
}

func (ptr *WindowGrabber) DestroyWindowGrabber() {
}

type WindowGrabberImage struct {
	core.QObject
}

type WindowGrabberImage_ITF interface {
	core.QObject_ITF
	WindowGrabberImage_PTR() *WindowGrabberImage
}

func (ptr *WindowGrabberImage) WindowGrabberImage_PTR() *WindowGrabberImage {
	return ptr
}

func (ptr *WindowGrabberImage) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *WindowGrabberImage) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromWindowGrabberImage(ptr WindowGrabberImage_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.WindowGrabberImage_PTR().Pointer()
	}
	return nil
}

func (n *WindowGrabberImage) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *WindowGrabberImage) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewWindowGrabberImageFromPointer(ptr unsafe.Pointer) (n *WindowGrabberImage) {
	n = new(WindowGrabberImage)
	n.InitFromInternal(uintptr(ptr), "multimedia.WindowGrabberImage")
	return
}

func (ptr *WindowGrabberImage) DestroyWindowGrabberImage() {
}

func init() {
	internal.ConstructorTable["multimedia.QAbstractAudioDeviceInfo"] = NewQAbstractAudioDeviceInfoFromPointer
	internal.ConstructorTable["multimedia.QAbstractAudioInput"] = NewQAbstractAudioInputFromPointer
	internal.ConstructorTable["multimedia.QAbstractAudioOutput"] = NewQAbstractAudioOutputFromPointer
	internal.ConstructorTable["multimedia.QAbstractPlanarVideoBuffer"] = NewQAbstractPlanarVideoBufferFromPointer
	internal.ConstructorTable["multimedia.QAbstractVideoBuffer"] = NewQAbstractVideoBufferFromPointer
	internal.ConstructorTable["multimedia.QAbstractVideoFilter"] = NewQAbstractVideoFilterFromPointer
	internal.ConstructorTable["multimedia.QAbstractVideoSurface"] = NewQAbstractVideoSurfaceFromPointer
	internal.ConstructorTable["multimedia.QAudio"] = NewQAudioFromPointer
	internal.ConstructorTable["multimedia.QAudioBuffer"] = NewQAudioBufferFromPointer
	internal.ConstructorTable["multimedia.QAudioDecoder"] = NewQAudioDecoderFromPointer
	internal.ConstructorTable["multimedia.QAudioDecoderControl"] = NewQAudioDecoderControlFromPointer
	internal.ConstructorTable["multimedia.QAudioDeviceInfo"] = NewQAudioDeviceInfoFromPointer
	internal.ConstructorTable["multimedia.QAudioEncoderSettings"] = NewQAudioEncoderSettingsFromPointer
	internal.ConstructorTable["multimedia.QAudioEncoderSettingsControl"] = NewQAudioEncoderSettingsControlFromPointer
	internal.ConstructorTable["multimedia.QAudioFormat"] = NewQAudioFormatFromPointer
	internal.ConstructorTable["multimedia.QAudioInput"] = NewQAudioInputFromPointer
	internal.ConstructorTable["multimedia.QAudioInputSelectorControl"] = NewQAudioInputSelectorControlFromPointer
	internal.ConstructorTable["multimedia.QAudioOutput"] = NewQAudioOutputFromPointer
	internal.ConstructorTable["multimedia.QAudioOutputSelectorControl"] = NewQAudioOutputSelectorControlFromPointer
	internal.ConstructorTable["multimedia.QAudioProbe"] = NewQAudioProbeFromPointer
	internal.ConstructorTable["multimedia.QAudioRecorder"] = NewQAudioRecorderFromPointer
	internal.ConstructorTable["multimedia.QAudioRoleControl"] = NewQAudioRoleControlFromPointer
	internal.ConstructorTable["multimedia.QAudioSystemFactoryInterface"] = NewQAudioSystemFactoryInterfaceFromPointer
	internal.ConstructorTable["multimedia.QAudioSystemPlugin"] = NewQAudioSystemPluginFromPointer
	internal.ConstructorTable["multimedia.QCamera"] = NewQCameraFromPointer
	internal.ConstructorTable["multimedia.QCameraCaptureBufferFormatControl"] = NewQCameraCaptureBufferFormatControlFromPointer
	internal.ConstructorTable["multimedia.QCameraCaptureDestinationControl"] = NewQCameraCaptureDestinationControlFromPointer
	internal.ConstructorTable["multimedia.QCameraControl"] = NewQCameraControlFromPointer
	internal.ConstructorTable["multimedia.QCameraExposure"] = NewQCameraExposureFromPointer
	internal.ConstructorTable["multimedia.QCameraExposureControl"] = NewQCameraExposureControlFromPointer
	internal.ConstructorTable["multimedia.QCameraFeedbackControl"] = NewQCameraFeedbackControlFromPointer
	internal.ConstructorTable["multimedia.QCameraFlashControl"] = NewQCameraFlashControlFromPointer
	internal.ConstructorTable["multimedia.QCameraFocus"] = NewQCameraFocusFromPointer
	internal.ConstructorTable["multimedia.QCameraFocusControl"] = NewQCameraFocusControlFromPointer
	internal.ConstructorTable["multimedia.QCameraFocusZone"] = NewQCameraFocusZoneFromPointer
	internal.ConstructorTable["multimedia.QCameraImageCapture"] = NewQCameraImageCaptureFromPointer
	internal.ConstructorTable["multimedia.QCameraImageCaptureControl"] = NewQCameraImageCaptureControlFromPointer
	internal.ConstructorTable["multimedia.QCameraImageProcessing"] = NewQCameraImageProcessingFromPointer
	internal.ConstructorTable["multimedia.QCameraImageProcessingControl"] = NewQCameraImageProcessingControlFromPointer
	internal.ConstructorTable["multimedia.QCameraInfo"] = NewQCameraInfoFromPointer
	internal.ConstructorTable["multimedia.QCameraInfoControl"] = NewQCameraInfoControlFromPointer
	internal.ConstructorTable["multimedia.QCameraLocksControl"] = NewQCameraLocksControlFromPointer
	internal.ConstructorTable["multimedia.QCameraViewfinderSettings"] = NewQCameraViewfinderSettingsFromPointer
	internal.ConstructorTable["multimedia.QCameraViewfinderSettingsControl"] = NewQCameraViewfinderSettingsControlFromPointer
	internal.ConstructorTable["multimedia.QCameraViewfinderSettingsControl2"] = NewQCameraViewfinderSettingsControl2FromPointer
	internal.ConstructorTable["multimedia.QCameraZoomControl"] = NewQCameraZoomControlFromPointer
	internal.ConstructorTable["multimedia.QCustomAudioRoleControl"] = NewQCustomAudioRoleControlFromPointer
	internal.ConstructorTable["multimedia.QImageEncoderControl"] = NewQImageEncoderControlFromPointer
	internal.ConstructorTable["multimedia.QImageEncoderSettings"] = NewQImageEncoderSettingsFromPointer
	internal.ConstructorTable["multimedia.QMediaAudioProbeControl"] = NewQMediaAudioProbeControlFromPointer
	internal.ConstructorTable["multimedia.QMediaAvailabilityControl"] = NewQMediaAvailabilityControlFromPointer
	internal.ConstructorTable["multimedia.QMediaBindableInterface"] = NewQMediaBindableInterfaceFromPointer
	internal.ConstructorTable["multimedia.QMediaContainerControl"] = NewQMediaContainerControlFromPointer
	internal.ConstructorTable["multimedia.QMediaContent"] = NewQMediaContentFromPointer
	internal.ConstructorTable["multimedia.QMediaControl"] = NewQMediaControlFromPointer
	internal.ConstructorTable["multimedia.QMediaGaplessPlaybackControl"] = NewQMediaGaplessPlaybackControlFromPointer
	internal.ConstructorTable["multimedia.QMediaNetworkAccessControl"] = NewQMediaNetworkAccessControlFromPointer
	internal.ConstructorTable["multimedia.QMediaObject"] = NewQMediaObjectFromPointer
	internal.ConstructorTable["multimedia.QMediaPlayer"] = NewQMediaPlayerFromPointer
	internal.ConstructorTable["multimedia.QMediaPlayerControl"] = NewQMediaPlayerControlFromPointer
	internal.ConstructorTable["multimedia.QMediaPlaylist"] = NewQMediaPlaylistFromPointer
	internal.ConstructorTable["multimedia.QMediaRecorder"] = NewQMediaRecorderFromPointer
	internal.ConstructorTable["multimedia.QMediaRecorderControl"] = NewQMediaRecorderControlFromPointer
	internal.ConstructorTable["multimedia.QMediaResource"] = NewQMediaResourceFromPointer
	internal.ConstructorTable["multimedia.QMediaService"] = NewQMediaServiceFromPointer
	internal.ConstructorTable["multimedia.QMediaServiceCameraInfoInterface"] = NewQMediaServiceCameraInfoInterfaceFromPointer
	internal.ConstructorTable["multimedia.QMediaServiceDefaultDeviceInterface"] = NewQMediaServiceDefaultDeviceInterfaceFromPointer
	internal.ConstructorTable["multimedia.QMediaServiceFeaturesInterface"] = NewQMediaServiceFeaturesInterfaceFromPointer
	internal.ConstructorTable["multimedia.QMediaServiceProviderFactoryInterface"] = NewQMediaServiceProviderFactoryInterfaceFromPointer
	internal.ConstructorTable["multimedia.QMediaServiceProviderPlugin"] = NewQMediaServiceProviderPluginFromPointer
	internal.ConstructorTable["multimedia.QMediaServiceSupportedDevicesInterface"] = NewQMediaServiceSupportedDevicesInterfaceFromPointer
	internal.ConstructorTable["multimedia.QMediaServiceSupportedFormatsInterface"] = NewQMediaServiceSupportedFormatsInterfaceFromPointer
	internal.ConstructorTable["multimedia.QMediaStreamsControl"] = NewQMediaStreamsControlFromPointer
	internal.ConstructorTable["multimedia.QMediaTimeInterval"] = NewQMediaTimeIntervalFromPointer
	internal.ConstructorTable["multimedia.QMediaTimeRange"] = NewQMediaTimeRangeFromPointer
	internal.ConstructorTable["multimedia.QMediaVideoProbeControl"] = NewQMediaVideoProbeControlFromPointer
	internal.ConstructorTable["multimedia.QMetaDataReaderControl"] = NewQMetaDataReaderControlFromPointer
	internal.ConstructorTable["multimedia.QMetaDataWriterControl"] = NewQMetaDataWriterControlFromPointer
	internal.ConstructorTable["multimedia.QMultimedia"] = NewQMultimediaFromPointer
	internal.ConstructorTable["multimedia.QRadioData"] = NewQRadioDataFromPointer
	internal.ConstructorTable["multimedia.QRadioDataControl"] = NewQRadioDataControlFromPointer
	internal.ConstructorTable["multimedia.QRadioTuner"] = NewQRadioTunerFromPointer
	internal.ConstructorTable["multimedia.QRadioTunerControl"] = NewQRadioTunerControlFromPointer
	internal.ConstructorTable["multimedia.QSound"] = NewQSoundFromPointer
	internal.ConstructorTable["multimedia.QSoundEffect"] = NewQSoundEffectFromPointer
	internal.ConstructorTable["multimedia.QVideoDeviceSelectorControl"] = NewQVideoDeviceSelectorControlFromPointer
	internal.ConstructorTable["multimedia.QVideoEncoderSettings"] = NewQVideoEncoderSettingsFromPointer
	internal.ConstructorTable["multimedia.QVideoEncoderSettingsControl"] = NewQVideoEncoderSettingsControlFromPointer
	internal.ConstructorTable["multimedia.QVideoFilterRunnable"] = NewQVideoFilterRunnableFromPointer
	internal.ConstructorTable["multimedia.QVideoFrame"] = NewQVideoFrameFromPointer
	internal.ConstructorTable["multimedia.QVideoProbe"] = NewQVideoProbeFromPointer
	internal.ConstructorTable["multimedia.QVideoRendererControl"] = NewQVideoRendererControlFromPointer
	internal.ConstructorTable["multimedia.QVideoSurfaceFormat"] = NewQVideoSurfaceFormatFromPointer
	internal.ConstructorTable["multimedia.QVideoWidget"] = NewQVideoWidgetFromPointer
	internal.ConstructorTable["multimedia.QVideoWidgetControl"] = NewQVideoWidgetControlFromPointer
	internal.ConstructorTable["multimedia.QVideoWindowControl"] = NewQVideoWindowControlFromPointer
}
