// +build !minimal

package widgets

import (
	"github.com/therecipe/qt/core"
	"github.com/therecipe/qt/gui"
	"github.com/therecipe/qt/internal"
	"github.com/therecipe/qt/interop/gow"
	"unsafe"
)

type QAbstractButton struct {
	QWidget
}

type QAbstractButton_ITF interface {
	QWidget_ITF
	QAbstractButton_PTR() *QAbstractButton
}

func (ptr *QAbstractButton) QAbstractButton_PTR() *QAbstractButton {
	return ptr
}

func (ptr *QAbstractButton) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractButton) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractButton(ptr QAbstractButton_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractButton_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractButton) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractButton) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQAbstractButtonFromPointer(ptr unsafe.Pointer) (n *QAbstractButton) {
	n = new(QAbstractButton)
	n.InitFromInternal(uintptr(ptr), "widgets.QAbstractButton")
	return
}
func NewQAbstractButton(parent QWidget_ITF) *QAbstractButton {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQAbstractButton", "", parent}).(*QAbstractButton)
}

func (ptr *QAbstractButton) ConnectAnimateClick(f func(msec int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAnimateClick", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractButton) DisconnectAnimateClick() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAnimateClick"})
}

func (ptr *QAbstractButton) AnimateClick(msec int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AnimateClick", msec})
}

func (ptr *QAbstractButton) AnimateClickDefault(msec int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AnimateClickDefault", msec})
}

func (ptr *QAbstractButton) AutoExclusive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoExclusive"}).(bool)
}

func (ptr *QAbstractButton) AutoRepeat() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoRepeat"}).(bool)
}

func (ptr *QAbstractButton) AutoRepeatDelay() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoRepeatDelay"}).(float64))
}

func (ptr *QAbstractButton) AutoRepeatInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoRepeatInterval"}).(float64))
}

func (ptr *QAbstractButton) ConnectCheckStateSet(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCheckStateSet", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractButton) DisconnectCheckStateSet() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCheckStateSet"})
}

func (ptr *QAbstractButton) CheckStateSet() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckStateSet"})
}

func (ptr *QAbstractButton) CheckStateSetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckStateSetDefault"})
}

func (ptr *QAbstractButton) ConnectClick(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClick", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractButton) DisconnectClick() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClick"})
}

func (ptr *QAbstractButton) Click() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Click"})
}

func (ptr *QAbstractButton) ClickDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClickDefault"})
}

func (ptr *QAbstractButton) ConnectClicked(f func(checked bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractButton) DisconnectClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClicked"})
}

func (ptr *QAbstractButton) Clicked(checked bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clicked", checked})
}

func (ptr *QAbstractButton) Group() *QButtonGroup {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Group"}).(*QButtonGroup)
}

func (ptr *QAbstractButton) ConnectHitButton(f func(pos *core.QPoint) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHitButton", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractButton) DisconnectHitButton() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHitButton"})
}

func (ptr *QAbstractButton) HitButton(pos core.QPoint_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HitButton", pos}).(bool)
}

func (ptr *QAbstractButton) HitButtonDefault(pos core.QPoint_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HitButtonDefault", pos}).(bool)
}

func (ptr *QAbstractButton) Icon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*gui.QIcon)
}

func (ptr *QAbstractButton) IconSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconSize"}).(*core.QSize)
}

func (ptr *QAbstractButton) IsCheckable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCheckable"}).(bool)
}

func (ptr *QAbstractButton) IsChecked() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsChecked"}).(bool)
}

func (ptr *QAbstractButton) IsDown() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDown"}).(bool)
}

func (ptr *QAbstractButton) ConnectNextCheckState(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNextCheckState", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractButton) DisconnectNextCheckState() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNextCheckState"})
}

func (ptr *QAbstractButton) NextCheckState() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NextCheckState"})
}

func (ptr *QAbstractButton) NextCheckStateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NextCheckStateDefault"})
}

func (ptr *QAbstractButton) ConnectPaintEvent(f func(e *gui.QPaintEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaintEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractButton) DisconnectPaintEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaintEvent"})
}

func (ptr *QAbstractButton) PaintEvent(e gui.QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEvent", e})
}

func (ptr *QAbstractButton) ConnectPressed(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPressed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractButton) DisconnectPressed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPressed"})
}

func (ptr *QAbstractButton) Pressed() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pressed"})
}

func (ptr *QAbstractButton) ConnectReleased(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReleased", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractButton) DisconnectReleased() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReleased"})
}

func (ptr *QAbstractButton) Released() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Released"})
}

func (ptr *QAbstractButton) SetAutoExclusive(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoExclusive", vbo})
}

func (ptr *QAbstractButton) SetAutoRepeat(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoRepeat", vbo})
}

func (ptr *QAbstractButton) SetAutoRepeatDelay(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoRepeatDelay", vin})
}

func (ptr *QAbstractButton) SetAutoRepeatInterval(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoRepeatInterval", vin})
}

func (ptr *QAbstractButton) SetCheckable(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckable", vbo})
}

func (ptr *QAbstractButton) ConnectSetChecked(f func(vbo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetChecked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractButton) DisconnectSetChecked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetChecked"})
}

func (ptr *QAbstractButton) SetChecked(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChecked", vbo})
}

func (ptr *QAbstractButton) SetCheckedDefault(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckedDefault", vbo})
}

func (ptr *QAbstractButton) SetDown(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDown", vbo})
}

func (ptr *QAbstractButton) SetIcon(icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", icon})
}

func (ptr *QAbstractButton) ConnectSetIconSize(f func(size *core.QSize)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetIconSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractButton) DisconnectSetIconSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetIconSize"})
}

func (ptr *QAbstractButton) SetIconSize(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconSize", size})
}

func (ptr *QAbstractButton) SetIconSizeDefault(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconSizeDefault", size})
}

func (ptr *QAbstractButton) SetShortcut(key gui.QKeySequence_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShortcut", key})
}

func (ptr *QAbstractButton) SetText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", text})
}

func (ptr *QAbstractButton) Shortcut() *gui.QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shortcut"}).(*gui.QKeySequence)
}

func (ptr *QAbstractButton) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QAbstractButton) ConnectToggle(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectToggle", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractButton) DisconnectToggle() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectToggle"})
}

func (ptr *QAbstractButton) Toggle() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Toggle"})
}

func (ptr *QAbstractButton) ToggleDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToggleDefault"})
}

func (ptr *QAbstractButton) ConnectToggled(f func(checked bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectToggled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractButton) DisconnectToggled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectToggled"})
}

func (ptr *QAbstractButton) Toggled(checked bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Toggled", checked})
}

func (ptr *QAbstractButton) ConnectDestroyQAbstractButton(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractButton", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractButton) DisconnectDestroyQAbstractButton() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractButton"})
}

func (ptr *QAbstractButton) DestroyQAbstractButton() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractButton"})
}

func (ptr *QAbstractButton) DestroyQAbstractButtonDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractButtonDefault"})
}

type QAbstractGraphicsShapeItem struct {
	QGraphicsItem
}

type QAbstractGraphicsShapeItem_ITF interface {
	QGraphicsItem_ITF
	QAbstractGraphicsShapeItem_PTR() *QAbstractGraphicsShapeItem
}

func (ptr *QAbstractGraphicsShapeItem) QAbstractGraphicsShapeItem_PTR() *QAbstractGraphicsShapeItem {
	return ptr
}

func (ptr *QAbstractGraphicsShapeItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsItem_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractGraphicsShapeItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsItem_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractGraphicsShapeItem(ptr QAbstractGraphicsShapeItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractGraphicsShapeItem_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractGraphicsShapeItem) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractGraphicsShapeItem) ClassNameInternalF() string {
	return n.QGraphicsItem_PTR().ClassNameInternalF()
}

func NewQAbstractGraphicsShapeItemFromPointer(ptr unsafe.Pointer) (n *QAbstractGraphicsShapeItem) {
	n = new(QAbstractGraphicsShapeItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QAbstractGraphicsShapeItem")
	return
}
func NewQAbstractGraphicsShapeItem(parent QGraphicsItem_ITF) *QAbstractGraphicsShapeItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQAbstractGraphicsShapeItem", "", parent}).(*QAbstractGraphicsShapeItem)
}

func (ptr *QAbstractGraphicsShapeItem) Brush() *gui.QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Brush"}).(*gui.QBrush)
}

func (ptr *QAbstractGraphicsShapeItem) Pen() *gui.QPen {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pen"}).(*gui.QPen)
}

func (ptr *QAbstractGraphicsShapeItem) SetBrush(brush gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBrush", brush})
}

func (ptr *QAbstractGraphicsShapeItem) SetPen(pen gui.QPen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPen", pen})
}

func (ptr *QAbstractGraphicsShapeItem) ConnectDestroyQAbstractGraphicsShapeItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractGraphicsShapeItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractGraphicsShapeItem) DisconnectDestroyQAbstractGraphicsShapeItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractGraphicsShapeItem"})
}

func (ptr *QAbstractGraphicsShapeItem) DestroyQAbstractGraphicsShapeItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractGraphicsShapeItem"})
}

func (ptr *QAbstractGraphicsShapeItem) DestroyQAbstractGraphicsShapeItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractGraphicsShapeItemDefault"})
}

func (ptr *QAbstractGraphicsShapeItem) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QAbstractGraphicsShapeItem) BoundingRectDefault() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRectDefault"}).(*core.QRectF)
}

func (ptr *QAbstractGraphicsShapeItem) Paint(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, option, widget})
}

func (ptr *QAbstractGraphicsShapeItem) PaintDefault(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDefault", painter, option, widget})
}

type QAbstractItemDelegate struct {
	core.QObject
}

type QAbstractItemDelegate_ITF interface {
	core.QObject_ITF
	QAbstractItemDelegate_PTR() *QAbstractItemDelegate
}

func (ptr *QAbstractItemDelegate) QAbstractItemDelegate_PTR() *QAbstractItemDelegate {
	return ptr
}

func (ptr *QAbstractItemDelegate) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractItemDelegate) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractItemDelegate(ptr QAbstractItemDelegate_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemDelegate_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractItemDelegate) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractItemDelegate) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQAbstractItemDelegateFromPointer(ptr unsafe.Pointer) (n *QAbstractItemDelegate) {
	n = new(QAbstractItemDelegate)
	n.InitFromInternal(uintptr(ptr), "widgets.QAbstractItemDelegate")
	return
}

//go:generate stringer -type=QAbstractItemDelegate__EndEditHint
//QAbstractItemDelegate::EndEditHint
type QAbstractItemDelegate__EndEditHint int64

const (
	QAbstractItemDelegate__NoHint           QAbstractItemDelegate__EndEditHint = QAbstractItemDelegate__EndEditHint(0)
	QAbstractItemDelegate__EditNextItem     QAbstractItemDelegate__EndEditHint = QAbstractItemDelegate__EndEditHint(1)
	QAbstractItemDelegate__EditPreviousItem QAbstractItemDelegate__EndEditHint = QAbstractItemDelegate__EndEditHint(2)
	QAbstractItemDelegate__SubmitModelCache QAbstractItemDelegate__EndEditHint = QAbstractItemDelegate__EndEditHint(3)
	QAbstractItemDelegate__RevertModelCache QAbstractItemDelegate__EndEditHint = QAbstractItemDelegate__EndEditHint(4)
)

func NewQAbstractItemDelegate(parent core.QObject_ITF) *QAbstractItemDelegate {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQAbstractItemDelegate", "", parent}).(*QAbstractItemDelegate)
}

func (ptr *QAbstractItemDelegate) ConnectCloseEditor(f func(editor *QWidget, hint QAbstractItemDelegate__EndEditHint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCloseEditor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemDelegate) DisconnectCloseEditor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCloseEditor"})
}

func (ptr *QAbstractItemDelegate) CloseEditor(editor QWidget_ITF, hint QAbstractItemDelegate__EndEditHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloseEditor", editor, hint})
}

func (ptr *QAbstractItemDelegate) ConnectCommitData(f func(editor *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCommitData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemDelegate) DisconnectCommitData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCommitData"})
}

func (ptr *QAbstractItemDelegate) CommitData(editor QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CommitData", editor})
}

func (ptr *QAbstractItemDelegate) ConnectCreateEditor(f func(parent *QWidget, option *QStyleOptionViewItem, index *core.QModelIndex) *QWidget) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreateEditor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemDelegate) DisconnectCreateEditor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreateEditor"})
}

func (ptr *QAbstractItemDelegate) CreateEditor(parent QWidget_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateEditor", parent, option, index}).(*QWidget)
}

func (ptr *QAbstractItemDelegate) CreateEditorDefault(parent QWidget_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateEditorDefault", parent, option, index}).(*QWidget)
}

func (ptr *QAbstractItemDelegate) ConnectDestroyEditor(f func(editor *QWidget, index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyEditor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemDelegate) DisconnectDestroyEditor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyEditor"})
}

func (ptr *QAbstractItemDelegate) DestroyEditor(editor QWidget_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyEditor", editor, index})
}

func (ptr *QAbstractItemDelegate) DestroyEditorDefault(editor QWidget_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyEditorDefault", editor, index})
}

func (ptr *QAbstractItemDelegate) ConnectEditorEvent(f func(event *core.QEvent, model *core.QAbstractItemModel, option *QStyleOptionViewItem, index *core.QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEditorEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemDelegate) DisconnectEditorEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEditorEvent"})
}

func (ptr *QAbstractItemDelegate) EditorEvent(event core.QEvent_ITF, model core.QAbstractItemModel_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EditorEvent", event, model, option, index}).(bool)
}

func (ptr *QAbstractItemDelegate) EditorEventDefault(event core.QEvent_ITF, model core.QAbstractItemModel_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EditorEventDefault", event, model, option, index}).(bool)
}

func (ptr *QAbstractItemDelegate) ConnectHelpEvent(f func(event *gui.QHelpEvent, view *QAbstractItemView, option *QStyleOptionViewItem, index *core.QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHelpEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemDelegate) DisconnectHelpEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHelpEvent"})
}

func (ptr *QAbstractItemDelegate) HelpEvent(event gui.QHelpEvent_ITF, view QAbstractItemView_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HelpEvent", event, view, option, index}).(bool)
}

func (ptr *QAbstractItemDelegate) HelpEventDefault(event gui.QHelpEvent_ITF, view QAbstractItemView_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HelpEventDefault", event, view, option, index}).(bool)
}

func (ptr *QAbstractItemDelegate) ConnectPaint(f func(painter *gui.QPainter, option *QStyleOptionViewItem, index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemDelegate) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QAbstractItemDelegate) Paint(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, option, index})
}

func (ptr *QAbstractItemDelegate) ConnectSetEditorData(f func(editor *QWidget, index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetEditorData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemDelegate) DisconnectSetEditorData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetEditorData"})
}

func (ptr *QAbstractItemDelegate) SetEditorData(editor QWidget_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEditorData", editor, index})
}

func (ptr *QAbstractItemDelegate) SetEditorDataDefault(editor QWidget_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEditorDataDefault", editor, index})
}

func (ptr *QAbstractItemDelegate) ConnectSetModelData(f func(editor *QWidget, model *core.QAbstractItemModel, index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetModelData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemDelegate) DisconnectSetModelData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetModelData"})
}

func (ptr *QAbstractItemDelegate) SetModelData(editor QWidget_ITF, model core.QAbstractItemModel_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModelData", editor, model, index})
}

func (ptr *QAbstractItemDelegate) SetModelDataDefault(editor QWidget_ITF, model core.QAbstractItemModel_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModelDataDefault", editor, model, index})
}

func (ptr *QAbstractItemDelegate) ConnectSizeHint(f func(option *QStyleOptionViewItem, index *core.QModelIndex) *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemDelegate) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QAbstractItemDelegate) SizeHint(option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint", option, index}).(*core.QSize)
}

func (ptr *QAbstractItemDelegate) ConnectSizeHintChanged(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHintChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemDelegate) DisconnectSizeHintChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHintChanged"})
}

func (ptr *QAbstractItemDelegate) SizeHintChanged(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintChanged", index})
}

func (ptr *QAbstractItemDelegate) ConnectUpdateEditorGeometry(f func(editor *QWidget, option *QStyleOptionViewItem, index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateEditorGeometry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemDelegate) DisconnectUpdateEditorGeometry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateEditorGeometry"})
}

func (ptr *QAbstractItemDelegate) UpdateEditorGeometry(editor QWidget_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateEditorGeometry", editor, option, index})
}

func (ptr *QAbstractItemDelegate) UpdateEditorGeometryDefault(editor QWidget_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateEditorGeometryDefault", editor, option, index})
}

func (ptr *QAbstractItemDelegate) ConnectDestroyQAbstractItemDelegate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractItemDelegate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemDelegate) DisconnectDestroyQAbstractItemDelegate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractItemDelegate"})
}

func (ptr *QAbstractItemDelegate) DestroyQAbstractItemDelegate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractItemDelegate"})
}

func (ptr *QAbstractItemDelegate) DestroyQAbstractItemDelegateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractItemDelegateDefault"})
}

func (ptr *QAbstractItemDelegate) __paintingRoles_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__paintingRoles_atList", i}).(float64))
}

func (ptr *QAbstractItemDelegate) __paintingRoles_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__paintingRoles_setList", i})
}

func (ptr *QAbstractItemDelegate) __paintingRoles_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__paintingRoles_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemDelegate) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QAbstractItemDelegate) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QAbstractItemDelegate) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemDelegate) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QAbstractItemDelegate) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QAbstractItemDelegate) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemDelegate) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QAbstractItemDelegate) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QAbstractItemDelegate) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemDelegate) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QAbstractItemDelegate) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QAbstractItemDelegate) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemDelegate) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QAbstractItemDelegate) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QAbstractItemDelegate) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QAbstractItemDelegate) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QAbstractItemDelegate) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QAbstractItemDelegate) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QAbstractItemDelegate) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QAbstractItemDelegate) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QAbstractItemDelegate) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QAbstractItemView struct {
	QAbstractScrollArea
}

type QAbstractItemView_ITF interface {
	QAbstractScrollArea_ITF
	QAbstractItemView_PTR() *QAbstractItemView
}

func (ptr *QAbstractItemView) QAbstractItemView_PTR() *QAbstractItemView {
	return ptr
}

func (ptr *QAbstractItemView) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractScrollArea_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractItemView) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractScrollArea_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractItemView(ptr QAbstractItemView_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemView_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractItemView) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractScrollArea_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractItemView) ClassNameInternalF() string {
	return n.QAbstractScrollArea_PTR().ClassNameInternalF()
}

func NewQAbstractItemViewFromPointer(ptr unsafe.Pointer) (n *QAbstractItemView) {
	n = new(QAbstractItemView)
	n.InitFromInternal(uintptr(ptr), "widgets.QAbstractItemView")
	return
}

//go:generate stringer -type=QAbstractItemView__SelectionMode
//QAbstractItemView::SelectionMode
type QAbstractItemView__SelectionMode int64

const (
	QAbstractItemView__NoSelection         QAbstractItemView__SelectionMode = QAbstractItemView__SelectionMode(0)
	QAbstractItemView__SingleSelection     QAbstractItemView__SelectionMode = QAbstractItemView__SelectionMode(1)
	QAbstractItemView__MultiSelection      QAbstractItemView__SelectionMode = QAbstractItemView__SelectionMode(2)
	QAbstractItemView__ExtendedSelection   QAbstractItemView__SelectionMode = QAbstractItemView__SelectionMode(3)
	QAbstractItemView__ContiguousSelection QAbstractItemView__SelectionMode = QAbstractItemView__SelectionMode(4)
)

//go:generate stringer -type=QAbstractItemView__SelectionBehavior
//QAbstractItemView::SelectionBehavior
type QAbstractItemView__SelectionBehavior int64

const (
	QAbstractItemView__SelectItems   QAbstractItemView__SelectionBehavior = QAbstractItemView__SelectionBehavior(0)
	QAbstractItemView__SelectRows    QAbstractItemView__SelectionBehavior = QAbstractItemView__SelectionBehavior(1)
	QAbstractItemView__SelectColumns QAbstractItemView__SelectionBehavior = QAbstractItemView__SelectionBehavior(2)
)

//go:generate stringer -type=QAbstractItemView__ScrollHint
//QAbstractItemView::ScrollHint
type QAbstractItemView__ScrollHint int64

const (
	QAbstractItemView__EnsureVisible    QAbstractItemView__ScrollHint = QAbstractItemView__ScrollHint(0)
	QAbstractItemView__PositionAtTop    QAbstractItemView__ScrollHint = QAbstractItemView__ScrollHint(1)
	QAbstractItemView__PositionAtBottom QAbstractItemView__ScrollHint = QAbstractItemView__ScrollHint(2)
	QAbstractItemView__PositionAtCenter QAbstractItemView__ScrollHint = QAbstractItemView__ScrollHint(3)
)

//go:generate stringer -type=QAbstractItemView__EditTrigger
//QAbstractItemView::EditTrigger
type QAbstractItemView__EditTrigger int64

const (
	QAbstractItemView__NoEditTriggers  QAbstractItemView__EditTrigger = QAbstractItemView__EditTrigger(0)
	QAbstractItemView__CurrentChanged  QAbstractItemView__EditTrigger = QAbstractItemView__EditTrigger(1)
	QAbstractItemView__DoubleClicked   QAbstractItemView__EditTrigger = QAbstractItemView__EditTrigger(2)
	QAbstractItemView__SelectedClicked QAbstractItemView__EditTrigger = QAbstractItemView__EditTrigger(4)
	QAbstractItemView__EditKeyPressed  QAbstractItemView__EditTrigger = QAbstractItemView__EditTrigger(8)
	QAbstractItemView__AnyKeyPressed   QAbstractItemView__EditTrigger = QAbstractItemView__EditTrigger(16)
	QAbstractItemView__AllEditTriggers QAbstractItemView__EditTrigger = QAbstractItemView__EditTrigger(31)
)

//go:generate stringer -type=QAbstractItemView__ScrollMode
//QAbstractItemView::ScrollMode
type QAbstractItemView__ScrollMode int64

const (
	QAbstractItemView__ScrollPerItem  QAbstractItemView__ScrollMode = QAbstractItemView__ScrollMode(0)
	QAbstractItemView__ScrollPerPixel QAbstractItemView__ScrollMode = QAbstractItemView__ScrollMode(1)
)

//go:generate stringer -type=QAbstractItemView__DragDropMode
//QAbstractItemView::DragDropMode
type QAbstractItemView__DragDropMode int64

const (
	QAbstractItemView__NoDragDrop   QAbstractItemView__DragDropMode = QAbstractItemView__DragDropMode(0)
	QAbstractItemView__DragOnly     QAbstractItemView__DragDropMode = QAbstractItemView__DragDropMode(1)
	QAbstractItemView__DropOnly     QAbstractItemView__DragDropMode = QAbstractItemView__DragDropMode(2)
	QAbstractItemView__DragDrop     QAbstractItemView__DragDropMode = QAbstractItemView__DragDropMode(3)
	QAbstractItemView__InternalMove QAbstractItemView__DragDropMode = QAbstractItemView__DragDropMode(4)
)

//go:generate stringer -type=QAbstractItemView__CursorAction
//QAbstractItemView::CursorAction
type QAbstractItemView__CursorAction int64

const (
	QAbstractItemView__MoveUp       QAbstractItemView__CursorAction = QAbstractItemView__CursorAction(0)
	QAbstractItemView__MoveDown     QAbstractItemView__CursorAction = QAbstractItemView__CursorAction(1)
	QAbstractItemView__MoveLeft     QAbstractItemView__CursorAction = QAbstractItemView__CursorAction(2)
	QAbstractItemView__MoveRight    QAbstractItemView__CursorAction = QAbstractItemView__CursorAction(3)
	QAbstractItemView__MoveHome     QAbstractItemView__CursorAction = QAbstractItemView__CursorAction(4)
	QAbstractItemView__MoveEnd      QAbstractItemView__CursorAction = QAbstractItemView__CursorAction(5)
	QAbstractItemView__MovePageUp   QAbstractItemView__CursorAction = QAbstractItemView__CursorAction(6)
	QAbstractItemView__MovePageDown QAbstractItemView__CursorAction = QAbstractItemView__CursorAction(7)
	QAbstractItemView__MoveNext     QAbstractItemView__CursorAction = QAbstractItemView__CursorAction(8)
	QAbstractItemView__MovePrevious QAbstractItemView__CursorAction = QAbstractItemView__CursorAction(9)
)

//go:generate stringer -type=QAbstractItemView__State
//QAbstractItemView::State
type QAbstractItemView__State int64

const (
	QAbstractItemView__NoState            QAbstractItemView__State = QAbstractItemView__State(0)
	QAbstractItemView__DraggingState      QAbstractItemView__State = QAbstractItemView__State(1)
	QAbstractItemView__DragSelectingState QAbstractItemView__State = QAbstractItemView__State(2)
	QAbstractItemView__EditingState       QAbstractItemView__State = QAbstractItemView__State(3)
	QAbstractItemView__ExpandingState     QAbstractItemView__State = QAbstractItemView__State(4)
	QAbstractItemView__CollapsingState    QAbstractItemView__State = QAbstractItemView__State(5)
	QAbstractItemView__AnimatingState     QAbstractItemView__State = QAbstractItemView__State(6)
)

//go:generate stringer -type=QAbstractItemView__DropIndicatorPosition
//QAbstractItemView::DropIndicatorPosition
type QAbstractItemView__DropIndicatorPosition int64

const (
	QAbstractItemView__OnItem     QAbstractItemView__DropIndicatorPosition = QAbstractItemView__DropIndicatorPosition(0)
	QAbstractItemView__AboveItem  QAbstractItemView__DropIndicatorPosition = QAbstractItemView__DropIndicatorPosition(1)
	QAbstractItemView__BelowItem  QAbstractItemView__DropIndicatorPosition = QAbstractItemView__DropIndicatorPosition(2)
	QAbstractItemView__OnViewport QAbstractItemView__DropIndicatorPosition = QAbstractItemView__DropIndicatorPosition(3)
)

func NewQAbstractItemView(parent QWidget_ITF) *QAbstractItemView {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQAbstractItemView", "", parent}).(*QAbstractItemView)
}

func (ptr *QAbstractItemView) ConnectActivated(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActivated"})
}

func (ptr *QAbstractItemView) Activated(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Activated", index})
}

func (ptr *QAbstractItemView) AlternatingRowColors() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AlternatingRowColors"}).(bool)
}

func (ptr *QAbstractItemView) AutoScrollMargin() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoScrollMargin"}).(float64))
}

func (ptr *QAbstractItemView) ConnectClearSelection(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClearSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectClearSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClearSelection"})
}

func (ptr *QAbstractItemView) ClearSelection() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearSelection"})
}

func (ptr *QAbstractItemView) ClearSelectionDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearSelectionDefault"})
}

func (ptr *QAbstractItemView) ConnectClicked(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClicked"})
}

func (ptr *QAbstractItemView) Clicked(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clicked", index})
}

func (ptr *QAbstractItemView) ConnectCloseEditor(f func(editor *QWidget, hint QAbstractItemDelegate__EndEditHint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCloseEditor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectCloseEditor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCloseEditor"})
}

func (ptr *QAbstractItemView) CloseEditor(editor QWidget_ITF, hint QAbstractItemDelegate__EndEditHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloseEditor", editor, hint})
}

func (ptr *QAbstractItemView) CloseEditorDefault(editor QWidget_ITF, hint QAbstractItemDelegate__EndEditHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloseEditorDefault", editor, hint})
}

func (ptr *QAbstractItemView) ClosePersistentEditor(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClosePersistentEditor", index})
}

func (ptr *QAbstractItemView) ConnectCommitData(f func(editor *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCommitData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectCommitData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCommitData"})
}

func (ptr *QAbstractItemView) CommitData(editor QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CommitData", editor})
}

func (ptr *QAbstractItemView) CommitDataDefault(editor QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CommitDataDefault", editor})
}

func (ptr *QAbstractItemView) ConnectCurrentChanged(f func(current *core.QModelIndex, previous *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectCurrentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentChanged"})
}

func (ptr *QAbstractItemView) CurrentChanged(current core.QModelIndex_ITF, previous core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChanged", current, previous})
}

func (ptr *QAbstractItemView) CurrentChangedDefault(current core.QModelIndex_ITF, previous core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChangedDefault", current, previous})
}

func (ptr *QAbstractItemView) CurrentIndex() *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentIndex"}).(*core.QModelIndex)
}

func (ptr *QAbstractItemView) ConnectDataChanged(f func(topLeft *core.QModelIndex, bottomRight *core.QModelIndex, roles []int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDataChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectDataChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDataChanged"})
}

func (ptr *QAbstractItemView) DataChanged(topLeft core.QModelIndex_ITF, bottomRight core.QModelIndex_ITF, roles []int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataChanged", topLeft, bottomRight, roles})
}

func (ptr *QAbstractItemView) DataChangedDefault(topLeft core.QModelIndex_ITF, bottomRight core.QModelIndex_ITF, roles []int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataChangedDefault", topLeft, bottomRight, roles})
}

func (ptr *QAbstractItemView) DefaultDropAction() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultDropAction"}).(float64))
}

func (ptr *QAbstractItemView) DirtyRegionOffset() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DirtyRegionOffset"}).(*core.QPoint)
}

func (ptr *QAbstractItemView) ConnectDoubleClicked(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDoubleClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectDoubleClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDoubleClicked"})
}

func (ptr *QAbstractItemView) DoubleClicked(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoubleClicked", index})
}

func (ptr *QAbstractItemView) DragDropMode() QAbstractItemView__DragDropMode {

	return QAbstractItemView__DragDropMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragDropMode"}).(float64))
}

func (ptr *QAbstractItemView) DragDropOverwriteMode() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragDropOverwriteMode"}).(bool)
}

func (ptr *QAbstractItemView) DragEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragEnabled"}).(bool)
}

func (ptr *QAbstractItemView) DropIndicatorPosition() QAbstractItemView__DropIndicatorPosition {

	return QAbstractItemView__DropIndicatorPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropIndicatorPosition"}).(float64))
}

func (ptr *QAbstractItemView) ConnectEdit(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEdit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectEdit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEdit"})
}

func (ptr *QAbstractItemView) Edit(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Edit", index})
}

func (ptr *QAbstractItemView) EditDefault(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EditDefault", index})
}

func (ptr *QAbstractItemView) ConnectEdit2(f func(index *core.QModelIndex, trigger QAbstractItemView__EditTrigger, event *core.QEvent) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEdit2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectEdit2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEdit2"})
}

func (ptr *QAbstractItemView) Edit2(index core.QModelIndex_ITF, trigger QAbstractItemView__EditTrigger, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Edit2", index, trigger, event}).(bool)
}

func (ptr *QAbstractItemView) Edit2Default(index core.QModelIndex_ITF, trigger QAbstractItemView__EditTrigger, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Edit2Default", index, trigger, event}).(bool)
}

func (ptr *QAbstractItemView) EditTriggers() QAbstractItemView__EditTrigger {

	return QAbstractItemView__EditTrigger(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EditTriggers"}).(float64))
}

func (ptr *QAbstractItemView) ConnectEditorDestroyed(f func(editor *core.QObject)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEditorDestroyed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectEditorDestroyed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEditorDestroyed"})
}

func (ptr *QAbstractItemView) EditorDestroyed(editor core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EditorDestroyed", editor})
}

func (ptr *QAbstractItemView) EditorDestroyedDefault(editor core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EditorDestroyedDefault", editor})
}

func (ptr *QAbstractItemView) ConnectEntered(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEntered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectEntered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEntered"})
}

func (ptr *QAbstractItemView) Entered(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Entered", index})
}

func (ptr *QAbstractItemView) ExecuteDelayedItemsLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExecuteDelayedItemsLayout"})
}

func (ptr *QAbstractItemView) HasAutoScroll() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasAutoScroll"}).(bool)
}

func (ptr *QAbstractItemView) ConnectHorizontalOffset(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHorizontalOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectHorizontalOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHorizontalOffset"})
}

func (ptr *QAbstractItemView) HorizontalOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalOffset"}).(float64))
}

func (ptr *QAbstractItemView) HorizontalScrollMode() QAbstractItemView__ScrollMode {

	return QAbstractItemView__ScrollMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalScrollMode"}).(float64))
}

func (ptr *QAbstractItemView) IconSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconSize"}).(*core.QSize)
}

func (ptr *QAbstractItemView) ConnectIconSizeChanged(f func(size *core.QSize)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIconSizeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectIconSizeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIconSizeChanged"})
}

func (ptr *QAbstractItemView) IconSizeChanged(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconSizeChanged", size})
}

func (ptr *QAbstractItemView) ConnectIndexAt(f func(point *core.QPoint) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndexAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectIndexAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndexAt"})
}

func (ptr *QAbstractItemView) IndexAt(point core.QPoint_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexAt", point}).(*core.QModelIndex)
}

func (ptr *QAbstractItemView) IndexWidget(index core.QModelIndex_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexWidget", index}).(*QWidget)
}

func (ptr *QAbstractItemView) ConnectIsIndexHidden(f func(index *core.QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsIndexHidden", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectIsIndexHidden() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsIndexHidden"})
}

func (ptr *QAbstractItemView) IsIndexHidden(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIndexHidden", index}).(bool)
}

func (ptr *QAbstractItemView) IsPersistentEditorOpen(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsPersistentEditorOpen", index}).(bool)
}

func (ptr *QAbstractItemView) ItemDelegate() *QAbstractItemDelegate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemDelegate"}).(*QAbstractItemDelegate)
}

func (ptr *QAbstractItemView) ItemDelegate2(index core.QModelIndex_ITF) *QAbstractItemDelegate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemDelegate2", index}).(*QAbstractItemDelegate)
}

func (ptr *QAbstractItemView) ItemDelegateForColumn(column int) *QAbstractItemDelegate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemDelegateForColumn", column}).(*QAbstractItemDelegate)
}

func (ptr *QAbstractItemView) ItemDelegateForRow(row int) *QAbstractItemDelegate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemDelegateForRow", row}).(*QAbstractItemDelegate)
}

func (ptr *QAbstractItemView) ConnectKeyboardSearch(f func(search string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectKeyboardSearch", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectKeyboardSearch() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectKeyboardSearch"})
}

func (ptr *QAbstractItemView) KeyboardSearch(search string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyboardSearch", search})
}

func (ptr *QAbstractItemView) KeyboardSearchDefault(search string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyboardSearchDefault", search})
}

func (ptr *QAbstractItemView) Model() *core.QAbstractItemModel {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Model"}).(*core.QAbstractItemModel)
}

func (ptr *QAbstractItemView) ConnectMoveCursor(f func(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMoveCursor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectMoveCursor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMoveCursor"})
}

func (ptr *QAbstractItemView) MoveCursor(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCursor", cursorAction, modifiers}).(*core.QModelIndex)
}

func (ptr *QAbstractItemView) OpenPersistentEditor(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpenPersistentEditor", index})
}

func (ptr *QAbstractItemView) ConnectPressed(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPressed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectPressed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPressed"})
}

func (ptr *QAbstractItemView) Pressed(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pressed", index})
}

func (ptr *QAbstractItemView) ConnectReset(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectReset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReset"})
}

func (ptr *QAbstractItemView) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QAbstractItemView) ResetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetDefault"})
}

func (ptr *QAbstractItemView) ResetHorizontalScrollMode() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetHorizontalScrollMode"})
}

func (ptr *QAbstractItemView) ResetVerticalScrollMode() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetVerticalScrollMode"})
}

func (ptr *QAbstractItemView) RootIndex() *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RootIndex"}).(*core.QModelIndex)
}

func (ptr *QAbstractItemView) ConnectRowsAboutToBeRemoved(f func(parent *core.QModelIndex, start int, end int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowsAboutToBeRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectRowsAboutToBeRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowsAboutToBeRemoved"})
}

func (ptr *QAbstractItemView) RowsAboutToBeRemoved(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsAboutToBeRemoved", parent, start, end})
}

func (ptr *QAbstractItemView) RowsAboutToBeRemovedDefault(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsAboutToBeRemovedDefault", parent, start, end})
}

func (ptr *QAbstractItemView) ConnectRowsInserted(f func(parent *core.QModelIndex, start int, end int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowsInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectRowsInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowsInserted"})
}

func (ptr *QAbstractItemView) RowsInserted(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsInserted", parent, start, end})
}

func (ptr *QAbstractItemView) RowsInsertedDefault(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsInsertedDefault", parent, start, end})
}

func (ptr *QAbstractItemView) ScheduleDelayedItemsLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScheduleDelayedItemsLayout"})
}

func (ptr *QAbstractItemView) ScrollDirtyRegion(dx int, dy int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollDirtyRegion", dx, dy})
}

func (ptr *QAbstractItemView) ConnectScrollTo(f func(index *core.QModelIndex, hint QAbstractItemView__ScrollHint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollTo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectScrollTo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollTo"})
}

func (ptr *QAbstractItemView) ScrollTo(index core.QModelIndex_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollTo", index, hint})
}

func (ptr *QAbstractItemView) ConnectScrollToBottom(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollToBottom", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectScrollToBottom() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollToBottom"})
}

func (ptr *QAbstractItemView) ScrollToBottom() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToBottom"})
}

func (ptr *QAbstractItemView) ScrollToBottomDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToBottomDefault"})
}

func (ptr *QAbstractItemView) ConnectScrollToTop(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollToTop", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectScrollToTop() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollToTop"})
}

func (ptr *QAbstractItemView) ScrollToTop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToTop"})
}

func (ptr *QAbstractItemView) ScrollToTopDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToTopDefault"})
}

func (ptr *QAbstractItemView) ConnectSelectAll(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectAll", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectSelectAll() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectAll"})
}

func (ptr *QAbstractItemView) SelectAll() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectAll"})
}

func (ptr *QAbstractItemView) SelectAllDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectAllDefault"})
}

func (ptr *QAbstractItemView) ConnectSelectedIndexes(f func() []*core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectedIndexes", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectSelectedIndexes() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectedIndexes"})
}

func (ptr *QAbstractItemView) SelectedIndexes() []*core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedIndexes"}).([]*core.QModelIndex)
}

func (ptr *QAbstractItemView) SelectedIndexesDefault() []*core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedIndexesDefault"}).([]*core.QModelIndex)
}

func (ptr *QAbstractItemView) SelectionBehavior() QAbstractItemView__SelectionBehavior {

	return QAbstractItemView__SelectionBehavior(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionBehavior"}).(float64))
}

func (ptr *QAbstractItemView) ConnectSelectionChanged(f func(selected *core.QItemSelection, deselected *core.QItemSelection)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectSelectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectionChanged"})
}

func (ptr *QAbstractItemView) SelectionChanged(selected core.QItemSelection_ITF, deselected core.QItemSelection_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChanged", selected, deselected})
}

func (ptr *QAbstractItemView) SelectionChangedDefault(selected core.QItemSelection_ITF, deselected core.QItemSelection_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChangedDefault", selected, deselected})
}

func (ptr *QAbstractItemView) ConnectSelectionCommand(f func(index *core.QModelIndex, event *core.QEvent) core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectionCommand", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectSelectionCommand() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectionCommand"})
}

func (ptr *QAbstractItemView) SelectionCommand(index core.QModelIndex_ITF, event core.QEvent_ITF) core.QItemSelectionModel__SelectionFlag {

	return core.QItemSelectionModel__SelectionFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionCommand", index, event}).(float64))
}

func (ptr *QAbstractItemView) SelectionCommandDefault(index core.QModelIndex_ITF, event core.QEvent_ITF) core.QItemSelectionModel__SelectionFlag {

	return core.QItemSelectionModel__SelectionFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionCommandDefault", index, event}).(float64))
}

func (ptr *QAbstractItemView) SelectionMode() QAbstractItemView__SelectionMode {

	return QAbstractItemView__SelectionMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionMode"}).(float64))
}

func (ptr *QAbstractItemView) SelectionModel() *core.QItemSelectionModel {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionModel"}).(*core.QItemSelectionModel)
}

func (ptr *QAbstractItemView) SetAlternatingRowColors(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlternatingRowColors", enable})
}

func (ptr *QAbstractItemView) SetAutoScroll(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoScroll", enable})
}

func (ptr *QAbstractItemView) SetAutoScrollMargin(margin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoScrollMargin", margin})
}

func (ptr *QAbstractItemView) ConnectSetCurrentIndex(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectSetCurrentIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentIndex"})
}

func (ptr *QAbstractItemView) SetCurrentIndex(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndex", index})
}

func (ptr *QAbstractItemView) SetCurrentIndexDefault(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndexDefault", index})
}

func (ptr *QAbstractItemView) SetDefaultDropAction(dropAction core.Qt__DropAction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultDropAction", dropAction})
}

func (ptr *QAbstractItemView) SetDirtyRegion(region gui.QRegion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDirtyRegion", region})
}

func (ptr *QAbstractItemView) SetDragDropMode(behavior QAbstractItemView__DragDropMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDragDropMode", behavior})
}

func (ptr *QAbstractItemView) SetDragDropOverwriteMode(overwrite bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDragDropOverwriteMode", overwrite})
}

func (ptr *QAbstractItemView) SetDragEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDragEnabled", enable})
}

func (ptr *QAbstractItemView) SetDropIndicatorShown(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDropIndicatorShown", enable})
}

func (ptr *QAbstractItemView) SetEditTriggers(triggers QAbstractItemView__EditTrigger) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEditTriggers", triggers})
}

func (ptr *QAbstractItemView) SetHorizontalScrollMode(mode QAbstractItemView__ScrollMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalScrollMode", mode})
}

func (ptr *QAbstractItemView) SetIconSize(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconSize", size})
}

func (ptr *QAbstractItemView) SetIndexWidget(index core.QModelIndex_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIndexWidget", index, widget})
}

func (ptr *QAbstractItemView) SetItemDelegate(delegate QAbstractItemDelegate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemDelegate", delegate})
}

func (ptr *QAbstractItemView) SetItemDelegateForColumn(column int, delegate QAbstractItemDelegate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemDelegateForColumn", column, delegate})
}

func (ptr *QAbstractItemView) SetItemDelegateForRow(row int, delegate QAbstractItemDelegate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemDelegateForRow", row, delegate})
}

func (ptr *QAbstractItemView) ConnectSetModel(f func(model *core.QAbstractItemModel)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectSetModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetModel"})
}

func (ptr *QAbstractItemView) SetModel(model core.QAbstractItemModel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModel", model})
}

func (ptr *QAbstractItemView) SetModelDefault(model core.QAbstractItemModel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModelDefault", model})
}

func (ptr *QAbstractItemView) ConnectSetRootIndex(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetRootIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectSetRootIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetRootIndex"})
}

func (ptr *QAbstractItemView) SetRootIndex(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRootIndex", index})
}

func (ptr *QAbstractItemView) SetRootIndexDefault(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRootIndexDefault", index})
}

func (ptr *QAbstractItemView) ConnectSetSelection(f func(rect *core.QRect, flags core.QItemSelectionModel__SelectionFlag)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectSetSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSelection"})
}

func (ptr *QAbstractItemView) SetSelection(rect core.QRect_ITF, flags core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelection", rect, flags})
}

func (ptr *QAbstractItemView) SetSelectionBehavior(behavior QAbstractItemView__SelectionBehavior) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionBehavior", behavior})
}

func (ptr *QAbstractItemView) SetSelectionMode(mode QAbstractItemView__SelectionMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionMode", mode})
}

func (ptr *QAbstractItemView) ConnectSetSelectionModel(f func(selectionModel *core.QItemSelectionModel)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSelectionModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectSetSelectionModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSelectionModel"})
}

func (ptr *QAbstractItemView) SetSelectionModel(selectionModel core.QItemSelectionModel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionModel", selectionModel})
}

func (ptr *QAbstractItemView) SetSelectionModelDefault(selectionModel core.QItemSelectionModel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionModelDefault", selectionModel})
}

func (ptr *QAbstractItemView) SetState(state QAbstractItemView__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetState", state})
}

func (ptr *QAbstractItemView) SetTabKeyNavigation(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabKeyNavigation", enable})
}

func (ptr *QAbstractItemView) SetTextElideMode(mode core.Qt__TextElideMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextElideMode", mode})
}

func (ptr *QAbstractItemView) SetVerticalScrollMode(mode QAbstractItemView__ScrollMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalScrollMode", mode})
}

func (ptr *QAbstractItemView) ShowDropIndicator() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowDropIndicator"}).(bool)
}

func (ptr *QAbstractItemView) ConnectSizeHintForColumn(f func(column int) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHintForColumn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectSizeHintForColumn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHintForColumn"})
}

func (ptr *QAbstractItemView) SizeHintForColumn(column int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintForColumn", column}).(float64))
}

func (ptr *QAbstractItemView) SizeHintForColumnDefault(column int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintForColumnDefault", column}).(float64))
}

func (ptr *QAbstractItemView) SizeHintForIndex(index core.QModelIndex_ITF) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintForIndex", index}).(*core.QSize)
}

func (ptr *QAbstractItemView) ConnectSizeHintForRow(f func(row int) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHintForRow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectSizeHintForRow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHintForRow"})
}

func (ptr *QAbstractItemView) SizeHintForRow(row int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintForRow", row}).(float64))
}

func (ptr *QAbstractItemView) SizeHintForRowDefault(row int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintForRowDefault", row}).(float64))
}

func (ptr *QAbstractItemView) ConnectStartDrag(f func(supportedActions core.Qt__DropAction)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStartDrag", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectStartDrag() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStartDrag"})
}

func (ptr *QAbstractItemView) StartDrag(supportedActions core.Qt__DropAction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDrag", supportedActions})
}

func (ptr *QAbstractItemView) StartDragDefault(supportedActions core.Qt__DropAction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartDragDefault", supportedActions})
}

func (ptr *QAbstractItemView) State() QAbstractItemView__State {

	return QAbstractItemView__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QAbstractItemView) TabKeyNavigation() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabKeyNavigation"}).(bool)
}

func (ptr *QAbstractItemView) TextElideMode() core.Qt__TextElideMode {

	return core.Qt__TextElideMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextElideMode"}).(float64))
}

func (ptr *QAbstractItemView) ConnectUpdate(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectUpdate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdate"})
}

func (ptr *QAbstractItemView) Update(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Update", index})
}

func (ptr *QAbstractItemView) UpdateDefault(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateDefault", index})
}

func (ptr *QAbstractItemView) ConnectUpdateGeometries(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateGeometries", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectUpdateGeometries() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateGeometries"})
}

func (ptr *QAbstractItemView) UpdateGeometries() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateGeometries"})
}

func (ptr *QAbstractItemView) UpdateGeometriesDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateGeometriesDefault"})
}

func (ptr *QAbstractItemView) ConnectVerticalOffset(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVerticalOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectVerticalOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVerticalOffset"})
}

func (ptr *QAbstractItemView) VerticalOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalOffset"}).(float64))
}

func (ptr *QAbstractItemView) VerticalScrollMode() QAbstractItemView__ScrollMode {

	return QAbstractItemView__ScrollMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalScrollMode"}).(float64))
}

func (ptr *QAbstractItemView) ConnectViewOptions(f func() *QStyleOptionViewItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectViewOptions", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectViewOptions() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectViewOptions"})
}

func (ptr *QAbstractItemView) ViewOptions() *QStyleOptionViewItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewOptions"}).(*QStyleOptionViewItem)
}

func (ptr *QAbstractItemView) ViewOptionsDefault() *QStyleOptionViewItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewOptionsDefault"}).(*QStyleOptionViewItem)
}

func (ptr *QAbstractItemView) ConnectViewportEntered(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectViewportEntered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectViewportEntered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectViewportEntered"})
}

func (ptr *QAbstractItemView) ViewportEntered() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewportEntered"})
}

func (ptr *QAbstractItemView) ConnectVisualRect(f func(index *core.QModelIndex) *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVisualRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectVisualRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVisualRect"})
}

func (ptr *QAbstractItemView) VisualRect(index core.QModelIndex_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRect", index}).(*core.QRect)
}

func (ptr *QAbstractItemView) ConnectVisualRegionForSelection(f func(selection *core.QItemSelection) *gui.QRegion) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVisualRegionForSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectVisualRegionForSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVisualRegionForSelection"})
}

func (ptr *QAbstractItemView) VisualRegionForSelection(selection core.QItemSelection_ITF) *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRegionForSelection", selection}).(*gui.QRegion)
}

func (ptr *QAbstractItemView) ConnectDestroyQAbstractItemView(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractItemView", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractItemView) DisconnectDestroyQAbstractItemView() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractItemView"})
}

func (ptr *QAbstractItemView) DestroyQAbstractItemView() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractItemView"})
}

func (ptr *QAbstractItemView) DestroyQAbstractItemViewDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractItemViewDefault"})
}

func (ptr *QAbstractItemView) __dataChanged_roles_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_atList", i}).(float64))
}

func (ptr *QAbstractItemView) __dataChanged_roles_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_setList", i})
}

func (ptr *QAbstractItemView) __dataChanged_roles_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_newList"}).(unsafe.Pointer)
}

func (ptr *QAbstractItemView) __selectedIndexes_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedIndexes_atList", i}).(*core.QModelIndex)
}

func (ptr *QAbstractItemView) __selectedIndexes_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedIndexes_setList", i})
}

func (ptr *QAbstractItemView) __selectedIndexes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedIndexes_newList"}).(unsafe.Pointer)
}

type QAbstractScrollArea struct {
	QFrame
}

type QAbstractScrollArea_ITF interface {
	QFrame_ITF
	QAbstractScrollArea_PTR() *QAbstractScrollArea
}

func (ptr *QAbstractScrollArea) QAbstractScrollArea_PTR() *QAbstractScrollArea {
	return ptr
}

func (ptr *QAbstractScrollArea) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QFrame_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractScrollArea) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QFrame_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractScrollArea(ptr QAbstractScrollArea_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractScrollArea_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractScrollArea) InitFromInternal(ptr uintptr, name string) {
	n.QFrame_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractScrollArea) ClassNameInternalF() string {
	return n.QFrame_PTR().ClassNameInternalF()
}

func NewQAbstractScrollAreaFromPointer(ptr unsafe.Pointer) (n *QAbstractScrollArea) {
	n = new(QAbstractScrollArea)
	n.InitFromInternal(uintptr(ptr), "widgets.QAbstractScrollArea")
	return
}

//go:generate stringer -type=QAbstractScrollArea__SizeAdjustPolicy
//QAbstractScrollArea::SizeAdjustPolicy
type QAbstractScrollArea__SizeAdjustPolicy int64

const (
	QAbstractScrollArea__AdjustIgnored               QAbstractScrollArea__SizeAdjustPolicy = QAbstractScrollArea__SizeAdjustPolicy(0)
	QAbstractScrollArea__AdjustToContentsOnFirstShow QAbstractScrollArea__SizeAdjustPolicy = QAbstractScrollArea__SizeAdjustPolicy(1)
	QAbstractScrollArea__AdjustToContents            QAbstractScrollArea__SizeAdjustPolicy = QAbstractScrollArea__SizeAdjustPolicy(2)
)

func NewQAbstractScrollArea(parent QWidget_ITF) *QAbstractScrollArea {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQAbstractScrollArea", "", parent}).(*QAbstractScrollArea)
}

func (ptr *QAbstractScrollArea) AddScrollBarWidget(widget QWidget_ITF, alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddScrollBarWidget", widget, alignment})
}

func (ptr *QAbstractScrollArea) CornerWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CornerWidget"}).(*QWidget)
}

func (ptr *QAbstractScrollArea) HorizontalScrollBar() *QScrollBar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalScrollBar"}).(*QScrollBar)
}

func (ptr *QAbstractScrollArea) HorizontalScrollBarPolicy() core.Qt__ScrollBarPolicy {

	return core.Qt__ScrollBarPolicy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalScrollBarPolicy"}).(float64))
}

func (ptr *QAbstractScrollArea) MaximumViewportSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumViewportSize"}).(*core.QSize)
}

func (ptr *QAbstractScrollArea) ScrollBarWidgets(alignment core.Qt__AlignmentFlag) []*QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollBarWidgets", alignment}).([]*QWidget)
}

func (ptr *QAbstractScrollArea) ConnectScrollContentsBy(f func(dx int, dy int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollContentsBy", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractScrollArea) DisconnectScrollContentsBy() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollContentsBy"})
}

func (ptr *QAbstractScrollArea) ScrollContentsBy(dx int, dy int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollContentsBy", dx, dy})
}

func (ptr *QAbstractScrollArea) ScrollContentsByDefault(dx int, dy int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollContentsByDefault", dx, dy})
}

func (ptr *QAbstractScrollArea) SetCornerWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCornerWidget", widget})
}

func (ptr *QAbstractScrollArea) SetHorizontalScrollBar(scrollBar QScrollBar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalScrollBar", scrollBar})
}

func (ptr *QAbstractScrollArea) SetHorizontalScrollBarPolicy(vqt core.Qt__ScrollBarPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalScrollBarPolicy", vqt})
}

func (ptr *QAbstractScrollArea) SetSizeAdjustPolicy(policy QAbstractScrollArea__SizeAdjustPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSizeAdjustPolicy", policy})
}

func (ptr *QAbstractScrollArea) SetVerticalScrollBar(scrollBar QScrollBar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalScrollBar", scrollBar})
}

func (ptr *QAbstractScrollArea) SetVerticalScrollBarPolicy(vqt core.Qt__ScrollBarPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalScrollBarPolicy", vqt})
}

func (ptr *QAbstractScrollArea) SetViewport(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewport", widget})
}

func (ptr *QAbstractScrollArea) SetViewportMargins(left int, top int, right int, bottom int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewportMargins", left, top, right, bottom})
}

func (ptr *QAbstractScrollArea) SetViewportMargins2(margins core.QMargins_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewportMargins2", margins})
}

func (ptr *QAbstractScrollArea) ConnectSetupViewport(f func(viewport *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetupViewport", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractScrollArea) DisconnectSetupViewport() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetupViewport"})
}

func (ptr *QAbstractScrollArea) SetupViewport(viewport QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetupViewport", viewport})
}

func (ptr *QAbstractScrollArea) SetupViewportDefault(viewport QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetupViewportDefault", viewport})
}

func (ptr *QAbstractScrollArea) SizeAdjustPolicy() QAbstractScrollArea__SizeAdjustPolicy {

	return QAbstractScrollArea__SizeAdjustPolicy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeAdjustPolicy"}).(float64))
}

func (ptr *QAbstractScrollArea) VerticalScrollBar() *QScrollBar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalScrollBar"}).(*QScrollBar)
}

func (ptr *QAbstractScrollArea) VerticalScrollBarPolicy() core.Qt__ScrollBarPolicy {

	return core.Qt__ScrollBarPolicy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalScrollBarPolicy"}).(float64))
}

func (ptr *QAbstractScrollArea) Viewport() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Viewport"}).(*QWidget)
}

func (ptr *QAbstractScrollArea) ConnectViewportEvent(f func(event *core.QEvent) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectViewportEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractScrollArea) DisconnectViewportEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectViewportEvent"})
}

func (ptr *QAbstractScrollArea) ViewportEvent(event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewportEvent", event}).(bool)
}

func (ptr *QAbstractScrollArea) ViewportEventDefault(event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewportEventDefault", event}).(bool)
}

func (ptr *QAbstractScrollArea) ViewportMargins() *core.QMargins {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewportMargins"}).(*core.QMargins)
}

func (ptr *QAbstractScrollArea) ConnectViewportSizeHint(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectViewportSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractScrollArea) DisconnectViewportSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectViewportSizeHint"})
}

func (ptr *QAbstractScrollArea) ViewportSizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewportSizeHint"}).(*core.QSize)
}

func (ptr *QAbstractScrollArea) ViewportSizeHintDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewportSizeHintDefault"}).(*core.QSize)
}

func (ptr *QAbstractScrollArea) ConnectDestroyQAbstractScrollArea(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractScrollArea", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractScrollArea) DisconnectDestroyQAbstractScrollArea() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractScrollArea"})
}

func (ptr *QAbstractScrollArea) DestroyQAbstractScrollArea() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractScrollArea"})
}

func (ptr *QAbstractScrollArea) DestroyQAbstractScrollAreaDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractScrollAreaDefault"})
}

func (ptr *QAbstractScrollArea) __scrollBarWidgets_atList(i int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__scrollBarWidgets_atList", i}).(*QWidget)
}

func (ptr *QAbstractScrollArea) __scrollBarWidgets_setList(i QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__scrollBarWidgets_setList", i})
}

func (ptr *QAbstractScrollArea) __scrollBarWidgets_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__scrollBarWidgets_newList"}).(unsafe.Pointer)
}

type QAbstractSlider struct {
	QWidget
}

type QAbstractSlider_ITF interface {
	QWidget_ITF
	QAbstractSlider_PTR() *QAbstractSlider
}

func (ptr *QAbstractSlider) QAbstractSlider_PTR() *QAbstractSlider {
	return ptr
}

func (ptr *QAbstractSlider) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractSlider) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractSlider(ptr QAbstractSlider_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractSlider_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractSlider) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractSlider) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQAbstractSliderFromPointer(ptr unsafe.Pointer) (n *QAbstractSlider) {
	n = new(QAbstractSlider)
	n.InitFromInternal(uintptr(ptr), "widgets.QAbstractSlider")
	return
}

//go:generate stringer -type=QAbstractSlider__SliderAction
//QAbstractSlider::SliderAction
type QAbstractSlider__SliderAction int64

const (
	QAbstractSlider__SliderNoAction      QAbstractSlider__SliderAction = QAbstractSlider__SliderAction(0)
	QAbstractSlider__SliderSingleStepAdd QAbstractSlider__SliderAction = QAbstractSlider__SliderAction(1)
	QAbstractSlider__SliderSingleStepSub QAbstractSlider__SliderAction = QAbstractSlider__SliderAction(2)
	QAbstractSlider__SliderPageStepAdd   QAbstractSlider__SliderAction = QAbstractSlider__SliderAction(3)
	QAbstractSlider__SliderPageStepSub   QAbstractSlider__SliderAction = QAbstractSlider__SliderAction(4)
	QAbstractSlider__SliderToMinimum     QAbstractSlider__SliderAction = QAbstractSlider__SliderAction(5)
	QAbstractSlider__SliderToMaximum     QAbstractSlider__SliderAction = QAbstractSlider__SliderAction(6)
	QAbstractSlider__SliderMove          QAbstractSlider__SliderAction = QAbstractSlider__SliderAction(7)
)

//go:generate stringer -type=QAbstractSlider__SliderChange
//QAbstractSlider::SliderChange
type QAbstractSlider__SliderChange int64

const (
	QAbstractSlider__SliderRangeChange       QAbstractSlider__SliderChange = QAbstractSlider__SliderChange(0)
	QAbstractSlider__SliderOrientationChange QAbstractSlider__SliderChange = QAbstractSlider__SliderChange(1)
	QAbstractSlider__SliderStepsChange       QAbstractSlider__SliderChange = QAbstractSlider__SliderChange(2)
	QAbstractSlider__SliderValueChange       QAbstractSlider__SliderChange = QAbstractSlider__SliderChange(3)
)

func NewQAbstractSlider(parent QWidget_ITF) *QAbstractSlider {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQAbstractSlider", "", parent}).(*QAbstractSlider)
}

func (ptr *QAbstractSlider) ConnectActionTriggered(f func(action int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActionTriggered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSlider) DisconnectActionTriggered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActionTriggered"})
}

func (ptr *QAbstractSlider) ActionTriggered(action int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActionTriggered", action})
}

func (ptr *QAbstractSlider) HasTracking() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasTracking"}).(bool)
}

func (ptr *QAbstractSlider) InvertedAppearance() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvertedAppearance"}).(bool)
}

func (ptr *QAbstractSlider) InvertedControls() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvertedControls"}).(bool)
}

func (ptr *QAbstractSlider) IsSliderDown() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSliderDown"}).(bool)
}

func (ptr *QAbstractSlider) Maximum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Maximum"}).(float64))
}

func (ptr *QAbstractSlider) Minimum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Minimum"}).(float64))
}

func (ptr *QAbstractSlider) Orientation() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QAbstractSlider) PageStep() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageStep"}).(float64))
}

func (ptr *QAbstractSlider) ConnectRangeChanged(f func(min int, max int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRangeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSlider) DisconnectRangeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRangeChanged"})
}

func (ptr *QAbstractSlider) RangeChanged(min int, max int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RangeChanged", min, max})
}

func (ptr *QAbstractSlider) RepeatAction() QAbstractSlider__SliderAction {

	return QAbstractSlider__SliderAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RepeatAction"}).(float64))
}

func (ptr *QAbstractSlider) SetInvertedAppearance(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInvertedAppearance", vbo})
}

func (ptr *QAbstractSlider) SetInvertedControls(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInvertedControls", vbo})
}

func (ptr *QAbstractSlider) SetMaximum(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximum", vin})
}

func (ptr *QAbstractSlider) SetMinimum(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimum", vin})
}

func (ptr *QAbstractSlider) ConnectSetOrientation(f func(vqt core.Qt__Orientation)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetOrientation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSlider) DisconnectSetOrientation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetOrientation"})
}

func (ptr *QAbstractSlider) SetOrientation(vqt core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrientation", vqt})
}

func (ptr *QAbstractSlider) SetOrientationDefault(vqt core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrientationDefault", vqt})
}

func (ptr *QAbstractSlider) SetPageStep(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageStep", vin})
}

func (ptr *QAbstractSlider) ConnectSetRange(f func(min int, max int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetRange", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSlider) DisconnectSetRange() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetRange"})
}

func (ptr *QAbstractSlider) SetRange(min int, max int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRange", min, max})
}

func (ptr *QAbstractSlider) SetRangeDefault(min int, max int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRangeDefault", min, max})
}

func (ptr *QAbstractSlider) SetRepeatAction(action QAbstractSlider__SliderAction, thresholdTime int, repeatTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRepeatAction", action, thresholdTime, repeatTime})
}

func (ptr *QAbstractSlider) SetSingleStep(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSingleStep", vin})
}

func (ptr *QAbstractSlider) SetSliderDown(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSliderDown", vbo})
}

func (ptr *QAbstractSlider) SetSliderPosition(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSliderPosition", vin})
}

func (ptr *QAbstractSlider) SetTracking(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTracking", enable})
}

func (ptr *QAbstractSlider) ConnectSetValue(f func(vin int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSlider) DisconnectSetValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetValue"})
}

func (ptr *QAbstractSlider) SetValue(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValue", vin})
}

func (ptr *QAbstractSlider) SetValueDefault(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValueDefault", vin})
}

func (ptr *QAbstractSlider) SingleStep() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SingleStep"}).(float64))
}

func (ptr *QAbstractSlider) ConnectSliderChange(f func(change QAbstractSlider__SliderChange)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSliderChange", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSlider) DisconnectSliderChange() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSliderChange"})
}

func (ptr *QAbstractSlider) SliderChange(change QAbstractSlider__SliderChange) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SliderChange", change})
}

func (ptr *QAbstractSlider) SliderChangeDefault(change QAbstractSlider__SliderChange) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SliderChangeDefault", change})
}

func (ptr *QAbstractSlider) ConnectSliderMoved(f func(value int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSliderMoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSlider) DisconnectSliderMoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSliderMoved"})
}

func (ptr *QAbstractSlider) SliderMoved(value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SliderMoved", value})
}

func (ptr *QAbstractSlider) SliderPosition() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SliderPosition"}).(float64))
}

func (ptr *QAbstractSlider) ConnectSliderPressed(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSliderPressed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSlider) DisconnectSliderPressed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSliderPressed"})
}

func (ptr *QAbstractSlider) SliderPressed() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SliderPressed"})
}

func (ptr *QAbstractSlider) ConnectSliderReleased(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSliderReleased", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSlider) DisconnectSliderReleased() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSliderReleased"})
}

func (ptr *QAbstractSlider) SliderReleased() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SliderReleased"})
}

func (ptr *QAbstractSlider) TriggerAction(action QAbstractSlider__SliderAction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TriggerAction", action})
}

func (ptr *QAbstractSlider) Value() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value"}).(float64))
}

func (ptr *QAbstractSlider) ConnectValueChanged(f func(value int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValueChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSlider) DisconnectValueChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValueChanged"})
}

func (ptr *QAbstractSlider) ValueChanged(value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueChanged", value})
}

func (ptr *QAbstractSlider) ConnectDestroyQAbstractSlider(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractSlider", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSlider) DisconnectDestroyQAbstractSlider() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractSlider"})
}

func (ptr *QAbstractSlider) DestroyQAbstractSlider() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractSlider"})
}

func (ptr *QAbstractSlider) DestroyQAbstractSliderDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractSliderDefault"})
}

type QAbstractSpinBox struct {
	QWidget
}

type QAbstractSpinBox_ITF interface {
	QWidget_ITF
	QAbstractSpinBox_PTR() *QAbstractSpinBox
}

func (ptr *QAbstractSpinBox) QAbstractSpinBox_PTR() *QAbstractSpinBox {
	return ptr
}

func (ptr *QAbstractSpinBox) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QAbstractSpinBox) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQAbstractSpinBox(ptr QAbstractSpinBox_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractSpinBox_PTR().Pointer()
	}
	return nil
}

func (n *QAbstractSpinBox) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAbstractSpinBox) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQAbstractSpinBoxFromPointer(ptr unsafe.Pointer) (n *QAbstractSpinBox) {
	n = new(QAbstractSpinBox)
	n.InitFromInternal(uintptr(ptr), "widgets.QAbstractSpinBox")
	return
}

//go:generate stringer -type=QAbstractSpinBox__StepEnabledFlag
//QAbstractSpinBox::StepEnabledFlag
type QAbstractSpinBox__StepEnabledFlag int64

const (
	QAbstractSpinBox__StepNone        QAbstractSpinBox__StepEnabledFlag = QAbstractSpinBox__StepEnabledFlag(0x00)
	QAbstractSpinBox__StepUpEnabled   QAbstractSpinBox__StepEnabledFlag = QAbstractSpinBox__StepEnabledFlag(0x01)
	QAbstractSpinBox__StepDownEnabled QAbstractSpinBox__StepEnabledFlag = QAbstractSpinBox__StepEnabledFlag(0x02)
)

//go:generate stringer -type=QAbstractSpinBox__ButtonSymbols
//QAbstractSpinBox::ButtonSymbols
type QAbstractSpinBox__ButtonSymbols int64

const (
	QAbstractSpinBox__UpDownArrows QAbstractSpinBox__ButtonSymbols = QAbstractSpinBox__ButtonSymbols(0)
	QAbstractSpinBox__PlusMinus    QAbstractSpinBox__ButtonSymbols = QAbstractSpinBox__ButtonSymbols(1)
	QAbstractSpinBox__NoButtons    QAbstractSpinBox__ButtonSymbols = QAbstractSpinBox__ButtonSymbols(2)
)

//go:generate stringer -type=QAbstractSpinBox__CorrectionMode
//QAbstractSpinBox::CorrectionMode
type QAbstractSpinBox__CorrectionMode int64

const (
	QAbstractSpinBox__CorrectToPreviousValue QAbstractSpinBox__CorrectionMode = QAbstractSpinBox__CorrectionMode(0)
	QAbstractSpinBox__CorrectToNearestValue  QAbstractSpinBox__CorrectionMode = QAbstractSpinBox__CorrectionMode(1)
)

//go:generate stringer -type=QAbstractSpinBox__StepType
//QAbstractSpinBox::StepType
type QAbstractSpinBox__StepType int64

const (
	QAbstractSpinBox__DefaultStepType         QAbstractSpinBox__StepType = QAbstractSpinBox__StepType(0)
	QAbstractSpinBox__AdaptiveDecimalStepType QAbstractSpinBox__StepType = QAbstractSpinBox__StepType(1)
)

func NewQAbstractSpinBox(parent QWidget_ITF) *QAbstractSpinBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQAbstractSpinBox", "", parent}).(*QAbstractSpinBox)
}

func (ptr *QAbstractSpinBox) Alignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment"}).(float64))
}

func (ptr *QAbstractSpinBox) ButtonSymbols() QAbstractSpinBox__ButtonSymbols {

	return QAbstractSpinBox__ButtonSymbols(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonSymbols"}).(float64))
}

func (ptr *QAbstractSpinBox) ConnectClear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSpinBox) DisconnectClear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClear"})
}

func (ptr *QAbstractSpinBox) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QAbstractSpinBox) ClearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearDefault"})
}

func (ptr *QAbstractSpinBox) CorrectionMode() QAbstractSpinBox__CorrectionMode {

	return QAbstractSpinBox__CorrectionMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CorrectionMode"}).(float64))
}

func (ptr *QAbstractSpinBox) ConnectEditingFinished(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEditingFinished", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSpinBox) DisconnectEditingFinished() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEditingFinished"})
}

func (ptr *QAbstractSpinBox) EditingFinished() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EditingFinished"})
}

func (ptr *QAbstractSpinBox) ConnectFixup(f func(input string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFixup", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSpinBox) DisconnectFixup() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFixup"})
}

func (ptr *QAbstractSpinBox) Fixup(input string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Fixup", input})
}

func (ptr *QAbstractSpinBox) FixupDefault(input string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FixupDefault", input})
}

func (ptr *QAbstractSpinBox) HasAcceptableInput() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasAcceptableInput"}).(bool)
}

func (ptr *QAbstractSpinBox) HasFrame() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasFrame"}).(bool)
}

func (ptr *QAbstractSpinBox) InitStyleOption(option QStyleOptionSpinBox_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QAbstractSpinBox) InterpretText() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InterpretText"})
}

func (ptr *QAbstractSpinBox) IsAccelerated() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAccelerated"}).(bool)
}

func (ptr *QAbstractSpinBox) IsGroupSeparatorShown() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsGroupSeparatorShown"}).(bool)
}

func (ptr *QAbstractSpinBox) IsReadOnly() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadOnly"}).(bool)
}

func (ptr *QAbstractSpinBox) KeyboardTracking() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyboardTracking"}).(bool)
}

func (ptr *QAbstractSpinBox) LineEdit() *QLineEdit {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineEdit"}).(*QLineEdit)
}

func (ptr *QAbstractSpinBox) ConnectSelectAll(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectAll", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSpinBox) DisconnectSelectAll() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectAll"})
}

func (ptr *QAbstractSpinBox) SelectAll() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectAll"})
}

func (ptr *QAbstractSpinBox) SelectAllDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectAllDefault"})
}

func (ptr *QAbstractSpinBox) SetAccelerated(on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAccelerated", on})
}

func (ptr *QAbstractSpinBox) SetAlignment(flag core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", flag})
}

func (ptr *QAbstractSpinBox) SetButtonSymbols(bs QAbstractSpinBox__ButtonSymbols) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetButtonSymbols", bs})
}

func (ptr *QAbstractSpinBox) SetCorrectionMode(cm QAbstractSpinBox__CorrectionMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCorrectionMode", cm})
}

func (ptr *QAbstractSpinBox) SetFrame(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrame", vbo})
}

func (ptr *QAbstractSpinBox) SetGroupSeparatorShown(shown bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGroupSeparatorShown", shown})
}

func (ptr *QAbstractSpinBox) SetKeyboardTracking(kt bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetKeyboardTracking", kt})
}

func (ptr *QAbstractSpinBox) SetLineEdit(lineEdit QLineEdit_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLineEdit", lineEdit})
}

func (ptr *QAbstractSpinBox) SetReadOnly(r bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetReadOnly", r})
}

func (ptr *QAbstractSpinBox) SetSpecialValueText(txt string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSpecialValueText", txt})
}

func (ptr *QAbstractSpinBox) SetWrapping(w bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWrapping", w})
}

func (ptr *QAbstractSpinBox) SpecialValueText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SpecialValueText"}).(string)
}

func (ptr *QAbstractSpinBox) ConnectStepBy(f func(steps int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStepBy", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSpinBox) DisconnectStepBy() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStepBy"})
}

func (ptr *QAbstractSpinBox) StepBy(steps int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StepBy", steps})
}

func (ptr *QAbstractSpinBox) StepByDefault(steps int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StepByDefault", steps})
}

func (ptr *QAbstractSpinBox) ConnectStepDown(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStepDown", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSpinBox) DisconnectStepDown() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStepDown"})
}

func (ptr *QAbstractSpinBox) StepDown() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StepDown"})
}

func (ptr *QAbstractSpinBox) StepDownDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StepDownDefault"})
}

func (ptr *QAbstractSpinBox) ConnectStepEnabled(f func() QAbstractSpinBox__StepEnabledFlag) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStepEnabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSpinBox) DisconnectStepEnabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStepEnabled"})
}

func (ptr *QAbstractSpinBox) StepEnabled() QAbstractSpinBox__StepEnabledFlag {

	return QAbstractSpinBox__StepEnabledFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StepEnabled"}).(float64))
}

func (ptr *QAbstractSpinBox) StepEnabledDefault() QAbstractSpinBox__StepEnabledFlag {

	return QAbstractSpinBox__StepEnabledFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StepEnabledDefault"}).(float64))
}

func (ptr *QAbstractSpinBox) ConnectStepUp(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStepUp", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSpinBox) DisconnectStepUp() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStepUp"})
}

func (ptr *QAbstractSpinBox) StepUp() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StepUp"})
}

func (ptr *QAbstractSpinBox) StepUpDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StepUpDefault"})
}

func (ptr *QAbstractSpinBox) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QAbstractSpinBox) ConnectValidate(f func(input string, pos int) gui.QValidator__State) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValidate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSpinBox) DisconnectValidate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValidate"})
}

func (ptr *QAbstractSpinBox) Validate(input string, pos int) gui.QValidator__State {

	return gui.QValidator__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Validate", input, pos}).(float64))
}

func (ptr *QAbstractSpinBox) ValidateDefault(input string, pos int) gui.QValidator__State {

	return gui.QValidator__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValidateDefault", input, pos}).(float64))
}

func (ptr *QAbstractSpinBox) Wrapping() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Wrapping"}).(bool)
}

func (ptr *QAbstractSpinBox) ConnectDestroyQAbstractSpinBox(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAbstractSpinBox", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAbstractSpinBox) DisconnectDestroyQAbstractSpinBox() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAbstractSpinBox"})
}

func (ptr *QAbstractSpinBox) DestroyQAbstractSpinBox() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractSpinBox"})
}

func (ptr *QAbstractSpinBox) DestroyQAbstractSpinBoxDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAbstractSpinBoxDefault"})
}

type QAccessibleWidget struct {
	gui.QAccessibleObject
	gui.QAccessibleActionInterface
}

type QAccessibleWidget_ITF interface {
	gui.QAccessibleObject_ITF
	gui.QAccessibleActionInterface_ITF
	QAccessibleWidget_PTR() *QAccessibleWidget
}

func (ptr *QAccessibleWidget) QAccessibleWidget_PTR() *QAccessibleWidget {
	return ptr
}

func (ptr *QAccessibleWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAccessibleWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAccessibleObject_PTR().SetPointer(p)
		ptr.QAccessibleActionInterface_PTR().SetPointer(p)
	}
}

func PointerFromQAccessibleWidget(ptr QAccessibleWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAccessibleWidget_PTR().Pointer()
	}
	return nil
}

func (n *QAccessibleWidget) InitFromInternal(ptr uintptr, name string) {
	n.QAccessibleObject_PTR().InitFromInternal(uintptr(ptr), name)
	n.QAccessibleActionInterface_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAccessibleWidget) ClassNameInternalF() string {
	return n.QAccessibleObject_PTR().ClassNameInternalF()
}

func NewQAccessibleWidgetFromPointer(ptr unsafe.Pointer) (n *QAccessibleWidget) {
	n = new(QAccessibleWidget)
	n.InitFromInternal(uintptr(ptr), "widgets.QAccessibleWidget")
	return
}
func (ptr *QAccessibleWidget) ConnectActionNames(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectActionNames", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectActionNames() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectActionNames"})
}

func (ptr *QAccessibleWidget) ActionNames() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ActionNames"}).([]string)
}

func (ptr *QAccessibleWidget) ActionNamesDefault() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ActionNamesDefault"}).([]string)
}

func (ptr *QAccessibleWidget) AddControllingSignal(sign string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "AddControllingSignal", sign})
}

func (ptr *QAccessibleWidget) ConnectBackgroundColor(f func() *gui.QColor) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectBackgroundColor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectBackgroundColor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectBackgroundColor"})
}

func (ptr *QAccessibleWidget) BackgroundColor() *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "BackgroundColor"}).(*gui.QColor)
}

func (ptr *QAccessibleWidget) BackgroundColorDefault() *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "BackgroundColorDefault"}).(*gui.QColor)
}

func (ptr *QAccessibleWidget) ConnectChild(f func(index int) *gui.QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectChild", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectChild() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectChild"})
}

func (ptr *QAccessibleWidget) Child(index int) *gui.QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "Child", index}).(*gui.QAccessibleInterface)
}

func (ptr *QAccessibleWidget) ChildDefault(index int) *gui.QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ChildDefault", index}).(*gui.QAccessibleInterface)
}

func (ptr *QAccessibleWidget) ConnectChildCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectChildCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectChildCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectChildCount"})
}

func (ptr *QAccessibleWidget) ChildCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ChildCount"}).(float64))
}

func (ptr *QAccessibleWidget) ChildCountDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ChildCountDefault"}).(float64))
}

func (ptr *QAccessibleWidget) ConnectDoAction(f func(actionName string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectDoAction", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectDoAction() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectDoAction"})
}

func (ptr *QAccessibleWidget) DoAction(actionName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DoAction", actionName})
}

func (ptr *QAccessibleWidget) DoActionDefault(actionName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DoActionDefault", actionName})
}

func (ptr *QAccessibleWidget) ConnectFocusChild(f func() *gui.QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectFocusChild", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectFocusChild() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectFocusChild"})
}

func (ptr *QAccessibleWidget) FocusChild() *gui.QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "FocusChild"}).(*gui.QAccessibleInterface)
}

func (ptr *QAccessibleWidget) FocusChildDefault() *gui.QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "FocusChildDefault"}).(*gui.QAccessibleInterface)
}

func (ptr *QAccessibleWidget) ConnectForegroundColor(f func() *gui.QColor) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectForegroundColor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectForegroundColor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectForegroundColor"})
}

func (ptr *QAccessibleWidget) ForegroundColor() *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ForegroundColor"}).(*gui.QColor)
}

func (ptr *QAccessibleWidget) ForegroundColorDefault() *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ForegroundColorDefault"}).(*gui.QColor)
}

func (ptr *QAccessibleWidget) ConnectIndexOfChild(f func(child *gui.QAccessibleInterface) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectIndexOfChild", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectIndexOfChild() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectIndexOfChild"})
}

func (ptr *QAccessibleWidget) IndexOfChild(child gui.QAccessibleInterface_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "IndexOfChild", child}).(float64))
}

func (ptr *QAccessibleWidget) IndexOfChildDefault(child gui.QAccessibleInterface_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "IndexOfChildDefault", child}).(float64))
}

func (ptr *QAccessibleWidget) ConnectInterface_cast(f func(t gui.QAccessible__InterfaceType) unsafe.Pointer) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectInterface_cast", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectInterface_cast() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectInterface_cast"})
}

func (ptr *QAccessibleWidget) Interface_cast(t gui.QAccessible__InterfaceType) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "Interface_cast", t}).(unsafe.Pointer)
}

func (ptr *QAccessibleWidget) Interface_castDefault(t gui.QAccessible__InterfaceType) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "Interface_castDefault", t}).(unsafe.Pointer)
}

func (ptr *QAccessibleWidget) ConnectIsValid(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectIsValid", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectIsValid() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectIsValid"})
}

func (ptr *QAccessibleWidget) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QAccessibleWidget) IsValidDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "IsValidDefault"}).(bool)
}

func (ptr *QAccessibleWidget) ConnectKeyBindingsForAction(f func(actionName string) []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectKeyBindingsForAction", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectKeyBindingsForAction() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectKeyBindingsForAction"})
}

func (ptr *QAccessibleWidget) KeyBindingsForAction(actionName string) []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "KeyBindingsForAction", actionName}).([]string)
}

func (ptr *QAccessibleWidget) KeyBindingsForActionDefault(actionName string) []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "KeyBindingsForActionDefault", actionName}).([]string)
}

func (ptr *QAccessibleWidget) ConnectParent(f func() *gui.QAccessibleInterface) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectParent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectParent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectParent"})
}

func (ptr *QAccessibleWidget) Parent() *gui.QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "Parent"}).(*gui.QAccessibleInterface)
}

func (ptr *QAccessibleWidget) ParentDefault() *gui.QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ParentDefault"}).(*gui.QAccessibleInterface)
}

func (ptr *QAccessibleWidget) ParentObject() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ParentObject"}).(*core.QObject)
}

func (ptr *QAccessibleWidget) ConnectRect(f func() *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectRect"})
}

func (ptr *QAccessibleWidget) Rect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "Rect"}).(*core.QRect)
}

func (ptr *QAccessibleWidget) RectDefault() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "RectDefault"}).(*core.QRect)
}

func (ptr *QAccessibleWidget) ConnectRole(f func() gui.QAccessible__Role) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectRole", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectRole() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectRole"})
}

func (ptr *QAccessibleWidget) Role() gui.QAccessible__Role {

	return gui.QAccessible__Role(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "Role"}).(float64))
}

func (ptr *QAccessibleWidget) RoleDefault() gui.QAccessible__Role {

	return gui.QAccessible__Role(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "RoleDefault"}).(float64))
}

func (ptr *QAccessibleWidget) ConnectText(f func(t gui.QAccessible__Text) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectText"})
}

func (ptr *QAccessibleWidget) Text(t gui.QAccessible__Text) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "Text", t}).(string)
}

func (ptr *QAccessibleWidget) TextDefault(t gui.QAccessible__Text) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "TextDefault", t}).(string)
}

func (ptr *QAccessibleWidget) Widget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "Widget"}).(*QWidget)
}

func (ptr *QAccessibleWidget) ConnectWindow(f func() *gui.QWindow) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectWindow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectWindow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectWindow"})
}

func (ptr *QAccessibleWidget) Window() *gui.QWindow {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "Window"}).(*gui.QWindow)
}

func (ptr *QAccessibleWidget) WindowDefault() *gui.QWindow {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "WindowDefault"}).(*gui.QWindow)
}

func (ptr *QAccessibleWidget) ConnectDestroyQAccessibleWidget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ConnectDestroyQAccessibleWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAccessibleWidget) DisconnectDestroyQAccessibleWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DisconnectDestroyQAccessibleWidget"})
}

func (ptr *QAccessibleWidget) DestroyQAccessibleWidget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DestroyQAccessibleWidget"})
}

func (ptr *QAccessibleWidget) DestroyQAccessibleWidgetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "DestroyQAccessibleWidgetDefault"})
}

func (ptr *QAccessibleWidget) ChildAt(x int, y int) *gui.QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ChildAt", x, y}).(*gui.QAccessibleInterface)
}

func (ptr *QAccessibleWidget) ChildAtDefault(x int, y int) *gui.QAccessibleInterface {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ChildAtDefault", x, y}).(*gui.QAccessibleInterface)
}

func (ptr *QAccessibleWidget) Object() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "Object"}).(*core.QObject)
}

func (ptr *QAccessibleWidget) ObjectDefault() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "ObjectDefault"}).(*core.QObject)
}

func (ptr *QAccessibleWidget) SetText(t gui.QAccessible__Text, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "SetText", t, text})
}

func (ptr *QAccessibleWidget) SetTextDefault(t gui.QAccessible__Text, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "SetTextDefault", t, text})
}

func (ptr *QAccessibleWidget) LocalizedActionDescription(actionName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "LocalizedActionDescription", actionName}).(string)
}

func (ptr *QAccessibleWidget) LocalizedActionDescriptionDefault(actionName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "LocalizedActionDescriptionDefault", actionName}).(string)
}

func (ptr *QAccessibleWidget) LocalizedActionName(actionName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "LocalizedActionName", actionName}).(string)
}

func (ptr *QAccessibleWidget) LocalizedActionNameDefault(actionName string) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QAccessibleObject_PTR().ClassNameInternalF(), "LocalizedActionNameDefault", actionName}).(string)
}

type QAction struct {
	core.QObject
}

type QAction_ITF interface {
	core.QObject_ITF
	QAction_PTR() *QAction
}

func (ptr *QAction) QAction_PTR() *QAction {
	return ptr
}

func (ptr *QAction) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QAction) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQAction(ptr QAction_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QAction_PTR().Pointer()
	}
	return nil
}

func (n *QAction) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QAction) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQActionFromPointer(ptr unsafe.Pointer) (n *QAction) {
	n = new(QAction)
	n.InitFromInternal(uintptr(ptr), "widgets.QAction")
	return
}

//go:generate stringer -type=QAction__MenuRole
//QAction::MenuRole
type QAction__MenuRole int64

const (
	QAction__NoRole                  QAction__MenuRole = QAction__MenuRole(0)
	QAction__TextHeuristicRole       QAction__MenuRole = QAction__MenuRole(1)
	QAction__ApplicationSpecificRole QAction__MenuRole = QAction__MenuRole(2)
	QAction__AboutQtRole             QAction__MenuRole = QAction__MenuRole(3)
	QAction__AboutRole               QAction__MenuRole = QAction__MenuRole(4)
	QAction__PreferencesRole         QAction__MenuRole = QAction__MenuRole(5)
	QAction__QuitRole                QAction__MenuRole = QAction__MenuRole(6)
)

//go:generate stringer -type=QAction__Priority
//QAction::Priority
type QAction__Priority int64

const (
	QAction__LowPriority    QAction__Priority = QAction__Priority(0)
	QAction__NormalPriority QAction__Priority = QAction__Priority(128)
	QAction__HighPriority   QAction__Priority = QAction__Priority(256)
)

//go:generate stringer -type=QAction__ActionEvent
//QAction::ActionEvent
type QAction__ActionEvent int64

const (
	QAction__Trigger QAction__ActionEvent = QAction__ActionEvent(0)
	QAction__Hover   QAction__ActionEvent = QAction__ActionEvent(1)
)

func NewQAction(parent core.QObject_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQAction", "", parent}).(*QAction)
}

func NewQAction2(text string, parent core.QObject_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQAction2", "", text, parent}).(*QAction)
}

func NewQAction3(icon gui.QIcon_ITF, text string, parent core.QObject_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQAction3", "", icon, text, parent}).(*QAction)
}

func (ptr *QAction) ActionGroup() *QActionGroup {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActionGroup"}).(*QActionGroup)
}

func (ptr *QAction) Activate(event QAction__ActionEvent) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Activate", event})
}

func (ptr *QAction) AssociatedGraphicsWidgets() []*QGraphicsWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AssociatedGraphicsWidgets"}).([]*QGraphicsWidget)
}

func (ptr *QAction) AssociatedWidgets() []*QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AssociatedWidgets"}).([]*QWidget)
}

func (ptr *QAction) AutoRepeat() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoRepeat"}).(bool)
}

func (ptr *QAction) ConnectChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAction) DisconnectChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectChanged"})
}

func (ptr *QAction) Changed() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Changed"})
}

func (ptr *QAction) Data() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data"}).(*core.QVariant)
}

func (ptr *QAction) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QAction) Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*gui.QFont)
}

func (ptr *QAction) ConnectHover(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHover", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAction) DisconnectHover() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHover"})
}

func (ptr *QAction) Hover() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Hover"})
}

func (ptr *QAction) HoverDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HoverDefault"})
}

func (ptr *QAction) ConnectHovered(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHovered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAction) DisconnectHovered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHovered"})
}

func (ptr *QAction) Hovered() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Hovered"})
}

func (ptr *QAction) Icon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*gui.QIcon)
}

func (ptr *QAction) IconText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconText"}).(string)
}

func (ptr *QAction) IsCheckable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCheckable"}).(bool)
}

func (ptr *QAction) IsChecked() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsChecked"}).(bool)
}

func (ptr *QAction) IsEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEnabled"}).(bool)
}

func (ptr *QAction) IsIconVisibleInMenu() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIconVisibleInMenu"}).(bool)
}

func (ptr *QAction) IsSeparator() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSeparator"}).(bool)
}

func (ptr *QAction) IsShortcutVisibleInContextMenu() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsShortcutVisibleInContextMenu"}).(bool)
}

func (ptr *QAction) IsVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsVisible"}).(bool)
}

func (ptr *QAction) Menu() *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Menu"}).(*QMenu)
}

func (ptr *QAction) MenuRole() QAction__MenuRole {

	return QAction__MenuRole(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MenuRole"}).(float64))
}

func (ptr *QAction) ParentWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentWidget"}).(*QWidget)
}

func (ptr *QAction) Priority() QAction__Priority {

	return QAction__Priority(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Priority"}).(float64))
}

func (ptr *QAction) SetActionGroup(group QActionGroup_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActionGroup", group})
}

func (ptr *QAction) SetAutoRepeat(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoRepeat", vbo})
}

func (ptr *QAction) SetCheckable(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckable", vbo})
}

func (ptr *QAction) ConnectSetChecked(f func(vbo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetChecked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAction) DisconnectSetChecked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetChecked"})
}

func (ptr *QAction) SetChecked(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChecked", vbo})
}

func (ptr *QAction) SetCheckedDefault(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckedDefault", vbo})
}

func (ptr *QAction) SetData(userData core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData", userData})
}

func (ptr *QAction) ConnectSetDisabled(f func(b bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetDisabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAction) DisconnectSetDisabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetDisabled"})
}

func (ptr *QAction) SetDisabled(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDisabled", b})
}

func (ptr *QAction) SetDisabledDefault(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDisabledDefault", b})
}

func (ptr *QAction) ConnectSetEnabled(f func(vbo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetEnabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAction) DisconnectSetEnabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetEnabled"})
}

func (ptr *QAction) SetEnabled(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEnabled", vbo})
}

func (ptr *QAction) SetEnabledDefault(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEnabledDefault", vbo})
}

func (ptr *QAction) SetFont(font gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont", font})
}

func (ptr *QAction) SetIcon(icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", icon})
}

func (ptr *QAction) SetIconText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconText", text})
}

func (ptr *QAction) SetIconVisibleInMenu(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconVisibleInMenu", visible})
}

func (ptr *QAction) SetMenu(menu QMenu_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMenu", menu})
}

func (ptr *QAction) SetMenuRole(menuRole QAction__MenuRole) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMenuRole", menuRole})
}

func (ptr *QAction) SetPriority(priority QAction__Priority) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPriority", priority})
}

func (ptr *QAction) SetSeparator(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSeparator", b})
}

func (ptr *QAction) SetShortcut(shortcut gui.QKeySequence_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShortcut", shortcut})
}

func (ptr *QAction) SetShortcutContext(context core.Qt__ShortcutContext) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShortcutContext", context})
}

func (ptr *QAction) SetShortcutVisibleInContextMenu(show bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShortcutVisibleInContextMenu", show})
}

func (ptr *QAction) SetShortcuts(shortcuts []*gui.QKeySequence) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShortcuts", shortcuts})
}

func (ptr *QAction) SetShortcuts2(key gui.QKeySequence__StandardKey) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShortcuts2", key})
}

func (ptr *QAction) SetStatusTip(statusTip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStatusTip", statusTip})
}

func (ptr *QAction) SetText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", text})
}

func (ptr *QAction) SetToolTip(tip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolTip", tip})
}

func (ptr *QAction) ConnectSetVisible(f func(vbo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetVisible", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAction) DisconnectSetVisible() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetVisible"})
}

func (ptr *QAction) SetVisible(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisible", vbo})
}

func (ptr *QAction) SetVisibleDefault(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisibleDefault", vbo})
}

func (ptr *QAction) SetWhatsThis(what string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWhatsThis", what})
}

func (ptr *QAction) Shortcut() *gui.QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shortcut"}).(*gui.QKeySequence)
}

func (ptr *QAction) ShortcutContext() core.Qt__ShortcutContext {

	return core.Qt__ShortcutContext(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShortcutContext"}).(float64))
}

func (ptr *QAction) Shortcuts() []*gui.QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shortcuts"}).([]*gui.QKeySequence)
}

func (ptr *QAction) ShowStatusText(widget QWidget_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowStatusText", widget}).(bool)
}

func (ptr *QAction) StatusTip() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StatusTip"}).(string)
}

func (ptr *QAction) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QAction) ConnectToggle(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectToggle", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAction) DisconnectToggle() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectToggle"})
}

func (ptr *QAction) Toggle() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Toggle"})
}

func (ptr *QAction) ToggleDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToggleDefault"})
}

func (ptr *QAction) ConnectToggled(f func(checked bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectToggled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAction) DisconnectToggled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectToggled"})
}

func (ptr *QAction) Toggled(checked bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Toggled", checked})
}

func (ptr *QAction) ToolTip() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolTip"}).(string)
}

func (ptr *QAction) ConnectTrigger(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTrigger", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAction) DisconnectTrigger() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTrigger"})
}

func (ptr *QAction) Trigger() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Trigger"})
}

func (ptr *QAction) TriggerDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TriggerDefault"})
}

func (ptr *QAction) ConnectTriggered(f func(checked bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTriggered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAction) DisconnectTriggered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTriggered"})
}

func (ptr *QAction) Triggered(checked bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Triggered", checked})
}

func (ptr *QAction) WhatsThis() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WhatsThis"}).(string)
}

func (ptr *QAction) ConnectDestroyQAction(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQAction", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QAction) DisconnectDestroyQAction() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQAction"})
}

func (ptr *QAction) DestroyQAction() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQAction"})
}

func (ptr *QAction) DestroyQActionDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQActionDefault"})
}

func (ptr *QAction) __associatedGraphicsWidgets_atList(i int) *QGraphicsWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__associatedGraphicsWidgets_atList", i}).(*QGraphicsWidget)
}

func (ptr *QAction) __associatedGraphicsWidgets_setList(i QGraphicsWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__associatedGraphicsWidgets_setList", i})
}

func (ptr *QAction) __associatedGraphicsWidgets_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__associatedGraphicsWidgets_newList"}).(unsafe.Pointer)
}

func (ptr *QAction) __associatedWidgets_atList(i int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__associatedWidgets_atList", i}).(*QWidget)
}

func (ptr *QAction) __associatedWidgets_setList(i QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__associatedWidgets_setList", i})
}

func (ptr *QAction) __associatedWidgets_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__associatedWidgets_newList"}).(unsafe.Pointer)
}

func (ptr *QAction) __setShortcuts_shortcuts_atList(i int) *gui.QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setShortcuts_shortcuts_atList", i}).(*gui.QKeySequence)
}

func (ptr *QAction) __setShortcuts_shortcuts_setList(i gui.QKeySequence_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setShortcuts_shortcuts_setList", i})
}

func (ptr *QAction) __setShortcuts_shortcuts_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setShortcuts_shortcuts_newList"}).(unsafe.Pointer)
}

func (ptr *QAction) __shortcuts_atList(i int) *gui.QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__shortcuts_atList", i}).(*gui.QKeySequence)
}

func (ptr *QAction) __shortcuts_setList(i gui.QKeySequence_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__shortcuts_setList", i})
}

func (ptr *QAction) __shortcuts_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__shortcuts_newList"}).(unsafe.Pointer)
}

func (ptr *QAction) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QAction) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QAction) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QAction) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QAction) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QAction) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QAction) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QAction) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QAction) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QAction) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QAction) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QAction) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QAction) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QAction) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QAction) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QAction) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QAction) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QAction) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QAction) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QAction) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QActionGroup struct {
	core.QObject
}

type QActionGroup_ITF interface {
	core.QObject_ITF
	QActionGroup_PTR() *QActionGroup
}

func (ptr *QActionGroup) QActionGroup_PTR() *QActionGroup {
	return ptr
}

func (ptr *QActionGroup) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QActionGroup) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQActionGroup(ptr QActionGroup_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QActionGroup_PTR().Pointer()
	}
	return nil
}

func (n *QActionGroup) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QActionGroup) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQActionGroupFromPointer(ptr unsafe.Pointer) (n *QActionGroup) {
	n = new(QActionGroup)
	n.InitFromInternal(uintptr(ptr), "widgets.QActionGroup")
	return
}
func NewQActionGroup(parent core.QObject_ITF) *QActionGroup {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQActionGroup", "", parent}).(*QActionGroup)
}

func (ptr *QActionGroup) Actions() []*QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Actions"}).([]*QAction)
}

func (ptr *QActionGroup) AddAction(action QAction_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction", action}).(*QAction)
}

func (ptr *QActionGroup) AddAction2(text string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction2", text}).(*QAction)
}

func (ptr *QActionGroup) AddAction3(icon gui.QIcon_ITF, text string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction3", icon, text}).(*QAction)
}

func (ptr *QActionGroup) CheckedAction() *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckedAction"}).(*QAction)
}

func (ptr *QActionGroup) ConnectHovered(f func(action *QAction)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHovered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QActionGroup) DisconnectHovered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHovered"})
}

func (ptr *QActionGroup) Hovered(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Hovered", action})
}

func (ptr *QActionGroup) IsEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEnabled"}).(bool)
}

func (ptr *QActionGroup) IsExclusive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsExclusive"}).(bool)
}

func (ptr *QActionGroup) IsVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsVisible"}).(bool)
}

func (ptr *QActionGroup) RemoveAction(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveAction", action})
}

func (ptr *QActionGroup) ConnectSetDisabled(f func(b bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetDisabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QActionGroup) DisconnectSetDisabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetDisabled"})
}

func (ptr *QActionGroup) SetDisabled(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDisabled", b})
}

func (ptr *QActionGroup) SetDisabledDefault(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDisabledDefault", b})
}

func (ptr *QActionGroup) ConnectSetEnabled(f func(vbo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetEnabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QActionGroup) DisconnectSetEnabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetEnabled"})
}

func (ptr *QActionGroup) SetEnabled(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEnabled", vbo})
}

func (ptr *QActionGroup) SetEnabledDefault(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEnabledDefault", vbo})
}

func (ptr *QActionGroup) ConnectSetExclusive(f func(vbo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetExclusive", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QActionGroup) DisconnectSetExclusive() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetExclusive"})
}

func (ptr *QActionGroup) SetExclusive(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetExclusive", vbo})
}

func (ptr *QActionGroup) SetExclusiveDefault(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetExclusiveDefault", vbo})
}

func (ptr *QActionGroup) ConnectSetVisible(f func(vbo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetVisible", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QActionGroup) DisconnectSetVisible() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetVisible"})
}

func (ptr *QActionGroup) SetVisible(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisible", vbo})
}

func (ptr *QActionGroup) SetVisibleDefault(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisibleDefault", vbo})
}

func (ptr *QActionGroup) ConnectTriggered(f func(action *QAction)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTriggered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QActionGroup) DisconnectTriggered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTriggered"})
}

func (ptr *QActionGroup) Triggered(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Triggered", action})
}

func (ptr *QActionGroup) ConnectDestroyQActionGroup(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQActionGroup", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QActionGroup) DisconnectDestroyQActionGroup() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQActionGroup"})
}

func (ptr *QActionGroup) DestroyQActionGroup() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQActionGroup"})
}

func (ptr *QActionGroup) DestroyQActionGroupDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQActionGroupDefault"})
}

func (ptr *QActionGroup) __actions_atList(i int) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__actions_atList", i}).(*QAction)
}

func (ptr *QActionGroup) __actions_setList(i QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__actions_setList", i})
}

func (ptr *QActionGroup) __actions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__actions_newList"}).(unsafe.Pointer)
}

func (ptr *QActionGroup) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QActionGroup) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QActionGroup) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QActionGroup) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QActionGroup) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QActionGroup) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QActionGroup) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QActionGroup) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QActionGroup) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QActionGroup) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QActionGroup) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QActionGroup) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QActionGroup) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QActionGroup) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QActionGroup) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QActionGroup) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QActionGroup) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QActionGroup) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QActionGroup) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QActionGroup) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QActionGroup) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QApplication struct {
	gui.QGuiApplication
}

type QApplication_ITF interface {
	gui.QGuiApplication_ITF
	QApplication_PTR() *QApplication
}

func (ptr *QApplication) QApplication_PTR() *QApplication {
	return ptr
}

func (ptr *QApplication) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGuiApplication_PTR().Pointer()
	}
	return nil
}

func (ptr *QApplication) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGuiApplication_PTR().SetPointer(p)
	}
}

func PointerFromQApplication(ptr QApplication_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QApplication_PTR().Pointer()
	}
	return nil
}

func (n *QApplication) InitFromInternal(ptr uintptr, name string) {
	n.QGuiApplication_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QApplication) ClassNameInternalF() string {
	return n.QGuiApplication_PTR().ClassNameInternalF()
}

func NewQApplicationFromPointer(ptr unsafe.Pointer) (n *QApplication) {
	n = new(QApplication)
	n.InitFromInternal(uintptr(ptr), "widgets.QApplication")
	return
}
func NewQApplication(argc int, argv []string) *QApplication {

	gow.InitProcess()
	return NewQApplicationFromPointer(core.QCoreApplication_Instance().Pointer())
}

func (ptr *QApplication) ConnectAboutQt(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAboutQt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QApplication) DisconnectAboutQt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAboutQt"})
}

func (ptr *QApplication) AboutQt() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AboutQt"})
}

func (ptr *QApplication) AboutQtDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AboutQtDefault"})
}

func QApplication_ActiveModalWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_ActiveModalWidget", ""}).(*QWidget)
}

func (ptr *QApplication) ActiveModalWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_ActiveModalWidget", ""}).(*QWidget)
}

func QApplication_ActivePopupWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_ActivePopupWidget", ""}).(*QWidget)
}

func (ptr *QApplication) ActivePopupWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_ActivePopupWidget", ""}).(*QWidget)
}

func QApplication_ActiveWindow() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_ActiveWindow", ""}).(*QWidget)
}

func (ptr *QApplication) ActiveWindow() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_ActiveWindow", ""}).(*QWidget)
}

func QApplication_Alert(widget QWidget_ITF, msec int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Alert", "", widget, msec})
}

func (ptr *QApplication) Alert(widget QWidget_ITF, msec int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Alert", "", widget, msec})
}

func QApplication_AllWidgets() []*QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_AllWidgets", ""}).([]*QWidget)
}

func (ptr *QApplication) AllWidgets() []*QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_AllWidgets", ""}).([]*QWidget)
}

func (ptr *QApplication) ConnectAutoSipEnabled(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAutoSipEnabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QApplication) DisconnectAutoSipEnabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAutoSipEnabled"})
}

func (ptr *QApplication) AutoSipEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoSipEnabled"}).(bool)
}

func (ptr *QApplication) AutoSipEnabledDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoSipEnabledDefault"}).(bool)
}

func QApplication_Beep() {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Beep", ""})
}

func (ptr *QApplication) Beep() {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Beep", ""})
}

func (ptr *QApplication) ConnectCloseAllWindows(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCloseAllWindows", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QApplication) DisconnectCloseAllWindows() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCloseAllWindows"})
}

func (ptr *QApplication) CloseAllWindows() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloseAllWindows"})
}

func (ptr *QApplication) CloseAllWindowsDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloseAllWindowsDefault"})
}

func QApplication_CursorFlashTime() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_CursorFlashTime", ""}).(float64))
}

func (ptr *QApplication) CursorFlashTime() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_CursorFlashTime", ""}).(float64))
}

func QApplication_Desktop() *QDesktopWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Desktop", ""}).(*QDesktopWidget)
}

func (ptr *QApplication) Desktop() *QDesktopWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Desktop", ""}).(*QDesktopWidget)
}

func QApplication_DoubleClickInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_DoubleClickInterval", ""}).(float64))
}

func (ptr *QApplication) DoubleClickInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_DoubleClickInterval", ""}).(float64))
}

func (ptr *QApplication) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func QApplication_Exec() int {

	gow.Exec()
	return 0
}

func (ptr *QApplication) Exec() int {

	gow.Exec()
	return 0
}

func (ptr *QApplication) ConnectFocusChanged(f func(old *QWidget, now *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QApplication) DisconnectFocusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusChanged"})
}

func (ptr *QApplication) FocusChanged(old QWidget_ITF, now QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusChanged", old, now})
}

func QApplication_FocusWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_FocusWidget", ""}).(*QWidget)
}

func (ptr *QApplication) FocusWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_FocusWidget", ""}).(*QWidget)
}

func QApplication_Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Font", ""}).(*gui.QFont)
}

func (ptr *QApplication) Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Font", ""}).(*gui.QFont)
}

func QApplication_Font2(widget QWidget_ITF) *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Font2", "", widget}).(*gui.QFont)
}

func (ptr *QApplication) Font2(widget QWidget_ITF) *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Font2", "", widget}).(*gui.QFont)
}

func QApplication_Font3(className string) *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Font3", "", className}).(*gui.QFont)
}

func (ptr *QApplication) Font3(className string) *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Font3", "", className}).(*gui.QFont)
}

func QApplication_FontMetrics() *gui.QFontMetrics {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_FontMetrics", ""}).(*gui.QFontMetrics)
}

func (ptr *QApplication) FontMetrics() *gui.QFontMetrics {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_FontMetrics", ""}).(*gui.QFontMetrics)
}

func QApplication_GlobalStrut() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_GlobalStrut", ""}).(*core.QSize)
}

func (ptr *QApplication) GlobalStrut() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_GlobalStrut", ""}).(*core.QSize)
}

func QApplication_IsEffectEnabled(effect core.Qt__UIEffect) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_IsEffectEnabled", "", effect}).(bool)
}

func (ptr *QApplication) IsEffectEnabled(effect core.Qt__UIEffect) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_IsEffectEnabled", "", effect}).(bool)
}

func QApplication_KeyboardInputInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_KeyboardInputInterval", ""}).(float64))
}

func (ptr *QApplication) KeyboardInputInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_KeyboardInputInterval", ""}).(float64))
}

func QApplication_NavigationMode() core.Qt__NavigationMode {

	return core.Qt__NavigationMode(internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_NavigationMode", ""}).(float64))
}

func (ptr *QApplication) NavigationMode() core.Qt__NavigationMode {

	return core.Qt__NavigationMode(internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_NavigationMode", ""}).(float64))
}

func QApplication_Palette(widget QWidget_ITF) *gui.QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Palette", "", widget}).(*gui.QPalette)
}

func (ptr *QApplication) Palette(widget QWidget_ITF) *gui.QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Palette", "", widget}).(*gui.QPalette)
}

func QApplication_Palette2(className string) *gui.QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Palette2", "", className}).(*gui.QPalette)
}

func (ptr *QApplication) Palette2(className string) *gui.QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Palette2", "", className}).(*gui.QPalette)
}

func QApplication_SetActiveWindow(active QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetActiveWindow", "", active})
}

func (ptr *QApplication) SetActiveWindow(active QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetActiveWindow", "", active})
}

func (ptr *QApplication) ConnectSetAutoSipEnabled(f func(enabled bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetAutoSipEnabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QApplication) DisconnectSetAutoSipEnabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetAutoSipEnabled"})
}

func (ptr *QApplication) SetAutoSipEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoSipEnabled", enabled})
}

func (ptr *QApplication) SetAutoSipEnabledDefault(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoSipEnabledDefault", enabled})
}

func QApplication_SetCursorFlashTime(vin int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetCursorFlashTime", "", vin})
}

func (ptr *QApplication) SetCursorFlashTime(vin int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetCursorFlashTime", "", vin})
}

func QApplication_SetDoubleClickInterval(vin int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetDoubleClickInterval", "", vin})
}

func (ptr *QApplication) SetDoubleClickInterval(vin int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetDoubleClickInterval", "", vin})
}

func QApplication_SetEffectEnabled(effect core.Qt__UIEffect, enable bool) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetEffectEnabled", "", effect, enable})
}

func (ptr *QApplication) SetEffectEnabled(effect core.Qt__UIEffect, enable bool) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetEffectEnabled", "", effect, enable})
}

func QApplication_SetFont(font gui.QFont_ITF, className string) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetFont", "", font, className})
}

func (ptr *QApplication) SetFont(font gui.QFont_ITF, className string) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetFont", "", font, className})
}

func QApplication_SetGlobalStrut(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetGlobalStrut", "", vqs})
}

func (ptr *QApplication) SetGlobalStrut(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetGlobalStrut", "", vqs})
}

func QApplication_SetKeyboardInputInterval(vin int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetKeyboardInputInterval", "", vin})
}

func (ptr *QApplication) SetKeyboardInputInterval(vin int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetKeyboardInputInterval", "", vin})
}

func QApplication_SetNavigationMode(mode core.Qt__NavigationMode) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetNavigationMode", "", mode})
}

func (ptr *QApplication) SetNavigationMode(mode core.Qt__NavigationMode) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetNavigationMode", "", mode})
}

func QApplication_SetPalette(palette gui.QPalette_ITF, className string) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetPalette", "", palette, className})
}

func (ptr *QApplication) SetPalette(palette gui.QPalette_ITF, className string) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetPalette", "", palette, className})
}

func QApplication_SetStartDragDistance(l int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetStartDragDistance", "", l})
}

func (ptr *QApplication) SetStartDragDistance(l int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetStartDragDistance", "", l})
}

func QApplication_SetStartDragTime(ms int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetStartDragTime", "", ms})
}

func (ptr *QApplication) SetStartDragTime(ms int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetStartDragTime", "", ms})
}

func QApplication_SetStyle(style QStyle_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetStyle", "", style})
}

func (ptr *QApplication) SetStyle(style QStyle_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetStyle", "", style})
}

func QApplication_SetStyle2(style string) *QStyle {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetStyle2", "", style}).(*QStyle)
}

func (ptr *QApplication) SetStyle2(style string) *QStyle {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetStyle2", "", style}).(*QStyle)
}

func (ptr *QApplication) ConnectSetStyleSheet(f func(sheet string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetStyleSheet", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QApplication) DisconnectSetStyleSheet() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetStyleSheet"})
}

func (ptr *QApplication) SetStyleSheet(sheet string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStyleSheet", sheet})
}

func (ptr *QApplication) SetStyleSheetDefault(sheet string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStyleSheetDefault", sheet})
}

func QApplication_SetWheelScrollLines(vin int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetWheelScrollLines", "", vin})
}

func (ptr *QApplication) SetWheelScrollLines(vin int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetWheelScrollLines", "", vin})
}

func QApplication_SetWindowIcon(icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetWindowIcon", "", icon})
}

func (ptr *QApplication) SetWindowIcon(icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_SetWindowIcon", "", icon})
}

func QApplication_StartDragDistance() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_StartDragDistance", ""}).(float64))
}

func (ptr *QApplication) StartDragDistance() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_StartDragDistance", ""}).(float64))
}

func QApplication_StartDragTime() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_StartDragTime", ""}).(float64))
}

func (ptr *QApplication) StartDragTime() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_StartDragTime", ""}).(float64))
}

func QApplication_Style() *QStyle {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Style", ""}).(*QStyle)
}

func (ptr *QApplication) Style() *QStyle {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_Style", ""}).(*QStyle)
}

func (ptr *QApplication) StyleSheet() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StyleSheet"}).(string)
}

func QApplication_TopLevelAt(point core.QPoint_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_TopLevelAt", "", point}).(*QWidget)
}

func (ptr *QApplication) TopLevelAt(point core.QPoint_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_TopLevelAt", "", point}).(*QWidget)
}

func QApplication_TopLevelAt2(x int, y int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_TopLevelAt2", "", x, y}).(*QWidget)
}

func (ptr *QApplication) TopLevelAt2(x int, y int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_TopLevelAt2", "", x, y}).(*QWidget)
}

func QApplication_TopLevelWidgets() []*QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_TopLevelWidgets", ""}).([]*QWidget)
}

func (ptr *QApplication) TopLevelWidgets() []*QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_TopLevelWidgets", ""}).([]*QWidget)
}

func QApplication_WheelScrollLines() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_WheelScrollLines", ""}).(float64))
}

func (ptr *QApplication) WheelScrollLines() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_WheelScrollLines", ""}).(float64))
}

func QApplication_WidgetAt(point core.QPoint_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_WidgetAt", "", point}).(*QWidget)
}

func (ptr *QApplication) WidgetAt(point core.QPoint_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_WidgetAt", "", point}).(*QWidget)
}

func QApplication_WidgetAt2(x int, y int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_WidgetAt2", "", x, y}).(*QWidget)
}

func (ptr *QApplication) WidgetAt2(x int, y int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_WidgetAt2", "", x, y}).(*QWidget)
}

func QApplication_WindowIcon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_WindowIcon", ""}).(*gui.QIcon)
}

func (ptr *QApplication) WindowIcon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QApplication_WindowIcon", ""}).(*gui.QIcon)
}

func (ptr *QApplication) ConnectDestroyQApplication(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQApplication", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QApplication) DisconnectDestroyQApplication() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQApplication"})
}

func (ptr *QApplication) DestroyQApplication() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQApplication"})
}

func (ptr *QApplication) DestroyQApplicationDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQApplicationDefault"})
}

func (ptr *QApplication) __allWidgets_atList(i int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__allWidgets_atList", i}).(*QWidget)
}

func (ptr *QApplication) __allWidgets_setList(i QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__allWidgets_setList", i})
}

func (ptr *QApplication) __allWidgets_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__allWidgets_newList"}).(unsafe.Pointer)
}

func (ptr *QApplication) __topLevelWidgets_atList(i int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__topLevelWidgets_atList", i}).(*QWidget)
}

func (ptr *QApplication) __topLevelWidgets_setList(i QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__topLevelWidgets_setList", i})
}

func (ptr *QApplication) __topLevelWidgets_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__topLevelWidgets_newList"}).(unsafe.Pointer)
}

func (ptr *QApplication) __screens_atList(i int) *gui.QScreen {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__screens_atList", i}).(*gui.QScreen)
}

func (ptr *QApplication) __screens_setList(i gui.QScreen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__screens_setList", i})
}

func (ptr *QApplication) __screens_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__screens_newList"}).(unsafe.Pointer)
}

func (ptr *QApplication) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QApplication) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QApplication) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QApplication) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QApplication) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QApplication) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QApplication) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QApplication) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QApplication) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QApplication) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QApplication) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QApplication) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QApplication) QuitDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "QuitDefault"})
}

func (ptr *QApplication) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QApplication) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QApplication) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QApplication) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QApplication) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QApplication) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QApplication) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QApplication) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QBoxLayout struct {
	QLayout
}

type QBoxLayout_ITF interface {
	QLayout_ITF
	QBoxLayout_PTR() *QBoxLayout
}

func (ptr *QBoxLayout) QBoxLayout_PTR() *QBoxLayout {
	return ptr
}

func (ptr *QBoxLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QLayout_PTR().Pointer()
	}
	return nil
}

func (ptr *QBoxLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QLayout_PTR().SetPointer(p)
	}
}

func PointerFromQBoxLayout(ptr QBoxLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QBoxLayout_PTR().Pointer()
	}
	return nil
}

func (n *QBoxLayout) InitFromInternal(ptr uintptr, name string) {
	n.QLayout_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QBoxLayout) ClassNameInternalF() string {
	return n.QLayout_PTR().ClassNameInternalF()
}

func NewQBoxLayoutFromPointer(ptr unsafe.Pointer) (n *QBoxLayout) {
	n = new(QBoxLayout)
	n.InitFromInternal(uintptr(ptr), "widgets.QBoxLayout")
	return
}

//go:generate stringer -type=QBoxLayout__Direction
//QBoxLayout::Direction
type QBoxLayout__Direction int64

const (
	QBoxLayout__LeftToRight QBoxLayout__Direction = QBoxLayout__Direction(0)
	QBoxLayout__RightToLeft QBoxLayout__Direction = QBoxLayout__Direction(1)
	QBoxLayout__TopToBottom QBoxLayout__Direction = QBoxLayout__Direction(2)
	QBoxLayout__BottomToTop QBoxLayout__Direction = QBoxLayout__Direction(3)
	QBoxLayout__Down        QBoxLayout__Direction = QBoxLayout__Direction(QBoxLayout__TopToBottom)
	QBoxLayout__Up          QBoxLayout__Direction = QBoxLayout__Direction(QBoxLayout__BottomToTop)
)

func NewQBoxLayout(dir QBoxLayout__Direction, parent QWidget_ITF) *QBoxLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQBoxLayout", "", dir, parent}).(*QBoxLayout)
}

func (ptr *QBoxLayout) ConnectAddItem(f func(item *QLayoutItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAddItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QBoxLayout) DisconnectAddItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAddItem"})
}

func (ptr *QBoxLayout) AddItem(item QLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem", item})
}

func (ptr *QBoxLayout) AddItemDefault(item QLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItemDefault", item})
}

func (ptr *QBoxLayout) AddLayout(layout QLayout_ITF, stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddLayout", layout, stretch})
}

func (ptr *QBoxLayout) AddSpacerItem(spacerItem QSpacerItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddSpacerItem", spacerItem})
}

func (ptr *QBoxLayout) AddSpacing(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddSpacing", size})
}

func (ptr *QBoxLayout) AddStretch(stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddStretch", stretch})
}

func (ptr *QBoxLayout) AddStrut(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddStrut", size})
}

func (ptr *QBoxLayout) AddWidget(widget QWidget_ITF, stretch int, alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddWidget", widget, stretch, alignment})
}

func (ptr *QBoxLayout) ConnectCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QBoxLayout) DisconnectCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCount"})
}

func (ptr *QBoxLayout) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QBoxLayout) CountDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CountDefault"}).(float64))
}

func (ptr *QBoxLayout) Direction() QBoxLayout__Direction {

	return QBoxLayout__Direction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Direction"}).(float64))
}

func (ptr *QBoxLayout) InsertItem(index int, item QLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertItem", index, item})
}

func (ptr *QBoxLayout) InsertLayout(index int, layout QLayout_ITF, stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertLayout", index, layout, stretch})
}

func (ptr *QBoxLayout) InsertSpacerItem(index int, spacerItem QSpacerItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertSpacerItem", index, spacerItem})
}

func (ptr *QBoxLayout) InsertSpacing(index int, size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertSpacing", index, size})
}

func (ptr *QBoxLayout) InsertStretch(index int, stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertStretch", index, stretch})
}

func (ptr *QBoxLayout) InsertWidget(index int, widget QWidget_ITF, stretch int, alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertWidget", index, widget, stretch, alignment})
}

func (ptr *QBoxLayout) ConnectItemAt(f func(index int) *QLayoutItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QBoxLayout) DisconnectItemAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemAt"})
}

func (ptr *QBoxLayout) ItemAt(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt", index}).(*QLayoutItem)
}

func (ptr *QBoxLayout) ItemAtDefault(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAtDefault", index}).(*QLayoutItem)
}

func (ptr *QBoxLayout) SetDirection(direction QBoxLayout__Direction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDirection", direction})
}

func (ptr *QBoxLayout) SetStretch(index int, stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStretch", index, stretch})
}

func (ptr *QBoxLayout) SetStretchFactor(widget QWidget_ITF, stretch int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStretchFactor", widget, stretch}).(bool)
}

func (ptr *QBoxLayout) SetStretchFactor2(layout QLayout_ITF, stretch int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStretchFactor2", layout, stretch}).(bool)
}

func (ptr *QBoxLayout) ConnectSizeHint(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QBoxLayout) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QBoxLayout) SizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint"}).(*core.QSize)
}

func (ptr *QBoxLayout) SizeHintDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintDefault"}).(*core.QSize)
}

func (ptr *QBoxLayout) Stretch(index int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stretch", index}).(float64))
}

func (ptr *QBoxLayout) ConnectTakeAt(f func(index int) *QLayoutItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTakeAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QBoxLayout) DisconnectTakeAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTakeAt"})
}

func (ptr *QBoxLayout) TakeAt(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeAt", index}).(*QLayoutItem)
}

func (ptr *QBoxLayout) TakeAtDefault(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeAtDefault", index}).(*QLayoutItem)
}

func (ptr *QBoxLayout) ConnectDestroyQBoxLayout(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQBoxLayout", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QBoxLayout) DisconnectDestroyQBoxLayout() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQBoxLayout"})
}

func (ptr *QBoxLayout) DestroyQBoxLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQBoxLayout"})
}

func (ptr *QBoxLayout) DestroyQBoxLayoutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQBoxLayoutDefault"})
}

type QButtonGroup struct {
	core.QObject
}

type QButtonGroup_ITF interface {
	core.QObject_ITF
	QButtonGroup_PTR() *QButtonGroup
}

func (ptr *QButtonGroup) QButtonGroup_PTR() *QButtonGroup {
	return ptr
}

func (ptr *QButtonGroup) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QButtonGroup) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQButtonGroup(ptr QButtonGroup_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QButtonGroup_PTR().Pointer()
	}
	return nil
}

func (n *QButtonGroup) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QButtonGroup) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQButtonGroupFromPointer(ptr unsafe.Pointer) (n *QButtonGroup) {
	n = new(QButtonGroup)
	n.InitFromInternal(uintptr(ptr), "widgets.QButtonGroup")
	return
}
func NewQButtonGroup(parent core.QObject_ITF) *QButtonGroup {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQButtonGroup", "", parent}).(*QButtonGroup)
}

func (ptr *QButtonGroup) AddButton(button QAbstractButton_ITF, id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddButton", button, id})
}

func (ptr *QButtonGroup) Button(id int) *QAbstractButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Button", id}).(*QAbstractButton)
}

func (ptr *QButtonGroup) ConnectButtonClicked(f func(button *QAbstractButton)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectButtonClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QButtonGroup) DisconnectButtonClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectButtonClicked"})
}

func (ptr *QButtonGroup) ButtonClicked(button QAbstractButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonClicked", button})
}

func (ptr *QButtonGroup) ConnectButtonClicked2(f func(id int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectButtonClicked2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QButtonGroup) DisconnectButtonClicked2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectButtonClicked2"})
}

func (ptr *QButtonGroup) ButtonClicked2(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonClicked2", id})
}

func (ptr *QButtonGroup) ConnectButtonPressed(f func(button *QAbstractButton)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectButtonPressed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QButtonGroup) DisconnectButtonPressed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectButtonPressed"})
}

func (ptr *QButtonGroup) ButtonPressed(button QAbstractButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonPressed", button})
}

func (ptr *QButtonGroup) ConnectButtonPressed2(f func(id int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectButtonPressed2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QButtonGroup) DisconnectButtonPressed2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectButtonPressed2"})
}

func (ptr *QButtonGroup) ButtonPressed2(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonPressed2", id})
}

func (ptr *QButtonGroup) ConnectButtonReleased(f func(button *QAbstractButton)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectButtonReleased", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QButtonGroup) DisconnectButtonReleased() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectButtonReleased"})
}

func (ptr *QButtonGroup) ButtonReleased(button QAbstractButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonReleased", button})
}

func (ptr *QButtonGroup) ConnectButtonReleased2(f func(id int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectButtonReleased2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QButtonGroup) DisconnectButtonReleased2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectButtonReleased2"})
}

func (ptr *QButtonGroup) ButtonReleased2(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonReleased2", id})
}

func (ptr *QButtonGroup) ConnectButtonToggled(f func(button *QAbstractButton, checked bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectButtonToggled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QButtonGroup) DisconnectButtonToggled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectButtonToggled"})
}

func (ptr *QButtonGroup) ButtonToggled(button QAbstractButton_ITF, checked bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonToggled", button, checked})
}

func (ptr *QButtonGroup) ConnectButtonToggled2(f func(id int, checked bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectButtonToggled2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QButtonGroup) DisconnectButtonToggled2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectButtonToggled2"})
}

func (ptr *QButtonGroup) ButtonToggled2(id int, checked bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonToggled2", id, checked})
}

func (ptr *QButtonGroup) Buttons() []*QAbstractButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Buttons"}).([]*QAbstractButton)
}

func (ptr *QButtonGroup) CheckedButton() *QAbstractButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckedButton"}).(*QAbstractButton)
}

func (ptr *QButtonGroup) CheckedId() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckedId"}).(float64))
}

func (ptr *QButtonGroup) Exclusive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exclusive"}).(bool)
}

func (ptr *QButtonGroup) Id(button QAbstractButton_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Id", button}).(float64))
}

func (ptr *QButtonGroup) RemoveButton(button QAbstractButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveButton", button})
}

func (ptr *QButtonGroup) SetExclusive(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetExclusive", vbo})
}

func (ptr *QButtonGroup) SetId(button QAbstractButton_ITF, id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetId", button, id})
}

func (ptr *QButtonGroup) ConnectDestroyQButtonGroup(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQButtonGroup", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QButtonGroup) DisconnectDestroyQButtonGroup() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQButtonGroup"})
}

func (ptr *QButtonGroup) DestroyQButtonGroup() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQButtonGroup"})
}

func (ptr *QButtonGroup) DestroyQButtonGroupDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQButtonGroupDefault"})
}

func (ptr *QButtonGroup) __buttons_atList(i int) *QAbstractButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__buttons_atList", i}).(*QAbstractButton)
}

func (ptr *QButtonGroup) __buttons_setList(i QAbstractButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__buttons_setList", i})
}

func (ptr *QButtonGroup) __buttons_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__buttons_newList"}).(unsafe.Pointer)
}

func (ptr *QButtonGroup) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QButtonGroup) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QButtonGroup) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QButtonGroup) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QButtonGroup) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QButtonGroup) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QButtonGroup) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QButtonGroup) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QButtonGroup) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QButtonGroup) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QButtonGroup) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QButtonGroup) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QButtonGroup) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QButtonGroup) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QButtonGroup) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QButtonGroup) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QButtonGroup) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QButtonGroup) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QButtonGroup) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QButtonGroup) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QButtonGroup) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QCalendarWidget struct {
	QWidget
}

type QCalendarWidget_ITF interface {
	QWidget_ITF
	QCalendarWidget_PTR() *QCalendarWidget
}

func (ptr *QCalendarWidget) QCalendarWidget_PTR() *QCalendarWidget {
	return ptr
}

func (ptr *QCalendarWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QCalendarWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQCalendarWidget(ptr QCalendarWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCalendarWidget_PTR().Pointer()
	}
	return nil
}

func (n *QCalendarWidget) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCalendarWidget) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQCalendarWidgetFromPointer(ptr unsafe.Pointer) (n *QCalendarWidget) {
	n = new(QCalendarWidget)
	n.InitFromInternal(uintptr(ptr), "widgets.QCalendarWidget")
	return
}

//go:generate stringer -type=QCalendarWidget__VerticalHeaderFormat
//QCalendarWidget::VerticalHeaderFormat
type QCalendarWidget__VerticalHeaderFormat int64

const (
	QCalendarWidget__NoVerticalHeader QCalendarWidget__VerticalHeaderFormat = QCalendarWidget__VerticalHeaderFormat(0)
	QCalendarWidget__ISOWeekNumbers   QCalendarWidget__VerticalHeaderFormat = QCalendarWidget__VerticalHeaderFormat(1)
)

//go:generate stringer -type=QCalendarWidget__SelectionMode
//QCalendarWidget::SelectionMode
type QCalendarWidget__SelectionMode int64

const (
	QCalendarWidget__NoSelection     QCalendarWidget__SelectionMode = QCalendarWidget__SelectionMode(0)
	QCalendarWidget__SingleSelection QCalendarWidget__SelectionMode = QCalendarWidget__SelectionMode(1)
)

//go:generate stringer -type=QCalendarWidget__HorizontalHeaderFormat
//QCalendarWidget::HorizontalHeaderFormat
type QCalendarWidget__HorizontalHeaderFormat int64

const (
	QCalendarWidget__NoHorizontalHeader   QCalendarWidget__HorizontalHeaderFormat = QCalendarWidget__HorizontalHeaderFormat(0)
	QCalendarWidget__SingleLetterDayNames QCalendarWidget__HorizontalHeaderFormat = QCalendarWidget__HorizontalHeaderFormat(1)
	QCalendarWidget__ShortDayNames        QCalendarWidget__HorizontalHeaderFormat = QCalendarWidget__HorizontalHeaderFormat(2)
	QCalendarWidget__LongDayNames         QCalendarWidget__HorizontalHeaderFormat = QCalendarWidget__HorizontalHeaderFormat(3)
)

func NewQCalendarWidget(parent QWidget_ITF) *QCalendarWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQCalendarWidget", "", parent}).(*QCalendarWidget)
}

func (ptr *QCalendarWidget) ConnectActivated(f func(date *core.QDate)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActivated"})
}

func (ptr *QCalendarWidget) Activated(date core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Activated", date})
}

func (ptr *QCalendarWidget) ConnectClicked(f func(date *core.QDate)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClicked"})
}

func (ptr *QCalendarWidget) Clicked(date core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clicked", date})
}

func (ptr *QCalendarWidget) ConnectCurrentPageChanged(f func(year int, month int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentPageChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectCurrentPageChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentPageChanged"})
}

func (ptr *QCalendarWidget) CurrentPageChanged(year int, month int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentPageChanged", year, month})
}

func (ptr *QCalendarWidget) DateEditAcceptDelay() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DateEditAcceptDelay"}).(float64))
}

func (ptr *QCalendarWidget) DateTextFormat() map[*core.QDate]*gui.QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DateTextFormat"}).(map[*core.QDate]*gui.QTextCharFormat)
}

func (ptr *QCalendarWidget) DateTextFormat2(date core.QDate_ITF) *gui.QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DateTextFormat2", date}).(*gui.QTextCharFormat)
}

func (ptr *QCalendarWidget) FirstDayOfWeek() core.Qt__DayOfWeek {

	return core.Qt__DayOfWeek(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FirstDayOfWeek"}).(float64))
}

func (ptr *QCalendarWidget) HeaderTextFormat() *gui.QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeaderTextFormat"}).(*gui.QTextCharFormat)
}

func (ptr *QCalendarWidget) HorizontalHeaderFormat() QCalendarWidget__HorizontalHeaderFormat {

	return QCalendarWidget__HorizontalHeaderFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalHeaderFormat"}).(float64))
}

func (ptr *QCalendarWidget) IsDateEditEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDateEditEnabled"}).(bool)
}

func (ptr *QCalendarWidget) IsGridVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsGridVisible"}).(bool)
}

func (ptr *QCalendarWidget) IsNavigationBarVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNavigationBarVisible"}).(bool)
}

func (ptr *QCalendarWidget) MaximumDate() *core.QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumDate"}).(*core.QDate)
}

func (ptr *QCalendarWidget) MinimumDate() *core.QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumDate"}).(*core.QDate)
}

func (ptr *QCalendarWidget) MonthShown() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MonthShown"}).(float64))
}

func (ptr *QCalendarWidget) ConnectPaintCell(f func(painter *gui.QPainter, rect *core.QRect, date *core.QDate)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaintCell", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectPaintCell() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaintCell"})
}

func (ptr *QCalendarWidget) PaintCell(painter gui.QPainter_ITF, rect core.QRect_ITF, date core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintCell", painter, rect, date})
}

func (ptr *QCalendarWidget) PaintCellDefault(painter gui.QPainter_ITF, rect core.QRect_ITF, date core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintCellDefault", painter, rect, date})
}

func (ptr *QCalendarWidget) SelectedDate() *core.QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedDate"}).(*core.QDate)
}

func (ptr *QCalendarWidget) ConnectSelectionChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectSelectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectionChanged"})
}

func (ptr *QCalendarWidget) SelectionChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChanged"})
}

func (ptr *QCalendarWidget) SelectionMode() QCalendarWidget__SelectionMode {

	return QCalendarWidget__SelectionMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionMode"}).(float64))
}

func (ptr *QCalendarWidget) ConnectSetCurrentPage(f func(year int, month int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentPage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectSetCurrentPage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentPage"})
}

func (ptr *QCalendarWidget) SetCurrentPage(year int, month int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentPage", year, month})
}

func (ptr *QCalendarWidget) SetCurrentPageDefault(year int, month int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentPageDefault", year, month})
}

func (ptr *QCalendarWidget) SetDateEditAcceptDelay(delay int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDateEditAcceptDelay", delay})
}

func (ptr *QCalendarWidget) SetDateEditEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDateEditEnabled", enable})
}

func (ptr *QCalendarWidget) ConnectSetDateRange(f func(min *core.QDate, max *core.QDate)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetDateRange", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectSetDateRange() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetDateRange"})
}

func (ptr *QCalendarWidget) SetDateRange(min core.QDate_ITF, max core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDateRange", min, max})
}

func (ptr *QCalendarWidget) SetDateRangeDefault(min core.QDate_ITF, max core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDateRangeDefault", min, max})
}

func (ptr *QCalendarWidget) SetDateTextFormat(date core.QDate_ITF, format gui.QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDateTextFormat", date, format})
}

func (ptr *QCalendarWidget) SetFirstDayOfWeek(dayOfWeek core.Qt__DayOfWeek) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFirstDayOfWeek", dayOfWeek})
}

func (ptr *QCalendarWidget) ConnectSetGridVisible(f func(show bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetGridVisible", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectSetGridVisible() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetGridVisible"})
}

func (ptr *QCalendarWidget) SetGridVisible(show bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGridVisible", show})
}

func (ptr *QCalendarWidget) SetGridVisibleDefault(show bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGridVisibleDefault", show})
}

func (ptr *QCalendarWidget) SetHeaderTextFormat(format gui.QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeaderTextFormat", format})
}

func (ptr *QCalendarWidget) SetHorizontalHeaderFormat(format QCalendarWidget__HorizontalHeaderFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalHeaderFormat", format})
}

func (ptr *QCalendarWidget) SetMaximumDate(date core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumDate", date})
}

func (ptr *QCalendarWidget) SetMinimumDate(date core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumDate", date})
}

func (ptr *QCalendarWidget) ConnectSetNavigationBarVisible(f func(visible bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetNavigationBarVisible", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectSetNavigationBarVisible() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetNavigationBarVisible"})
}

func (ptr *QCalendarWidget) SetNavigationBarVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNavigationBarVisible", visible})
}

func (ptr *QCalendarWidget) SetNavigationBarVisibleDefault(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNavigationBarVisibleDefault", visible})
}

func (ptr *QCalendarWidget) ConnectSetSelectedDate(f func(date *core.QDate)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSelectedDate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectSetSelectedDate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSelectedDate"})
}

func (ptr *QCalendarWidget) SetSelectedDate(date core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectedDate", date})
}

func (ptr *QCalendarWidget) SetSelectedDateDefault(date core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectedDateDefault", date})
}

func (ptr *QCalendarWidget) SetSelectionMode(mode QCalendarWidget__SelectionMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionMode", mode})
}

func (ptr *QCalendarWidget) SetVerticalHeaderFormat(format QCalendarWidget__VerticalHeaderFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalHeaderFormat", format})
}

func (ptr *QCalendarWidget) SetWeekdayTextFormat(dayOfWeek core.Qt__DayOfWeek, format gui.QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWeekdayTextFormat", dayOfWeek, format})
}

func (ptr *QCalendarWidget) ConnectShowNextMonth(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowNextMonth", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectShowNextMonth() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowNextMonth"})
}

func (ptr *QCalendarWidget) ShowNextMonth() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowNextMonth"})
}

func (ptr *QCalendarWidget) ShowNextMonthDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowNextMonthDefault"})
}

func (ptr *QCalendarWidget) ConnectShowNextYear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowNextYear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectShowNextYear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowNextYear"})
}

func (ptr *QCalendarWidget) ShowNextYear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowNextYear"})
}

func (ptr *QCalendarWidget) ShowNextYearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowNextYearDefault"})
}

func (ptr *QCalendarWidget) ConnectShowPreviousMonth(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowPreviousMonth", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectShowPreviousMonth() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowPreviousMonth"})
}

func (ptr *QCalendarWidget) ShowPreviousMonth() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowPreviousMonth"})
}

func (ptr *QCalendarWidget) ShowPreviousMonthDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowPreviousMonthDefault"})
}

func (ptr *QCalendarWidget) ConnectShowPreviousYear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowPreviousYear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectShowPreviousYear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowPreviousYear"})
}

func (ptr *QCalendarWidget) ShowPreviousYear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowPreviousYear"})
}

func (ptr *QCalendarWidget) ShowPreviousYearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowPreviousYearDefault"})
}

func (ptr *QCalendarWidget) ConnectShowSelectedDate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowSelectedDate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectShowSelectedDate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowSelectedDate"})
}

func (ptr *QCalendarWidget) ShowSelectedDate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowSelectedDate"})
}

func (ptr *QCalendarWidget) ShowSelectedDateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowSelectedDateDefault"})
}

func (ptr *QCalendarWidget) ConnectShowToday(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowToday", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectShowToday() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowToday"})
}

func (ptr *QCalendarWidget) ShowToday() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowToday"})
}

func (ptr *QCalendarWidget) ShowTodayDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowTodayDefault"})
}

func (ptr *QCalendarWidget) UpdateCell(date core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCell", date})
}

func (ptr *QCalendarWidget) UpdateCells() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateCells"})
}

func (ptr *QCalendarWidget) VerticalHeaderFormat() QCalendarWidget__VerticalHeaderFormat {

	return QCalendarWidget__VerticalHeaderFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalHeaderFormat"}).(float64))
}

func (ptr *QCalendarWidget) WeekdayTextFormat(dayOfWeek core.Qt__DayOfWeek) *gui.QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WeekdayTextFormat", dayOfWeek}).(*gui.QTextCharFormat)
}

func (ptr *QCalendarWidget) YearShown() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "YearShown"}).(float64))
}

func (ptr *QCalendarWidget) ConnectDestroyQCalendarWidget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCalendarWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCalendarWidget) DisconnectDestroyQCalendarWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCalendarWidget"})
}

func (ptr *QCalendarWidget) DestroyQCalendarWidget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCalendarWidget"})
}

func (ptr *QCalendarWidget) DestroyQCalendarWidgetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCalendarWidgetDefault"})
}

func (ptr *QCalendarWidget) __dateTextFormat_atList(v core.QDate_ITF, i int) *gui.QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dateTextFormat_atList", v, i}).(*gui.QTextCharFormat)
}

func (ptr *QCalendarWidget) __dateTextFormat_setList(key core.QDate_ITF, i gui.QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dateTextFormat_setList", key, i})
}

func (ptr *QCalendarWidget) __dateTextFormat_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dateTextFormat_newList"}).(unsafe.Pointer)
}

func (ptr *QCalendarWidget) __dateTextFormat_keyList() []*core.QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dateTextFormat_keyList"}).([]*core.QDate)
}

func (ptr *QCalendarWidget) ____dateTextFormat_keyList_atList(i int) *core.QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____dateTextFormat_keyList_atList", i}).(*core.QDate)
}

func (ptr *QCalendarWidget) ____dateTextFormat_keyList_setList(i core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____dateTextFormat_keyList_setList", i})
}

func (ptr *QCalendarWidget) ____dateTextFormat_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____dateTextFormat_keyList_newList"}).(unsafe.Pointer)
}

type QCheckBox struct {
	QAbstractButton
}

type QCheckBox_ITF interface {
	QAbstractButton_ITF
	QCheckBox_PTR() *QCheckBox
}

func (ptr *QCheckBox) QCheckBox_PTR() *QCheckBox {
	return ptr
}

func (ptr *QCheckBox) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractButton_PTR().Pointer()
	}
	return nil
}

func (ptr *QCheckBox) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractButton_PTR().SetPointer(p)
	}
}

func PointerFromQCheckBox(ptr QCheckBox_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCheckBox_PTR().Pointer()
	}
	return nil
}

func (n *QCheckBox) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractButton_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCheckBox) ClassNameInternalF() string {
	return n.QAbstractButton_PTR().ClassNameInternalF()
}

func NewQCheckBoxFromPointer(ptr unsafe.Pointer) (n *QCheckBox) {
	n = new(QCheckBox)
	n.InitFromInternal(uintptr(ptr), "widgets.QCheckBox")
	return
}
func NewQCheckBox(parent QWidget_ITF) *QCheckBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQCheckBox", "", parent}).(*QCheckBox)
}

func NewQCheckBox2(text string, parent QWidget_ITF) *QCheckBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQCheckBox2", "", text, parent}).(*QCheckBox)
}

func (ptr *QCheckBox) CheckState() core.Qt__CheckState {

	return core.Qt__CheckState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckState"}).(float64))
}

func (ptr *QCheckBox) InitStyleOption(option QStyleOptionButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QCheckBox) IsTristate() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTristate"}).(bool)
}

func (ptr *QCheckBox) ConnectPaintEvent(f func(vqp *gui.QPaintEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaintEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCheckBox) DisconnectPaintEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaintEvent"})
}

func (ptr *QCheckBox) PaintEvent(vqp gui.QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEvent", vqp})
}

func (ptr *QCheckBox) PaintEventDefault(vqp gui.QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEventDefault", vqp})
}

func (ptr *QCheckBox) SetCheckState(state core.Qt__CheckState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckState", state})
}

func (ptr *QCheckBox) SetTristate(y bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTristate", y})
}

func (ptr *QCheckBox) ConnectStateChanged(f func(state int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCheckBox) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QCheckBox) StateChanged(state int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", state})
}

func (ptr *QCheckBox) ConnectDestroyQCheckBox(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCheckBox", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCheckBox) DisconnectDestroyQCheckBox() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCheckBox"})
}

func (ptr *QCheckBox) DestroyQCheckBox() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCheckBox"})
}

func (ptr *QCheckBox) DestroyQCheckBoxDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCheckBoxDefault"})
}

type QColorDialog struct {
	QDialog
}

type QColorDialog_ITF interface {
	QDialog_ITF
	QColorDialog_PTR() *QColorDialog
}

func (ptr *QColorDialog) QColorDialog_PTR() *QColorDialog {
	return ptr
}

func (ptr *QColorDialog) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QDialog_PTR().Pointer()
	}
	return nil
}

func (ptr *QColorDialog) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QDialog_PTR().SetPointer(p)
	}
}

func PointerFromQColorDialog(ptr QColorDialog_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QColorDialog_PTR().Pointer()
	}
	return nil
}

func (n *QColorDialog) InitFromInternal(ptr uintptr, name string) {
	n.QDialog_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QColorDialog) ClassNameInternalF() string {
	return n.QDialog_PTR().ClassNameInternalF()
}

func NewQColorDialogFromPointer(ptr unsafe.Pointer) (n *QColorDialog) {
	n = new(QColorDialog)
	n.InitFromInternal(uintptr(ptr), "widgets.QColorDialog")
	return
}

//go:generate stringer -type=QColorDialog__ColorDialogOption
//QColorDialog::ColorDialogOption
type QColorDialog__ColorDialogOption int64

const (
	QColorDialog__ShowAlphaChannel    QColorDialog__ColorDialogOption = QColorDialog__ColorDialogOption(0x00000001)
	QColorDialog__NoButtons           QColorDialog__ColorDialogOption = QColorDialog__ColorDialogOption(0x00000002)
	QColorDialog__DontUseNativeDialog QColorDialog__ColorDialogOption = QColorDialog__ColorDialogOption(0x00000004)
)

func NewQColorDialog(parent QWidget_ITF) *QColorDialog {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQColorDialog", "", parent}).(*QColorDialog)
}

func NewQColorDialog2(initial gui.QColor_ITF, parent QWidget_ITF) *QColorDialog {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQColorDialog2", "", initial, parent}).(*QColorDialog)
}

func (ptr *QColorDialog) ConnectColorSelected(f func(color *gui.QColor)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColorSelected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColorDialog) DisconnectColorSelected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColorSelected"})
}

func (ptr *QColorDialog) ColorSelected(color gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColorSelected", color})
}

func (ptr *QColorDialog) CurrentColor() *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentColor"}).(*gui.QColor)
}

func (ptr *QColorDialog) ConnectCurrentColorChanged(f func(color *gui.QColor)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentColorChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColorDialog) DisconnectCurrentColorChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentColorChanged"})
}

func (ptr *QColorDialog) CurrentColorChanged(color gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentColorChanged", color})
}

func QColorDialog_CustomColor(index int) *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QColorDialog_CustomColor", "", index}).(*gui.QColor)
}

func (ptr *QColorDialog) CustomColor(index int) *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QColorDialog_CustomColor", "", index}).(*gui.QColor)
}

func QColorDialog_CustomCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QColorDialog_CustomCount", ""}).(float64))
}

func (ptr *QColorDialog) CustomCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QColorDialog_CustomCount", ""}).(float64))
}

func (ptr *QColorDialog) ConnectDone(f func(result int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDone", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColorDialog) DisconnectDone() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDone"})
}

func (ptr *QColorDialog) Done(result int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Done", result})
}

func (ptr *QColorDialog) DoneDefault(result int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoneDefault", result})
}

func QColorDialog_GetColor(initial gui.QColor_ITF, parent QWidget_ITF, title string, options QColorDialog__ColorDialogOption) *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QColorDialog_GetColor", "", initial, parent, title, options}).(*gui.QColor)
}

func (ptr *QColorDialog) GetColor(initial gui.QColor_ITF, parent QWidget_ITF, title string, options QColorDialog__ColorDialogOption) *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QColorDialog_GetColor", "", initial, parent, title, options}).(*gui.QColor)
}

func (ptr *QColorDialog) Open(receiver core.QObject_ITF, member string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Open", receiver, member})
}

func (ptr *QColorDialog) Options() QColorDialog__ColorDialogOption {

	return QColorDialog__ColorDialogOption(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Options"}).(float64))
}

func (ptr *QColorDialog) SelectedColor() *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedColor"}).(*gui.QColor)
}

func (ptr *QColorDialog) SetCurrentColor(color gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentColor", color})
}

func QColorDialog_SetCustomColor(index int, color gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QColorDialog_SetCustomColor", "", index, color})
}

func (ptr *QColorDialog) SetCustomColor(index int, color gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QColorDialog_SetCustomColor", "", index, color})
}

func (ptr *QColorDialog) SetOption(option QColorDialog__ColorDialogOption, on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOption", option, on})
}

func (ptr *QColorDialog) SetOptions(options QColorDialog__ColorDialogOption) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOptions", options})
}

func QColorDialog_SetStandardColor(index int, color gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QColorDialog_SetStandardColor", "", index, color})
}

func (ptr *QColorDialog) SetStandardColor(index int, color gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QColorDialog_SetStandardColor", "", index, color})
}

func QColorDialog_StandardColor(index int) *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QColorDialog_StandardColor", "", index}).(*gui.QColor)
}

func (ptr *QColorDialog) StandardColor(index int) *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QColorDialog_StandardColor", "", index}).(*gui.QColor)
}

func (ptr *QColorDialog) TestOption(option QColorDialog__ColorDialogOption) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TestOption", option}).(bool)
}

func (ptr *QColorDialog) ConnectDestroyQColorDialog(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQColorDialog", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColorDialog) DisconnectDestroyQColorDialog() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQColorDialog"})
}

func (ptr *QColorDialog) DestroyQColorDialog() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQColorDialog"})
}

func (ptr *QColorDialog) DestroyQColorDialogDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQColorDialogDefault"})
}

type QColormap struct {
	internal.Internal
}

type QColormap_ITF interface {
	QColormap_PTR() *QColormap
}

func (ptr *QColormap) QColormap_PTR() *QColormap {
	return ptr
}

func (ptr *QColormap) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QColormap) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQColormap(ptr QColormap_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QColormap_PTR().Pointer()
	}
	return nil
}

func (n *QColormap) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQColormapFromPointer(ptr unsafe.Pointer) (n *QColormap) {
	n = new(QColormap)
	n.InitFromInternal(uintptr(ptr), "widgets.QColormap")
	return
}

//go:generate stringer -type=QColormap__Mode
//QColormap::Mode
type QColormap__Mode int64

const (
	QColormap__Direct  QColormap__Mode = QColormap__Mode(0)
	QColormap__Indexed QColormap__Mode = QColormap__Mode(1)
	QColormap__Gray    QColormap__Mode = QColormap__Mode(2)
)

func NewQColormap(colormap QColormap_ITF) *QColormap {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQColormap", "", colormap}).(*QColormap)
}

func (ptr *QColormap) ColorAt(pixel uint) *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColorAt", pixel}).(*gui.QColor)
}

func (ptr *QColormap) Colormap() []*gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Colormap"}).([]*gui.QColor)
}

func (ptr *QColormap) Depth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Depth"}).(float64))
}

func QColormap_Instance(screen int) *QColormap {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QColormap_Instance", "", screen}).(*QColormap)
}

func (ptr *QColormap) Instance(screen int) *QColormap {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QColormap_Instance", "", screen}).(*QColormap)
}

func (ptr *QColormap) Mode() QColormap__Mode {

	return QColormap__Mode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mode"}).(float64))
}

func (ptr *QColormap) Pixel(color gui.QColor_ITF) uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixel", color}).(float64))
}

func (ptr *QColormap) Size() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size"}).(float64))
}

func (ptr *QColormap) DestroyQColormap() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQColormap"})
}

func (ptr *QColormap) __colormap_atList(i int) *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__colormap_atList", i}).(*gui.QColor)
}

func (ptr *QColormap) __colormap_setList(i gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__colormap_setList", i})
}

func (ptr *QColormap) __colormap_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__colormap_newList"}).(unsafe.Pointer)
}

type QColumnView struct {
	QAbstractItemView
}

type QColumnView_ITF interface {
	QAbstractItemView_ITF
	QColumnView_PTR() *QColumnView
}

func (ptr *QColumnView) QColumnView_PTR() *QColumnView {
	return ptr
}

func (ptr *QColumnView) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemView_PTR().Pointer()
	}
	return nil
}

func (ptr *QColumnView) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractItemView_PTR().SetPointer(p)
	}
}

func PointerFromQColumnView(ptr QColumnView_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QColumnView_PTR().Pointer()
	}
	return nil
}

func (n *QColumnView) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractItemView_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QColumnView) ClassNameInternalF() string {
	return n.QAbstractItemView_PTR().ClassNameInternalF()
}

func NewQColumnViewFromPointer(ptr unsafe.Pointer) (n *QColumnView) {
	n = new(QColumnView)
	n.InitFromInternal(uintptr(ptr), "widgets.QColumnView")
	return
}
func NewQColumnView(parent QWidget_ITF) *QColumnView {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQColumnView", "", parent}).(*QColumnView)
}

func (ptr *QColumnView) ColumnWidths() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnWidths"}).([]int)
}

func (ptr *QColumnView) ConnectCreateColumn(f func(index *core.QModelIndex) *QAbstractItemView) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreateColumn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectCreateColumn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreateColumn"})
}

func (ptr *QColumnView) CreateColumn(index core.QModelIndex_ITF) *QAbstractItemView {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateColumn", index}).(*QAbstractItemView)
}

func (ptr *QColumnView) CreateColumnDefault(index core.QModelIndex_ITF) *QAbstractItemView {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateColumnDefault", index}).(*QAbstractItemView)
}

func (ptr *QColumnView) ConnectCurrentChanged(f func(current *core.QModelIndex, previous *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectCurrentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentChanged"})
}

func (ptr *QColumnView) CurrentChanged(current core.QModelIndex_ITF, previous core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChanged", current, previous})
}

func (ptr *QColumnView) CurrentChangedDefault(current core.QModelIndex_ITF, previous core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChangedDefault", current, previous})
}

func (ptr *QColumnView) ConnectHorizontalOffset(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHorizontalOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectHorizontalOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHorizontalOffset"})
}

func (ptr *QColumnView) HorizontalOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalOffset"}).(float64))
}

func (ptr *QColumnView) HorizontalOffsetDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalOffsetDefault"}).(float64))
}

func (ptr *QColumnView) ConnectIndexAt(f func(point *core.QPoint) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndexAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectIndexAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndexAt"})
}

func (ptr *QColumnView) IndexAt(point core.QPoint_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexAt", point}).(*core.QModelIndex)
}

func (ptr *QColumnView) IndexAtDefault(point core.QPoint_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexAtDefault", point}).(*core.QModelIndex)
}

func (ptr *QColumnView) InitializeColumn(column QAbstractItemView_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitializeColumn", column})
}

func (ptr *QColumnView) ConnectIsIndexHidden(f func(index *core.QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsIndexHidden", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectIsIndexHidden() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsIndexHidden"})
}

func (ptr *QColumnView) IsIndexHidden(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIndexHidden", index}).(bool)
}

func (ptr *QColumnView) IsIndexHiddenDefault(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIndexHiddenDefault", index}).(bool)
}

func (ptr *QColumnView) ConnectMoveCursor(f func(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMoveCursor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectMoveCursor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMoveCursor"})
}

func (ptr *QColumnView) MoveCursor(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCursor", cursorAction, modifiers}).(*core.QModelIndex)
}

func (ptr *QColumnView) MoveCursorDefault(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCursorDefault", cursorAction, modifiers}).(*core.QModelIndex)
}

func (ptr *QColumnView) PreviewWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PreviewWidget"}).(*QWidget)
}

func (ptr *QColumnView) ResizeGripsVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeGripsVisible"}).(bool)
}

func (ptr *QColumnView) ConnectRowsInserted(f func(parent *core.QModelIndex, start int, end int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowsInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectRowsInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowsInserted"})
}

func (ptr *QColumnView) RowsInserted(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsInserted", parent, start, end})
}

func (ptr *QColumnView) RowsInsertedDefault(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsInsertedDefault", parent, start, end})
}

func (ptr *QColumnView) ConnectScrollTo(f func(index *core.QModelIndex, hint QAbstractItemView__ScrollHint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollTo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectScrollTo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollTo"})
}

func (ptr *QColumnView) ScrollTo(index core.QModelIndex_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollTo", index, hint})
}

func (ptr *QColumnView) ScrollToDefault(index core.QModelIndex_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToDefault", index, hint})
}

func (ptr *QColumnView) ConnectSelectAll(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectAll", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectSelectAll() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectAll"})
}

func (ptr *QColumnView) SelectAll() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectAll"})
}

func (ptr *QColumnView) SelectAllDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectAllDefault"})
}

func (ptr *QColumnView) SetColumnWidths(list []int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnWidths", list})
}

func (ptr *QColumnView) SetPreviewWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPreviewWidget", widget})
}

func (ptr *QColumnView) SetResizeGripsVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResizeGripsVisible", visible})
}

func (ptr *QColumnView) ConnectSetRootIndex(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetRootIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectSetRootIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetRootIndex"})
}

func (ptr *QColumnView) SetRootIndex(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRootIndex", index})
}

func (ptr *QColumnView) SetRootIndexDefault(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRootIndexDefault", index})
}

func (ptr *QColumnView) ConnectSetSelection(f func(rect *core.QRect, command core.QItemSelectionModel__SelectionFlag)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectSetSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSelection"})
}

func (ptr *QColumnView) SetSelection(rect core.QRect_ITF, command core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelection", rect, command})
}

func (ptr *QColumnView) SetSelectionDefault(rect core.QRect_ITF, command core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionDefault", rect, command})
}

func (ptr *QColumnView) ConnectUpdatePreviewWidget(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdatePreviewWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectUpdatePreviewWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdatePreviewWidget"})
}

func (ptr *QColumnView) UpdatePreviewWidget(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdatePreviewWidget", index})
}

func (ptr *QColumnView) ConnectVerticalOffset(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVerticalOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectVerticalOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVerticalOffset"})
}

func (ptr *QColumnView) VerticalOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalOffset"}).(float64))
}

func (ptr *QColumnView) VerticalOffsetDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalOffsetDefault"}).(float64))
}

func (ptr *QColumnView) ConnectVisualRect(f func(index *core.QModelIndex) *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVisualRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectVisualRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVisualRect"})
}

func (ptr *QColumnView) VisualRect(index core.QModelIndex_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRect", index}).(*core.QRect)
}

func (ptr *QColumnView) VisualRectDefault(index core.QModelIndex_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRectDefault", index}).(*core.QRect)
}

func (ptr *QColumnView) ConnectVisualRegionForSelection(f func(selection *core.QItemSelection) *gui.QRegion) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVisualRegionForSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectVisualRegionForSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVisualRegionForSelection"})
}

func (ptr *QColumnView) VisualRegionForSelection(selection core.QItemSelection_ITF) *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRegionForSelection", selection}).(*gui.QRegion)
}

func (ptr *QColumnView) VisualRegionForSelectionDefault(selection core.QItemSelection_ITF) *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRegionForSelectionDefault", selection}).(*gui.QRegion)
}

func (ptr *QColumnView) ConnectDestroyQColumnView(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQColumnView", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QColumnView) DisconnectDestroyQColumnView() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQColumnView"})
}

func (ptr *QColumnView) DestroyQColumnView() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQColumnView"})
}

func (ptr *QColumnView) DestroyQColumnViewDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQColumnViewDefault"})
}

func (ptr *QColumnView) __columnWidths_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__columnWidths_atList", i}).(float64))
}

func (ptr *QColumnView) __columnWidths_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__columnWidths_setList", i})
}

func (ptr *QColumnView) __columnWidths_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__columnWidths_newList"}).(unsafe.Pointer)
}

func (ptr *QColumnView) __setColumnWidths_list_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setColumnWidths_list_atList", i}).(float64))
}

func (ptr *QColumnView) __setColumnWidths_list_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setColumnWidths_list_setList", i})
}

func (ptr *QColumnView) __setColumnWidths_list_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setColumnWidths_list_newList"}).(unsafe.Pointer)
}

type QComboBox struct {
	QWidget
}

type QComboBox_ITF interface {
	QWidget_ITF
	QComboBox_PTR() *QComboBox
}

func (ptr *QComboBox) QComboBox_PTR() *QComboBox {
	return ptr
}

func (ptr *QComboBox) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QComboBox) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQComboBox(ptr QComboBox_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QComboBox_PTR().Pointer()
	}
	return nil
}

func (n *QComboBox) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QComboBox) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQComboBoxFromPointer(ptr unsafe.Pointer) (n *QComboBox) {
	n = new(QComboBox)
	n.InitFromInternal(uintptr(ptr), "widgets.QComboBox")
	return
}

//go:generate stringer -type=QComboBox__InsertPolicy
//QComboBox::InsertPolicy
type QComboBox__InsertPolicy int64

const (
	QComboBox__NoInsert             QComboBox__InsertPolicy = QComboBox__InsertPolicy(0)
	QComboBox__InsertAtTop          QComboBox__InsertPolicy = QComboBox__InsertPolicy(1)
	QComboBox__InsertAtCurrent      QComboBox__InsertPolicy = QComboBox__InsertPolicy(2)
	QComboBox__InsertAtBottom       QComboBox__InsertPolicy = QComboBox__InsertPolicy(3)
	QComboBox__InsertAfterCurrent   QComboBox__InsertPolicy = QComboBox__InsertPolicy(4)
	QComboBox__InsertBeforeCurrent  QComboBox__InsertPolicy = QComboBox__InsertPolicy(5)
	QComboBox__InsertAlphabetically QComboBox__InsertPolicy = QComboBox__InsertPolicy(6)
)

//go:generate stringer -type=QComboBox__SizeAdjustPolicy
//QComboBox::SizeAdjustPolicy
type QComboBox__SizeAdjustPolicy int64

const (
	QComboBox__AdjustToContents                      QComboBox__SizeAdjustPolicy = QComboBox__SizeAdjustPolicy(0)
	QComboBox__AdjustToContentsOnFirstShow           QComboBox__SizeAdjustPolicy = QComboBox__SizeAdjustPolicy(1)
	QComboBox__AdjustToMinimumContentsLength         QComboBox__SizeAdjustPolicy = QComboBox__SizeAdjustPolicy(2)
	QComboBox__AdjustToMinimumContentsLengthWithIcon QComboBox__SizeAdjustPolicy = QComboBox__SizeAdjustPolicy(3)
)

func NewQComboBox(parent QWidget_ITF) *QComboBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQComboBox", "", parent}).(*QComboBox)
}

func (ptr *QComboBox) ConnectActivated(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActivated"})
}

func (ptr *QComboBox) Activated(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Activated", index})
}

func (ptr *QComboBox) ConnectActivated2(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActivated2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectActivated2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActivated2"})
}

func (ptr *QComboBox) Activated2(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Activated2", text})
}

func (ptr *QComboBox) AddItem(text string, userData core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem", text, userData})
}

func (ptr *QComboBox) AddItem2(icon gui.QIcon_ITF, text string, userData core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem2", icon, text, userData})
}

func (ptr *QComboBox) AddItems(texts []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItems", texts})
}

func (ptr *QComboBox) ConnectClear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectClear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClear"})
}

func (ptr *QComboBox) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QComboBox) ClearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearDefault"})
}

func (ptr *QComboBox) ConnectClearEditText(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClearEditText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectClearEditText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClearEditText"})
}

func (ptr *QComboBox) ClearEditText() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearEditText"})
}

func (ptr *QComboBox) ClearEditTextDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearEditTextDefault"})
}

func (ptr *QComboBox) Completer() *QCompleter {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Completer"}).(*QCompleter)
}

func (ptr *QComboBox) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QComboBox) CurrentData(role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentData", role}).(*core.QVariant)
}

func (ptr *QComboBox) CurrentIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentIndex"}).(float64))
}

func (ptr *QComboBox) ConnectCurrentIndexChanged(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentIndexChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectCurrentIndexChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentIndexChanged"})
}

func (ptr *QComboBox) CurrentIndexChanged(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentIndexChanged", index})
}

func (ptr *QComboBox) CurrentText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentText"}).(string)
}

func (ptr *QComboBox) ConnectCurrentTextChanged(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentTextChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectCurrentTextChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentTextChanged"})
}

func (ptr *QComboBox) CurrentTextChanged(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentTextChanged", text})
}

func (ptr *QComboBox) DuplicatesEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DuplicatesEnabled"}).(bool)
}

func (ptr *QComboBox) ConnectEditTextChanged(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEditTextChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectEditTextChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEditTextChanged"})
}

func (ptr *QComboBox) EditTextChanged(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EditTextChanged", text})
}

func (ptr *QComboBox) FindData(data core.QVariant_ITF, role int, flags core.Qt__MatchFlag) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FindData", data, role, flags}).(float64))
}

func (ptr *QComboBox) FindText(text string, flags core.Qt__MatchFlag) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FindText", text, flags}).(float64))
}

func (ptr *QComboBox) HasFrame() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasFrame"}).(bool)
}

func (ptr *QComboBox) ConnectHidePopup(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHidePopup", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectHidePopup() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHidePopup"})
}

func (ptr *QComboBox) HidePopup() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HidePopup"})
}

func (ptr *QComboBox) HidePopupDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HidePopupDefault"})
}

func (ptr *QComboBox) ConnectHighlighted(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHighlighted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectHighlighted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHighlighted"})
}

func (ptr *QComboBox) Highlighted(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Highlighted", index})
}

func (ptr *QComboBox) ConnectHighlighted2(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHighlighted2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectHighlighted2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHighlighted2"})
}

func (ptr *QComboBox) Highlighted2(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Highlighted2", text})
}

func (ptr *QComboBox) IconSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconSize"}).(*core.QSize)
}

func (ptr *QComboBox) InitStyleOption(option QStyleOptionComboBox_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QComboBox) InsertItem(index int, text string, userData core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertItem", index, text, userData})
}

func (ptr *QComboBox) InsertItem2(index int, icon gui.QIcon_ITF, text string, userData core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertItem2", index, icon, text, userData})
}

func (ptr *QComboBox) InsertItems(index int, list []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertItems", index, list})
}

func (ptr *QComboBox) InsertPolicy() QComboBox__InsertPolicy {

	return QComboBox__InsertPolicy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertPolicy"}).(float64))
}

func (ptr *QComboBox) InsertSeparator(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertSeparator", index})
}

func (ptr *QComboBox) IsEditable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEditable"}).(bool)
}

func (ptr *QComboBox) ItemData(index int, role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemData", index, role}).(*core.QVariant)
}

func (ptr *QComboBox) ItemDelegate() *QAbstractItemDelegate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemDelegate"}).(*QAbstractItemDelegate)
}

func (ptr *QComboBox) ItemIcon(index int) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemIcon", index}).(*gui.QIcon)
}

func (ptr *QComboBox) ItemText(index int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemText", index}).(string)
}

func (ptr *QComboBox) LineEdit() *QLineEdit {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineEdit"}).(*QLineEdit)
}

func (ptr *QComboBox) MaxCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaxCount"}).(float64))
}

func (ptr *QComboBox) MaxVisibleItems() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaxVisibleItems"}).(float64))
}

func (ptr *QComboBox) MinimumContentsLength() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumContentsLength"}).(float64))
}

func (ptr *QComboBox) Model() *core.QAbstractItemModel {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Model"}).(*core.QAbstractItemModel)
}

func (ptr *QComboBox) ModelColumn() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ModelColumn"}).(float64))
}

func (ptr *QComboBox) RemoveItem(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveItem", index})
}

func (ptr *QComboBox) RootModelIndex() *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RootModelIndex"}).(*core.QModelIndex)
}

func (ptr *QComboBox) SetCompleter(completer QCompleter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCompleter", completer})
}

func (ptr *QComboBox) ConnectSetCurrentIndex(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectSetCurrentIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentIndex"})
}

func (ptr *QComboBox) SetCurrentIndex(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndex", index})
}

func (ptr *QComboBox) SetCurrentIndexDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndexDefault", index})
}

func (ptr *QComboBox) ConnectSetCurrentText(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectSetCurrentText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentText"})
}

func (ptr *QComboBox) SetCurrentText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentText", text})
}

func (ptr *QComboBox) SetCurrentTextDefault(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentTextDefault", text})
}

func (ptr *QComboBox) SetDuplicatesEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDuplicatesEnabled", enable})
}

func (ptr *QComboBox) ConnectSetEditText(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetEditText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectSetEditText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetEditText"})
}

func (ptr *QComboBox) SetEditText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEditText", text})
}

func (ptr *QComboBox) SetEditTextDefault(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEditTextDefault", text})
}

func (ptr *QComboBox) SetEditable(editable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEditable", editable})
}

func (ptr *QComboBox) SetFrame(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrame", vbo})
}

func (ptr *QComboBox) SetIconSize(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconSize", size})
}

func (ptr *QComboBox) SetInsertPolicy(policy QComboBox__InsertPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInsertPolicy", policy})
}

func (ptr *QComboBox) SetItemData(index int, value core.QVariant_ITF, role int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemData", index, value, role})
}

func (ptr *QComboBox) SetItemDelegate(delegate QAbstractItemDelegate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemDelegate", delegate})
}

func (ptr *QComboBox) SetItemIcon(index int, icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemIcon", index, icon})
}

func (ptr *QComboBox) SetItemText(index int, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemText", index, text})
}

func (ptr *QComboBox) SetLineEdit(edit QLineEdit_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLineEdit", edit})
}

func (ptr *QComboBox) SetMaxCount(max int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaxCount", max})
}

func (ptr *QComboBox) SetMaxVisibleItems(maxItems int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaxVisibleItems", maxItems})
}

func (ptr *QComboBox) SetMinimumContentsLength(characters int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumContentsLength", characters})
}

func (ptr *QComboBox) SetModel(model core.QAbstractItemModel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModel", model})
}

func (ptr *QComboBox) SetModelColumn(visibleColumn int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModelColumn", visibleColumn})
}

func (ptr *QComboBox) SetRootModelIndex(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRootModelIndex", index})
}

func (ptr *QComboBox) SetSizeAdjustPolicy(policy QComboBox__SizeAdjustPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSizeAdjustPolicy", policy})
}

func (ptr *QComboBox) SetValidator(validator gui.QValidator_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValidator", validator})
}

func (ptr *QComboBox) SetView(itemView QAbstractItemView_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetView", itemView})
}

func (ptr *QComboBox) ConnectShowPopup(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowPopup", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectShowPopup() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowPopup"})
}

func (ptr *QComboBox) ShowPopup() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowPopup"})
}

func (ptr *QComboBox) ShowPopupDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowPopupDefault"})
}

func (ptr *QComboBox) SizeAdjustPolicy() QComboBox__SizeAdjustPolicy {

	return QComboBox__SizeAdjustPolicy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeAdjustPolicy"}).(float64))
}

func (ptr *QComboBox) Validator() *gui.QValidator {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Validator"}).(*gui.QValidator)
}

func (ptr *QComboBox) View() *QAbstractItemView {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "View"}).(*QAbstractItemView)
}

func (ptr *QComboBox) ConnectDestroyQComboBox(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQComboBox", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QComboBox) DisconnectDestroyQComboBox() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQComboBox"})
}

func (ptr *QComboBox) DestroyQComboBox() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQComboBox"})
}

func (ptr *QComboBox) DestroyQComboBoxDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQComboBoxDefault"})
}

type QCommandLinkButton struct {
	QPushButton
}

type QCommandLinkButton_ITF interface {
	QPushButton_ITF
	QCommandLinkButton_PTR() *QCommandLinkButton
}

func (ptr *QCommandLinkButton) QCommandLinkButton_PTR() *QCommandLinkButton {
	return ptr
}

func (ptr *QCommandLinkButton) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QPushButton_PTR().Pointer()
	}
	return nil
}

func (ptr *QCommandLinkButton) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QPushButton_PTR().SetPointer(p)
	}
}

func PointerFromQCommandLinkButton(ptr QCommandLinkButton_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCommandLinkButton_PTR().Pointer()
	}
	return nil
}

func (n *QCommandLinkButton) InitFromInternal(ptr uintptr, name string) {
	n.QPushButton_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCommandLinkButton) ClassNameInternalF() string {
	return n.QPushButton_PTR().ClassNameInternalF()
}

func NewQCommandLinkButtonFromPointer(ptr unsafe.Pointer) (n *QCommandLinkButton) {
	n = new(QCommandLinkButton)
	n.InitFromInternal(uintptr(ptr), "widgets.QCommandLinkButton")
	return
}
func NewQCommandLinkButton(parent QWidget_ITF) *QCommandLinkButton {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQCommandLinkButton", "", parent}).(*QCommandLinkButton)
}

func NewQCommandLinkButton2(text string, parent QWidget_ITF) *QCommandLinkButton {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQCommandLinkButton2", "", text, parent}).(*QCommandLinkButton)
}

func NewQCommandLinkButton3(text string, description string, parent QWidget_ITF) *QCommandLinkButton {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQCommandLinkButton3", "", text, description, parent}).(*QCommandLinkButton)
}

func (ptr *QCommandLinkButton) Description() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Description"}).(string)
}

func (ptr *QCommandLinkButton) SetDescription(description string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDescription", description})
}

func (ptr *QCommandLinkButton) ConnectDestroyQCommandLinkButton(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCommandLinkButton", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCommandLinkButton) DisconnectDestroyQCommandLinkButton() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCommandLinkButton"})
}

func (ptr *QCommandLinkButton) DestroyQCommandLinkButton() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCommandLinkButton"})
}

func (ptr *QCommandLinkButton) DestroyQCommandLinkButtonDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCommandLinkButtonDefault"})
}

type QCommonStyle struct {
	QStyle
}

type QCommonStyle_ITF interface {
	QStyle_ITF
	QCommonStyle_PTR() *QCommonStyle
}

func (ptr *QCommonStyle) QCommonStyle_PTR() *QCommonStyle {
	return ptr
}

func (ptr *QCommonStyle) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyle_PTR().Pointer()
	}
	return nil
}

func (ptr *QCommonStyle) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyle_PTR().SetPointer(p)
	}
}

func PointerFromQCommonStyle(ptr QCommonStyle_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCommonStyle_PTR().Pointer()
	}
	return nil
}

func (n *QCommonStyle) InitFromInternal(ptr uintptr, name string) {
	n.QStyle_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCommonStyle) ClassNameInternalF() string {
	return n.QStyle_PTR().ClassNameInternalF()
}

func NewQCommonStyleFromPointer(ptr unsafe.Pointer) (n *QCommonStyle) {
	n = new(QCommonStyle)
	n.InitFromInternal(uintptr(ptr), "widgets.QCommonStyle")
	return
}
func NewQCommonStyle() *QCommonStyle {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQCommonStyle", ""}).(*QCommonStyle)
}

func (ptr *QCommonStyle) ConnectDrawComplexControl(f func(cc QStyle__ComplexControl, opt *QStyleOptionComplex, p *gui.QPainter, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawComplexControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCommonStyle) DisconnectDrawComplexControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawComplexControl"})
}

func (ptr *QCommonStyle) DrawComplexControl(cc QStyle__ComplexControl, opt QStyleOptionComplex_ITF, p gui.QPainter_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawComplexControl", cc, opt, p, widget})
}

func (ptr *QCommonStyle) DrawComplexControlDefault(cc QStyle__ComplexControl, opt QStyleOptionComplex_ITF, p gui.QPainter_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawComplexControlDefault", cc, opt, p, widget})
}

func (ptr *QCommonStyle) ConnectDrawControl(f func(element QStyle__ControlElement, opt *QStyleOption, p *gui.QPainter, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCommonStyle) DisconnectDrawControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawControl"})
}

func (ptr *QCommonStyle) DrawControl(element QStyle__ControlElement, opt QStyleOption_ITF, p gui.QPainter_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawControl", element, opt, p, widget})
}

func (ptr *QCommonStyle) DrawControlDefault(element QStyle__ControlElement, opt QStyleOption_ITF, p gui.QPainter_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawControlDefault", element, opt, p, widget})
}

func (ptr *QCommonStyle) ConnectDrawPrimitive(f func(pe QStyle__PrimitiveElement, opt *QStyleOption, p *gui.QPainter, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawPrimitive", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCommonStyle) DisconnectDrawPrimitive() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawPrimitive"})
}

func (ptr *QCommonStyle) DrawPrimitive(pe QStyle__PrimitiveElement, opt QStyleOption_ITF, p gui.QPainter_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPrimitive", pe, opt, p, widget})
}

func (ptr *QCommonStyle) DrawPrimitiveDefault(pe QStyle__PrimitiveElement, opt QStyleOption_ITF, p gui.QPainter_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPrimitiveDefault", pe, opt, p, widget})
}

func (ptr *QCommonStyle) ConnectGeneratedIconPixmap(f func(iconMode gui.QIcon__Mode, pixmap *gui.QPixmap, opt *QStyleOption) *gui.QPixmap) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectGeneratedIconPixmap", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCommonStyle) DisconnectGeneratedIconPixmap() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectGeneratedIconPixmap"})
}

func (ptr *QCommonStyle) GeneratedIconPixmap(iconMode gui.QIcon__Mode, pixmap gui.QPixmap_ITF, opt QStyleOption_ITF) *gui.QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GeneratedIconPixmap", iconMode, pixmap, opt}).(*gui.QPixmap)
}

func (ptr *QCommonStyle) GeneratedIconPixmapDefault(iconMode gui.QIcon__Mode, pixmap gui.QPixmap_ITF, opt QStyleOption_ITF) *gui.QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GeneratedIconPixmapDefault", iconMode, pixmap, opt}).(*gui.QPixmap)
}

func (ptr *QCommonStyle) ConnectHitTestComplexControl(f func(cc QStyle__ComplexControl, opt *QStyleOptionComplex, pt *core.QPoint, widget *QWidget) QStyle__SubControl) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHitTestComplexControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCommonStyle) DisconnectHitTestComplexControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHitTestComplexControl"})
}

func (ptr *QCommonStyle) HitTestComplexControl(cc QStyle__ComplexControl, opt QStyleOptionComplex_ITF, pt core.QPoint_ITF, widget QWidget_ITF) QStyle__SubControl {

	return QStyle__SubControl(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HitTestComplexControl", cc, opt, pt, widget}).(float64))
}

func (ptr *QCommonStyle) HitTestComplexControlDefault(cc QStyle__ComplexControl, opt QStyleOptionComplex_ITF, pt core.QPoint_ITF, widget QWidget_ITF) QStyle__SubControl {

	return QStyle__SubControl(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HitTestComplexControlDefault", cc, opt, pt, widget}).(float64))
}

func (ptr *QCommonStyle) ConnectLayoutSpacing(f func(control1 QSizePolicy__ControlType, control2 QSizePolicy__ControlType, orientation core.Qt__Orientation, option *QStyleOption, widget *QWidget) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLayoutSpacing", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCommonStyle) DisconnectLayoutSpacing() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLayoutSpacing"})
}

func (ptr *QCommonStyle) LayoutSpacing(control1 QSizePolicy__ControlType, control2 QSizePolicy__ControlType, orientation core.Qt__Orientation, option QStyleOption_ITF, widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LayoutSpacing", control1, control2, orientation, option, widget}).(float64))
}

func (ptr *QCommonStyle) LayoutSpacingDefault(control1 QSizePolicy__ControlType, control2 QSizePolicy__ControlType, orientation core.Qt__Orientation, option QStyleOption_ITF, widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LayoutSpacingDefault", control1, control2, orientation, option, widget}).(float64))
}

func (ptr *QCommonStyle) ConnectPixelMetric(f func(m QStyle__PixelMetric, opt *QStyleOption, widget *QWidget) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPixelMetric", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCommonStyle) DisconnectPixelMetric() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPixelMetric"})
}

func (ptr *QCommonStyle) PixelMetric(m QStyle__PixelMetric, opt QStyleOption_ITF, widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelMetric", m, opt, widget}).(float64))
}

func (ptr *QCommonStyle) PixelMetricDefault(m QStyle__PixelMetric, opt QStyleOption_ITF, widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelMetricDefault", m, opt, widget}).(float64))
}

func (ptr *QCommonStyle) ConnectSizeFromContents(f func(ct QStyle__ContentsType, opt *QStyleOption, csz *core.QSize, widget *QWidget) *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeFromContents", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCommonStyle) DisconnectSizeFromContents() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeFromContents"})
}

func (ptr *QCommonStyle) SizeFromContents(ct QStyle__ContentsType, opt QStyleOption_ITF, csz core.QSize_ITF, widget QWidget_ITF) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeFromContents", ct, opt, csz, widget}).(*core.QSize)
}

func (ptr *QCommonStyle) SizeFromContentsDefault(ct QStyle__ContentsType, opt QStyleOption_ITF, csz core.QSize_ITF, widget QWidget_ITF) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeFromContentsDefault", ct, opt, csz, widget}).(*core.QSize)
}

func (ptr *QCommonStyle) ConnectStandardPixmap(f func(sp QStyle__StandardPixmap, option *QStyleOption, widget *QWidget) *gui.QPixmap) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStandardPixmap", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCommonStyle) DisconnectStandardPixmap() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStandardPixmap"})
}

func (ptr *QCommonStyle) StandardPixmap(sp QStyle__StandardPixmap, option QStyleOption_ITF, widget QWidget_ITF) *gui.QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardPixmap", sp, option, widget}).(*gui.QPixmap)
}

func (ptr *QCommonStyle) StandardPixmapDefault(sp QStyle__StandardPixmap, option QStyleOption_ITF, widget QWidget_ITF) *gui.QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardPixmapDefault", sp, option, widget}).(*gui.QPixmap)
}

func (ptr *QCommonStyle) ConnectStyleHint(f func(sh QStyle__StyleHint, opt *QStyleOption, widget *QWidget, hret *QStyleHintReturn) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStyleHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCommonStyle) DisconnectStyleHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStyleHint"})
}

func (ptr *QCommonStyle) StyleHint(sh QStyle__StyleHint, opt QStyleOption_ITF, widget QWidget_ITF, hret QStyleHintReturn_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StyleHint", sh, opt, widget, hret}).(float64))
}

func (ptr *QCommonStyle) StyleHintDefault(sh QStyle__StyleHint, opt QStyleOption_ITF, widget QWidget_ITF, hret QStyleHintReturn_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StyleHintDefault", sh, opt, widget, hret}).(float64))
}

func (ptr *QCommonStyle) ConnectSubControlRect(f func(cc QStyle__ComplexControl, opt *QStyleOptionComplex, sc QStyle__SubControl, widget *QWidget) *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSubControlRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCommonStyle) DisconnectSubControlRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSubControlRect"})
}

func (ptr *QCommonStyle) SubControlRect(cc QStyle__ComplexControl, opt QStyleOptionComplex_ITF, sc QStyle__SubControl, widget QWidget_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubControlRect", cc, opt, sc, widget}).(*core.QRect)
}

func (ptr *QCommonStyle) SubControlRectDefault(cc QStyle__ComplexControl, opt QStyleOptionComplex_ITF, sc QStyle__SubControl, widget QWidget_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubControlRectDefault", cc, opt, sc, widget}).(*core.QRect)
}

func (ptr *QCommonStyle) ConnectSubElementRect(f func(sr QStyle__SubElement, opt *QStyleOption, widget *QWidget) *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSubElementRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCommonStyle) DisconnectSubElementRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSubElementRect"})
}

func (ptr *QCommonStyle) SubElementRect(sr QStyle__SubElement, opt QStyleOption_ITF, widget QWidget_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubElementRect", sr, opt, widget}).(*core.QRect)
}

func (ptr *QCommonStyle) SubElementRectDefault(sr QStyle__SubElement, opt QStyleOption_ITF, widget QWidget_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubElementRectDefault", sr, opt, widget}).(*core.QRect)
}

func (ptr *QCommonStyle) ConnectDestroyQCommonStyle(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCommonStyle", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCommonStyle) DisconnectDestroyQCommonStyle() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCommonStyle"})
}

func (ptr *QCommonStyle) DestroyQCommonStyle() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCommonStyle"})
}

func (ptr *QCommonStyle) DestroyQCommonStyleDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCommonStyleDefault"})
}

func (ptr *QCommonStyle) StandardIcon(standardIcon QStyle__StandardPixmap, option QStyleOption_ITF, widget QWidget_ITF) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardIcon", standardIcon, option, widget}).(*gui.QIcon)
}

func (ptr *QCommonStyle) StandardIconDefault(standardIcon QStyle__StandardPixmap, option QStyleOption_ITF, widget QWidget_ITF) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardIconDefault", standardIcon, option, widget}).(*gui.QIcon)
}

type QCompleter struct {
	core.QObject
}

type QCompleter_ITF interface {
	core.QObject_ITF
	QCompleter_PTR() *QCompleter
}

func (ptr *QCompleter) QCompleter_PTR() *QCompleter {
	return ptr
}

func (ptr *QCompleter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QCompleter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQCompleter(ptr QCompleter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QCompleter_PTR().Pointer()
	}
	return nil
}

func (n *QCompleter) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QCompleter) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQCompleterFromPointer(ptr unsafe.Pointer) (n *QCompleter) {
	n = new(QCompleter)
	n.InitFromInternal(uintptr(ptr), "widgets.QCompleter")
	return
}

//go:generate stringer -type=QCompleter__CompletionMode
//QCompleter::CompletionMode
type QCompleter__CompletionMode int64

const (
	QCompleter__PopupCompletion           QCompleter__CompletionMode = QCompleter__CompletionMode(0)
	QCompleter__UnfilteredPopupCompletion QCompleter__CompletionMode = QCompleter__CompletionMode(1)
	QCompleter__InlineCompletion          QCompleter__CompletionMode = QCompleter__CompletionMode(2)
)

//go:generate stringer -type=QCompleter__ModelSorting
//QCompleter::ModelSorting
type QCompleter__ModelSorting int64

const (
	QCompleter__UnsortedModel                QCompleter__ModelSorting = QCompleter__ModelSorting(0)
	QCompleter__CaseSensitivelySortedModel   QCompleter__ModelSorting = QCompleter__ModelSorting(1)
	QCompleter__CaseInsensitivelySortedModel QCompleter__ModelSorting = QCompleter__ModelSorting(2)
)

func NewQCompleter(parent core.QObject_ITF) *QCompleter {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQCompleter", "", parent}).(*QCompleter)
}

func NewQCompleter2(model core.QAbstractItemModel_ITF, parent core.QObject_ITF) *QCompleter {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQCompleter2", "", model, parent}).(*QCompleter)
}

func NewQCompleter3(list []string, parent core.QObject_ITF) *QCompleter {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQCompleter3", "", list, parent}).(*QCompleter)
}

func (ptr *QCompleter) ConnectActivated(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCompleter) DisconnectActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActivated"})
}

func (ptr *QCompleter) Activated(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Activated", text})
}

func (ptr *QCompleter) ConnectActivated2(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActivated2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCompleter) DisconnectActivated2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActivated2"})
}

func (ptr *QCompleter) Activated2(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Activated2", index})
}

func (ptr *QCompleter) CaseSensitivity() core.Qt__CaseSensitivity {

	return core.Qt__CaseSensitivity(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CaseSensitivity"}).(float64))
}

func (ptr *QCompleter) ConnectComplete(f func(rect *core.QRect)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectComplete", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCompleter) DisconnectComplete() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectComplete"})
}

func (ptr *QCompleter) Complete(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Complete", rect})
}

func (ptr *QCompleter) CompleteDefault(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompleteDefault", rect})
}

func (ptr *QCompleter) CompletionColumn() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompletionColumn"}).(float64))
}

func (ptr *QCompleter) CompletionCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompletionCount"}).(float64))
}

func (ptr *QCompleter) CompletionMode() QCompleter__CompletionMode {

	return QCompleter__CompletionMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompletionMode"}).(float64))
}

func (ptr *QCompleter) CompletionModel() *core.QAbstractItemModel {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompletionModel"}).(*core.QAbstractItemModel)
}

func (ptr *QCompleter) CompletionPrefix() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompletionPrefix"}).(string)
}

func (ptr *QCompleter) CompletionRole() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompletionRole"}).(float64))
}

func (ptr *QCompleter) CurrentCompletion() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentCompletion"}).(string)
}

func (ptr *QCompleter) CurrentIndex() *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentIndex"}).(*core.QModelIndex)
}

func (ptr *QCompleter) CurrentRow() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentRow"}).(float64))
}

func (ptr *QCompleter) EventDefault(ev core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", ev}).(bool)
}

func (ptr *QCompleter) EventFilterDefault(o core.QObject_ITF, e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", o, e}).(bool)
}

func (ptr *QCompleter) FilterMode() core.Qt__MatchFlag {

	return core.Qt__MatchFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilterMode"}).(float64))
}

func (ptr *QCompleter) ConnectHighlighted(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHighlighted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCompleter) DisconnectHighlighted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHighlighted"})
}

func (ptr *QCompleter) Highlighted(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Highlighted", text})
}

func (ptr *QCompleter) ConnectHighlighted2(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHighlighted2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCompleter) DisconnectHighlighted2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHighlighted2"})
}

func (ptr *QCompleter) Highlighted2(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Highlighted2", index})
}

func (ptr *QCompleter) MaxVisibleItems() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaxVisibleItems"}).(float64))
}

func (ptr *QCompleter) Model() *core.QAbstractItemModel {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Model"}).(*core.QAbstractItemModel)
}

func (ptr *QCompleter) ModelSorting() QCompleter__ModelSorting {

	return QCompleter__ModelSorting(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ModelSorting"}).(float64))
}

func (ptr *QCompleter) ConnectPathFromIndex(f func(index *core.QModelIndex) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPathFromIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCompleter) DisconnectPathFromIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPathFromIndex"})
}

func (ptr *QCompleter) PathFromIndex(index core.QModelIndex_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PathFromIndex", index}).(string)
}

func (ptr *QCompleter) PathFromIndexDefault(index core.QModelIndex_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PathFromIndexDefault", index}).(string)
}

func (ptr *QCompleter) Popup() *QAbstractItemView {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Popup"}).(*QAbstractItemView)
}

func (ptr *QCompleter) SetCaseSensitivity(caseSensitivity core.Qt__CaseSensitivity) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCaseSensitivity", caseSensitivity})
}

func (ptr *QCompleter) SetCompletionColumn(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCompletionColumn", column})
}

func (ptr *QCompleter) SetCompletionMode(mode QCompleter__CompletionMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCompletionMode", mode})
}

func (ptr *QCompleter) ConnectSetCompletionPrefix(f func(prefix string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCompletionPrefix", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCompleter) DisconnectSetCompletionPrefix() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCompletionPrefix"})
}

func (ptr *QCompleter) SetCompletionPrefix(prefix string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCompletionPrefix", prefix})
}

func (ptr *QCompleter) SetCompletionPrefixDefault(prefix string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCompletionPrefixDefault", prefix})
}

func (ptr *QCompleter) SetCompletionRole(role int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCompletionRole", role})
}

func (ptr *QCompleter) SetCurrentRow(row int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentRow", row}).(bool)
}

func (ptr *QCompleter) SetFilterMode(filterMode core.Qt__MatchFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilterMode", filterMode})
}

func (ptr *QCompleter) SetMaxVisibleItems(maxItems int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaxVisibleItems", maxItems})
}

func (ptr *QCompleter) SetModel(model core.QAbstractItemModel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModel", model})
}

func (ptr *QCompleter) SetModelSorting(sorting QCompleter__ModelSorting) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModelSorting", sorting})
}

func (ptr *QCompleter) SetPopup(popup QAbstractItemView_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPopup", popup})
}

func (ptr *QCompleter) SetWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidget", widget})
}

func (ptr *QCompleter) ConnectSetWrapAround(f func(wrap bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetWrapAround", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCompleter) DisconnectSetWrapAround() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetWrapAround"})
}

func (ptr *QCompleter) SetWrapAround(wrap bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWrapAround", wrap})
}

func (ptr *QCompleter) SetWrapAroundDefault(wrap bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWrapAroundDefault", wrap})
}

func (ptr *QCompleter) ConnectSplitPath(f func(path string) []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSplitPath", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCompleter) DisconnectSplitPath() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSplitPath"})
}

func (ptr *QCompleter) SplitPath(path string) []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SplitPath", path}).([]string)
}

func (ptr *QCompleter) SplitPathDefault(path string) []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SplitPathDefault", path}).([]string)
}

func (ptr *QCompleter) Widget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Widget"}).(*QWidget)
}

func (ptr *QCompleter) WrapAround() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WrapAround"}).(bool)
}

func (ptr *QCompleter) ConnectDestroyQCompleter(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQCompleter", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QCompleter) DisconnectDestroyQCompleter() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQCompleter"})
}

func (ptr *QCompleter) DestroyQCompleter() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCompleter"})
}

func (ptr *QCompleter) DestroyQCompleterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQCompleterDefault"})
}

func (ptr *QCompleter) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QCompleter) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QCompleter) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QCompleter) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QCompleter) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QCompleter) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QCompleter) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QCompleter) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QCompleter) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QCompleter) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QCompleter) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QCompleter) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QCompleter) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QCompleter) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QCompleter) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QCompleter) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QCompleter) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QCompleter) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QCompleter) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QDataWidgetMapper struct {
	core.QObject
}

type QDataWidgetMapper_ITF interface {
	core.QObject_ITF
	QDataWidgetMapper_PTR() *QDataWidgetMapper
}

func (ptr *QDataWidgetMapper) QDataWidgetMapper_PTR() *QDataWidgetMapper {
	return ptr
}

func (ptr *QDataWidgetMapper) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QDataWidgetMapper) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQDataWidgetMapper(ptr QDataWidgetMapper_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDataWidgetMapper_PTR().Pointer()
	}
	return nil
}

func (n *QDataWidgetMapper) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDataWidgetMapper) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQDataWidgetMapperFromPointer(ptr unsafe.Pointer) (n *QDataWidgetMapper) {
	n = new(QDataWidgetMapper)
	n.InitFromInternal(uintptr(ptr), "widgets.QDataWidgetMapper")
	return
}

//go:generate stringer -type=QDataWidgetMapper__SubmitPolicy
//QDataWidgetMapper::SubmitPolicy
type QDataWidgetMapper__SubmitPolicy int64

const (
	QDataWidgetMapper__AutoSubmit   QDataWidgetMapper__SubmitPolicy = QDataWidgetMapper__SubmitPolicy(0)
	QDataWidgetMapper__ManualSubmit QDataWidgetMapper__SubmitPolicy = QDataWidgetMapper__SubmitPolicy(1)
)

func NewQDataWidgetMapper(parent core.QObject_ITF) *QDataWidgetMapper {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDataWidgetMapper", "", parent}).(*QDataWidgetMapper)
}

func (ptr *QDataWidgetMapper) AddMapping(widget QWidget_ITF, section int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddMapping", widget, section})
}

func (ptr *QDataWidgetMapper) AddMapping2(widget QWidget_ITF, section int, propertyName core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddMapping2", widget, section, propertyName})
}

func (ptr *QDataWidgetMapper) ClearMapping() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearMapping"})
}

func (ptr *QDataWidgetMapper) CurrentIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentIndex"}).(float64))
}

func (ptr *QDataWidgetMapper) ConnectCurrentIndexChanged(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentIndexChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDataWidgetMapper) DisconnectCurrentIndexChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentIndexChanged"})
}

func (ptr *QDataWidgetMapper) CurrentIndexChanged(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentIndexChanged", index})
}

func (ptr *QDataWidgetMapper) ItemDelegate() *QAbstractItemDelegate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemDelegate"}).(*QAbstractItemDelegate)
}

func (ptr *QDataWidgetMapper) MappedPropertyName(widget QWidget_ITF) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MappedPropertyName", widget}).(*core.QByteArray)
}

func (ptr *QDataWidgetMapper) MappedSection(widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MappedSection", widget}).(float64))
}

func (ptr *QDataWidgetMapper) MappedWidgetAt(section int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MappedWidgetAt", section}).(*QWidget)
}

func (ptr *QDataWidgetMapper) Model() *core.QAbstractItemModel {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Model"}).(*core.QAbstractItemModel)
}

func (ptr *QDataWidgetMapper) Orientation() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QDataWidgetMapper) RemoveMapping(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveMapping", widget})
}

func (ptr *QDataWidgetMapper) ConnectRevert(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRevert", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDataWidgetMapper) DisconnectRevert() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRevert"})
}

func (ptr *QDataWidgetMapper) Revert() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Revert"})
}

func (ptr *QDataWidgetMapper) RevertDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RevertDefault"})
}

func (ptr *QDataWidgetMapper) RootIndex() *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RootIndex"}).(*core.QModelIndex)
}

func (ptr *QDataWidgetMapper) ConnectSetCurrentIndex(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDataWidgetMapper) DisconnectSetCurrentIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentIndex"})
}

func (ptr *QDataWidgetMapper) SetCurrentIndex(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndex", index})
}

func (ptr *QDataWidgetMapper) SetCurrentIndexDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndexDefault", index})
}

func (ptr *QDataWidgetMapper) ConnectSetCurrentModelIndex(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentModelIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDataWidgetMapper) DisconnectSetCurrentModelIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentModelIndex"})
}

func (ptr *QDataWidgetMapper) SetCurrentModelIndex(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentModelIndex", index})
}

func (ptr *QDataWidgetMapper) SetCurrentModelIndexDefault(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentModelIndexDefault", index})
}

func (ptr *QDataWidgetMapper) SetItemDelegate(delegate QAbstractItemDelegate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemDelegate", delegate})
}

func (ptr *QDataWidgetMapper) SetModel(model core.QAbstractItemModel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModel", model})
}

func (ptr *QDataWidgetMapper) SetOrientation(aOrientation core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrientation", aOrientation})
}

func (ptr *QDataWidgetMapper) SetRootIndex(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRootIndex", index})
}

func (ptr *QDataWidgetMapper) SetSubmitPolicy(policy QDataWidgetMapper__SubmitPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSubmitPolicy", policy})
}

func (ptr *QDataWidgetMapper) ConnectSubmit(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSubmit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDataWidgetMapper) DisconnectSubmit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSubmit"})
}

func (ptr *QDataWidgetMapper) Submit() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Submit"}).(bool)
}

func (ptr *QDataWidgetMapper) SubmitDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubmitDefault"}).(bool)
}

func (ptr *QDataWidgetMapper) SubmitPolicy() QDataWidgetMapper__SubmitPolicy {

	return QDataWidgetMapper__SubmitPolicy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubmitPolicy"}).(float64))
}

func (ptr *QDataWidgetMapper) ConnectToFirst(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectToFirst", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDataWidgetMapper) DisconnectToFirst() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectToFirst"})
}

func (ptr *QDataWidgetMapper) ToFirst() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToFirst"})
}

func (ptr *QDataWidgetMapper) ToFirstDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToFirstDefault"})
}

func (ptr *QDataWidgetMapper) ConnectToLast(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectToLast", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDataWidgetMapper) DisconnectToLast() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectToLast"})
}

func (ptr *QDataWidgetMapper) ToLast() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLast"})
}

func (ptr *QDataWidgetMapper) ToLastDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToLastDefault"})
}

func (ptr *QDataWidgetMapper) ConnectToNext(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectToNext", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDataWidgetMapper) DisconnectToNext() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectToNext"})
}

func (ptr *QDataWidgetMapper) ToNext() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToNext"})
}

func (ptr *QDataWidgetMapper) ToNextDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToNextDefault"})
}

func (ptr *QDataWidgetMapper) ConnectToPrevious(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectToPrevious", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDataWidgetMapper) DisconnectToPrevious() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectToPrevious"})
}

func (ptr *QDataWidgetMapper) ToPrevious() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPrevious"})
}

func (ptr *QDataWidgetMapper) ToPreviousDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPreviousDefault"})
}

func (ptr *QDataWidgetMapper) ConnectDestroyQDataWidgetMapper(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQDataWidgetMapper", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDataWidgetMapper) DisconnectDestroyQDataWidgetMapper() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQDataWidgetMapper"})
}

func (ptr *QDataWidgetMapper) DestroyQDataWidgetMapper() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDataWidgetMapper"})
}

func (ptr *QDataWidgetMapper) DestroyQDataWidgetMapperDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDataWidgetMapperDefault"})
}

func (ptr *QDataWidgetMapper) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QDataWidgetMapper) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QDataWidgetMapper) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QDataWidgetMapper) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QDataWidgetMapper) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QDataWidgetMapper) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QDataWidgetMapper) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QDataWidgetMapper) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QDataWidgetMapper) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QDataWidgetMapper) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QDataWidgetMapper) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QDataWidgetMapper) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QDataWidgetMapper) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QDataWidgetMapper) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QDataWidgetMapper) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QDataWidgetMapper) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QDataWidgetMapper) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QDataWidgetMapper) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QDataWidgetMapper) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QDataWidgetMapper) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QDataWidgetMapper) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QDateEdit struct {
	QDateTimeEdit
}

type QDateEdit_ITF interface {
	QDateTimeEdit_ITF
	QDateEdit_PTR() *QDateEdit
}

func (ptr *QDateEdit) QDateEdit_PTR() *QDateEdit {
	return ptr
}

func (ptr *QDateEdit) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QDateTimeEdit_PTR().Pointer()
	}
	return nil
}

func (ptr *QDateEdit) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QDateTimeEdit_PTR().SetPointer(p)
	}
}

func PointerFromQDateEdit(ptr QDateEdit_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDateEdit_PTR().Pointer()
	}
	return nil
}

func (n *QDateEdit) InitFromInternal(ptr uintptr, name string) {
	n.QDateTimeEdit_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDateEdit) ClassNameInternalF() string {
	return n.QDateTimeEdit_PTR().ClassNameInternalF()
}

func NewQDateEditFromPointer(ptr unsafe.Pointer) (n *QDateEdit) {
	n = new(QDateEdit)
	n.InitFromInternal(uintptr(ptr), "widgets.QDateEdit")
	return
}
func NewQDateEdit(parent QWidget_ITF) *QDateEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDateEdit", "", parent}).(*QDateEdit)
}

func NewQDateEdit2(date core.QDate_ITF, parent QWidget_ITF) *QDateEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDateEdit2", "", date, parent}).(*QDateEdit)
}

func (ptr *QDateEdit) ConnectDestroyQDateEdit(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQDateEdit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDateEdit) DisconnectDestroyQDateEdit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQDateEdit"})
}

func (ptr *QDateEdit) DestroyQDateEdit() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDateEdit"})
}

func (ptr *QDateEdit) DestroyQDateEditDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDateEditDefault"})
}

type QDateTimeEdit struct {
	QAbstractSpinBox
}

type QDateTimeEdit_ITF interface {
	QAbstractSpinBox_ITF
	QDateTimeEdit_PTR() *QDateTimeEdit
}

func (ptr *QDateTimeEdit) QDateTimeEdit_PTR() *QDateTimeEdit {
	return ptr
}

func (ptr *QDateTimeEdit) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractSpinBox_PTR().Pointer()
	}
	return nil
}

func (ptr *QDateTimeEdit) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractSpinBox_PTR().SetPointer(p)
	}
}

func PointerFromQDateTimeEdit(ptr QDateTimeEdit_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDateTimeEdit_PTR().Pointer()
	}
	return nil
}

func (n *QDateTimeEdit) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractSpinBox_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDateTimeEdit) ClassNameInternalF() string {
	return n.QAbstractSpinBox_PTR().ClassNameInternalF()
}

func NewQDateTimeEditFromPointer(ptr unsafe.Pointer) (n *QDateTimeEdit) {
	n = new(QDateTimeEdit)
	n.InitFromInternal(uintptr(ptr), "widgets.QDateTimeEdit")
	return
}

//go:generate stringer -type=QDateTimeEdit__Section
//QDateTimeEdit::Section
type QDateTimeEdit__Section int64

const (
	QDateTimeEdit__NoSection     QDateTimeEdit__Section = QDateTimeEdit__Section(0x0000)
	QDateTimeEdit__AmPmSection   QDateTimeEdit__Section = QDateTimeEdit__Section(0x0001)
	QDateTimeEdit__MSecSection   QDateTimeEdit__Section = QDateTimeEdit__Section(0x0002)
	QDateTimeEdit__SecondSection QDateTimeEdit__Section = QDateTimeEdit__Section(0x0004)
	QDateTimeEdit__MinuteSection QDateTimeEdit__Section = QDateTimeEdit__Section(0x0008)
	QDateTimeEdit__HourSection   QDateTimeEdit__Section = QDateTimeEdit__Section(0x0010)
	QDateTimeEdit__DaySection    QDateTimeEdit__Section = QDateTimeEdit__Section(0x0100)
	QDateTimeEdit__MonthSection  QDateTimeEdit__Section = QDateTimeEdit__Section(0x0200)
	QDateTimeEdit__YearSection   QDateTimeEdit__Section = QDateTimeEdit__Section(0x0400)
)

func NewQDateTimeEdit(parent QWidget_ITF) *QDateTimeEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDateTimeEdit", "", parent}).(*QDateTimeEdit)
}

func NewQDateTimeEdit2(datetime core.QDateTime_ITF, parent QWidget_ITF) *QDateTimeEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDateTimeEdit2", "", datetime, parent}).(*QDateTimeEdit)
}

func NewQDateTimeEdit3(date core.QDate_ITF, parent QWidget_ITF) *QDateTimeEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDateTimeEdit3", "", date, parent}).(*QDateTimeEdit)
}

func NewQDateTimeEdit4(ti core.QTime_ITF, parent QWidget_ITF) *QDateTimeEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDateTimeEdit4", "", ti, parent}).(*QDateTimeEdit)
}

func (ptr *QDateTimeEdit) CalendarPopup() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CalendarPopup"}).(bool)
}

func (ptr *QDateTimeEdit) CalendarWidget() *QCalendarWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CalendarWidget"}).(*QCalendarWidget)
}

func (ptr *QDateTimeEdit) ConnectClear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDateTimeEdit) DisconnectClear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClear"})
}

func (ptr *QDateTimeEdit) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QDateTimeEdit) ClearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearDefault"})
}

func (ptr *QDateTimeEdit) ClearMaximumDate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearMaximumDate"})
}

func (ptr *QDateTimeEdit) ClearMaximumDateTime() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearMaximumDateTime"})
}

func (ptr *QDateTimeEdit) ClearMaximumTime() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearMaximumTime"})
}

func (ptr *QDateTimeEdit) ClearMinimumDate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearMinimumDate"})
}

func (ptr *QDateTimeEdit) ClearMinimumDateTime() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearMinimumDateTime"})
}

func (ptr *QDateTimeEdit) ClearMinimumTime() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearMinimumTime"})
}

func (ptr *QDateTimeEdit) CurrentSection() QDateTimeEdit__Section {

	return QDateTimeEdit__Section(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentSection"}).(float64))
}

func (ptr *QDateTimeEdit) CurrentSectionIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentSectionIndex"}).(float64))
}

func (ptr *QDateTimeEdit) Date() *core.QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Date"}).(*core.QDate)
}

func (ptr *QDateTimeEdit) ConnectDateChanged(f func(date *core.QDate)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDateTimeEdit) DisconnectDateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDateChanged"})
}

func (ptr *QDateTimeEdit) DateChanged(date core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DateChanged", date})
}

func (ptr *QDateTimeEdit) DateTime() *core.QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DateTime"}).(*core.QDateTime)
}

func (ptr *QDateTimeEdit) ConnectDateTimeChanged(f func(datetime *core.QDateTime)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDateTimeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDateTimeEdit) DisconnectDateTimeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDateTimeChanged"})
}

func (ptr *QDateTimeEdit) DateTimeChanged(datetime core.QDateTime_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DateTimeChanged", datetime})
}

func (ptr *QDateTimeEdit) ConnectDateTimeFromText(f func(text string) *core.QDateTime) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDateTimeFromText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDateTimeEdit) DisconnectDateTimeFromText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDateTimeFromText"})
}

func (ptr *QDateTimeEdit) DateTimeFromText(text string) *core.QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DateTimeFromText", text}).(*core.QDateTime)
}

func (ptr *QDateTimeEdit) DateTimeFromTextDefault(text string) *core.QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DateTimeFromTextDefault", text}).(*core.QDateTime)
}

func (ptr *QDateTimeEdit) DisplayFormat() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisplayFormat"}).(string)
}

func (ptr *QDateTimeEdit) DisplayedSections() QDateTimeEdit__Section {

	return QDateTimeEdit__Section(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisplayedSections"}).(float64))
}

func (ptr *QDateTimeEdit) MaximumDate() *core.QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumDate"}).(*core.QDate)
}

func (ptr *QDateTimeEdit) MaximumDateTime() *core.QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumDateTime"}).(*core.QDateTime)
}

func (ptr *QDateTimeEdit) MaximumTime() *core.QTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumTime"}).(*core.QTime)
}

func (ptr *QDateTimeEdit) MinimumDate() *core.QDate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumDate"}).(*core.QDate)
}

func (ptr *QDateTimeEdit) MinimumDateTime() *core.QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumDateTime"}).(*core.QDateTime)
}

func (ptr *QDateTimeEdit) MinimumTime() *core.QTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumTime"}).(*core.QTime)
}

func (ptr *QDateTimeEdit) SectionAt(index int) QDateTimeEdit__Section {

	return QDateTimeEdit__Section(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionAt", index}).(float64))
}

func (ptr *QDateTimeEdit) SectionCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionCount"}).(float64))
}

func (ptr *QDateTimeEdit) SectionText(section QDateTimeEdit__Section) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionText", section}).(string)
}

func (ptr *QDateTimeEdit) SetCalendarPopup(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCalendarPopup", enable})
}

func (ptr *QDateTimeEdit) SetCalendarWidget(calendarWidget QCalendarWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCalendarWidget", calendarWidget})
}

func (ptr *QDateTimeEdit) SetCurrentSection(section QDateTimeEdit__Section) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentSection", section})
}

func (ptr *QDateTimeEdit) SetCurrentSectionIndex(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentSectionIndex", index})
}

func (ptr *QDateTimeEdit) ConnectSetDate(f func(date *core.QDate)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetDate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDateTimeEdit) DisconnectSetDate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetDate"})
}

func (ptr *QDateTimeEdit) SetDate(date core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDate", date})
}

func (ptr *QDateTimeEdit) SetDateDefault(date core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDateDefault", date})
}

func (ptr *QDateTimeEdit) SetDateRange(min core.QDate_ITF, max core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDateRange", min, max})
}

func (ptr *QDateTimeEdit) ConnectSetDateTime(f func(dateTime *core.QDateTime)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetDateTime", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDateTimeEdit) DisconnectSetDateTime() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetDateTime"})
}

func (ptr *QDateTimeEdit) SetDateTime(dateTime core.QDateTime_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDateTime", dateTime})
}

func (ptr *QDateTimeEdit) SetDateTimeDefault(dateTime core.QDateTime_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDateTimeDefault", dateTime})
}

func (ptr *QDateTimeEdit) SetDateTimeRange(min core.QDateTime_ITF, max core.QDateTime_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDateTimeRange", min, max})
}

func (ptr *QDateTimeEdit) SetDisplayFormat(format string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDisplayFormat", format})
}

func (ptr *QDateTimeEdit) SetMaximumDate(max core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumDate", max})
}

func (ptr *QDateTimeEdit) SetMaximumDateTime(dt core.QDateTime_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumDateTime", dt})
}

func (ptr *QDateTimeEdit) SetMaximumTime(max core.QTime_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumTime", max})
}

func (ptr *QDateTimeEdit) SetMinimumDate(min core.QDate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumDate", min})
}

func (ptr *QDateTimeEdit) SetMinimumDateTime(dt core.QDateTime_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumDateTime", dt})
}

func (ptr *QDateTimeEdit) SetMinimumTime(min core.QTime_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumTime", min})
}

func (ptr *QDateTimeEdit) SetSelectedSection(section QDateTimeEdit__Section) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectedSection", section})
}

func (ptr *QDateTimeEdit) ConnectSetTime(f func(ti *core.QTime)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetTime", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDateTimeEdit) DisconnectSetTime() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetTime"})
}

func (ptr *QDateTimeEdit) SetTime(ti core.QTime_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTime", ti})
}

func (ptr *QDateTimeEdit) SetTimeDefault(ti core.QTime_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTimeDefault", ti})
}

func (ptr *QDateTimeEdit) SetTimeRange(min core.QTime_ITF, max core.QTime_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTimeRange", min, max})
}

func (ptr *QDateTimeEdit) SetTimeSpec(spec core.Qt__TimeSpec) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTimeSpec", spec})
}

func (ptr *QDateTimeEdit) ConnectTextFromDateTime(f func(dateTime *core.QDateTime) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTextFromDateTime", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDateTimeEdit) DisconnectTextFromDateTime() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTextFromDateTime"})
}

func (ptr *QDateTimeEdit) TextFromDateTime(dateTime core.QDateTime_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextFromDateTime", dateTime}).(string)
}

func (ptr *QDateTimeEdit) TextFromDateTimeDefault(dateTime core.QDateTime_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextFromDateTimeDefault", dateTime}).(string)
}

func (ptr *QDateTimeEdit) Time() *core.QTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Time"}).(*core.QTime)
}

func (ptr *QDateTimeEdit) ConnectTimeChanged(f func(ti *core.QTime)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTimeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDateTimeEdit) DisconnectTimeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTimeChanged"})
}

func (ptr *QDateTimeEdit) TimeChanged(ti core.QTime_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimeChanged", ti})
}

func (ptr *QDateTimeEdit) TimeSpec() core.Qt__TimeSpec {

	return core.Qt__TimeSpec(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimeSpec"}).(float64))
}

func (ptr *QDateTimeEdit) ConnectDestroyQDateTimeEdit(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQDateTimeEdit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDateTimeEdit) DisconnectDestroyQDateTimeEdit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQDateTimeEdit"})
}

func (ptr *QDateTimeEdit) DestroyQDateTimeEdit() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDateTimeEdit"})
}

func (ptr *QDateTimeEdit) DestroyQDateTimeEditDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDateTimeEditDefault"})
}

type QDesktopWidget struct {
	QWidget
}

type QDesktopWidget_ITF interface {
	QWidget_ITF
	QDesktopWidget_PTR() *QDesktopWidget
}

func (ptr *QDesktopWidget) QDesktopWidget_PTR() *QDesktopWidget {
	return ptr
}

func (ptr *QDesktopWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QDesktopWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQDesktopWidget(ptr QDesktopWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDesktopWidget_PTR().Pointer()
	}
	return nil
}

func (n *QDesktopWidget) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDesktopWidget) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQDesktopWidgetFromPointer(ptr unsafe.Pointer) (n *QDesktopWidget) {
	n = new(QDesktopWidget)
	n.InitFromInternal(uintptr(ptr), "widgets.QDesktopWidget")
	return
}
func NewQDesktopWidget() *QDesktopWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDesktopWidget", ""}).(*QDesktopWidget)
}

func (ptr *QDesktopWidget) AvailableGeometry(screen int) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableGeometry", screen}).(*core.QRect)
}

func (ptr *QDesktopWidget) AvailableGeometry2(widget QWidget_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AvailableGeometry2", widget}).(*core.QRect)
}

func (ptr *QDesktopWidget) IsVirtualDesktop() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsVirtualDesktop"}).(bool)
}

func (ptr *QDesktopWidget) NumScreens() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NumScreens"}).(float64))
}

func (ptr *QDesktopWidget) PrimaryScreen() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PrimaryScreen"}).(float64))
}

func (ptr *QDesktopWidget) ConnectPrimaryScreenChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPrimaryScreenChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDesktopWidget) DisconnectPrimaryScreenChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPrimaryScreenChanged"})
}

func (ptr *QDesktopWidget) PrimaryScreenChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PrimaryScreenChanged"})
}

func (ptr *QDesktopWidget) ConnectResized(f func(screen int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResized", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDesktopWidget) DisconnectResized() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResized"})
}

func (ptr *QDesktopWidget) Resized(screen int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resized", screen})
}

func (ptr *QDesktopWidget) Screen(screen int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Screen", screen}).(*QWidget)
}

func (ptr *QDesktopWidget) ScreenCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenCount"}).(float64))
}

func (ptr *QDesktopWidget) ConnectScreenCountChanged(f func(newCount int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScreenCountChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDesktopWidget) DisconnectScreenCountChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScreenCountChanged"})
}

func (ptr *QDesktopWidget) ScreenCountChanged(newCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenCountChanged", newCount})
}

func (ptr *QDesktopWidget) ScreenGeometry(screen int) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenGeometry", screen}).(*core.QRect)
}

func (ptr *QDesktopWidget) ScreenGeometry2(widget QWidget_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenGeometry2", widget}).(*core.QRect)
}

func (ptr *QDesktopWidget) ScreenNumber(widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenNumber", widget}).(float64))
}

func (ptr *QDesktopWidget) ScreenNumber2(point core.QPoint_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenNumber2", point}).(float64))
}

func (ptr *QDesktopWidget) ConnectWorkAreaResized(f func(screen int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWorkAreaResized", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDesktopWidget) DisconnectWorkAreaResized() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWorkAreaResized"})
}

func (ptr *QDesktopWidget) WorkAreaResized(screen int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WorkAreaResized", screen})
}

func (ptr *QDesktopWidget) ConnectDestroyQDesktopWidget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQDesktopWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDesktopWidget) DisconnectDestroyQDesktopWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQDesktopWidget"})
}

func (ptr *QDesktopWidget) DestroyQDesktopWidget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDesktopWidget"})
}

func (ptr *QDesktopWidget) DestroyQDesktopWidgetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDesktopWidgetDefault"})
}

type QDial struct {
	QAbstractSlider
}

type QDial_ITF interface {
	QAbstractSlider_ITF
	QDial_PTR() *QDial
}

func (ptr *QDial) QDial_PTR() *QDial {
	return ptr
}

func (ptr *QDial) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractSlider_PTR().Pointer()
	}
	return nil
}

func (ptr *QDial) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractSlider_PTR().SetPointer(p)
	}
}

func PointerFromQDial(ptr QDial_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDial_PTR().Pointer()
	}
	return nil
}

func (n *QDial) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractSlider_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDial) ClassNameInternalF() string {
	return n.QAbstractSlider_PTR().ClassNameInternalF()
}

func NewQDialFromPointer(ptr unsafe.Pointer) (n *QDial) {
	n = new(QDial)
	n.InitFromInternal(uintptr(ptr), "widgets.QDial")
	return
}
func NewQDial(parent QWidget_ITF) *QDial {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDial", "", parent}).(*QDial)
}

func (ptr *QDial) InitStyleOption(option QStyleOptionSlider_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QDial) NotchSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NotchSize"}).(float64))
}

func (ptr *QDial) NotchTarget() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NotchTarget"}).(float64)
}

func (ptr *QDial) NotchesVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NotchesVisible"}).(bool)
}

func (ptr *QDial) SetNotchTarget(target float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNotchTarget", target})
}

func (ptr *QDial) ConnectSetNotchesVisible(f func(visible bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetNotchesVisible", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDial) DisconnectSetNotchesVisible() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetNotchesVisible"})
}

func (ptr *QDial) SetNotchesVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNotchesVisible", visible})
}

func (ptr *QDial) SetNotchesVisibleDefault(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNotchesVisibleDefault", visible})
}

func (ptr *QDial) ConnectSetWrapping(f func(on bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetWrapping", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDial) DisconnectSetWrapping() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetWrapping"})
}

func (ptr *QDial) SetWrapping(on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWrapping", on})
}

func (ptr *QDial) SetWrappingDefault(on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWrappingDefault", on})
}

func (ptr *QDial) Wrapping() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Wrapping"}).(bool)
}

func (ptr *QDial) ConnectDestroyQDial(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQDial", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDial) DisconnectDestroyQDial() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQDial"})
}

func (ptr *QDial) DestroyQDial() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDial"})
}

func (ptr *QDial) DestroyQDialDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDialDefault"})
}

type QDialog struct {
	QWidget
}

type QDialog_ITF interface {
	QWidget_ITF
	QDialog_PTR() *QDialog
}

func (ptr *QDialog) QDialog_PTR() *QDialog {
	return ptr
}

func (ptr *QDialog) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QDialog) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQDialog(ptr QDialog_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDialog_PTR().Pointer()
	}
	return nil
}

func (n *QDialog) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDialog) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQDialogFromPointer(ptr unsafe.Pointer) (n *QDialog) {
	n = new(QDialog)
	n.InitFromInternal(uintptr(ptr), "widgets.QDialog")
	return
}

//go:generate stringer -type=QDialog__DialogCode
//QDialog::DialogCode
type QDialog__DialogCode int64

const (
	QDialog__Rejected QDialog__DialogCode = QDialog__DialogCode(0)
	QDialog__Accepted QDialog__DialogCode = QDialog__DialogCode(1)
)

func NewQDialog(parent QWidget_ITF, ff core.Qt__WindowType) *QDialog {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDialog", "", parent, ff}).(*QDialog)
}

func (ptr *QDialog) ConnectAccept(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAccept", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialog) DisconnectAccept() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAccept"})
}

func (ptr *QDialog) Accept() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Accept"})
}

func (ptr *QDialog) AcceptDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AcceptDefault"})
}

func (ptr *QDialog) ConnectAccepted(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAccepted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialog) DisconnectAccepted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAccepted"})
}

func (ptr *QDialog) Accepted() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Accepted"})
}

func (ptr *QDialog) ConnectDone(f func(r int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDone", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialog) DisconnectDone() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDone"})
}

func (ptr *QDialog) Done(r int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Done", r})
}

func (ptr *QDialog) DoneDefault(r int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoneDefault", r})
}

func (ptr *QDialog) ConnectExec(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectExec", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialog) DisconnectExec() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectExec"})
}

func (ptr *QDialog) Exec() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exec"}).(float64))
}

func (ptr *QDialog) ExecDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExecDefault"}).(float64))
}

func (ptr *QDialog) ConnectFinished(f func(result int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFinished", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialog) DisconnectFinished() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFinished"})
}

func (ptr *QDialog) Finished(result int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Finished", result})
}

func (ptr *QDialog) IsSizeGripEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSizeGripEnabled"}).(bool)
}

func (ptr *QDialog) ConnectOpen(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOpen", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialog) DisconnectOpen() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOpen"})
}

func (ptr *QDialog) Open() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Open"})
}

func (ptr *QDialog) OpenDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpenDefault"})
}

func (ptr *QDialog) ConnectReject(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialog) DisconnectReject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReject"})
}

func (ptr *QDialog) Reject() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reject"})
}

func (ptr *QDialog) RejectDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RejectDefault"})
}

func (ptr *QDialog) ConnectRejected(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRejected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialog) DisconnectRejected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRejected"})
}

func (ptr *QDialog) Rejected() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rejected"})
}

func (ptr *QDialog) Result() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Result"}).(float64))
}

func (ptr *QDialog) SetModal(modal bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModal", modal})
}

func (ptr *QDialog) SetResult(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResult", i})
}

func (ptr *QDialog) SetSizeGripEnabled(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSizeGripEnabled", vbo})
}

func (ptr *QDialog) ConnectSetVisible(f func(visible bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetVisible", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialog) DisconnectSetVisible() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetVisible"})
}

func (ptr *QDialog) SetVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisible", visible})
}

func (ptr *QDialog) SetVisibleDefault(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisibleDefault", visible})
}

func (ptr *QDialog) ConnectDestroyQDialog(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQDialog", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialog) DisconnectDestroyQDialog() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQDialog"})
}

func (ptr *QDialog) DestroyQDialog() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDialog"})
}

func (ptr *QDialog) DestroyQDialogDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDialogDefault"})
}

type QDialogButtonBox struct {
	QWidget
}

type QDialogButtonBox_ITF interface {
	QWidget_ITF
	QDialogButtonBox_PTR() *QDialogButtonBox
}

func (ptr *QDialogButtonBox) QDialogButtonBox_PTR() *QDialogButtonBox {
	return ptr
}

func (ptr *QDialogButtonBox) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QDialogButtonBox) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQDialogButtonBox(ptr QDialogButtonBox_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDialogButtonBox_PTR().Pointer()
	}
	return nil
}

func (n *QDialogButtonBox) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDialogButtonBox) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQDialogButtonBoxFromPointer(ptr unsafe.Pointer) (n *QDialogButtonBox) {
	n = new(QDialogButtonBox)
	n.InitFromInternal(uintptr(ptr), "widgets.QDialogButtonBox")
	return
}

//go:generate stringer -type=QDialogButtonBox__ButtonRole
//QDialogButtonBox::ButtonRole
type QDialogButtonBox__ButtonRole int64

const (
	QDialogButtonBox__InvalidRole     QDialogButtonBox__ButtonRole = QDialogButtonBox__ButtonRole(-1)
	QDialogButtonBox__AcceptRole      QDialogButtonBox__ButtonRole = QDialogButtonBox__ButtonRole(0)
	QDialogButtonBox__RejectRole      QDialogButtonBox__ButtonRole = QDialogButtonBox__ButtonRole(1)
	QDialogButtonBox__DestructiveRole QDialogButtonBox__ButtonRole = QDialogButtonBox__ButtonRole(2)
	QDialogButtonBox__ActionRole      QDialogButtonBox__ButtonRole = QDialogButtonBox__ButtonRole(3)
	QDialogButtonBox__HelpRole        QDialogButtonBox__ButtonRole = QDialogButtonBox__ButtonRole(4)
	QDialogButtonBox__YesRole         QDialogButtonBox__ButtonRole = QDialogButtonBox__ButtonRole(5)
	QDialogButtonBox__NoRole          QDialogButtonBox__ButtonRole = QDialogButtonBox__ButtonRole(6)
	QDialogButtonBox__ResetRole       QDialogButtonBox__ButtonRole = QDialogButtonBox__ButtonRole(7)
	QDialogButtonBox__ApplyRole       QDialogButtonBox__ButtonRole = QDialogButtonBox__ButtonRole(8)
	QDialogButtonBox__NRoles          QDialogButtonBox__ButtonRole = QDialogButtonBox__ButtonRole(9)
)

//go:generate stringer -type=QDialogButtonBox__StandardButton
//QDialogButtonBox::StandardButton
type QDialogButtonBox__StandardButton int64

const (
	QDialogButtonBox__NoButton        QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00000000)
	QDialogButtonBox__Ok              QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00000400)
	QDialogButtonBox__Save            QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00000800)
	QDialogButtonBox__SaveAll         QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00001000)
	QDialogButtonBox__Open            QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00002000)
	QDialogButtonBox__Yes             QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00004000)
	QDialogButtonBox__YesToAll        QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00008000)
	QDialogButtonBox__No              QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00010000)
	QDialogButtonBox__NoToAll         QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00020000)
	QDialogButtonBox__Abort           QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00040000)
	QDialogButtonBox__Retry           QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00080000)
	QDialogButtonBox__Ignore          QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00100000)
	QDialogButtonBox__Close           QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00200000)
	QDialogButtonBox__Cancel          QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00400000)
	QDialogButtonBox__Discard         QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x00800000)
	QDialogButtonBox__Help            QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x01000000)
	QDialogButtonBox__Apply           QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x02000000)
	QDialogButtonBox__Reset           QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x04000000)
	QDialogButtonBox__RestoreDefaults QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(0x08000000)
	QDialogButtonBox__FirstButton     QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(QDialogButtonBox__Ok)
	QDialogButtonBox__LastButton      QDialogButtonBox__StandardButton = QDialogButtonBox__StandardButton(QDialogButtonBox__RestoreDefaults)
)

//go:generate stringer -type=QDialogButtonBox__ButtonLayout
//QDialogButtonBox::ButtonLayout
type QDialogButtonBox__ButtonLayout int64

var (
	QDialogButtonBox__WinLayout     QDialogButtonBox__ButtonLayout = QDialogButtonBox__ButtonLayout(0)
	QDialogButtonBox__MacLayout     QDialogButtonBox__ButtonLayout = QDialogButtonBox__ButtonLayout(1)
	QDialogButtonBox__KdeLayout     QDialogButtonBox__ButtonLayout = QDialogButtonBox__ButtonLayout(2)
	QDialogButtonBox__GnomeLayout   QDialogButtonBox__ButtonLayout = QDialogButtonBox__ButtonLayout(3)
	QDialogButtonBox__AndroidLayout QDialogButtonBox__ButtonLayout = QDialogButtonBox__ButtonLayout(0)
)

func NewQDialogButtonBox(parent QWidget_ITF) *QDialogButtonBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDialogButtonBox", "", parent}).(*QDialogButtonBox)
}

func NewQDialogButtonBox2(orientation core.Qt__Orientation, parent QWidget_ITF) *QDialogButtonBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDialogButtonBox2", "", orientation, parent}).(*QDialogButtonBox)
}

func NewQDialogButtonBox3(buttons QDialogButtonBox__StandardButton, parent QWidget_ITF) *QDialogButtonBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDialogButtonBox3", "", buttons, parent}).(*QDialogButtonBox)
}

func NewQDialogButtonBox4(buttons QDialogButtonBox__StandardButton, orientation core.Qt__Orientation, parent QWidget_ITF) *QDialogButtonBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDialogButtonBox4", "", buttons, orientation, parent}).(*QDialogButtonBox)
}

func (ptr *QDialogButtonBox) ConnectAccepted(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAccepted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialogButtonBox) DisconnectAccepted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAccepted"})
}

func (ptr *QDialogButtonBox) Accepted() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Accepted"})
}

func (ptr *QDialogButtonBox) AddButton(button QAbstractButton_ITF, role QDialogButtonBox__ButtonRole) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddButton", button, role})
}

func (ptr *QDialogButtonBox) AddButton2(text string, role QDialogButtonBox__ButtonRole) *QPushButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddButton2", text, role}).(*QPushButton)
}

func (ptr *QDialogButtonBox) AddButton3(button QDialogButtonBox__StandardButton) *QPushButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddButton3", button}).(*QPushButton)
}

func (ptr *QDialogButtonBox) Button(which QDialogButtonBox__StandardButton) *QPushButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Button", which}).(*QPushButton)
}

func (ptr *QDialogButtonBox) ButtonRole(button QAbstractButton_ITF) QDialogButtonBox__ButtonRole {

	return QDialogButtonBox__ButtonRole(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonRole", button}).(float64))
}

func (ptr *QDialogButtonBox) Buttons() []*QAbstractButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Buttons"}).([]*QAbstractButton)
}

func (ptr *QDialogButtonBox) CenterButtons() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CenterButtons"}).(bool)
}

func (ptr *QDialogButtonBox) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QDialogButtonBox) ConnectClicked(f func(button *QAbstractButton)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialogButtonBox) DisconnectClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClicked"})
}

func (ptr *QDialogButtonBox) Clicked(button QAbstractButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clicked", button})
}

func (ptr *QDialogButtonBox) ConnectHelpRequested(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHelpRequested", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialogButtonBox) DisconnectHelpRequested() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHelpRequested"})
}

func (ptr *QDialogButtonBox) HelpRequested() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HelpRequested"})
}

func (ptr *QDialogButtonBox) Orientation() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QDialogButtonBox) ConnectRejected(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRejected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialogButtonBox) DisconnectRejected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRejected"})
}

func (ptr *QDialogButtonBox) Rejected() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rejected"})
}

func (ptr *QDialogButtonBox) RemoveButton(button QAbstractButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveButton", button})
}

func (ptr *QDialogButtonBox) SetCenterButtons(center bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCenterButtons", center})
}

func (ptr *QDialogButtonBox) SetOrientation(orientation core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrientation", orientation})
}

func (ptr *QDialogButtonBox) SetStandardButtons(buttons QDialogButtonBox__StandardButton) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStandardButtons", buttons})
}

func (ptr *QDialogButtonBox) StandardButton(button QAbstractButton_ITF) QDialogButtonBox__StandardButton {

	return QDialogButtonBox__StandardButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardButton", button}).(float64))
}

func (ptr *QDialogButtonBox) StandardButtons() QDialogButtonBox__StandardButton {

	return QDialogButtonBox__StandardButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardButtons"}).(float64))
}

func (ptr *QDialogButtonBox) ConnectDestroyQDialogButtonBox(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQDialogButtonBox", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDialogButtonBox) DisconnectDestroyQDialogButtonBox() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQDialogButtonBox"})
}

func (ptr *QDialogButtonBox) DestroyQDialogButtonBox() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDialogButtonBox"})
}

func (ptr *QDialogButtonBox) DestroyQDialogButtonBoxDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDialogButtonBoxDefault"})
}

func (ptr *QDialogButtonBox) __buttons_atList(i int) *QAbstractButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__buttons_atList", i}).(*QAbstractButton)
}

func (ptr *QDialogButtonBox) __buttons_setList(i QAbstractButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__buttons_setList", i})
}

func (ptr *QDialogButtonBox) __buttons_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__buttons_newList"}).(unsafe.Pointer)
}

type QDirModel struct {
	core.QAbstractItemModel
}

type QDirModel_ITF interface {
	core.QAbstractItemModel_ITF
	QDirModel_PTR() *QDirModel
}

func (ptr *QDirModel) QDirModel_PTR() *QDirModel {
	return ptr
}

func (ptr *QDirModel) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemModel_PTR().Pointer()
	}
	return nil
}

func (ptr *QDirModel) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractItemModel_PTR().SetPointer(p)
	}
}

func PointerFromQDirModel(ptr QDirModel_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDirModel_PTR().Pointer()
	}
	return nil
}

func (n *QDirModel) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractItemModel_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDirModel) ClassNameInternalF() string {
	return n.QAbstractItemModel_PTR().ClassNameInternalF()
}

func NewQDirModelFromPointer(ptr unsafe.Pointer) (n *QDirModel) {
	n = new(QDirModel)
	n.InitFromInternal(uintptr(ptr), "widgets.QDirModel")
	return
}

//go:generate stringer -type=QDirModel__Roles
//QDirModel::Roles
type QDirModel__Roles int64

var (
	QDirModel__FileIconRole QDirModel__Roles = QDirModel__Roles(core.Qt__DecorationRole)
	QDirModel__FilePathRole QDirModel__Roles = QDirModel__Roles(0)
	QDirModel__FileNameRole QDirModel__Roles = QDirModel__Roles(258)
)

func NewQDirModel(nameFilters []string, filters core.QDir__Filter, sort core.QDir__SortFlag, parent core.QObject_ITF) *QDirModel {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDirModel", "", nameFilters, filters, sort, parent}).(*QDirModel)
}

func NewQDirModel2(parent core.QObject_ITF) *QDirModel {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDirModel2", "", parent}).(*QDirModel)
}

func (ptr *QDirModel) ConnectColumnCount(f func(parent *core.QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDirModel) DisconnectColumnCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnCount"})
}

func (ptr *QDirModel) ColumnCount(parent core.QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount", parent}).(float64))
}

func (ptr *QDirModel) ColumnCountDefault(parent core.QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCountDefault", parent}).(float64))
}

func (ptr *QDirModel) ConnectData(f func(index *core.QModelIndex, role int) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDirModel) DisconnectData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectData"})
}

func (ptr *QDirModel) Data(index core.QModelIndex_ITF, role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", index, role}).(*core.QVariant)
}

func (ptr *QDirModel) DataDefault(index core.QModelIndex_ITF, role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataDefault", index, role}).(*core.QVariant)
}

func (ptr *QDirModel) DropMimeDataDefault(data core.QMimeData_ITF, action core.Qt__DropAction, row int, column int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropMimeDataDefault", data, action, row, column, parent}).(bool)
}

func (ptr *QDirModel) FileIcon(index core.QModelIndex_ITF) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileIcon", index}).(*gui.QIcon)
}

func (ptr *QDirModel) FileInfo(index core.QModelIndex_ITF) *core.QFileInfo {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileInfo", index}).(*core.QFileInfo)
}

func (ptr *QDirModel) FileName(index core.QModelIndex_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName", index}).(string)
}

func (ptr *QDirModel) FilePath(index core.QModelIndex_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilePath", index}).(string)
}

func (ptr *QDirModel) Filter() core.QDir__Filter {

	return core.QDir__Filter(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Filter"}).(float64))
}

func (ptr *QDirModel) FlagsDefault(index core.QModelIndex_ITF) core.Qt__ItemFlag {

	return core.Qt__ItemFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FlagsDefault", index}).(float64))
}

func (ptr *QDirModel) HasChildrenDefault(parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasChildrenDefault", parent}).(bool)
}

func (ptr *QDirModel) HeaderDataDefault(section int, orientation core.Qt__Orientation, role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeaderDataDefault", section, orientation, role}).(*core.QVariant)
}

func (ptr *QDirModel) IconProvider() *QFileIconProvider {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconProvider"}).(*QFileIconProvider)
}

func (ptr *QDirModel) ConnectIndex(f func(row int, column int, parent *core.QModelIndex) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDirModel) DisconnectIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndex"})
}

func (ptr *QDirModel) Index(row int, column int, parent core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index", row, column, parent}).(*core.QModelIndex)
}

func (ptr *QDirModel) IndexDefault(row int, column int, parent core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexDefault", row, column, parent}).(*core.QModelIndex)
}

func (ptr *QDirModel) Index2(path string, column int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index2", path, column}).(*core.QModelIndex)
}

func (ptr *QDirModel) IsDir(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDir", index}).(bool)
}

func (ptr *QDirModel) IsReadOnly() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadOnly"}).(bool)
}

func (ptr *QDirModel) LazyChildCount() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LazyChildCount"}).(bool)
}

func (ptr *QDirModel) MimeDataDefault(indexes []*core.QModelIndex) *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeDataDefault", indexes}).(*core.QMimeData)
}

func (ptr *QDirModel) MimeTypesDefault() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypesDefault"}).([]string)
}

func (ptr *QDirModel) Mkdir(parent core.QModelIndex_ITF, name string) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mkdir", parent, name}).(*core.QModelIndex)
}

func (ptr *QDirModel) NameFilters() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NameFilters"}).([]string)
}

func (ptr *QDirModel) ConnectParent(f func(child *core.QModelIndex) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectParent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDirModel) DisconnectParent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectParent"})
}

func (ptr *QDirModel) Parent(child core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent", child}).(*core.QModelIndex)
}

func (ptr *QDirModel) ParentDefault(child core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentDefault", child}).(*core.QModelIndex)
}

func (ptr *QDirModel) ConnectRefresh(f func(parent *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRefresh", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDirModel) DisconnectRefresh() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRefresh"})
}

func (ptr *QDirModel) Refresh(parent core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Refresh", parent})
}

func (ptr *QDirModel) RefreshDefault(parent core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RefreshDefault", parent})
}

func (ptr *QDirModel) Remove(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove", index}).(bool)
}

func (ptr *QDirModel) ResolveSymlinks() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResolveSymlinks"}).(bool)
}

func (ptr *QDirModel) Rmdir(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rmdir", index}).(bool)
}

func (ptr *QDirModel) ConnectRowCount(f func(parent *core.QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDirModel) DisconnectRowCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowCount"})
}

func (ptr *QDirModel) RowCount(parent core.QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount", parent}).(float64))
}

func (ptr *QDirModel) RowCountDefault(parent core.QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCountDefault", parent}).(float64))
}

func (ptr *QDirModel) SetDataDefault(index core.QModelIndex_ITF, value core.QVariant_ITF, role int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDataDefault", index, value, role}).(bool)
}

func (ptr *QDirModel) SetFilter(filters core.QDir__Filter) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilter", filters})
}

func (ptr *QDirModel) SetIconProvider(provider QFileIconProvider_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconProvider", provider})
}

func (ptr *QDirModel) SetLazyChildCount(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLazyChildCount", enable})
}

func (ptr *QDirModel) SetNameFilters(filters []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNameFilters", filters})
}

func (ptr *QDirModel) SetReadOnly(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetReadOnly", enable})
}

func (ptr *QDirModel) SetResolveSymlinks(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResolveSymlinks", enable})
}

func (ptr *QDirModel) SetSorting(sort core.QDir__SortFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSorting", sort})
}

func (ptr *QDirModel) SortDefault(column int, order core.Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortDefault", column, order})
}

func (ptr *QDirModel) Sorting() core.QDir__SortFlag {

	return core.QDir__SortFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Sorting"}).(float64))
}

func (ptr *QDirModel) SupportedDropActionsDefault() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDropActionsDefault"}).(float64))
}

func (ptr *QDirModel) ConnectDestroyQDirModel(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQDirModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDirModel) DisconnectDestroyQDirModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQDirModel"})
}

func (ptr *QDirModel) DestroyQDirModel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDirModel"})
}

func (ptr *QDirModel) DestroyQDirModelDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDirModelDefault"})
}

func (ptr *QDirModel) __mimeData_indexes_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_indexes_atList", i}).(*core.QModelIndex)
}

func (ptr *QDirModel) __mimeData_indexes_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_indexes_setList", i})
}

func (ptr *QDirModel) __mimeData_indexes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_indexes_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __changePersistentIndexList_from_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_from_atList", i}).(*core.QModelIndex)
}

func (ptr *QDirModel) __changePersistentIndexList_from_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_from_setList", i})
}

func (ptr *QDirModel) __changePersistentIndexList_from_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_from_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __changePersistentIndexList_to_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_to_atList", i}).(*core.QModelIndex)
}

func (ptr *QDirModel) __changePersistentIndexList_to_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_to_setList", i})
}

func (ptr *QDirModel) __changePersistentIndexList_to_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_to_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __dataChanged_roles_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_atList", i}).(float64))
}

func (ptr *QDirModel) __dataChanged_roles_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_setList", i})
}

func (ptr *QDirModel) __dataChanged_roles_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __itemData_atList(v int, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_atList", v, i}).(*core.QVariant)
}

func (ptr *QDirModel) __itemData_setList(key int, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_setList", key, i})
}

func (ptr *QDirModel) __itemData_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __itemData_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_keyList"}).([]int)
}

func (ptr *QDirModel) __layoutAboutToBeChanged_parents_atList(i int) *core.QPersistentModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutAboutToBeChanged_parents_atList", i}).(*core.QPersistentModelIndex)
}

func (ptr *QDirModel) __layoutAboutToBeChanged_parents_setList(i core.QPersistentModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutAboutToBeChanged_parents_setList", i})
}

func (ptr *QDirModel) __layoutAboutToBeChanged_parents_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutAboutToBeChanged_parents_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __layoutChanged_parents_atList(i int) *core.QPersistentModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutChanged_parents_atList", i}).(*core.QPersistentModelIndex)
}

func (ptr *QDirModel) __layoutChanged_parents_setList(i core.QPersistentModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutChanged_parents_setList", i})
}

func (ptr *QDirModel) __layoutChanged_parents_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutChanged_parents_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __match_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__match_atList", i}).(*core.QModelIndex)
}

func (ptr *QDirModel) __match_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__match_setList", i})
}

func (ptr *QDirModel) __match_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__match_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __persistentIndexList_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__persistentIndexList_atList", i}).(*core.QModelIndex)
}

func (ptr *QDirModel) __persistentIndexList_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__persistentIndexList_setList", i})
}

func (ptr *QDirModel) __persistentIndexList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__persistentIndexList_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __roleNames_atList(v int, i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_atList", v, i}).(*core.QByteArray)
}

func (ptr *QDirModel) __roleNames_setList(key int, i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_setList", key, i})
}

func (ptr *QDirModel) __roleNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __roleNames_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_keyList"}).([]int)
}

func (ptr *QDirModel) __setItemData_roles_atList(v int, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_atList", v, i}).(*core.QVariant)
}

func (ptr *QDirModel) __setItemData_roles_setList(key int, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_setList", key, i})
}

func (ptr *QDirModel) __setItemData_roles_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __setItemData_roles_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_keyList"}).([]int)
}

func (ptr *QDirModel) ____doSetRoleNames_roleNames_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____doSetRoleNames_roleNames_keyList_atList", i}).(float64))
}

func (ptr *QDirModel) ____doSetRoleNames_roleNames_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____doSetRoleNames_roleNames_keyList_setList", i})
}

func (ptr *QDirModel) ____doSetRoleNames_roleNames_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____doSetRoleNames_roleNames_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) ____itemData_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____itemData_keyList_atList", i}).(float64))
}

func (ptr *QDirModel) ____itemData_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____itemData_keyList_setList", i})
}

func (ptr *QDirModel) ____itemData_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____itemData_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) ____roleNames_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____roleNames_keyList_atList", i}).(float64))
}

func (ptr *QDirModel) ____roleNames_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____roleNames_keyList_setList", i})
}

func (ptr *QDirModel) ____roleNames_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____roleNames_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) ____setItemData_roles_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemData_roles_keyList_atList", i}).(float64))
}

func (ptr *QDirModel) ____setItemData_roles_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemData_roles_keyList_setList", i})
}

func (ptr *QDirModel) ____setItemData_roles_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemData_roles_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) ____setRoleNames_roleNames_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setRoleNames_roleNames_keyList_atList", i}).(float64))
}

func (ptr *QDirModel) ____setRoleNames_roleNames_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setRoleNames_roleNames_keyList_setList", i})
}

func (ptr *QDirModel) ____setRoleNames_roleNames_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setRoleNames_roleNames_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QDirModel) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QDirModel) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QDirModel) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QDirModel) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QDirModel) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QDirModel) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QDirModel) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QDirModel) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QDirModel) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QDirModel) BuddyDefault(index core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BuddyDefault", index}).(*core.QModelIndex)
}

func (ptr *QDirModel) CanDropMimeDataDefault(data core.QMimeData_ITF, action core.Qt__DropAction, row int, column int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanDropMimeDataDefault", data, action, row, column, parent}).(bool)
}

func (ptr *QDirModel) CanFetchMoreDefault(parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanFetchMoreDefault", parent}).(bool)
}

func (ptr *QDirModel) FetchMoreDefault(parent core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FetchMoreDefault", parent})
}

func (ptr *QDirModel) InsertColumnsDefault(column int, count int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertColumnsDefault", column, count, parent}).(bool)
}

func (ptr *QDirModel) InsertRowsDefault(row int, count int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRowsDefault", row, count, parent}).(bool)
}

func (ptr *QDirModel) ItemDataDefault(index core.QModelIndex_ITF) map[int]*core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemDataDefault", index}).(map[int]*core.QVariant)
}

func (ptr *QDirModel) MatchDefault(start core.QModelIndex_ITF, role int, value core.QVariant_ITF, hits int, flags core.Qt__MatchFlag) []*core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MatchDefault", start, role, value, hits, flags}).([]*core.QModelIndex)
}

func (ptr *QDirModel) MoveColumnsDefault(sourceParent core.QModelIndex_ITF, sourceColumn int, count int, destinationParent core.QModelIndex_ITF, destinationChild int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveColumnsDefault", sourceParent, sourceColumn, count, destinationParent, destinationChild}).(bool)
}

func (ptr *QDirModel) MoveRowsDefault(sourceParent core.QModelIndex_ITF, sourceRow int, count int, destinationParent core.QModelIndex_ITF, destinationChild int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveRowsDefault", sourceParent, sourceRow, count, destinationParent, destinationChild}).(bool)
}

func (ptr *QDirModel) RemoveColumnsDefault(column int, count int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveColumnsDefault", column, count, parent}).(bool)
}

func (ptr *QDirModel) RemoveRowsDefault(row int, count int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRowsDefault", row, count, parent}).(bool)
}

func (ptr *QDirModel) ResetInternalDataDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetInternalDataDefault"})
}

func (ptr *QDirModel) RevertDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RevertDefault"})
}

func (ptr *QDirModel) RoleNamesDefault() map[int]*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RoleNamesDefault"}).(map[int]*core.QByteArray)
}

func (ptr *QDirModel) SetHeaderDataDefault(section int, orientation core.Qt__Orientation, value core.QVariant_ITF, role int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeaderDataDefault", section, orientation, value, role}).(bool)
}

func (ptr *QDirModel) SetItemDataDefault(index core.QModelIndex_ITF, roles map[int]*core.QVariant) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemDataDefault", index, roles}).(bool)
}

func (ptr *QDirModel) SiblingDefault(row int, column int, index core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SiblingDefault", row, column, index}).(*core.QModelIndex)
}

func (ptr *QDirModel) SpanDefault(index core.QModelIndex_ITF) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SpanDefault", index}).(*core.QSize)
}

func (ptr *QDirModel) SubmitDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubmitDefault"}).(bool)
}

func (ptr *QDirModel) SupportedDragActionsDefault() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDragActionsDefault"}).(float64))
}

func (ptr *QDirModel) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QDirModel) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QDirModel) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QDirModel) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QDirModel) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QDirModel) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QDirModel) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QDirModel) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QDirModel) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QDockWidget struct {
	QWidget
}

type QDockWidget_ITF interface {
	QWidget_ITF
	QDockWidget_PTR() *QDockWidget
}

func (ptr *QDockWidget) QDockWidget_PTR() *QDockWidget {
	return ptr
}

func (ptr *QDockWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QDockWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQDockWidget(ptr QDockWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDockWidget_PTR().Pointer()
	}
	return nil
}

func (n *QDockWidget) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDockWidget) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQDockWidgetFromPointer(ptr unsafe.Pointer) (n *QDockWidget) {
	n = new(QDockWidget)
	n.InitFromInternal(uintptr(ptr), "widgets.QDockWidget")
	return
}

//go:generate stringer -type=QDockWidget__DockWidgetFeature
//QDockWidget::DockWidgetFeature
type QDockWidget__DockWidgetFeature int64

const (
	QDockWidget__DockWidgetClosable         QDockWidget__DockWidgetFeature = QDockWidget__DockWidgetFeature(0x01)
	QDockWidget__DockWidgetMovable          QDockWidget__DockWidgetFeature = QDockWidget__DockWidgetFeature(0x02)
	QDockWidget__DockWidgetFloatable        QDockWidget__DockWidgetFeature = QDockWidget__DockWidgetFeature(0x04)
	QDockWidget__DockWidgetVerticalTitleBar QDockWidget__DockWidgetFeature = QDockWidget__DockWidgetFeature(0x08)
	QDockWidget__DockWidgetFeatureMask      QDockWidget__DockWidgetFeature = QDockWidget__DockWidgetFeature(0x0f)
	QDockWidget__NoDockWidgetFeatures       QDockWidget__DockWidgetFeature = QDockWidget__DockWidgetFeature(0x00)
	QDockWidget__Reserved                   QDockWidget__DockWidgetFeature = QDockWidget__DockWidgetFeature(0xff)
)

func NewQDockWidget(title string, parent QWidget_ITF, flags core.Qt__WindowType) *QDockWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDockWidget", "", title, parent, flags}).(*QDockWidget)
}

func NewQDockWidget2(parent QWidget_ITF, flags core.Qt__WindowType) *QDockWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDockWidget2", "", parent, flags}).(*QDockWidget)
}

func (ptr *QDockWidget) AllowedAreas() core.Qt__DockWidgetArea {

	return core.Qt__DockWidgetArea(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllowedAreas"}).(float64))
}

func (ptr *QDockWidget) ConnectAllowedAreasChanged(f func(allowedAreas core.Qt__DockWidgetArea)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAllowedAreasChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDockWidget) DisconnectAllowedAreasChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAllowedAreasChanged"})
}

func (ptr *QDockWidget) AllowedAreasChanged(allowedAreas core.Qt__DockWidgetArea) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllowedAreasChanged", allowedAreas})
}

func (ptr *QDockWidget) ConnectDockLocationChanged(f func(area core.Qt__DockWidgetArea)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDockLocationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDockWidget) DisconnectDockLocationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDockLocationChanged"})
}

func (ptr *QDockWidget) DockLocationChanged(area core.Qt__DockWidgetArea) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DockLocationChanged", area})
}

func (ptr *QDockWidget) Features() QDockWidget__DockWidgetFeature {

	return QDockWidget__DockWidgetFeature(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Features"}).(float64))
}

func (ptr *QDockWidget) ConnectFeaturesChanged(f func(features QDockWidget__DockWidgetFeature)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFeaturesChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDockWidget) DisconnectFeaturesChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFeaturesChanged"})
}

func (ptr *QDockWidget) FeaturesChanged(features QDockWidget__DockWidgetFeature) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FeaturesChanged", features})
}

func (ptr *QDockWidget) InitStyleOption(option QStyleOptionDockWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QDockWidget) IsAreaAllowed(area core.Qt__DockWidgetArea) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAreaAllowed", area}).(bool)
}

func (ptr *QDockWidget) IsFloating() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFloating"}).(bool)
}

func (ptr *QDockWidget) SetAllowedAreas(areas core.Qt__DockWidgetArea) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAllowedAreas", areas})
}

func (ptr *QDockWidget) SetFeatures(features QDockWidget__DockWidgetFeature) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFeatures", features})
}

func (ptr *QDockWidget) SetFloating(floating bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFloating", floating})
}

func (ptr *QDockWidget) SetTitleBarWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTitleBarWidget", widget})
}

func (ptr *QDockWidget) SetWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidget", widget})
}

func (ptr *QDockWidget) TitleBarWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TitleBarWidget"}).(*QWidget)
}

func (ptr *QDockWidget) ToggleViewAction() *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToggleViewAction"}).(*QAction)
}

func (ptr *QDockWidget) ConnectTopLevelChanged(f func(topLevel bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTopLevelChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDockWidget) DisconnectTopLevelChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTopLevelChanged"})
}

func (ptr *QDockWidget) TopLevelChanged(topLevel bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopLevelChanged", topLevel})
}

func (ptr *QDockWidget) ConnectVisibilityChanged(f func(visible bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVisibilityChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDockWidget) DisconnectVisibilityChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVisibilityChanged"})
}

func (ptr *QDockWidget) VisibilityChanged(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisibilityChanged", visible})
}

func (ptr *QDockWidget) Widget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Widget"}).(*QWidget)
}

func (ptr *QDockWidget) ConnectDestroyQDockWidget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQDockWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDockWidget) DisconnectDestroyQDockWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQDockWidget"})
}

func (ptr *QDockWidget) DestroyQDockWidget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDockWidget"})
}

func (ptr *QDockWidget) DestroyQDockWidgetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDockWidgetDefault"})
}

type QDoubleSpinBox struct {
	QAbstractSpinBox
}

type QDoubleSpinBox_ITF interface {
	QAbstractSpinBox_ITF
	QDoubleSpinBox_PTR() *QDoubleSpinBox
}

func (ptr *QDoubleSpinBox) QDoubleSpinBox_PTR() *QDoubleSpinBox {
	return ptr
}

func (ptr *QDoubleSpinBox) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractSpinBox_PTR().Pointer()
	}
	return nil
}

func (ptr *QDoubleSpinBox) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractSpinBox_PTR().SetPointer(p)
	}
}

func PointerFromQDoubleSpinBox(ptr QDoubleSpinBox_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QDoubleSpinBox_PTR().Pointer()
	}
	return nil
}

func (n *QDoubleSpinBox) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractSpinBox_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QDoubleSpinBox) ClassNameInternalF() string {
	return n.QAbstractSpinBox_PTR().ClassNameInternalF()
}

func NewQDoubleSpinBoxFromPointer(ptr unsafe.Pointer) (n *QDoubleSpinBox) {
	n = new(QDoubleSpinBox)
	n.InitFromInternal(uintptr(ptr), "widgets.QDoubleSpinBox")
	return
}
func NewQDoubleSpinBox(parent QWidget_ITF) *QDoubleSpinBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQDoubleSpinBox", "", parent}).(*QDoubleSpinBox)
}

func (ptr *QDoubleSpinBox) CleanText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CleanText"}).(string)
}

func (ptr *QDoubleSpinBox) Decimals() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Decimals"}).(float64))
}

func (ptr *QDoubleSpinBox) Maximum() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Maximum"}).(float64)
}

func (ptr *QDoubleSpinBox) Minimum() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Minimum"}).(float64)
}

func (ptr *QDoubleSpinBox) Prefix() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Prefix"}).(string)
}

func (ptr *QDoubleSpinBox) SetDecimals(prec int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDecimals", prec})
}

func (ptr *QDoubleSpinBox) SetMaximum(max float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximum", max})
}

func (ptr *QDoubleSpinBox) SetMinimum(min float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimum", min})
}

func (ptr *QDoubleSpinBox) SetPrefix(prefix string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPrefix", prefix})
}

func (ptr *QDoubleSpinBox) SetRange(minimum float64, maximum float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRange", minimum, maximum})
}

func (ptr *QDoubleSpinBox) SetSingleStep(val float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSingleStep", val})
}

func (ptr *QDoubleSpinBox) SetStepType(stepType QAbstractSpinBox__StepType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStepType", stepType})
}

func (ptr *QDoubleSpinBox) SetSuffix(suffix string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSuffix", suffix})
}

func (ptr *QDoubleSpinBox) ConnectSetValue(f func(val float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDoubleSpinBox) DisconnectSetValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetValue"})
}

func (ptr *QDoubleSpinBox) SetValue(val float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValue", val})
}

func (ptr *QDoubleSpinBox) SetValueDefault(val float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValueDefault", val})
}

func (ptr *QDoubleSpinBox) SingleStep() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SingleStep"}).(float64)
}

func (ptr *QDoubleSpinBox) StepType() QAbstractSpinBox__StepType {

	return QAbstractSpinBox__StepType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StepType"}).(float64))
}

func (ptr *QDoubleSpinBox) Suffix() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Suffix"}).(string)
}

func (ptr *QDoubleSpinBox) ConnectTextFromValue(f func(value float64) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTextFromValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDoubleSpinBox) DisconnectTextFromValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTextFromValue"})
}

func (ptr *QDoubleSpinBox) TextFromValue(value float64) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextFromValue", value}).(string)
}

func (ptr *QDoubleSpinBox) TextFromValueDefault(value float64) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextFromValueDefault", value}).(string)
}

func (ptr *QDoubleSpinBox) Value() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value"}).(float64)
}

func (ptr *QDoubleSpinBox) ConnectValueChanged(f func(d float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValueChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDoubleSpinBox) DisconnectValueChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValueChanged"})
}

func (ptr *QDoubleSpinBox) ValueChanged(d float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueChanged", d})
}

func (ptr *QDoubleSpinBox) ConnectValueChanged2(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValueChanged2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDoubleSpinBox) DisconnectValueChanged2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValueChanged2"})
}

func (ptr *QDoubleSpinBox) ValueChanged2(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueChanged2", text})
}

func (ptr *QDoubleSpinBox) ConnectValueFromText(f func(text string) float64) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValueFromText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDoubleSpinBox) DisconnectValueFromText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValueFromText"})
}

func (ptr *QDoubleSpinBox) ValueFromText(text string) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueFromText", text}).(float64)
}

func (ptr *QDoubleSpinBox) ValueFromTextDefault(text string) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueFromTextDefault", text}).(float64)
}

func (ptr *QDoubleSpinBox) ConnectDestroyQDoubleSpinBox(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQDoubleSpinBox", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QDoubleSpinBox) DisconnectDestroyQDoubleSpinBox() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQDoubleSpinBox"})
}

func (ptr *QDoubleSpinBox) DestroyQDoubleSpinBox() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDoubleSpinBox"})
}

func (ptr *QDoubleSpinBox) DestroyQDoubleSpinBoxDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQDoubleSpinBoxDefault"})
}

type QErrorMessage struct {
	QDialog
}

type QErrorMessage_ITF interface {
	QDialog_ITF
	QErrorMessage_PTR() *QErrorMessage
}

func (ptr *QErrorMessage) QErrorMessage_PTR() *QErrorMessage {
	return ptr
}

func (ptr *QErrorMessage) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QDialog_PTR().Pointer()
	}
	return nil
}

func (ptr *QErrorMessage) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QDialog_PTR().SetPointer(p)
	}
}

func PointerFromQErrorMessage(ptr QErrorMessage_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QErrorMessage_PTR().Pointer()
	}
	return nil
}

func (n *QErrorMessage) InitFromInternal(ptr uintptr, name string) {
	n.QDialog_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QErrorMessage) ClassNameInternalF() string {
	return n.QDialog_PTR().ClassNameInternalF()
}

func NewQErrorMessageFromPointer(ptr unsafe.Pointer) (n *QErrorMessage) {
	n = new(QErrorMessage)
	n.InitFromInternal(uintptr(ptr), "widgets.QErrorMessage")
	return
}
func NewQErrorMessage(parent QWidget_ITF) *QErrorMessage {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQErrorMessage", "", parent}).(*QErrorMessage)
}

func (ptr *QErrorMessage) ConnectDone(f func(a int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDone", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QErrorMessage) DisconnectDone() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDone"})
}

func (ptr *QErrorMessage) Done(a int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Done", a})
}

func (ptr *QErrorMessage) DoneDefault(a int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoneDefault", a})
}

func QErrorMessage_QtHandler() *QErrorMessage {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QErrorMessage_QtHandler", ""}).(*QErrorMessage)
}

func (ptr *QErrorMessage) QtHandler() *QErrorMessage {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QErrorMessage_QtHandler", ""}).(*QErrorMessage)
}

func (ptr *QErrorMessage) ConnectShowMessage(f func(message string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowMessage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QErrorMessage) DisconnectShowMessage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowMessage"})
}

func (ptr *QErrorMessage) ShowMessage(message string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMessage", message})
}

func (ptr *QErrorMessage) ShowMessageDefault(message string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMessageDefault", message})
}

func (ptr *QErrorMessage) ConnectShowMessage2(f func(message string, ty string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowMessage2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QErrorMessage) DisconnectShowMessage2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowMessage2"})
}

func (ptr *QErrorMessage) ShowMessage2(message string, ty string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMessage2", message, ty})
}

func (ptr *QErrorMessage) ShowMessage2Default(message string, ty string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMessage2Default", message, ty})
}

func (ptr *QErrorMessage) ConnectDestroyQErrorMessage(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQErrorMessage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QErrorMessage) DisconnectDestroyQErrorMessage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQErrorMessage"})
}

func (ptr *QErrorMessage) DestroyQErrorMessage() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQErrorMessage"})
}

func (ptr *QErrorMessage) DestroyQErrorMessageDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQErrorMessageDefault"})
}

type QFileDialog struct {
	QDialog
}

type QFileDialog_ITF interface {
	QDialog_ITF
	QFileDialog_PTR() *QFileDialog
}

func (ptr *QFileDialog) QFileDialog_PTR() *QFileDialog {
	return ptr
}

func (ptr *QFileDialog) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QDialog_PTR().Pointer()
	}
	return nil
}

func (ptr *QFileDialog) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QDialog_PTR().SetPointer(p)
	}
}

func PointerFromQFileDialog(ptr QFileDialog_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFileDialog_PTR().Pointer()
	}
	return nil
}

func (n *QFileDialog) InitFromInternal(ptr uintptr, name string) {
	n.QDialog_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFileDialog) ClassNameInternalF() string {
	return n.QDialog_PTR().ClassNameInternalF()
}

func NewQFileDialogFromPointer(ptr unsafe.Pointer) (n *QFileDialog) {
	n = new(QFileDialog)
	n.InitFromInternal(uintptr(ptr), "widgets.QFileDialog")
	return
}

//go:generate stringer -type=QFileDialog__ViewMode
//QFileDialog::ViewMode
type QFileDialog__ViewMode int64

const (
	QFileDialog__Detail QFileDialog__ViewMode = QFileDialog__ViewMode(0)
	QFileDialog__List   QFileDialog__ViewMode = QFileDialog__ViewMode(1)
)

//go:generate stringer -type=QFileDialog__FileMode
//QFileDialog::FileMode
type QFileDialog__FileMode int64

const (
	QFileDialog__AnyFile       QFileDialog__FileMode = QFileDialog__FileMode(0)
	QFileDialog__ExistingFile  QFileDialog__FileMode = QFileDialog__FileMode(1)
	QFileDialog__Directory     QFileDialog__FileMode = QFileDialog__FileMode(2)
	QFileDialog__ExistingFiles QFileDialog__FileMode = QFileDialog__FileMode(3)
	QFileDialog__DirectoryOnly QFileDialog__FileMode = QFileDialog__FileMode(4)
)

//go:generate stringer -type=QFileDialog__AcceptMode
//QFileDialog::AcceptMode
type QFileDialog__AcceptMode int64

const (
	QFileDialog__AcceptOpen QFileDialog__AcceptMode = QFileDialog__AcceptMode(0)
	QFileDialog__AcceptSave QFileDialog__AcceptMode = QFileDialog__AcceptMode(1)
)

//go:generate stringer -type=QFileDialog__DialogLabel
//QFileDialog::DialogLabel
type QFileDialog__DialogLabel int64

const (
	QFileDialog__LookIn   QFileDialog__DialogLabel = QFileDialog__DialogLabel(0)
	QFileDialog__FileName QFileDialog__DialogLabel = QFileDialog__DialogLabel(1)
	QFileDialog__FileType QFileDialog__DialogLabel = QFileDialog__DialogLabel(2)
	QFileDialog__Accept   QFileDialog__DialogLabel = QFileDialog__DialogLabel(3)
	QFileDialog__Reject   QFileDialog__DialogLabel = QFileDialog__DialogLabel(4)
)

//go:generate stringer -type=QFileDialog__Option
//QFileDialog::Option
type QFileDialog__Option int64

const (
	QFileDialog__ShowDirsOnly                QFileDialog__Option = QFileDialog__Option(0x00000001)
	QFileDialog__DontResolveSymlinks         QFileDialog__Option = QFileDialog__Option(0x00000002)
	QFileDialog__DontConfirmOverwrite        QFileDialog__Option = QFileDialog__Option(0x00000004)
	QFileDialog__DontUseSheet                QFileDialog__Option = QFileDialog__Option(0x00000008)
	QFileDialog__DontUseNativeDialog         QFileDialog__Option = QFileDialog__Option(0x00000010)
	QFileDialog__ReadOnly                    QFileDialog__Option = QFileDialog__Option(0x00000020)
	QFileDialog__HideNameFilterDetails       QFileDialog__Option = QFileDialog__Option(0x00000040)
	QFileDialog__DontUseCustomDirectoryIcons QFileDialog__Option = QFileDialog__Option(0x00000080)
)

func NewQFileDialog(parent QWidget_ITF, flags core.Qt__WindowType) *QFileDialog {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQFileDialog", "", parent, flags}).(*QFileDialog)
}

func NewQFileDialog2(parent QWidget_ITF, caption string, directory string, filter string) *QFileDialog {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQFileDialog2", "", parent, caption, directory, filter}).(*QFileDialog)
}

func (ptr *QFileDialog) ConnectAccept(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAccept", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDialog) DisconnectAccept() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAccept"})
}

func (ptr *QFileDialog) Accept() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Accept"})
}

func (ptr *QFileDialog) AcceptDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AcceptDefault"})
}

func (ptr *QFileDialog) AcceptMode() QFileDialog__AcceptMode {

	return QFileDialog__AcceptMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AcceptMode"}).(float64))
}

func (ptr *QFileDialog) ConfirmOverwrite() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConfirmOverwrite"}).(bool)
}

func (ptr *QFileDialog) ConnectCurrentChanged(f func(path string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDialog) DisconnectCurrentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentChanged"})
}

func (ptr *QFileDialog) CurrentChanged(path string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChanged", path})
}

func (ptr *QFileDialog) ConnectCurrentUrlChanged(f func(url *core.QUrl)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentUrlChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDialog) DisconnectCurrentUrlChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentUrlChanged"})
}

func (ptr *QFileDialog) CurrentUrlChanged(url core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentUrlChanged", url})
}

func (ptr *QFileDialog) DefaultSuffix() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultSuffix"}).(string)
}

func (ptr *QFileDialog) Directory() *core.QDir {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Directory"}).(*core.QDir)
}

func (ptr *QFileDialog) ConnectDirectoryEntered(f func(directory string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDirectoryEntered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDialog) DisconnectDirectoryEntered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDirectoryEntered"})
}

func (ptr *QFileDialog) DirectoryEntered(directory string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DirectoryEntered", directory})
}

func (ptr *QFileDialog) DirectoryUrl() *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DirectoryUrl"}).(*core.QUrl)
}

func (ptr *QFileDialog) ConnectDirectoryUrlEntered(f func(directory *core.QUrl)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDirectoryUrlEntered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDialog) DisconnectDirectoryUrlEntered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDirectoryUrlEntered"})
}

func (ptr *QFileDialog) DirectoryUrlEntered(directory core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DirectoryUrlEntered", directory})
}

func (ptr *QFileDialog) ConnectDone(f func(result int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDone", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDialog) DisconnectDone() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDone"})
}

func (ptr *QFileDialog) Done(result int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Done", result})
}

func (ptr *QFileDialog) DoneDefault(result int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoneDefault", result})
}

func (ptr *QFileDialog) FileMode() QFileDialog__FileMode {

	return QFileDialog__FileMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileMode"}).(float64))
}

func (ptr *QFileDialog) ConnectFileSelected(f func(file string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFileSelected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDialog) DisconnectFileSelected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFileSelected"})
}

func (ptr *QFileDialog) FileSelected(file string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileSelected", file})
}

func (ptr *QFileDialog) ConnectFilesSelected(f func(selected []string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFilesSelected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDialog) DisconnectFilesSelected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFilesSelected"})
}

func (ptr *QFileDialog) FilesSelected(selected []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilesSelected", selected})
}

func (ptr *QFileDialog) Filter() core.QDir__Filter {

	return core.QDir__Filter(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Filter"}).(float64))
}

func (ptr *QFileDialog) ConnectFilterSelected(f func(filter string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFilterSelected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDialog) DisconnectFilterSelected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFilterSelected"})
}

func (ptr *QFileDialog) FilterSelected(filter string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilterSelected", filter})
}

func QFileDialog_GetExistingDirectory(parent QWidget_ITF, caption string, dir string, options QFileDialog__Option) string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetExistingDirectory", "", parent, caption, dir, options}).(string)
}

func (ptr *QFileDialog) GetExistingDirectory(parent QWidget_ITF, caption string, dir string, options QFileDialog__Option) string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetExistingDirectory", "", parent, caption, dir, options}).(string)
}

func QFileDialog_GetExistingDirectoryUrl(parent QWidget_ITF, caption string, dir core.QUrl_ITF, options QFileDialog__Option, supportedSchemes []string) *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetExistingDirectoryUrl", "", parent, caption, dir, options, supportedSchemes}).(*core.QUrl)
}

func (ptr *QFileDialog) GetExistingDirectoryUrl(parent QWidget_ITF, caption string, dir core.QUrl_ITF, options QFileDialog__Option, supportedSchemes []string) *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetExistingDirectoryUrl", "", parent, caption, dir, options, supportedSchemes}).(*core.QUrl)
}

func QFileDialog_GetOpenFileName(parent QWidget_ITF, caption string, dir string, filter string, selectedFilter string, options QFileDialog__Option) string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetOpenFileName", "", parent, caption, dir, filter, selectedFilter, options}).(string)
}

func (ptr *QFileDialog) GetOpenFileName(parent QWidget_ITF, caption string, dir string, filter string, selectedFilter string, options QFileDialog__Option) string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetOpenFileName", "", parent, caption, dir, filter, selectedFilter, options}).(string)
}

func QFileDialog_GetOpenFileNames(parent QWidget_ITF, caption string, dir string, filter string, selectedFilter string, options QFileDialog__Option) []string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetOpenFileNames", "", parent, caption, dir, filter, selectedFilter, options}).([]string)
}

func (ptr *QFileDialog) GetOpenFileNames(parent QWidget_ITF, caption string, dir string, filter string, selectedFilter string, options QFileDialog__Option) []string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetOpenFileNames", "", parent, caption, dir, filter, selectedFilter, options}).([]string)
}

func QFileDialog_GetOpenFileUrl(parent QWidget_ITF, caption string, dir core.QUrl_ITF, filter string, selectedFilter string, options QFileDialog__Option, supportedSchemes []string) *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetOpenFileUrl", "", parent, caption, dir, filter, selectedFilter, options, supportedSchemes}).(*core.QUrl)
}

func (ptr *QFileDialog) GetOpenFileUrl(parent QWidget_ITF, caption string, dir core.QUrl_ITF, filter string, selectedFilter string, options QFileDialog__Option, supportedSchemes []string) *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetOpenFileUrl", "", parent, caption, dir, filter, selectedFilter, options, supportedSchemes}).(*core.QUrl)
}

func QFileDialog_GetOpenFileUrls(parent QWidget_ITF, caption string, dir core.QUrl_ITF, filter string, selectedFilter string, options QFileDialog__Option, supportedSchemes []string) []*core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetOpenFileUrls", "", parent, caption, dir, filter, selectedFilter, options, supportedSchemes}).([]*core.QUrl)
}

func (ptr *QFileDialog) GetOpenFileUrls(parent QWidget_ITF, caption string, dir core.QUrl_ITF, filter string, selectedFilter string, options QFileDialog__Option, supportedSchemes []string) []*core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetOpenFileUrls", "", parent, caption, dir, filter, selectedFilter, options, supportedSchemes}).([]*core.QUrl)
}

func QFileDialog_GetSaveFileName(parent QWidget_ITF, caption string, dir string, filter string, selectedFilter string, options QFileDialog__Option) string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetSaveFileName", "", parent, caption, dir, filter, selectedFilter, options}).(string)
}

func (ptr *QFileDialog) GetSaveFileName(parent QWidget_ITF, caption string, dir string, filter string, selectedFilter string, options QFileDialog__Option) string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetSaveFileName", "", parent, caption, dir, filter, selectedFilter, options}).(string)
}

func QFileDialog_GetSaveFileUrl(parent QWidget_ITF, caption string, dir core.QUrl_ITF, filter string, selectedFilter string, options QFileDialog__Option, supportedSchemes []string) *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetSaveFileUrl", "", parent, caption, dir, filter, selectedFilter, options, supportedSchemes}).(*core.QUrl)
}

func (ptr *QFileDialog) GetSaveFileUrl(parent QWidget_ITF, caption string, dir core.QUrl_ITF, filter string, selectedFilter string, options QFileDialog__Option, supportedSchemes []string) *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFileDialog_GetSaveFileUrl", "", parent, caption, dir, filter, selectedFilter, options, supportedSchemes}).(*core.QUrl)
}

func (ptr *QFileDialog) History() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "History"}).([]string)
}

func (ptr *QFileDialog) IconProvider() *QFileIconProvider {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconProvider"}).(*QFileIconProvider)
}

func (ptr *QFileDialog) IsNameFilterDetailsVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNameFilterDetailsVisible"}).(bool)
}

func (ptr *QFileDialog) IsReadOnly() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadOnly"}).(bool)
}

func (ptr *QFileDialog) ItemDelegate() *QAbstractItemDelegate {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemDelegate"}).(*QAbstractItemDelegate)
}

func (ptr *QFileDialog) LabelText(label QFileDialog__DialogLabel) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LabelText", label}).(string)
}

func (ptr *QFileDialog) MimeTypeFilters() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypeFilters"}).([]string)
}

func (ptr *QFileDialog) NameFilters() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NameFilters"}).([]string)
}

func (ptr *QFileDialog) Open(receiver core.QObject_ITF, member string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Open", receiver, member})
}

func (ptr *QFileDialog) Options() QFileDialog__Option {

	return QFileDialog__Option(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Options"}).(float64))
}

func (ptr *QFileDialog) ProxyModel() *core.QAbstractProxyModel {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProxyModel"}).(*core.QAbstractProxyModel)
}

func (ptr *QFileDialog) ResolveSymlinks() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResolveSymlinks"}).(bool)
}

func (ptr *QFileDialog) RestoreState(state core.QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RestoreState", state}).(bool)
}

func (ptr *QFileDialog) SaveState() *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SaveState"}).(*core.QByteArray)
}

func (ptr *QFileDialog) SelectFile(filename string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectFile", filename})
}

func (ptr *QFileDialog) SelectMimeTypeFilter(filter string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectMimeTypeFilter", filter})
}

func (ptr *QFileDialog) SelectNameFilter(filter string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectNameFilter", filter})
}

func (ptr *QFileDialog) SelectUrl(url core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectUrl", url})
}

func (ptr *QFileDialog) SelectedFiles() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedFiles"}).([]string)
}

func (ptr *QFileDialog) SelectedMimeTypeFilter() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedMimeTypeFilter"}).(string)
}

func (ptr *QFileDialog) SelectedNameFilter() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedNameFilter"}).(string)
}

func (ptr *QFileDialog) SelectedUrls() []*core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedUrls"}).([]*core.QUrl)
}

func (ptr *QFileDialog) SetAcceptMode(mode QFileDialog__AcceptMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAcceptMode", mode})
}

func (ptr *QFileDialog) SetConfirmOverwrite(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetConfirmOverwrite", enabled})
}

func (ptr *QFileDialog) SetDefaultSuffix(suffix string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultSuffix", suffix})
}

func (ptr *QFileDialog) SetDirectory(directory string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDirectory", directory})
}

func (ptr *QFileDialog) SetDirectory2(directory core.QDir_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDirectory2", directory})
}

func (ptr *QFileDialog) SetDirectoryUrl(directory core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDirectoryUrl", directory})
}

func (ptr *QFileDialog) SetFileMode(mode QFileDialog__FileMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFileMode", mode})
}

func (ptr *QFileDialog) SetFilter(filters core.QDir__Filter) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilter", filters})
}

func (ptr *QFileDialog) SetHistory(paths []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHistory", paths})
}

func (ptr *QFileDialog) SetIconProvider(provider QFileIconProvider_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconProvider", provider})
}

func (ptr *QFileDialog) SetItemDelegate(delegate QAbstractItemDelegate_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemDelegate", delegate})
}

func (ptr *QFileDialog) SetLabelText(label QFileDialog__DialogLabel, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLabelText", label, text})
}

func (ptr *QFileDialog) SetMimeTypeFilters(filters []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMimeTypeFilters", filters})
}

func (ptr *QFileDialog) SetNameFilter(filter string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNameFilter", filter})
}

func (ptr *QFileDialog) SetNameFilterDetailsVisible(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNameFilterDetailsVisible", enabled})
}

func (ptr *QFileDialog) SetNameFilters(filters []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNameFilters", filters})
}

func (ptr *QFileDialog) SetOption(option QFileDialog__Option, on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOption", option, on})
}

func (ptr *QFileDialog) SetOptions(options QFileDialog__Option) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOptions", options})
}

func (ptr *QFileDialog) SetProxyModel(proxyModel core.QAbstractProxyModel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetProxyModel", proxyModel})
}

func (ptr *QFileDialog) SetReadOnly(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetReadOnly", enabled})
}

func (ptr *QFileDialog) SetResolveSymlinks(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResolveSymlinks", enabled})
}

func (ptr *QFileDialog) SetSidebarUrls(urls []*core.QUrl) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSidebarUrls", urls})
}

func (ptr *QFileDialog) SetSupportedSchemes(schemes []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSupportedSchemes", schemes})
}

func (ptr *QFileDialog) SetViewMode(mode QFileDialog__ViewMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewMode", mode})
}

func (ptr *QFileDialog) SidebarUrls() []*core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SidebarUrls"}).([]*core.QUrl)
}

func (ptr *QFileDialog) SupportedSchemes() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedSchemes"}).([]string)
}

func (ptr *QFileDialog) TestOption(option QFileDialog__Option) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TestOption", option}).(bool)
}

func (ptr *QFileDialog) ConnectUrlSelected(f func(url *core.QUrl)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUrlSelected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDialog) DisconnectUrlSelected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUrlSelected"})
}

func (ptr *QFileDialog) UrlSelected(url core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UrlSelected", url})
}

func (ptr *QFileDialog) ConnectUrlsSelected(f func(urls []*core.QUrl)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUrlsSelected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDialog) DisconnectUrlsSelected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUrlsSelected"})
}

func (ptr *QFileDialog) UrlsSelected(urls []*core.QUrl) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UrlsSelected", urls})
}

func (ptr *QFileDialog) ViewMode() QFileDialog__ViewMode {

	return QFileDialog__ViewMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewMode"}).(float64))
}

func (ptr *QFileDialog) ConnectDestroyQFileDialog(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQFileDialog", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileDialog) DisconnectDestroyQFileDialog() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQFileDialog"})
}

func (ptr *QFileDialog) DestroyQFileDialog() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFileDialog"})
}

func (ptr *QFileDialog) DestroyQFileDialogDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFileDialogDefault"})
}

func (ptr *QFileDialog) __getOpenFileUrls_atList(i int) *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__getOpenFileUrls_atList", i}).(*core.QUrl)
}

func (ptr *QFileDialog) __getOpenFileUrls_setList(i core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__getOpenFileUrls_setList", i})
}

func (ptr *QFileDialog) __getOpenFileUrls_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__getOpenFileUrls_newList"}).(unsafe.Pointer)
}

func (ptr *QFileDialog) __selectedUrls_atList(i int) *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedUrls_atList", i}).(*core.QUrl)
}

func (ptr *QFileDialog) __selectedUrls_setList(i core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedUrls_setList", i})
}

func (ptr *QFileDialog) __selectedUrls_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedUrls_newList"}).(unsafe.Pointer)
}

func (ptr *QFileDialog) __setSidebarUrls_urls_atList(i int) *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setSidebarUrls_urls_atList", i}).(*core.QUrl)
}

func (ptr *QFileDialog) __setSidebarUrls_urls_setList(i core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setSidebarUrls_urls_setList", i})
}

func (ptr *QFileDialog) __setSidebarUrls_urls_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setSidebarUrls_urls_newList"}).(unsafe.Pointer)
}

func (ptr *QFileDialog) __sidebarUrls_atList(i int) *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__sidebarUrls_atList", i}).(*core.QUrl)
}

func (ptr *QFileDialog) __sidebarUrls_setList(i core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__sidebarUrls_setList", i})
}

func (ptr *QFileDialog) __sidebarUrls_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__sidebarUrls_newList"}).(unsafe.Pointer)
}

func (ptr *QFileDialog) __urlsSelected_urls_atList(i int) *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__urlsSelected_urls_atList", i}).(*core.QUrl)
}

func (ptr *QFileDialog) __urlsSelected_urls_setList(i core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__urlsSelected_urls_setList", i})
}

func (ptr *QFileDialog) __urlsSelected_urls_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__urlsSelected_urls_newList"}).(unsafe.Pointer)
}

type QFileIconProvider struct {
	internal.Internal
}

type QFileIconProvider_ITF interface {
	QFileIconProvider_PTR() *QFileIconProvider
}

func (ptr *QFileIconProvider) QFileIconProvider_PTR() *QFileIconProvider {
	return ptr
}

func (ptr *QFileIconProvider) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QFileIconProvider) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQFileIconProvider(ptr QFileIconProvider_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFileIconProvider_PTR().Pointer()
	}
	return nil
}

func (n *QFileIconProvider) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQFileIconProviderFromPointer(ptr unsafe.Pointer) (n *QFileIconProvider) {
	n = new(QFileIconProvider)
	n.InitFromInternal(uintptr(ptr), "widgets.QFileIconProvider")
	return
}

//go:generate stringer -type=QFileIconProvider__IconType
//QFileIconProvider::IconType
type QFileIconProvider__IconType int64

const (
	QFileIconProvider__Computer QFileIconProvider__IconType = QFileIconProvider__IconType(0)
	QFileIconProvider__Desktop  QFileIconProvider__IconType = QFileIconProvider__IconType(1)
	QFileIconProvider__Trashcan QFileIconProvider__IconType = QFileIconProvider__IconType(2)
	QFileIconProvider__Network  QFileIconProvider__IconType = QFileIconProvider__IconType(3)
	QFileIconProvider__Drive    QFileIconProvider__IconType = QFileIconProvider__IconType(4)
	QFileIconProvider__Folder   QFileIconProvider__IconType = QFileIconProvider__IconType(5)
	QFileIconProvider__File     QFileIconProvider__IconType = QFileIconProvider__IconType(6)
)

//go:generate stringer -type=QFileIconProvider__Option
//QFileIconProvider::Option
type QFileIconProvider__Option int64

const (
	QFileIconProvider__DontUseCustomDirectoryIcons QFileIconProvider__Option = QFileIconProvider__Option(0x00000001)
)

func NewQFileIconProvider() *QFileIconProvider {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQFileIconProvider", ""}).(*QFileIconProvider)
}

func (ptr *QFileIconProvider) ConnectIcon(f func(ty QFileIconProvider__IconType) *gui.QIcon) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIcon", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileIconProvider) DisconnectIcon() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIcon"})
}

func (ptr *QFileIconProvider) Icon(ty QFileIconProvider__IconType) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon", ty}).(*gui.QIcon)
}

func (ptr *QFileIconProvider) IconDefault(ty QFileIconProvider__IconType) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconDefault", ty}).(*gui.QIcon)
}

func (ptr *QFileIconProvider) ConnectIcon2(f func(info *core.QFileInfo) *gui.QIcon) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIcon2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileIconProvider) DisconnectIcon2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIcon2"})
}

func (ptr *QFileIconProvider) Icon2(info core.QFileInfo_ITF) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon2", info}).(*gui.QIcon)
}

func (ptr *QFileIconProvider) Icon2Default(info core.QFileInfo_ITF) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon2Default", info}).(*gui.QIcon)
}

func (ptr *QFileIconProvider) Options() QFileIconProvider__Option {

	return QFileIconProvider__Option(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Options"}).(float64))
}

func (ptr *QFileIconProvider) SetOptions(options QFileIconProvider__Option) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOptions", options})
}

func (ptr *QFileIconProvider) ConnectType(f func(info *core.QFileInfo) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectType", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileIconProvider) DisconnectType() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectType"})
}

func (ptr *QFileIconProvider) Type(info core.QFileInfo_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type", info}).(string)
}

func (ptr *QFileIconProvider) TypeDefault(info core.QFileInfo_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TypeDefault", info}).(string)
}

func (ptr *QFileIconProvider) ConnectDestroyQFileIconProvider(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQFileIconProvider", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileIconProvider) DisconnectDestroyQFileIconProvider() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQFileIconProvider"})
}

func (ptr *QFileIconProvider) DestroyQFileIconProvider() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFileIconProvider"})
}

func (ptr *QFileIconProvider) DestroyQFileIconProviderDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFileIconProviderDefault"})
}

type QFileSystemModel struct {
	core.QAbstractItemModel
}

type QFileSystemModel_ITF interface {
	core.QAbstractItemModel_ITF
	QFileSystemModel_PTR() *QFileSystemModel
}

func (ptr *QFileSystemModel) QFileSystemModel_PTR() *QFileSystemModel {
	return ptr
}

func (ptr *QFileSystemModel) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemModel_PTR().Pointer()
	}
	return nil
}

func (ptr *QFileSystemModel) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractItemModel_PTR().SetPointer(p)
	}
}

func PointerFromQFileSystemModel(ptr QFileSystemModel_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFileSystemModel_PTR().Pointer()
	}
	return nil
}

func (n *QFileSystemModel) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractItemModel_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFileSystemModel) ClassNameInternalF() string {
	return n.QAbstractItemModel_PTR().ClassNameInternalF()
}

func NewQFileSystemModelFromPointer(ptr unsafe.Pointer) (n *QFileSystemModel) {
	n = new(QFileSystemModel)
	n.InitFromInternal(uintptr(ptr), "widgets.QFileSystemModel")
	return
}

//go:generate stringer -type=QFileSystemModel__Roles
//QFileSystemModel::Roles
type QFileSystemModel__Roles int64

var (
	QFileSystemModel__FileIconRole    QFileSystemModel__Roles = QFileSystemModel__Roles(core.Qt__DecorationRole)
	QFileSystemModel__FilePathRole    QFileSystemModel__Roles = QFileSystemModel__Roles(0)
	QFileSystemModel__FileNameRole    QFileSystemModel__Roles = QFileSystemModel__Roles(0)
	QFileSystemModel__FilePermissions QFileSystemModel__Roles = QFileSystemModel__Roles(0)
)

func NewQFileSystemModel(parent core.QObject_ITF) *QFileSystemModel {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQFileSystemModel", "", parent}).(*QFileSystemModel)
}

func (ptr *QFileSystemModel) CanFetchMoreDefault(parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanFetchMoreDefault", parent}).(bool)
}

func (ptr *QFileSystemModel) ConnectColumnCount(f func(parent *core.QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileSystemModel) DisconnectColumnCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnCount"})
}

func (ptr *QFileSystemModel) ColumnCount(parent core.QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount", parent}).(float64))
}

func (ptr *QFileSystemModel) ColumnCountDefault(parent core.QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCountDefault", parent}).(float64))
}

func (ptr *QFileSystemModel) ConnectData(f func(index *core.QModelIndex, role int) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileSystemModel) DisconnectData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectData"})
}

func (ptr *QFileSystemModel) Data(index core.QModelIndex_ITF, role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", index, role}).(*core.QVariant)
}

func (ptr *QFileSystemModel) DataDefault(index core.QModelIndex_ITF, role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataDefault", index, role}).(*core.QVariant)
}

func (ptr *QFileSystemModel) ConnectDirectoryLoaded(f func(path string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDirectoryLoaded", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileSystemModel) DisconnectDirectoryLoaded() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDirectoryLoaded"})
}

func (ptr *QFileSystemModel) DirectoryLoaded(path string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DirectoryLoaded", path})
}

func (ptr *QFileSystemModel) DropMimeDataDefault(data core.QMimeData_ITF, action core.Qt__DropAction, row int, column int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropMimeDataDefault", data, action, row, column, parent}).(bool)
}

func (ptr *QFileSystemModel) EventDefault(event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", event}).(bool)
}

func (ptr *QFileSystemModel) FetchMoreDefault(parent core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FetchMoreDefault", parent})
}

func (ptr *QFileSystemModel) FileIcon(index core.QModelIndex_ITF) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileIcon", index}).(*gui.QIcon)
}

func (ptr *QFileSystemModel) FileInfo(index core.QModelIndex_ITF) *core.QFileInfo {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileInfo", index}).(*core.QFileInfo)
}

func (ptr *QFileSystemModel) FileName(index core.QModelIndex_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileName", index}).(string)
}

func (ptr *QFileSystemModel) FilePath(index core.QModelIndex_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FilePath", index}).(string)
}

func (ptr *QFileSystemModel) ConnectFileRenamed(f func(path string, oldName string, newName string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFileRenamed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileSystemModel) DisconnectFileRenamed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFileRenamed"})
}

func (ptr *QFileSystemModel) FileRenamed(path string, oldName string, newName string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FileRenamed", path, oldName, newName})
}

func (ptr *QFileSystemModel) Filter() core.QDir__Filter {

	return core.QDir__Filter(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Filter"}).(float64))
}

func (ptr *QFileSystemModel) FlagsDefault(index core.QModelIndex_ITF) core.Qt__ItemFlag {

	return core.Qt__ItemFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FlagsDefault", index}).(float64))
}

func (ptr *QFileSystemModel) HasChildrenDefault(parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasChildrenDefault", parent}).(bool)
}

func (ptr *QFileSystemModel) HeaderDataDefault(section int, orientation core.Qt__Orientation, role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeaderDataDefault", section, orientation, role}).(*core.QVariant)
}

func (ptr *QFileSystemModel) IconProvider() *QFileIconProvider {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconProvider"}).(*QFileIconProvider)
}

func (ptr *QFileSystemModel) ConnectIndex(f func(row int, column int, parent *core.QModelIndex) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileSystemModel) DisconnectIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndex"})
}

func (ptr *QFileSystemModel) Index(row int, column int, parent core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index", row, column, parent}).(*core.QModelIndex)
}

func (ptr *QFileSystemModel) IndexDefault(row int, column int, parent core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexDefault", row, column, parent}).(*core.QModelIndex)
}

func (ptr *QFileSystemModel) Index2(path string, column int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index2", path, column}).(*core.QModelIndex)
}

func (ptr *QFileSystemModel) IsDir(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDir", index}).(bool)
}

func (ptr *QFileSystemModel) IsReadOnly() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadOnly"}).(bool)
}

func (ptr *QFileSystemModel) LastModified(index core.QModelIndex_ITF) *core.QDateTime {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastModified", index}).(*core.QDateTime)
}

func (ptr *QFileSystemModel) MimeDataDefault(indexes []*core.QModelIndex) *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeDataDefault", indexes}).(*core.QMimeData)
}

func (ptr *QFileSystemModel) MimeTypesDefault() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypesDefault"}).([]string)
}

func (ptr *QFileSystemModel) Mkdir(parent core.QModelIndex_ITF, name string) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mkdir", parent, name}).(*core.QModelIndex)
}

func (ptr *QFileSystemModel) MyComputer(role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MyComputer", role}).(*core.QVariant)
}

func (ptr *QFileSystemModel) NameFilterDisables() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NameFilterDisables"}).(bool)
}

func (ptr *QFileSystemModel) NameFilters() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NameFilters"}).([]string)
}

func (ptr *QFileSystemModel) ConnectParent(f func(index *core.QModelIndex) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectParent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileSystemModel) DisconnectParent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectParent"})
}

func (ptr *QFileSystemModel) Parent(index core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent", index}).(*core.QModelIndex)
}

func (ptr *QFileSystemModel) ParentDefault(index core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentDefault", index}).(*core.QModelIndex)
}

func (ptr *QFileSystemModel) Remove(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Remove", index}).(bool)
}

func (ptr *QFileSystemModel) ResolveSymlinks() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResolveSymlinks"}).(bool)
}

func (ptr *QFileSystemModel) Rmdir(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rmdir", index}).(bool)
}

func (ptr *QFileSystemModel) RootDirectory() *core.QDir {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RootDirectory"}).(*core.QDir)
}

func (ptr *QFileSystemModel) RootPath() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RootPath"}).(string)
}

func (ptr *QFileSystemModel) ConnectRootPathChanged(f func(newPath string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRootPathChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileSystemModel) DisconnectRootPathChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRootPathChanged"})
}

func (ptr *QFileSystemModel) RootPathChanged(newPath string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RootPathChanged", newPath})
}

func (ptr *QFileSystemModel) ConnectRowCount(f func(parent *core.QModelIndex) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileSystemModel) DisconnectRowCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowCount"})
}

func (ptr *QFileSystemModel) RowCount(parent core.QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount", parent}).(float64))
}

func (ptr *QFileSystemModel) RowCountDefault(parent core.QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCountDefault", parent}).(float64))
}

func (ptr *QFileSystemModel) SetDataDefault(idx core.QModelIndex_ITF, value core.QVariant_ITF, role int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDataDefault", idx, value, role}).(bool)
}

func (ptr *QFileSystemModel) SetFilter(filters core.QDir__Filter) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFilter", filters})
}

func (ptr *QFileSystemModel) SetIconProvider(provider QFileIconProvider_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconProvider", provider})
}

func (ptr *QFileSystemModel) SetNameFilterDisables(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNameFilterDisables", enable})
}

func (ptr *QFileSystemModel) SetNameFilters(filters []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNameFilters", filters})
}

func (ptr *QFileSystemModel) SetReadOnly(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetReadOnly", enable})
}

func (ptr *QFileSystemModel) SetResolveSymlinks(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResolveSymlinks", enable})
}

func (ptr *QFileSystemModel) SetRootPath(newPath string) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRootPath", newPath}).(*core.QModelIndex)
}

func (ptr *QFileSystemModel) SiblingDefault(row int, column int, idx core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SiblingDefault", row, column, idx}).(*core.QModelIndex)
}

func (ptr *QFileSystemModel) Size(index core.QModelIndex_ITF) int64 {

	return int64(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Size", index}).(float64))
}

func (ptr *QFileSystemModel) SortDefault(column int, order core.Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortDefault", column, order})
}

func (ptr *QFileSystemModel) SupportedDropActionsDefault() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDropActionsDefault"}).(float64))
}

func (ptr *QFileSystemModel) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

func (ptr *QFileSystemModel) Type(index core.QModelIndex_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type", index}).(string)
}

func (ptr *QFileSystemModel) ConnectDestroyQFileSystemModel(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQFileSystemModel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFileSystemModel) DisconnectDestroyQFileSystemModel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQFileSystemModel"})
}

func (ptr *QFileSystemModel) DestroyQFileSystemModel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFileSystemModel"})
}

func (ptr *QFileSystemModel) DestroyQFileSystemModelDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFileSystemModelDefault"})
}

func (ptr *QFileSystemModel) __mimeData_indexes_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_indexes_atList", i}).(*core.QModelIndex)
}

func (ptr *QFileSystemModel) __mimeData_indexes_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_indexes_setList", i})
}

func (ptr *QFileSystemModel) __mimeData_indexes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_indexes_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __changePersistentIndexList_from_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_from_atList", i}).(*core.QModelIndex)
}

func (ptr *QFileSystemModel) __changePersistentIndexList_from_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_from_setList", i})
}

func (ptr *QFileSystemModel) __changePersistentIndexList_from_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_from_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __changePersistentIndexList_to_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_to_atList", i}).(*core.QModelIndex)
}

func (ptr *QFileSystemModel) __changePersistentIndexList_to_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_to_setList", i})
}

func (ptr *QFileSystemModel) __changePersistentIndexList_to_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changePersistentIndexList_to_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __dataChanged_roles_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_atList", i}).(float64))
}

func (ptr *QFileSystemModel) __dataChanged_roles_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_setList", i})
}

func (ptr *QFileSystemModel) __dataChanged_roles_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dataChanged_roles_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __itemData_atList(v int, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_atList", v, i}).(*core.QVariant)
}

func (ptr *QFileSystemModel) __itemData_setList(key int, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_setList", key, i})
}

func (ptr *QFileSystemModel) __itemData_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __itemData_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__itemData_keyList"}).([]int)
}

func (ptr *QFileSystemModel) __layoutAboutToBeChanged_parents_atList(i int) *core.QPersistentModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutAboutToBeChanged_parents_atList", i}).(*core.QPersistentModelIndex)
}

func (ptr *QFileSystemModel) __layoutAboutToBeChanged_parents_setList(i core.QPersistentModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutAboutToBeChanged_parents_setList", i})
}

func (ptr *QFileSystemModel) __layoutAboutToBeChanged_parents_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutAboutToBeChanged_parents_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __layoutChanged_parents_atList(i int) *core.QPersistentModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutChanged_parents_atList", i}).(*core.QPersistentModelIndex)
}

func (ptr *QFileSystemModel) __layoutChanged_parents_setList(i core.QPersistentModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutChanged_parents_setList", i})
}

func (ptr *QFileSystemModel) __layoutChanged_parents_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__layoutChanged_parents_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __match_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__match_atList", i}).(*core.QModelIndex)
}

func (ptr *QFileSystemModel) __match_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__match_setList", i})
}

func (ptr *QFileSystemModel) __match_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__match_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __persistentIndexList_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__persistentIndexList_atList", i}).(*core.QModelIndex)
}

func (ptr *QFileSystemModel) __persistentIndexList_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__persistentIndexList_setList", i})
}

func (ptr *QFileSystemModel) __persistentIndexList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__persistentIndexList_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __roleNames_atList(v int, i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_atList", v, i}).(*core.QByteArray)
}

func (ptr *QFileSystemModel) __roleNames_setList(key int, i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_setList", key, i})
}

func (ptr *QFileSystemModel) __roleNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __roleNames_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__roleNames_keyList"}).([]int)
}

func (ptr *QFileSystemModel) __setItemData_roles_atList(v int, i int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_atList", v, i}).(*core.QVariant)
}

func (ptr *QFileSystemModel) __setItemData_roles_setList(key int, i core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_setList", key, i})
}

func (ptr *QFileSystemModel) __setItemData_roles_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __setItemData_roles_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setItemData_roles_keyList"}).([]int)
}

func (ptr *QFileSystemModel) ____doSetRoleNames_roleNames_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____doSetRoleNames_roleNames_keyList_atList", i}).(float64))
}

func (ptr *QFileSystemModel) ____doSetRoleNames_roleNames_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____doSetRoleNames_roleNames_keyList_setList", i})
}

func (ptr *QFileSystemModel) ____doSetRoleNames_roleNames_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____doSetRoleNames_roleNames_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) ____itemData_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____itemData_keyList_atList", i}).(float64))
}

func (ptr *QFileSystemModel) ____itemData_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____itemData_keyList_setList", i})
}

func (ptr *QFileSystemModel) ____itemData_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____itemData_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) ____roleNames_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____roleNames_keyList_atList", i}).(float64))
}

func (ptr *QFileSystemModel) ____roleNames_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____roleNames_keyList_setList", i})
}

func (ptr *QFileSystemModel) ____roleNames_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____roleNames_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) ____setItemData_roles_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemData_roles_keyList_atList", i}).(float64))
}

func (ptr *QFileSystemModel) ____setItemData_roles_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemData_roles_keyList_setList", i})
}

func (ptr *QFileSystemModel) ____setItemData_roles_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setItemData_roles_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) ____setRoleNames_roleNames_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setRoleNames_roleNames_keyList_atList", i}).(float64))
}

func (ptr *QFileSystemModel) ____setRoleNames_roleNames_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setRoleNames_roleNames_keyList_setList", i})
}

func (ptr *QFileSystemModel) ____setRoleNames_roleNames_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setRoleNames_roleNames_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QFileSystemModel) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QFileSystemModel) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QFileSystemModel) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QFileSystemModel) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QFileSystemModel) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QFileSystemModel) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QFileSystemModel) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QFileSystemModel) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QFileSystemModel) BuddyDefault(index core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BuddyDefault", index}).(*core.QModelIndex)
}

func (ptr *QFileSystemModel) CanDropMimeDataDefault(data core.QMimeData_ITF, action core.Qt__DropAction, row int, column int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanDropMimeDataDefault", data, action, row, column, parent}).(bool)
}

func (ptr *QFileSystemModel) InsertColumnsDefault(column int, count int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertColumnsDefault", column, count, parent}).(bool)
}

func (ptr *QFileSystemModel) InsertRowsDefault(row int, count int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRowsDefault", row, count, parent}).(bool)
}

func (ptr *QFileSystemModel) ItemDataDefault(index core.QModelIndex_ITF) map[int]*core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemDataDefault", index}).(map[int]*core.QVariant)
}

func (ptr *QFileSystemModel) MatchDefault(start core.QModelIndex_ITF, role int, value core.QVariant_ITF, hits int, flags core.Qt__MatchFlag) []*core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MatchDefault", start, role, value, hits, flags}).([]*core.QModelIndex)
}

func (ptr *QFileSystemModel) MoveColumnsDefault(sourceParent core.QModelIndex_ITF, sourceColumn int, count int, destinationParent core.QModelIndex_ITF, destinationChild int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveColumnsDefault", sourceParent, sourceColumn, count, destinationParent, destinationChild}).(bool)
}

func (ptr *QFileSystemModel) MoveRowsDefault(sourceParent core.QModelIndex_ITF, sourceRow int, count int, destinationParent core.QModelIndex_ITF, destinationChild int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveRowsDefault", sourceParent, sourceRow, count, destinationParent, destinationChild}).(bool)
}

func (ptr *QFileSystemModel) RemoveColumnsDefault(column int, count int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveColumnsDefault", column, count, parent}).(bool)
}

func (ptr *QFileSystemModel) RemoveRowsDefault(row int, count int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRowsDefault", row, count, parent}).(bool)
}

func (ptr *QFileSystemModel) ResetInternalDataDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetInternalDataDefault"})
}

func (ptr *QFileSystemModel) RevertDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RevertDefault"})
}

func (ptr *QFileSystemModel) RoleNamesDefault() map[int]*core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RoleNamesDefault"}).(map[int]*core.QByteArray)
}

func (ptr *QFileSystemModel) SetHeaderDataDefault(section int, orientation core.Qt__Orientation, value core.QVariant_ITF, role int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeaderDataDefault", section, orientation, value, role}).(bool)
}

func (ptr *QFileSystemModel) SetItemDataDefault(index core.QModelIndex_ITF, roles map[int]*core.QVariant) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemDataDefault", index, roles}).(bool)
}

func (ptr *QFileSystemModel) SpanDefault(index core.QModelIndex_ITF) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SpanDefault", index}).(*core.QSize)
}

func (ptr *QFileSystemModel) SubmitDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubmitDefault"}).(bool)
}

func (ptr *QFileSystemModel) SupportedDragActionsDefault() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDragActionsDefault"}).(float64))
}

func (ptr *QFileSystemModel) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QFileSystemModel) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QFileSystemModel) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QFileSystemModel) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QFileSystemModel) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QFileSystemModel) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QFileSystemModel) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

type QFocusFrame struct {
	QWidget
}

type QFocusFrame_ITF interface {
	QWidget_ITF
	QFocusFrame_PTR() *QFocusFrame
}

func (ptr *QFocusFrame) QFocusFrame_PTR() *QFocusFrame {
	return ptr
}

func (ptr *QFocusFrame) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QFocusFrame) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQFocusFrame(ptr QFocusFrame_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFocusFrame_PTR().Pointer()
	}
	return nil
}

func (n *QFocusFrame) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFocusFrame) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQFocusFrameFromPointer(ptr unsafe.Pointer) (n *QFocusFrame) {
	n = new(QFocusFrame)
	n.InitFromInternal(uintptr(ptr), "widgets.QFocusFrame")
	return
}
func NewQFocusFrame(parent QWidget_ITF) *QFocusFrame {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQFocusFrame", "", parent}).(*QFocusFrame)
}

func (ptr *QFocusFrame) InitStyleOption(option QStyleOption_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QFocusFrame) SetWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidget", widget})
}

func (ptr *QFocusFrame) Widget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Widget"}).(*QWidget)
}

func (ptr *QFocusFrame) ConnectDestroyQFocusFrame(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQFocusFrame", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFocusFrame) DisconnectDestroyQFocusFrame() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQFocusFrame"})
}

func (ptr *QFocusFrame) DestroyQFocusFrame() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFocusFrame"})
}

func (ptr *QFocusFrame) DestroyQFocusFrameDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFocusFrameDefault"})
}

type QFontComboBox struct {
	QComboBox
}

type QFontComboBox_ITF interface {
	QComboBox_ITF
	QFontComboBox_PTR() *QFontComboBox
}

func (ptr *QFontComboBox) QFontComboBox_PTR() *QFontComboBox {
	return ptr
}

func (ptr *QFontComboBox) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QComboBox_PTR().Pointer()
	}
	return nil
}

func (ptr *QFontComboBox) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QComboBox_PTR().SetPointer(p)
	}
}

func PointerFromQFontComboBox(ptr QFontComboBox_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFontComboBox_PTR().Pointer()
	}
	return nil
}

func (n *QFontComboBox) InitFromInternal(ptr uintptr, name string) {
	n.QComboBox_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFontComboBox) ClassNameInternalF() string {
	return n.QComboBox_PTR().ClassNameInternalF()
}

func NewQFontComboBoxFromPointer(ptr unsafe.Pointer) (n *QFontComboBox) {
	n = new(QFontComboBox)
	n.InitFromInternal(uintptr(ptr), "widgets.QFontComboBox")
	return
}

//go:generate stringer -type=QFontComboBox__FontFilter
//QFontComboBox::FontFilter
type QFontComboBox__FontFilter int64

const (
	QFontComboBox__AllFonts          QFontComboBox__FontFilter = QFontComboBox__FontFilter(0)
	QFontComboBox__ScalableFonts     QFontComboBox__FontFilter = QFontComboBox__FontFilter(0x1)
	QFontComboBox__NonScalableFonts  QFontComboBox__FontFilter = QFontComboBox__FontFilter(0x2)
	QFontComboBox__MonospacedFonts   QFontComboBox__FontFilter = QFontComboBox__FontFilter(0x4)
	QFontComboBox__ProportionalFonts QFontComboBox__FontFilter = QFontComboBox__FontFilter(0x8)
)

func NewQFontComboBox(parent QWidget_ITF) *QFontComboBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQFontComboBox", "", parent}).(*QFontComboBox)
}

func (ptr *QFontComboBox) CurrentFont() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentFont"}).(*gui.QFont)
}

func (ptr *QFontComboBox) ConnectCurrentFontChanged(f func(font *gui.QFont)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentFontChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFontComboBox) DisconnectCurrentFontChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentFontChanged"})
}

func (ptr *QFontComboBox) CurrentFontChanged(font gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentFontChanged", font})
}

func (ptr *QFontComboBox) FontFilters() QFontComboBox__FontFilter {

	return QFontComboBox__FontFilter(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontFilters"}).(float64))
}

func (ptr *QFontComboBox) ConnectSetCurrentFont(f func(ff *gui.QFont)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentFont", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFontComboBox) DisconnectSetCurrentFont() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentFont"})
}

func (ptr *QFontComboBox) SetCurrentFont(ff gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentFont", ff})
}

func (ptr *QFontComboBox) SetCurrentFontDefault(ff gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentFontDefault", ff})
}

func (ptr *QFontComboBox) SetFontFilters(filters QFontComboBox__FontFilter) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontFilters", filters})
}

func (ptr *QFontComboBox) SetWritingSystem(vqf gui.QFontDatabase__WritingSystem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWritingSystem", vqf})
}

func (ptr *QFontComboBox) ConnectDestroyQFontComboBox(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQFontComboBox", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFontComboBox) DisconnectDestroyQFontComboBox() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQFontComboBox"})
}

func (ptr *QFontComboBox) DestroyQFontComboBox() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFontComboBox"})
}

func (ptr *QFontComboBox) DestroyQFontComboBoxDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFontComboBoxDefault"})
}

type QFontDialog struct {
	QDialog
}

type QFontDialog_ITF interface {
	QDialog_ITF
	QFontDialog_PTR() *QFontDialog
}

func (ptr *QFontDialog) QFontDialog_PTR() *QFontDialog {
	return ptr
}

func (ptr *QFontDialog) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QDialog_PTR().Pointer()
	}
	return nil
}

func (ptr *QFontDialog) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QDialog_PTR().SetPointer(p)
	}
}

func PointerFromQFontDialog(ptr QFontDialog_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFontDialog_PTR().Pointer()
	}
	return nil
}

func (n *QFontDialog) InitFromInternal(ptr uintptr, name string) {
	n.QDialog_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFontDialog) ClassNameInternalF() string {
	return n.QDialog_PTR().ClassNameInternalF()
}

func NewQFontDialogFromPointer(ptr unsafe.Pointer) (n *QFontDialog) {
	n = new(QFontDialog)
	n.InitFromInternal(uintptr(ptr), "widgets.QFontDialog")
	return
}

func (ptr *QFontDialog) DestroyQFontDialog() {
}

//go:generate stringer -type=QFontDialog__FontDialogOption
//QFontDialog::FontDialogOption
type QFontDialog__FontDialogOption int64

const (
	QFontDialog__NoButtons           QFontDialog__FontDialogOption = QFontDialog__FontDialogOption(0x00000001)
	QFontDialog__DontUseNativeDialog QFontDialog__FontDialogOption = QFontDialog__FontDialogOption(0x00000002)
	QFontDialog__ScalableFonts       QFontDialog__FontDialogOption = QFontDialog__FontDialogOption(0x00000004)
	QFontDialog__NonScalableFonts    QFontDialog__FontDialogOption = QFontDialog__FontDialogOption(0x00000008)
	QFontDialog__MonospacedFonts     QFontDialog__FontDialogOption = QFontDialog__FontDialogOption(0x00000010)
	QFontDialog__ProportionalFonts   QFontDialog__FontDialogOption = QFontDialog__FontDialogOption(0x00000020)
)

func NewQFontDialog(parent QWidget_ITF) *QFontDialog {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQFontDialog", "", parent}).(*QFontDialog)
}

func NewQFontDialog2(initial gui.QFont_ITF, parent QWidget_ITF) *QFontDialog {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQFontDialog2", "", initial, parent}).(*QFontDialog)
}

func (ptr *QFontDialog) CurrentFont() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentFont"}).(*gui.QFont)
}

func (ptr *QFontDialog) ConnectCurrentFontChanged(f func(font *gui.QFont)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentFontChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFontDialog) DisconnectCurrentFontChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentFontChanged"})
}

func (ptr *QFontDialog) CurrentFontChanged(font gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentFontChanged", font})
}

func (ptr *QFontDialog) ConnectDone(f func(result int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDone", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFontDialog) DisconnectDone() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDone"})
}

func (ptr *QFontDialog) Done(result int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Done", result})
}

func (ptr *QFontDialog) DoneDefault(result int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoneDefault", result})
}

func (ptr *QFontDialog) ConnectFontSelected(f func(font *gui.QFont)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFontSelected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFontDialog) DisconnectFontSelected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFontSelected"})
}

func (ptr *QFontDialog) FontSelected(font gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontSelected", font})
}

func QFontDialog_GetFont(ok *bool, initial gui.QFont_ITF, parent QWidget_ITF, title string, options QFontDialog__FontDialogOption) *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFontDialog_GetFont", "", ok, initial, parent, title, options}).(*gui.QFont)
}

func (ptr *QFontDialog) GetFont(ok *bool, initial gui.QFont_ITF, parent QWidget_ITF, title string, options QFontDialog__FontDialogOption) *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFontDialog_GetFont", "", ok, initial, parent, title, options}).(*gui.QFont)
}

func QFontDialog_GetFont2(ok *bool, parent QWidget_ITF) *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFontDialog_GetFont2", "", ok, parent}).(*gui.QFont)
}

func (ptr *QFontDialog) GetFont2(ok *bool, parent QWidget_ITF) *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QFontDialog_GetFont2", "", ok, parent}).(*gui.QFont)
}

func (ptr *QFontDialog) Open(receiver core.QObject_ITF, member string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Open", receiver, member})
}

func (ptr *QFontDialog) Options() QFontDialog__FontDialogOption {

	return QFontDialog__FontDialogOption(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Options"}).(float64))
}

func (ptr *QFontDialog) SelectedFont() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedFont"}).(*gui.QFont)
}

func (ptr *QFontDialog) SetCurrentFont(font gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentFont", font})
}

func (ptr *QFontDialog) SetOption(option QFontDialog__FontDialogOption, on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOption", option, on})
}

func (ptr *QFontDialog) SetOptions(options QFontDialog__FontDialogOption) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOptions", options})
}

func (ptr *QFontDialog) TestOption(option QFontDialog__FontDialogOption) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TestOption", option}).(bool)
}

type QFormLayout struct {
	QLayout
}

type QFormLayout_ITF interface {
	QLayout_ITF
	QFormLayout_PTR() *QFormLayout
}

func (ptr *QFormLayout) QFormLayout_PTR() *QFormLayout {
	return ptr
}

func (ptr *QFormLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QLayout_PTR().Pointer()
	}
	return nil
}

func (ptr *QFormLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QLayout_PTR().SetPointer(p)
	}
}

func PointerFromQFormLayout(ptr QFormLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFormLayout_PTR().Pointer()
	}
	return nil
}

func (n *QFormLayout) InitFromInternal(ptr uintptr, name string) {
	n.QLayout_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFormLayout) ClassNameInternalF() string {
	return n.QLayout_PTR().ClassNameInternalF()
}

func NewQFormLayoutFromPointer(ptr unsafe.Pointer) (n *QFormLayout) {
	n = new(QFormLayout)
	n.InitFromInternal(uintptr(ptr), "widgets.QFormLayout")
	return
}

//go:generate stringer -type=QFormLayout__FieldGrowthPolicy
//QFormLayout::FieldGrowthPolicy
type QFormLayout__FieldGrowthPolicy int64

const (
	QFormLayout__FieldsStayAtSizeHint  QFormLayout__FieldGrowthPolicy = QFormLayout__FieldGrowthPolicy(0)
	QFormLayout__ExpandingFieldsGrow   QFormLayout__FieldGrowthPolicy = QFormLayout__FieldGrowthPolicy(1)
	QFormLayout__AllNonFixedFieldsGrow QFormLayout__FieldGrowthPolicy = QFormLayout__FieldGrowthPolicy(2)
)

//go:generate stringer -type=QFormLayout__RowWrapPolicy
//QFormLayout::RowWrapPolicy
type QFormLayout__RowWrapPolicy int64

const (
	QFormLayout__DontWrapRows QFormLayout__RowWrapPolicy = QFormLayout__RowWrapPolicy(0)
	QFormLayout__WrapLongRows QFormLayout__RowWrapPolicy = QFormLayout__RowWrapPolicy(1)
	QFormLayout__WrapAllRows  QFormLayout__RowWrapPolicy = QFormLayout__RowWrapPolicy(2)
)

//go:generate stringer -type=QFormLayout__ItemRole
//QFormLayout::ItemRole
type QFormLayout__ItemRole int64

const (
	QFormLayout__LabelRole    QFormLayout__ItemRole = QFormLayout__ItemRole(0)
	QFormLayout__FieldRole    QFormLayout__ItemRole = QFormLayout__ItemRole(1)
	QFormLayout__SpanningRole QFormLayout__ItemRole = QFormLayout__ItemRole(2)
)

func NewQFormLayout(parent QWidget_ITF) *QFormLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQFormLayout", "", parent}).(*QFormLayout)
}

func (ptr *QFormLayout) ConnectAddItem(f func(item *QLayoutItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAddItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFormLayout) DisconnectAddItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAddItem"})
}

func (ptr *QFormLayout) AddItem(item QLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem", item})
}

func (ptr *QFormLayout) AddItemDefault(item QLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItemDefault", item})
}

func (ptr *QFormLayout) AddRow(label QWidget_ITF, field QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddRow", label, field})
}

func (ptr *QFormLayout) AddRow2(label QWidget_ITF, field QLayout_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddRow2", label, field})
}

func (ptr *QFormLayout) AddRow3(labelText string, field QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddRow3", labelText, field})
}

func (ptr *QFormLayout) AddRow4(labelText string, field QLayout_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddRow4", labelText, field})
}

func (ptr *QFormLayout) AddRow5(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddRow5", widget})
}

func (ptr *QFormLayout) AddRow6(layout QLayout_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddRow6", layout})
}

func (ptr *QFormLayout) ConnectCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFormLayout) DisconnectCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCount"})
}

func (ptr *QFormLayout) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QFormLayout) CountDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CountDefault"}).(float64))
}

func (ptr *QFormLayout) FieldGrowthPolicy() QFormLayout__FieldGrowthPolicy {

	return QFormLayout__FieldGrowthPolicy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FieldGrowthPolicy"}).(float64))
}

func (ptr *QFormLayout) FormAlignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FormAlignment"}).(float64))
}

func (ptr *QFormLayout) HorizontalSpacing() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalSpacing"}).(float64))
}

func (ptr *QFormLayout) InsertRow(row int, label QWidget_ITF, field QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRow", row, label, field})
}

func (ptr *QFormLayout) InsertRow2(row int, label QWidget_ITF, field QLayout_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRow2", row, label, field})
}

func (ptr *QFormLayout) InsertRow3(row int, labelText string, field QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRow3", row, labelText, field})
}

func (ptr *QFormLayout) InsertRow4(row int, labelText string, field QLayout_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRow4", row, labelText, field})
}

func (ptr *QFormLayout) InsertRow5(row int, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRow5", row, widget})
}

func (ptr *QFormLayout) InsertRow6(row int, layout QLayout_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRow6", row, layout})
}

func (ptr *QFormLayout) LabelAlignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LabelAlignment"}).(float64))
}

func (ptr *QFormLayout) LabelForField(field QWidget_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LabelForField", field}).(*QWidget)
}

func (ptr *QFormLayout) LabelForField2(field QLayout_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LabelForField2", field}).(*QWidget)
}

func (ptr *QFormLayout) RemoveRow(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRow", row})
}

func (ptr *QFormLayout) RemoveRow2(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRow2", widget})
}

func (ptr *QFormLayout) RemoveRow3(layout QLayout_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRow3", layout})
}

func (ptr *QFormLayout) RowCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount"}).(float64))
}

func (ptr *QFormLayout) RowWrapPolicy() QFormLayout__RowWrapPolicy {

	return QFormLayout__RowWrapPolicy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowWrapPolicy"}).(float64))
}

func (ptr *QFormLayout) SetFieldGrowthPolicy(policy QFormLayout__FieldGrowthPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFieldGrowthPolicy", policy})
}

func (ptr *QFormLayout) SetFormAlignment(alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormAlignment", alignment})
}

func (ptr *QFormLayout) SetHorizontalSpacing(spacing int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalSpacing", spacing})
}

func (ptr *QFormLayout) SetItem(row int, role QFormLayout__ItemRole, item QLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItem", row, role, item})
}

func (ptr *QFormLayout) SetLabelAlignment(alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLabelAlignment", alignment})
}

func (ptr *QFormLayout) SetLayout(row int, role QFormLayout__ItemRole, layout QLayout_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLayout", row, role, layout})
}

func (ptr *QFormLayout) SetRowWrapPolicy(policy QFormLayout__RowWrapPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowWrapPolicy", policy})
}

func (ptr *QFormLayout) SetVerticalSpacing(spacing int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalSpacing", spacing})
}

func (ptr *QFormLayout) SetWidget(row int, role QFormLayout__ItemRole, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidget", row, role, widget})
}

func (ptr *QFormLayout) ConnectSizeHint(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFormLayout) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QFormLayout) SizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint"}).(*core.QSize)
}

func (ptr *QFormLayout) SizeHintDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintDefault"}).(*core.QSize)
}

func (ptr *QFormLayout) ConnectTakeAt(f func(index int) *QLayoutItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTakeAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFormLayout) DisconnectTakeAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTakeAt"})
}

func (ptr *QFormLayout) TakeAt(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeAt", index}).(*QLayoutItem)
}

func (ptr *QFormLayout) TakeAtDefault(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeAtDefault", index}).(*QLayoutItem)
}

func (ptr *QFormLayout) VerticalSpacing() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalSpacing"}).(float64))
}

func (ptr *QFormLayout) ConnectDestroyQFormLayout(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQFormLayout", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFormLayout) DisconnectDestroyQFormLayout() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQFormLayout"})
}

func (ptr *QFormLayout) DestroyQFormLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFormLayout"})
}

func (ptr *QFormLayout) DestroyQFormLayoutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFormLayoutDefault"})
}

type QFrame struct {
	QWidget
}

type QFrame_ITF interface {
	QWidget_ITF
	QFrame_PTR() *QFrame
}

func (ptr *QFrame) QFrame_PTR() *QFrame {
	return ptr
}

func (ptr *QFrame) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QFrame) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQFrame(ptr QFrame_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QFrame_PTR().Pointer()
	}
	return nil
}

func (n *QFrame) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QFrame) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQFrameFromPointer(ptr unsafe.Pointer) (n *QFrame) {
	n = new(QFrame)
	n.InitFromInternal(uintptr(ptr), "widgets.QFrame")
	return
}

//go:generate stringer -type=QFrame__Shape
//QFrame::Shape
type QFrame__Shape int64

const (
	QFrame__NoFrame     QFrame__Shape = QFrame__Shape(0)
	QFrame__Box         QFrame__Shape = QFrame__Shape(0x0001)
	QFrame__Panel       QFrame__Shape = QFrame__Shape(0x0002)
	QFrame__WinPanel    QFrame__Shape = QFrame__Shape(0x0003)
	QFrame__HLine       QFrame__Shape = QFrame__Shape(0x0004)
	QFrame__VLine       QFrame__Shape = QFrame__Shape(0x0005)
	QFrame__StyledPanel QFrame__Shape = QFrame__Shape(0x0006)
)

//go:generate stringer -type=QFrame__Shadow
//QFrame::Shadow
type QFrame__Shadow int64

const (
	QFrame__Plain  QFrame__Shadow = QFrame__Shadow(0x0010)
	QFrame__Raised QFrame__Shadow = QFrame__Shadow(0x0020)
	QFrame__Sunken QFrame__Shadow = QFrame__Shadow(0x0030)
)

//go:generate stringer -type=QFrame__StyleMask
//QFrame::StyleMask
type QFrame__StyleMask int64

var (
	QFrame__Shadow_Mask QFrame__StyleMask = QFrame__StyleMask(0x00f0)
	QFrame__Shape_Mask  QFrame__StyleMask = QFrame__StyleMask(0x000f)
)

func NewQFrame(parent QWidget_ITF, ff core.Qt__WindowType) *QFrame {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQFrame", "", parent, ff}).(*QFrame)
}

func (ptr *QFrame) FrameRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameRect"}).(*core.QRect)
}

func (ptr *QFrame) FrameShadow() QFrame__Shadow {

	return QFrame__Shadow(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameShadow"}).(float64))
}

func (ptr *QFrame) FrameShape() QFrame__Shape {

	return QFrame__Shape(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameShape"}).(float64))
}

func (ptr *QFrame) FrameStyle() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameStyle"}).(float64))
}

func (ptr *QFrame) FrameWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameWidth"}).(float64))
}

func (ptr *QFrame) InitStyleOption(option QStyleOptionFrame_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QFrame) LineWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineWidth"}).(float64))
}

func (ptr *QFrame) MidLineWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MidLineWidth"}).(float64))
}

func (ptr *QFrame) SetFrameRect(vqr core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrameRect", vqr})
}

func (ptr *QFrame) SetFrameShadow(vqf QFrame__Shadow) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrameShadow", vqf})
}

func (ptr *QFrame) SetFrameShape(vqf QFrame__Shape) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrameShape", vqf})
}

func (ptr *QFrame) SetFrameStyle(style int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrameStyle", style})
}

func (ptr *QFrame) SetLineWidth(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLineWidth", vin})
}

func (ptr *QFrame) SetMidLineWidth(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMidLineWidth", vin})
}

func (ptr *QFrame) ConnectDestroyQFrame(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQFrame", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QFrame) DisconnectDestroyQFrame() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQFrame"})
}

func (ptr *QFrame) DestroyQFrame() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFrame"})
}

func (ptr *QFrame) DestroyQFrameDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQFrameDefault"})
}

type QGesture struct {
	core.QObject
}

type QGesture_ITF interface {
	core.QObject_ITF
	QGesture_PTR() *QGesture
}

func (ptr *QGesture) QGesture_PTR() *QGesture {
	return ptr
}

func (ptr *QGesture) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QGesture) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQGesture(ptr QGesture_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGesture_PTR().Pointer()
	}
	return nil
}

func (n *QGesture) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGesture) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQGestureFromPointer(ptr unsafe.Pointer) (n *QGesture) {
	n = new(QGesture)
	n.InitFromInternal(uintptr(ptr), "widgets.QGesture")
	return
}

//go:generate stringer -type=QGesture__GestureCancelPolicy
//QGesture::GestureCancelPolicy
type QGesture__GestureCancelPolicy int64

const (
	QGesture__CancelNone         QGesture__GestureCancelPolicy = QGesture__GestureCancelPolicy(0)
	QGesture__CancelAllInContext QGesture__GestureCancelPolicy = QGesture__GestureCancelPolicy(1)
)

func NewQGesture(parent core.QObject_ITF) *QGesture {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGesture", "", parent}).(*QGesture)
}

func (ptr *QGesture) GestureCancelPolicy() QGesture__GestureCancelPolicy {

	return QGesture__GestureCancelPolicy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GestureCancelPolicy"}).(float64))
}

func (ptr *QGesture) GestureType() core.Qt__GestureType {

	return core.Qt__GestureType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GestureType"}).(float64))
}

func (ptr *QGesture) HasHotSpot() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasHotSpot"}).(bool)
}

func (ptr *QGesture) HotSpot() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HotSpot"}).(*core.QPointF)
}

func (ptr *QGesture) SetGestureCancelPolicy(policy QGesture__GestureCancelPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGestureCancelPolicy", policy})
}

func (ptr *QGesture) SetHotSpot(value core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHotSpot", value})
}

func (ptr *QGesture) State() core.Qt__GestureState {

	return core.Qt__GestureState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QGesture) UnsetHotSpot() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnsetHotSpot"})
}

func (ptr *QGesture) ConnectDestroyQGesture(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGesture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGesture) DisconnectDestroyQGesture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGesture"})
}

func (ptr *QGesture) DestroyQGesture() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGesture"})
}

func (ptr *QGesture) DestroyQGestureDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGestureDefault"})
}

func (ptr *QGesture) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QGesture) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QGesture) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QGesture) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QGesture) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QGesture) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QGesture) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QGesture) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QGesture) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QGesture) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QGesture) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QGesture) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QGesture) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QGesture) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QGesture) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QGesture) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QGesture) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QGesture) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QGesture) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QGesture) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QGesture) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QGestureEvent struct {
	core.QEvent
}

type QGestureEvent_ITF interface {
	core.QEvent_ITF
	QGestureEvent_PTR() *QGestureEvent
}

func (ptr *QGestureEvent) QGestureEvent_PTR() *QGestureEvent {
	return ptr
}

func (ptr *QGestureEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QGestureEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQGestureEvent(ptr QGestureEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGestureEvent_PTR().Pointer()
	}
	return nil
}

func (n *QGestureEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGestureEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQGestureEventFromPointer(ptr unsafe.Pointer) (n *QGestureEvent) {
	n = new(QGestureEvent)
	n.InitFromInternal(uintptr(ptr), "widgets.QGestureEvent")
	return
}
func NewQGestureEvent(gestures []*QGesture) *QGestureEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGestureEvent", "", gestures}).(*QGestureEvent)
}

func (ptr *QGestureEvent) Accept(gesture QGesture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Accept", gesture})
}

func (ptr *QGestureEvent) Accept2(gestureType core.Qt__GestureType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Accept2", gestureType})
}

func (ptr *QGestureEvent) ActiveGestures() []*QGesture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveGestures"}).([]*QGesture)
}

func (ptr *QGestureEvent) CanceledGestures() []*QGesture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanceledGestures"}).([]*QGesture)
}

func (ptr *QGestureEvent) Gesture(ty core.Qt__GestureType) *QGesture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Gesture", ty}).(*QGesture)
}

func (ptr *QGestureEvent) Gestures() []*QGesture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Gestures"}).([]*QGesture)
}

func (ptr *QGestureEvent) Ignore(gesture QGesture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ignore", gesture})
}

func (ptr *QGestureEvent) Ignore2(gestureType core.Qt__GestureType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Ignore2", gestureType})
}

func (ptr *QGestureEvent) IsAccepted(gesture QGesture_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAccepted", gesture}).(bool)
}

func (ptr *QGestureEvent) IsAccepted2(gestureType core.Qt__GestureType) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAccepted2", gestureType}).(bool)
}

func (ptr *QGestureEvent) MapToGraphicsScene(gesturePoint core.QPointF_ITF) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToGraphicsScene", gesturePoint}).(*core.QPointF)
}

func (ptr *QGestureEvent) SetAccepted(gesture QGesture_ITF, value bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAccepted", gesture, value})
}

func (ptr *QGestureEvent) SetAccepted2(gestureType core.Qt__GestureType, value bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAccepted2", gestureType, value})
}

func (ptr *QGestureEvent) Widget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Widget"}).(*QWidget)
}

func (ptr *QGestureEvent) ConnectDestroyQGestureEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGestureEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGestureEvent) DisconnectDestroyQGestureEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGestureEvent"})
}

func (ptr *QGestureEvent) DestroyQGestureEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGestureEvent"})
}

func (ptr *QGestureEvent) DestroyQGestureEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGestureEventDefault"})
}

func (ptr *QGestureEvent) __QGestureEvent_gestures_atList(i int) *QGesture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QGestureEvent_gestures_atList", i}).(*QGesture)
}

func (ptr *QGestureEvent) __QGestureEvent_gestures_setList(i QGesture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QGestureEvent_gestures_setList", i})
}

func (ptr *QGestureEvent) __QGestureEvent_gestures_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__QGestureEvent_gestures_newList"}).(unsafe.Pointer)
}

func (ptr *QGestureEvent) __activeGestures_atList(i int) *QGesture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__activeGestures_atList", i}).(*QGesture)
}

func (ptr *QGestureEvent) __activeGestures_setList(i QGesture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__activeGestures_setList", i})
}

func (ptr *QGestureEvent) __activeGestures_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__activeGestures_newList"}).(unsafe.Pointer)
}

func (ptr *QGestureEvent) __canceledGestures_atList(i int) *QGesture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__canceledGestures_atList", i}).(*QGesture)
}

func (ptr *QGestureEvent) __canceledGestures_setList(i QGesture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__canceledGestures_setList", i})
}

func (ptr *QGestureEvent) __canceledGestures_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__canceledGestures_newList"}).(unsafe.Pointer)
}

func (ptr *QGestureEvent) __gestures_atList(i int) *QGesture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__gestures_atList", i}).(*QGesture)
}

func (ptr *QGestureEvent) __gestures_setList(i QGesture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__gestures_setList", i})
}

func (ptr *QGestureEvent) __gestures_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__gestures_newList"}).(unsafe.Pointer)
}

func (ptr *QGestureEvent) __m_gestures_atList(i int) *QGesture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__m_gestures_atList", i}).(*QGesture)
}

func (ptr *QGestureEvent) __m_gestures_setList(i QGesture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__m_gestures_setList", i})
}

func (ptr *QGestureEvent) __m_gestures_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__m_gestures_newList"}).(unsafe.Pointer)
}

func (ptr *QGestureEvent) __setM_gestures__atList(i int) *QGesture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setM_gestures__atList", i}).(*QGesture)
}

func (ptr *QGestureEvent) __setM_gestures__setList(i QGesture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setM_gestures__setList", i})
}

func (ptr *QGestureEvent) __setM_gestures__newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setM_gestures__newList"}).(unsafe.Pointer)
}

func (ptr *QGestureEvent) __m_accepted_atList(v core.Qt__GestureType, i int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__m_accepted_atList", v, i}).(bool)
}

func (ptr *QGestureEvent) __m_accepted_setList(key core.Qt__GestureType, i bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__m_accepted_setList", key, i})
}

func (ptr *QGestureEvent) __m_accepted_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__m_accepted_newList"}).(unsafe.Pointer)
}

func (ptr *QGestureEvent) __m_accepted_keyList() []core.Qt__GestureType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__m_accepted_keyList"}).([]core.Qt__GestureType)
}

func (ptr *QGestureEvent) __setM_accepted__atList(v core.Qt__GestureType, i int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setM_accepted__atList", v, i}).(bool)
}

func (ptr *QGestureEvent) __setM_accepted__setList(key core.Qt__GestureType, i bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setM_accepted__setList", key, i})
}

func (ptr *QGestureEvent) __setM_accepted__newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setM_accepted__newList"}).(unsafe.Pointer)
}

func (ptr *QGestureEvent) __setM_accepted__keyList() []core.Qt__GestureType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setM_accepted__keyList"}).([]core.Qt__GestureType)
}

func (ptr *QGestureEvent) __m_targetWidgets_atList(v core.Qt__GestureType, i int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__m_targetWidgets_atList", v, i}).(*QWidget)
}

func (ptr *QGestureEvent) __m_targetWidgets_setList(key core.Qt__GestureType, i QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__m_targetWidgets_setList", key, i})
}

func (ptr *QGestureEvent) __m_targetWidgets_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__m_targetWidgets_newList"}).(unsafe.Pointer)
}

func (ptr *QGestureEvent) __m_targetWidgets_keyList() []core.Qt__GestureType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__m_targetWidgets_keyList"}).([]core.Qt__GestureType)
}

func (ptr *QGestureEvent) __setM_targetWidgets__atList(v core.Qt__GestureType, i int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setM_targetWidgets__atList", v, i}).(*QWidget)
}

func (ptr *QGestureEvent) __setM_targetWidgets__setList(key core.Qt__GestureType, i QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setM_targetWidgets__setList", key, i})
}

func (ptr *QGestureEvent) __setM_targetWidgets__newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setM_targetWidgets__newList"}).(unsafe.Pointer)
}

func (ptr *QGestureEvent) __setM_targetWidgets__keyList() []core.Qt__GestureType {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setM_targetWidgets__keyList"}).([]core.Qt__GestureType)
}

func (ptr *QGestureEvent) ____m_accepted_keyList_atList(i int) core.Qt__GestureType {

	return core.Qt__GestureType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____m_accepted_keyList_atList", i}).(float64))
}

func (ptr *QGestureEvent) ____m_accepted_keyList_setList(i core.Qt__GestureType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____m_accepted_keyList_setList", i})
}

func (ptr *QGestureEvent) ____m_accepted_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____m_accepted_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QGestureEvent) ____setM_accepted__keyList_atList(i int) core.Qt__GestureType {

	return core.Qt__GestureType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setM_accepted__keyList_atList", i}).(float64))
}

func (ptr *QGestureEvent) ____setM_accepted__keyList_setList(i core.Qt__GestureType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setM_accepted__keyList_setList", i})
}

func (ptr *QGestureEvent) ____setM_accepted__keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setM_accepted__keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QGestureEvent) ____m_targetWidgets_keyList_atList(i int) core.Qt__GestureType {

	return core.Qt__GestureType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____m_targetWidgets_keyList_atList", i}).(float64))
}

func (ptr *QGestureEvent) ____m_targetWidgets_keyList_setList(i core.Qt__GestureType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____m_targetWidgets_keyList_setList", i})
}

func (ptr *QGestureEvent) ____m_targetWidgets_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____m_targetWidgets_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QGestureEvent) ____setM_targetWidgets__keyList_atList(i int) core.Qt__GestureType {

	return core.Qt__GestureType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setM_targetWidgets__keyList_atList", i}).(float64))
}

func (ptr *QGestureEvent) ____setM_targetWidgets__keyList_setList(i core.Qt__GestureType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setM_targetWidgets__keyList_setList", i})
}

func (ptr *QGestureEvent) ____setM_targetWidgets__keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setM_targetWidgets__keyList_newList"}).(unsafe.Pointer)
}

type QGestureRecognizer struct {
	internal.Internal
}

type QGestureRecognizer_ITF interface {
	QGestureRecognizer_PTR() *QGestureRecognizer
}

func (ptr *QGestureRecognizer) QGestureRecognizer_PTR() *QGestureRecognizer {
	return ptr
}

func (ptr *QGestureRecognizer) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QGestureRecognizer) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQGestureRecognizer(ptr QGestureRecognizer_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGestureRecognizer_PTR().Pointer()
	}
	return nil
}

func (n *QGestureRecognizer) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQGestureRecognizerFromPointer(ptr unsafe.Pointer) (n *QGestureRecognizer) {
	n = new(QGestureRecognizer)
	n.InitFromInternal(uintptr(ptr), "widgets.QGestureRecognizer")
	return
}

//go:generate stringer -type=QGestureRecognizer__ResultFlag
//QGestureRecognizer::ResultFlag
type QGestureRecognizer__ResultFlag int64

const (
	QGestureRecognizer__Ignore           QGestureRecognizer__ResultFlag = QGestureRecognizer__ResultFlag(0x0001)
	QGestureRecognizer__MayBeGesture     QGestureRecognizer__ResultFlag = QGestureRecognizer__ResultFlag(0x0002)
	QGestureRecognizer__TriggerGesture   QGestureRecognizer__ResultFlag = QGestureRecognizer__ResultFlag(0x0004)
	QGestureRecognizer__FinishGesture    QGestureRecognizer__ResultFlag = QGestureRecognizer__ResultFlag(0x0008)
	QGestureRecognizer__CancelGesture    QGestureRecognizer__ResultFlag = QGestureRecognizer__ResultFlag(0x0010)
	QGestureRecognizer__ResultState_Mask QGestureRecognizer__ResultFlag = QGestureRecognizer__ResultFlag(0x00ff)
	QGestureRecognizer__ConsumeEventHint QGestureRecognizer__ResultFlag = QGestureRecognizer__ResultFlag(0x0100)
	QGestureRecognizer__ResultHint_Mask  QGestureRecognizer__ResultFlag = QGestureRecognizer__ResultFlag(0xff00)
)

func NewQGestureRecognizer() *QGestureRecognizer {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGestureRecognizer", ""}).(*QGestureRecognizer)
}

func (ptr *QGestureRecognizer) ConnectCreate(f func(target *core.QObject) *QGesture) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGestureRecognizer) DisconnectCreate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreate"})
}

func (ptr *QGestureRecognizer) Create(target core.QObject_ITF) *QGesture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create", target}).(*QGesture)
}

func (ptr *QGestureRecognizer) CreateDefault(target core.QObject_ITF) *QGesture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateDefault", target}).(*QGesture)
}

func (ptr *QGestureRecognizer) ConnectRecognize(f func(gesture *QGesture, watched *core.QObject, event *core.QEvent) QGestureRecognizer__ResultFlag) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRecognize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGestureRecognizer) DisconnectRecognize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRecognize"})
}

func (ptr *QGestureRecognizer) Recognize(gesture QGesture_ITF, watched core.QObject_ITF, event core.QEvent_ITF) QGestureRecognizer__ResultFlag {

	return QGestureRecognizer__ResultFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Recognize", gesture, watched, event}).(float64))
}

func QGestureRecognizer_RegisterRecognizer(recognizer QGestureRecognizer_ITF) core.Qt__GestureType {

	return core.Qt__GestureType(internal.CallLocalFunction([]interface{}{"", "", "widgets.QGestureRecognizer_RegisterRecognizer", "", recognizer}).(float64))
}

func (ptr *QGestureRecognizer) RegisterRecognizer(recognizer QGestureRecognizer_ITF) core.Qt__GestureType {

	return core.Qt__GestureType(internal.CallLocalFunction([]interface{}{"", "", "widgets.QGestureRecognizer_RegisterRecognizer", "", recognizer}).(float64))
}

func (ptr *QGestureRecognizer) ConnectReset(f func(gesture *QGesture)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGestureRecognizer) DisconnectReset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReset"})
}

func (ptr *QGestureRecognizer) Reset(gesture QGesture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset", gesture})
}

func (ptr *QGestureRecognizer) ResetDefault(gesture QGesture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetDefault", gesture})
}

func QGestureRecognizer_UnregisterRecognizer(ty core.Qt__GestureType) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QGestureRecognizer_UnregisterRecognizer", "", ty})
}

func (ptr *QGestureRecognizer) UnregisterRecognizer(ty core.Qt__GestureType) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QGestureRecognizer_UnregisterRecognizer", "", ty})
}

func (ptr *QGestureRecognizer) ConnectDestroyQGestureRecognizer(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGestureRecognizer", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGestureRecognizer) DisconnectDestroyQGestureRecognizer() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGestureRecognizer"})
}

func (ptr *QGestureRecognizer) DestroyQGestureRecognizer() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGestureRecognizer"})
}

func (ptr *QGestureRecognizer) DestroyQGestureRecognizerDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGestureRecognizerDefault"})
}

type QGraphicsAnchor struct {
	core.QObject
}

type QGraphicsAnchor_ITF interface {
	core.QObject_ITF
	QGraphicsAnchor_PTR() *QGraphicsAnchor
}

func (ptr *QGraphicsAnchor) QGraphicsAnchor_PTR() *QGraphicsAnchor {
	return ptr
}

func (ptr *QGraphicsAnchor) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsAnchor) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsAnchor(ptr QGraphicsAnchor_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsAnchor_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsAnchor) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsAnchor) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQGraphicsAnchorFromPointer(ptr unsafe.Pointer) (n *QGraphicsAnchor) {
	n = new(QGraphicsAnchor)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsAnchor")
	return
}
func (ptr *QGraphicsAnchor) SetSizePolicy(policy QSizePolicy__Policy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSizePolicy", policy})
}

func (ptr *QGraphicsAnchor) SetSpacing(spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSpacing", spacing})
}

func (ptr *QGraphicsAnchor) SizePolicy() QSizePolicy__Policy {

	return QSizePolicy__Policy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizePolicy"}).(float64))
}

func (ptr *QGraphicsAnchor) Spacing() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Spacing"}).(float64)
}

func (ptr *QGraphicsAnchor) UnsetSpacing() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnsetSpacing"})
}

func (ptr *QGraphicsAnchor) ConnectDestroyQGraphicsAnchor(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsAnchor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsAnchor) DisconnectDestroyQGraphicsAnchor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsAnchor"})
}

func (ptr *QGraphicsAnchor) DestroyQGraphicsAnchor() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsAnchor"})
}

func (ptr *QGraphicsAnchor) DestroyQGraphicsAnchorDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsAnchorDefault"})
}

func (ptr *QGraphicsAnchor) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QGraphicsAnchor) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QGraphicsAnchor) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsAnchor) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QGraphicsAnchor) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QGraphicsAnchor) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsAnchor) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QGraphicsAnchor) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QGraphicsAnchor) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsAnchor) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QGraphicsAnchor) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QGraphicsAnchor) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QGraphicsAnchor) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QGraphicsAnchor) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QGraphicsAnchor) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QGraphicsAnchor) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QGraphicsAnchor) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QGraphicsAnchor) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QGraphicsAnchor) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QGraphicsAnchor) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QGraphicsAnchor) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QGraphicsAnchorLayout struct {
	QGraphicsLayout
}

type QGraphicsAnchorLayout_ITF interface {
	QGraphicsLayout_ITF
	QGraphicsAnchorLayout_PTR() *QGraphicsAnchorLayout
}

func (ptr *QGraphicsAnchorLayout) QGraphicsAnchorLayout_PTR() *QGraphicsAnchorLayout {
	return ptr
}

func (ptr *QGraphicsAnchorLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsLayout_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsAnchorLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsLayout_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsAnchorLayout(ptr QGraphicsAnchorLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsAnchorLayout_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsAnchorLayout) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsLayout_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsAnchorLayout) ClassNameInternalF() string {
	return n.QGraphicsLayout_PTR().ClassNameInternalF()
}

func NewQGraphicsAnchorLayoutFromPointer(ptr unsafe.Pointer) (n *QGraphicsAnchorLayout) {
	n = new(QGraphicsAnchorLayout)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsAnchorLayout")
	return
}
func NewQGraphicsAnchorLayout(parent QGraphicsLayoutItem_ITF) *QGraphicsAnchorLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsAnchorLayout", "", parent}).(*QGraphicsAnchorLayout)
}

func (ptr *QGraphicsAnchorLayout) AddAnchor(firstItem QGraphicsLayoutItem_ITF, firstEdge core.Qt__AnchorPoint, secondItem QGraphicsLayoutItem_ITF, secondEdge core.Qt__AnchorPoint) *QGraphicsAnchor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAnchor", firstItem, firstEdge, secondItem, secondEdge}).(*QGraphicsAnchor)
}

func (ptr *QGraphicsAnchorLayout) AddAnchors(firstItem QGraphicsLayoutItem_ITF, secondItem QGraphicsLayoutItem_ITF, orientations core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAnchors", firstItem, secondItem, orientations})
}

func (ptr *QGraphicsAnchorLayout) AddCornerAnchors(firstItem QGraphicsLayoutItem_ITF, firstCorner core.Qt__Corner, secondItem QGraphicsLayoutItem_ITF, secondCorner core.Qt__Corner) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddCornerAnchors", firstItem, firstCorner, secondItem, secondCorner})
}

func (ptr *QGraphicsAnchorLayout) Anchor(firstItem QGraphicsLayoutItem_ITF, firstEdge core.Qt__AnchorPoint, secondItem QGraphicsLayoutItem_ITF, secondEdge core.Qt__AnchorPoint) *QGraphicsAnchor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Anchor", firstItem, firstEdge, secondItem, secondEdge}).(*QGraphicsAnchor)
}

func (ptr *QGraphicsAnchorLayout) ConnectCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsAnchorLayout) DisconnectCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCount"})
}

func (ptr *QGraphicsAnchorLayout) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QGraphicsAnchorLayout) CountDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CountDefault"}).(float64))
}

func (ptr *QGraphicsAnchorLayout) HorizontalSpacing() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalSpacing"}).(float64)
}

func (ptr *QGraphicsAnchorLayout) ConnectItemAt(f func(index int) *QGraphicsLayoutItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsAnchorLayout) DisconnectItemAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemAt"})
}

func (ptr *QGraphicsAnchorLayout) ItemAt(index int) *QGraphicsLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt", index}).(*QGraphicsLayoutItem)
}

func (ptr *QGraphicsAnchorLayout) ItemAtDefault(index int) *QGraphicsLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAtDefault", index}).(*QGraphicsLayoutItem)
}

func (ptr *QGraphicsAnchorLayout) ConnectRemoveAt(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRemoveAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsAnchorLayout) DisconnectRemoveAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRemoveAt"})
}

func (ptr *QGraphicsAnchorLayout) RemoveAt(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveAt", index})
}

func (ptr *QGraphicsAnchorLayout) RemoveAtDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveAtDefault", index})
}

func (ptr *QGraphicsAnchorLayout) SetHorizontalSpacing(spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalSpacing", spacing})
}

func (ptr *QGraphicsAnchorLayout) SetSpacing(spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSpacing", spacing})
}

func (ptr *QGraphicsAnchorLayout) SetVerticalSpacing(spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalSpacing", spacing})
}

func (ptr *QGraphicsAnchorLayout) ConnectSizeHint(f func(which core.Qt__SizeHint, constraint *core.QSizeF) *core.QSizeF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsAnchorLayout) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QGraphicsAnchorLayout) SizeHint(which core.Qt__SizeHint, constraint core.QSizeF_ITF) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint", which, constraint}).(*core.QSizeF)
}

func (ptr *QGraphicsAnchorLayout) SizeHintDefault(which core.Qt__SizeHint, constraint core.QSizeF_ITF) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintDefault", which, constraint}).(*core.QSizeF)
}

func (ptr *QGraphicsAnchorLayout) VerticalSpacing() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalSpacing"}).(float64)
}

func (ptr *QGraphicsAnchorLayout) ConnectDestroyQGraphicsAnchorLayout(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsAnchorLayout", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsAnchorLayout) DisconnectDestroyQGraphicsAnchorLayout() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsAnchorLayout"})
}

func (ptr *QGraphicsAnchorLayout) DestroyQGraphicsAnchorLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsAnchorLayout"})
}

func (ptr *QGraphicsAnchorLayout) DestroyQGraphicsAnchorLayoutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsAnchorLayoutDefault"})
}

type QGraphicsBlurEffect struct {
	QGraphicsEffect
}

type QGraphicsBlurEffect_ITF interface {
	QGraphicsEffect_ITF
	QGraphicsBlurEffect_PTR() *QGraphicsBlurEffect
}

func (ptr *QGraphicsBlurEffect) QGraphicsBlurEffect_PTR() *QGraphicsBlurEffect {
	return ptr
}

func (ptr *QGraphicsBlurEffect) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsEffect_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsBlurEffect) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsEffect_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsBlurEffect(ptr QGraphicsBlurEffect_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsBlurEffect_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsBlurEffect) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsEffect_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsBlurEffect) ClassNameInternalF() string {
	return n.QGraphicsEffect_PTR().ClassNameInternalF()
}

func NewQGraphicsBlurEffectFromPointer(ptr unsafe.Pointer) (n *QGraphicsBlurEffect) {
	n = new(QGraphicsBlurEffect)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsBlurEffect")
	return
}

//go:generate stringer -type=QGraphicsBlurEffect__BlurHint
//QGraphicsBlurEffect::BlurHint
type QGraphicsBlurEffect__BlurHint int64

const (
	QGraphicsBlurEffect__PerformanceHint QGraphicsBlurEffect__BlurHint = QGraphicsBlurEffect__BlurHint(0x00)
	QGraphicsBlurEffect__QualityHint     QGraphicsBlurEffect__BlurHint = QGraphicsBlurEffect__BlurHint(0x01)
	QGraphicsBlurEffect__AnimationHint   QGraphicsBlurEffect__BlurHint = QGraphicsBlurEffect__BlurHint(0x02)
)

func NewQGraphicsBlurEffect(parent core.QObject_ITF) *QGraphicsBlurEffect {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsBlurEffect", "", parent}).(*QGraphicsBlurEffect)
}

func (ptr *QGraphicsBlurEffect) BlurHints() QGraphicsBlurEffect__BlurHint {

	return QGraphicsBlurEffect__BlurHint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlurHints"}).(float64))
}

func (ptr *QGraphicsBlurEffect) ConnectBlurHintsChanged(f func(hints QGraphicsBlurEffect__BlurHint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBlurHintsChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsBlurEffect) DisconnectBlurHintsChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBlurHintsChanged"})
}

func (ptr *QGraphicsBlurEffect) BlurHintsChanged(hints QGraphicsBlurEffect__BlurHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlurHintsChanged", hints})
}

func (ptr *QGraphicsBlurEffect) BlurRadius() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlurRadius"}).(float64)
}

func (ptr *QGraphicsBlurEffect) ConnectBlurRadiusChanged(f func(radius float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBlurRadiusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsBlurEffect) DisconnectBlurRadiusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBlurRadiusChanged"})
}

func (ptr *QGraphicsBlurEffect) BlurRadiusChanged(radius float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlurRadiusChanged", radius})
}

func (ptr *QGraphicsBlurEffect) ConnectDraw(f func(painter *gui.QPainter)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDraw", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsBlurEffect) DisconnectDraw() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDraw"})
}

func (ptr *QGraphicsBlurEffect) Draw(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Draw", painter})
}

func (ptr *QGraphicsBlurEffect) DrawDefault(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawDefault", painter})
}

func (ptr *QGraphicsBlurEffect) ConnectSetBlurHints(f func(hints QGraphicsBlurEffect__BlurHint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetBlurHints", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsBlurEffect) DisconnectSetBlurHints() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetBlurHints"})
}

func (ptr *QGraphicsBlurEffect) SetBlurHints(hints QGraphicsBlurEffect__BlurHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBlurHints", hints})
}

func (ptr *QGraphicsBlurEffect) SetBlurHintsDefault(hints QGraphicsBlurEffect__BlurHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBlurHintsDefault", hints})
}

func (ptr *QGraphicsBlurEffect) ConnectSetBlurRadius(f func(blurRadius float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetBlurRadius", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsBlurEffect) DisconnectSetBlurRadius() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetBlurRadius"})
}

func (ptr *QGraphicsBlurEffect) SetBlurRadius(blurRadius float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBlurRadius", blurRadius})
}

func (ptr *QGraphicsBlurEffect) SetBlurRadiusDefault(blurRadius float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBlurRadiusDefault", blurRadius})
}

func (ptr *QGraphicsBlurEffect) ConnectDestroyQGraphicsBlurEffect(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsBlurEffect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsBlurEffect) DisconnectDestroyQGraphicsBlurEffect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsBlurEffect"})
}

func (ptr *QGraphicsBlurEffect) DestroyQGraphicsBlurEffect() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsBlurEffect"})
}

func (ptr *QGraphicsBlurEffect) DestroyQGraphicsBlurEffectDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsBlurEffectDefault"})
}

type QGraphicsColorizeEffect struct {
	QGraphicsEffect
}

type QGraphicsColorizeEffect_ITF interface {
	QGraphicsEffect_ITF
	QGraphicsColorizeEffect_PTR() *QGraphicsColorizeEffect
}

func (ptr *QGraphicsColorizeEffect) QGraphicsColorizeEffect_PTR() *QGraphicsColorizeEffect {
	return ptr
}

func (ptr *QGraphicsColorizeEffect) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsEffect_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsColorizeEffect) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsEffect_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsColorizeEffect(ptr QGraphicsColorizeEffect_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsColorizeEffect_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsColorizeEffect) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsEffect_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsColorizeEffect) ClassNameInternalF() string {
	return n.QGraphicsEffect_PTR().ClassNameInternalF()
}

func NewQGraphicsColorizeEffectFromPointer(ptr unsafe.Pointer) (n *QGraphicsColorizeEffect) {
	n = new(QGraphicsColorizeEffect)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsColorizeEffect")
	return
}
func NewQGraphicsColorizeEffect(parent core.QObject_ITF) *QGraphicsColorizeEffect {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsColorizeEffect", "", parent}).(*QGraphicsColorizeEffect)
}

func (ptr *QGraphicsColorizeEffect) Color() *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Color"}).(*gui.QColor)
}

func (ptr *QGraphicsColorizeEffect) ConnectColorChanged(f func(color *gui.QColor)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColorChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsColorizeEffect) DisconnectColorChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColorChanged"})
}

func (ptr *QGraphicsColorizeEffect) ColorChanged(color gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColorChanged", color})
}

func (ptr *QGraphicsColorizeEffect) ConnectDraw(f func(painter *gui.QPainter)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDraw", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsColorizeEffect) DisconnectDraw() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDraw"})
}

func (ptr *QGraphicsColorizeEffect) Draw(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Draw", painter})
}

func (ptr *QGraphicsColorizeEffect) DrawDefault(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawDefault", painter})
}

func (ptr *QGraphicsColorizeEffect) ConnectSetColor(f func(c *gui.QColor)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetColor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsColorizeEffect) DisconnectSetColor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetColor"})
}

func (ptr *QGraphicsColorizeEffect) SetColor(c gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColor", c})
}

func (ptr *QGraphicsColorizeEffect) SetColorDefault(c gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColorDefault", c})
}

func (ptr *QGraphicsColorizeEffect) ConnectSetStrength(f func(strength float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetStrength", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsColorizeEffect) DisconnectSetStrength() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetStrength"})
}

func (ptr *QGraphicsColorizeEffect) SetStrength(strength float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStrength", strength})
}

func (ptr *QGraphicsColorizeEffect) SetStrengthDefault(strength float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStrengthDefault", strength})
}

func (ptr *QGraphicsColorizeEffect) Strength() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Strength"}).(float64)
}

func (ptr *QGraphicsColorizeEffect) ConnectStrengthChanged(f func(strength float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStrengthChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsColorizeEffect) DisconnectStrengthChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStrengthChanged"})
}

func (ptr *QGraphicsColorizeEffect) StrengthChanged(strength float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StrengthChanged", strength})
}

func (ptr *QGraphicsColorizeEffect) ConnectDestroyQGraphicsColorizeEffect(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsColorizeEffect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsColorizeEffect) DisconnectDestroyQGraphicsColorizeEffect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsColorizeEffect"})
}

func (ptr *QGraphicsColorizeEffect) DestroyQGraphicsColorizeEffect() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsColorizeEffect"})
}

func (ptr *QGraphicsColorizeEffect) DestroyQGraphicsColorizeEffectDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsColorizeEffectDefault"})
}

type QGraphicsDropShadowEffect struct {
	QGraphicsEffect
}

type QGraphicsDropShadowEffect_ITF interface {
	QGraphicsEffect_ITF
	QGraphicsDropShadowEffect_PTR() *QGraphicsDropShadowEffect
}

func (ptr *QGraphicsDropShadowEffect) QGraphicsDropShadowEffect_PTR() *QGraphicsDropShadowEffect {
	return ptr
}

func (ptr *QGraphicsDropShadowEffect) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsEffect_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsDropShadowEffect) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsEffect_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsDropShadowEffect(ptr QGraphicsDropShadowEffect_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsDropShadowEffect_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsDropShadowEffect) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsEffect_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsDropShadowEffect) ClassNameInternalF() string {
	return n.QGraphicsEffect_PTR().ClassNameInternalF()
}

func NewQGraphicsDropShadowEffectFromPointer(ptr unsafe.Pointer) (n *QGraphicsDropShadowEffect) {
	n = new(QGraphicsDropShadowEffect)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsDropShadowEffect")
	return
}
func NewQGraphicsDropShadowEffect(parent core.QObject_ITF) *QGraphicsDropShadowEffect {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsDropShadowEffect", "", parent}).(*QGraphicsDropShadowEffect)
}

func (ptr *QGraphicsDropShadowEffect) BlurRadius() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlurRadius"}).(float64)
}

func (ptr *QGraphicsDropShadowEffect) ConnectBlurRadiusChanged(f func(blurRadius float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBlurRadiusChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsDropShadowEffect) DisconnectBlurRadiusChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBlurRadiusChanged"})
}

func (ptr *QGraphicsDropShadowEffect) BlurRadiusChanged(blurRadius float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlurRadiusChanged", blurRadius})
}

func (ptr *QGraphicsDropShadowEffect) Color() *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Color"}).(*gui.QColor)
}

func (ptr *QGraphicsDropShadowEffect) ConnectColorChanged(f func(color *gui.QColor)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColorChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsDropShadowEffect) DisconnectColorChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColorChanged"})
}

func (ptr *QGraphicsDropShadowEffect) ColorChanged(color gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColorChanged", color})
}

func (ptr *QGraphicsDropShadowEffect) ConnectDraw(f func(painter *gui.QPainter)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDraw", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsDropShadowEffect) DisconnectDraw() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDraw"})
}

func (ptr *QGraphicsDropShadowEffect) Draw(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Draw", painter})
}

func (ptr *QGraphicsDropShadowEffect) DrawDefault(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawDefault", painter})
}

func (ptr *QGraphicsDropShadowEffect) Offset() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Offset"}).(*core.QPointF)
}

func (ptr *QGraphicsDropShadowEffect) ConnectOffsetChanged(f func(offset *core.QPointF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOffsetChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsDropShadowEffect) DisconnectOffsetChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOffsetChanged"})
}

func (ptr *QGraphicsDropShadowEffect) OffsetChanged(offset core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OffsetChanged", offset})
}

func (ptr *QGraphicsDropShadowEffect) ConnectSetBlurRadius(f func(blurRadius float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetBlurRadius", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsDropShadowEffect) DisconnectSetBlurRadius() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetBlurRadius"})
}

func (ptr *QGraphicsDropShadowEffect) SetBlurRadius(blurRadius float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBlurRadius", blurRadius})
}

func (ptr *QGraphicsDropShadowEffect) SetBlurRadiusDefault(blurRadius float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBlurRadiusDefault", blurRadius})
}

func (ptr *QGraphicsDropShadowEffect) ConnectSetColor(f func(color *gui.QColor)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetColor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsDropShadowEffect) DisconnectSetColor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetColor"})
}

func (ptr *QGraphicsDropShadowEffect) SetColor(color gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColor", color})
}

func (ptr *QGraphicsDropShadowEffect) SetColorDefault(color gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColorDefault", color})
}

func (ptr *QGraphicsDropShadowEffect) ConnectSetOffset(f func(ofs *core.QPointF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsDropShadowEffect) DisconnectSetOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetOffset"})
}

func (ptr *QGraphicsDropShadowEffect) SetOffset(ofs core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffset", ofs})
}

func (ptr *QGraphicsDropShadowEffect) SetOffsetDefault(ofs core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffsetDefault", ofs})
}

func (ptr *QGraphicsDropShadowEffect) ConnectSetOffset2(f func(dx float64, dy float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetOffset2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsDropShadowEffect) DisconnectSetOffset2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetOffset2"})
}

func (ptr *QGraphicsDropShadowEffect) SetOffset2(dx float64, dy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffset2", dx, dy})
}

func (ptr *QGraphicsDropShadowEffect) SetOffset2Default(dx float64, dy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffset2Default", dx, dy})
}

func (ptr *QGraphicsDropShadowEffect) ConnectSetOffset3(f func(d float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetOffset3", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsDropShadowEffect) DisconnectSetOffset3() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetOffset3"})
}

func (ptr *QGraphicsDropShadowEffect) SetOffset3(d float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffset3", d})
}

func (ptr *QGraphicsDropShadowEffect) SetOffset3Default(d float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffset3Default", d})
}

func (ptr *QGraphicsDropShadowEffect) ConnectSetXOffset(f func(dx float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetXOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsDropShadowEffect) DisconnectSetXOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetXOffset"})
}

func (ptr *QGraphicsDropShadowEffect) SetXOffset(dx float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetXOffset", dx})
}

func (ptr *QGraphicsDropShadowEffect) SetXOffsetDefault(dx float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetXOffsetDefault", dx})
}

func (ptr *QGraphicsDropShadowEffect) ConnectSetYOffset(f func(dy float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetYOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsDropShadowEffect) DisconnectSetYOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetYOffset"})
}

func (ptr *QGraphicsDropShadowEffect) SetYOffset(dy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetYOffset", dy})
}

func (ptr *QGraphicsDropShadowEffect) SetYOffsetDefault(dy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetYOffsetDefault", dy})
}

func (ptr *QGraphicsDropShadowEffect) XOffset() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "XOffset"}).(float64)
}

func (ptr *QGraphicsDropShadowEffect) YOffset() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "YOffset"}).(float64)
}

func (ptr *QGraphicsDropShadowEffect) ConnectDestroyQGraphicsDropShadowEffect(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsDropShadowEffect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsDropShadowEffect) DisconnectDestroyQGraphicsDropShadowEffect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsDropShadowEffect"})
}

func (ptr *QGraphicsDropShadowEffect) DestroyQGraphicsDropShadowEffect() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsDropShadowEffect"})
}

func (ptr *QGraphicsDropShadowEffect) DestroyQGraphicsDropShadowEffectDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsDropShadowEffectDefault"})
}

type QGraphicsEffect struct {
	core.QObject
}

type QGraphicsEffect_ITF interface {
	core.QObject_ITF
	QGraphicsEffect_PTR() *QGraphicsEffect
}

func (ptr *QGraphicsEffect) QGraphicsEffect_PTR() *QGraphicsEffect {
	return ptr
}

func (ptr *QGraphicsEffect) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsEffect) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsEffect(ptr QGraphicsEffect_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsEffect_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsEffect) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsEffect) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQGraphicsEffectFromPointer(ptr unsafe.Pointer) (n *QGraphicsEffect) {
	n = new(QGraphicsEffect)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsEffect")
	return
}

//go:generate stringer -type=QGraphicsEffect__ChangeFlag
//QGraphicsEffect::ChangeFlag
type QGraphicsEffect__ChangeFlag int64

const (
	QGraphicsEffect__SourceAttached            QGraphicsEffect__ChangeFlag = QGraphicsEffect__ChangeFlag(0x1)
	QGraphicsEffect__SourceDetached            QGraphicsEffect__ChangeFlag = QGraphicsEffect__ChangeFlag(0x2)
	QGraphicsEffect__SourceBoundingRectChanged QGraphicsEffect__ChangeFlag = QGraphicsEffect__ChangeFlag(0x4)
	QGraphicsEffect__SourceInvalidated         QGraphicsEffect__ChangeFlag = QGraphicsEffect__ChangeFlag(0x8)
)

//go:generate stringer -type=QGraphicsEffect__PixmapPadMode
//QGraphicsEffect::PixmapPadMode
type QGraphicsEffect__PixmapPadMode int64

const (
	QGraphicsEffect__NoPad                      QGraphicsEffect__PixmapPadMode = QGraphicsEffect__PixmapPadMode(0)
	QGraphicsEffect__PadToTransparentBorder     QGraphicsEffect__PixmapPadMode = QGraphicsEffect__PixmapPadMode(1)
	QGraphicsEffect__PadToEffectiveBoundingRect QGraphicsEffect__PixmapPadMode = QGraphicsEffect__PixmapPadMode(2)
)

func NewQGraphicsEffect(parent core.QObject_ITF) *QGraphicsEffect {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsEffect", "", parent}).(*QGraphicsEffect)
}

func (ptr *QGraphicsEffect) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsEffect) ConnectBoundingRectFor(f func(rect *core.QRectF) *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBoundingRectFor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsEffect) DisconnectBoundingRectFor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBoundingRectFor"})
}

func (ptr *QGraphicsEffect) BoundingRectFor(rect core.QRectF_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRectFor", rect}).(*core.QRectF)
}

func (ptr *QGraphicsEffect) BoundingRectForDefault(rect core.QRectF_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRectForDefault", rect}).(*core.QRectF)
}

func (ptr *QGraphicsEffect) ConnectDraw(f func(painter *gui.QPainter)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDraw", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsEffect) DisconnectDraw() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDraw"})
}

func (ptr *QGraphicsEffect) Draw(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Draw", painter})
}

func (ptr *QGraphicsEffect) DrawSource(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawSource", painter})
}

func (ptr *QGraphicsEffect) ConnectEnabledChanged(f func(enabled bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEnabledChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsEffect) DisconnectEnabledChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEnabledChanged"})
}

func (ptr *QGraphicsEffect) EnabledChanged(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnabledChanged", enabled})
}

func (ptr *QGraphicsEffect) IsEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEnabled"}).(bool)
}

func (ptr *QGraphicsEffect) ConnectSetEnabled(f func(enable bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetEnabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsEffect) DisconnectSetEnabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetEnabled"})
}

func (ptr *QGraphicsEffect) SetEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEnabled", enable})
}

func (ptr *QGraphicsEffect) SetEnabledDefault(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEnabledDefault", enable})
}

func (ptr *QGraphicsEffect) SourceBoundingRect(system core.Qt__CoordinateSystem) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceBoundingRect", system}).(*core.QRectF)
}

func (ptr *QGraphicsEffect) ConnectSourceChanged(f func(flags QGraphicsEffect__ChangeFlag)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSourceChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsEffect) DisconnectSourceChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSourceChanged"})
}

func (ptr *QGraphicsEffect) SourceChanged(flags QGraphicsEffect__ChangeFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceChanged", flags})
}

func (ptr *QGraphicsEffect) SourceChangedDefault(flags QGraphicsEffect__ChangeFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceChangedDefault", flags})
}

func (ptr *QGraphicsEffect) SourceIsPixmap() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceIsPixmap"}).(bool)
}

func (ptr *QGraphicsEffect) SourcePixmap(system core.Qt__CoordinateSystem, offset core.QPoint_ITF, mode QGraphicsEffect__PixmapPadMode) *gui.QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourcePixmap", system, offset, mode}).(*gui.QPixmap)
}

func (ptr *QGraphicsEffect) ConnectUpdate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsEffect) DisconnectUpdate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdate"})
}

func (ptr *QGraphicsEffect) Update() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Update"})
}

func (ptr *QGraphicsEffect) UpdateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateDefault"})
}

func (ptr *QGraphicsEffect) UpdateBoundingRect() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateBoundingRect"})
}

func (ptr *QGraphicsEffect) ConnectDestroyQGraphicsEffect(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsEffect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsEffect) DisconnectDestroyQGraphicsEffect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsEffect"})
}

func (ptr *QGraphicsEffect) DestroyQGraphicsEffect() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsEffect"})
}

func (ptr *QGraphicsEffect) DestroyQGraphicsEffectDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsEffectDefault"})
}

func (ptr *QGraphicsEffect) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QGraphicsEffect) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QGraphicsEffect) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsEffect) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QGraphicsEffect) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QGraphicsEffect) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsEffect) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QGraphicsEffect) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QGraphicsEffect) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsEffect) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QGraphicsEffect) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QGraphicsEffect) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QGraphicsEffect) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QGraphicsEffect) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QGraphicsEffect) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QGraphicsEffect) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QGraphicsEffect) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QGraphicsEffect) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QGraphicsEffect) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QGraphicsEffect) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QGraphicsEffect) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QGraphicsEllipseItem struct {
	QAbstractGraphicsShapeItem
}

type QGraphicsEllipseItem_ITF interface {
	QAbstractGraphicsShapeItem_ITF
	QGraphicsEllipseItem_PTR() *QGraphicsEllipseItem
}

func (ptr *QGraphicsEllipseItem) QGraphicsEllipseItem_PTR() *QGraphicsEllipseItem {
	return ptr
}

func (ptr *QGraphicsEllipseItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractGraphicsShapeItem_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsEllipseItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractGraphicsShapeItem_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsEllipseItem(ptr QGraphicsEllipseItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsEllipseItem_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsEllipseItem) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractGraphicsShapeItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsEllipseItem) ClassNameInternalF() string {
	return n.QAbstractGraphicsShapeItem_PTR().ClassNameInternalF()
}

func NewQGraphicsEllipseItemFromPointer(ptr unsafe.Pointer) (n *QGraphicsEllipseItem) {
	n = new(QGraphicsEllipseItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsEllipseItem")
	return
}

//go:generate stringer -type=QGraphicsEllipseItem__anonymous
//QGraphicsEllipseItem::anonymous
type QGraphicsEllipseItem__anonymous int64

const (
	QGraphicsEllipseItem__Type QGraphicsEllipseItem__anonymous = QGraphicsEllipseItem__anonymous(4)
)

func NewQGraphicsEllipseItem(parent QGraphicsItem_ITF) *QGraphicsEllipseItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsEllipseItem", "", parent}).(*QGraphicsEllipseItem)
}

func NewQGraphicsEllipseItem2(rect core.QRectF_ITF, parent QGraphicsItem_ITF) *QGraphicsEllipseItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsEllipseItem2", "", rect, parent}).(*QGraphicsEllipseItem)
}

func NewQGraphicsEllipseItem3(x float64, y float64, width float64, height float64, parent QGraphicsItem_ITF) *QGraphicsEllipseItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsEllipseItem3", "", x, y, width, height, parent}).(*QGraphicsEllipseItem)
}

func (ptr *QGraphicsEllipseItem) ConnectBoundingRect(f func() *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsEllipseItem) DisconnectBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBoundingRect"})
}

func (ptr *QGraphicsEllipseItem) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsEllipseItem) BoundingRectDefault() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRectDefault"}).(*core.QRectF)
}

func (ptr *QGraphicsEllipseItem) ConnectPaint(f func(painter *gui.QPainter, option *QStyleOptionGraphicsItem, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsEllipseItem) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QGraphicsEllipseItem) Paint(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, option, widget})
}

func (ptr *QGraphicsEllipseItem) PaintDefault(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDefault", painter, option, widget})
}

func (ptr *QGraphicsEllipseItem) Rect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rect"}).(*core.QRectF)
}

func (ptr *QGraphicsEllipseItem) SetRect(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRect", rect})
}

func (ptr *QGraphicsEllipseItem) SetRect2(x float64, y float64, width float64, height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRect2", x, y, width, height})
}

func (ptr *QGraphicsEllipseItem) SetSpanAngle(angle int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSpanAngle", angle})
}

func (ptr *QGraphicsEllipseItem) SetStartAngle(angle int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStartAngle", angle})
}

func (ptr *QGraphicsEllipseItem) SpanAngle() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SpanAngle"}).(float64))
}

func (ptr *QGraphicsEllipseItem) StartAngle() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartAngle"}).(float64))
}

func (ptr *QGraphicsEllipseItem) ConnectDestroyQGraphicsEllipseItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsEllipseItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsEllipseItem) DisconnectDestroyQGraphicsEllipseItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsEllipseItem"})
}

func (ptr *QGraphicsEllipseItem) DestroyQGraphicsEllipseItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsEllipseItem"})
}

func (ptr *QGraphicsEllipseItem) DestroyQGraphicsEllipseItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsEllipseItemDefault"})
}

type QGraphicsGridLayout struct {
	QGraphicsLayout
}

type QGraphicsGridLayout_ITF interface {
	QGraphicsLayout_ITF
	QGraphicsGridLayout_PTR() *QGraphicsGridLayout
}

func (ptr *QGraphicsGridLayout) QGraphicsGridLayout_PTR() *QGraphicsGridLayout {
	return ptr
}

func (ptr *QGraphicsGridLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsLayout_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsGridLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsLayout_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsGridLayout(ptr QGraphicsGridLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsGridLayout_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsGridLayout) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsLayout_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsGridLayout) ClassNameInternalF() string {
	return n.QGraphicsLayout_PTR().ClassNameInternalF()
}

func NewQGraphicsGridLayoutFromPointer(ptr unsafe.Pointer) (n *QGraphicsGridLayout) {
	n = new(QGraphicsGridLayout)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsGridLayout")
	return
}
func NewQGraphicsGridLayout(parent QGraphicsLayoutItem_ITF) *QGraphicsGridLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsGridLayout", "", parent}).(*QGraphicsGridLayout)
}

func (ptr *QGraphicsGridLayout) AddItem(item QGraphicsLayoutItem_ITF, row int, column int, rowSpan int, columnSpan int, alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem", item, row, column, rowSpan, columnSpan, alignment})
}

func (ptr *QGraphicsGridLayout) AddItem2(item QGraphicsLayoutItem_ITF, row int, column int, alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem2", item, row, column, alignment})
}

func (ptr *QGraphicsGridLayout) Alignment(item QGraphicsLayoutItem_ITF) core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment", item}).(float64))
}

func (ptr *QGraphicsGridLayout) ColumnAlignment(column int) core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnAlignment", column}).(float64))
}

func (ptr *QGraphicsGridLayout) ColumnCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount"}).(float64))
}

func (ptr *QGraphicsGridLayout) ColumnMaximumWidth(column int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnMaximumWidth", column}).(float64)
}

func (ptr *QGraphicsGridLayout) ColumnMinimumWidth(column int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnMinimumWidth", column}).(float64)
}

func (ptr *QGraphicsGridLayout) ColumnPreferredWidth(column int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnPreferredWidth", column}).(float64)
}

func (ptr *QGraphicsGridLayout) ColumnSpacing(column int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnSpacing", column}).(float64)
}

func (ptr *QGraphicsGridLayout) ColumnStretchFactor(column int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnStretchFactor", column}).(float64))
}

func (ptr *QGraphicsGridLayout) ConnectCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsGridLayout) DisconnectCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCount"})
}

func (ptr *QGraphicsGridLayout) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QGraphicsGridLayout) CountDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CountDefault"}).(float64))
}

func (ptr *QGraphicsGridLayout) HorizontalSpacing() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalSpacing"}).(float64)
}

func (ptr *QGraphicsGridLayout) ConnectRemoveAt(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRemoveAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsGridLayout) DisconnectRemoveAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRemoveAt"})
}

func (ptr *QGraphicsGridLayout) RemoveAt(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveAt", index})
}

func (ptr *QGraphicsGridLayout) RemoveAtDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveAtDefault", index})
}

func (ptr *QGraphicsGridLayout) RemoveItem(item QGraphicsLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveItem", item})
}

func (ptr *QGraphicsGridLayout) RowAlignment(row int) core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowAlignment", row}).(float64))
}

func (ptr *QGraphicsGridLayout) RowCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount"}).(float64))
}

func (ptr *QGraphicsGridLayout) RowMaximumHeight(row int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowMaximumHeight", row}).(float64)
}

func (ptr *QGraphicsGridLayout) RowMinimumHeight(row int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowMinimumHeight", row}).(float64)
}

func (ptr *QGraphicsGridLayout) RowPreferredHeight(row int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowPreferredHeight", row}).(float64)
}

func (ptr *QGraphicsGridLayout) RowSpacing(row int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowSpacing", row}).(float64)
}

func (ptr *QGraphicsGridLayout) RowStretchFactor(row int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowStretchFactor", row}).(float64))
}

func (ptr *QGraphicsGridLayout) SetAlignment(item QGraphicsLayoutItem_ITF, alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", item, alignment})
}

func (ptr *QGraphicsGridLayout) SetColumnAlignment(column int, alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnAlignment", column, alignment})
}

func (ptr *QGraphicsGridLayout) SetColumnFixedWidth(column int, width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnFixedWidth", column, width})
}

func (ptr *QGraphicsGridLayout) SetColumnMaximumWidth(column int, width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnMaximumWidth", column, width})
}

func (ptr *QGraphicsGridLayout) SetColumnMinimumWidth(column int, width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnMinimumWidth", column, width})
}

func (ptr *QGraphicsGridLayout) SetColumnPreferredWidth(column int, width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnPreferredWidth", column, width})
}

func (ptr *QGraphicsGridLayout) SetColumnSpacing(column int, spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnSpacing", column, spacing})
}

func (ptr *QGraphicsGridLayout) SetColumnStretchFactor(column int, stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnStretchFactor", column, stretch})
}

func (ptr *QGraphicsGridLayout) SetHorizontalSpacing(spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalSpacing", spacing})
}

func (ptr *QGraphicsGridLayout) SetRowAlignment(row int, alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowAlignment", row, alignment})
}

func (ptr *QGraphicsGridLayout) SetRowFixedHeight(row int, height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowFixedHeight", row, height})
}

func (ptr *QGraphicsGridLayout) SetRowMaximumHeight(row int, height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowMaximumHeight", row, height})
}

func (ptr *QGraphicsGridLayout) SetRowMinimumHeight(row int, height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowMinimumHeight", row, height})
}

func (ptr *QGraphicsGridLayout) SetRowPreferredHeight(row int, height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowPreferredHeight", row, height})
}

func (ptr *QGraphicsGridLayout) SetRowSpacing(row int, spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowSpacing", row, spacing})
}

func (ptr *QGraphicsGridLayout) SetRowStretchFactor(row int, stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowStretchFactor", row, stretch})
}

func (ptr *QGraphicsGridLayout) SetSpacing(spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSpacing", spacing})
}

func (ptr *QGraphicsGridLayout) SetVerticalSpacing(spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalSpacing", spacing})
}

func (ptr *QGraphicsGridLayout) ConnectSizeHint(f func(which core.Qt__SizeHint, constraint *core.QSizeF) *core.QSizeF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsGridLayout) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QGraphicsGridLayout) SizeHint(which core.Qt__SizeHint, constraint core.QSizeF_ITF) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint", which, constraint}).(*core.QSizeF)
}

func (ptr *QGraphicsGridLayout) SizeHintDefault(which core.Qt__SizeHint, constraint core.QSizeF_ITF) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintDefault", which, constraint}).(*core.QSizeF)
}

func (ptr *QGraphicsGridLayout) VerticalSpacing() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalSpacing"}).(float64)
}

func (ptr *QGraphicsGridLayout) ConnectDestroyQGraphicsGridLayout(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsGridLayout", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsGridLayout) DisconnectDestroyQGraphicsGridLayout() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsGridLayout"})
}

func (ptr *QGraphicsGridLayout) DestroyQGraphicsGridLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsGridLayout"})
}

func (ptr *QGraphicsGridLayout) DestroyQGraphicsGridLayoutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsGridLayoutDefault"})
}

type QGraphicsItem struct {
	internal.Internal
}

type QGraphicsItem_ITF interface {
	QGraphicsItem_PTR() *QGraphicsItem
}

func (ptr *QGraphicsItem) QGraphicsItem_PTR() *QGraphicsItem {
	return ptr
}

func (ptr *QGraphicsItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QGraphicsItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQGraphicsItem(ptr QGraphicsItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsItem_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsItem) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQGraphicsItemFromPointer(ptr unsafe.Pointer) (n *QGraphicsItem) {
	n = new(QGraphicsItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsItem")
	return
}

//go:generate stringer -type=QGraphicsItem__GraphicsItemFlag
//QGraphicsItem::GraphicsItemFlag
type QGraphicsItem__GraphicsItemFlag int64

const (
	QGraphicsItem__ItemIsMovable                        QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x1)
	QGraphicsItem__ItemIsSelectable                     QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x2)
	QGraphicsItem__ItemIsFocusable                      QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x4)
	QGraphicsItem__ItemClipsToShape                     QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x8)
	QGraphicsItem__ItemClipsChildrenToShape             QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x10)
	QGraphicsItem__ItemIgnoresTransformations           QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x20)
	QGraphicsItem__ItemIgnoresParentOpacity             QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x40)
	QGraphicsItem__ItemDoesntPropagateOpacityToChildren QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x80)
	QGraphicsItem__ItemStacksBehindParent               QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x100)
	QGraphicsItem__ItemUsesExtendedStyleOption          QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x200)
	QGraphicsItem__ItemHasNoContents                    QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x400)
	QGraphicsItem__ItemSendsGeometryChanges             QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x800)
	QGraphicsItem__ItemAcceptsInputMethod               QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x1000)
	QGraphicsItem__ItemNegativeZStacksBehindParent      QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x2000)
	QGraphicsItem__ItemIsPanel                          QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x4000)
	QGraphicsItem__ItemIsFocusScope                     QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x8000)
	QGraphicsItem__ItemSendsScenePositionChanges        QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x10000)
	QGraphicsItem__ItemStopsClickFocusPropagation       QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x20000)
	QGraphicsItem__ItemStopsFocusHandling               QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x40000)
	QGraphicsItem__ItemContainsChildrenInShape          QGraphicsItem__GraphicsItemFlag = QGraphicsItem__GraphicsItemFlag(0x80000)
)

//go:generate stringer -type=QGraphicsItem__GraphicsItemChange
//QGraphicsItem::GraphicsItemChange
type QGraphicsItem__GraphicsItemChange int64

const (
	QGraphicsItem__ItemPositionChange                 QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(0)
	QGraphicsItem__ItemMatrixChange                   QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(1)
	QGraphicsItem__ItemVisibleChange                  QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(2)
	QGraphicsItem__ItemEnabledChange                  QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(3)
	QGraphicsItem__ItemSelectedChange                 QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(4)
	QGraphicsItem__ItemParentChange                   QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(5)
	QGraphicsItem__ItemChildAddedChange               QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(6)
	QGraphicsItem__ItemChildRemovedChange             QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(7)
	QGraphicsItem__ItemTransformChange                QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(8)
	QGraphicsItem__ItemPositionHasChanged             QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(9)
	QGraphicsItem__ItemTransformHasChanged            QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(10)
	QGraphicsItem__ItemSceneChange                    QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(11)
	QGraphicsItem__ItemVisibleHasChanged              QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(12)
	QGraphicsItem__ItemEnabledHasChanged              QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(13)
	QGraphicsItem__ItemSelectedHasChanged             QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(14)
	QGraphicsItem__ItemParentHasChanged               QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(15)
	QGraphicsItem__ItemSceneHasChanged                QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(16)
	QGraphicsItem__ItemCursorChange                   QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(17)
	QGraphicsItem__ItemCursorHasChanged               QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(18)
	QGraphicsItem__ItemToolTipChange                  QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(19)
	QGraphicsItem__ItemToolTipHasChanged              QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(20)
	QGraphicsItem__ItemFlagsChange                    QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(21)
	QGraphicsItem__ItemFlagsHaveChanged               QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(22)
	QGraphicsItem__ItemZValueChange                   QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(23)
	QGraphicsItem__ItemZValueHasChanged               QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(24)
	QGraphicsItem__ItemOpacityChange                  QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(25)
	QGraphicsItem__ItemOpacityHasChanged              QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(26)
	QGraphicsItem__ItemScenePositionHasChanged        QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(27)
	QGraphicsItem__ItemRotationChange                 QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(28)
	QGraphicsItem__ItemRotationHasChanged             QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(29)
	QGraphicsItem__ItemScaleChange                    QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(30)
	QGraphicsItem__ItemScaleHasChanged                QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(31)
	QGraphicsItem__ItemTransformOriginPointChange     QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(32)
	QGraphicsItem__ItemTransformOriginPointHasChanged QGraphicsItem__GraphicsItemChange = QGraphicsItem__GraphicsItemChange(33)
)

//go:generate stringer -type=QGraphicsItem__CacheMode
//QGraphicsItem::CacheMode
type QGraphicsItem__CacheMode int64

const (
	QGraphicsItem__NoCache               QGraphicsItem__CacheMode = QGraphicsItem__CacheMode(0)
	QGraphicsItem__ItemCoordinateCache   QGraphicsItem__CacheMode = QGraphicsItem__CacheMode(1)
	QGraphicsItem__DeviceCoordinateCache QGraphicsItem__CacheMode = QGraphicsItem__CacheMode(2)
)

//go:generate stringer -type=QGraphicsItem__PanelModality
//QGraphicsItem::PanelModality
type QGraphicsItem__PanelModality int64

const (
	QGraphicsItem__NonModal   QGraphicsItem__PanelModality = QGraphicsItem__PanelModality(0)
	QGraphicsItem__PanelModal QGraphicsItem__PanelModality = QGraphicsItem__PanelModality(1)
	QGraphicsItem__SceneModal QGraphicsItem__PanelModality = QGraphicsItem__PanelModality(2)
)

//go:generate stringer -type=QGraphicsItem__anonymous
//QGraphicsItem::anonymous
type QGraphicsItem__anonymous int64

const (
	QGraphicsItem__Type     QGraphicsItem__anonymous = QGraphicsItem__anonymous(1)
	QGraphicsItem__UserType QGraphicsItem__anonymous = QGraphicsItem__anonymous(65536)
)

func NewQGraphicsItem(parent QGraphicsItem_ITF) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsItem", "", parent}).(*QGraphicsItem)
}

func (ptr *QGraphicsItem) AcceptDrops() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AcceptDrops"}).(bool)
}

func (ptr *QGraphicsItem) AcceptHoverEvents() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AcceptHoverEvents"}).(bool)
}

func (ptr *QGraphicsItem) AcceptTouchEvents() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AcceptTouchEvents"}).(bool)
}

func (ptr *QGraphicsItem) AcceptedMouseButtons() core.Qt__MouseButton {

	return core.Qt__MouseButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AcceptedMouseButtons"}).(float64))
}

func (ptr *QGraphicsItem) ConnectAdvance(f func(phase int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAdvance", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectAdvance() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAdvance"})
}

func (ptr *QGraphicsItem) Advance(phase int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Advance", phase})
}

func (ptr *QGraphicsItem) AdvanceDefault(phase int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AdvanceDefault", phase})
}

func (ptr *QGraphicsItem) ConnectBoundingRect(f func() *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBoundingRect"})
}

func (ptr *QGraphicsItem) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsItem) BoundingRegion(itemToDeviceTransform gui.QTransform_ITF) *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRegion", itemToDeviceTransform}).(*gui.QRegion)
}

func (ptr *QGraphicsItem) BoundingRegionGranularity() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRegionGranularity"}).(float64)
}

func (ptr *QGraphicsItem) CacheMode() QGraphicsItem__CacheMode {

	return QGraphicsItem__CacheMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CacheMode"}).(float64))
}

func (ptr *QGraphicsItem) ChildItems() []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildItems"}).([]*QGraphicsItem)
}

func (ptr *QGraphicsItem) ChildrenBoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildrenBoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsItem) ClearFocus() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearFocus"})
}

func (ptr *QGraphicsItem) ClipPath() *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClipPath"}).(*gui.QPainterPath)
}

func (ptr *QGraphicsItem) ConnectCollidesWithItem(f func(other *QGraphicsItem, mode core.Qt__ItemSelectionMode) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCollidesWithItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectCollidesWithItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCollidesWithItem"})
}

func (ptr *QGraphicsItem) CollidesWithItem(other QGraphicsItem_ITF, mode core.Qt__ItemSelectionMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CollidesWithItem", other, mode}).(bool)
}

func (ptr *QGraphicsItem) CollidesWithItemDefault(other QGraphicsItem_ITF, mode core.Qt__ItemSelectionMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CollidesWithItemDefault", other, mode}).(bool)
}

func (ptr *QGraphicsItem) ConnectCollidesWithPath(f func(path *gui.QPainterPath, mode core.Qt__ItemSelectionMode) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCollidesWithPath", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectCollidesWithPath() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCollidesWithPath"})
}

func (ptr *QGraphicsItem) CollidesWithPath(path gui.QPainterPath_ITF, mode core.Qt__ItemSelectionMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CollidesWithPath", path, mode}).(bool)
}

func (ptr *QGraphicsItem) CollidesWithPathDefault(path gui.QPainterPath_ITF, mode core.Qt__ItemSelectionMode) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CollidesWithPathDefault", path, mode}).(bool)
}

func (ptr *QGraphicsItem) CollidingItems(mode core.Qt__ItemSelectionMode) []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CollidingItems", mode}).([]*QGraphicsItem)
}

func (ptr *QGraphicsItem) CommonAncestorItem(other QGraphicsItem_ITF) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CommonAncestorItem", other}).(*QGraphicsItem)
}

func (ptr *QGraphicsItem) ConnectContains(f func(point *core.QPointF) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectContains", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectContains() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectContains"})
}

func (ptr *QGraphicsItem) Contains(point core.QPointF_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Contains", point}).(bool)
}

func (ptr *QGraphicsItem) ContainsDefault(point core.QPointF_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContainsDefault", point}).(bool)
}

func (ptr *QGraphicsItem) ConnectContextMenuEvent(f func(event *QGraphicsSceneContextMenuEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectContextMenuEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectContextMenuEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectContextMenuEvent"})
}

func (ptr *QGraphicsItem) ContextMenuEvent(event QGraphicsSceneContextMenuEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContextMenuEvent", event})
}

func (ptr *QGraphicsItem) ContextMenuEventDefault(event QGraphicsSceneContextMenuEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContextMenuEventDefault", event})
}

func (ptr *QGraphicsItem) Cursor() *gui.QCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Cursor"}).(*gui.QCursor)
}

func (ptr *QGraphicsItem) Data(key int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", key}).(*core.QVariant)
}

func (ptr *QGraphicsItem) DeviceTransform(viewportTransform gui.QTransform_ITF) *gui.QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeviceTransform", viewportTransform}).(*gui.QTransform)
}

func (ptr *QGraphicsItem) ConnectDragEnterEvent(f func(event *QGraphicsSceneDragDropEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDragEnterEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectDragEnterEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDragEnterEvent"})
}

func (ptr *QGraphicsItem) DragEnterEvent(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragEnterEvent", event})
}

func (ptr *QGraphicsItem) DragEnterEventDefault(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragEnterEventDefault", event})
}

func (ptr *QGraphicsItem) ConnectDragLeaveEvent(f func(event *QGraphicsSceneDragDropEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDragLeaveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectDragLeaveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDragLeaveEvent"})
}

func (ptr *QGraphicsItem) DragLeaveEvent(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragLeaveEvent", event})
}

func (ptr *QGraphicsItem) DragLeaveEventDefault(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragLeaveEventDefault", event})
}

func (ptr *QGraphicsItem) ConnectDragMoveEvent(f func(event *QGraphicsSceneDragDropEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDragMoveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectDragMoveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDragMoveEvent"})
}

func (ptr *QGraphicsItem) DragMoveEvent(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragMoveEvent", event})
}

func (ptr *QGraphicsItem) DragMoveEventDefault(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragMoveEventDefault", event})
}

func (ptr *QGraphicsItem) ConnectDropEvent(f func(event *QGraphicsSceneDragDropEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDropEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectDropEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDropEvent"})
}

func (ptr *QGraphicsItem) DropEvent(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropEvent", event})
}

func (ptr *QGraphicsItem) DropEventDefault(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropEventDefault", event})
}

func (ptr *QGraphicsItem) EffectiveOpacity() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EffectiveOpacity"}).(float64)
}

func (ptr *QGraphicsItem) EnsureVisible(rect core.QRectF_ITF, xmargin int, ymargin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureVisible", rect, xmargin, ymargin})
}

func (ptr *QGraphicsItem) EnsureVisible2(x float64, y float64, w float64, h float64, xmargin int, ymargin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureVisible2", x, y, w, h, xmargin, ymargin})
}

func (ptr *QGraphicsItem) FiltersChildEvents() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FiltersChildEvents"}).(bool)
}

func (ptr *QGraphicsItem) Flags() QGraphicsItem__GraphicsItemFlag {

	return QGraphicsItem__GraphicsItemFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flags"}).(float64))
}

func (ptr *QGraphicsItem) ConnectFocusInEvent(f func(event *gui.QFocusEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusInEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectFocusInEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusInEvent"})
}

func (ptr *QGraphicsItem) FocusInEvent(event gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusInEvent", event})
}

func (ptr *QGraphicsItem) FocusInEventDefault(event gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusInEventDefault", event})
}

func (ptr *QGraphicsItem) FocusItem() *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusItem"}).(*QGraphicsItem)
}

func (ptr *QGraphicsItem) ConnectFocusOutEvent(f func(event *gui.QFocusEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusOutEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectFocusOutEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusOutEvent"})
}

func (ptr *QGraphicsItem) FocusOutEvent(event gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusOutEvent", event})
}

func (ptr *QGraphicsItem) FocusOutEventDefault(event gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusOutEventDefault", event})
}

func (ptr *QGraphicsItem) FocusProxy() *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusProxy"}).(*QGraphicsItem)
}

func (ptr *QGraphicsItem) GrabKeyboard() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GrabKeyboard"})
}

func (ptr *QGraphicsItem) GrabMouse() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GrabMouse"})
}

func (ptr *QGraphicsItem) GraphicsEffect() *QGraphicsEffect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GraphicsEffect"}).(*QGraphicsEffect)
}

func (ptr *QGraphicsItem) Group() *QGraphicsItemGroup {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Group"}).(*QGraphicsItemGroup)
}

func (ptr *QGraphicsItem) HasCursor() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasCursor"}).(bool)
}

func (ptr *QGraphicsItem) HasFocus() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasFocus"}).(bool)
}

func (ptr *QGraphicsItem) Hide() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Hide"})
}

func (ptr *QGraphicsItem) ConnectHoverEnterEvent(f func(event *QGraphicsSceneHoverEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHoverEnterEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectHoverEnterEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHoverEnterEvent"})
}

func (ptr *QGraphicsItem) HoverEnterEvent(event QGraphicsSceneHoverEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HoverEnterEvent", event})
}

func (ptr *QGraphicsItem) HoverEnterEventDefault(event QGraphicsSceneHoverEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HoverEnterEventDefault", event})
}

func (ptr *QGraphicsItem) ConnectHoverLeaveEvent(f func(event *QGraphicsSceneHoverEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHoverLeaveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectHoverLeaveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHoverLeaveEvent"})
}

func (ptr *QGraphicsItem) HoverLeaveEvent(event QGraphicsSceneHoverEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HoverLeaveEvent", event})
}

func (ptr *QGraphicsItem) HoverLeaveEventDefault(event QGraphicsSceneHoverEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HoverLeaveEventDefault", event})
}

func (ptr *QGraphicsItem) ConnectHoverMoveEvent(f func(event *QGraphicsSceneHoverEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHoverMoveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectHoverMoveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHoverMoveEvent"})
}

func (ptr *QGraphicsItem) HoverMoveEvent(event QGraphicsSceneHoverEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HoverMoveEvent", event})
}

func (ptr *QGraphicsItem) HoverMoveEventDefault(event QGraphicsSceneHoverEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HoverMoveEventDefault", event})
}

func (ptr *QGraphicsItem) ConnectInputMethodEvent(f func(event *gui.QInputMethodEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInputMethodEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectInputMethodEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInputMethodEvent"})
}

func (ptr *QGraphicsItem) InputMethodEvent(event gui.QInputMethodEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputMethodEvent", event})
}

func (ptr *QGraphicsItem) InputMethodEventDefault(event gui.QInputMethodEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputMethodEventDefault", event})
}

func (ptr *QGraphicsItem) InputMethodHints() core.Qt__InputMethodHint {

	return core.Qt__InputMethodHint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputMethodHints"}).(float64))
}

func (ptr *QGraphicsItem) ConnectInputMethodQuery(f func(query core.Qt__InputMethodQuery) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInputMethodQuery", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectInputMethodQuery() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInputMethodQuery"})
}

func (ptr *QGraphicsItem) InputMethodQuery(query core.Qt__InputMethodQuery) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputMethodQuery", query}).(*core.QVariant)
}

func (ptr *QGraphicsItem) InputMethodQueryDefault(query core.Qt__InputMethodQuery) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputMethodQueryDefault", query}).(*core.QVariant)
}

func (ptr *QGraphicsItem) InstallSceneEventFilter(filterItem QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InstallSceneEventFilter", filterItem})
}

func (ptr *QGraphicsItem) IsActive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsActive"}).(bool)
}

func (ptr *QGraphicsItem) IsAncestorOf(child QGraphicsItem_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAncestorOf", child}).(bool)
}

func (ptr *QGraphicsItem) IsClipped() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsClipped"}).(bool)
}

func (ptr *QGraphicsItem) IsEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEnabled"}).(bool)
}

func (ptr *QGraphicsItem) IsObscured(rect core.QRectF_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsObscured", rect}).(bool)
}

func (ptr *QGraphicsItem) IsObscured2(x float64, y float64, w float64, h float64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsObscured2", x, y, w, h}).(bool)
}

func (ptr *QGraphicsItem) ConnectIsObscuredBy(f func(item *QGraphicsItem) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsObscuredBy", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectIsObscuredBy() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsObscuredBy"})
}

func (ptr *QGraphicsItem) IsObscuredBy(item QGraphicsItem_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsObscuredBy", item}).(bool)
}

func (ptr *QGraphicsItem) IsObscuredByDefault(item QGraphicsItem_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsObscuredByDefault", item}).(bool)
}

func (ptr *QGraphicsItem) IsPanel() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsPanel"}).(bool)
}

func (ptr *QGraphicsItem) IsSelected() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSelected"}).(bool)
}

func (ptr *QGraphicsItem) IsUnderMouse() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsUnderMouse"}).(bool)
}

func (ptr *QGraphicsItem) IsVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsVisible"}).(bool)
}

func (ptr *QGraphicsItem) IsVisibleTo(parent QGraphicsItem_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsVisibleTo", parent}).(bool)
}

func (ptr *QGraphicsItem) IsWidget() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsWidget"}).(bool)
}

func (ptr *QGraphicsItem) IsWindow() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsWindow"}).(bool)
}

func (ptr *QGraphicsItem) ConnectItemChange(f func(change QGraphicsItem__GraphicsItemChange, value *core.QVariant) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemChange", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectItemChange() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemChange"})
}

func (ptr *QGraphicsItem) ItemChange(change QGraphicsItem__GraphicsItemChange, value core.QVariant_ITF) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemChange", change, value}).(*core.QVariant)
}

func (ptr *QGraphicsItem) ItemChangeDefault(change QGraphicsItem__GraphicsItemChange, value core.QVariant_ITF) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemChangeDefault", change, value}).(*core.QVariant)
}

func (ptr *QGraphicsItem) ItemTransform(other QGraphicsItem_ITF, ok *bool) *gui.QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemTransform", other, ok}).(*gui.QTransform)
}

func (ptr *QGraphicsItem) ConnectKeyPressEvent(f func(event *gui.QKeyEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectKeyPressEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectKeyPressEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectKeyPressEvent"})
}

func (ptr *QGraphicsItem) KeyPressEvent(event gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyPressEvent", event})
}

func (ptr *QGraphicsItem) KeyPressEventDefault(event gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyPressEventDefault", event})
}

func (ptr *QGraphicsItem) ConnectKeyReleaseEvent(f func(event *gui.QKeyEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectKeyReleaseEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectKeyReleaseEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectKeyReleaseEvent"})
}

func (ptr *QGraphicsItem) KeyReleaseEvent(event gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyReleaseEvent", event})
}

func (ptr *QGraphicsItem) KeyReleaseEventDefault(event gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyReleaseEventDefault", event})
}

func (ptr *QGraphicsItem) MapFromItem(item QGraphicsItem_ITF, point core.QPointF_ITF) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromItem", item, point}).(*core.QPointF)
}

func (ptr *QGraphicsItem) MapFromItem2(item QGraphicsItem_ITF, rect core.QRectF_ITF) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromItem2", item, rect}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapFromItem3(item QGraphicsItem_ITF, polygon gui.QPolygonF_ITF) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromItem3", item, polygon}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapFromItem4(item QGraphicsItem_ITF, path gui.QPainterPath_ITF) *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromItem4", item, path}).(*gui.QPainterPath)
}

func (ptr *QGraphicsItem) MapFromItem5(item QGraphicsItem_ITF, x float64, y float64) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromItem5", item, x, y}).(*core.QPointF)
}

func (ptr *QGraphicsItem) MapFromItem6(item QGraphicsItem_ITF, x float64, y float64, w float64, h float64) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromItem6", item, x, y, w, h}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapFromParent(point core.QPointF_ITF) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromParent", point}).(*core.QPointF)
}

func (ptr *QGraphicsItem) MapFromParent2(rect core.QRectF_ITF) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromParent2", rect}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapFromParent3(polygon gui.QPolygonF_ITF) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromParent3", polygon}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapFromParent4(path gui.QPainterPath_ITF) *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromParent4", path}).(*gui.QPainterPath)
}

func (ptr *QGraphicsItem) MapFromParent5(x float64, y float64) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromParent5", x, y}).(*core.QPointF)
}

func (ptr *QGraphicsItem) MapFromParent6(x float64, y float64, w float64, h float64) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromParent6", x, y, w, h}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapFromScene(point core.QPointF_ITF) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromScene", point}).(*core.QPointF)
}

func (ptr *QGraphicsItem) MapFromScene2(rect core.QRectF_ITF) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromScene2", rect}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapFromScene3(polygon gui.QPolygonF_ITF) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromScene3", polygon}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapFromScene4(path gui.QPainterPath_ITF) *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromScene4", path}).(*gui.QPainterPath)
}

func (ptr *QGraphicsItem) MapFromScene5(x float64, y float64) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromScene5", x, y}).(*core.QPointF)
}

func (ptr *QGraphicsItem) MapFromScene6(x float64, y float64, w float64, h float64) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromScene6", x, y, w, h}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapRectFromItem(item QGraphicsItem_ITF, rect core.QRectF_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRectFromItem", item, rect}).(*core.QRectF)
}

func (ptr *QGraphicsItem) MapRectFromItem2(item QGraphicsItem_ITF, x float64, y float64, w float64, h float64) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRectFromItem2", item, x, y, w, h}).(*core.QRectF)
}

func (ptr *QGraphicsItem) MapRectFromParent(rect core.QRectF_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRectFromParent", rect}).(*core.QRectF)
}

func (ptr *QGraphicsItem) MapRectFromParent2(x float64, y float64, w float64, h float64) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRectFromParent2", x, y, w, h}).(*core.QRectF)
}

func (ptr *QGraphicsItem) MapRectFromScene(rect core.QRectF_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRectFromScene", rect}).(*core.QRectF)
}

func (ptr *QGraphicsItem) MapRectFromScene2(x float64, y float64, w float64, h float64) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRectFromScene2", x, y, w, h}).(*core.QRectF)
}

func (ptr *QGraphicsItem) MapRectToItem(item QGraphicsItem_ITF, rect core.QRectF_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRectToItem", item, rect}).(*core.QRectF)
}

func (ptr *QGraphicsItem) MapRectToItem2(item QGraphicsItem_ITF, x float64, y float64, w float64, h float64) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRectToItem2", item, x, y, w, h}).(*core.QRectF)
}

func (ptr *QGraphicsItem) MapRectToParent(rect core.QRectF_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRectToParent", rect}).(*core.QRectF)
}

func (ptr *QGraphicsItem) MapRectToParent2(x float64, y float64, w float64, h float64) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRectToParent2", x, y, w, h}).(*core.QRectF)
}

func (ptr *QGraphicsItem) MapRectToScene(rect core.QRectF_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRectToScene", rect}).(*core.QRectF)
}

func (ptr *QGraphicsItem) MapRectToScene2(x float64, y float64, w float64, h float64) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapRectToScene2", x, y, w, h}).(*core.QRectF)
}

func (ptr *QGraphicsItem) MapToItem(item QGraphicsItem_ITF, point core.QPointF_ITF) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToItem", item, point}).(*core.QPointF)
}

func (ptr *QGraphicsItem) MapToItem2(item QGraphicsItem_ITF, rect core.QRectF_ITF) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToItem2", item, rect}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapToItem3(item QGraphicsItem_ITF, polygon gui.QPolygonF_ITF) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToItem3", item, polygon}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapToItem4(item QGraphicsItem_ITF, path gui.QPainterPath_ITF) *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToItem4", item, path}).(*gui.QPainterPath)
}

func (ptr *QGraphicsItem) MapToItem5(item QGraphicsItem_ITF, x float64, y float64) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToItem5", item, x, y}).(*core.QPointF)
}

func (ptr *QGraphicsItem) MapToItem6(item QGraphicsItem_ITF, x float64, y float64, w float64, h float64) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToItem6", item, x, y, w, h}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapToParent(point core.QPointF_ITF) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToParent", point}).(*core.QPointF)
}

func (ptr *QGraphicsItem) MapToParent2(rect core.QRectF_ITF) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToParent2", rect}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapToParent3(polygon gui.QPolygonF_ITF) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToParent3", polygon}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapToParent4(path gui.QPainterPath_ITF) *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToParent4", path}).(*gui.QPainterPath)
}

func (ptr *QGraphicsItem) MapToParent5(x float64, y float64) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToParent5", x, y}).(*core.QPointF)
}

func (ptr *QGraphicsItem) MapToParent6(x float64, y float64, w float64, h float64) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToParent6", x, y, w, h}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapToScene(point core.QPointF_ITF) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToScene", point}).(*core.QPointF)
}

func (ptr *QGraphicsItem) MapToScene2(rect core.QRectF_ITF) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToScene2", rect}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapToScene3(polygon gui.QPolygonF_ITF) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToScene3", polygon}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) MapToScene4(path gui.QPainterPath_ITF) *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToScene4", path}).(*gui.QPainterPath)
}

func (ptr *QGraphicsItem) MapToScene5(x float64, y float64) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToScene5", x, y}).(*core.QPointF)
}

func (ptr *QGraphicsItem) MapToScene6(x float64, y float64, w float64, h float64) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToScene6", x, y, w, h}).(*gui.QPolygonF)
}

func (ptr *QGraphicsItem) ConnectMouseDoubleClickEvent(f func(event *QGraphicsSceneMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMouseDoubleClickEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectMouseDoubleClickEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMouseDoubleClickEvent"})
}

func (ptr *QGraphicsItem) MouseDoubleClickEvent(event QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseDoubleClickEvent", event})
}

func (ptr *QGraphicsItem) MouseDoubleClickEventDefault(event QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseDoubleClickEventDefault", event})
}

func (ptr *QGraphicsItem) ConnectMouseMoveEvent(f func(event *QGraphicsSceneMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMouseMoveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectMouseMoveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMouseMoveEvent"})
}

func (ptr *QGraphicsItem) MouseMoveEvent(event QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseMoveEvent", event})
}

func (ptr *QGraphicsItem) MouseMoveEventDefault(event QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseMoveEventDefault", event})
}

func (ptr *QGraphicsItem) ConnectMousePressEvent(f func(event *QGraphicsSceneMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMousePressEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectMousePressEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMousePressEvent"})
}

func (ptr *QGraphicsItem) MousePressEvent(event QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MousePressEvent", event})
}

func (ptr *QGraphicsItem) MousePressEventDefault(event QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MousePressEventDefault", event})
}

func (ptr *QGraphicsItem) ConnectMouseReleaseEvent(f func(event *QGraphicsSceneMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMouseReleaseEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectMouseReleaseEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMouseReleaseEvent"})
}

func (ptr *QGraphicsItem) MouseReleaseEvent(event QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseReleaseEvent", event})
}

func (ptr *QGraphicsItem) MouseReleaseEventDefault(event QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseReleaseEventDefault", event})
}

func (ptr *QGraphicsItem) MoveBy(dx float64, dy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveBy", dx, dy})
}

func (ptr *QGraphicsItem) Opacity() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Opacity"}).(float64)
}

func (ptr *QGraphicsItem) ConnectOpaqueArea(f func() *gui.QPainterPath) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOpaqueArea", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectOpaqueArea() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOpaqueArea"})
}

func (ptr *QGraphicsItem) OpaqueArea() *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpaqueArea"}).(*gui.QPainterPath)
}

func (ptr *QGraphicsItem) OpaqueAreaDefault() *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpaqueAreaDefault"}).(*gui.QPainterPath)
}

func (ptr *QGraphicsItem) ConnectPaint(f func(painter *gui.QPainter, option *QStyleOptionGraphicsItem, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QGraphicsItem) Paint(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, option, widget})
}

func (ptr *QGraphicsItem) Panel() *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Panel"}).(*QGraphicsItem)
}

func (ptr *QGraphicsItem) PanelModality() QGraphicsItem__PanelModality {

	return QGraphicsItem__PanelModality(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PanelModality"}).(float64))
}

func (ptr *QGraphicsItem) ParentItem() *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentItem"}).(*QGraphicsItem)
}

func (ptr *QGraphicsItem) ParentObject() *QGraphicsObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentObject"}).(*QGraphicsObject)
}

func (ptr *QGraphicsItem) ParentWidget() *QGraphicsWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentWidget"}).(*QGraphicsWidget)
}

func (ptr *QGraphicsItem) Pos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPointF)
}

func (ptr *QGraphicsItem) PrepareGeometryChange() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PrepareGeometryChange"})
}

func (ptr *QGraphicsItem) RemoveSceneEventFilter(filterItem QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveSceneEventFilter", filterItem})
}

func (ptr *QGraphicsItem) ResetTransform() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetTransform"})
}

func (ptr *QGraphicsItem) Rotation() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rotation"}).(float64)
}

func (ptr *QGraphicsItem) Scale2() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scale2"}).(float64)
}

func (ptr *QGraphicsItem) Scene() *QGraphicsScene {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scene"}).(*QGraphicsScene)
}

func (ptr *QGraphicsItem) SceneBoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SceneBoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsItem) ConnectSceneEvent(f func(event *core.QEvent) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSceneEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectSceneEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSceneEvent"})
}

func (ptr *QGraphicsItem) SceneEvent(event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SceneEvent", event}).(bool)
}

func (ptr *QGraphicsItem) SceneEventDefault(event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SceneEventDefault", event}).(bool)
}

func (ptr *QGraphicsItem) ConnectSceneEventFilter(f func(watched *QGraphicsItem, event *core.QEvent) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSceneEventFilter", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectSceneEventFilter() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSceneEventFilter"})
}

func (ptr *QGraphicsItem) SceneEventFilter(watched QGraphicsItem_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SceneEventFilter", watched, event}).(bool)
}

func (ptr *QGraphicsItem) SceneEventFilterDefault(watched QGraphicsItem_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SceneEventFilterDefault", watched, event}).(bool)
}

func (ptr *QGraphicsItem) ScenePos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScenePos"}).(*core.QPointF)
}

func (ptr *QGraphicsItem) SceneTransform() *gui.QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SceneTransform"}).(*gui.QTransform)
}

func (ptr *QGraphicsItem) Scroll(dx float64, dy float64, rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scroll", dx, dy, rect})
}

func (ptr *QGraphicsItem) SetAcceptDrops(on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAcceptDrops", on})
}

func (ptr *QGraphicsItem) SetAcceptHoverEvents(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAcceptHoverEvents", enabled})
}

func (ptr *QGraphicsItem) SetAcceptTouchEvents(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAcceptTouchEvents", enabled})
}

func (ptr *QGraphicsItem) SetAcceptedMouseButtons(buttons core.Qt__MouseButton) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAcceptedMouseButtons", buttons})
}

func (ptr *QGraphicsItem) SetActive(active bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActive", active})
}

func (ptr *QGraphicsItem) SetBoundingRegionGranularity(granularity float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBoundingRegionGranularity", granularity})
}

func (ptr *QGraphicsItem) SetCacheMode(mode QGraphicsItem__CacheMode, logicalCacheSize core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCacheMode", mode, logicalCacheSize})
}

func (ptr *QGraphicsItem) SetCursor(cursor gui.QCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCursor", cursor})
}

func (ptr *QGraphicsItem) SetData(key int, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData", key, value})
}

func (ptr *QGraphicsItem) SetEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEnabled", enabled})
}

func (ptr *QGraphicsItem) SetFiltersChildEvents(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFiltersChildEvents", enabled})
}

func (ptr *QGraphicsItem) SetFlag(flag QGraphicsItem__GraphicsItemFlag, enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlag", flag, enabled})
}

func (ptr *QGraphicsItem) SetFlags(flags QGraphicsItem__GraphicsItemFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlags", flags})
}

func (ptr *QGraphicsItem) SetFocus(focusReason core.Qt__FocusReason) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFocus", focusReason})
}

func (ptr *QGraphicsItem) SetFocusProxy(item QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFocusProxy", item})
}

func (ptr *QGraphicsItem) SetGraphicsEffect(effect QGraphicsEffect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGraphicsEffect", effect})
}

func (ptr *QGraphicsItem) SetGroup(group QGraphicsItemGroup_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGroup", group})
}

func (ptr *QGraphicsItem) SetInputMethodHints(hints core.Qt__InputMethodHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInputMethodHints", hints})
}

func (ptr *QGraphicsItem) SetOpacity(opacity float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOpacity", opacity})
}

func (ptr *QGraphicsItem) SetPanelModality(panelModality QGraphicsItem__PanelModality) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPanelModality", panelModality})
}

func (ptr *QGraphicsItem) SetParentItem(newParent QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetParentItem", newParent})
}

func (ptr *QGraphicsItem) SetPos(pos core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPos", pos})
}

func (ptr *QGraphicsItem) SetPos2(x float64, y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPos2", x, y})
}

func (ptr *QGraphicsItem) SetRotation(angle float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRotation", angle})
}

func (ptr *QGraphicsItem) SetScale(factor float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScale", factor})
}

func (ptr *QGraphicsItem) SetSelected(selected bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelected", selected})
}

func (ptr *QGraphicsItem) SetToolTip(toolTip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolTip", toolTip})
}

func (ptr *QGraphicsItem) SetTransform(matrix gui.QTransform_ITF, combine bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTransform", matrix, combine})
}

func (ptr *QGraphicsItem) SetTransformOriginPoint(origin core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTransformOriginPoint", origin})
}

func (ptr *QGraphicsItem) SetTransformOriginPoint2(x float64, y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTransformOriginPoint2", x, y})
}

func (ptr *QGraphicsItem) SetTransformations(transformations []*QGraphicsTransform) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTransformations", transformations})
}

func (ptr *QGraphicsItem) SetVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisible", visible})
}

func (ptr *QGraphicsItem) SetX(x float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetX", x})
}

func (ptr *QGraphicsItem) SetY(y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetY", y})
}

func (ptr *QGraphicsItem) SetZValue(z float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetZValue", z})
}

func (ptr *QGraphicsItem) ConnectShape(f func() *gui.QPainterPath) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShape", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectShape() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShape"})
}

func (ptr *QGraphicsItem) Shape() *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shape"}).(*gui.QPainterPath)
}

func (ptr *QGraphicsItem) ShapeDefault() *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShapeDefault"}).(*gui.QPainterPath)
}

func (ptr *QGraphicsItem) Show() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Show"})
}

func (ptr *QGraphicsItem) StackBefore(sibling QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StackBefore", sibling})
}

func (ptr *QGraphicsItem) ToGraphicsObject() *QGraphicsObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToGraphicsObject"}).(*QGraphicsObject)
}

func (ptr *QGraphicsItem) ToGraphicsObject2() *QGraphicsObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToGraphicsObject2"}).(*QGraphicsObject)
}

func (ptr *QGraphicsItem) ToolTip() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolTip"}).(string)
}

func (ptr *QGraphicsItem) TopLevelItem() *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopLevelItem"}).(*QGraphicsItem)
}

func (ptr *QGraphicsItem) TopLevelWidget() *QGraphicsWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopLevelWidget"}).(*QGraphicsWidget)
}

func (ptr *QGraphicsItem) Transform() *gui.QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transform"}).(*gui.QTransform)
}

func (ptr *QGraphicsItem) TransformOriginPoint() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TransformOriginPoint"}).(*core.QPointF)
}

func (ptr *QGraphicsItem) Transformations() []*QGraphicsTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transformations"}).([]*QGraphicsTransform)
}

func (ptr *QGraphicsItem) ConnectType(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectType", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectType() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectType"})
}

func (ptr *QGraphicsItem) Type() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QGraphicsItem) TypeDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TypeDefault"}).(float64))
}

func (ptr *QGraphicsItem) UngrabKeyboard() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UngrabKeyboard"})
}

func (ptr *QGraphicsItem) UngrabMouse() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UngrabMouse"})
}

func (ptr *QGraphicsItem) UnsetCursor() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnsetCursor"})
}

func (ptr *QGraphicsItem) Update(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Update", rect})
}

func (ptr *QGraphicsItem) Update2(x float64, y float64, width float64, height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Update2", x, y, width, height})
}

func (ptr *QGraphicsItem) ConnectWheelEvent(f func(event *QGraphicsSceneWheelEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWheelEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectWheelEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWheelEvent"})
}

func (ptr *QGraphicsItem) WheelEvent(event QGraphicsSceneWheelEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WheelEvent", event})
}

func (ptr *QGraphicsItem) WheelEventDefault(event QGraphicsSceneWheelEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WheelEventDefault", event})
}

func (ptr *QGraphicsItem) Window() *QGraphicsWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Window"}).(*QGraphicsWidget)
}

func (ptr *QGraphicsItem) X() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "X"}).(float64)
}

func (ptr *QGraphicsItem) Y() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Y"}).(float64)
}

func (ptr *QGraphicsItem) ZValue() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ZValue"}).(float64)
}

func (ptr *QGraphicsItem) ConnectDestroyQGraphicsItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItem) DisconnectDestroyQGraphicsItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsItem"})
}

func (ptr *QGraphicsItem) DestroyQGraphicsItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsItem"})
}

func (ptr *QGraphicsItem) DestroyQGraphicsItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsItemDefault"})
}

func (ptr *QGraphicsItem) __childItems_atList(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__childItems_atList", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsItem) __childItems_setList(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__childItems_setList", i})
}

func (ptr *QGraphicsItem) __childItems_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__childItems_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsItem) __children_atList(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsItem) __children_setList(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QGraphicsItem) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsItem) __collidingItems_atList(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__collidingItems_atList", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsItem) __collidingItems_setList(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__collidingItems_setList", i})
}

func (ptr *QGraphicsItem) __collidingItems_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__collidingItems_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsItem) __setTransformations_transformations_atList(i int) *QGraphicsTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTransformations_transformations_atList", i}).(*QGraphicsTransform)
}

func (ptr *QGraphicsItem) __setTransformations_transformations_setList(i QGraphicsTransform_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTransformations_transformations_setList", i})
}

func (ptr *QGraphicsItem) __setTransformations_transformations_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTransformations_transformations_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsItem) __transformations_atList(i int) *QGraphicsTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__transformations_atList", i}).(*QGraphicsTransform)
}

func (ptr *QGraphicsItem) __transformations_setList(i QGraphicsTransform_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__transformations_setList", i})
}

func (ptr *QGraphicsItem) __transformations_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__transformations_newList"}).(unsafe.Pointer)
}

type QGraphicsItemAnimation struct {
	core.QObject
}

type QGraphicsItemAnimation_ITF interface {
	core.QObject_ITF
	QGraphicsItemAnimation_PTR() *QGraphicsItemAnimation
}

func (ptr *QGraphicsItemAnimation) QGraphicsItemAnimation_PTR() *QGraphicsItemAnimation {
	return ptr
}

func (ptr *QGraphicsItemAnimation) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsItemAnimation) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsItemAnimation(ptr QGraphicsItemAnimation_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsItemAnimation_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsItemAnimation) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsItemAnimation) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQGraphicsItemAnimationFromPointer(ptr unsafe.Pointer) (n *QGraphicsItemAnimation) {
	n = new(QGraphicsItemAnimation)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsItemAnimation")
	return
}
func NewQGraphicsItemAnimation(parent core.QObject_ITF) *QGraphicsItemAnimation {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsItemAnimation", "", parent}).(*QGraphicsItemAnimation)
}

func (ptr *QGraphicsItemAnimation) ConnectAfterAnimationStep(f func(step float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAfterAnimationStep", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItemAnimation) DisconnectAfterAnimationStep() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAfterAnimationStep"})
}

func (ptr *QGraphicsItemAnimation) AfterAnimationStep(step float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AfterAnimationStep", step})
}

func (ptr *QGraphicsItemAnimation) AfterAnimationStepDefault(step float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AfterAnimationStepDefault", step})
}

func (ptr *QGraphicsItemAnimation) ConnectBeforeAnimationStep(f func(step float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBeforeAnimationStep", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItemAnimation) DisconnectBeforeAnimationStep() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBeforeAnimationStep"})
}

func (ptr *QGraphicsItemAnimation) BeforeAnimationStep(step float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeforeAnimationStep", step})
}

func (ptr *QGraphicsItemAnimation) BeforeAnimationStepDefault(step float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeforeAnimationStepDefault", step})
}

func (ptr *QGraphicsItemAnimation) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QGraphicsItemAnimation) HorizontalScaleAt(step float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalScaleAt", step}).(float64)
}

func (ptr *QGraphicsItemAnimation) HorizontalShearAt(step float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalShearAt", step}).(float64)
}

func (ptr *QGraphicsItemAnimation) Item() *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Item"}).(*QGraphicsItem)
}

func (ptr *QGraphicsItemAnimation) MatrixAt(step float64) *gui.QMatrix {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MatrixAt", step}).(*gui.QMatrix)
}

func (ptr *QGraphicsItemAnimation) PosAt(step float64) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PosAt", step}).(*core.QPointF)
}

func (ptr *QGraphicsItemAnimation) RotationAt(step float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RotationAt", step}).(float64)
}

func (ptr *QGraphicsItemAnimation) SetItem(item QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItem", item})
}

func (ptr *QGraphicsItemAnimation) SetPosAt(step float64, point core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPosAt", step, point})
}

func (ptr *QGraphicsItemAnimation) SetRotationAt(step float64, angle float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRotationAt", step, angle})
}

func (ptr *QGraphicsItemAnimation) SetScaleAt(step float64, sx float64, sy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScaleAt", step, sx, sy})
}

func (ptr *QGraphicsItemAnimation) SetShearAt(step float64, sh float64, sv float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShearAt", step, sh, sv})
}

func (ptr *QGraphicsItemAnimation) ConnectSetStep(f func(step float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetStep", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItemAnimation) DisconnectSetStep() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetStep"})
}

func (ptr *QGraphicsItemAnimation) SetStep(step float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStep", step})
}

func (ptr *QGraphicsItemAnimation) SetStepDefault(step float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStepDefault", step})
}

func (ptr *QGraphicsItemAnimation) SetTimeLine(timeLine core.QTimeLine_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTimeLine", timeLine})
}

func (ptr *QGraphicsItemAnimation) SetTranslationAt(step float64, dx float64, dy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTranslationAt", step, dx, dy})
}

func (ptr *QGraphicsItemAnimation) TimeLine() *core.QTimeLine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimeLine"}).(*core.QTimeLine)
}

func (ptr *QGraphicsItemAnimation) VerticalScaleAt(step float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalScaleAt", step}).(float64)
}

func (ptr *QGraphicsItemAnimation) VerticalShearAt(step float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalShearAt", step}).(float64)
}

func (ptr *QGraphicsItemAnimation) XTranslationAt(step float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "XTranslationAt", step}).(float64)
}

func (ptr *QGraphicsItemAnimation) YTranslationAt(step float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "YTranslationAt", step}).(float64)
}

func (ptr *QGraphicsItemAnimation) ConnectDestroyQGraphicsItemAnimation(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsItemAnimation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItemAnimation) DisconnectDestroyQGraphicsItemAnimation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsItemAnimation"})
}

func (ptr *QGraphicsItemAnimation) DestroyQGraphicsItemAnimation() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsItemAnimation"})
}

func (ptr *QGraphicsItemAnimation) DestroyQGraphicsItemAnimationDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsItemAnimationDefault"})
}

func (ptr *QGraphicsItemAnimation) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QGraphicsItemAnimation) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QGraphicsItemAnimation) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsItemAnimation) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QGraphicsItemAnimation) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QGraphicsItemAnimation) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsItemAnimation) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QGraphicsItemAnimation) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QGraphicsItemAnimation) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsItemAnimation) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QGraphicsItemAnimation) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QGraphicsItemAnimation) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QGraphicsItemAnimation) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QGraphicsItemAnimation) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QGraphicsItemAnimation) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QGraphicsItemAnimation) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QGraphicsItemAnimation) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QGraphicsItemAnimation) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QGraphicsItemAnimation) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QGraphicsItemAnimation) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QGraphicsItemAnimation) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QGraphicsItemGroup struct {
	QGraphicsItem
}

type QGraphicsItemGroup_ITF interface {
	QGraphicsItem_ITF
	QGraphicsItemGroup_PTR() *QGraphicsItemGroup
}

func (ptr *QGraphicsItemGroup) QGraphicsItemGroup_PTR() *QGraphicsItemGroup {
	return ptr
}

func (ptr *QGraphicsItemGroup) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsItem_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsItemGroup) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsItem_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsItemGroup(ptr QGraphicsItemGroup_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsItemGroup_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsItemGroup) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsItemGroup) ClassNameInternalF() string {
	return n.QGraphicsItem_PTR().ClassNameInternalF()
}

func NewQGraphicsItemGroupFromPointer(ptr unsafe.Pointer) (n *QGraphicsItemGroup) {
	n = new(QGraphicsItemGroup)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsItemGroup")
	return
}

//go:generate stringer -type=QGraphicsItemGroup__anonymous
//QGraphicsItemGroup::anonymous
type QGraphicsItemGroup__anonymous int64

const (
	QGraphicsItemGroup__Type QGraphicsItemGroup__anonymous = QGraphicsItemGroup__anonymous(10)
)

func NewQGraphicsItemGroup(parent QGraphicsItem_ITF) *QGraphicsItemGroup {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsItemGroup", "", parent}).(*QGraphicsItemGroup)
}

func (ptr *QGraphicsItemGroup) AddToGroup(item QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddToGroup", item})
}

func (ptr *QGraphicsItemGroup) ConnectBoundingRect(f func() *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItemGroup) DisconnectBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBoundingRect"})
}

func (ptr *QGraphicsItemGroup) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsItemGroup) BoundingRectDefault() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRectDefault"}).(*core.QRectF)
}

func (ptr *QGraphicsItemGroup) ConnectPaint(f func(painter *gui.QPainter, option *QStyleOptionGraphicsItem, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItemGroup) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QGraphicsItemGroup) Paint(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, option, widget})
}

func (ptr *QGraphicsItemGroup) PaintDefault(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDefault", painter, option, widget})
}

func (ptr *QGraphicsItemGroup) RemoveFromGroup(item QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveFromGroup", item})
}

func (ptr *QGraphicsItemGroup) ConnectDestroyQGraphicsItemGroup(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsItemGroup", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsItemGroup) DisconnectDestroyQGraphicsItemGroup() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsItemGroup"})
}

func (ptr *QGraphicsItemGroup) DestroyQGraphicsItemGroup() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsItemGroup"})
}

func (ptr *QGraphicsItemGroup) DestroyQGraphicsItemGroupDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsItemGroupDefault"})
}

type QGraphicsLayout struct {
	QGraphicsLayoutItem
}

type QGraphicsLayout_ITF interface {
	QGraphicsLayoutItem_ITF
	QGraphicsLayout_PTR() *QGraphicsLayout
}

func (ptr *QGraphicsLayout) QGraphicsLayout_PTR() *QGraphicsLayout {
	return ptr
}

func (ptr *QGraphicsLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsLayoutItem_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsLayoutItem_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsLayout(ptr QGraphicsLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsLayout_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsLayout) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsLayoutItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsLayout) ClassNameInternalF() string {
	return n.QGraphicsLayoutItem_PTR().ClassNameInternalF()
}

func NewQGraphicsLayoutFromPointer(ptr unsafe.Pointer) (n *QGraphicsLayout) {
	n = new(QGraphicsLayout)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsLayout")
	return
}
func NewQGraphicsLayout(parent QGraphicsLayoutItem_ITF) *QGraphicsLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsLayout", "", parent}).(*QGraphicsLayout)
}

func (ptr *QGraphicsLayout) Activate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Activate"})
}

func (ptr *QGraphicsLayout) AddChildLayoutItem(layoutItem QGraphicsLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddChildLayoutItem", layoutItem})
}

func (ptr *QGraphicsLayout) ConnectCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLayout) DisconnectCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCount"})
}

func (ptr *QGraphicsLayout) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QGraphicsLayout) ConnectInvalidate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInvalidate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLayout) DisconnectInvalidate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInvalidate"})
}

func (ptr *QGraphicsLayout) Invalidate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Invalidate"})
}

func (ptr *QGraphicsLayout) InvalidateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvalidateDefault"})
}

func (ptr *QGraphicsLayout) IsActivated() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsActivated"}).(bool)
}

func (ptr *QGraphicsLayout) ConnectItemAt(f func(i int) *QGraphicsLayoutItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLayout) DisconnectItemAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemAt"})
}

func (ptr *QGraphicsLayout) ItemAt(i int) *QGraphicsLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt", i}).(*QGraphicsLayoutItem)
}

func (ptr *QGraphicsLayout) ConnectRemoveAt(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRemoveAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLayout) DisconnectRemoveAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRemoveAt"})
}

func (ptr *QGraphicsLayout) RemoveAt(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveAt", index})
}

func (ptr *QGraphicsLayout) SetContentsMargins(left float64, top float64, right float64, bottom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetContentsMargins", left, top, right, bottom})
}

func (ptr *QGraphicsLayout) ConnectWidgetEvent(f func(e *core.QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWidgetEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLayout) DisconnectWidgetEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWidgetEvent"})
}

func (ptr *QGraphicsLayout) WidgetEvent(e core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WidgetEvent", e})
}

func (ptr *QGraphicsLayout) WidgetEventDefault(e core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WidgetEventDefault", e})
}

func (ptr *QGraphicsLayout) ConnectDestroyQGraphicsLayout(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsLayout", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLayout) DisconnectDestroyQGraphicsLayout() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsLayout"})
}

func (ptr *QGraphicsLayout) DestroyQGraphicsLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsLayout"})
}

func (ptr *QGraphicsLayout) DestroyQGraphicsLayoutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsLayoutDefault"})
}

func (ptr *QGraphicsLayout) SizeHint(which core.Qt__SizeHint, constraint core.QSizeF_ITF) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint", which, constraint}).(*core.QSizeF)
}

func (ptr *QGraphicsLayout) SizeHintDefault(which core.Qt__SizeHint, constraint core.QSizeF_ITF) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintDefault", which, constraint}).(*core.QSizeF)
}

type QGraphicsLayoutItem struct {
	internal.Internal
}

type QGraphicsLayoutItem_ITF interface {
	QGraphicsLayoutItem_PTR() *QGraphicsLayoutItem
}

func (ptr *QGraphicsLayoutItem) QGraphicsLayoutItem_PTR() *QGraphicsLayoutItem {
	return ptr
}

func (ptr *QGraphicsLayoutItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QGraphicsLayoutItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQGraphicsLayoutItem(ptr QGraphicsLayoutItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsLayoutItem_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsLayoutItem) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQGraphicsLayoutItemFromPointer(ptr unsafe.Pointer) (n *QGraphicsLayoutItem) {
	n = new(QGraphicsLayoutItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsLayoutItem")
	return
}
func NewQGraphicsLayoutItem(parent QGraphicsLayoutItem_ITF, isLayout bool) *QGraphicsLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsLayoutItem", "", parent, isLayout}).(*QGraphicsLayoutItem)
}

func (ptr *QGraphicsLayoutItem) ContentsRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContentsRect"}).(*core.QRectF)
}

func (ptr *QGraphicsLayoutItem) EffectiveSizeHint(which core.Qt__SizeHint, constraint core.QSizeF_ITF) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EffectiveSizeHint", which, constraint}).(*core.QSizeF)
}

func (ptr *QGraphicsLayoutItem) Geometry() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Geometry"}).(*core.QRectF)
}

func (ptr *QGraphicsLayoutItem) ConnectGetContentsMargins(f func(left float64, top float64, right float64, bottom float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectGetContentsMargins", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLayoutItem) DisconnectGetContentsMargins() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectGetContentsMargins"})
}

func (ptr *QGraphicsLayoutItem) GetContentsMargins(left float64, top float64, right float64, bottom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetContentsMargins", left, top, right, bottom})
}

func (ptr *QGraphicsLayoutItem) GetContentsMarginsDefault(left float64, top float64, right float64, bottom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetContentsMarginsDefault", left, top, right, bottom})
}

func (ptr *QGraphicsLayoutItem) GraphicsItem() *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GraphicsItem"}).(*QGraphicsItem)
}

func (ptr *QGraphicsLayoutItem) IsLayout() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsLayout"}).(bool)
}

func (ptr *QGraphicsLayoutItem) MaximumHeight() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumHeight"}).(float64)
}

func (ptr *QGraphicsLayoutItem) MaximumSize() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumSize"}).(*core.QSizeF)
}

func (ptr *QGraphicsLayoutItem) MaximumWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumWidth"}).(float64)
}

func (ptr *QGraphicsLayoutItem) MinimumHeight() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumHeight"}).(float64)
}

func (ptr *QGraphicsLayoutItem) MinimumSize() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumSize"}).(*core.QSizeF)
}

func (ptr *QGraphicsLayoutItem) MinimumWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumWidth"}).(float64)
}

func (ptr *QGraphicsLayoutItem) OwnedByLayout() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OwnedByLayout"}).(bool)
}

func (ptr *QGraphicsLayoutItem) ParentLayoutItem() *QGraphicsLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentLayoutItem"}).(*QGraphicsLayoutItem)
}

func (ptr *QGraphicsLayoutItem) PreferredHeight() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PreferredHeight"}).(float64)
}

func (ptr *QGraphicsLayoutItem) PreferredSize() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PreferredSize"}).(*core.QSizeF)
}

func (ptr *QGraphicsLayoutItem) PreferredWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PreferredWidth"}).(float64)
}

func (ptr *QGraphicsLayoutItem) ConnectSetGeometry(f func(rect *core.QRectF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetGeometry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLayoutItem) DisconnectSetGeometry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetGeometry"})
}

func (ptr *QGraphicsLayoutItem) SetGeometry(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGeometry", rect})
}

func (ptr *QGraphicsLayoutItem) SetGeometryDefault(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGeometryDefault", rect})
}

func (ptr *QGraphicsLayoutItem) SetGraphicsItem(item QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGraphicsItem", item})
}

func (ptr *QGraphicsLayoutItem) SetMaximumHeight(height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumHeight", height})
}

func (ptr *QGraphicsLayoutItem) SetMaximumSize(size core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumSize", size})
}

func (ptr *QGraphicsLayoutItem) SetMaximumSize2(w float64, h float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumSize2", w, h})
}

func (ptr *QGraphicsLayoutItem) SetMaximumWidth(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumWidth", width})
}

func (ptr *QGraphicsLayoutItem) SetMinimumHeight(height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumHeight", height})
}

func (ptr *QGraphicsLayoutItem) SetMinimumSize(size core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumSize", size})
}

func (ptr *QGraphicsLayoutItem) SetMinimumSize2(w float64, h float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumSize2", w, h})
}

func (ptr *QGraphicsLayoutItem) SetMinimumWidth(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumWidth", width})
}

func (ptr *QGraphicsLayoutItem) SetOwnedByLayout(ownership bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOwnedByLayout", ownership})
}

func (ptr *QGraphicsLayoutItem) SetParentLayoutItem(parent QGraphicsLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetParentLayoutItem", parent})
}

func (ptr *QGraphicsLayoutItem) SetPreferredHeight(height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPreferredHeight", height})
}

func (ptr *QGraphicsLayoutItem) SetPreferredSize(size core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPreferredSize", size})
}

func (ptr *QGraphicsLayoutItem) SetPreferredSize2(w float64, h float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPreferredSize2", w, h})
}

func (ptr *QGraphicsLayoutItem) SetPreferredWidth(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPreferredWidth", width})
}

func (ptr *QGraphicsLayoutItem) SetSizePolicy(policy QSizePolicy_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSizePolicy", policy})
}

func (ptr *QGraphicsLayoutItem) SetSizePolicy2(hPolicy QSizePolicy__Policy, vPolicy QSizePolicy__Policy, controlType QSizePolicy__ControlType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSizePolicy2", hPolicy, vPolicy, controlType})
}

func (ptr *QGraphicsLayoutItem) ConnectSizeHint(f func(which core.Qt__SizeHint, constraint *core.QSizeF) *core.QSizeF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLayoutItem) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QGraphicsLayoutItem) SizeHint(which core.Qt__SizeHint, constraint core.QSizeF_ITF) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint", which, constraint}).(*core.QSizeF)
}

func (ptr *QGraphicsLayoutItem) SizePolicy() *QSizePolicy {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizePolicy"}).(*QSizePolicy)
}

func (ptr *QGraphicsLayoutItem) ConnectUpdateGeometry(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateGeometry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLayoutItem) DisconnectUpdateGeometry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateGeometry"})
}

func (ptr *QGraphicsLayoutItem) UpdateGeometry() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateGeometry"})
}

func (ptr *QGraphicsLayoutItem) UpdateGeometryDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateGeometryDefault"})
}

func (ptr *QGraphicsLayoutItem) ConnectDestroyQGraphicsLayoutItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsLayoutItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLayoutItem) DisconnectDestroyQGraphicsLayoutItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsLayoutItem"})
}

func (ptr *QGraphicsLayoutItem) DestroyQGraphicsLayoutItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsLayoutItem"})
}

func (ptr *QGraphicsLayoutItem) DestroyQGraphicsLayoutItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsLayoutItemDefault"})
}

type QGraphicsLineItem struct {
	QGraphicsItem
}

type QGraphicsLineItem_ITF interface {
	QGraphicsItem_ITF
	QGraphicsLineItem_PTR() *QGraphicsLineItem
}

func (ptr *QGraphicsLineItem) QGraphicsLineItem_PTR() *QGraphicsLineItem {
	return ptr
}

func (ptr *QGraphicsLineItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsItem_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsLineItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsItem_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsLineItem(ptr QGraphicsLineItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsLineItem_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsLineItem) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsLineItem) ClassNameInternalF() string {
	return n.QGraphicsItem_PTR().ClassNameInternalF()
}

func NewQGraphicsLineItemFromPointer(ptr unsafe.Pointer) (n *QGraphicsLineItem) {
	n = new(QGraphicsLineItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsLineItem")
	return
}

//go:generate stringer -type=QGraphicsLineItem__anonymous
//QGraphicsLineItem::anonymous
type QGraphicsLineItem__anonymous int64

const (
	QGraphicsLineItem__Type QGraphicsLineItem__anonymous = QGraphicsLineItem__anonymous(6)
)

func NewQGraphicsLineItem(parent QGraphicsItem_ITF) *QGraphicsLineItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsLineItem", "", parent}).(*QGraphicsLineItem)
}

func NewQGraphicsLineItem2(line core.QLineF_ITF, parent QGraphicsItem_ITF) *QGraphicsLineItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsLineItem2", "", line, parent}).(*QGraphicsLineItem)
}

func NewQGraphicsLineItem3(x1 float64, y1 float64, x2 float64, y2 float64, parent QGraphicsItem_ITF) *QGraphicsLineItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsLineItem3", "", x1, y1, x2, y2, parent}).(*QGraphicsLineItem)
}

func (ptr *QGraphicsLineItem) ConnectBoundingRect(f func() *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLineItem) DisconnectBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBoundingRect"})
}

func (ptr *QGraphicsLineItem) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsLineItem) BoundingRectDefault() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRectDefault"}).(*core.QRectF)
}

func (ptr *QGraphicsLineItem) Line() *core.QLineF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Line"}).(*core.QLineF)
}

func (ptr *QGraphicsLineItem) ConnectPaint(f func(painter *gui.QPainter, option *QStyleOptionGraphicsItem, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLineItem) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QGraphicsLineItem) Paint(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, option, widget})
}

func (ptr *QGraphicsLineItem) PaintDefault(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDefault", painter, option, widget})
}

func (ptr *QGraphicsLineItem) Pen() *gui.QPen {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pen"}).(*gui.QPen)
}

func (ptr *QGraphicsLineItem) SetLine(line core.QLineF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLine", line})
}

func (ptr *QGraphicsLineItem) SetLine2(x1 float64, y1 float64, x2 float64, y2 float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLine2", x1, y1, x2, y2})
}

func (ptr *QGraphicsLineItem) SetPen(pen gui.QPen_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPen", pen})
}

func (ptr *QGraphicsLineItem) ConnectDestroyQGraphicsLineItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsLineItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLineItem) DisconnectDestroyQGraphicsLineItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsLineItem"})
}

func (ptr *QGraphicsLineItem) DestroyQGraphicsLineItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsLineItem"})
}

func (ptr *QGraphicsLineItem) DestroyQGraphicsLineItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsLineItemDefault"})
}

type QGraphicsLinearLayout struct {
	QGraphicsLayout
}

type QGraphicsLinearLayout_ITF interface {
	QGraphicsLayout_ITF
	QGraphicsLinearLayout_PTR() *QGraphicsLinearLayout
}

func (ptr *QGraphicsLinearLayout) QGraphicsLinearLayout_PTR() *QGraphicsLinearLayout {
	return ptr
}

func (ptr *QGraphicsLinearLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsLayout_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsLinearLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsLayout_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsLinearLayout(ptr QGraphicsLinearLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsLinearLayout_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsLinearLayout) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsLayout_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsLinearLayout) ClassNameInternalF() string {
	return n.QGraphicsLayout_PTR().ClassNameInternalF()
}

func NewQGraphicsLinearLayoutFromPointer(ptr unsafe.Pointer) (n *QGraphicsLinearLayout) {
	n = new(QGraphicsLinearLayout)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsLinearLayout")
	return
}
func NewQGraphicsLinearLayout(parent QGraphicsLayoutItem_ITF) *QGraphicsLinearLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsLinearLayout", "", parent}).(*QGraphicsLinearLayout)
}

func NewQGraphicsLinearLayout2(orientation core.Qt__Orientation, parent QGraphicsLayoutItem_ITF) *QGraphicsLinearLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsLinearLayout2", "", orientation, parent}).(*QGraphicsLinearLayout)
}

func (ptr *QGraphicsLinearLayout) AddItem(item QGraphicsLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem", item})
}

func (ptr *QGraphicsLinearLayout) AddStretch(stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddStretch", stretch})
}

func (ptr *QGraphicsLinearLayout) Alignment(item QGraphicsLayoutItem_ITF) core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment", item}).(float64))
}

func (ptr *QGraphicsLinearLayout) ConnectCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLinearLayout) DisconnectCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCount"})
}

func (ptr *QGraphicsLinearLayout) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QGraphicsLinearLayout) CountDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CountDefault"}).(float64))
}

func (ptr *QGraphicsLinearLayout) InsertItem(index int, item QGraphicsLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertItem", index, item})
}

func (ptr *QGraphicsLinearLayout) InsertStretch(index int, stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertStretch", index, stretch})
}

func (ptr *QGraphicsLinearLayout) ConnectItemAt(f func(index int) *QGraphicsLayoutItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLinearLayout) DisconnectItemAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemAt"})
}

func (ptr *QGraphicsLinearLayout) ItemAt(index int) *QGraphicsLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt", index}).(*QGraphicsLayoutItem)
}

func (ptr *QGraphicsLinearLayout) ItemAtDefault(index int) *QGraphicsLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAtDefault", index}).(*QGraphicsLayoutItem)
}

func (ptr *QGraphicsLinearLayout) ItemSpacing(index int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemSpacing", index}).(float64)
}

func (ptr *QGraphicsLinearLayout) Orientation() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QGraphicsLinearLayout) ConnectRemoveAt(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRemoveAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLinearLayout) DisconnectRemoveAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRemoveAt"})
}

func (ptr *QGraphicsLinearLayout) RemoveAt(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveAt", index})
}

func (ptr *QGraphicsLinearLayout) RemoveAtDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveAtDefault", index})
}

func (ptr *QGraphicsLinearLayout) RemoveItem(item QGraphicsLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveItem", item})
}

func (ptr *QGraphicsLinearLayout) SetAlignment(item QGraphicsLayoutItem_ITF, alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", item, alignment})
}

func (ptr *QGraphicsLinearLayout) SetItemSpacing(index int, spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemSpacing", index, spacing})
}

func (ptr *QGraphicsLinearLayout) SetOrientation(orientation core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrientation", orientation})
}

func (ptr *QGraphicsLinearLayout) SetSpacing(spacing float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSpacing", spacing})
}

func (ptr *QGraphicsLinearLayout) SetStretchFactor(item QGraphicsLayoutItem_ITF, stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStretchFactor", item, stretch})
}

func (ptr *QGraphicsLinearLayout) ConnectSizeHint(f func(which core.Qt__SizeHint, constraint *core.QSizeF) *core.QSizeF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLinearLayout) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QGraphicsLinearLayout) SizeHint(which core.Qt__SizeHint, constraint core.QSizeF_ITF) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint", which, constraint}).(*core.QSizeF)
}

func (ptr *QGraphicsLinearLayout) SizeHintDefault(which core.Qt__SizeHint, constraint core.QSizeF_ITF) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintDefault", which, constraint}).(*core.QSizeF)
}

func (ptr *QGraphicsLinearLayout) Spacing() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Spacing"}).(float64)
}

func (ptr *QGraphicsLinearLayout) StretchFactor(item QGraphicsLayoutItem_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StretchFactor", item}).(float64))
}

func (ptr *QGraphicsLinearLayout) ConnectDestroyQGraphicsLinearLayout(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsLinearLayout", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsLinearLayout) DisconnectDestroyQGraphicsLinearLayout() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsLinearLayout"})
}

func (ptr *QGraphicsLinearLayout) DestroyQGraphicsLinearLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsLinearLayout"})
}

func (ptr *QGraphicsLinearLayout) DestroyQGraphicsLinearLayoutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsLinearLayoutDefault"})
}

type QGraphicsObject struct {
	core.QObject
	QGraphicsItem
}

type QGraphicsObject_ITF interface {
	core.QObject_ITF
	QGraphicsItem_ITF
	QGraphicsObject_PTR() *QGraphicsObject
}

func (ptr *QGraphicsObject) QGraphicsObject_PTR() *QGraphicsObject {
	return ptr
}

func (ptr *QGraphicsObject) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsObject) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
		ptr.QGraphicsItem_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsObject(ptr QGraphicsObject_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsObject_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsObject) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)
	n.QGraphicsItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsObject) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQGraphicsObjectFromPointer(ptr unsafe.Pointer) (n *QGraphicsObject) {
	n = new(QGraphicsObject)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsObject")
	return
}
func NewQGraphicsObject(parent QGraphicsItem_ITF) *QGraphicsObject {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsObject", "", parent}).(*QGraphicsObject)
}

func (ptr *QGraphicsObject) ConnectEnabledChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectEnabledChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsObject) DisconnectEnabledChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectEnabledChanged"})
}

func (ptr *QGraphicsObject) EnabledChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EnabledChanged"})
}

func (ptr *QGraphicsObject) ConnectEvent(f func(ev *core.QEvent) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsObject) DisconnectEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectEvent"})
}

func (ptr *QGraphicsObject) Event(ev core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Event", ev}).(bool)
}

func (ptr *QGraphicsObject) EventDefault(ev core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventDefault", ev}).(bool)
}

func (ptr *QGraphicsObject) GrabGesture(gesture core.Qt__GestureType, flags core.Qt__GestureFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "GrabGesture", gesture, flags})
}

func (ptr *QGraphicsObject) ConnectOpacityChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectOpacityChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsObject) DisconnectOpacityChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectOpacityChanged"})
}

func (ptr *QGraphicsObject) OpacityChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "OpacityChanged"})
}

func (ptr *QGraphicsObject) ConnectParentChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectParentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsObject) DisconnectParentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectParentChanged"})
}

func (ptr *QGraphicsObject) ParentChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ParentChanged"})
}

func (ptr *QGraphicsObject) ConnectRotationChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectRotationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsObject) DisconnectRotationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectRotationChanged"})
}

func (ptr *QGraphicsObject) RotationChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RotationChanged"})
}

func (ptr *QGraphicsObject) ConnectScaleChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectScaleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsObject) DisconnectScaleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectScaleChanged"})
}

func (ptr *QGraphicsObject) ScaleChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ScaleChanged"})
}

func (ptr *QGraphicsObject) UngrabGesture(gesture core.Qt__GestureType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "UngrabGesture", gesture})
}

func (ptr *QGraphicsObject) ConnectUpdateMicroFocus(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectUpdateMicroFocus", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsObject) DisconnectUpdateMicroFocus() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectUpdateMicroFocus"})
}

func (ptr *QGraphicsObject) UpdateMicroFocus() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "UpdateMicroFocus"})
}

func (ptr *QGraphicsObject) UpdateMicroFocusDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "UpdateMicroFocusDefault"})
}

func (ptr *QGraphicsObject) ConnectVisibleChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectVisibleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsObject) DisconnectVisibleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectVisibleChanged"})
}

func (ptr *QGraphicsObject) VisibleChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "VisibleChanged"})
}

func (ptr *QGraphicsObject) ConnectXChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectXChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsObject) DisconnectXChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectXChanged"})
}

func (ptr *QGraphicsObject) XChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "XChanged"})
}

func (ptr *QGraphicsObject) ConnectYChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectYChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsObject) DisconnectYChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectYChanged"})
}

func (ptr *QGraphicsObject) YChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "YChanged"})
}

func (ptr *QGraphicsObject) ConnectZChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectZChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsObject) DisconnectZChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectZChanged"})
}

func (ptr *QGraphicsObject) ZChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ZChanged"})
}

func (ptr *QGraphicsObject) ConnectDestroyQGraphicsObject(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDestroyQGraphicsObject", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsObject) DisconnectDestroyQGraphicsObject() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDestroyQGraphicsObject"})
}

func (ptr *QGraphicsObject) DestroyQGraphicsObject() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQGraphicsObject"})
}

func (ptr *QGraphicsObject) DestroyQGraphicsObjectDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQGraphicsObjectDefault"})
}

func (ptr *QGraphicsObject) Parent() *QGraphicsObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Parent"}).(*QGraphicsObject)
}

func (ptr *QGraphicsObject) SetParent(parent QGraphicsObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetParent", parent})
}

func (ptr *QGraphicsObject) Opacity() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Opacity"}).(float64)
}

func (ptr *QGraphicsObject) SetOpacity(opacity float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetOpacity", opacity})
}

func (ptr *QGraphicsObject) IsEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsEnabled"}).(bool)
}

func (ptr *QGraphicsObject) SetEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetEnabled", enabled})
}

func (ptr *QGraphicsObject) IsVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsVisible"}).(bool)
}

func (ptr *QGraphicsObject) SetVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetVisible", visible})
}

func (ptr *QGraphicsObject) Pos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Pos"}).(*core.QPointF)
}

func (ptr *QGraphicsObject) SetPos(pos core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetPos", pos})
}

func (ptr *QGraphicsObject) X() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "X"}).(float64)
}

func (ptr *QGraphicsObject) SetX(x float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetX", x})
}

func (ptr *QGraphicsObject) Y() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Y"}).(float64)
}

func (ptr *QGraphicsObject) SetY(y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetY", y})
}

func (ptr *QGraphicsObject) ZValue() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ZValue"}).(float64)
}

func (ptr *QGraphicsObject) SetZValue(z float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetZValue", z})
}

func (ptr *QGraphicsObject) Rotation() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Rotation"}).(float64)
}

func (ptr *QGraphicsObject) SetRotation(rotation float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetRotation", rotation})
}

func (ptr *QGraphicsObject) Scale() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Scale"}).(float64)
}

func (ptr *QGraphicsObject) SetScale(scale float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetScale", scale})
}

func (ptr *QGraphicsObject) TransformOriginPoint() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TransformOriginPoint"}).(*core.QPointF)
}

func (ptr *QGraphicsObject) SetTransformOriginPoint(transformOriginPoint core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetTransformOriginPoint", transformOriginPoint})
}

func (ptr *QGraphicsObject) GraphicsEffect() *QGraphicsEffect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "GraphicsEffect"}).(*QGraphicsEffect)
}

func (ptr *QGraphicsObject) SetGraphicsEffect(effect QGraphicsEffect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetGraphicsEffect", effect})
}

func (ptr *QGraphicsObject) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QGraphicsObject) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QGraphicsObject) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsObject) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QGraphicsObject) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QGraphicsObject) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsObject) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QGraphicsObject) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QGraphicsObject) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsObject) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QGraphicsObject) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QGraphicsObject) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QGraphicsObject) ChildEvent(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEvent", event})
}

func (ptr *QGraphicsObject) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QGraphicsObject) ConnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotify", sign})
}

func (ptr *QGraphicsObject) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QGraphicsObject) CustomEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEvent", event})
}

func (ptr *QGraphicsObject) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QGraphicsObject) DeleteLater() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLater"})
}

func (ptr *QGraphicsObject) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QGraphicsObject) DisconnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotify", sign})
}

func (ptr *QGraphicsObject) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QGraphicsObject) EventFilter(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilter", watched, event}).(bool)
}

func (ptr *QGraphicsObject) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QGraphicsObject) MetaObject() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObject"}).(*core.QMetaObject)
}

func (ptr *QGraphicsObject) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QGraphicsObject) TimerEvent(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEvent", event})
}

func (ptr *QGraphicsObject) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEventDefault", event})
}

func (ptr *QGraphicsObject) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsObject) BoundingRectDefault() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "BoundingRectDefault"}).(*core.QRectF)
}

func (ptr *QGraphicsObject) Paint(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Paint", painter, option, widget})
}

func (ptr *QGraphicsObject) PaintDefault(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "PaintDefault", painter, option, widget})
}

type QGraphicsOpacityEffect struct {
	QGraphicsEffect
}

type QGraphicsOpacityEffect_ITF interface {
	QGraphicsEffect_ITF
	QGraphicsOpacityEffect_PTR() *QGraphicsOpacityEffect
}

func (ptr *QGraphicsOpacityEffect) QGraphicsOpacityEffect_PTR() *QGraphicsOpacityEffect {
	return ptr
}

func (ptr *QGraphicsOpacityEffect) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsEffect_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsOpacityEffect) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsEffect_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsOpacityEffect(ptr QGraphicsOpacityEffect_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsOpacityEffect_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsOpacityEffect) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsEffect_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsOpacityEffect) ClassNameInternalF() string {
	return n.QGraphicsEffect_PTR().ClassNameInternalF()
}

func NewQGraphicsOpacityEffectFromPointer(ptr unsafe.Pointer) (n *QGraphicsOpacityEffect) {
	n = new(QGraphicsOpacityEffect)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsOpacityEffect")
	return
}
func NewQGraphicsOpacityEffect(parent core.QObject_ITF) *QGraphicsOpacityEffect {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsOpacityEffect", "", parent}).(*QGraphicsOpacityEffect)
}

func (ptr *QGraphicsOpacityEffect) ConnectDraw(f func(painter *gui.QPainter)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDraw", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsOpacityEffect) DisconnectDraw() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDraw"})
}

func (ptr *QGraphicsOpacityEffect) Draw(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Draw", painter})
}

func (ptr *QGraphicsOpacityEffect) DrawDefault(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawDefault", painter})
}

func (ptr *QGraphicsOpacityEffect) Opacity() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Opacity"}).(float64)
}

func (ptr *QGraphicsOpacityEffect) ConnectOpacityChanged(f func(opacity float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOpacityChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsOpacityEffect) DisconnectOpacityChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOpacityChanged"})
}

func (ptr *QGraphicsOpacityEffect) OpacityChanged(opacity float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpacityChanged", opacity})
}

func (ptr *QGraphicsOpacityEffect) OpacityMask() *gui.QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpacityMask"}).(*gui.QBrush)
}

func (ptr *QGraphicsOpacityEffect) ConnectOpacityMaskChanged(f func(mask *gui.QBrush)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOpacityMaskChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsOpacityEffect) DisconnectOpacityMaskChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOpacityMaskChanged"})
}

func (ptr *QGraphicsOpacityEffect) OpacityMaskChanged(mask gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpacityMaskChanged", mask})
}

func (ptr *QGraphicsOpacityEffect) ConnectSetOpacity(f func(opacity float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetOpacity", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsOpacityEffect) DisconnectSetOpacity() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetOpacity"})
}

func (ptr *QGraphicsOpacityEffect) SetOpacity(opacity float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOpacity", opacity})
}

func (ptr *QGraphicsOpacityEffect) SetOpacityDefault(opacity float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOpacityDefault", opacity})
}

func (ptr *QGraphicsOpacityEffect) ConnectSetOpacityMask(f func(mask *gui.QBrush)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetOpacityMask", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsOpacityEffect) DisconnectSetOpacityMask() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetOpacityMask"})
}

func (ptr *QGraphicsOpacityEffect) SetOpacityMask(mask gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOpacityMask", mask})
}

func (ptr *QGraphicsOpacityEffect) SetOpacityMaskDefault(mask gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOpacityMaskDefault", mask})
}

func (ptr *QGraphicsOpacityEffect) ConnectDestroyQGraphicsOpacityEffect(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsOpacityEffect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsOpacityEffect) DisconnectDestroyQGraphicsOpacityEffect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsOpacityEffect"})
}

func (ptr *QGraphicsOpacityEffect) DestroyQGraphicsOpacityEffect() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsOpacityEffect"})
}

func (ptr *QGraphicsOpacityEffect) DestroyQGraphicsOpacityEffectDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsOpacityEffectDefault"})
}

type QGraphicsPathItem struct {
	QAbstractGraphicsShapeItem
}

type QGraphicsPathItem_ITF interface {
	QAbstractGraphicsShapeItem_ITF
	QGraphicsPathItem_PTR() *QGraphicsPathItem
}

func (ptr *QGraphicsPathItem) QGraphicsPathItem_PTR() *QGraphicsPathItem {
	return ptr
}

func (ptr *QGraphicsPathItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractGraphicsShapeItem_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsPathItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractGraphicsShapeItem_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsPathItem(ptr QGraphicsPathItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsPathItem_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsPathItem) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractGraphicsShapeItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsPathItem) ClassNameInternalF() string {
	return n.QAbstractGraphicsShapeItem_PTR().ClassNameInternalF()
}

func NewQGraphicsPathItemFromPointer(ptr unsafe.Pointer) (n *QGraphicsPathItem) {
	n = new(QGraphicsPathItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsPathItem")
	return
}

//go:generate stringer -type=QGraphicsPathItem__anonymous
//QGraphicsPathItem::anonymous
type QGraphicsPathItem__anonymous int64

const (
	QGraphicsPathItem__Type QGraphicsPathItem__anonymous = QGraphicsPathItem__anonymous(2)
)

func NewQGraphicsPathItem(parent QGraphicsItem_ITF) *QGraphicsPathItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsPathItem", "", parent}).(*QGraphicsPathItem)
}

func NewQGraphicsPathItem2(path gui.QPainterPath_ITF, parent QGraphicsItem_ITF) *QGraphicsPathItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsPathItem2", "", path, parent}).(*QGraphicsPathItem)
}

func (ptr *QGraphicsPathItem) ConnectBoundingRect(f func() *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsPathItem) DisconnectBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBoundingRect"})
}

func (ptr *QGraphicsPathItem) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsPathItem) BoundingRectDefault() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRectDefault"}).(*core.QRectF)
}

func (ptr *QGraphicsPathItem) ConnectPaint(f func(painter *gui.QPainter, option *QStyleOptionGraphicsItem, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsPathItem) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QGraphicsPathItem) Paint(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, option, widget})
}

func (ptr *QGraphicsPathItem) PaintDefault(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDefault", painter, option, widget})
}

func (ptr *QGraphicsPathItem) Path() *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Path"}).(*gui.QPainterPath)
}

func (ptr *QGraphicsPathItem) SetPath(path gui.QPainterPath_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPath", path})
}

func (ptr *QGraphicsPathItem) ConnectDestroyQGraphicsPathItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsPathItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsPathItem) DisconnectDestroyQGraphicsPathItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsPathItem"})
}

func (ptr *QGraphicsPathItem) DestroyQGraphicsPathItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsPathItem"})
}

func (ptr *QGraphicsPathItem) DestroyQGraphicsPathItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsPathItemDefault"})
}

type QGraphicsPixmapItem struct {
	QGraphicsItem
}

type QGraphicsPixmapItem_ITF interface {
	QGraphicsItem_ITF
	QGraphicsPixmapItem_PTR() *QGraphicsPixmapItem
}

func (ptr *QGraphicsPixmapItem) QGraphicsPixmapItem_PTR() *QGraphicsPixmapItem {
	return ptr
}

func (ptr *QGraphicsPixmapItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsItem_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsPixmapItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsItem_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsPixmapItem(ptr QGraphicsPixmapItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsPixmapItem_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsPixmapItem) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsPixmapItem) ClassNameInternalF() string {
	return n.QGraphicsItem_PTR().ClassNameInternalF()
}

func NewQGraphicsPixmapItemFromPointer(ptr unsafe.Pointer) (n *QGraphicsPixmapItem) {
	n = new(QGraphicsPixmapItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsPixmapItem")
	return
}

//go:generate stringer -type=QGraphicsPixmapItem__ShapeMode
//QGraphicsPixmapItem::ShapeMode
type QGraphicsPixmapItem__ShapeMode int64

const (
	QGraphicsPixmapItem__MaskShape          QGraphicsPixmapItem__ShapeMode = QGraphicsPixmapItem__ShapeMode(0)
	QGraphicsPixmapItem__BoundingRectShape  QGraphicsPixmapItem__ShapeMode = QGraphicsPixmapItem__ShapeMode(1)
	QGraphicsPixmapItem__HeuristicMaskShape QGraphicsPixmapItem__ShapeMode = QGraphicsPixmapItem__ShapeMode(2)
)

//go:generate stringer -type=QGraphicsPixmapItem__anonymous
//QGraphicsPixmapItem::anonymous
type QGraphicsPixmapItem__anonymous int64

const (
	QGraphicsPixmapItem__Type QGraphicsPixmapItem__anonymous = QGraphicsPixmapItem__anonymous(7)
)

func NewQGraphicsPixmapItem(parent QGraphicsItem_ITF) *QGraphicsPixmapItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsPixmapItem", "", parent}).(*QGraphicsPixmapItem)
}

func NewQGraphicsPixmapItem2(pixmap gui.QPixmap_ITF, parent QGraphicsItem_ITF) *QGraphicsPixmapItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsPixmapItem2", "", pixmap, parent}).(*QGraphicsPixmapItem)
}

func (ptr *QGraphicsPixmapItem) ConnectBoundingRect(f func() *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsPixmapItem) DisconnectBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBoundingRect"})
}

func (ptr *QGraphicsPixmapItem) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsPixmapItem) BoundingRectDefault() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRectDefault"}).(*core.QRectF)
}

func (ptr *QGraphicsPixmapItem) Offset() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Offset"}).(*core.QPointF)
}

func (ptr *QGraphicsPixmapItem) ConnectPaint(f func(painter *gui.QPainter, option *QStyleOptionGraphicsItem, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsPixmapItem) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QGraphicsPixmapItem) Paint(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, option, widget})
}

func (ptr *QGraphicsPixmapItem) PaintDefault(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDefault", painter, option, widget})
}

func (ptr *QGraphicsPixmapItem) Pixmap() *gui.QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixmap"}).(*gui.QPixmap)
}

func (ptr *QGraphicsPixmapItem) SetOffset(offset core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffset", offset})
}

func (ptr *QGraphicsPixmapItem) SetOffset2(x float64, y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffset2", x, y})
}

func (ptr *QGraphicsPixmapItem) SetPixmap(pixmap gui.QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixmap", pixmap})
}

func (ptr *QGraphicsPixmapItem) SetShapeMode(mode QGraphicsPixmapItem__ShapeMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShapeMode", mode})
}

func (ptr *QGraphicsPixmapItem) SetTransformationMode(mode core.Qt__TransformationMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTransformationMode", mode})
}

func (ptr *QGraphicsPixmapItem) ShapeMode() QGraphicsPixmapItem__ShapeMode {

	return QGraphicsPixmapItem__ShapeMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShapeMode"}).(float64))
}

func (ptr *QGraphicsPixmapItem) TransformationMode() core.Qt__TransformationMode {

	return core.Qt__TransformationMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TransformationMode"}).(float64))
}

func (ptr *QGraphicsPixmapItem) ConnectDestroyQGraphicsPixmapItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsPixmapItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsPixmapItem) DisconnectDestroyQGraphicsPixmapItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsPixmapItem"})
}

func (ptr *QGraphicsPixmapItem) DestroyQGraphicsPixmapItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsPixmapItem"})
}

func (ptr *QGraphicsPixmapItem) DestroyQGraphicsPixmapItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsPixmapItemDefault"})
}

type QGraphicsPolygonItem struct {
	QAbstractGraphicsShapeItem
}

type QGraphicsPolygonItem_ITF interface {
	QAbstractGraphicsShapeItem_ITF
	QGraphicsPolygonItem_PTR() *QGraphicsPolygonItem
}

func (ptr *QGraphicsPolygonItem) QGraphicsPolygonItem_PTR() *QGraphicsPolygonItem {
	return ptr
}

func (ptr *QGraphicsPolygonItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractGraphicsShapeItem_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsPolygonItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractGraphicsShapeItem_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsPolygonItem(ptr QGraphicsPolygonItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsPolygonItem_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsPolygonItem) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractGraphicsShapeItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsPolygonItem) ClassNameInternalF() string {
	return n.QAbstractGraphicsShapeItem_PTR().ClassNameInternalF()
}

func NewQGraphicsPolygonItemFromPointer(ptr unsafe.Pointer) (n *QGraphicsPolygonItem) {
	n = new(QGraphicsPolygonItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsPolygonItem")
	return
}

//go:generate stringer -type=QGraphicsPolygonItem__anonymous
//QGraphicsPolygonItem::anonymous
type QGraphicsPolygonItem__anonymous int64

const (
	QGraphicsPolygonItem__Type QGraphicsPolygonItem__anonymous = QGraphicsPolygonItem__anonymous(5)
)

func NewQGraphicsPolygonItem(parent QGraphicsItem_ITF) *QGraphicsPolygonItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsPolygonItem", "", parent}).(*QGraphicsPolygonItem)
}

func NewQGraphicsPolygonItem2(polygon gui.QPolygonF_ITF, parent QGraphicsItem_ITF) *QGraphicsPolygonItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsPolygonItem2", "", polygon, parent}).(*QGraphicsPolygonItem)
}

func (ptr *QGraphicsPolygonItem) ConnectBoundingRect(f func() *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsPolygonItem) DisconnectBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBoundingRect"})
}

func (ptr *QGraphicsPolygonItem) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsPolygonItem) BoundingRectDefault() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRectDefault"}).(*core.QRectF)
}

func (ptr *QGraphicsPolygonItem) FillRule() core.Qt__FillRule {

	return core.Qt__FillRule(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FillRule"}).(float64))
}

func (ptr *QGraphicsPolygonItem) ConnectPaint(f func(painter *gui.QPainter, option *QStyleOptionGraphicsItem, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsPolygonItem) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QGraphicsPolygonItem) Paint(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, option, widget})
}

func (ptr *QGraphicsPolygonItem) PaintDefault(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDefault", painter, option, widget})
}

func (ptr *QGraphicsPolygonItem) Polygon() *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Polygon"}).(*gui.QPolygonF)
}

func (ptr *QGraphicsPolygonItem) SetFillRule(rule core.Qt__FillRule) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFillRule", rule})
}

func (ptr *QGraphicsPolygonItem) SetPolygon(polygon gui.QPolygonF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPolygon", polygon})
}

func (ptr *QGraphicsPolygonItem) ConnectDestroyQGraphicsPolygonItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsPolygonItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsPolygonItem) DisconnectDestroyQGraphicsPolygonItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsPolygonItem"})
}

func (ptr *QGraphicsPolygonItem) DestroyQGraphicsPolygonItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsPolygonItem"})
}

func (ptr *QGraphicsPolygonItem) DestroyQGraphicsPolygonItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsPolygonItemDefault"})
}

type QGraphicsProxyWidget struct {
	QGraphicsWidget
}

type QGraphicsProxyWidget_ITF interface {
	QGraphicsWidget_ITF
	QGraphicsProxyWidget_PTR() *QGraphicsProxyWidget
}

func (ptr *QGraphicsProxyWidget) QGraphicsProxyWidget_PTR() *QGraphicsProxyWidget {
	return ptr
}

func (ptr *QGraphicsProxyWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsProxyWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsWidget_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsProxyWidget(ptr QGraphicsProxyWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsProxyWidget_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsProxyWidget) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsProxyWidget) ClassNameInternalF() string {
	return n.QGraphicsWidget_PTR().ClassNameInternalF()
}

func NewQGraphicsProxyWidgetFromPointer(ptr unsafe.Pointer) (n *QGraphicsProxyWidget) {
	n = new(QGraphicsProxyWidget)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsProxyWidget")
	return
}

//go:generate stringer -type=QGraphicsProxyWidget__anonymous
//QGraphicsProxyWidget::anonymous
type QGraphicsProxyWidget__anonymous int64

const (
	QGraphicsProxyWidget__Type QGraphicsProxyWidget__anonymous = QGraphicsProxyWidget__anonymous(12)
)

func NewQGraphicsProxyWidget(parent QGraphicsItem_ITF, wFlags core.Qt__WindowType) *QGraphicsProxyWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsProxyWidget", "", parent, wFlags}).(*QGraphicsProxyWidget)
}

func (ptr *QGraphicsProxyWidget) CreateProxyForChildWidget(child QWidget_ITF) *QGraphicsProxyWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateProxyForChildWidget", child}).(*QGraphicsProxyWidget)
}

func (ptr *QGraphicsProxyWidget) ConnectNewProxyWidget(f func(child *QWidget) *QGraphicsProxyWidget) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNewProxyWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsProxyWidget) DisconnectNewProxyWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNewProxyWidget"})
}

func (ptr *QGraphicsProxyWidget) NewProxyWidget(child QWidget_ITF) *QGraphicsProxyWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NewProxyWidget", child}).(*QGraphicsProxyWidget)
}

func (ptr *QGraphicsProxyWidget) NewProxyWidgetDefault(child QWidget_ITF) *QGraphicsProxyWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NewProxyWidgetDefault", child}).(*QGraphicsProxyWidget)
}

func (ptr *QGraphicsProxyWidget) SetWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidget", widget})
}

func (ptr *QGraphicsProxyWidget) SubWidgetRect(widget QWidget_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubWidgetRect", widget}).(*core.QRectF)
}

func (ptr *QGraphicsProxyWidget) Widget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Widget"}).(*QWidget)
}

func (ptr *QGraphicsProxyWidget) ConnectDestroyQGraphicsProxyWidget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsProxyWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsProxyWidget) DisconnectDestroyQGraphicsProxyWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsProxyWidget"})
}

func (ptr *QGraphicsProxyWidget) DestroyQGraphicsProxyWidget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsProxyWidget"})
}

func (ptr *QGraphicsProxyWidget) DestroyQGraphicsProxyWidgetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsProxyWidgetDefault"})
}

type QGraphicsRectItem struct {
	QAbstractGraphicsShapeItem
}

type QGraphicsRectItem_ITF interface {
	QAbstractGraphicsShapeItem_ITF
	QGraphicsRectItem_PTR() *QGraphicsRectItem
}

func (ptr *QGraphicsRectItem) QGraphicsRectItem_PTR() *QGraphicsRectItem {
	return ptr
}

func (ptr *QGraphicsRectItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractGraphicsShapeItem_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsRectItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractGraphicsShapeItem_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsRectItem(ptr QGraphicsRectItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsRectItem_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsRectItem) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractGraphicsShapeItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsRectItem) ClassNameInternalF() string {
	return n.QAbstractGraphicsShapeItem_PTR().ClassNameInternalF()
}

func NewQGraphicsRectItemFromPointer(ptr unsafe.Pointer) (n *QGraphicsRectItem) {
	n = new(QGraphicsRectItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsRectItem")
	return
}

//go:generate stringer -type=QGraphicsRectItem__anonymous
//QGraphicsRectItem::anonymous
type QGraphicsRectItem__anonymous int64

const (
	QGraphicsRectItem__Type QGraphicsRectItem__anonymous = QGraphicsRectItem__anonymous(3)
)

func NewQGraphicsRectItem(parent QGraphicsItem_ITF) *QGraphicsRectItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsRectItem", "", parent}).(*QGraphicsRectItem)
}

func NewQGraphicsRectItem2(rect core.QRectF_ITF, parent QGraphicsItem_ITF) *QGraphicsRectItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsRectItem2", "", rect, parent}).(*QGraphicsRectItem)
}

func NewQGraphicsRectItem3(x float64, y float64, width float64, height float64, parent QGraphicsItem_ITF) *QGraphicsRectItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsRectItem3", "", x, y, width, height, parent}).(*QGraphicsRectItem)
}

func (ptr *QGraphicsRectItem) ConnectBoundingRect(f func() *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsRectItem) DisconnectBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBoundingRect"})
}

func (ptr *QGraphicsRectItem) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsRectItem) BoundingRectDefault() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRectDefault"}).(*core.QRectF)
}

func (ptr *QGraphicsRectItem) ConnectPaint(f func(painter *gui.QPainter, option *QStyleOptionGraphicsItem, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsRectItem) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QGraphicsRectItem) Paint(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, option, widget})
}

func (ptr *QGraphicsRectItem) PaintDefault(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDefault", painter, option, widget})
}

func (ptr *QGraphicsRectItem) Rect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rect"}).(*core.QRectF)
}

func (ptr *QGraphicsRectItem) SetRect(rectangle core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRect", rectangle})
}

func (ptr *QGraphicsRectItem) SetRect2(x float64, y float64, width float64, height float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRect2", x, y, width, height})
}

func (ptr *QGraphicsRectItem) ConnectDestroyQGraphicsRectItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsRectItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsRectItem) DisconnectDestroyQGraphicsRectItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsRectItem"})
}

func (ptr *QGraphicsRectItem) DestroyQGraphicsRectItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsRectItem"})
}

func (ptr *QGraphicsRectItem) DestroyQGraphicsRectItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsRectItemDefault"})
}

type QGraphicsRotation struct {
	QGraphicsTransform
}

type QGraphicsRotation_ITF interface {
	QGraphicsTransform_ITF
	QGraphicsRotation_PTR() *QGraphicsRotation
}

func (ptr *QGraphicsRotation) QGraphicsRotation_PTR() *QGraphicsRotation {
	return ptr
}

func (ptr *QGraphicsRotation) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsTransform_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsRotation) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsTransform_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsRotation(ptr QGraphicsRotation_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsRotation_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsRotation) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsTransform_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsRotation) ClassNameInternalF() string {
	return n.QGraphicsTransform_PTR().ClassNameInternalF()
}

func NewQGraphicsRotationFromPointer(ptr unsafe.Pointer) (n *QGraphicsRotation) {
	n = new(QGraphicsRotation)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsRotation")
	return
}
func NewQGraphicsRotation(parent core.QObject_ITF) *QGraphicsRotation {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsRotation", "", parent}).(*QGraphicsRotation)
}

func (ptr *QGraphicsRotation) Angle() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Angle"}).(float64)
}

func (ptr *QGraphicsRotation) ConnectAngleChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAngleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsRotation) DisconnectAngleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAngleChanged"})
}

func (ptr *QGraphicsRotation) AngleChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AngleChanged"})
}

func (ptr *QGraphicsRotation) ConnectApplyTo(f func(matrix *gui.QMatrix4x4)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectApplyTo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsRotation) DisconnectApplyTo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectApplyTo"})
}

func (ptr *QGraphicsRotation) ApplyTo(matrix gui.QMatrix4x4_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApplyTo", matrix})
}

func (ptr *QGraphicsRotation) ApplyToDefault(matrix gui.QMatrix4x4_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApplyToDefault", matrix})
}

func (ptr *QGraphicsRotation) Axis() *gui.QVector3D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Axis"}).(*gui.QVector3D)
}

func (ptr *QGraphicsRotation) ConnectAxisChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAxisChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsRotation) DisconnectAxisChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAxisChanged"})
}

func (ptr *QGraphicsRotation) AxisChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AxisChanged"})
}

func (ptr *QGraphicsRotation) Origin() *gui.QVector3D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Origin"}).(*gui.QVector3D)
}

func (ptr *QGraphicsRotation) ConnectOriginChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOriginChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsRotation) DisconnectOriginChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOriginChanged"})
}

func (ptr *QGraphicsRotation) OriginChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OriginChanged"})
}

func (ptr *QGraphicsRotation) SetAngle(vqr float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAngle", vqr})
}

func (ptr *QGraphicsRotation) SetAxis(axis gui.QVector3D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAxis", axis})
}

func (ptr *QGraphicsRotation) SetAxis2(axis core.Qt__Axis) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAxis2", axis})
}

func (ptr *QGraphicsRotation) SetOrigin(point gui.QVector3D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrigin", point})
}

func (ptr *QGraphicsRotation) ConnectDestroyQGraphicsRotation(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsRotation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsRotation) DisconnectDestroyQGraphicsRotation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsRotation"})
}

func (ptr *QGraphicsRotation) DestroyQGraphicsRotation() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsRotation"})
}

func (ptr *QGraphicsRotation) DestroyQGraphicsRotationDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsRotationDefault"})
}

type QGraphicsScale struct {
	QGraphicsTransform
}

type QGraphicsScale_ITF interface {
	QGraphicsTransform_ITF
	QGraphicsScale_PTR() *QGraphicsScale
}

func (ptr *QGraphicsScale) QGraphicsScale_PTR() *QGraphicsScale {
	return ptr
}

func (ptr *QGraphicsScale) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsTransform_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsScale) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsTransform_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsScale(ptr QGraphicsScale_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsScale_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsScale) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsTransform_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsScale) ClassNameInternalF() string {
	return n.QGraphicsTransform_PTR().ClassNameInternalF()
}

func NewQGraphicsScaleFromPointer(ptr unsafe.Pointer) (n *QGraphicsScale) {
	n = new(QGraphicsScale)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsScale")
	return
}
func NewQGraphicsScale(parent core.QObject_ITF) *QGraphicsScale {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsScale", "", parent}).(*QGraphicsScale)
}

func (ptr *QGraphicsScale) ConnectApplyTo(f func(matrix *gui.QMatrix4x4)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectApplyTo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScale) DisconnectApplyTo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectApplyTo"})
}

func (ptr *QGraphicsScale) ApplyTo(matrix gui.QMatrix4x4_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApplyTo", matrix})
}

func (ptr *QGraphicsScale) ApplyToDefault(matrix gui.QMatrix4x4_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApplyToDefault", matrix})
}

func (ptr *QGraphicsScale) Origin() *gui.QVector3D {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Origin"}).(*gui.QVector3D)
}

func (ptr *QGraphicsScale) ConnectOriginChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOriginChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScale) DisconnectOriginChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOriginChanged"})
}

func (ptr *QGraphicsScale) OriginChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OriginChanged"})
}

func (ptr *QGraphicsScale) ConnectScaleChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScaleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScale) DisconnectScaleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScaleChanged"})
}

func (ptr *QGraphicsScale) ScaleChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScaleChanged"})
}

func (ptr *QGraphicsScale) SetOrigin(point gui.QVector3D_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrigin", point})
}

func (ptr *QGraphicsScale) SetXScale(vqr float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetXScale", vqr})
}

func (ptr *QGraphicsScale) SetYScale(vqr float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetYScale", vqr})
}

func (ptr *QGraphicsScale) SetZScale(vqr float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetZScale", vqr})
}

func (ptr *QGraphicsScale) XScale() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "XScale"}).(float64)
}

func (ptr *QGraphicsScale) ConnectXScaleChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectXScaleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScale) DisconnectXScaleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectXScaleChanged"})
}

func (ptr *QGraphicsScale) XScaleChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "XScaleChanged"})
}

func (ptr *QGraphicsScale) YScale() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "YScale"}).(float64)
}

func (ptr *QGraphicsScale) ConnectYScaleChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectYScaleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScale) DisconnectYScaleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectYScaleChanged"})
}

func (ptr *QGraphicsScale) YScaleChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "YScaleChanged"})
}

func (ptr *QGraphicsScale) ZScale() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ZScale"}).(float64)
}

func (ptr *QGraphicsScale) ConnectZScaleChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectZScaleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScale) DisconnectZScaleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectZScaleChanged"})
}

func (ptr *QGraphicsScale) ZScaleChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ZScaleChanged"})
}

func (ptr *QGraphicsScale) ConnectDestroyQGraphicsScale(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsScale", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScale) DisconnectDestroyQGraphicsScale() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsScale"})
}

func (ptr *QGraphicsScale) DestroyQGraphicsScale() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsScale"})
}

func (ptr *QGraphicsScale) DestroyQGraphicsScaleDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsScaleDefault"})
}

type QGraphicsScene struct {
	core.QObject
}

type QGraphicsScene_ITF interface {
	core.QObject_ITF
	QGraphicsScene_PTR() *QGraphicsScene
}

func (ptr *QGraphicsScene) QGraphicsScene_PTR() *QGraphicsScene {
	return ptr
}

func (ptr *QGraphicsScene) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsScene) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsScene(ptr QGraphicsScene_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsScene_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsScene) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsScene) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQGraphicsSceneFromPointer(ptr unsafe.Pointer) (n *QGraphicsScene) {
	n = new(QGraphicsScene)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsScene")
	return
}

//go:generate stringer -type=QGraphicsScene__SceneLayer
//QGraphicsScene::SceneLayer
type QGraphicsScene__SceneLayer int64

const (
	QGraphicsScene__ItemLayer       QGraphicsScene__SceneLayer = QGraphicsScene__SceneLayer(0x1)
	QGraphicsScene__BackgroundLayer QGraphicsScene__SceneLayer = QGraphicsScene__SceneLayer(0x2)
	QGraphicsScene__ForegroundLayer QGraphicsScene__SceneLayer = QGraphicsScene__SceneLayer(0x4)
	QGraphicsScene__AllLayers       QGraphicsScene__SceneLayer = QGraphicsScene__SceneLayer(0xffff)
)

//go:generate stringer -type=QGraphicsScene__ItemIndexMethod
//QGraphicsScene::ItemIndexMethod
type QGraphicsScene__ItemIndexMethod int64

const (
	QGraphicsScene__BspTreeIndex QGraphicsScene__ItemIndexMethod = QGraphicsScene__ItemIndexMethod(0)
	QGraphicsScene__NoIndex      QGraphicsScene__ItemIndexMethod = QGraphicsScene__ItemIndexMethod(-1)
)

func NewQGraphicsScene(parent core.QObject_ITF) *QGraphicsScene {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsScene", "", parent}).(*QGraphicsScene)
}

func NewQGraphicsScene2(sceneRect core.QRectF_ITF, parent core.QObject_ITF) *QGraphicsScene {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsScene2", "", sceneRect, parent}).(*QGraphicsScene)
}

func NewQGraphicsScene3(x float64, y float64, width float64, height float64, parent core.QObject_ITF) *QGraphicsScene {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsScene3", "", x, y, width, height, parent}).(*QGraphicsScene)
}

func (ptr *QGraphicsScene) ActivePanel() *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActivePanel"}).(*QGraphicsItem)
}

func (ptr *QGraphicsScene) ActiveWindow() *QGraphicsWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveWindow"}).(*QGraphicsWidget)
}

func (ptr *QGraphicsScene) AddEllipse(rect core.QRectF_ITF, pen gui.QPen_ITF, brush gui.QBrush_ITF) *QGraphicsEllipseItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddEllipse", rect, pen, brush}).(*QGraphicsEllipseItem)
}

func (ptr *QGraphicsScene) AddEllipse2(x float64, y float64, w float64, h float64, pen gui.QPen_ITF, brush gui.QBrush_ITF) *QGraphicsEllipseItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddEllipse2", x, y, w, h, pen, brush}).(*QGraphicsEllipseItem)
}

func (ptr *QGraphicsScene) AddItem(item QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem", item})
}

func (ptr *QGraphicsScene) AddLine(line core.QLineF_ITF, pen gui.QPen_ITF) *QGraphicsLineItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddLine", line, pen}).(*QGraphicsLineItem)
}

func (ptr *QGraphicsScene) AddLine2(x1 float64, y1 float64, x2 float64, y2 float64, pen gui.QPen_ITF) *QGraphicsLineItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddLine2", x1, y1, x2, y2, pen}).(*QGraphicsLineItem)
}

func (ptr *QGraphicsScene) AddPath(path gui.QPainterPath_ITF, pen gui.QPen_ITF, brush gui.QBrush_ITF) *QGraphicsPathItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPath", path, pen, brush}).(*QGraphicsPathItem)
}

func (ptr *QGraphicsScene) AddPixmap(pixmap gui.QPixmap_ITF) *QGraphicsPixmapItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPixmap", pixmap}).(*QGraphicsPixmapItem)
}

func (ptr *QGraphicsScene) AddPolygon(polygon gui.QPolygonF_ITF, pen gui.QPen_ITF, brush gui.QBrush_ITF) *QGraphicsPolygonItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPolygon", polygon, pen, brush}).(*QGraphicsPolygonItem)
}

func (ptr *QGraphicsScene) AddRect(rect core.QRectF_ITF, pen gui.QPen_ITF, brush gui.QBrush_ITF) *QGraphicsRectItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddRect", rect, pen, brush}).(*QGraphicsRectItem)
}

func (ptr *QGraphicsScene) AddRect2(x float64, y float64, w float64, h float64, pen gui.QPen_ITF, brush gui.QBrush_ITF) *QGraphicsRectItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddRect2", x, y, w, h, pen, brush}).(*QGraphicsRectItem)
}

func (ptr *QGraphicsScene) AddSimpleText(text string, font gui.QFont_ITF) *QGraphicsSimpleTextItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddSimpleText", text, font}).(*QGraphicsSimpleTextItem)
}

func (ptr *QGraphicsScene) AddText(text string, font gui.QFont_ITF) *QGraphicsTextItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddText", text, font}).(*QGraphicsTextItem)
}

func (ptr *QGraphicsScene) AddWidget(widget QWidget_ITF, wFlags core.Qt__WindowType) *QGraphicsProxyWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddWidget", widget, wFlags}).(*QGraphicsProxyWidget)
}

func (ptr *QGraphicsScene) ConnectAdvance(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAdvance", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectAdvance() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAdvance"})
}

func (ptr *QGraphicsScene) Advance() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Advance"})
}

func (ptr *QGraphicsScene) AdvanceDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AdvanceDefault"})
}

func (ptr *QGraphicsScene) BackgroundBrush() *gui.QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackgroundBrush"}).(*gui.QBrush)
}

func (ptr *QGraphicsScene) BspTreeDepth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BspTreeDepth"}).(float64))
}

func (ptr *QGraphicsScene) ConnectChanged(f func(region []*core.QRectF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectChanged"})
}

func (ptr *QGraphicsScene) Changed(region []*core.QRectF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Changed", region})
}

func (ptr *QGraphicsScene) ConnectClear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectClear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClear"})
}

func (ptr *QGraphicsScene) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QGraphicsScene) ClearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearDefault"})
}

func (ptr *QGraphicsScene) ClearFocus() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearFocus"})
}

func (ptr *QGraphicsScene) ConnectClearSelection(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClearSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectClearSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClearSelection"})
}

func (ptr *QGraphicsScene) ClearSelection() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearSelection"})
}

func (ptr *QGraphicsScene) ClearSelectionDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearSelectionDefault"})
}

func (ptr *QGraphicsScene) CollidingItems(item QGraphicsItem_ITF, mode core.Qt__ItemSelectionMode) []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CollidingItems", item, mode}).([]*QGraphicsItem)
}

func (ptr *QGraphicsScene) ConnectContextMenuEvent(f func(contextMenuEvent *QGraphicsSceneContextMenuEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectContextMenuEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectContextMenuEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectContextMenuEvent"})
}

func (ptr *QGraphicsScene) ContextMenuEvent(contextMenuEvent QGraphicsSceneContextMenuEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContextMenuEvent", contextMenuEvent})
}

func (ptr *QGraphicsScene) ContextMenuEventDefault(contextMenuEvent QGraphicsSceneContextMenuEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContextMenuEventDefault", contextMenuEvent})
}

func (ptr *QGraphicsScene) CreateItemGroup(items []*QGraphicsItem) *QGraphicsItemGroup {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateItemGroup", items}).(*QGraphicsItemGroup)
}

func (ptr *QGraphicsScene) DestroyItemGroup(group QGraphicsItemGroup_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyItemGroup", group})
}

func (ptr *QGraphicsScene) ConnectDragEnterEvent(f func(event *QGraphicsSceneDragDropEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDragEnterEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectDragEnterEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDragEnterEvent"})
}

func (ptr *QGraphicsScene) DragEnterEvent(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragEnterEvent", event})
}

func (ptr *QGraphicsScene) DragEnterEventDefault(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragEnterEventDefault", event})
}

func (ptr *QGraphicsScene) ConnectDragLeaveEvent(f func(event *QGraphicsSceneDragDropEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDragLeaveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectDragLeaveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDragLeaveEvent"})
}

func (ptr *QGraphicsScene) DragLeaveEvent(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragLeaveEvent", event})
}

func (ptr *QGraphicsScene) DragLeaveEventDefault(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragLeaveEventDefault", event})
}

func (ptr *QGraphicsScene) ConnectDragMoveEvent(f func(event *QGraphicsSceneDragDropEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDragMoveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectDragMoveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDragMoveEvent"})
}

func (ptr *QGraphicsScene) DragMoveEvent(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragMoveEvent", event})
}

func (ptr *QGraphicsScene) DragMoveEventDefault(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragMoveEventDefault", event})
}

func (ptr *QGraphicsScene) ConnectDrawBackground(f func(painter *gui.QPainter, rect *core.QRectF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawBackground", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectDrawBackground() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawBackground"})
}

func (ptr *QGraphicsScene) DrawBackground(painter gui.QPainter_ITF, rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawBackground", painter, rect})
}

func (ptr *QGraphicsScene) DrawBackgroundDefault(painter gui.QPainter_ITF, rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawBackgroundDefault", painter, rect})
}

func (ptr *QGraphicsScene) ConnectDrawForeground(f func(painter *gui.QPainter, rect *core.QRectF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawForeground", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectDrawForeground() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawForeground"})
}

func (ptr *QGraphicsScene) DrawForeground(painter gui.QPainter_ITF, rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawForeground", painter, rect})
}

func (ptr *QGraphicsScene) DrawForegroundDefault(painter gui.QPainter_ITF, rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawForegroundDefault", painter, rect})
}

func (ptr *QGraphicsScene) ConnectDropEvent(f func(event *QGraphicsSceneDragDropEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDropEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectDropEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDropEvent"})
}

func (ptr *QGraphicsScene) DropEvent(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropEvent", event})
}

func (ptr *QGraphicsScene) DropEventDefault(event QGraphicsSceneDragDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropEventDefault", event})
}

func (ptr *QGraphicsScene) EventDefault(event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", event}).(bool)
}

func (ptr *QGraphicsScene) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QGraphicsScene) ConnectFocusInEvent(f func(focusEvent *gui.QFocusEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusInEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectFocusInEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusInEvent"})
}

func (ptr *QGraphicsScene) FocusInEvent(focusEvent gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusInEvent", focusEvent})
}

func (ptr *QGraphicsScene) FocusInEventDefault(focusEvent gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusInEventDefault", focusEvent})
}

func (ptr *QGraphicsScene) FocusItem() *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusItem"}).(*QGraphicsItem)
}

func (ptr *QGraphicsScene) ConnectFocusItemChanged(f func(newFocusItem *QGraphicsItem, oldFocusItem *QGraphicsItem, reason core.Qt__FocusReason)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusItemChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectFocusItemChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusItemChanged"})
}

func (ptr *QGraphicsScene) FocusItemChanged(newFocusItem QGraphicsItem_ITF, oldFocusItem QGraphicsItem_ITF, reason core.Qt__FocusReason) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusItemChanged", newFocusItem, oldFocusItem, reason})
}

func (ptr *QGraphicsScene) ConnectFocusNextPrevChild(f func(next bool) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusNextPrevChild", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectFocusNextPrevChild() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusNextPrevChild"})
}

func (ptr *QGraphicsScene) FocusNextPrevChild(next bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusNextPrevChild", next}).(bool)
}

func (ptr *QGraphicsScene) FocusNextPrevChildDefault(next bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusNextPrevChildDefault", next}).(bool)
}

func (ptr *QGraphicsScene) FocusOnTouch() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusOnTouch"}).(bool)
}

func (ptr *QGraphicsScene) ConnectFocusOutEvent(f func(focusEvent *gui.QFocusEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFocusOutEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectFocusOutEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFocusOutEvent"})
}

func (ptr *QGraphicsScene) FocusOutEvent(focusEvent gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusOutEvent", focusEvent})
}

func (ptr *QGraphicsScene) FocusOutEventDefault(focusEvent gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FocusOutEventDefault", focusEvent})
}

func (ptr *QGraphicsScene) Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*gui.QFont)
}

func (ptr *QGraphicsScene) ForegroundBrush() *gui.QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ForegroundBrush"}).(*gui.QBrush)
}

func (ptr *QGraphicsScene) HasFocus() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasFocus"}).(bool)
}

func (ptr *QGraphicsScene) Height() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Height"}).(float64)
}

func (ptr *QGraphicsScene) ConnectHelpEvent(f func(helpEvent *QGraphicsSceneHelpEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHelpEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectHelpEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHelpEvent"})
}

func (ptr *QGraphicsScene) HelpEvent(helpEvent QGraphicsSceneHelpEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HelpEvent", helpEvent})
}

func (ptr *QGraphicsScene) HelpEventDefault(helpEvent QGraphicsSceneHelpEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HelpEventDefault", helpEvent})
}

func (ptr *QGraphicsScene) ConnectInputMethodEvent(f func(event *gui.QInputMethodEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInputMethodEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectInputMethodEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInputMethodEvent"})
}

func (ptr *QGraphicsScene) InputMethodEvent(event gui.QInputMethodEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputMethodEvent", event})
}

func (ptr *QGraphicsScene) InputMethodEventDefault(event gui.QInputMethodEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputMethodEventDefault", event})
}

func (ptr *QGraphicsScene) ConnectInputMethodQuery(f func(query core.Qt__InputMethodQuery) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInputMethodQuery", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectInputMethodQuery() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInputMethodQuery"})
}

func (ptr *QGraphicsScene) InputMethodQuery(query core.Qt__InputMethodQuery) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputMethodQuery", query}).(*core.QVariant)
}

func (ptr *QGraphicsScene) InputMethodQueryDefault(query core.Qt__InputMethodQuery) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputMethodQueryDefault", query}).(*core.QVariant)
}

func (ptr *QGraphicsScene) ConnectInvalidate(f func(rect *core.QRectF, layers QGraphicsScene__SceneLayer)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInvalidate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectInvalidate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInvalidate"})
}

func (ptr *QGraphicsScene) Invalidate(rect core.QRectF_ITF, layers QGraphicsScene__SceneLayer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Invalidate", rect, layers})
}

func (ptr *QGraphicsScene) InvalidateDefault(rect core.QRectF_ITF, layers QGraphicsScene__SceneLayer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvalidateDefault", rect, layers})
}

func (ptr *QGraphicsScene) Invalidate2(x float64, y float64, w float64, h float64, layers QGraphicsScene__SceneLayer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Invalidate2", x, y, w, h, layers})
}

func (ptr *QGraphicsScene) IsActive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsActive"}).(bool)
}

func (ptr *QGraphicsScene) IsSortCacheEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSortCacheEnabled"}).(bool)
}

func (ptr *QGraphicsScene) ItemAt(position core.QPointF_ITF, deviceTransform gui.QTransform_ITF) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt", position, deviceTransform}).(*QGraphicsItem)
}

func (ptr *QGraphicsScene) ItemAt4(x float64, y float64, deviceTransform gui.QTransform_ITF) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt4", x, y, deviceTransform}).(*QGraphicsItem)
}

func (ptr *QGraphicsScene) ItemIndexMethod() QGraphicsScene__ItemIndexMethod {

	return QGraphicsScene__ItemIndexMethod(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemIndexMethod"}).(float64))
}

func (ptr *QGraphicsScene) Items(order core.Qt__SortOrder) []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items", order}).([]*QGraphicsItem)
}

func (ptr *QGraphicsScene) Items2(pos core.QPointF_ITF, mode core.Qt__ItemSelectionMode, order core.Qt__SortOrder, deviceTransform gui.QTransform_ITF) []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items2", pos, mode, order, deviceTransform}).([]*QGraphicsItem)
}

func (ptr *QGraphicsScene) Items3(rect core.QRectF_ITF, mode core.Qt__ItemSelectionMode, order core.Qt__SortOrder, deviceTransform gui.QTransform_ITF) []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items3", rect, mode, order, deviceTransform}).([]*QGraphicsItem)
}

func (ptr *QGraphicsScene) Items4(polygon gui.QPolygonF_ITF, mode core.Qt__ItemSelectionMode, order core.Qt__SortOrder, deviceTransform gui.QTransform_ITF) []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items4", polygon, mode, order, deviceTransform}).([]*QGraphicsItem)
}

func (ptr *QGraphicsScene) Items5(path gui.QPainterPath_ITF, mode core.Qt__ItemSelectionMode, order core.Qt__SortOrder, deviceTransform gui.QTransform_ITF) []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items5", path, mode, order, deviceTransform}).([]*QGraphicsItem)
}

func (ptr *QGraphicsScene) Items7(x float64, y float64, w float64, h float64, mode core.Qt__ItemSelectionMode, order core.Qt__SortOrder, deviceTransform gui.QTransform_ITF) []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items7", x, y, w, h, mode, order, deviceTransform}).([]*QGraphicsItem)
}

func (ptr *QGraphicsScene) ItemsBoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemsBoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsScene) ConnectKeyPressEvent(f func(keyEvent *gui.QKeyEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectKeyPressEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectKeyPressEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectKeyPressEvent"})
}

func (ptr *QGraphicsScene) KeyPressEvent(keyEvent gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyPressEvent", keyEvent})
}

func (ptr *QGraphicsScene) KeyPressEventDefault(keyEvent gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyPressEventDefault", keyEvent})
}

func (ptr *QGraphicsScene) ConnectKeyReleaseEvent(f func(keyEvent *gui.QKeyEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectKeyReleaseEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectKeyReleaseEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectKeyReleaseEvent"})
}

func (ptr *QGraphicsScene) KeyReleaseEvent(keyEvent gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyReleaseEvent", keyEvent})
}

func (ptr *QGraphicsScene) KeyReleaseEventDefault(keyEvent gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyReleaseEventDefault", keyEvent})
}

func (ptr *QGraphicsScene) MinimumRenderSize() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumRenderSize"}).(float64)
}

func (ptr *QGraphicsScene) ConnectMouseDoubleClickEvent(f func(mouseEvent *QGraphicsSceneMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMouseDoubleClickEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectMouseDoubleClickEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMouseDoubleClickEvent"})
}

func (ptr *QGraphicsScene) MouseDoubleClickEvent(mouseEvent QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseDoubleClickEvent", mouseEvent})
}

func (ptr *QGraphicsScene) MouseDoubleClickEventDefault(mouseEvent QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseDoubleClickEventDefault", mouseEvent})
}

func (ptr *QGraphicsScene) MouseGrabberItem() *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseGrabberItem"}).(*QGraphicsItem)
}

func (ptr *QGraphicsScene) ConnectMouseMoveEvent(f func(mouseEvent *QGraphicsSceneMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMouseMoveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectMouseMoveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMouseMoveEvent"})
}

func (ptr *QGraphicsScene) MouseMoveEvent(mouseEvent QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseMoveEvent", mouseEvent})
}

func (ptr *QGraphicsScene) MouseMoveEventDefault(mouseEvent QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseMoveEventDefault", mouseEvent})
}

func (ptr *QGraphicsScene) ConnectMousePressEvent(f func(mouseEvent *QGraphicsSceneMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMousePressEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectMousePressEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMousePressEvent"})
}

func (ptr *QGraphicsScene) MousePressEvent(mouseEvent QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MousePressEvent", mouseEvent})
}

func (ptr *QGraphicsScene) MousePressEventDefault(mouseEvent QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MousePressEventDefault", mouseEvent})
}

func (ptr *QGraphicsScene) ConnectMouseReleaseEvent(f func(mouseEvent *QGraphicsSceneMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMouseReleaseEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectMouseReleaseEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMouseReleaseEvent"})
}

func (ptr *QGraphicsScene) MouseReleaseEvent(mouseEvent QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseReleaseEvent", mouseEvent})
}

func (ptr *QGraphicsScene) MouseReleaseEventDefault(mouseEvent QGraphicsSceneMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MouseReleaseEventDefault", mouseEvent})
}

func (ptr *QGraphicsScene) Palette() *gui.QPalette {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Palette"}).(*gui.QPalette)
}

func (ptr *QGraphicsScene) RemoveItem(item QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveItem", item})
}

func (ptr *QGraphicsScene) Render(painter gui.QPainter_ITF, target core.QRectF_ITF, source core.QRectF_ITF, aspectRatioMode core.Qt__AspectRatioMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Render", painter, target, source, aspectRatioMode})
}

func (ptr *QGraphicsScene) SceneRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SceneRect"}).(*core.QRectF)
}

func (ptr *QGraphicsScene) ConnectSceneRectChanged(f func(rect *core.QRectF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSceneRectChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectSceneRectChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSceneRectChanged"})
}

func (ptr *QGraphicsScene) SceneRectChanged(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SceneRectChanged", rect})
}

func (ptr *QGraphicsScene) SelectedItems() []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedItems"}).([]*QGraphicsItem)
}

func (ptr *QGraphicsScene) SelectionArea() *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionArea"}).(*gui.QPainterPath)
}

func (ptr *QGraphicsScene) ConnectSelectionChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectSelectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectionChanged"})
}

func (ptr *QGraphicsScene) SelectionChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChanged"})
}

func (ptr *QGraphicsScene) SendEvent(item QGraphicsItem_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SendEvent", item, event}).(bool)
}

func (ptr *QGraphicsScene) SetActivePanel(item QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActivePanel", item})
}

func (ptr *QGraphicsScene) SetActiveWindow(widget QGraphicsWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActiveWindow", widget})
}

func (ptr *QGraphicsScene) SetBackgroundBrush(brush gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackgroundBrush", brush})
}

func (ptr *QGraphicsScene) SetBspTreeDepth(depth int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBspTreeDepth", depth})
}

func (ptr *QGraphicsScene) SetFocus(focusReason core.Qt__FocusReason) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFocus", focusReason})
}

func (ptr *QGraphicsScene) SetFocusItem(item QGraphicsItem_ITF, focusReason core.Qt__FocusReason) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFocusItem", item, focusReason})
}

func (ptr *QGraphicsScene) SetFocusOnTouch(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFocusOnTouch", enabled})
}

func (ptr *QGraphicsScene) SetFont(font gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont", font})
}

func (ptr *QGraphicsScene) SetForegroundBrush(brush gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetForegroundBrush", brush})
}

func (ptr *QGraphicsScene) SetItemIndexMethod(method QGraphicsScene__ItemIndexMethod) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemIndexMethod", method})
}

func (ptr *QGraphicsScene) SetMinimumRenderSize(minSize float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumRenderSize", minSize})
}

func (ptr *QGraphicsScene) SetPalette(palette gui.QPalette_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPalette", palette})
}

func (ptr *QGraphicsScene) SetSceneRect(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSceneRect", rect})
}

func (ptr *QGraphicsScene) SetSceneRect2(x float64, y float64, w float64, h float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSceneRect2", x, y, w, h})
}

func (ptr *QGraphicsScene) SetSelectionArea(path gui.QPainterPath_ITF, deviceTransform gui.QTransform_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionArea", path, deviceTransform})
}

func (ptr *QGraphicsScene) SetSelectionArea2(path gui.QPainterPath_ITF, mode core.Qt__ItemSelectionMode, deviceTransform gui.QTransform_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionArea2", path, mode, deviceTransform})
}

func (ptr *QGraphicsScene) SetSelectionArea3(path gui.QPainterPath_ITF, selectionOperation core.Qt__ItemSelectionOperation, mode core.Qt__ItemSelectionMode, deviceTransform gui.QTransform_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionArea3", path, selectionOperation, mode, deviceTransform})
}

func (ptr *QGraphicsScene) SetSortCacheEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSortCacheEnabled", enabled})
}

func (ptr *QGraphicsScene) SetStickyFocus(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStickyFocus", enabled})
}

func (ptr *QGraphicsScene) SetStyle(style QStyle_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStyle", style})
}

func (ptr *QGraphicsScene) StickyFocus() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StickyFocus"}).(bool)
}

func (ptr *QGraphicsScene) Style() *QStyle {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Style"}).(*QStyle)
}

func (ptr *QGraphicsScene) ConnectUpdate(f func(rect *core.QRectF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectUpdate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdate"})
}

func (ptr *QGraphicsScene) Update(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Update", rect})
}

func (ptr *QGraphicsScene) UpdateDefault(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateDefault", rect})
}

func (ptr *QGraphicsScene) Update2(x float64, y float64, w float64, h float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Update2", x, y, w, h})
}

func (ptr *QGraphicsScene) Views() []*QGraphicsView {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Views"}).([]*QGraphicsView)
}

func (ptr *QGraphicsScene) ConnectWheelEvent(f func(wheelEvent *QGraphicsSceneWheelEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWheelEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectWheelEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWheelEvent"})
}

func (ptr *QGraphicsScene) WheelEvent(wheelEvent QGraphicsSceneWheelEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WheelEvent", wheelEvent})
}

func (ptr *QGraphicsScene) WheelEventDefault(wheelEvent QGraphicsSceneWheelEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WheelEventDefault", wheelEvent})
}

func (ptr *QGraphicsScene) Width() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Width"}).(float64)
}

func (ptr *QGraphicsScene) ConnectDestroyQGraphicsScene(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsScene", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsScene) DisconnectDestroyQGraphicsScene() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsScene"})
}

func (ptr *QGraphicsScene) DestroyQGraphicsScene() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsScene"})
}

func (ptr *QGraphicsScene) DestroyQGraphicsSceneDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneDefault"})
}

func (ptr *QGraphicsScene) __changed_region_atList(i int) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changed_region_atList", i}).(*core.QRectF)
}

func (ptr *QGraphicsScene) __changed_region_setList(i core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changed_region_setList", i})
}

func (ptr *QGraphicsScene) __changed_region_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__changed_region_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) __collidingItems_atList(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__collidingItems_atList", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsScene) __collidingItems_setList(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__collidingItems_setList", i})
}

func (ptr *QGraphicsScene) __collidingItems_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__collidingItems_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) __createItemGroup_items_atList(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__createItemGroup_items_atList", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsScene) __createItemGroup_items_setList(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__createItemGroup_items_setList", i})
}

func (ptr *QGraphicsScene) __createItemGroup_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__createItemGroup_items_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) __items_atList(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsScene) __items_setList(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList", i})
}

func (ptr *QGraphicsScene) __items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) __items_atList2(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList2", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsScene) __items_setList2(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList2", i})
}

func (ptr *QGraphicsScene) __items_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList2"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) __items_atList3(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList3", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsScene) __items_setList3(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList3", i})
}

func (ptr *QGraphicsScene) __items_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList3"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) __items_atList4(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList4", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsScene) __items_setList4(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList4", i})
}

func (ptr *QGraphicsScene) __items_newList4() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList4"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) __items_atList5(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList5", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsScene) __items_setList5(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList5", i})
}

func (ptr *QGraphicsScene) __items_newList5() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList5"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) __items_atList7(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList7", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsScene) __items_setList7(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList7", i})
}

func (ptr *QGraphicsScene) __items_newList7() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList7"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) __selectedItems_atList(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedItems_atList", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsScene) __selectedItems_setList(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedItems_setList", i})
}

func (ptr *QGraphicsScene) __selectedItems_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedItems_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) __views_atList(i int) *QGraphicsView {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__views_atList", i}).(*QGraphicsView)
}

func (ptr *QGraphicsScene) __views_setList(i QGraphicsView_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__views_setList", i})
}

func (ptr *QGraphicsScene) __views_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__views_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QGraphicsScene) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QGraphicsScene) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QGraphicsScene) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QGraphicsScene) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QGraphicsScene) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QGraphicsScene) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QGraphicsScene) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QGraphicsScene) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QGraphicsScene) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QGraphicsScene) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QGraphicsScene) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QGraphicsScene) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QGraphicsScene) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QGraphicsScene) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QGraphicsScene) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QGraphicsSceneContextMenuEvent struct {
	QGraphicsSceneEvent
}

type QGraphicsSceneContextMenuEvent_ITF interface {
	QGraphicsSceneEvent_ITF
	QGraphicsSceneContextMenuEvent_PTR() *QGraphicsSceneContextMenuEvent
}

func (ptr *QGraphicsSceneContextMenuEvent) QGraphicsSceneContextMenuEvent_PTR() *QGraphicsSceneContextMenuEvent {
	return ptr
}

func (ptr *QGraphicsSceneContextMenuEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsSceneContextMenuEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsSceneEvent_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsSceneContextMenuEvent(ptr QGraphicsSceneContextMenuEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneContextMenuEvent_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsSceneContextMenuEvent) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsSceneEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsSceneContextMenuEvent) ClassNameInternalF() string {
	return n.QGraphicsSceneEvent_PTR().ClassNameInternalF()
}

func NewQGraphicsSceneContextMenuEventFromPointer(ptr unsafe.Pointer) (n *QGraphicsSceneContextMenuEvent) {
	n = new(QGraphicsSceneContextMenuEvent)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsSceneContextMenuEvent")
	return
}

//go:generate stringer -type=QGraphicsSceneContextMenuEvent__Reason
//QGraphicsSceneContextMenuEvent::Reason
type QGraphicsSceneContextMenuEvent__Reason int64

const (
	QGraphicsSceneContextMenuEvent__Mouse    QGraphicsSceneContextMenuEvent__Reason = QGraphicsSceneContextMenuEvent__Reason(0)
	QGraphicsSceneContextMenuEvent__Keyboard QGraphicsSceneContextMenuEvent__Reason = QGraphicsSceneContextMenuEvent__Reason(1)
	QGraphicsSceneContextMenuEvent__Other    QGraphicsSceneContextMenuEvent__Reason = QGraphicsSceneContextMenuEvent__Reason(2)
)

func (ptr *QGraphicsSceneContextMenuEvent) Modifiers() core.Qt__KeyboardModifier {

	return core.Qt__KeyboardModifier(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Modifiers"}).(float64))
}

func (ptr *QGraphicsSceneContextMenuEvent) Pos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneContextMenuEvent) Reason() QGraphicsSceneContextMenuEvent__Reason {

	return QGraphicsSceneContextMenuEvent__Reason(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reason"}).(float64))
}

func (ptr *QGraphicsSceneContextMenuEvent) ScenePos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScenePos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneContextMenuEvent) ScreenPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenPos"}).(*core.QPoint)
}

func (ptr *QGraphicsSceneContextMenuEvent) ConnectDestroyQGraphicsSceneContextMenuEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsSceneContextMenuEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsSceneContextMenuEvent) DisconnectDestroyQGraphicsSceneContextMenuEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsSceneContextMenuEvent"})
}

func (ptr *QGraphicsSceneContextMenuEvent) DestroyQGraphicsSceneContextMenuEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneContextMenuEvent"})
}

func (ptr *QGraphicsSceneContextMenuEvent) DestroyQGraphicsSceneContextMenuEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneContextMenuEventDefault"})
}

type QGraphicsSceneDragDropEvent struct {
	QGraphicsSceneEvent
}

type QGraphicsSceneDragDropEvent_ITF interface {
	QGraphicsSceneEvent_ITF
	QGraphicsSceneDragDropEvent_PTR() *QGraphicsSceneDragDropEvent
}

func (ptr *QGraphicsSceneDragDropEvent) QGraphicsSceneDragDropEvent_PTR() *QGraphicsSceneDragDropEvent {
	return ptr
}

func (ptr *QGraphicsSceneDragDropEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsSceneDragDropEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsSceneEvent_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsSceneDragDropEvent(ptr QGraphicsSceneDragDropEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneDragDropEvent_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsSceneDragDropEvent) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsSceneEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsSceneDragDropEvent) ClassNameInternalF() string {
	return n.QGraphicsSceneEvent_PTR().ClassNameInternalF()
}

func NewQGraphicsSceneDragDropEventFromPointer(ptr unsafe.Pointer) (n *QGraphicsSceneDragDropEvent) {
	n = new(QGraphicsSceneDragDropEvent)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsSceneDragDropEvent")
	return
}
func (ptr *QGraphicsSceneDragDropEvent) AcceptProposedAction() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AcceptProposedAction"})
}

func (ptr *QGraphicsSceneDragDropEvent) Buttons() core.Qt__MouseButton {

	return core.Qt__MouseButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Buttons"}).(float64))
}

func (ptr *QGraphicsSceneDragDropEvent) DropAction() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropAction"}).(float64))
}

func (ptr *QGraphicsSceneDragDropEvent) MimeData() *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeData"}).(*core.QMimeData)
}

func (ptr *QGraphicsSceneDragDropEvent) Modifiers() core.Qt__KeyboardModifier {

	return core.Qt__KeyboardModifier(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Modifiers"}).(float64))
}

func (ptr *QGraphicsSceneDragDropEvent) Pos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneDragDropEvent) PossibleActions() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PossibleActions"}).(float64))
}

func (ptr *QGraphicsSceneDragDropEvent) ProposedAction() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ProposedAction"}).(float64))
}

func (ptr *QGraphicsSceneDragDropEvent) ScenePos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScenePos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneDragDropEvent) ScreenPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenPos"}).(*core.QPoint)
}

func (ptr *QGraphicsSceneDragDropEvent) SetDropAction(action core.Qt__DropAction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDropAction", action})
}

func (ptr *QGraphicsSceneDragDropEvent) Source() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Source"}).(*QWidget)
}

func (ptr *QGraphicsSceneDragDropEvent) ConnectDestroyQGraphicsSceneDragDropEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsSceneDragDropEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsSceneDragDropEvent) DisconnectDestroyQGraphicsSceneDragDropEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsSceneDragDropEvent"})
}

func (ptr *QGraphicsSceneDragDropEvent) DestroyQGraphicsSceneDragDropEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneDragDropEvent"})
}

func (ptr *QGraphicsSceneDragDropEvent) DestroyQGraphicsSceneDragDropEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneDragDropEventDefault"})
}

type QGraphicsSceneEvent struct {
	core.QEvent
}

type QGraphicsSceneEvent_ITF interface {
	core.QEvent_ITF
	QGraphicsSceneEvent_PTR() *QGraphicsSceneEvent
}

func (ptr *QGraphicsSceneEvent) QGraphicsSceneEvent_PTR() *QGraphicsSceneEvent {
	return ptr
}

func (ptr *QGraphicsSceneEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsSceneEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEvent_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsSceneEvent(ptr QGraphicsSceneEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneEvent_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsSceneEvent) InitFromInternal(ptr uintptr, name string) {
	n.QEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsSceneEvent) ClassNameInternalF() string {
	return n.QEvent_PTR().ClassNameInternalF()
}

func NewQGraphicsSceneEventFromPointer(ptr unsafe.Pointer) (n *QGraphicsSceneEvent) {
	n = new(QGraphicsSceneEvent)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsSceneEvent")
	return
}
func (ptr *QGraphicsSceneEvent) Widget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Widget"}).(*QWidget)
}

func (ptr *QGraphicsSceneEvent) ConnectDestroyQGraphicsSceneEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsSceneEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsSceneEvent) DisconnectDestroyQGraphicsSceneEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsSceneEvent"})
}

func (ptr *QGraphicsSceneEvent) DestroyQGraphicsSceneEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneEvent"})
}

func (ptr *QGraphicsSceneEvent) DestroyQGraphicsSceneEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneEventDefault"})
}

type QGraphicsSceneHelpEvent struct {
	QGraphicsSceneEvent
}

type QGraphicsSceneHelpEvent_ITF interface {
	QGraphicsSceneEvent_ITF
	QGraphicsSceneHelpEvent_PTR() *QGraphicsSceneHelpEvent
}

func (ptr *QGraphicsSceneHelpEvent) QGraphicsSceneHelpEvent_PTR() *QGraphicsSceneHelpEvent {
	return ptr
}

func (ptr *QGraphicsSceneHelpEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsSceneHelpEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsSceneEvent_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsSceneHelpEvent(ptr QGraphicsSceneHelpEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneHelpEvent_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsSceneHelpEvent) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsSceneEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsSceneHelpEvent) ClassNameInternalF() string {
	return n.QGraphicsSceneEvent_PTR().ClassNameInternalF()
}

func NewQGraphicsSceneHelpEventFromPointer(ptr unsafe.Pointer) (n *QGraphicsSceneHelpEvent) {
	n = new(QGraphicsSceneHelpEvent)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsSceneHelpEvent")
	return
}
func (ptr *QGraphicsSceneHelpEvent) ScenePos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScenePos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneHelpEvent) ScreenPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenPos"}).(*core.QPoint)
}

func (ptr *QGraphicsSceneHelpEvent) ConnectDestroyQGraphicsSceneHelpEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsSceneHelpEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsSceneHelpEvent) DisconnectDestroyQGraphicsSceneHelpEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsSceneHelpEvent"})
}

func (ptr *QGraphicsSceneHelpEvent) DestroyQGraphicsSceneHelpEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneHelpEvent"})
}

func (ptr *QGraphicsSceneHelpEvent) DestroyQGraphicsSceneHelpEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneHelpEventDefault"})
}

type QGraphicsSceneHoverEvent struct {
	QGraphicsSceneEvent
}

type QGraphicsSceneHoverEvent_ITF interface {
	QGraphicsSceneEvent_ITF
	QGraphicsSceneHoverEvent_PTR() *QGraphicsSceneHoverEvent
}

func (ptr *QGraphicsSceneHoverEvent) QGraphicsSceneHoverEvent_PTR() *QGraphicsSceneHoverEvent {
	return ptr
}

func (ptr *QGraphicsSceneHoverEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsSceneHoverEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsSceneEvent_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsSceneHoverEvent(ptr QGraphicsSceneHoverEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneHoverEvent_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsSceneHoverEvent) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsSceneEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsSceneHoverEvent) ClassNameInternalF() string {
	return n.QGraphicsSceneEvent_PTR().ClassNameInternalF()
}

func NewQGraphicsSceneHoverEventFromPointer(ptr unsafe.Pointer) (n *QGraphicsSceneHoverEvent) {
	n = new(QGraphicsSceneHoverEvent)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsSceneHoverEvent")
	return
}
func (ptr *QGraphicsSceneHoverEvent) LastPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastPos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneHoverEvent) LastScenePos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastScenePos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneHoverEvent) LastScreenPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastScreenPos"}).(*core.QPoint)
}

func (ptr *QGraphicsSceneHoverEvent) Modifiers() core.Qt__KeyboardModifier {

	return core.Qt__KeyboardModifier(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Modifiers"}).(float64))
}

func (ptr *QGraphicsSceneHoverEvent) Pos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneHoverEvent) ScenePos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScenePos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneHoverEvent) ScreenPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenPos"}).(*core.QPoint)
}

func (ptr *QGraphicsSceneHoverEvent) ConnectDestroyQGraphicsSceneHoverEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsSceneHoverEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsSceneHoverEvent) DisconnectDestroyQGraphicsSceneHoverEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsSceneHoverEvent"})
}

func (ptr *QGraphicsSceneHoverEvent) DestroyQGraphicsSceneHoverEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneHoverEvent"})
}

func (ptr *QGraphicsSceneHoverEvent) DestroyQGraphicsSceneHoverEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneHoverEventDefault"})
}

type QGraphicsSceneMouseEvent struct {
	QGraphicsSceneEvent
}

type QGraphicsSceneMouseEvent_ITF interface {
	QGraphicsSceneEvent_ITF
	QGraphicsSceneMouseEvent_PTR() *QGraphicsSceneMouseEvent
}

func (ptr *QGraphicsSceneMouseEvent) QGraphicsSceneMouseEvent_PTR() *QGraphicsSceneMouseEvent {
	return ptr
}

func (ptr *QGraphicsSceneMouseEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsSceneMouseEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsSceneEvent_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsSceneMouseEvent(ptr QGraphicsSceneMouseEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneMouseEvent_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsSceneMouseEvent) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsSceneEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsSceneMouseEvent) ClassNameInternalF() string {
	return n.QGraphicsSceneEvent_PTR().ClassNameInternalF()
}

func NewQGraphicsSceneMouseEventFromPointer(ptr unsafe.Pointer) (n *QGraphicsSceneMouseEvent) {
	n = new(QGraphicsSceneMouseEvent)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsSceneMouseEvent")
	return
}
func (ptr *QGraphicsSceneMouseEvent) Button() core.Qt__MouseButton {

	return core.Qt__MouseButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Button"}).(float64))
}

func (ptr *QGraphicsSceneMouseEvent) ButtonDownPos(button core.Qt__MouseButton) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonDownPos", button}).(*core.QPointF)
}

func (ptr *QGraphicsSceneMouseEvent) ButtonDownScenePos(button core.Qt__MouseButton) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonDownScenePos", button}).(*core.QPointF)
}

func (ptr *QGraphicsSceneMouseEvent) ButtonDownScreenPos(button core.Qt__MouseButton) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonDownScreenPos", button}).(*core.QPoint)
}

func (ptr *QGraphicsSceneMouseEvent) Buttons() core.Qt__MouseButton {

	return core.Qt__MouseButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Buttons"}).(float64))
}

func (ptr *QGraphicsSceneMouseEvent) Flags() core.Qt__MouseEventFlag {

	return core.Qt__MouseEventFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flags"}).(float64))
}

func (ptr *QGraphicsSceneMouseEvent) LastPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastPos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneMouseEvent) LastScenePos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastScenePos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneMouseEvent) LastScreenPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastScreenPos"}).(*core.QPoint)
}

func (ptr *QGraphicsSceneMouseEvent) Modifiers() core.Qt__KeyboardModifier {

	return core.Qt__KeyboardModifier(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Modifiers"}).(float64))
}

func (ptr *QGraphicsSceneMouseEvent) Pos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneMouseEvent) ScenePos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScenePos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneMouseEvent) ScreenPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenPos"}).(*core.QPoint)
}

func (ptr *QGraphicsSceneMouseEvent) Source() core.Qt__MouseEventSource {

	return core.Qt__MouseEventSource(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Source"}).(float64))
}

func (ptr *QGraphicsSceneMouseEvent) ConnectDestroyQGraphicsSceneMouseEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsSceneMouseEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsSceneMouseEvent) DisconnectDestroyQGraphicsSceneMouseEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsSceneMouseEvent"})
}

func (ptr *QGraphicsSceneMouseEvent) DestroyQGraphicsSceneMouseEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneMouseEvent"})
}

func (ptr *QGraphicsSceneMouseEvent) DestroyQGraphicsSceneMouseEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneMouseEventDefault"})
}

type QGraphicsSceneMoveEvent struct {
	QGraphicsSceneEvent
}

type QGraphicsSceneMoveEvent_ITF interface {
	QGraphicsSceneEvent_ITF
	QGraphicsSceneMoveEvent_PTR() *QGraphicsSceneMoveEvent
}

func (ptr *QGraphicsSceneMoveEvent) QGraphicsSceneMoveEvent_PTR() *QGraphicsSceneMoveEvent {
	return ptr
}

func (ptr *QGraphicsSceneMoveEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsSceneMoveEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsSceneEvent_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsSceneMoveEvent(ptr QGraphicsSceneMoveEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneMoveEvent_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsSceneMoveEvent) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsSceneEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsSceneMoveEvent) ClassNameInternalF() string {
	return n.QGraphicsSceneEvent_PTR().ClassNameInternalF()
}

func NewQGraphicsSceneMoveEventFromPointer(ptr unsafe.Pointer) (n *QGraphicsSceneMoveEvent) {
	n = new(QGraphicsSceneMoveEvent)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsSceneMoveEvent")
	return
}
func NewQGraphicsSceneMoveEvent2() *QGraphicsSceneMoveEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsSceneMoveEvent2", ""}).(*QGraphicsSceneMoveEvent)
}

func (ptr *QGraphicsSceneMoveEvent) NewPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NewPos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneMoveEvent) OldPos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OldPos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneMoveEvent) ConnectDestroyQGraphicsSceneMoveEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsSceneMoveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsSceneMoveEvent) DisconnectDestroyQGraphicsSceneMoveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsSceneMoveEvent"})
}

func (ptr *QGraphicsSceneMoveEvent) DestroyQGraphicsSceneMoveEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneMoveEvent"})
}

func (ptr *QGraphicsSceneMoveEvent) DestroyQGraphicsSceneMoveEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneMoveEventDefault"})
}

type QGraphicsSceneResizeEvent struct {
	QGraphicsSceneEvent
}

type QGraphicsSceneResizeEvent_ITF interface {
	QGraphicsSceneEvent_ITF
	QGraphicsSceneResizeEvent_PTR() *QGraphicsSceneResizeEvent
}

func (ptr *QGraphicsSceneResizeEvent) QGraphicsSceneResizeEvent_PTR() *QGraphicsSceneResizeEvent {
	return ptr
}

func (ptr *QGraphicsSceneResizeEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsSceneResizeEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsSceneEvent_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsSceneResizeEvent(ptr QGraphicsSceneResizeEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneResizeEvent_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsSceneResizeEvent) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsSceneEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsSceneResizeEvent) ClassNameInternalF() string {
	return n.QGraphicsSceneEvent_PTR().ClassNameInternalF()
}

func NewQGraphicsSceneResizeEventFromPointer(ptr unsafe.Pointer) (n *QGraphicsSceneResizeEvent) {
	n = new(QGraphicsSceneResizeEvent)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsSceneResizeEvent")
	return
}
func NewQGraphicsSceneResizeEvent2() *QGraphicsSceneResizeEvent {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsSceneResizeEvent2", ""}).(*QGraphicsSceneResizeEvent)
}

func (ptr *QGraphicsSceneResizeEvent) NewSize() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NewSize"}).(*core.QSizeF)
}

func (ptr *QGraphicsSceneResizeEvent) OldSize() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OldSize"}).(*core.QSizeF)
}

func (ptr *QGraphicsSceneResizeEvent) ConnectDestroyQGraphicsSceneResizeEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsSceneResizeEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsSceneResizeEvent) DisconnectDestroyQGraphicsSceneResizeEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsSceneResizeEvent"})
}

func (ptr *QGraphicsSceneResizeEvent) DestroyQGraphicsSceneResizeEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneResizeEvent"})
}

func (ptr *QGraphicsSceneResizeEvent) DestroyQGraphicsSceneResizeEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneResizeEventDefault"})
}

type QGraphicsSceneWheelEvent struct {
	QGraphicsSceneEvent
}

type QGraphicsSceneWheelEvent_ITF interface {
	QGraphicsSceneEvent_ITF
	QGraphicsSceneWheelEvent_PTR() *QGraphicsSceneWheelEvent
}

func (ptr *QGraphicsSceneWheelEvent) QGraphicsSceneWheelEvent_PTR() *QGraphicsSceneWheelEvent {
	return ptr
}

func (ptr *QGraphicsSceneWheelEvent) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneEvent_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsSceneWheelEvent) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsSceneEvent_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsSceneWheelEvent(ptr QGraphicsSceneWheelEvent_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSceneWheelEvent_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsSceneWheelEvent) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsSceneEvent_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsSceneWheelEvent) ClassNameInternalF() string {
	return n.QGraphicsSceneEvent_PTR().ClassNameInternalF()
}

func NewQGraphicsSceneWheelEventFromPointer(ptr unsafe.Pointer) (n *QGraphicsSceneWheelEvent) {
	n = new(QGraphicsSceneWheelEvent)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsSceneWheelEvent")
	return
}
func (ptr *QGraphicsSceneWheelEvent) Buttons() core.Qt__MouseButton {

	return core.Qt__MouseButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Buttons"}).(float64))
}

func (ptr *QGraphicsSceneWheelEvent) Delta() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Delta"}).(float64))
}

func (ptr *QGraphicsSceneWheelEvent) Modifiers() core.Qt__KeyboardModifier {

	return core.Qt__KeyboardModifier(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Modifiers"}).(float64))
}

func (ptr *QGraphicsSceneWheelEvent) Orientation() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QGraphicsSceneWheelEvent) Pos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneWheelEvent) ScenePos() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScenePos"}).(*core.QPointF)
}

func (ptr *QGraphicsSceneWheelEvent) ScreenPos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScreenPos"}).(*core.QPoint)
}

func (ptr *QGraphicsSceneWheelEvent) ConnectDestroyQGraphicsSceneWheelEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsSceneWheelEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsSceneWheelEvent) DisconnectDestroyQGraphicsSceneWheelEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsSceneWheelEvent"})
}

func (ptr *QGraphicsSceneWheelEvent) DestroyQGraphicsSceneWheelEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneWheelEvent"})
}

func (ptr *QGraphicsSceneWheelEvent) DestroyQGraphicsSceneWheelEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSceneWheelEventDefault"})
}

type QGraphicsSimpleTextItem struct {
	QAbstractGraphicsShapeItem
}

type QGraphicsSimpleTextItem_ITF interface {
	QAbstractGraphicsShapeItem_ITF
	QGraphicsSimpleTextItem_PTR() *QGraphicsSimpleTextItem
}

func (ptr *QGraphicsSimpleTextItem) QGraphicsSimpleTextItem_PTR() *QGraphicsSimpleTextItem {
	return ptr
}

func (ptr *QGraphicsSimpleTextItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractGraphicsShapeItem_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsSimpleTextItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractGraphicsShapeItem_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsSimpleTextItem(ptr QGraphicsSimpleTextItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsSimpleTextItem_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsSimpleTextItem) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractGraphicsShapeItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsSimpleTextItem) ClassNameInternalF() string {
	return n.QAbstractGraphicsShapeItem_PTR().ClassNameInternalF()
}

func NewQGraphicsSimpleTextItemFromPointer(ptr unsafe.Pointer) (n *QGraphicsSimpleTextItem) {
	n = new(QGraphicsSimpleTextItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsSimpleTextItem")
	return
}

//go:generate stringer -type=QGraphicsSimpleTextItem__anonymous
//QGraphicsSimpleTextItem::anonymous
type QGraphicsSimpleTextItem__anonymous int64

const (
	QGraphicsSimpleTextItem__Type QGraphicsSimpleTextItem__anonymous = QGraphicsSimpleTextItem__anonymous(9)
)

func NewQGraphicsSimpleTextItem(parent QGraphicsItem_ITF) *QGraphicsSimpleTextItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsSimpleTextItem", "", parent}).(*QGraphicsSimpleTextItem)
}

func NewQGraphicsSimpleTextItem2(text string, parent QGraphicsItem_ITF) *QGraphicsSimpleTextItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsSimpleTextItem2", "", text, parent}).(*QGraphicsSimpleTextItem)
}

func (ptr *QGraphicsSimpleTextItem) ConnectBoundingRect(f func() *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsSimpleTextItem) DisconnectBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBoundingRect"})
}

func (ptr *QGraphicsSimpleTextItem) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsSimpleTextItem) BoundingRectDefault() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRectDefault"}).(*core.QRectF)
}

func (ptr *QGraphicsSimpleTextItem) Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*gui.QFont)
}

func (ptr *QGraphicsSimpleTextItem) ConnectPaint(f func(painter *gui.QPainter, option *QStyleOptionGraphicsItem, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsSimpleTextItem) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QGraphicsSimpleTextItem) Paint(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, option, widget})
}

func (ptr *QGraphicsSimpleTextItem) PaintDefault(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDefault", painter, option, widget})
}

func (ptr *QGraphicsSimpleTextItem) SetFont(font gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont", font})
}

func (ptr *QGraphicsSimpleTextItem) SetText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", text})
}

func (ptr *QGraphicsSimpleTextItem) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QGraphicsSimpleTextItem) ConnectDestroyQGraphicsSimpleTextItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsSimpleTextItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsSimpleTextItem) DisconnectDestroyQGraphicsSimpleTextItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsSimpleTextItem"})
}

func (ptr *QGraphicsSimpleTextItem) DestroyQGraphicsSimpleTextItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSimpleTextItem"})
}

func (ptr *QGraphicsSimpleTextItem) DestroyQGraphicsSimpleTextItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsSimpleTextItemDefault"})
}

type QGraphicsTextItem struct {
	QGraphicsObject
}

type QGraphicsTextItem_ITF interface {
	QGraphicsObject_ITF
	QGraphicsTextItem_PTR() *QGraphicsTextItem
}

func (ptr *QGraphicsTextItem) QGraphicsTextItem_PTR() *QGraphicsTextItem {
	return ptr
}

func (ptr *QGraphicsTextItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsTextItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsObject_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsTextItem(ptr QGraphicsTextItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsTextItem_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsTextItem) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsTextItem) ClassNameInternalF() string {
	return n.QGraphicsObject_PTR().ClassNameInternalF()
}

func NewQGraphicsTextItemFromPointer(ptr unsafe.Pointer) (n *QGraphicsTextItem) {
	n = new(QGraphicsTextItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsTextItem")
	return
}

//go:generate stringer -type=QGraphicsTextItem__anonymous
//QGraphicsTextItem::anonymous
type QGraphicsTextItem__anonymous int64

const (
	QGraphicsTextItem__Type QGraphicsTextItem__anonymous = QGraphicsTextItem__anonymous(8)
)

func NewQGraphicsTextItem(parent QGraphicsItem_ITF) *QGraphicsTextItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsTextItem", "", parent}).(*QGraphicsTextItem)
}

func NewQGraphicsTextItem2(text string, parent QGraphicsItem_ITF) *QGraphicsTextItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsTextItem2", "", text, parent}).(*QGraphicsTextItem)
}

func (ptr *QGraphicsTextItem) AdjustSize() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AdjustSize"})
}

func (ptr *QGraphicsTextItem) ConnectBoundingRect(f func() *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsTextItem) DisconnectBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBoundingRect"})
}

func (ptr *QGraphicsTextItem) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsTextItem) BoundingRectDefault() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BoundingRectDefault"}).(*core.QRectF)
}

func (ptr *QGraphicsTextItem) DefaultTextColor() *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultTextColor"}).(*gui.QColor)
}

func (ptr *QGraphicsTextItem) Document() *gui.QTextDocument {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Document"}).(*gui.QTextDocument)
}

func (ptr *QGraphicsTextItem) Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*gui.QFont)
}

func (ptr *QGraphicsTextItem) ConnectLinkActivated(f func(link string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLinkActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsTextItem) DisconnectLinkActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLinkActivated"})
}

func (ptr *QGraphicsTextItem) LinkActivated(link string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LinkActivated", link})
}

func (ptr *QGraphicsTextItem) ConnectLinkHovered(f func(link string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLinkHovered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsTextItem) DisconnectLinkHovered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLinkHovered"})
}

func (ptr *QGraphicsTextItem) LinkHovered(link string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LinkHovered", link})
}

func (ptr *QGraphicsTextItem) OpenExternalLinks() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpenExternalLinks"}).(bool)
}

func (ptr *QGraphicsTextItem) ConnectPaint(f func(painter *gui.QPainter, option *QStyleOptionGraphicsItem, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsTextItem) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QGraphicsTextItem) Paint(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, option, widget})
}

func (ptr *QGraphicsTextItem) PaintDefault(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDefault", painter, option, widget})
}

func (ptr *QGraphicsTextItem) SetDefaultTextColor(col gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultTextColor", col})
}

func (ptr *QGraphicsTextItem) SetDocument(document gui.QTextDocument_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDocument", document})
}

func (ptr *QGraphicsTextItem) SetFont(font gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont", font})
}

func (ptr *QGraphicsTextItem) SetHtml(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHtml", text})
}

func (ptr *QGraphicsTextItem) SetOpenExternalLinks(open bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOpenExternalLinks", open})
}

func (ptr *QGraphicsTextItem) SetPlainText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPlainText", text})
}

func (ptr *QGraphicsTextItem) SetTabChangesFocus(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabChangesFocus", b})
}

func (ptr *QGraphicsTextItem) SetTextCursor(cursor gui.QTextCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextCursor", cursor})
}

func (ptr *QGraphicsTextItem) SetTextInteractionFlags(flags core.Qt__TextInteractionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextInteractionFlags", flags})
}

func (ptr *QGraphicsTextItem) SetTextWidth(width float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextWidth", width})
}

func (ptr *QGraphicsTextItem) TabChangesFocus() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabChangesFocus"}).(bool)
}

func (ptr *QGraphicsTextItem) TextCursor() *gui.QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextCursor"}).(*gui.QTextCursor)
}

func (ptr *QGraphicsTextItem) TextInteractionFlags() core.Qt__TextInteractionFlag {

	return core.Qt__TextInteractionFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextInteractionFlags"}).(float64))
}

func (ptr *QGraphicsTextItem) TextWidth() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextWidth"}).(float64)
}

func (ptr *QGraphicsTextItem) ToHtml() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToHtml"}).(string)
}

func (ptr *QGraphicsTextItem) ToPlainText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPlainText"}).(string)
}

func (ptr *QGraphicsTextItem) ConnectDestroyQGraphicsTextItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsTextItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsTextItem) DisconnectDestroyQGraphicsTextItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsTextItem"})
}

func (ptr *QGraphicsTextItem) DestroyQGraphicsTextItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsTextItem"})
}

func (ptr *QGraphicsTextItem) DestroyQGraphicsTextItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsTextItemDefault"})
}

type QGraphicsTransform struct {
	core.QObject
}

type QGraphicsTransform_ITF interface {
	core.QObject_ITF
	QGraphicsTransform_PTR() *QGraphicsTransform
}

func (ptr *QGraphicsTransform) QGraphicsTransform_PTR() *QGraphicsTransform {
	return ptr
}

func (ptr *QGraphicsTransform) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsTransform) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsTransform(ptr QGraphicsTransform_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsTransform_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsTransform) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsTransform) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQGraphicsTransformFromPointer(ptr unsafe.Pointer) (n *QGraphicsTransform) {
	n = new(QGraphicsTransform)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsTransform")
	return
}
func NewQGraphicsTransform(parent core.QObject_ITF) *QGraphicsTransform {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsTransform", "", parent}).(*QGraphicsTransform)
}

func (ptr *QGraphicsTransform) ConnectApplyTo(f func(matrix *gui.QMatrix4x4)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectApplyTo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsTransform) DisconnectApplyTo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectApplyTo"})
}

func (ptr *QGraphicsTransform) ApplyTo(matrix gui.QMatrix4x4_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ApplyTo", matrix})
}

func (ptr *QGraphicsTransform) ConnectUpdate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsTransform) DisconnectUpdate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdate"})
}

func (ptr *QGraphicsTransform) Update() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Update"})
}

func (ptr *QGraphicsTransform) UpdateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateDefault"})
}

func (ptr *QGraphicsTransform) ConnectDestroyQGraphicsTransform(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsTransform", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsTransform) DisconnectDestroyQGraphicsTransform() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsTransform"})
}

func (ptr *QGraphicsTransform) DestroyQGraphicsTransform() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsTransform"})
}

func (ptr *QGraphicsTransform) DestroyQGraphicsTransformDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsTransformDefault"})
}

func (ptr *QGraphicsTransform) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QGraphicsTransform) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QGraphicsTransform) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsTransform) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QGraphicsTransform) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QGraphicsTransform) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsTransform) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QGraphicsTransform) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QGraphicsTransform) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsTransform) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QGraphicsTransform) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QGraphicsTransform) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QGraphicsTransform) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QGraphicsTransform) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QGraphicsTransform) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QGraphicsTransform) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QGraphicsTransform) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QGraphicsTransform) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QGraphicsTransform) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QGraphicsTransform) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QGraphicsTransform) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QGraphicsView struct {
	QAbstractScrollArea
}

type QGraphicsView_ITF interface {
	QAbstractScrollArea_ITF
	QGraphicsView_PTR() *QGraphicsView
}

func (ptr *QGraphicsView) QGraphicsView_PTR() *QGraphicsView {
	return ptr
}

func (ptr *QGraphicsView) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractScrollArea_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsView) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractScrollArea_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsView(ptr QGraphicsView_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsView_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsView) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractScrollArea_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsView) ClassNameInternalF() string {
	return n.QAbstractScrollArea_PTR().ClassNameInternalF()
}

func NewQGraphicsViewFromPointer(ptr unsafe.Pointer) (n *QGraphicsView) {
	n = new(QGraphicsView)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsView")
	return
}

//go:generate stringer -type=QGraphicsView__ViewportAnchor
//QGraphicsView::ViewportAnchor
type QGraphicsView__ViewportAnchor int64

const (
	QGraphicsView__NoAnchor         QGraphicsView__ViewportAnchor = QGraphicsView__ViewportAnchor(0)
	QGraphicsView__AnchorViewCenter QGraphicsView__ViewportAnchor = QGraphicsView__ViewportAnchor(1)
	QGraphicsView__AnchorUnderMouse QGraphicsView__ViewportAnchor = QGraphicsView__ViewportAnchor(2)
)

//go:generate stringer -type=QGraphicsView__CacheModeFlag
//QGraphicsView::CacheModeFlag
type QGraphicsView__CacheModeFlag int64

const (
	QGraphicsView__CacheNone       QGraphicsView__CacheModeFlag = QGraphicsView__CacheModeFlag(0x0)
	QGraphicsView__CacheBackground QGraphicsView__CacheModeFlag = QGraphicsView__CacheModeFlag(0x1)
)

//go:generate stringer -type=QGraphicsView__DragMode
//QGraphicsView::DragMode
type QGraphicsView__DragMode int64

const (
	QGraphicsView__NoDrag         QGraphicsView__DragMode = QGraphicsView__DragMode(0)
	QGraphicsView__ScrollHandDrag QGraphicsView__DragMode = QGraphicsView__DragMode(1)
	QGraphicsView__RubberBandDrag QGraphicsView__DragMode = QGraphicsView__DragMode(2)
)

//go:generate stringer -type=QGraphicsView__ViewportUpdateMode
//QGraphicsView::ViewportUpdateMode
type QGraphicsView__ViewportUpdateMode int64

const (
	QGraphicsView__FullViewportUpdate         QGraphicsView__ViewportUpdateMode = QGraphicsView__ViewportUpdateMode(0)
	QGraphicsView__MinimalViewportUpdate      QGraphicsView__ViewportUpdateMode = QGraphicsView__ViewportUpdateMode(1)
	QGraphicsView__SmartViewportUpdate        QGraphicsView__ViewportUpdateMode = QGraphicsView__ViewportUpdateMode(2)
	QGraphicsView__NoViewportUpdate           QGraphicsView__ViewportUpdateMode = QGraphicsView__ViewportUpdateMode(3)
	QGraphicsView__BoundingRectViewportUpdate QGraphicsView__ViewportUpdateMode = QGraphicsView__ViewportUpdateMode(4)
)

//go:generate stringer -type=QGraphicsView__OptimizationFlag
//QGraphicsView::OptimizationFlag
type QGraphicsView__OptimizationFlag int64

const (
	QGraphicsView__DontClipPainter           QGraphicsView__OptimizationFlag = QGraphicsView__OptimizationFlag(0x1)
	QGraphicsView__DontSavePainterState      QGraphicsView__OptimizationFlag = QGraphicsView__OptimizationFlag(0x2)
	QGraphicsView__DontAdjustForAntialiasing QGraphicsView__OptimizationFlag = QGraphicsView__OptimizationFlag(0x4)
	QGraphicsView__IndirectPainting          QGraphicsView__OptimizationFlag = QGraphicsView__OptimizationFlag(0x8)
)

func NewQGraphicsView(parent QWidget_ITF) *QGraphicsView {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsView", "", parent}).(*QGraphicsView)
}

func NewQGraphicsView2(scene QGraphicsScene_ITF, parent QWidget_ITF) *QGraphicsView {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsView2", "", scene, parent}).(*QGraphicsView)
}

func (ptr *QGraphicsView) Alignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment"}).(float64))
}

func (ptr *QGraphicsView) BackgroundBrush() *gui.QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackgroundBrush"}).(*gui.QBrush)
}

func (ptr *QGraphicsView) CacheMode() QGraphicsView__CacheModeFlag {

	return QGraphicsView__CacheModeFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CacheMode"}).(float64))
}

func (ptr *QGraphicsView) CenterOn(pos core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CenterOn", pos})
}

func (ptr *QGraphicsView) CenterOn2(x float64, y float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CenterOn2", x, y})
}

func (ptr *QGraphicsView) CenterOn3(item QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CenterOn3", item})
}

func (ptr *QGraphicsView) DragMode() QGraphicsView__DragMode {

	return QGraphicsView__DragMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragMode"}).(float64))
}

func (ptr *QGraphicsView) ConnectDrawBackground(f func(painter *gui.QPainter, rect *core.QRectF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawBackground", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsView) DisconnectDrawBackground() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawBackground"})
}

func (ptr *QGraphicsView) DrawBackground(painter gui.QPainter_ITF, rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawBackground", painter, rect})
}

func (ptr *QGraphicsView) DrawBackgroundDefault(painter gui.QPainter_ITF, rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawBackgroundDefault", painter, rect})
}

func (ptr *QGraphicsView) ConnectDrawForeground(f func(painter *gui.QPainter, rect *core.QRectF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawForeground", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsView) DisconnectDrawForeground() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawForeground"})
}

func (ptr *QGraphicsView) DrawForeground(painter gui.QPainter_ITF, rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawForeground", painter, rect})
}

func (ptr *QGraphicsView) DrawForegroundDefault(painter gui.QPainter_ITF, rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawForegroundDefault", painter, rect})
}

func (ptr *QGraphicsView) EnsureVisible(rect core.QRectF_ITF, xmargin int, ymargin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureVisible", rect, xmargin, ymargin})
}

func (ptr *QGraphicsView) EnsureVisible2(x float64, y float64, w float64, h float64, xmargin int, ymargin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureVisible2", x, y, w, h, xmargin, ymargin})
}

func (ptr *QGraphicsView) EnsureVisible3(item QGraphicsItem_ITF, xmargin int, ymargin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureVisible3", item, xmargin, ymargin})
}

func (ptr *QGraphicsView) FitInView(rect core.QRectF_ITF, aspectRatioMode core.Qt__AspectRatioMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FitInView", rect, aspectRatioMode})
}

func (ptr *QGraphicsView) FitInView2(x float64, y float64, w float64, h float64, aspectRatioMode core.Qt__AspectRatioMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FitInView2", x, y, w, h, aspectRatioMode})
}

func (ptr *QGraphicsView) FitInView3(item QGraphicsItem_ITF, aspectRatioMode core.Qt__AspectRatioMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FitInView3", item, aspectRatioMode})
}

func (ptr *QGraphicsView) ForegroundBrush() *gui.QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ForegroundBrush"}).(*gui.QBrush)
}

func (ptr *QGraphicsView) ConnectInvalidateScene(f func(rect *core.QRectF, layers QGraphicsScene__SceneLayer)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInvalidateScene", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsView) DisconnectInvalidateScene() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInvalidateScene"})
}

func (ptr *QGraphicsView) InvalidateScene(rect core.QRectF_ITF, layers QGraphicsScene__SceneLayer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvalidateScene", rect, layers})
}

func (ptr *QGraphicsView) InvalidateSceneDefault(rect core.QRectF_ITF, layers QGraphicsScene__SceneLayer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvalidateSceneDefault", rect, layers})
}

func (ptr *QGraphicsView) IsInteractive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsInteractive"}).(bool)
}

func (ptr *QGraphicsView) IsTransformed() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTransformed"}).(bool)
}

func (ptr *QGraphicsView) ItemAt(pos core.QPoint_ITF) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt", pos}).(*QGraphicsItem)
}

func (ptr *QGraphicsView) ItemAt2(x int, y int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt2", x, y}).(*QGraphicsItem)
}

func (ptr *QGraphicsView) Items() []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items"}).([]*QGraphicsItem)
}

func (ptr *QGraphicsView) Items2(pos core.QPoint_ITF) []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items2", pos}).([]*QGraphicsItem)
}

func (ptr *QGraphicsView) Items3(x int, y int) []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items3", x, y}).([]*QGraphicsItem)
}

func (ptr *QGraphicsView) Items4(rect core.QRect_ITF, mode core.Qt__ItemSelectionMode) []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items4", rect, mode}).([]*QGraphicsItem)
}

func (ptr *QGraphicsView) Items5(x int, y int, w int, h int, mode core.Qt__ItemSelectionMode) []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items5", x, y, w, h, mode}).([]*QGraphicsItem)
}

func (ptr *QGraphicsView) Items6(polygon gui.QPolygon_ITF, mode core.Qt__ItemSelectionMode) []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items6", polygon, mode}).([]*QGraphicsItem)
}

func (ptr *QGraphicsView) Items7(path gui.QPainterPath_ITF, mode core.Qt__ItemSelectionMode) []*QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items7", path, mode}).([]*QGraphicsItem)
}

func (ptr *QGraphicsView) MapFromScene(point core.QPointF_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromScene", point}).(*core.QPoint)
}

func (ptr *QGraphicsView) MapFromScene2(rect core.QRectF_ITF) *gui.QPolygon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromScene2", rect}).(*gui.QPolygon)
}

func (ptr *QGraphicsView) MapFromScene3(polygon gui.QPolygonF_ITF) *gui.QPolygon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromScene3", polygon}).(*gui.QPolygon)
}

func (ptr *QGraphicsView) MapFromScene4(path gui.QPainterPath_ITF) *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromScene4", path}).(*gui.QPainterPath)
}

func (ptr *QGraphicsView) MapFromScene5(x float64, y float64) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromScene5", x, y}).(*core.QPoint)
}

func (ptr *QGraphicsView) MapFromScene6(x float64, y float64, w float64, h float64) *gui.QPolygon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapFromScene6", x, y, w, h}).(*gui.QPolygon)
}

func (ptr *QGraphicsView) MapToScene(point core.QPoint_ITF) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToScene", point}).(*core.QPointF)
}

func (ptr *QGraphicsView) MapToScene2(rect core.QRect_ITF) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToScene2", rect}).(*gui.QPolygonF)
}

func (ptr *QGraphicsView) MapToScene3(polygon gui.QPolygon_ITF) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToScene3", polygon}).(*gui.QPolygonF)
}

func (ptr *QGraphicsView) MapToScene4(path gui.QPainterPath_ITF) *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToScene4", path}).(*gui.QPainterPath)
}

func (ptr *QGraphicsView) MapToScene5(x int, y int) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToScene5", x, y}).(*core.QPointF)
}

func (ptr *QGraphicsView) MapToScene6(x int, y int, w int, h int) *gui.QPolygonF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MapToScene6", x, y, w, h}).(*gui.QPolygonF)
}

func (ptr *QGraphicsView) Matrix() *gui.QMatrix {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Matrix"}).(*gui.QMatrix)
}

func (ptr *QGraphicsView) OptimizationFlags() QGraphicsView__OptimizationFlag {

	return QGraphicsView__OptimizationFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OptimizationFlags"}).(float64))
}

func (ptr *QGraphicsView) Render(painter gui.QPainter_ITF, target core.QRectF_ITF, source core.QRect_ITF, aspectRatioMode core.Qt__AspectRatioMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Render", painter, target, source, aspectRatioMode})
}

func (ptr *QGraphicsView) RenderHints() gui.QPainter__RenderHint {

	return gui.QPainter__RenderHint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RenderHints"}).(float64))
}

func (ptr *QGraphicsView) ResetCachedContent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetCachedContent"})
}

func (ptr *QGraphicsView) ResetMatrix() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetMatrix"})
}

func (ptr *QGraphicsView) ResetTransform() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetTransform"})
}

func (ptr *QGraphicsView) ResizeAnchor() QGraphicsView__ViewportAnchor {

	return QGraphicsView__ViewportAnchor(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeAnchor"}).(float64))
}

func (ptr *QGraphicsView) Rotate(angle float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rotate", angle})
}

func (ptr *QGraphicsView) ConnectRubberBandChanged(f func(rubberBandRect *core.QRect, fromScenePoint *core.QPointF, toScenePoint *core.QPointF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRubberBandChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsView) DisconnectRubberBandChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRubberBandChanged"})
}

func (ptr *QGraphicsView) RubberBandChanged(rubberBandRect core.QRect_ITF, fromScenePoint core.QPointF_ITF, toScenePoint core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RubberBandChanged", rubberBandRect, fromScenePoint, toScenePoint})
}

func (ptr *QGraphicsView) RubberBandRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RubberBandRect"}).(*core.QRect)
}

func (ptr *QGraphicsView) RubberBandSelectionMode() core.Qt__ItemSelectionMode {

	return core.Qt__ItemSelectionMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RubberBandSelectionMode"}).(float64))
}

func (ptr *QGraphicsView) Scale(sx float64, sy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scale", sx, sy})
}

func (ptr *QGraphicsView) Scene() *QGraphicsScene {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Scene"}).(*QGraphicsScene)
}

func (ptr *QGraphicsView) SceneRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SceneRect"}).(*core.QRectF)
}

func (ptr *QGraphicsView) SetAlignment(alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", alignment})
}

func (ptr *QGraphicsView) SetBackgroundBrush(brush gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackgroundBrush", brush})
}

func (ptr *QGraphicsView) SetCacheMode(mode QGraphicsView__CacheModeFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCacheMode", mode})
}

func (ptr *QGraphicsView) SetDragMode(mode QGraphicsView__DragMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDragMode", mode})
}

func (ptr *QGraphicsView) SetForegroundBrush(brush gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetForegroundBrush", brush})
}

func (ptr *QGraphicsView) SetInteractive(allowed bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInteractive", allowed})
}

func (ptr *QGraphicsView) SetMatrix(matrix gui.QMatrix_ITF, combine bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMatrix", matrix, combine})
}

func (ptr *QGraphicsView) SetOptimizationFlag(flag QGraphicsView__OptimizationFlag, enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOptimizationFlag", flag, enabled})
}

func (ptr *QGraphicsView) SetOptimizationFlags(flags QGraphicsView__OptimizationFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOptimizationFlags", flags})
}

func (ptr *QGraphicsView) SetRenderHint(hint gui.QPainter__RenderHint, enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRenderHint", hint, enabled})
}

func (ptr *QGraphicsView) SetRenderHints(hints gui.QPainter__RenderHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRenderHints", hints})
}

func (ptr *QGraphicsView) SetResizeAnchor(anchor QGraphicsView__ViewportAnchor) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResizeAnchor", anchor})
}

func (ptr *QGraphicsView) SetRubberBandSelectionMode(mode core.Qt__ItemSelectionMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRubberBandSelectionMode", mode})
}

func (ptr *QGraphicsView) SetScene(scene QGraphicsScene_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScene", scene})
}

func (ptr *QGraphicsView) SetSceneRect(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSceneRect", rect})
}

func (ptr *QGraphicsView) SetSceneRect2(x float64, y float64, w float64, h float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSceneRect2", x, y, w, h})
}

func (ptr *QGraphicsView) SetTransform(matrix gui.QTransform_ITF, combine bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTransform", matrix, combine})
}

func (ptr *QGraphicsView) SetTransformationAnchor(anchor QGraphicsView__ViewportAnchor) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTransformationAnchor", anchor})
}

func (ptr *QGraphicsView) SetViewportUpdateMode(mode QGraphicsView__ViewportUpdateMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewportUpdateMode", mode})
}

func (ptr *QGraphicsView) ConnectSetupViewport(f func(widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetupViewport", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsView) DisconnectSetupViewport() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetupViewport"})
}

func (ptr *QGraphicsView) SetupViewport(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetupViewport", widget})
}

func (ptr *QGraphicsView) SetupViewportDefault(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetupViewportDefault", widget})
}

func (ptr *QGraphicsView) Shear(sh float64, sv float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shear", sh, sv})
}

func (ptr *QGraphicsView) Transform() *gui.QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transform"}).(*gui.QTransform)
}

func (ptr *QGraphicsView) TransformationAnchor() QGraphicsView__ViewportAnchor {

	return QGraphicsView__ViewportAnchor(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TransformationAnchor"}).(float64))
}

func (ptr *QGraphicsView) Translate(dx float64, dy float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Translate", dx, dy})
}

func (ptr *QGraphicsView) ConnectUpdateScene(f func(rects []*core.QRectF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateScene", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsView) DisconnectUpdateScene() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateScene"})
}

func (ptr *QGraphicsView) UpdateScene(rects []*core.QRectF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateScene", rects})
}

func (ptr *QGraphicsView) UpdateSceneDefault(rects []*core.QRectF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateSceneDefault", rects})
}

func (ptr *QGraphicsView) ConnectUpdateSceneRect(f func(rect *core.QRectF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateSceneRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsView) DisconnectUpdateSceneRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateSceneRect"})
}

func (ptr *QGraphicsView) UpdateSceneRect(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateSceneRect", rect})
}

func (ptr *QGraphicsView) UpdateSceneRectDefault(rect core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateSceneRectDefault", rect})
}

func (ptr *QGraphicsView) ViewportTransform() *gui.QTransform {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewportTransform"}).(*gui.QTransform)
}

func (ptr *QGraphicsView) ViewportUpdateMode() QGraphicsView__ViewportUpdateMode {

	return QGraphicsView__ViewportUpdateMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewportUpdateMode"}).(float64))
}

func (ptr *QGraphicsView) ConnectDestroyQGraphicsView(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGraphicsView", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsView) DisconnectDestroyQGraphicsView() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGraphicsView"})
}

func (ptr *QGraphicsView) DestroyQGraphicsView() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsView"})
}

func (ptr *QGraphicsView) DestroyQGraphicsViewDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGraphicsViewDefault"})
}

func (ptr *QGraphicsView) __items_atList(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsView) __items_setList(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList", i})
}

func (ptr *QGraphicsView) __items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsView) __items_atList2(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList2", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsView) __items_setList2(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList2", i})
}

func (ptr *QGraphicsView) __items_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList2"}).(unsafe.Pointer)
}

func (ptr *QGraphicsView) __items_atList3(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList3", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsView) __items_setList3(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList3", i})
}

func (ptr *QGraphicsView) __items_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList3"}).(unsafe.Pointer)
}

func (ptr *QGraphicsView) __items_atList4(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList4", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsView) __items_setList4(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList4", i})
}

func (ptr *QGraphicsView) __items_newList4() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList4"}).(unsafe.Pointer)
}

func (ptr *QGraphicsView) __items_atList5(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList5", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsView) __items_setList5(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList5", i})
}

func (ptr *QGraphicsView) __items_newList5() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList5"}).(unsafe.Pointer)
}

func (ptr *QGraphicsView) __items_atList6(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList6", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsView) __items_setList6(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList6", i})
}

func (ptr *QGraphicsView) __items_newList6() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList6"}).(unsafe.Pointer)
}

func (ptr *QGraphicsView) __items_atList7(i int) *QGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList7", i}).(*QGraphicsItem)
}

func (ptr *QGraphicsView) __items_setList7(i QGraphicsItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList7", i})
}

func (ptr *QGraphicsView) __items_newList7() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList7"}).(unsafe.Pointer)
}

func (ptr *QGraphicsView) __updateScene_rects_atList(i int) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__updateScene_rects_atList", i}).(*core.QRectF)
}

func (ptr *QGraphicsView) __updateScene_rects_setList(i core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__updateScene_rects_setList", i})
}

func (ptr *QGraphicsView) __updateScene_rects_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__updateScene_rects_newList"}).(unsafe.Pointer)
}

type QGraphicsWidget struct {
	QGraphicsObject
	QGraphicsLayoutItem
}

type QGraphicsWidget_ITF interface {
	QGraphicsObject_ITF
	QGraphicsLayoutItem_ITF
	QGraphicsWidget_PTR() *QGraphicsWidget
}

func (ptr *QGraphicsWidget) QGraphicsWidget_PTR() *QGraphicsWidget {
	return ptr
}

func (ptr *QGraphicsWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QGraphicsWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGraphicsObject_PTR().SetPointer(p)
		ptr.QGraphicsLayoutItem_PTR().SetPointer(p)
	}
}

func PointerFromQGraphicsWidget(ptr QGraphicsWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGraphicsWidget_PTR().Pointer()
	}
	return nil
}

func (n *QGraphicsWidget) InitFromInternal(ptr uintptr, name string) {
	n.QGraphicsObject_PTR().InitFromInternal(uintptr(ptr), name)
	n.QGraphicsLayoutItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGraphicsWidget) ClassNameInternalF() string {
	return n.QGraphicsObject_PTR().ClassNameInternalF()
}

func NewQGraphicsWidgetFromPointer(ptr unsafe.Pointer) (n *QGraphicsWidget) {
	n = new(QGraphicsWidget)
	n.InitFromInternal(uintptr(ptr), "widgets.QGraphicsWidget")
	return
}

//go:generate stringer -type=QGraphicsWidget__anonymous
//QGraphicsWidget::anonymous
type QGraphicsWidget__anonymous int64

const (
	QGraphicsWidget__Type QGraphicsWidget__anonymous = QGraphicsWidget__anonymous(11)
)

func NewQGraphicsWidget(parent QGraphicsItem_ITF, wFlags core.Qt__WindowType) *QGraphicsWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGraphicsWidget", "", parent, wFlags}).(*QGraphicsWidget)
}

func (ptr *QGraphicsWidget) Actions() []*QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "Actions"}).([]*QAction)
}

func (ptr *QGraphicsWidget) AddAction(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "AddAction", action})
}

func (ptr *QGraphicsWidget) AddActions(actions []*QAction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "AddActions", actions})
}

func (ptr *QGraphicsWidget) AdjustSize() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "AdjustSize"})
}

func (ptr *QGraphicsWidget) AutoFillBackground() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "AutoFillBackground"}).(bool)
}

func (ptr *QGraphicsWidget) ConnectBoundingRect(f func() *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectBoundingRect"})
}

func (ptr *QGraphicsWidget) BoundingRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "BoundingRect"}).(*core.QRectF)
}

func (ptr *QGraphicsWidget) BoundingRectDefault() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "BoundingRectDefault"}).(*core.QRectF)
}

func (ptr *QGraphicsWidget) ConnectChangeEvent(f func(event *core.QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectChangeEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectChangeEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectChangeEvent"})
}

func (ptr *QGraphicsWidget) ChangeEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ChangeEvent", event})
}

func (ptr *QGraphicsWidget) ChangeEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ChangeEventDefault", event})
}

func (ptr *QGraphicsWidget) ConnectClose(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectClose", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectClose() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectClose"})
}

func (ptr *QGraphicsWidget) Close() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "Close"}).(bool)
}

func (ptr *QGraphicsWidget) CloseDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "CloseDefault"}).(bool)
}

func (ptr *QGraphicsWidget) ConnectCloseEvent(f func(event *gui.QCloseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectCloseEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectCloseEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectCloseEvent"})
}

func (ptr *QGraphicsWidget) CloseEvent(event gui.QCloseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "CloseEvent", event})
}

func (ptr *QGraphicsWidget) CloseEventDefault(event gui.QCloseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "CloseEventDefault", event})
}

func (ptr *QGraphicsWidget) ConnectFocusNextPrevChild(f func(next bool) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectFocusNextPrevChild", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectFocusNextPrevChild() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectFocusNextPrevChild"})
}

func (ptr *QGraphicsWidget) FocusNextPrevChild(next bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "FocusNextPrevChild", next}).(bool)
}

func (ptr *QGraphicsWidget) FocusNextPrevChildDefault(next bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "FocusNextPrevChildDefault", next}).(bool)
}

func (ptr *QGraphicsWidget) FocusPolicy() core.Qt__FocusPolicy {

	return core.Qt__FocusPolicy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "FocusPolicy"}).(float64))
}

func (ptr *QGraphicsWidget) FocusWidget() *QGraphicsWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "FocusWidget"}).(*QGraphicsWidget)
}

func (ptr *QGraphicsWidget) Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "Font"}).(*gui.QFont)
}

func (ptr *QGraphicsWidget) ConnectGeometryChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectGeometryChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectGeometryChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectGeometryChanged"})
}

func (ptr *QGraphicsWidget) GeometryChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "GeometryChanged"})
}

func (ptr *QGraphicsWidget) GetWindowFrameMargins(left float64, top float64, right float64, bottom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "GetWindowFrameMargins", left, top, right, bottom})
}

func (ptr *QGraphicsWidget) ConnectGrabKeyboardEvent(f func(event *core.QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectGrabKeyboardEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectGrabKeyboardEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectGrabKeyboardEvent"})
}

func (ptr *QGraphicsWidget) GrabKeyboardEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "GrabKeyboardEvent", event})
}

func (ptr *QGraphicsWidget) GrabKeyboardEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "GrabKeyboardEventDefault", event})
}

func (ptr *QGraphicsWidget) ConnectGrabMouseEvent(f func(event *core.QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectGrabMouseEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectGrabMouseEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectGrabMouseEvent"})
}

func (ptr *QGraphicsWidget) GrabMouseEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "GrabMouseEvent", event})
}

func (ptr *QGraphicsWidget) GrabMouseEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "GrabMouseEventDefault", event})
}

func (ptr *QGraphicsWidget) GrabShortcut(sequence gui.QKeySequence_ITF, context core.Qt__ShortcutContext) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "GrabShortcut", sequence, context}).(float64))
}

func (ptr *QGraphicsWidget) ConnectHideEvent(f func(event *gui.QHideEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectHideEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectHideEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectHideEvent"})
}

func (ptr *QGraphicsWidget) HideEvent(event gui.QHideEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "HideEvent", event})
}

func (ptr *QGraphicsWidget) HideEventDefault(event gui.QHideEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "HideEventDefault", event})
}

func (ptr *QGraphicsWidget) ConnectInitStyleOption(f func(option *QStyleOption)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectInitStyleOption", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectInitStyleOption() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectInitStyleOption"})
}

func (ptr *QGraphicsWidget) InitStyleOption(option QStyleOption_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QGraphicsWidget) InitStyleOptionDefault(option QStyleOption_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "InitStyleOptionDefault", option})
}

func (ptr *QGraphicsWidget) InsertAction(before QAction_ITF, action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "InsertAction", before, action})
}

func (ptr *QGraphicsWidget) InsertActions(before QAction_ITF, actions []*QAction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "InsertActions", before, actions})
}

func (ptr *QGraphicsWidget) IsActiveWindow() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "IsActiveWindow"}).(bool)
}

func (ptr *QGraphicsWidget) Layout() *QGraphicsLayout {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "Layout"}).(*QGraphicsLayout)
}

func (ptr *QGraphicsWidget) ConnectLayoutChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectLayoutChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectLayoutChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectLayoutChanged"})
}

func (ptr *QGraphicsWidget) LayoutChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "LayoutChanged"})
}

func (ptr *QGraphicsWidget) LayoutDirection() core.Qt__LayoutDirection {

	return core.Qt__LayoutDirection(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "LayoutDirection"}).(float64))
}

func (ptr *QGraphicsWidget) ConnectMoveEvent(f func(event *QGraphicsSceneMoveEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectMoveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectMoveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectMoveEvent"})
}

func (ptr *QGraphicsWidget) MoveEvent(event QGraphicsSceneMoveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "MoveEvent", event})
}

func (ptr *QGraphicsWidget) MoveEventDefault(event QGraphicsSceneMoveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "MoveEventDefault", event})
}

func (ptr *QGraphicsWidget) ConnectPaint(f func(painter *gui.QPainter, option *QStyleOptionGraphicsItem, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QGraphicsWidget) Paint(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "Paint", painter, option, widget})
}

func (ptr *QGraphicsWidget) PaintDefault(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "PaintDefault", painter, option, widget})
}

func (ptr *QGraphicsWidget) ConnectPaintWindowFrame(f func(painter *gui.QPainter, option *QStyleOptionGraphicsItem, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectPaintWindowFrame", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectPaintWindowFrame() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectPaintWindowFrame"})
}

func (ptr *QGraphicsWidget) PaintWindowFrame(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "PaintWindowFrame", painter, option, widget})
}

func (ptr *QGraphicsWidget) PaintWindowFrameDefault(painter gui.QPainter_ITF, option QStyleOptionGraphicsItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "PaintWindowFrameDefault", painter, option, widget})
}

func (ptr *QGraphicsWidget) Palette() *gui.QPalette {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "Palette"}).(*gui.QPalette)
}

func (ptr *QGraphicsWidget) ConnectPolishEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectPolishEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectPolishEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectPolishEvent"})
}

func (ptr *QGraphicsWidget) PolishEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "PolishEvent"})
}

func (ptr *QGraphicsWidget) PolishEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "PolishEventDefault"})
}

func (ptr *QGraphicsWidget) Rect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "Rect"}).(*core.QRectF)
}

func (ptr *QGraphicsWidget) ReleaseShortcut(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ReleaseShortcut", id})
}

func (ptr *QGraphicsWidget) RemoveAction(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "RemoveAction", action})
}

func (ptr *QGraphicsWidget) Resize(size core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "Resize", size})
}

func (ptr *QGraphicsWidget) Resize2(w float64, h float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "Resize2", w, h})
}

func (ptr *QGraphicsWidget) ConnectResizeEvent(f func(event *QGraphicsSceneResizeEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectResizeEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectResizeEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectResizeEvent"})
}

func (ptr *QGraphicsWidget) ResizeEvent(event QGraphicsSceneResizeEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ResizeEvent", event})
}

func (ptr *QGraphicsWidget) ResizeEventDefault(event QGraphicsSceneResizeEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ResizeEventDefault", event})
}

func (ptr *QGraphicsWidget) SetAttribute(attribute core.Qt__WidgetAttribute, on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetAttribute", attribute, on})
}

func (ptr *QGraphicsWidget) SetAutoFillBackground(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetAutoFillBackground", enabled})
}

func (ptr *QGraphicsWidget) SetContentsMargins(left float64, top float64, right float64, bottom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetContentsMargins", left, top, right, bottom})
}

func (ptr *QGraphicsWidget) SetFocusPolicy(policy core.Qt__FocusPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetFocusPolicy", policy})
}

func (ptr *QGraphicsWidget) SetFont(font gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetFont", font})
}

func (ptr *QGraphicsWidget) SetGeometry2(x float64, y float64, w float64, h float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetGeometry2", x, y, w, h})
}

func (ptr *QGraphicsWidget) SetLayout(layout QGraphicsLayout_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetLayout", layout})
}

func (ptr *QGraphicsWidget) SetLayoutDirection(direction core.Qt__LayoutDirection) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetLayoutDirection", direction})
}

func (ptr *QGraphicsWidget) SetPalette(palette gui.QPalette_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetPalette", palette})
}

func (ptr *QGraphicsWidget) SetShortcutAutoRepeat(id int, enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetShortcutAutoRepeat", id, enabled})
}

func (ptr *QGraphicsWidget) SetShortcutEnabled(id int, enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetShortcutEnabled", id, enabled})
}

func (ptr *QGraphicsWidget) SetStyle(style QStyle_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetStyle", style})
}

func QGraphicsWidget_SetTabOrder(first QGraphicsWidget_ITF, second QGraphicsWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QGraphicsWidget_SetTabOrder", "", first, second})
}

func (ptr *QGraphicsWidget) SetTabOrder(first QGraphicsWidget_ITF, second QGraphicsWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QGraphicsWidget_SetTabOrder", "", first, second})
}

func (ptr *QGraphicsWidget) SetWindowFlags(wFlags core.Qt__WindowType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetWindowFlags", wFlags})
}

func (ptr *QGraphicsWidget) SetWindowFrameMargins(left float64, top float64, right float64, bottom float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetWindowFrameMargins", left, top, right, bottom})
}

func (ptr *QGraphicsWidget) SetWindowTitle(title string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetWindowTitle", title})
}

func (ptr *QGraphicsWidget) ConnectShowEvent(f func(event *gui.QShowEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectShowEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectShowEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectShowEvent"})
}

func (ptr *QGraphicsWidget) ShowEvent(event gui.QShowEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ShowEvent", event})
}

func (ptr *QGraphicsWidget) ShowEventDefault(event gui.QShowEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ShowEventDefault", event})
}

func (ptr *QGraphicsWidget) Size() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "Size"}).(*core.QSizeF)
}

func (ptr *QGraphicsWidget) ConnectSizeHint(f func(which core.Qt__SizeHint, constraint *core.QSizeF) *core.QSizeF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QGraphicsWidget) SizeHint(which core.Qt__SizeHint, constraint core.QSizeF_ITF) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SizeHint", which, constraint}).(*core.QSizeF)
}

func (ptr *QGraphicsWidget) SizeHintDefault(which core.Qt__SizeHint, constraint core.QSizeF_ITF) *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SizeHintDefault", which, constraint}).(*core.QSizeF)
}

func (ptr *QGraphicsWidget) Style() *QStyle {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "Style"}).(*QStyle)
}

func (ptr *QGraphicsWidget) TestAttribute(attribute core.Qt__WidgetAttribute) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "TestAttribute", attribute}).(bool)
}

func (ptr *QGraphicsWidget) ConnectUngrabKeyboardEvent(f func(event *core.QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectUngrabKeyboardEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectUngrabKeyboardEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectUngrabKeyboardEvent"})
}

func (ptr *QGraphicsWidget) UngrabKeyboardEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "UngrabKeyboardEvent", event})
}

func (ptr *QGraphicsWidget) UngrabKeyboardEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "UngrabKeyboardEventDefault", event})
}

func (ptr *QGraphicsWidget) ConnectUngrabMouseEvent(f func(event *core.QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectUngrabMouseEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectUngrabMouseEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectUngrabMouseEvent"})
}

func (ptr *QGraphicsWidget) UngrabMouseEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "UngrabMouseEvent", event})
}

func (ptr *QGraphicsWidget) UngrabMouseEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "UngrabMouseEventDefault", event})
}

func (ptr *QGraphicsWidget) UnsetLayoutDirection() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "UnsetLayoutDirection"})
}

func (ptr *QGraphicsWidget) UnsetWindowFrameMargins() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "UnsetWindowFrameMargins"})
}

func (ptr *QGraphicsWidget) WindowFlags() core.Qt__WindowType {

	return core.Qt__WindowType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "WindowFlags"}).(float64))
}

func (ptr *QGraphicsWidget) ConnectWindowFrameEvent(f func(event *core.QEvent) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectWindowFrameEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectWindowFrameEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectWindowFrameEvent"})
}

func (ptr *QGraphicsWidget) WindowFrameEvent(event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "WindowFrameEvent", event}).(bool)
}

func (ptr *QGraphicsWidget) WindowFrameEventDefault(event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "WindowFrameEventDefault", event}).(bool)
}

func (ptr *QGraphicsWidget) WindowFrameGeometry() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "WindowFrameGeometry"}).(*core.QRectF)
}

func (ptr *QGraphicsWidget) WindowFrameRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "WindowFrameRect"}).(*core.QRectF)
}

func (ptr *QGraphicsWidget) ConnectWindowFrameSectionAt(f func(pos *core.QPointF) core.Qt__WindowFrameSection) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectWindowFrameSectionAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectWindowFrameSectionAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectWindowFrameSectionAt"})
}

func (ptr *QGraphicsWidget) WindowFrameSectionAt(pos core.QPointF_ITF) core.Qt__WindowFrameSection {

	return core.Qt__WindowFrameSection(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "WindowFrameSectionAt", pos}).(float64))
}

func (ptr *QGraphicsWidget) WindowFrameSectionAtDefault(pos core.QPointF_ITF) core.Qt__WindowFrameSection {

	return core.Qt__WindowFrameSection(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "WindowFrameSectionAtDefault", pos}).(float64))
}

func (ptr *QGraphicsWidget) WindowTitle() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "WindowTitle"}).(string)
}

func (ptr *QGraphicsWidget) WindowType() core.Qt__WindowType {

	return core.Qt__WindowType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "WindowType"}).(float64))
}

func (ptr *QGraphicsWidget) ConnectDestroyQGraphicsWidget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "ConnectDestroyQGraphicsWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGraphicsWidget) DisconnectDestroyQGraphicsWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DisconnectDestroyQGraphicsWidget"})
}

func (ptr *QGraphicsWidget) DestroyQGraphicsWidget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DestroyQGraphicsWidget"})
}

func (ptr *QGraphicsWidget) DestroyQGraphicsWidgetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "DestroyQGraphicsWidgetDefault"})
}

func (ptr *QGraphicsWidget) MinimumSize() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "MinimumSize"}).(*core.QSizeF)
}

func (ptr *QGraphicsWidget) SetMinimumSize(minimumSize core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetMinimumSize", minimumSize})
}

func (ptr *QGraphicsWidget) PreferredSize() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "PreferredSize"}).(*core.QSizeF)
}

func (ptr *QGraphicsWidget) SetPreferredSize(preferredSize core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetPreferredSize", preferredSize})
}

func (ptr *QGraphicsWidget) MaximumSize() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "MaximumSize"}).(*core.QSizeF)
}

func (ptr *QGraphicsWidget) SetMaximumSize(maximumSize core.QSizeF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetMaximumSize", maximumSize})
}

func (ptr *QGraphicsWidget) SizePolicy() *QSizePolicy {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SizePolicy"}).(*QSizePolicy)
}

func (ptr *QGraphicsWidget) SetSizePolicy(sizePolicy QSizePolicy_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "SetSizePolicy", sizePolicy})
}

func (ptr *QGraphicsWidget) Geometry() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "Geometry"}).(*core.QRectF)
}

func (ptr *QGraphicsWidget) __actions_atList(i int) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "__actions_atList", i}).(*QAction)
}

func (ptr *QGraphicsWidget) __actions_setList(i QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "__actions_setList", i})
}

func (ptr *QGraphicsWidget) __actions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "__actions_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsWidget) __addActions_actions_atList(i int) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "__addActions_actions_atList", i}).(*QAction)
}

func (ptr *QGraphicsWidget) __addActions_actions_setList(i QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "__addActions_actions_setList", i})
}

func (ptr *QGraphicsWidget) __addActions_actions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "__addActions_actions_newList"}).(unsafe.Pointer)
}

func (ptr *QGraphicsWidget) __insertActions_actions_atList(i int) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "__insertActions_actions_atList", i}).(*QAction)
}

func (ptr *QGraphicsWidget) __insertActions_actions_setList(i QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "__insertActions_actions_setList", i})
}

func (ptr *QGraphicsWidget) __insertActions_actions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QGraphicsObject_PTR().ClassNameInternalF(), "__insertActions_actions_newList"}).(unsafe.Pointer)
}

type QGridLayout struct {
	QLayout
}

type QGridLayout_ITF interface {
	QLayout_ITF
	QGridLayout_PTR() *QGridLayout
}

func (ptr *QGridLayout) QGridLayout_PTR() *QGridLayout {
	return ptr
}

func (ptr *QGridLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QLayout_PTR().Pointer()
	}
	return nil
}

func (ptr *QGridLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QLayout_PTR().SetPointer(p)
	}
}

func PointerFromQGridLayout(ptr QGridLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGridLayout_PTR().Pointer()
	}
	return nil
}

func (n *QGridLayout) InitFromInternal(ptr uintptr, name string) {
	n.QLayout_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGridLayout) ClassNameInternalF() string {
	return n.QLayout_PTR().ClassNameInternalF()
}

func NewQGridLayoutFromPointer(ptr unsafe.Pointer) (n *QGridLayout) {
	n = new(QGridLayout)
	n.InitFromInternal(uintptr(ptr), "widgets.QGridLayout")
	return
}
func NewQGridLayout(parent QWidget_ITF) *QGridLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGridLayout", "", parent}).(*QGridLayout)
}

func NewQGridLayout2() *QGridLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGridLayout2", ""}).(*QGridLayout)
}

func (ptr *QGridLayout) AddItem(item QLayoutItem_ITF, row int, column int, rowSpan int, columnSpan int, alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem", item, row, column, rowSpan, columnSpan, alignment})
}

func (ptr *QGridLayout) ConnectAddItem2(f func(item *QLayoutItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAddItem2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGridLayout) DisconnectAddItem2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAddItem2"})
}

func (ptr *QGridLayout) AddItem2(item QLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem2", item})
}

func (ptr *QGridLayout) AddItem2Default(item QLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem2Default", item})
}

func (ptr *QGridLayout) AddLayout(layout QLayout_ITF, row int, column int, alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddLayout", layout, row, column, alignment})
}

func (ptr *QGridLayout) AddLayout2(layout QLayout_ITF, row int, column int, rowSpan int, columnSpan int, alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddLayout2", layout, row, column, rowSpan, columnSpan, alignment})
}

func (ptr *QGridLayout) AddWidget2(widget QWidget_ITF, row int, column int, alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddWidget2", widget, row, column, alignment})
}

func (ptr *QGridLayout) AddWidget3(widget QWidget_ITF, fromRow int, fromColumn int, rowSpan int, columnSpan int, alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddWidget3", widget, fromRow, fromColumn, rowSpan, columnSpan, alignment})
}

func (ptr *QGridLayout) CellRect(row int, column int) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CellRect", row, column}).(*core.QRect)
}

func (ptr *QGridLayout) ColumnCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount"}).(float64))
}

func (ptr *QGridLayout) ColumnMinimumWidth(column int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnMinimumWidth", column}).(float64))
}

func (ptr *QGridLayout) ColumnStretch(column int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnStretch", column}).(float64))
}

func (ptr *QGridLayout) ConnectCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGridLayout) DisconnectCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCount"})
}

func (ptr *QGridLayout) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QGridLayout) CountDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CountDefault"}).(float64))
}

func (ptr *QGridLayout) GetItemPosition(index int, row int, column int, rowSpan int, columnSpan int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetItemPosition", index, row, column, rowSpan, columnSpan})
}

func (ptr *QGridLayout) HorizontalSpacing() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalSpacing"}).(float64))
}

func (ptr *QGridLayout) ConnectItemAt(f func(index int) *QLayoutItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGridLayout) DisconnectItemAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemAt"})
}

func (ptr *QGridLayout) ItemAt(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt", index}).(*QLayoutItem)
}

func (ptr *QGridLayout) ItemAtDefault(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAtDefault", index}).(*QLayoutItem)
}

func (ptr *QGridLayout) ItemAtPosition(row int, column int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAtPosition", row, column}).(*QLayoutItem)
}

func (ptr *QGridLayout) OriginCorner() core.Qt__Corner {

	return core.Qt__Corner(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OriginCorner"}).(float64))
}

func (ptr *QGridLayout) RowCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount"}).(float64))
}

func (ptr *QGridLayout) RowMinimumHeight(row int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowMinimumHeight", row}).(float64))
}

func (ptr *QGridLayout) RowStretch(row int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowStretch", row}).(float64))
}

func (ptr *QGridLayout) SetColumnMinimumWidth(column int, minSize int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnMinimumWidth", column, minSize})
}

func (ptr *QGridLayout) SetColumnStretch(column int, stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnStretch", column, stretch})
}

func (ptr *QGridLayout) SetHorizontalSpacing(spacing int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalSpacing", spacing})
}

func (ptr *QGridLayout) SetOriginCorner(corner core.Qt__Corner) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOriginCorner", corner})
}

func (ptr *QGridLayout) SetRowMinimumHeight(row int, minSize int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowMinimumHeight", row, minSize})
}

func (ptr *QGridLayout) SetRowStretch(row int, stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowStretch", row, stretch})
}

func (ptr *QGridLayout) SetVerticalSpacing(spacing int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalSpacing", spacing})
}

func (ptr *QGridLayout) ConnectSizeHint(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGridLayout) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QGridLayout) SizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint"}).(*core.QSize)
}

func (ptr *QGridLayout) SizeHintDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintDefault"}).(*core.QSize)
}

func (ptr *QGridLayout) ConnectTakeAt(f func(index int) *QLayoutItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTakeAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGridLayout) DisconnectTakeAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTakeAt"})
}

func (ptr *QGridLayout) TakeAt(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeAt", index}).(*QLayoutItem)
}

func (ptr *QGridLayout) TakeAtDefault(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeAtDefault", index}).(*QLayoutItem)
}

func (ptr *QGridLayout) VerticalSpacing() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalSpacing"}).(float64))
}

func (ptr *QGridLayout) ConnectDestroyQGridLayout(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGridLayout", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGridLayout) DisconnectDestroyQGridLayout() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGridLayout"})
}

func (ptr *QGridLayout) DestroyQGridLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGridLayout"})
}

func (ptr *QGridLayout) DestroyQGridLayoutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGridLayoutDefault"})
}

type QGroupBox struct {
	QWidget
}

type QGroupBox_ITF interface {
	QWidget_ITF
	QGroupBox_PTR() *QGroupBox
}

func (ptr *QGroupBox) QGroupBox_PTR() *QGroupBox {
	return ptr
}

func (ptr *QGroupBox) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QGroupBox) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQGroupBox(ptr QGroupBox_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QGroupBox_PTR().Pointer()
	}
	return nil
}

func (n *QGroupBox) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QGroupBox) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQGroupBoxFromPointer(ptr unsafe.Pointer) (n *QGroupBox) {
	n = new(QGroupBox)
	n.InitFromInternal(uintptr(ptr), "widgets.QGroupBox")
	return
}
func NewQGroupBox(parent QWidget_ITF) *QGroupBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGroupBox", "", parent}).(*QGroupBox)
}

func NewQGroupBox2(title string, parent QWidget_ITF) *QGroupBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQGroupBox2", "", title, parent}).(*QGroupBox)
}

func (ptr *QGroupBox) Alignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment"}).(float64))
}

func (ptr *QGroupBox) ConnectClicked(f func(checked bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGroupBox) DisconnectClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClicked"})
}

func (ptr *QGroupBox) Clicked(checked bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clicked", checked})
}

func (ptr *QGroupBox) InitStyleOption(option QStyleOptionGroupBox_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QGroupBox) IsCheckable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCheckable"}).(bool)
}

func (ptr *QGroupBox) IsChecked() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsChecked"}).(bool)
}

func (ptr *QGroupBox) IsFlat() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFlat"}).(bool)
}

func (ptr *QGroupBox) SetAlignment(alignment int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", alignment})
}

func (ptr *QGroupBox) SetCheckable(checkable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckable", checkable})
}

func (ptr *QGroupBox) ConnectSetChecked(f func(checked bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetChecked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGroupBox) DisconnectSetChecked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetChecked"})
}

func (ptr *QGroupBox) SetChecked(checked bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChecked", checked})
}

func (ptr *QGroupBox) SetCheckedDefault(checked bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckedDefault", checked})
}

func (ptr *QGroupBox) SetFlat(flat bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlat", flat})
}

func (ptr *QGroupBox) SetTitle(title string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTitle", title})
}

func (ptr *QGroupBox) Title() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Title"}).(string)
}

func (ptr *QGroupBox) ConnectToggled(f func(on bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectToggled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGroupBox) DisconnectToggled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectToggled"})
}

func (ptr *QGroupBox) Toggled(on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Toggled", on})
}

func (ptr *QGroupBox) ConnectDestroyQGroupBox(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQGroupBox", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QGroupBox) DisconnectDestroyQGroupBox() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQGroupBox"})
}

func (ptr *QGroupBox) DestroyQGroupBox() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGroupBox"})
}

func (ptr *QGroupBox) DestroyQGroupBoxDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQGroupBoxDefault"})
}

type QHBoxLayout struct {
	QBoxLayout
}

type QHBoxLayout_ITF interface {
	QBoxLayout_ITF
	QHBoxLayout_PTR() *QHBoxLayout
}

func (ptr *QHBoxLayout) QHBoxLayout_PTR() *QHBoxLayout {
	return ptr
}

func (ptr *QHBoxLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QBoxLayout_PTR().Pointer()
	}
	return nil
}

func (ptr *QHBoxLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QBoxLayout_PTR().SetPointer(p)
	}
}

func PointerFromQHBoxLayout(ptr QHBoxLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QHBoxLayout_PTR().Pointer()
	}
	return nil
}

func (n *QHBoxLayout) InitFromInternal(ptr uintptr, name string) {
	n.QBoxLayout_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QHBoxLayout) ClassNameInternalF() string {
	return n.QBoxLayout_PTR().ClassNameInternalF()
}

func NewQHBoxLayoutFromPointer(ptr unsafe.Pointer) (n *QHBoxLayout) {
	n = new(QHBoxLayout)
	n.InitFromInternal(uintptr(ptr), "widgets.QHBoxLayout")
	return
}
func NewQHBoxLayout() *QHBoxLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQHBoxLayout", ""}).(*QHBoxLayout)
}

func NewQHBoxLayout2(parent QWidget_ITF) *QHBoxLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQHBoxLayout2", "", parent}).(*QHBoxLayout)
}

func (ptr *QHBoxLayout) ConnectDestroyQHBoxLayout(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQHBoxLayout", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHBoxLayout) DisconnectDestroyQHBoxLayout() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQHBoxLayout"})
}

func (ptr *QHBoxLayout) DestroyQHBoxLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQHBoxLayout"})
}

func (ptr *QHBoxLayout) DestroyQHBoxLayoutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQHBoxLayoutDefault"})
}

type QHeaderView struct {
	QAbstractItemView
}

type QHeaderView_ITF interface {
	QAbstractItemView_ITF
	QHeaderView_PTR() *QHeaderView
}

func (ptr *QHeaderView) QHeaderView_PTR() *QHeaderView {
	return ptr
}

func (ptr *QHeaderView) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemView_PTR().Pointer()
	}
	return nil
}

func (ptr *QHeaderView) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractItemView_PTR().SetPointer(p)
	}
}

func PointerFromQHeaderView(ptr QHeaderView_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QHeaderView_PTR().Pointer()
	}
	return nil
}

func (n *QHeaderView) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractItemView_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QHeaderView) ClassNameInternalF() string {
	return n.QAbstractItemView_PTR().ClassNameInternalF()
}

func NewQHeaderViewFromPointer(ptr unsafe.Pointer) (n *QHeaderView) {
	n = new(QHeaderView)
	n.InitFromInternal(uintptr(ptr), "widgets.QHeaderView")
	return
}

//go:generate stringer -type=QHeaderView__ResizeMode
//QHeaderView::ResizeMode
type QHeaderView__ResizeMode int64

const (
	QHeaderView__Interactive      QHeaderView__ResizeMode = QHeaderView__ResizeMode(0)
	QHeaderView__Stretch          QHeaderView__ResizeMode = QHeaderView__ResizeMode(1)
	QHeaderView__Fixed            QHeaderView__ResizeMode = QHeaderView__ResizeMode(2)
	QHeaderView__ResizeToContents QHeaderView__ResizeMode = QHeaderView__ResizeMode(3)
	QHeaderView__Custom           QHeaderView__ResizeMode = QHeaderView__ResizeMode(QHeaderView__Fixed)
)

func NewQHeaderView(orientation core.Qt__Orientation, parent QWidget_ITF) *QHeaderView {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQHeaderView", "", orientation, parent}).(*QHeaderView)
}

func (ptr *QHeaderView) CascadingSectionResizes() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CascadingSectionResizes"}).(bool)
}

func (ptr *QHeaderView) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QHeaderView) ConnectCurrentChanged(f func(current *core.QModelIndex, old *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectCurrentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentChanged"})
}

func (ptr *QHeaderView) CurrentChanged(current core.QModelIndex_ITF, old core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChanged", current, old})
}

func (ptr *QHeaderView) CurrentChangedDefault(current core.QModelIndex_ITF, old core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChangedDefault", current, old})
}

func (ptr *QHeaderView) DefaultAlignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultAlignment"}).(float64))
}

func (ptr *QHeaderView) DefaultSectionSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultSectionSize"}).(float64))
}

func (ptr *QHeaderView) ConnectGeometriesChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectGeometriesChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectGeometriesChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectGeometriesChanged"})
}

func (ptr *QHeaderView) GeometriesChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GeometriesChanged"})
}

func (ptr *QHeaderView) ConnectHeaderDataChanged(f func(orientation core.Qt__Orientation, logicalFirst int, logicalLast int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHeaderDataChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectHeaderDataChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHeaderDataChanged"})
}

func (ptr *QHeaderView) HeaderDataChanged(orientation core.Qt__Orientation, logicalFirst int, logicalLast int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeaderDataChanged", orientation, logicalFirst, logicalLast})
}

func (ptr *QHeaderView) HeaderDataChangedDefault(orientation core.Qt__Orientation, logicalFirst int, logicalLast int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeaderDataChangedDefault", orientation, logicalFirst, logicalLast})
}

func (ptr *QHeaderView) HiddenSectionCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HiddenSectionCount"}).(float64))
}

func (ptr *QHeaderView) HideSection(logicalIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HideSection", logicalIndex})
}

func (ptr *QHeaderView) HighlightSections() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HighlightSections"}).(bool)
}

func (ptr *QHeaderView) ConnectHorizontalOffset(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHorizontalOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectHorizontalOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHorizontalOffset"})
}

func (ptr *QHeaderView) HorizontalOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalOffset"}).(float64))
}

func (ptr *QHeaderView) HorizontalOffsetDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalOffsetDefault"}).(float64))
}

func (ptr *QHeaderView) InitStyleOption(option QStyleOptionHeader_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QHeaderView) IsFirstSectionMovable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFirstSectionMovable"}).(bool)
}

func (ptr *QHeaderView) IsSectionHidden(logicalIndex int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSectionHidden", logicalIndex}).(bool)
}

func (ptr *QHeaderView) IsSortIndicatorShown() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSortIndicatorShown"}).(bool)
}

func (ptr *QHeaderView) Length() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Length"}).(float64))
}

func (ptr *QHeaderView) LogicalIndex(visualIndex int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LogicalIndex", visualIndex}).(float64))
}

func (ptr *QHeaderView) LogicalIndexAt(position int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LogicalIndexAt", position}).(float64))
}

func (ptr *QHeaderView) LogicalIndexAt2(x int, y int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LogicalIndexAt2", x, y}).(float64))
}

func (ptr *QHeaderView) LogicalIndexAt3(pos core.QPoint_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LogicalIndexAt3", pos}).(float64))
}

func (ptr *QHeaderView) MaximumSectionSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumSectionSize"}).(float64))
}

func (ptr *QHeaderView) MinimumSectionSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumSectionSize"}).(float64))
}

func (ptr *QHeaderView) MoveSection(from int, to int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveSection", from, to})
}

func (ptr *QHeaderView) Offset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Offset"}).(float64))
}

func (ptr *QHeaderView) Orientation() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QHeaderView) ConnectPaintSection(f func(painter *gui.QPainter, rect *core.QRect, logicalIndex int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaintSection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectPaintSection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaintSection"})
}

func (ptr *QHeaderView) PaintSection(painter gui.QPainter_ITF, rect core.QRect_ITF, logicalIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintSection", painter, rect, logicalIndex})
}

func (ptr *QHeaderView) PaintSectionDefault(painter gui.QPainter_ITF, rect core.QRect_ITF, logicalIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintSectionDefault", painter, rect, logicalIndex})
}

func (ptr *QHeaderView) ConnectReset(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectReset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReset"})
}

func (ptr *QHeaderView) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QHeaderView) ResetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetDefault"})
}

func (ptr *QHeaderView) ResetDefaultSectionSize() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetDefaultSectionSize"})
}

func (ptr *QHeaderView) ResizeContentsPrecision() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeContentsPrecision"}).(float64))
}

func (ptr *QHeaderView) ResizeSection(logicalIndex int, size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeSection", logicalIndex, size})
}

func (ptr *QHeaderView) ResizeSections(mode QHeaderView__ResizeMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeSections", mode})
}

func (ptr *QHeaderView) ConnectResizeSections2(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResizeSections2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectResizeSections2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResizeSections2"})
}

func (ptr *QHeaderView) ResizeSections2() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeSections2"})
}

func (ptr *QHeaderView) ResizeSections2Default() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeSections2Default"})
}

func (ptr *QHeaderView) RestoreState(state core.QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RestoreState", state}).(bool)
}

func (ptr *QHeaderView) SaveState() *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SaveState"}).(*core.QByteArray)
}

func (ptr *QHeaderView) ConnectSectionClicked(f func(logicalIndex int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSectionClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSectionClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSectionClicked"})
}

func (ptr *QHeaderView) SectionClicked(logicalIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionClicked", logicalIndex})
}

func (ptr *QHeaderView) ConnectSectionCountChanged(f func(oldCount int, newCount int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSectionCountChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSectionCountChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSectionCountChanged"})
}

func (ptr *QHeaderView) SectionCountChanged(oldCount int, newCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionCountChanged", oldCount, newCount})
}

func (ptr *QHeaderView) ConnectSectionDoubleClicked(f func(logicalIndex int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSectionDoubleClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSectionDoubleClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSectionDoubleClicked"})
}

func (ptr *QHeaderView) SectionDoubleClicked(logicalIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionDoubleClicked", logicalIndex})
}

func (ptr *QHeaderView) ConnectSectionEntered(f func(logicalIndex int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSectionEntered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSectionEntered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSectionEntered"})
}

func (ptr *QHeaderView) SectionEntered(logicalIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionEntered", logicalIndex})
}

func (ptr *QHeaderView) ConnectSectionHandleDoubleClicked(f func(logicalIndex int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSectionHandleDoubleClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSectionHandleDoubleClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSectionHandleDoubleClicked"})
}

func (ptr *QHeaderView) SectionHandleDoubleClicked(logicalIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionHandleDoubleClicked", logicalIndex})
}

func (ptr *QHeaderView) ConnectSectionMoved(f func(logicalIndex int, oldVisualIndex int, newVisualIndex int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSectionMoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSectionMoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSectionMoved"})
}

func (ptr *QHeaderView) SectionMoved(logicalIndex int, oldVisualIndex int, newVisualIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionMoved", logicalIndex, oldVisualIndex, newVisualIndex})
}

func (ptr *QHeaderView) SectionPosition(logicalIndex int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionPosition", logicalIndex}).(float64))
}

func (ptr *QHeaderView) ConnectSectionPressed(f func(logicalIndex int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSectionPressed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSectionPressed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSectionPressed"})
}

func (ptr *QHeaderView) SectionPressed(logicalIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionPressed", logicalIndex})
}

func (ptr *QHeaderView) SectionResizeMode(logicalIndex int) QHeaderView__ResizeMode {

	return QHeaderView__ResizeMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionResizeMode", logicalIndex}).(float64))
}

func (ptr *QHeaderView) ConnectSectionResized(f func(logicalIndex int, oldSize int, newSize int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSectionResized", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSectionResized() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSectionResized"})
}

func (ptr *QHeaderView) SectionResized(logicalIndex int, oldSize int, newSize int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionResized", logicalIndex, oldSize, newSize})
}

func (ptr *QHeaderView) SectionSize(logicalIndex int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionSize", logicalIndex}).(float64))
}

func (ptr *QHeaderView) ConnectSectionSizeFromContents(f func(logicalIndex int) *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSectionSizeFromContents", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSectionSizeFromContents() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSectionSizeFromContents"})
}

func (ptr *QHeaderView) SectionSizeFromContents(logicalIndex int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionSizeFromContents", logicalIndex}).(*core.QSize)
}

func (ptr *QHeaderView) SectionSizeFromContentsDefault(logicalIndex int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionSizeFromContentsDefault", logicalIndex}).(*core.QSize)
}

func (ptr *QHeaderView) SectionSizeHint(logicalIndex int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionSizeHint", logicalIndex}).(float64))
}

func (ptr *QHeaderView) SectionViewportPosition(logicalIndex int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionViewportPosition", logicalIndex}).(float64))
}

func (ptr *QHeaderView) ConnectSectionsAboutToBeRemoved(f func(parent *core.QModelIndex, logicalFirst int, logicalLast int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSectionsAboutToBeRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSectionsAboutToBeRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSectionsAboutToBeRemoved"})
}

func (ptr *QHeaderView) SectionsAboutToBeRemoved(parent core.QModelIndex_ITF, logicalFirst int, logicalLast int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionsAboutToBeRemoved", parent, logicalFirst, logicalLast})
}

func (ptr *QHeaderView) SectionsAboutToBeRemovedDefault(parent core.QModelIndex_ITF, logicalFirst int, logicalLast int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionsAboutToBeRemovedDefault", parent, logicalFirst, logicalLast})
}

func (ptr *QHeaderView) SectionsClickable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionsClickable"}).(bool)
}

func (ptr *QHeaderView) SectionsHidden() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionsHidden"}).(bool)
}

func (ptr *QHeaderView) ConnectSectionsInserted(f func(parent *core.QModelIndex, logicalFirst int, logicalLast int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSectionsInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSectionsInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSectionsInserted"})
}

func (ptr *QHeaderView) SectionsInserted(parent core.QModelIndex_ITF, logicalFirst int, logicalLast int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionsInserted", parent, logicalFirst, logicalLast})
}

func (ptr *QHeaderView) SectionsInsertedDefault(parent core.QModelIndex_ITF, logicalFirst int, logicalLast int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionsInsertedDefault", parent, logicalFirst, logicalLast})
}

func (ptr *QHeaderView) SectionsMovable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionsMovable"}).(bool)
}

func (ptr *QHeaderView) SectionsMoved() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SectionsMoved"}).(bool)
}

func (ptr *QHeaderView) SetCascadingSectionResizes(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCascadingSectionResizes", enable})
}

func (ptr *QHeaderView) SetDefaultAlignment(alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultAlignment", alignment})
}

func (ptr *QHeaderView) SetDefaultSectionSize(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultSectionSize", size})
}

func (ptr *QHeaderView) SetFirstSectionMovable(movable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFirstSectionMovable", movable})
}

func (ptr *QHeaderView) SetHighlightSections(highlight bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHighlightSections", highlight})
}

func (ptr *QHeaderView) SetMaximumSectionSize(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumSectionSize", size})
}

func (ptr *QHeaderView) SetMinimumSectionSize(size int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumSectionSize", size})
}

func (ptr *QHeaderView) ConnectSetOffset(f func(offset int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSetOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetOffset"})
}

func (ptr *QHeaderView) SetOffset(offset int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffset", offset})
}

func (ptr *QHeaderView) SetOffsetDefault(offset int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffsetDefault", offset})
}

func (ptr *QHeaderView) ConnectSetOffsetToLastSection(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetOffsetToLastSection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSetOffsetToLastSection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetOffsetToLastSection"})
}

func (ptr *QHeaderView) SetOffsetToLastSection() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffsetToLastSection"})
}

func (ptr *QHeaderView) SetOffsetToLastSectionDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffsetToLastSectionDefault"})
}

func (ptr *QHeaderView) ConnectSetOffsetToSectionPosition(f func(visualSectionNumber int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetOffsetToSectionPosition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSetOffsetToSectionPosition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetOffsetToSectionPosition"})
}

func (ptr *QHeaderView) SetOffsetToSectionPosition(visualSectionNumber int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffsetToSectionPosition", visualSectionNumber})
}

func (ptr *QHeaderView) SetOffsetToSectionPositionDefault(visualSectionNumber int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffsetToSectionPositionDefault", visualSectionNumber})
}

func (ptr *QHeaderView) SetResizeContentsPrecision(precision int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResizeContentsPrecision", precision})
}

func (ptr *QHeaderView) SetSectionHidden(logicalIndex int, hide bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSectionHidden", logicalIndex, hide})
}

func (ptr *QHeaderView) SetSectionResizeMode(mode QHeaderView__ResizeMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSectionResizeMode", mode})
}

func (ptr *QHeaderView) SetSectionResizeMode2(logicalIndex int, mode QHeaderView__ResizeMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSectionResizeMode2", logicalIndex, mode})
}

func (ptr *QHeaderView) SetSectionsClickable(clickable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSectionsClickable", clickable})
}

func (ptr *QHeaderView) SetSectionsMovable(movable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSectionsMovable", movable})
}

func (ptr *QHeaderView) ConnectSetSelection(f func(rect *core.QRect, flags core.QItemSelectionModel__SelectionFlag)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSetSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSelection"})
}

func (ptr *QHeaderView) SetSelection(rect core.QRect_ITF, flags core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelection", rect, flags})
}

func (ptr *QHeaderView) SetSelectionDefault(rect core.QRect_ITF, flags core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionDefault", rect, flags})
}

func (ptr *QHeaderView) SetSortIndicator(logicalIndex int, order core.Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSortIndicator", logicalIndex, order})
}

func (ptr *QHeaderView) SetSortIndicatorShown(show bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSortIndicatorShown", show})
}

func (ptr *QHeaderView) SetStretchLastSection(stretch bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStretchLastSection", stretch})
}

func (ptr *QHeaderView) ConnectSetVisible(f func(v bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetVisible", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSetVisible() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetVisible"})
}

func (ptr *QHeaderView) SetVisible(v bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisible", v})
}

func (ptr *QHeaderView) SetVisibleDefault(v bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisibleDefault", v})
}

func (ptr *QHeaderView) ShowSection(logicalIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowSection", logicalIndex})
}

func (ptr *QHeaderView) ConnectSortIndicatorChanged(f func(logicalIndex int, order core.Qt__SortOrder)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSortIndicatorChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectSortIndicatorChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSortIndicatorChanged"})
}

func (ptr *QHeaderView) SortIndicatorChanged(logicalIndex int, order core.Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortIndicatorChanged", logicalIndex, order})
}

func (ptr *QHeaderView) SortIndicatorOrder() core.Qt__SortOrder {

	return core.Qt__SortOrder(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortIndicatorOrder"}).(float64))
}

func (ptr *QHeaderView) SortIndicatorSection() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortIndicatorSection"}).(float64))
}

func (ptr *QHeaderView) StretchLastSection() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StretchLastSection"}).(bool)
}

func (ptr *QHeaderView) StretchSectionCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StretchSectionCount"}).(float64))
}

func (ptr *QHeaderView) SwapSections(first int, second int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SwapSections", first, second})
}

func (ptr *QHeaderView) ConnectVerticalOffset(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVerticalOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectVerticalOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVerticalOffset"})
}

func (ptr *QHeaderView) VerticalOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalOffset"}).(float64))
}

func (ptr *QHeaderView) VerticalOffsetDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalOffsetDefault"}).(float64))
}

func (ptr *QHeaderView) VisualIndex(logicalIndex int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualIndex", logicalIndex}).(float64))
}

func (ptr *QHeaderView) VisualIndexAt(position int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualIndexAt", position}).(float64))
}

func (ptr *QHeaderView) ConnectDestroyQHeaderView(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQHeaderView", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QHeaderView) DisconnectDestroyQHeaderView() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQHeaderView"})
}

func (ptr *QHeaderView) DestroyQHeaderView() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQHeaderView"})
}

func (ptr *QHeaderView) DestroyQHeaderViewDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQHeaderViewDefault"})
}

func (ptr *QHeaderView) IndexAt(point core.QPoint_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexAt", point}).(*core.QModelIndex)
}

func (ptr *QHeaderView) IndexAtDefault(point core.QPoint_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexAtDefault", point}).(*core.QModelIndex)
}

func (ptr *QHeaderView) IsIndexHidden(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIndexHidden", index}).(bool)
}

func (ptr *QHeaderView) IsIndexHiddenDefault(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIndexHiddenDefault", index}).(bool)
}

func (ptr *QHeaderView) MoveCursor(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCursor", cursorAction, modifiers}).(*core.QModelIndex)
}

func (ptr *QHeaderView) MoveCursorDefault(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCursorDefault", cursorAction, modifiers}).(*core.QModelIndex)
}

func (ptr *QHeaderView) ScrollTo(index core.QModelIndex_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollTo", index, hint})
}

func (ptr *QHeaderView) ScrollToDefault(index core.QModelIndex_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToDefault", index, hint})
}

func (ptr *QHeaderView) VisualRect(index core.QModelIndex_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRect", index}).(*core.QRect)
}

func (ptr *QHeaderView) VisualRectDefault(index core.QModelIndex_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRectDefault", index}).(*core.QRect)
}

func (ptr *QHeaderView) VisualRegionForSelection(selection core.QItemSelection_ITF) *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRegionForSelection", selection}).(*gui.QRegion)
}

func (ptr *QHeaderView) VisualRegionForSelectionDefault(selection core.QItemSelection_ITF) *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRegionForSelectionDefault", selection}).(*gui.QRegion)
}

type QInputDialog struct {
	QDialog
}

type QInputDialog_ITF interface {
	QDialog_ITF
	QInputDialog_PTR() *QInputDialog
}

func (ptr *QInputDialog) QInputDialog_PTR() *QInputDialog {
	return ptr
}

func (ptr *QInputDialog) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QDialog_PTR().Pointer()
	}
	return nil
}

func (ptr *QInputDialog) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QDialog_PTR().SetPointer(p)
	}
}

func PointerFromQInputDialog(ptr QInputDialog_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QInputDialog_PTR().Pointer()
	}
	return nil
}

func (n *QInputDialog) InitFromInternal(ptr uintptr, name string) {
	n.QDialog_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QInputDialog) ClassNameInternalF() string {
	return n.QDialog_PTR().ClassNameInternalF()
}

func NewQInputDialogFromPointer(ptr unsafe.Pointer) (n *QInputDialog) {
	n = new(QInputDialog)
	n.InitFromInternal(uintptr(ptr), "widgets.QInputDialog")
	return
}

//go:generate stringer -type=QInputDialog__InputDialogOption
//QInputDialog::InputDialogOption
type QInputDialog__InputDialogOption int64

const (
	QInputDialog__NoButtons                    QInputDialog__InputDialogOption = QInputDialog__InputDialogOption(0x00000001)
	QInputDialog__UseListViewForComboBoxItems  QInputDialog__InputDialogOption = QInputDialog__InputDialogOption(0x00000002)
	QInputDialog__UsePlainTextEditForTextInput QInputDialog__InputDialogOption = QInputDialog__InputDialogOption(0x00000004)
)

//go:generate stringer -type=QInputDialog__InputMode
//QInputDialog::InputMode
type QInputDialog__InputMode int64

const (
	QInputDialog__TextInput   QInputDialog__InputMode = QInputDialog__InputMode(0)
	QInputDialog__IntInput    QInputDialog__InputMode = QInputDialog__InputMode(1)
	QInputDialog__DoubleInput QInputDialog__InputMode = QInputDialog__InputMode(2)
)

func NewQInputDialog(parent QWidget_ITF, flags core.Qt__WindowType) *QInputDialog {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQInputDialog", "", parent, flags}).(*QInputDialog)
}

func (ptr *QInputDialog) CancelButtonText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CancelButtonText"}).(string)
}

func (ptr *QInputDialog) ComboBoxItems() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ComboBoxItems"}).([]string)
}

func (ptr *QInputDialog) ConnectDone(f func(result int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDone", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputDialog) DisconnectDone() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDone"})
}

func (ptr *QInputDialog) Done(result int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Done", result})
}

func (ptr *QInputDialog) DoneDefault(result int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoneDefault", result})
}

func (ptr *QInputDialog) DoubleDecimals() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoubleDecimals"}).(float64))
}

func (ptr *QInputDialog) DoubleMaximum() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoubleMaximum"}).(float64)
}

func (ptr *QInputDialog) DoubleMinimum() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoubleMinimum"}).(float64)
}

func (ptr *QInputDialog) DoubleStep() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoubleStep"}).(float64)
}

func (ptr *QInputDialog) DoubleValue() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoubleValue"}).(float64)
}

func (ptr *QInputDialog) ConnectDoubleValueChanged(f func(value float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDoubleValueChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputDialog) DisconnectDoubleValueChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDoubleValueChanged"})
}

func (ptr *QInputDialog) DoubleValueChanged(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoubleValueChanged", value})
}

func (ptr *QInputDialog) ConnectDoubleValueSelected(f func(value float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDoubleValueSelected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputDialog) DisconnectDoubleValueSelected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDoubleValueSelected"})
}

func (ptr *QInputDialog) DoubleValueSelected(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoubleValueSelected", value})
}

func QInputDialog_GetDouble(parent QWidget_ITF, title string, label string, value float64, min float64, max float64, decimals int, ok *bool, flags core.Qt__WindowType) float64 {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QInputDialog_GetDouble", "", parent, title, label, value, min, max, decimals, ok, flags}).(float64)
}

func (ptr *QInputDialog) GetDouble(parent QWidget_ITF, title string, label string, value float64, min float64, max float64, decimals int, ok *bool, flags core.Qt__WindowType) float64 {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QInputDialog_GetDouble", "", parent, title, label, value, min, max, decimals, ok, flags}).(float64)
}

func QInputDialog_GetDouble2(parent QWidget_ITF, title string, label string, value float64, min float64, max float64, decimals int, ok *bool, flags core.Qt__WindowType, step float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QInputDialog_GetDouble2", "", parent, title, label, value, min, max, decimals, ok, flags, step}).(float64)
}

func (ptr *QInputDialog) GetDouble2(parent QWidget_ITF, title string, label string, value float64, min float64, max float64, decimals int, ok *bool, flags core.Qt__WindowType, step float64) float64 {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QInputDialog_GetDouble2", "", parent, title, label, value, min, max, decimals, ok, flags, step}).(float64)
}

func QInputDialog_GetInt(parent QWidget_ITF, title string, label string, value int, min int, max int, step int, ok *bool, flags core.Qt__WindowType) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QInputDialog_GetInt", "", parent, title, label, value, min, max, step, ok, flags}).(float64))
}

func (ptr *QInputDialog) GetInt(parent QWidget_ITF, title string, label string, value int, min int, max int, step int, ok *bool, flags core.Qt__WindowType) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QInputDialog_GetInt", "", parent, title, label, value, min, max, step, ok, flags}).(float64))
}

func QInputDialog_GetItem(parent QWidget_ITF, title string, label string, items []string, current int, editable bool, ok *bool, flags core.Qt__WindowType, inputMethodHints core.Qt__InputMethodHint) string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QInputDialog_GetItem", "", parent, title, label, items, current, editable, ok, flags, inputMethodHints}).(string)
}

func (ptr *QInputDialog) GetItem(parent QWidget_ITF, title string, label string, items []string, current int, editable bool, ok *bool, flags core.Qt__WindowType, inputMethodHints core.Qt__InputMethodHint) string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QInputDialog_GetItem", "", parent, title, label, items, current, editable, ok, flags, inputMethodHints}).(string)
}

func QInputDialog_GetMultiLineText(parent QWidget_ITF, title string, label string, text string, ok *bool, flags core.Qt__WindowType, inputMethodHints core.Qt__InputMethodHint) string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QInputDialog_GetMultiLineText", "", parent, title, label, text, ok, flags, inputMethodHints}).(string)
}

func (ptr *QInputDialog) GetMultiLineText(parent QWidget_ITF, title string, label string, text string, ok *bool, flags core.Qt__WindowType, inputMethodHints core.Qt__InputMethodHint) string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QInputDialog_GetMultiLineText", "", parent, title, label, text, ok, flags, inputMethodHints}).(string)
}

func QInputDialog_GetText(parent QWidget_ITF, title string, label string, mode QLineEdit__EchoMode, text string, ok *bool, flags core.Qt__WindowType, inputMethodHints core.Qt__InputMethodHint) string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QInputDialog_GetText", "", parent, title, label, mode, text, ok, flags, inputMethodHints}).(string)
}

func (ptr *QInputDialog) GetText(parent QWidget_ITF, title string, label string, mode QLineEdit__EchoMode, text string, ok *bool, flags core.Qt__WindowType, inputMethodHints core.Qt__InputMethodHint) string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QInputDialog_GetText", "", parent, title, label, mode, text, ok, flags, inputMethodHints}).(string)
}

func (ptr *QInputDialog) InputMode() QInputDialog__InputMode {

	return QInputDialog__InputMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputMode"}).(float64))
}

func (ptr *QInputDialog) IntMaximum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IntMaximum"}).(float64))
}

func (ptr *QInputDialog) IntMinimum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IntMinimum"}).(float64))
}

func (ptr *QInputDialog) IntStep() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IntStep"}).(float64))
}

func (ptr *QInputDialog) IntValue() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IntValue"}).(float64))
}

func (ptr *QInputDialog) ConnectIntValueChanged(f func(value int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIntValueChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputDialog) DisconnectIntValueChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIntValueChanged"})
}

func (ptr *QInputDialog) IntValueChanged(value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IntValueChanged", value})
}

func (ptr *QInputDialog) ConnectIntValueSelected(f func(value int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIntValueSelected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputDialog) DisconnectIntValueSelected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIntValueSelected"})
}

func (ptr *QInputDialog) IntValueSelected(value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IntValueSelected", value})
}

func (ptr *QInputDialog) IsComboBoxEditable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsComboBoxEditable"}).(bool)
}

func (ptr *QInputDialog) LabelText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LabelText"}).(string)
}

func (ptr *QInputDialog) OkButtonText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OkButtonText"}).(string)
}

func (ptr *QInputDialog) Open(receiver core.QObject_ITF, member string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Open", receiver, member})
}

func (ptr *QInputDialog) Options() QInputDialog__InputDialogOption {

	return QInputDialog__InputDialogOption(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Options"}).(float64))
}

func (ptr *QInputDialog) SetCancelButtonText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCancelButtonText", text})
}

func (ptr *QInputDialog) SetComboBoxEditable(editable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetComboBoxEditable", editable})
}

func (ptr *QInputDialog) SetComboBoxItems(items []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetComboBoxItems", items})
}

func (ptr *QInputDialog) SetDoubleDecimals(decimals int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDoubleDecimals", decimals})
}

func (ptr *QInputDialog) SetDoubleMaximum(max float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDoubleMaximum", max})
}

func (ptr *QInputDialog) SetDoubleMinimum(min float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDoubleMinimum", min})
}

func (ptr *QInputDialog) SetDoubleRange(min float64, max float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDoubleRange", min, max})
}

func (ptr *QInputDialog) SetDoubleStep(step float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDoubleStep", step})
}

func (ptr *QInputDialog) SetDoubleValue(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDoubleValue", value})
}

func (ptr *QInputDialog) SetInputMode(mode QInputDialog__InputMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInputMode", mode})
}

func (ptr *QInputDialog) SetIntMaximum(max int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIntMaximum", max})
}

func (ptr *QInputDialog) SetIntMinimum(min int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIntMinimum", min})
}

func (ptr *QInputDialog) SetIntRange(min int, max int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIntRange", min, max})
}

func (ptr *QInputDialog) SetIntStep(step int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIntStep", step})
}

func (ptr *QInputDialog) SetIntValue(value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIntValue", value})
}

func (ptr *QInputDialog) SetLabelText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLabelText", text})
}

func (ptr *QInputDialog) SetOkButtonText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOkButtonText", text})
}

func (ptr *QInputDialog) SetOption(option QInputDialog__InputDialogOption, on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOption", option, on})
}

func (ptr *QInputDialog) SetOptions(options QInputDialog__InputDialogOption) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOptions", options})
}

func (ptr *QInputDialog) SetTextEchoMode(mode QLineEdit__EchoMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextEchoMode", mode})
}

func (ptr *QInputDialog) SetTextValue(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextValue", text})
}

func (ptr *QInputDialog) TestOption(option QInputDialog__InputDialogOption) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TestOption", option}).(bool)
}

func (ptr *QInputDialog) TextEchoMode() QLineEdit__EchoMode {

	return QLineEdit__EchoMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextEchoMode"}).(float64))
}

func (ptr *QInputDialog) TextValue() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextValue"}).(string)
}

func (ptr *QInputDialog) ConnectTextValueChanged(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTextValueChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputDialog) DisconnectTextValueChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTextValueChanged"})
}

func (ptr *QInputDialog) TextValueChanged(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextValueChanged", text})
}

func (ptr *QInputDialog) ConnectTextValueSelected(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTextValueSelected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputDialog) DisconnectTextValueSelected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTextValueSelected"})
}

func (ptr *QInputDialog) TextValueSelected(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextValueSelected", text})
}

func (ptr *QInputDialog) ConnectDestroyQInputDialog(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQInputDialog", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QInputDialog) DisconnectDestroyQInputDialog() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQInputDialog"})
}

func (ptr *QInputDialog) DestroyQInputDialog() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQInputDialog"})
}

func (ptr *QInputDialog) DestroyQInputDialogDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQInputDialogDefault"})
}

type QItemDelegate struct {
	QAbstractItemDelegate
}

type QItemDelegate_ITF interface {
	QAbstractItemDelegate_ITF
	QItemDelegate_PTR() *QItemDelegate
}

func (ptr *QItemDelegate) QItemDelegate_PTR() *QItemDelegate {
	return ptr
}

func (ptr *QItemDelegate) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemDelegate_PTR().Pointer()
	}
	return nil
}

func (ptr *QItemDelegate) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractItemDelegate_PTR().SetPointer(p)
	}
}

func PointerFromQItemDelegate(ptr QItemDelegate_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QItemDelegate_PTR().Pointer()
	}
	return nil
}

func (n *QItemDelegate) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractItemDelegate_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QItemDelegate) ClassNameInternalF() string {
	return n.QAbstractItemDelegate_PTR().ClassNameInternalF()
}

func NewQItemDelegateFromPointer(ptr unsafe.Pointer) (n *QItemDelegate) {
	n = new(QItemDelegate)
	n.InitFromInternal(uintptr(ptr), "widgets.QItemDelegate")
	return
}
func NewQItemDelegate(parent core.QObject_ITF) *QItemDelegate {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQItemDelegate", "", parent}).(*QItemDelegate)
}

func (ptr *QItemDelegate) DrawBackground(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawBackground", painter, option, index})
}

func (ptr *QItemDelegate) ConnectDrawCheck(f func(painter *gui.QPainter, option *QStyleOptionViewItem, rect *core.QRect, state core.Qt__CheckState)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawCheck", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemDelegate) DisconnectDrawCheck() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawCheck"})
}

func (ptr *QItemDelegate) DrawCheck(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, rect core.QRect_ITF, state core.Qt__CheckState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawCheck", painter, option, rect, state})
}

func (ptr *QItemDelegate) DrawCheckDefault(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, rect core.QRect_ITF, state core.Qt__CheckState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawCheckDefault", painter, option, rect, state})
}

func (ptr *QItemDelegate) ConnectDrawDecoration(f func(painter *gui.QPainter, option *QStyleOptionViewItem, rect *core.QRect, pixmap *gui.QPixmap)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawDecoration", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemDelegate) DisconnectDrawDecoration() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawDecoration"})
}

func (ptr *QItemDelegate) DrawDecoration(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, rect core.QRect_ITF, pixmap gui.QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawDecoration", painter, option, rect, pixmap})
}

func (ptr *QItemDelegate) DrawDecorationDefault(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, rect core.QRect_ITF, pixmap gui.QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawDecorationDefault", painter, option, rect, pixmap})
}

func (ptr *QItemDelegate) ConnectDrawDisplay(f func(painter *gui.QPainter, option *QStyleOptionViewItem, rect *core.QRect, text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawDisplay", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemDelegate) DisconnectDrawDisplay() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawDisplay"})
}

func (ptr *QItemDelegate) DrawDisplay(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, rect core.QRect_ITF, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawDisplay", painter, option, rect, text})
}

func (ptr *QItemDelegate) DrawDisplayDefault(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, rect core.QRect_ITF, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawDisplayDefault", painter, option, rect, text})
}

func (ptr *QItemDelegate) ConnectDrawFocus(f func(painter *gui.QPainter, option *QStyleOptionViewItem, rect *core.QRect)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawFocus", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemDelegate) DisconnectDrawFocus() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawFocus"})
}

func (ptr *QItemDelegate) DrawFocus(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawFocus", painter, option, rect})
}

func (ptr *QItemDelegate) DrawFocusDefault(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawFocusDefault", painter, option, rect})
}

func (ptr *QItemDelegate) HasClipping() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasClipping"}).(bool)
}

func (ptr *QItemDelegate) ItemEditorFactory() *QItemEditorFactory {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemEditorFactory"}).(*QItemEditorFactory)
}

func (ptr *QItemDelegate) ConnectPaint(f func(painter *gui.QPainter, option *QStyleOptionViewItem, index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemDelegate) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QItemDelegate) Paint(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, option, index})
}

func (ptr *QItemDelegate) PaintDefault(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDefault", painter, option, index})
}

func (ptr *QItemDelegate) SetClipping(clip bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetClipping", clip})
}

func (ptr *QItemDelegate) SetItemEditorFactory(factory QItemEditorFactory_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemEditorFactory", factory})
}

func (ptr *QItemDelegate) ConnectSizeHint(f func(option *QStyleOptionViewItem, index *core.QModelIndex) *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemDelegate) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QItemDelegate) SizeHint(option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint", option, index}).(*core.QSize)
}

func (ptr *QItemDelegate) SizeHintDefault(option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintDefault", option, index}).(*core.QSize)
}

func (ptr *QItemDelegate) ConnectDestroyQItemDelegate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQItemDelegate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemDelegate) DisconnectDestroyQItemDelegate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQItemDelegate"})
}

func (ptr *QItemDelegate) DestroyQItemDelegate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQItemDelegate"})
}

func (ptr *QItemDelegate) DestroyQItemDelegateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQItemDelegateDefault"})
}

type QItemEditorCreator struct {
	QItemEditorCreatorBase
}

type QItemEditorCreator_ITF interface {
	QItemEditorCreatorBase_ITF
	QItemEditorCreator_PTR() *QItemEditorCreator
}

func (ptr *QItemEditorCreator) QItemEditorCreator_PTR() *QItemEditorCreator {
	return ptr
}

func (ptr *QItemEditorCreator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QItemEditorCreatorBase_PTR().Pointer()
	}
	return nil
}

func (ptr *QItemEditorCreator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QItemEditorCreatorBase_PTR().SetPointer(p)
	}
}

func PointerFromQItemEditorCreator(ptr QItemEditorCreator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QItemEditorCreator_PTR().Pointer()
	}
	return nil
}

func (n *QItemEditorCreator) InitFromInternal(ptr uintptr, name string) {
	n.QItemEditorCreatorBase_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QItemEditorCreator) ClassNameInternalF() string {
	return n.QItemEditorCreatorBase_PTR().ClassNameInternalF()
}

func NewQItemEditorCreatorFromPointer(ptr unsafe.Pointer) (n *QItemEditorCreator) {
	n = new(QItemEditorCreator)
	n.InitFromInternal(uintptr(ptr), "widgets.QItemEditorCreator")
	return
}

func (ptr *QItemEditorCreator) DestroyQItemEditorCreator() {
}

type QItemEditorCreatorBase struct {
	internal.Internal
}

type QItemEditorCreatorBase_ITF interface {
	QItemEditorCreatorBase_PTR() *QItemEditorCreatorBase
}

func (ptr *QItemEditorCreatorBase) QItemEditorCreatorBase_PTR() *QItemEditorCreatorBase {
	return ptr
}

func (ptr *QItemEditorCreatorBase) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QItemEditorCreatorBase) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQItemEditorCreatorBase(ptr QItemEditorCreatorBase_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QItemEditorCreatorBase_PTR().Pointer()
	}
	return nil
}

func (n *QItemEditorCreatorBase) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQItemEditorCreatorBaseFromPointer(ptr unsafe.Pointer) (n *QItemEditorCreatorBase) {
	n = new(QItemEditorCreatorBase)
	n.InitFromInternal(uintptr(ptr), "widgets.QItemEditorCreatorBase")
	return
}
func (ptr *QItemEditorCreatorBase) ConnectCreateWidget(f func(parent *QWidget) *QWidget) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreateWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemEditorCreatorBase) DisconnectCreateWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreateWidget"})
}

func (ptr *QItemEditorCreatorBase) CreateWidget(parent QWidget_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateWidget", parent}).(*QWidget)
}

func (ptr *QItemEditorCreatorBase) ConnectValuePropertyName(f func() *core.QByteArray) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValuePropertyName", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemEditorCreatorBase) DisconnectValuePropertyName() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValuePropertyName"})
}

func (ptr *QItemEditorCreatorBase) ValuePropertyName() *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValuePropertyName"}).(*core.QByteArray)
}

func (ptr *QItemEditorCreatorBase) ConnectDestroyQItemEditorCreatorBase(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQItemEditorCreatorBase", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemEditorCreatorBase) DisconnectDestroyQItemEditorCreatorBase() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQItemEditorCreatorBase"})
}

func (ptr *QItemEditorCreatorBase) DestroyQItemEditorCreatorBase() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQItemEditorCreatorBase"})
}

func (ptr *QItemEditorCreatorBase) DestroyQItemEditorCreatorBaseDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQItemEditorCreatorBaseDefault"})
}

type QItemEditorFactory struct {
	internal.Internal
}

type QItemEditorFactory_ITF interface {
	QItemEditorFactory_PTR() *QItemEditorFactory
}

func (ptr *QItemEditorFactory) QItemEditorFactory_PTR() *QItemEditorFactory {
	return ptr
}

func (ptr *QItemEditorFactory) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QItemEditorFactory) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQItemEditorFactory(ptr QItemEditorFactory_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QItemEditorFactory_PTR().Pointer()
	}
	return nil
}

func (n *QItemEditorFactory) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQItemEditorFactoryFromPointer(ptr unsafe.Pointer) (n *QItemEditorFactory) {
	n = new(QItemEditorFactory)
	n.InitFromInternal(uintptr(ptr), "widgets.QItemEditorFactory")
	return
}
func NewQItemEditorFactory() *QItemEditorFactory {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQItemEditorFactory", ""}).(*QItemEditorFactory)
}

func (ptr *QItemEditorFactory) ConnectCreateEditor(f func(userType int, parent *QWidget) *QWidget) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreateEditor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemEditorFactory) DisconnectCreateEditor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreateEditor"})
}

func (ptr *QItemEditorFactory) CreateEditor(userType int, parent QWidget_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateEditor", userType, parent}).(*QWidget)
}

func (ptr *QItemEditorFactory) CreateEditorDefault(userType int, parent QWidget_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateEditorDefault", userType, parent}).(*QWidget)
}

func QItemEditorFactory_DefaultFactory() *QItemEditorFactory {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QItemEditorFactory_DefaultFactory", ""}).(*QItemEditorFactory)
}

func (ptr *QItemEditorFactory) DefaultFactory() *QItemEditorFactory {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QItemEditorFactory_DefaultFactory", ""}).(*QItemEditorFactory)
}

func (ptr *QItemEditorFactory) RegisterEditor(userType int, creator QItemEditorCreatorBase_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RegisterEditor", userType, creator})
}

func QItemEditorFactory_SetDefaultFactory(factory QItemEditorFactory_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QItemEditorFactory_SetDefaultFactory", "", factory})
}

func (ptr *QItemEditorFactory) SetDefaultFactory(factory QItemEditorFactory_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QItemEditorFactory_SetDefaultFactory", "", factory})
}

func (ptr *QItemEditorFactory) ConnectValuePropertyName(f func(userType int) *core.QByteArray) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValuePropertyName", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemEditorFactory) DisconnectValuePropertyName() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValuePropertyName"})
}

func (ptr *QItemEditorFactory) ValuePropertyName(userType int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValuePropertyName", userType}).(*core.QByteArray)
}

func (ptr *QItemEditorFactory) ValuePropertyNameDefault(userType int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValuePropertyNameDefault", userType}).(*core.QByteArray)
}

func (ptr *QItemEditorFactory) ConnectDestroyQItemEditorFactory(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQItemEditorFactory", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QItemEditorFactory) DisconnectDestroyQItemEditorFactory() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQItemEditorFactory"})
}

func (ptr *QItemEditorFactory) DestroyQItemEditorFactory() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQItemEditorFactory"})
}

func (ptr *QItemEditorFactory) DestroyQItemEditorFactoryDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQItemEditorFactoryDefault"})
}

func (ptr *QItemEditorFactory) __creatorMap_atList(v int, i int) *QItemEditorCreatorBase {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__creatorMap_atList", v, i}).(*QItemEditorCreatorBase)
}

func (ptr *QItemEditorFactory) __creatorMap_setList(key int, i QItemEditorCreatorBase_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__creatorMap_setList", key, i})
}

func (ptr *QItemEditorFactory) __creatorMap_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__creatorMap_newList"}).(unsafe.Pointer)
}

func (ptr *QItemEditorFactory) __creatorMap_keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__creatorMap_keyList"}).([]int)
}

func (ptr *QItemEditorFactory) __setCreatorMap__atList(v int, i int) *QItemEditorCreatorBase {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setCreatorMap__atList", v, i}).(*QItemEditorCreatorBase)
}

func (ptr *QItemEditorFactory) __setCreatorMap__setList(key int, i QItemEditorCreatorBase_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setCreatorMap__setList", key, i})
}

func (ptr *QItemEditorFactory) __setCreatorMap__newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setCreatorMap__newList"}).(unsafe.Pointer)
}

func (ptr *QItemEditorFactory) __setCreatorMap__keyList() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setCreatorMap__keyList"}).([]int)
}

func (ptr *QItemEditorFactory) ____creatorMap_keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____creatorMap_keyList_atList", i}).(float64))
}

func (ptr *QItemEditorFactory) ____creatorMap_keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____creatorMap_keyList_setList", i})
}

func (ptr *QItemEditorFactory) ____creatorMap_keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____creatorMap_keyList_newList"}).(unsafe.Pointer)
}

func (ptr *QItemEditorFactory) ____setCreatorMap__keyList_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setCreatorMap__keyList_atList", i}).(float64))
}

func (ptr *QItemEditorFactory) ____setCreatorMap__keyList_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setCreatorMap__keyList_setList", i})
}

func (ptr *QItemEditorFactory) ____setCreatorMap__keyList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "____setCreatorMap__keyList_newList"}).(unsafe.Pointer)
}

type QKeyEventTransition struct {
	core.QEventTransition
}

type QKeyEventTransition_ITF interface {
	core.QEventTransition_ITF
	QKeyEventTransition_PTR() *QKeyEventTransition
}

func (ptr *QKeyEventTransition) QKeyEventTransition_PTR() *QKeyEventTransition {
	return ptr
}

func (ptr *QKeyEventTransition) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEventTransition_PTR().Pointer()
	}
	return nil
}

func (ptr *QKeyEventTransition) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEventTransition_PTR().SetPointer(p)
	}
}

func PointerFromQKeyEventTransition(ptr QKeyEventTransition_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QKeyEventTransition_PTR().Pointer()
	}
	return nil
}

func (n *QKeyEventTransition) InitFromInternal(ptr uintptr, name string) {
	n.QEventTransition_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QKeyEventTransition) ClassNameInternalF() string {
	return n.QEventTransition_PTR().ClassNameInternalF()
}

func NewQKeyEventTransitionFromPointer(ptr unsafe.Pointer) (n *QKeyEventTransition) {
	n = new(QKeyEventTransition)
	n.InitFromInternal(uintptr(ptr), "widgets.QKeyEventTransition")
	return
}
func NewQKeyEventTransition(sourceState core.QState_ITF) *QKeyEventTransition {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQKeyEventTransition", "", sourceState}).(*QKeyEventTransition)
}

func NewQKeyEventTransition2(object core.QObject_ITF, ty core.QEvent__Type, key int, sourceState core.QState_ITF) *QKeyEventTransition {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQKeyEventTransition2", "", object, ty, key, sourceState}).(*QKeyEventTransition)
}

func (ptr *QKeyEventTransition) EventTestDefault(event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventTestDefault", event}).(bool)
}

func (ptr *QKeyEventTransition) Key() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Key"}).(float64))
}

func (ptr *QKeyEventTransition) ModifierMask() core.Qt__KeyboardModifier {

	return core.Qt__KeyboardModifier(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ModifierMask"}).(float64))
}

func (ptr *QKeyEventTransition) OnTransitionDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnTransitionDefault", event})
}

func (ptr *QKeyEventTransition) SetKey(key int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetKey", key})
}

func (ptr *QKeyEventTransition) SetModifierMask(modifierMask core.Qt__KeyboardModifier) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModifierMask", modifierMask})
}

func (ptr *QKeyEventTransition) ConnectDestroyQKeyEventTransition(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQKeyEventTransition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QKeyEventTransition) DisconnectDestroyQKeyEventTransition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQKeyEventTransition"})
}

func (ptr *QKeyEventTransition) DestroyQKeyEventTransition() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQKeyEventTransition"})
}

func (ptr *QKeyEventTransition) DestroyQKeyEventTransitionDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQKeyEventTransitionDefault"})
}

func (ptr *QKeyEventTransition) __animations_atList(i int) *core.QAbstractAnimation {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__animations_atList", i}).(*core.QAbstractAnimation)
}

func (ptr *QKeyEventTransition) __animations_setList(i core.QAbstractAnimation_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__animations_setList", i})
}

func (ptr *QKeyEventTransition) __animations_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__animations_newList"}).(unsafe.Pointer)
}

func (ptr *QKeyEventTransition) __setTargetStates_targets_atList(i int) *core.QAbstractState {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTargetStates_targets_atList", i}).(*core.QAbstractState)
}

func (ptr *QKeyEventTransition) __setTargetStates_targets_setList(i core.QAbstractState_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTargetStates_targets_setList", i})
}

func (ptr *QKeyEventTransition) __setTargetStates_targets_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTargetStates_targets_newList"}).(unsafe.Pointer)
}

func (ptr *QKeyEventTransition) __targetStates_atList(i int) *core.QAbstractState {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__targetStates_atList", i}).(*core.QAbstractState)
}

func (ptr *QKeyEventTransition) __targetStates_setList(i core.QAbstractState_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__targetStates_setList", i})
}

func (ptr *QKeyEventTransition) __targetStates_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__targetStates_newList"}).(unsafe.Pointer)
}

func (ptr *QKeyEventTransition) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QKeyEventTransition) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QKeyEventTransition) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QKeyEventTransition) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QKeyEventTransition) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QKeyEventTransition) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QKeyEventTransition) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QKeyEventTransition) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QKeyEventTransition) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QKeyEventTransition) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QKeyEventTransition) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QKeyEventTransition) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QKeyEventTransition) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QKeyEventTransition) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QKeyEventTransition) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QKeyEventTransition) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QKeyEventTransition) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QKeyEventTransition) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QKeyEventTransition) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QKeyEventTransition) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QKeyEventTransition) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QKeySequenceEdit struct {
	QWidget
}

type QKeySequenceEdit_ITF interface {
	QWidget_ITF
	QKeySequenceEdit_PTR() *QKeySequenceEdit
}

func (ptr *QKeySequenceEdit) QKeySequenceEdit_PTR() *QKeySequenceEdit {
	return ptr
}

func (ptr *QKeySequenceEdit) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QKeySequenceEdit) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQKeySequenceEdit(ptr QKeySequenceEdit_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QKeySequenceEdit_PTR().Pointer()
	}
	return nil
}

func (n *QKeySequenceEdit) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QKeySequenceEdit) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQKeySequenceEditFromPointer(ptr unsafe.Pointer) (n *QKeySequenceEdit) {
	n = new(QKeySequenceEdit)
	n.InitFromInternal(uintptr(ptr), "widgets.QKeySequenceEdit")
	return
}
func NewQKeySequenceEdit(parent QWidget_ITF) *QKeySequenceEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQKeySequenceEdit", "", parent}).(*QKeySequenceEdit)
}

func NewQKeySequenceEdit2(keySequence gui.QKeySequence_ITF, parent QWidget_ITF) *QKeySequenceEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQKeySequenceEdit2", "", keySequence, parent}).(*QKeySequenceEdit)
}

func (ptr *QKeySequenceEdit) ConnectClear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QKeySequenceEdit) DisconnectClear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClear"})
}

func (ptr *QKeySequenceEdit) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QKeySequenceEdit) ClearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearDefault"})
}

func (ptr *QKeySequenceEdit) ConnectEditingFinished(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEditingFinished", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QKeySequenceEdit) DisconnectEditingFinished() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEditingFinished"})
}

func (ptr *QKeySequenceEdit) EditingFinished() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EditingFinished"})
}

func (ptr *QKeySequenceEdit) KeySequence() *gui.QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeySequence"}).(*gui.QKeySequence)
}

func (ptr *QKeySequenceEdit) ConnectKeySequenceChanged(f func(keySequence *gui.QKeySequence)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectKeySequenceChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QKeySequenceEdit) DisconnectKeySequenceChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectKeySequenceChanged"})
}

func (ptr *QKeySequenceEdit) KeySequenceChanged(keySequence gui.QKeySequence_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeySequenceChanged", keySequence})
}

func (ptr *QKeySequenceEdit) ConnectSetKeySequence(f func(keySequence *gui.QKeySequence)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetKeySequence", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QKeySequenceEdit) DisconnectSetKeySequence() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetKeySequence"})
}

func (ptr *QKeySequenceEdit) SetKeySequence(keySequence gui.QKeySequence_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetKeySequence", keySequence})
}

func (ptr *QKeySequenceEdit) SetKeySequenceDefault(keySequence gui.QKeySequence_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetKeySequenceDefault", keySequence})
}

func (ptr *QKeySequenceEdit) ConnectDestroyQKeySequenceEdit(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQKeySequenceEdit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QKeySequenceEdit) DisconnectDestroyQKeySequenceEdit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQKeySequenceEdit"})
}

func (ptr *QKeySequenceEdit) DestroyQKeySequenceEdit() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQKeySequenceEdit"})
}

func (ptr *QKeySequenceEdit) DestroyQKeySequenceEditDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQKeySequenceEditDefault"})
}

type QLCDNumber struct {
	QFrame
}

type QLCDNumber_ITF interface {
	QFrame_ITF
	QLCDNumber_PTR() *QLCDNumber
}

func (ptr *QLCDNumber) QLCDNumber_PTR() *QLCDNumber {
	return ptr
}

func (ptr *QLCDNumber) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QFrame_PTR().Pointer()
	}
	return nil
}

func (ptr *QLCDNumber) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QFrame_PTR().SetPointer(p)
	}
}

func PointerFromQLCDNumber(ptr QLCDNumber_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLCDNumber_PTR().Pointer()
	}
	return nil
}

func (n *QLCDNumber) InitFromInternal(ptr uintptr, name string) {
	n.QFrame_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QLCDNumber) ClassNameInternalF() string {
	return n.QFrame_PTR().ClassNameInternalF()
}

func NewQLCDNumberFromPointer(ptr unsafe.Pointer) (n *QLCDNumber) {
	n = new(QLCDNumber)
	n.InitFromInternal(uintptr(ptr), "widgets.QLCDNumber")
	return
}

//go:generate stringer -type=QLCDNumber__Mode
//QLCDNumber::Mode
type QLCDNumber__Mode int64

const (
	QLCDNumber__Hex QLCDNumber__Mode = QLCDNumber__Mode(0)
	QLCDNumber__Dec QLCDNumber__Mode = QLCDNumber__Mode(1)
	QLCDNumber__Oct QLCDNumber__Mode = QLCDNumber__Mode(2)
	QLCDNumber__Bin QLCDNumber__Mode = QLCDNumber__Mode(3)
)

//go:generate stringer -type=QLCDNumber__SegmentStyle
//QLCDNumber::SegmentStyle
type QLCDNumber__SegmentStyle int64

var (
	QLCDNumber__Outline QLCDNumber__SegmentStyle = QLCDNumber__SegmentStyle(0)
	QLCDNumber__Filled  QLCDNumber__SegmentStyle = QLCDNumber__SegmentStyle(1)
	QLCDNumber__Flat    QLCDNumber__SegmentStyle = QLCDNumber__SegmentStyle(2)
)

func NewQLCDNumber(parent QWidget_ITF) *QLCDNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQLCDNumber", "", parent}).(*QLCDNumber)
}

func NewQLCDNumber2(numDigits uint, parent QWidget_ITF) *QLCDNumber {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQLCDNumber2", "", numDigits, parent}).(*QLCDNumber)
}

func (ptr *QLCDNumber) CheckOverflow(num float64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckOverflow", num}).(bool)
}

func (ptr *QLCDNumber) CheckOverflow2(num int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckOverflow2", num}).(bool)
}

func (ptr *QLCDNumber) DigitCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DigitCount"}).(float64))
}

func (ptr *QLCDNumber) ConnectDisplay(f func(s string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDisplay", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLCDNumber) DisconnectDisplay() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDisplay"})
}

func (ptr *QLCDNumber) Display(s string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Display", s})
}

func (ptr *QLCDNumber) DisplayDefault(s string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisplayDefault", s})
}

func (ptr *QLCDNumber) ConnectDisplay2(f func(num int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDisplay2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLCDNumber) DisconnectDisplay2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDisplay2"})
}

func (ptr *QLCDNumber) Display2(num int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Display2", num})
}

func (ptr *QLCDNumber) Display2Default(num int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Display2Default", num})
}

func (ptr *QLCDNumber) ConnectDisplay3(f func(num float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDisplay3", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLCDNumber) DisconnectDisplay3() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDisplay3"})
}

func (ptr *QLCDNumber) Display3(num float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Display3", num})
}

func (ptr *QLCDNumber) Display3Default(num float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Display3Default", num})
}

func (ptr *QLCDNumber) IntValue() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IntValue"}).(float64))
}

func (ptr *QLCDNumber) Mode() QLCDNumber__Mode {

	return QLCDNumber__Mode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Mode"}).(float64))
}

func (ptr *QLCDNumber) ConnectOverflow(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOverflow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLCDNumber) DisconnectOverflow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOverflow"})
}

func (ptr *QLCDNumber) Overflow() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Overflow"})
}

func (ptr *QLCDNumber) SegmentStyle() QLCDNumber__SegmentStyle {

	return QLCDNumber__SegmentStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SegmentStyle"}).(float64))
}

func (ptr *QLCDNumber) ConnectSetBinMode(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetBinMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLCDNumber) DisconnectSetBinMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetBinMode"})
}

func (ptr *QLCDNumber) SetBinMode() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBinMode"})
}

func (ptr *QLCDNumber) SetBinModeDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBinModeDefault"})
}

func (ptr *QLCDNumber) ConnectSetDecMode(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetDecMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLCDNumber) DisconnectSetDecMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetDecMode"})
}

func (ptr *QLCDNumber) SetDecMode() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDecMode"})
}

func (ptr *QLCDNumber) SetDecModeDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDecModeDefault"})
}

func (ptr *QLCDNumber) SetDigitCount(numDigits int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDigitCount", numDigits})
}

func (ptr *QLCDNumber) ConnectSetHexMode(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetHexMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLCDNumber) DisconnectSetHexMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetHexMode"})
}

func (ptr *QLCDNumber) SetHexMode() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHexMode"})
}

func (ptr *QLCDNumber) SetHexModeDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHexModeDefault"})
}

func (ptr *QLCDNumber) SetMode(vql QLCDNumber__Mode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMode", vql})
}

func (ptr *QLCDNumber) ConnectSetOctMode(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetOctMode", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLCDNumber) DisconnectSetOctMode() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetOctMode"})
}

func (ptr *QLCDNumber) SetOctMode() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOctMode"})
}

func (ptr *QLCDNumber) SetOctModeDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOctModeDefault"})
}

func (ptr *QLCDNumber) SetSegmentStyle(vql QLCDNumber__SegmentStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSegmentStyle", vql})
}

func (ptr *QLCDNumber) ConnectSetSmallDecimalPoint(f func(vbo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSmallDecimalPoint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLCDNumber) DisconnectSetSmallDecimalPoint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSmallDecimalPoint"})
}

func (ptr *QLCDNumber) SetSmallDecimalPoint(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSmallDecimalPoint", vbo})
}

func (ptr *QLCDNumber) SetSmallDecimalPointDefault(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSmallDecimalPointDefault", vbo})
}

func (ptr *QLCDNumber) SmallDecimalPoint() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SmallDecimalPoint"}).(bool)
}

func (ptr *QLCDNumber) Value() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value"}).(float64)
}

func (ptr *QLCDNumber) ConnectDestroyQLCDNumber(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQLCDNumber", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLCDNumber) DisconnectDestroyQLCDNumber() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQLCDNumber"})
}

func (ptr *QLCDNumber) DestroyQLCDNumber() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQLCDNumber"})
}

func (ptr *QLCDNumber) DestroyQLCDNumberDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQLCDNumberDefault"})
}

type QLabel struct {
	QFrame
}

type QLabel_ITF interface {
	QFrame_ITF
	QLabel_PTR() *QLabel
}

func (ptr *QLabel) QLabel_PTR() *QLabel {
	return ptr
}

func (ptr *QLabel) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QFrame_PTR().Pointer()
	}
	return nil
}

func (ptr *QLabel) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QFrame_PTR().SetPointer(p)
	}
}

func PointerFromQLabel(ptr QLabel_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLabel_PTR().Pointer()
	}
	return nil
}

func (n *QLabel) InitFromInternal(ptr uintptr, name string) {
	n.QFrame_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QLabel) ClassNameInternalF() string {
	return n.QFrame_PTR().ClassNameInternalF()
}

func NewQLabelFromPointer(ptr unsafe.Pointer) (n *QLabel) {
	n = new(QLabel)
	n.InitFromInternal(uintptr(ptr), "widgets.QLabel")
	return
}
func NewQLabel(parent QWidget_ITF, ff core.Qt__WindowType) *QLabel {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQLabel", "", parent, ff}).(*QLabel)
}

func NewQLabel2(text string, parent QWidget_ITF, ff core.Qt__WindowType) *QLabel {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQLabel2", "", text, parent, ff}).(*QLabel)
}

func (ptr *QLabel) Alignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment"}).(float64))
}

func (ptr *QLabel) Buddy() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Buddy"}).(*QWidget)
}

func (ptr *QLabel) ConnectClear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLabel) DisconnectClear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClear"})
}

func (ptr *QLabel) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QLabel) ClearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearDefault"})
}

func (ptr *QLabel) HasScaledContents() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasScaledContents"}).(bool)
}

func (ptr *QLabel) HasSelectedText() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasSelectedText"}).(bool)
}

func (ptr *QLabel) Indent() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Indent"}).(float64))
}

func (ptr *QLabel) ConnectLinkActivated(f func(link string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLinkActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLabel) DisconnectLinkActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLinkActivated"})
}

func (ptr *QLabel) LinkActivated(link string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LinkActivated", link})
}

func (ptr *QLabel) ConnectLinkHovered(f func(link string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLinkHovered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLabel) DisconnectLinkHovered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLinkHovered"})
}

func (ptr *QLabel) LinkHovered(link string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LinkHovered", link})
}

func (ptr *QLabel) Margin() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Margin"}).(float64))
}

func (ptr *QLabel) Movie() *gui.QMovie {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Movie"}).(*gui.QMovie)
}

func (ptr *QLabel) OpenExternalLinks() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpenExternalLinks"}).(bool)
}

func (ptr *QLabel) Picture() *gui.QPicture {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Picture"}).(*gui.QPicture)
}

func (ptr *QLabel) Pixmap() *gui.QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixmap"}).(*gui.QPixmap)
}

func (ptr *QLabel) SelectedText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedText"}).(string)
}

func (ptr *QLabel) SelectionStart() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionStart"}).(float64))
}

func (ptr *QLabel) SetAlignment(vqt core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", vqt})
}

func (ptr *QLabel) SetBuddy(buddy QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBuddy", buddy})
}

func (ptr *QLabel) SetIndent(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIndent", vin})
}

func (ptr *QLabel) SetMargin(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMargin", vin})
}

func (ptr *QLabel) ConnectSetMovie(f func(movie *gui.QMovie)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMovie", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLabel) DisconnectSetMovie() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMovie"})
}

func (ptr *QLabel) SetMovie(movie gui.QMovie_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMovie", movie})
}

func (ptr *QLabel) SetMovieDefault(movie gui.QMovie_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMovieDefault", movie})
}

func (ptr *QLabel) ConnectSetNum(f func(num int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetNum", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLabel) DisconnectSetNum() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetNum"})
}

func (ptr *QLabel) SetNum(num int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNum", num})
}

func (ptr *QLabel) SetNumDefault(num int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNumDefault", num})
}

func (ptr *QLabel) ConnectSetNum2(f func(num float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetNum2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLabel) DisconnectSetNum2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetNum2"})
}

func (ptr *QLabel) SetNum2(num float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNum2", num})
}

func (ptr *QLabel) SetNum2Default(num float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNum2Default", num})
}

func (ptr *QLabel) SetOpenExternalLinks(open bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOpenExternalLinks", open})
}

func (ptr *QLabel) ConnectSetPicture(f func(picture *gui.QPicture)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPicture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLabel) DisconnectSetPicture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPicture"})
}

func (ptr *QLabel) SetPicture(picture gui.QPicture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPicture", picture})
}

func (ptr *QLabel) SetPictureDefault(picture gui.QPicture_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPictureDefault", picture})
}

func (ptr *QLabel) ConnectSetPixmap(f func(vqp *gui.QPixmap)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPixmap", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLabel) DisconnectSetPixmap() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPixmap"})
}

func (ptr *QLabel) SetPixmap(vqp gui.QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixmap", vqp})
}

func (ptr *QLabel) SetPixmapDefault(vqp gui.QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixmapDefault", vqp})
}

func (ptr *QLabel) SetScaledContents(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScaledContents", vbo})
}

func (ptr *QLabel) SetSelection(start int, length int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelection", start, length})
}

func (ptr *QLabel) ConnectSetText(f func(vqs string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLabel) DisconnectSetText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetText"})
}

func (ptr *QLabel) SetText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", vqs})
}

func (ptr *QLabel) SetTextDefault(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextDefault", vqs})
}

func (ptr *QLabel) SetTextFormat(vqt core.Qt__TextFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextFormat", vqt})
}

func (ptr *QLabel) SetTextInteractionFlags(flags core.Qt__TextInteractionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextInteractionFlags", flags})
}

func (ptr *QLabel) SetWordWrap(on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWordWrap", on})
}

func (ptr *QLabel) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QLabel) TextFormat() core.Qt__TextFormat {

	return core.Qt__TextFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextFormat"}).(float64))
}

func (ptr *QLabel) TextInteractionFlags() core.Qt__TextInteractionFlag {

	return core.Qt__TextInteractionFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextInteractionFlags"}).(float64))
}

func (ptr *QLabel) WordWrap() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WordWrap"}).(bool)
}

func (ptr *QLabel) ConnectDestroyQLabel(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQLabel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLabel) DisconnectDestroyQLabel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQLabel"})
}

func (ptr *QLabel) DestroyQLabel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQLabel"})
}

func (ptr *QLabel) DestroyQLabelDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQLabelDefault"})
}

type QLayout struct {
	core.QObject
	QLayoutItem
}

type QLayout_ITF interface {
	core.QObject_ITF
	QLayoutItem_ITF
	QLayout_PTR() *QLayout
}

func (ptr *QLayout) QLayout_PTR() *QLayout {
	return ptr
}

func (ptr *QLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
		ptr.QLayoutItem_PTR().SetPointer(p)
	}
}

func PointerFromQLayout(ptr QLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLayout_PTR().Pointer()
	}
	return nil
}

func (n *QLayout) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)
	n.QLayoutItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QLayout) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQLayoutFromPointer(ptr unsafe.Pointer) (n *QLayout) {
	n = new(QLayout)
	n.InitFromInternal(uintptr(ptr), "widgets.QLayout")
	return
}

func (ptr *QLayout) DestroyQLayout() {
}

//go:generate stringer -type=QLayout__SizeConstraint
//QLayout::SizeConstraint
type QLayout__SizeConstraint int64

const (
	QLayout__SetDefaultConstraint QLayout__SizeConstraint = QLayout__SizeConstraint(0)
	QLayout__SetNoConstraint      QLayout__SizeConstraint = QLayout__SizeConstraint(1)
	QLayout__SetMinimumSize       QLayout__SizeConstraint = QLayout__SizeConstraint(2)
	QLayout__SetFixedSize         QLayout__SizeConstraint = QLayout__SizeConstraint(3)
	QLayout__SetMaximumSize       QLayout__SizeConstraint = QLayout__SizeConstraint(4)
	QLayout__SetMinAndMaxSize     QLayout__SizeConstraint = QLayout__SizeConstraint(5)
)

func NewQLayout(parent QWidget_ITF) *QLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQLayout", "", parent}).(*QLayout)
}

func NewQLayout2() *QLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQLayout2", ""}).(*QLayout)
}

func (ptr *QLayout) Activate() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Activate"}).(bool)
}

func (ptr *QLayout) AddChildLayout(l QLayout_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AddChildLayout", l})
}

func (ptr *QLayout) AddChildWidget(w QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AddChildWidget", w})
}

func (ptr *QLayout) ConnectAddItem(f func(item *QLayoutItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectAddItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayout) DisconnectAddItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectAddItem"})
}

func (ptr *QLayout) AddItem(item QLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AddItem", item})
}

func (ptr *QLayout) AddWidget(w QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AddWidget", w})
}

func (ptr *QLayout) AlignmentRect(r core.QRect_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AlignmentRect", r}).(*core.QRect)
}

func (ptr *QLayout) ConnectChildEvent(f func(e *core.QChildEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectChildEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayout) DisconnectChildEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectChildEvent"})
}

func (ptr *QLayout) ChildEvent(e core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEvent", e})
}

func (ptr *QLayout) ChildEventDefault(e core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEventDefault", e})
}

func QLayout_ClosestAcceptableSize(widget QWidget_ITF, size core.QSize_ITF) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QLayout_ClosestAcceptableSize", "", widget, size}).(*core.QSize)
}

func (ptr *QLayout) ClosestAcceptableSize(widget QWidget_ITF, size core.QSize_ITF) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QLayout_ClosestAcceptableSize", "", widget, size}).(*core.QSize)
}

func (ptr *QLayout) ContentsMargins() *core.QMargins {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ContentsMargins"}).(*core.QMargins)
}

func (ptr *QLayout) ContentsRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ContentsRect"}).(*core.QRect)
}

func (ptr *QLayout) ConnectCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayout) DisconnectCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectCount"})
}

func (ptr *QLayout) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QLayout) ConnectExpandingDirections(f func() core.Qt__Orientation) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectExpandingDirections", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayout) DisconnectExpandingDirections() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectExpandingDirections"})
}

func (ptr *QLayout) ExpandingDirections() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ExpandingDirections"}).(float64))
}

func (ptr *QLayout) ExpandingDirectionsDefault() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ExpandingDirectionsDefault"}).(float64))
}

func (ptr *QLayout) ConnectGeometry(f func() *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectGeometry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayout) DisconnectGeometry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectGeometry"})
}

func (ptr *QLayout) Geometry() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Geometry"}).(*core.QRect)
}

func (ptr *QLayout) GeometryDefault() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "GeometryDefault"}).(*core.QRect)
}

func (ptr *QLayout) GetContentsMargins(left int, top int, right int, bottom int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "GetContentsMargins", left, top, right, bottom})
}

func (ptr *QLayout) ConnectIndexOf(f func(widget *QWidget) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectIndexOf", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayout) DisconnectIndexOf() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectIndexOf"})
}

func (ptr *QLayout) IndexOf(widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IndexOf", widget}).(float64))
}

func (ptr *QLayout) IndexOfDefault(widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IndexOfDefault", widget}).(float64))
}

func (ptr *QLayout) IndexOf2(layoutItem QLayoutItem_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IndexOf2", layoutItem}).(float64))
}

func (ptr *QLayout) ConnectIsEmpty(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectIsEmpty", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayout) DisconnectIsEmpty() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectIsEmpty"})
}

func (ptr *QLayout) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QLayout) IsEmptyDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsEmptyDefault"}).(bool)
}

func (ptr *QLayout) IsEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsEnabled"}).(bool)
}

func (ptr *QLayout) ConnectItemAt(f func(index int) *QLayoutItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectItemAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayout) DisconnectItemAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectItemAt"})
}

func (ptr *QLayout) ItemAt(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ItemAt", index}).(*QLayoutItem)
}

func (ptr *QLayout) ConnectMaximumSize(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMaximumSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayout) DisconnectMaximumSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMaximumSize"})
}

func (ptr *QLayout) MaximumSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MaximumSize"}).(*core.QSize)
}

func (ptr *QLayout) MaximumSizeDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MaximumSizeDefault"}).(*core.QSize)
}

func (ptr *QLayout) MenuBar() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MenuBar"}).(*QWidget)
}

func (ptr *QLayout) ConnectMinimumSize(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMinimumSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayout) DisconnectMinimumSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMinimumSize"})
}

func (ptr *QLayout) MinimumSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MinimumSize"}).(*core.QSize)
}

func (ptr *QLayout) MinimumSizeDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MinimumSizeDefault"}).(*core.QSize)
}

func (ptr *QLayout) ParentWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ParentWidget"}).(*QWidget)
}

func (ptr *QLayout) RemoveItem(item QLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RemoveItem", item})
}

func (ptr *QLayout) RemoveWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RemoveWidget", widget})
}

func (ptr *QLayout) ReplaceWidget(from QWidget_ITF, to QWidget_ITF, options core.Qt__FindChildOption) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ReplaceWidget", from, to, options}).(*QLayoutItem)
}

func (ptr *QLayout) SetAlignment(w QWidget_ITF, alignment core.Qt__AlignmentFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetAlignment", w, alignment}).(bool)
}

func (ptr *QLayout) SetAlignment2(l QLayout_ITF, alignment core.Qt__AlignmentFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetAlignment2", l, alignment}).(bool)
}

func (ptr *QLayout) SetContentsMargins(left int, top int, right int, bottom int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetContentsMargins", left, top, right, bottom})
}

func (ptr *QLayout) SetContentsMargins2(margins core.QMargins_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetContentsMargins2", margins})
}

func (ptr *QLayout) SetEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetEnabled", enable})
}

func (ptr *QLayout) ConnectSetGeometry(f func(r *core.QRect)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetGeometry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayout) DisconnectSetGeometry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetGeometry"})
}

func (ptr *QLayout) SetGeometry(r core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetGeometry", r})
}

func (ptr *QLayout) SetGeometryDefault(r core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetGeometryDefault", r})
}

func (ptr *QLayout) SetMenuBar(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMenuBar", widget})
}

func (ptr *QLayout) SetSizeConstraint(vql QLayout__SizeConstraint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetSizeConstraint", vql})
}

func (ptr *QLayout) SetSpacing(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetSpacing", vin})
}

func (ptr *QLayout) SizeConstraint() QLayout__SizeConstraint {

	return QLayout__SizeConstraint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SizeConstraint"}).(float64))
}

func (ptr *QLayout) Spacing() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Spacing"}).(float64))
}

func (ptr *QLayout) ConnectTakeAt(f func(index int) *QLayoutItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectTakeAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayout) DisconnectTakeAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectTakeAt"})
}

func (ptr *QLayout) TakeAt(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TakeAt", index}).(*QLayoutItem)
}

func (ptr *QLayout) Update() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Update"})
}

func (ptr *QLayout) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QLayout) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QLayout) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QLayout) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QLayout) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QLayout) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QLayout) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QLayout) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QLayout) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QLayout) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QLayout) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QLayout) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QLayout) ConnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotify", sign})
}

func (ptr *QLayout) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QLayout) CustomEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEvent", event})
}

func (ptr *QLayout) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QLayout) DeleteLater() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLater"})
}

func (ptr *QLayout) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QLayout) DisconnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotify", sign})
}

func (ptr *QLayout) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QLayout) Event(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Event", e}).(bool)
}

func (ptr *QLayout) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QLayout) EventFilter(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilter", watched, event}).(bool)
}

func (ptr *QLayout) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QLayout) MetaObject() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObject"}).(*core.QMetaObject)
}

func (ptr *QLayout) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QLayout) TimerEvent(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEvent", event})
}

func (ptr *QLayout) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEventDefault", event})
}

func (ptr *QLayout) SizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SizeHint"}).(*core.QSize)
}

func (ptr *QLayout) SizeHintDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SizeHintDefault"}).(*core.QSize)
}

type QLayoutItem struct {
	internal.Internal
}

type QLayoutItem_ITF interface {
	QLayoutItem_PTR() *QLayoutItem
}

func (ptr *QLayoutItem) QLayoutItem_PTR() *QLayoutItem {
	return ptr
}

func (ptr *QLayoutItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QLayoutItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQLayoutItem(ptr QLayoutItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLayoutItem_PTR().Pointer()
	}
	return nil
}

func (n *QLayoutItem) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQLayoutItemFromPointer(ptr unsafe.Pointer) (n *QLayoutItem) {
	n = new(QLayoutItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QLayoutItem")
	return
}
func NewQLayoutItem(alignment core.Qt__AlignmentFlag) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQLayoutItem", "", alignment}).(*QLayoutItem)
}

func (ptr *QLayoutItem) Alignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment"}).(float64))
}

func (ptr *QLayoutItem) ConnectControlTypes(f func() QSizePolicy__ControlType) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectControlTypes", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectControlTypes() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectControlTypes"})
}

func (ptr *QLayoutItem) ControlTypes() QSizePolicy__ControlType {

	return QSizePolicy__ControlType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ControlTypes"}).(float64))
}

func (ptr *QLayoutItem) ControlTypesDefault() QSizePolicy__ControlType {

	return QSizePolicy__ControlType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ControlTypesDefault"}).(float64))
}

func (ptr *QLayoutItem) ConnectExpandingDirections(f func() core.Qt__Orientation) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectExpandingDirections", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectExpandingDirections() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectExpandingDirections"})
}

func (ptr *QLayoutItem) ExpandingDirections() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandingDirections"}).(float64))
}

func (ptr *QLayoutItem) ConnectGeometry(f func() *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectGeometry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectGeometry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectGeometry"})
}

func (ptr *QLayoutItem) Geometry() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Geometry"}).(*core.QRect)
}

func (ptr *QLayoutItem) ConnectHasHeightForWidth(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHasHeightForWidth", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectHasHeightForWidth() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHasHeightForWidth"})
}

func (ptr *QLayoutItem) HasHeightForWidth() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasHeightForWidth"}).(bool)
}

func (ptr *QLayoutItem) HasHeightForWidthDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasHeightForWidthDefault"}).(bool)
}

func (ptr *QLayoutItem) ConnectHeightForWidth(f func(vin int) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHeightForWidth", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectHeightForWidth() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHeightForWidth"})
}

func (ptr *QLayoutItem) HeightForWidth(vin int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeightForWidth", vin}).(float64))
}

func (ptr *QLayoutItem) HeightForWidthDefault(vin int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeightForWidthDefault", vin}).(float64))
}

func (ptr *QLayoutItem) ConnectInvalidate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInvalidate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectInvalidate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInvalidate"})
}

func (ptr *QLayoutItem) Invalidate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Invalidate"})
}

func (ptr *QLayoutItem) InvalidateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvalidateDefault"})
}

func (ptr *QLayoutItem) ConnectIsEmpty(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsEmpty", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectIsEmpty() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsEmpty"})
}

func (ptr *QLayoutItem) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QLayoutItem) ConnectLayout(f func() *QLayout) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLayout", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectLayout() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLayout"})
}

func (ptr *QLayoutItem) Layout() *QLayout {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Layout"}).(*QLayout)
}

func (ptr *QLayoutItem) LayoutDefault() *QLayout {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LayoutDefault"}).(*QLayout)
}

func (ptr *QLayoutItem) ConnectMaximumSize(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMaximumSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectMaximumSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMaximumSize"})
}

func (ptr *QLayoutItem) MaximumSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumSize"}).(*core.QSize)
}

func (ptr *QLayoutItem) ConnectMinimumHeightForWidth(f func(w int) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMinimumHeightForWidth", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectMinimumHeightForWidth() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMinimumHeightForWidth"})
}

func (ptr *QLayoutItem) MinimumHeightForWidth(w int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumHeightForWidth", w}).(float64))
}

func (ptr *QLayoutItem) MinimumHeightForWidthDefault(w int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumHeightForWidthDefault", w}).(float64))
}

func (ptr *QLayoutItem) ConnectMinimumSize(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMinimumSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectMinimumSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMinimumSize"})
}

func (ptr *QLayoutItem) MinimumSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumSize"}).(*core.QSize)
}

func (ptr *QLayoutItem) SetAlignment(alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", alignment})
}

func (ptr *QLayoutItem) ConnectSetGeometry(f func(r *core.QRect)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetGeometry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectSetGeometry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetGeometry"})
}

func (ptr *QLayoutItem) SetGeometry(r core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGeometry", r})
}

func (ptr *QLayoutItem) ConnectSizeHint(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QLayoutItem) SizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint"}).(*core.QSize)
}

func (ptr *QLayoutItem) ConnectSpacerItem(f func() *QSpacerItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSpacerItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectSpacerItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSpacerItem"})
}

func (ptr *QLayoutItem) SpacerItem() *QSpacerItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SpacerItem"}).(*QSpacerItem)
}

func (ptr *QLayoutItem) SpacerItemDefault() *QSpacerItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SpacerItemDefault"}).(*QSpacerItem)
}

func (ptr *QLayoutItem) ConnectWidget(f func() *QWidget) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWidget"})
}

func (ptr *QLayoutItem) Widget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Widget"}).(*QWidget)
}

func (ptr *QLayoutItem) WidgetDefault() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WidgetDefault"}).(*QWidget)
}

func (ptr *QLayoutItem) ConnectDestroyQLayoutItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQLayoutItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLayoutItem) DisconnectDestroyQLayoutItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQLayoutItem"})
}

func (ptr *QLayoutItem) DestroyQLayoutItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQLayoutItem"})
}

func (ptr *QLayoutItem) DestroyQLayoutItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQLayoutItemDefault"})
}

type QLineEdit struct {
	QWidget
}

type QLineEdit_ITF interface {
	QWidget_ITF
	QLineEdit_PTR() *QLineEdit
}

func (ptr *QLineEdit) QLineEdit_PTR() *QLineEdit {
	return ptr
}

func (ptr *QLineEdit) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QLineEdit) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQLineEdit(ptr QLineEdit_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QLineEdit_PTR().Pointer()
	}
	return nil
}

func (n *QLineEdit) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QLineEdit) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQLineEditFromPointer(ptr unsafe.Pointer) (n *QLineEdit) {
	n = new(QLineEdit)
	n.InitFromInternal(uintptr(ptr), "widgets.QLineEdit")
	return
}

//go:generate stringer -type=QLineEdit__EchoMode
//QLineEdit::EchoMode
type QLineEdit__EchoMode int64

const (
	QLineEdit__Normal             QLineEdit__EchoMode = QLineEdit__EchoMode(0)
	QLineEdit__NoEcho             QLineEdit__EchoMode = QLineEdit__EchoMode(1)
	QLineEdit__Password           QLineEdit__EchoMode = QLineEdit__EchoMode(2)
	QLineEdit__PasswordEchoOnEdit QLineEdit__EchoMode = QLineEdit__EchoMode(3)
)

//go:generate stringer -type=QLineEdit__ActionPosition
//QLineEdit::ActionPosition
type QLineEdit__ActionPosition int64

const (
	QLineEdit__LeadingPosition  QLineEdit__ActionPosition = QLineEdit__ActionPosition(0)
	QLineEdit__TrailingPosition QLineEdit__ActionPosition = QLineEdit__ActionPosition(1)
)

func NewQLineEdit(parent QWidget_ITF) *QLineEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQLineEdit", "", parent}).(*QLineEdit)
}

func NewQLineEdit2(contents string, parent QWidget_ITF) *QLineEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQLineEdit2", "", contents, parent}).(*QLineEdit)
}

func (ptr *QLineEdit) AddAction(action QAction_ITF, position QLineEdit__ActionPosition) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction", action, position})
}

func (ptr *QLineEdit) AddAction2(icon gui.QIcon_ITF, position QLineEdit__ActionPosition) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction2", icon, position}).(*QAction)
}

func (ptr *QLineEdit) Alignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment"}).(float64))
}

func (ptr *QLineEdit) Backspace() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Backspace"})
}

func (ptr *QLineEdit) ConnectClear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectClear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClear"})
}

func (ptr *QLineEdit) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QLineEdit) ClearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearDefault"})
}

func (ptr *QLineEdit) Completer() *QCompleter {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Completer"}).(*QCompleter)
}

func (ptr *QLineEdit) ConnectCopy(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCopy", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectCopy() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCopy"})
}

func (ptr *QLineEdit) Copy() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Copy"})
}

func (ptr *QLineEdit) CopyDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CopyDefault"})
}

func (ptr *QLineEdit) CreateStandardContextMenu() *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateStandardContextMenu"}).(*QMenu)
}

func (ptr *QLineEdit) CursorBackward(mark bool, steps int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorBackward", mark, steps})
}

func (ptr *QLineEdit) CursorForward(mark bool, steps int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorForward", mark, steps})
}

func (ptr *QLineEdit) CursorMoveStyle() core.Qt__CursorMoveStyle {

	return core.Qt__CursorMoveStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorMoveStyle"}).(float64))
}

func (ptr *QLineEdit) CursorPosition() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorPosition"}).(float64))
}

func (ptr *QLineEdit) CursorPositionAt(pos core.QPoint_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorPositionAt", pos}).(float64))
}

func (ptr *QLineEdit) ConnectCursorPositionChanged(f func(oldPos int, newPos int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCursorPositionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectCursorPositionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCursorPositionChanged"})
}

func (ptr *QLineEdit) CursorPositionChanged(oldPos int, newPos int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorPositionChanged", oldPos, newPos})
}

func (ptr *QLineEdit) CursorRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorRect"}).(*core.QRect)
}

func (ptr *QLineEdit) CursorWordBackward(mark bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorWordBackward", mark})
}

func (ptr *QLineEdit) CursorWordForward(mark bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorWordForward", mark})
}

func (ptr *QLineEdit) ConnectCut(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCut", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectCut() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCut"})
}

func (ptr *QLineEdit) Cut() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Cut"})
}

func (ptr *QLineEdit) CutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CutDefault"})
}

func (ptr *QLineEdit) Del() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Del"})
}

func (ptr *QLineEdit) Deselect() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Deselect"})
}

func (ptr *QLineEdit) DisplayText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisplayText"}).(string)
}

func (ptr *QLineEdit) DragEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DragEnabled"}).(bool)
}

func (ptr *QLineEdit) EchoMode() QLineEdit__EchoMode {

	return QLineEdit__EchoMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EchoMode"}).(float64))
}

func (ptr *QLineEdit) ConnectEditingFinished(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEditingFinished", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectEditingFinished() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEditingFinished"})
}

func (ptr *QLineEdit) EditingFinished() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EditingFinished"})
}

func (ptr *QLineEdit) End(mark bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "End", mark})
}

func (ptr *QLineEdit) GetTextMargins(left int, top int, right int, bottom int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetTextMargins", left, top, right, bottom})
}

func (ptr *QLineEdit) HasAcceptableInput() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasAcceptableInput"}).(bool)
}

func (ptr *QLineEdit) HasFrame() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasFrame"}).(bool)
}

func (ptr *QLineEdit) HasSelectedText() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasSelectedText"}).(bool)
}

func (ptr *QLineEdit) Home(mark bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Home", mark})
}

func (ptr *QLineEdit) InitStyleOption(option QStyleOptionFrame_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QLineEdit) InputMask() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputMask"}).(string)
}

func (ptr *QLineEdit) ConnectInputRejected(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInputRejected", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectInputRejected() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInputRejected"})
}

func (ptr *QLineEdit) InputRejected() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InputRejected"})
}

func (ptr *QLineEdit) Insert(newText string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Insert", newText})
}

func (ptr *QLineEdit) IsClearButtonEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsClearButtonEnabled"}).(bool)
}

func (ptr *QLineEdit) IsModified() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsModified"}).(bool)
}

func (ptr *QLineEdit) IsReadOnly() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadOnly"}).(bool)
}

func (ptr *QLineEdit) IsRedoAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRedoAvailable"}).(bool)
}

func (ptr *QLineEdit) IsUndoAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsUndoAvailable"}).(bool)
}

func (ptr *QLineEdit) MaxLength() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaxLength"}).(float64))
}

func (ptr *QLineEdit) ConnectPaste(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaste", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectPaste() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaste"})
}

func (ptr *QLineEdit) Paste() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paste"})
}

func (ptr *QLineEdit) PasteDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PasteDefault"})
}

func (ptr *QLineEdit) PlaceholderText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PlaceholderText"}).(string)
}

func (ptr *QLineEdit) ConnectRedo(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRedo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectRedo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRedo"})
}

func (ptr *QLineEdit) Redo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Redo"})
}

func (ptr *QLineEdit) RedoDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedoDefault"})
}

func (ptr *QLineEdit) ConnectReturnPressed(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReturnPressed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectReturnPressed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReturnPressed"})
}

func (ptr *QLineEdit) ReturnPressed() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReturnPressed"})
}

func (ptr *QLineEdit) ConnectSelectAll(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectAll", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectSelectAll() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectAll"})
}

func (ptr *QLineEdit) SelectAll() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectAll"})
}

func (ptr *QLineEdit) SelectAllDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectAllDefault"})
}

func (ptr *QLineEdit) SelectedText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedText"}).(string)
}

func (ptr *QLineEdit) ConnectSelectionChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectSelectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectionChanged"})
}

func (ptr *QLineEdit) SelectionChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChanged"})
}

func (ptr *QLineEdit) SelectionEnd() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionEnd"}).(float64))
}

func (ptr *QLineEdit) SelectionLength() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionLength"}).(float64))
}

func (ptr *QLineEdit) SelectionStart() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionStart"}).(float64))
}

func (ptr *QLineEdit) SetAlignment(flag core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", flag})
}

func (ptr *QLineEdit) SetClearButtonEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetClearButtonEnabled", enable})
}

func (ptr *QLineEdit) SetCompleter(c QCompleter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCompleter", c})
}

func (ptr *QLineEdit) SetCursorMoveStyle(style core.Qt__CursorMoveStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCursorMoveStyle", style})
}

func (ptr *QLineEdit) SetCursorPosition(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCursorPosition", vin})
}

func (ptr *QLineEdit) SetDragEnabled(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDragEnabled", b})
}

func (ptr *QLineEdit) SetEchoMode(vql QLineEdit__EchoMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEchoMode", vql})
}

func (ptr *QLineEdit) SetFrame(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrame", vbo})
}

func (ptr *QLineEdit) SetInputMask(inputMask string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInputMask", inputMask})
}

func (ptr *QLineEdit) SetMaxLength(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaxLength", vin})
}

func (ptr *QLineEdit) SetModified(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModified", vbo})
}

func (ptr *QLineEdit) SetPlaceholderText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPlaceholderText", vqs})
}

func (ptr *QLineEdit) SetReadOnly(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetReadOnly", vbo})
}

func (ptr *QLineEdit) SetSelection(start int, length int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelection", start, length})
}

func (ptr *QLineEdit) ConnectSetText(f func(vqs string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectSetText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetText"})
}

func (ptr *QLineEdit) SetText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", vqs})
}

func (ptr *QLineEdit) SetTextDefault(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextDefault", vqs})
}

func (ptr *QLineEdit) SetTextMargins(left int, top int, right int, bottom int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextMargins", left, top, right, bottom})
}

func (ptr *QLineEdit) SetTextMargins2(margins core.QMargins_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextMargins2", margins})
}

func (ptr *QLineEdit) SetValidator(v gui.QValidator_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValidator", v})
}

func (ptr *QLineEdit) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QLineEdit) ConnectTextChanged(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTextChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectTextChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTextChanged"})
}

func (ptr *QLineEdit) TextChanged(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextChanged", text})
}

func (ptr *QLineEdit) ConnectTextEdited(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTextEdited", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectTextEdited() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTextEdited"})
}

func (ptr *QLineEdit) TextEdited(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextEdited", text})
}

func (ptr *QLineEdit) TextMargins() *core.QMargins {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextMargins"}).(*core.QMargins)
}

func (ptr *QLineEdit) ConnectUndo(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUndo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectUndo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUndo"})
}

func (ptr *QLineEdit) Undo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Undo"})
}

func (ptr *QLineEdit) UndoDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoDefault"})
}

func (ptr *QLineEdit) Validator() *gui.QValidator {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Validator"}).(*gui.QValidator)
}

func (ptr *QLineEdit) ConnectDestroyQLineEdit(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQLineEdit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QLineEdit) DisconnectDestroyQLineEdit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQLineEdit"})
}

func (ptr *QLineEdit) DestroyQLineEdit() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQLineEdit"})
}

func (ptr *QLineEdit) DestroyQLineEditDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQLineEditDefault"})
}

type QListView struct {
	QAbstractItemView
}

type QListView_ITF interface {
	QAbstractItemView_ITF
	QListView_PTR() *QListView
}

func (ptr *QListView) QListView_PTR() *QListView {
	return ptr
}

func (ptr *QListView) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemView_PTR().Pointer()
	}
	return nil
}

func (ptr *QListView) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractItemView_PTR().SetPointer(p)
	}
}

func PointerFromQListView(ptr QListView_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QListView_PTR().Pointer()
	}
	return nil
}

func (n *QListView) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractItemView_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QListView) ClassNameInternalF() string {
	return n.QAbstractItemView_PTR().ClassNameInternalF()
}

func NewQListViewFromPointer(ptr unsafe.Pointer) (n *QListView) {
	n = new(QListView)
	n.InitFromInternal(uintptr(ptr), "widgets.QListView")
	return
}

//go:generate stringer -type=QListView__Flow
//QListView::Flow
type QListView__Flow int64

const (
	QListView__LeftToRight QListView__Flow = QListView__Flow(0)
	QListView__TopToBottom QListView__Flow = QListView__Flow(1)
)

//go:generate stringer -type=QListView__ResizeMode
//QListView::ResizeMode
type QListView__ResizeMode int64

const (
	QListView__Fixed  QListView__ResizeMode = QListView__ResizeMode(0)
	QListView__Adjust QListView__ResizeMode = QListView__ResizeMode(1)
)

//go:generate stringer -type=QListView__LayoutMode
//QListView::LayoutMode
type QListView__LayoutMode int64

const (
	QListView__SinglePass QListView__LayoutMode = QListView__LayoutMode(0)
	QListView__Batched    QListView__LayoutMode = QListView__LayoutMode(1)
)

//go:generate stringer -type=QListView__ViewMode
//QListView::ViewMode
type QListView__ViewMode int64

const (
	QListView__ListMode QListView__ViewMode = QListView__ViewMode(0)
	QListView__IconMode QListView__ViewMode = QListView__ViewMode(1)
)

//go:generate stringer -type=QListView__Movement
//QListView::Movement
type QListView__Movement int64

const (
	QListView__Static QListView__Movement = QListView__Movement(0)
	QListView__Free   QListView__Movement = QListView__Movement(1)
	QListView__Snap   QListView__Movement = QListView__Movement(2)
)

func NewQListView(parent QWidget_ITF) *QListView {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQListView", "", parent}).(*QListView)
}

func (ptr *QListView) BatchSize() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BatchSize"}).(float64))
}

func (ptr *QListView) ClearPropertyFlags() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearPropertyFlags"})
}

func (ptr *QListView) ConnectCurrentChanged(f func(current *core.QModelIndex, previous *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectCurrentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentChanged"})
}

func (ptr *QListView) CurrentChanged(current core.QModelIndex_ITF, previous core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChanged", current, previous})
}

func (ptr *QListView) CurrentChangedDefault(current core.QModelIndex_ITF, previous core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChangedDefault", current, previous})
}

func (ptr *QListView) ConnectDataChanged(f func(topLeft *core.QModelIndex, bottomRight *core.QModelIndex, roles []int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDataChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectDataChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDataChanged"})
}

func (ptr *QListView) DataChanged(topLeft core.QModelIndex_ITF, bottomRight core.QModelIndex_ITF, roles []int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataChanged", topLeft, bottomRight, roles})
}

func (ptr *QListView) DataChangedDefault(topLeft core.QModelIndex_ITF, bottomRight core.QModelIndex_ITF, roles []int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataChangedDefault", topLeft, bottomRight, roles})
}

func (ptr *QListView) Flow() QListView__Flow {

	return QListView__Flow(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flow"}).(float64))
}

func (ptr *QListView) GridSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GridSize"}).(*core.QSize)
}

func (ptr *QListView) ConnectHorizontalOffset(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHorizontalOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectHorizontalOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHorizontalOffset"})
}

func (ptr *QListView) HorizontalOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalOffset"}).(float64))
}

func (ptr *QListView) HorizontalOffsetDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalOffsetDefault"}).(float64))
}

func (ptr *QListView) ConnectIndexAt(f func(p *core.QPoint) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndexAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectIndexAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndexAt"})
}

func (ptr *QListView) IndexAt(p core.QPoint_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexAt", p}).(*core.QModelIndex)
}

func (ptr *QListView) IndexAtDefault(p core.QPoint_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexAtDefault", p}).(*core.QModelIndex)
}

func (ptr *QListView) ConnectIsIndexHidden(f func(index *core.QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsIndexHidden", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectIsIndexHidden() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsIndexHidden"})
}

func (ptr *QListView) IsIndexHidden(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIndexHidden", index}).(bool)
}

func (ptr *QListView) IsIndexHiddenDefault(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIndexHiddenDefault", index}).(bool)
}

func (ptr *QListView) IsRowHidden(row int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRowHidden", row}).(bool)
}

func (ptr *QListView) IsSelectionRectVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSelectionRectVisible"}).(bool)
}

func (ptr *QListView) IsWrapping() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsWrapping"}).(bool)
}

func (ptr *QListView) ItemAlignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAlignment"}).(float64))
}

func (ptr *QListView) LayoutMode() QListView__LayoutMode {

	return QListView__LayoutMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LayoutMode"}).(float64))
}

func (ptr *QListView) ModelColumn() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ModelColumn"}).(float64))
}

func (ptr *QListView) ConnectMoveCursor(f func(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMoveCursor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectMoveCursor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMoveCursor"})
}

func (ptr *QListView) MoveCursor(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCursor", cursorAction, modifiers}).(*core.QModelIndex)
}

func (ptr *QListView) MoveCursorDefault(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCursorDefault", cursorAction, modifiers}).(*core.QModelIndex)
}

func (ptr *QListView) Movement() QListView__Movement {

	return QListView__Movement(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Movement"}).(float64))
}

func (ptr *QListView) RectForIndex(index core.QModelIndex_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RectForIndex", index}).(*core.QRect)
}

func (ptr *QListView) ResizeMode() QListView__ResizeMode {

	return QListView__ResizeMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeMode"}).(float64))
}

func (ptr *QListView) ConnectRowsAboutToBeRemoved(f func(parent *core.QModelIndex, start int, end int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowsAboutToBeRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectRowsAboutToBeRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowsAboutToBeRemoved"})
}

func (ptr *QListView) RowsAboutToBeRemoved(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsAboutToBeRemoved", parent, start, end})
}

func (ptr *QListView) RowsAboutToBeRemovedDefault(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsAboutToBeRemovedDefault", parent, start, end})
}

func (ptr *QListView) ConnectRowsInserted(f func(parent *core.QModelIndex, start int, end int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowsInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectRowsInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowsInserted"})
}

func (ptr *QListView) RowsInserted(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsInserted", parent, start, end})
}

func (ptr *QListView) RowsInsertedDefault(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsInsertedDefault", parent, start, end})
}

func (ptr *QListView) ConnectScrollTo(f func(index *core.QModelIndex, hint QAbstractItemView__ScrollHint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollTo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectScrollTo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollTo"})
}

func (ptr *QListView) ScrollTo(index core.QModelIndex_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollTo", index, hint})
}

func (ptr *QListView) ScrollToDefault(index core.QModelIndex_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToDefault", index, hint})
}

func (ptr *QListView) ConnectSelectionChanged(f func(selected *core.QItemSelection, deselected *core.QItemSelection)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectSelectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectionChanged"})
}

func (ptr *QListView) SelectionChanged(selected core.QItemSelection_ITF, deselected core.QItemSelection_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChanged", selected, deselected})
}

func (ptr *QListView) SelectionChangedDefault(selected core.QItemSelection_ITF, deselected core.QItemSelection_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChangedDefault", selected, deselected})
}

func (ptr *QListView) SetBatchSize(batchSize int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBatchSize", batchSize})
}

func (ptr *QListView) SetFlow(flow QListView__Flow) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlow", flow})
}

func (ptr *QListView) SetGridSize(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGridSize", size})
}

func (ptr *QListView) SetItemAlignment(alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemAlignment", alignment})
}

func (ptr *QListView) SetLayoutMode(mode QListView__LayoutMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLayoutMode", mode})
}

func (ptr *QListView) SetModelColumn(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModelColumn", column})
}

func (ptr *QListView) SetMovement(movement QListView__Movement) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMovement", movement})
}

func (ptr *QListView) SetPositionForIndex(position core.QPoint_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPositionForIndex", position, index})
}

func (ptr *QListView) SetResizeMode(mode QListView__ResizeMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetResizeMode", mode})
}

func (ptr *QListView) SetRowHidden(row int, hide bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowHidden", row, hide})
}

func (ptr *QListView) ConnectSetSelection(f func(rect *core.QRect, command core.QItemSelectionModel__SelectionFlag)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectSetSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSelection"})
}

func (ptr *QListView) SetSelection(rect core.QRect_ITF, command core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelection", rect, command})
}

func (ptr *QListView) SetSelectionDefault(rect core.QRect_ITF, command core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionDefault", rect, command})
}

func (ptr *QListView) SetSelectionRectVisible(show bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionRectVisible", show})
}

func (ptr *QListView) SetSpacing(space int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSpacing", space})
}

func (ptr *QListView) SetUniformItemSizes(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformItemSizes", enable})
}

func (ptr *QListView) SetViewMode(mode QListView__ViewMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewMode", mode})
}

func (ptr *QListView) SetWordWrap(on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWordWrap", on})
}

func (ptr *QListView) SetWrapping(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWrapping", enable})
}

func (ptr *QListView) Spacing() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Spacing"}).(float64))
}

func (ptr *QListView) UniformItemSizes() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UniformItemSizes"}).(bool)
}

func (ptr *QListView) ConnectUpdateGeometries(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateGeometries", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectUpdateGeometries() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateGeometries"})
}

func (ptr *QListView) UpdateGeometries() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateGeometries"})
}

func (ptr *QListView) UpdateGeometriesDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateGeometriesDefault"})
}

func (ptr *QListView) ConnectVerticalOffset(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVerticalOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectVerticalOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVerticalOffset"})
}

func (ptr *QListView) VerticalOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalOffset"}).(float64))
}

func (ptr *QListView) VerticalOffsetDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalOffsetDefault"}).(float64))
}

func (ptr *QListView) ViewMode() QListView__ViewMode {

	return QListView__ViewMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewMode"}).(float64))
}

func (ptr *QListView) ConnectVisualRect(f func(index *core.QModelIndex) *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVisualRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectVisualRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVisualRect"})
}

func (ptr *QListView) VisualRect(index core.QModelIndex_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRect", index}).(*core.QRect)
}

func (ptr *QListView) VisualRectDefault(index core.QModelIndex_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRectDefault", index}).(*core.QRect)
}

func (ptr *QListView) ConnectVisualRegionForSelection(f func(selection *core.QItemSelection) *gui.QRegion) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVisualRegionForSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectVisualRegionForSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVisualRegionForSelection"})
}

func (ptr *QListView) VisualRegionForSelection(selection core.QItemSelection_ITF) *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRegionForSelection", selection}).(*gui.QRegion)
}

func (ptr *QListView) VisualRegionForSelectionDefault(selection core.QItemSelection_ITF) *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRegionForSelectionDefault", selection}).(*gui.QRegion)
}

func (ptr *QListView) WordWrap() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WordWrap"}).(bool)
}

func (ptr *QListView) ConnectDestroyQListView(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQListView", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListView) DisconnectDestroyQListView() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQListView"})
}

func (ptr *QListView) DestroyQListView() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQListView"})
}

func (ptr *QListView) DestroyQListViewDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQListViewDefault"})
}

func (ptr *QListView) __indexesMoved_indexes_atList(i int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__indexesMoved_indexes_atList", i}).(*core.QModelIndex)
}

func (ptr *QListView) __indexesMoved_indexes_setList(i core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__indexesMoved_indexes_setList", i})
}

func (ptr *QListView) __indexesMoved_indexes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__indexesMoved_indexes_newList"}).(unsafe.Pointer)
}

type QListWidget struct {
	QListView
}

type QListWidget_ITF interface {
	QListView_ITF
	QListWidget_PTR() *QListWidget
}

func (ptr *QListWidget) QListWidget_PTR() *QListWidget {
	return ptr
}

func (ptr *QListWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QListView_PTR().Pointer()
	}
	return nil
}

func (ptr *QListWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QListView_PTR().SetPointer(p)
	}
}

func PointerFromQListWidget(ptr QListWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QListWidget_PTR().Pointer()
	}
	return nil
}

func (n *QListWidget) InitFromInternal(ptr uintptr, name string) {
	n.QListView_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QListWidget) ClassNameInternalF() string {
	return n.QListView_PTR().ClassNameInternalF()
}

func NewQListWidgetFromPointer(ptr unsafe.Pointer) (n *QListWidget) {
	n = new(QListWidget)
	n.InitFromInternal(uintptr(ptr), "widgets.QListWidget")
	return
}
func NewQListWidget(parent QWidget_ITF) *QListWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQListWidget", "", parent}).(*QListWidget)
}

func (ptr *QListWidget) AddItem(label string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem", label})
}

func (ptr *QListWidget) AddItem2(item QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem2", item})
}

func (ptr *QListWidget) AddItems(labels []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItems", labels})
}

func (ptr *QListWidget) ConnectClear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectClear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClear"})
}

func (ptr *QListWidget) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QListWidget) ClearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearDefault"})
}

func (ptr *QListWidget) ClosePersistentEditor(item QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClosePersistentEditor", item})
}

func (ptr *QListWidget) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QListWidget) CurrentItem() *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentItem"}).(*QListWidgetItem)
}

func (ptr *QListWidget) ConnectCurrentItemChanged(f func(current *QListWidgetItem, previous *QListWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentItemChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectCurrentItemChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentItemChanged"})
}

func (ptr *QListWidget) CurrentItemChanged(current QListWidgetItem_ITF, previous QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentItemChanged", current, previous})
}

func (ptr *QListWidget) CurrentRow() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentRow"}).(float64))
}

func (ptr *QListWidget) ConnectCurrentRowChanged(f func(currentRow int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentRowChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectCurrentRowChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentRowChanged"})
}

func (ptr *QListWidget) CurrentRowChanged(currentRow int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentRowChanged", currentRow})
}

func (ptr *QListWidget) ConnectCurrentTextChanged(f func(currentText string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentTextChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectCurrentTextChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentTextChanged"})
}

func (ptr *QListWidget) CurrentTextChanged(currentText string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentTextChanged", currentText})
}

func (ptr *QListWidget) ConnectDropMimeData(f func(index int, data *core.QMimeData, action core.Qt__DropAction) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDropMimeData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectDropMimeData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDropMimeData"})
}

func (ptr *QListWidget) DropMimeData(index int, data core.QMimeData_ITF, action core.Qt__DropAction) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropMimeData", index, data, action}).(bool)
}

func (ptr *QListWidget) DropMimeDataDefault(index int, data core.QMimeData_ITF, action core.Qt__DropAction) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropMimeDataDefault", index, data, action}).(bool)
}

func (ptr *QListWidget) EditItem(item QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EditItem", item})
}

func (ptr *QListWidget) FindItems(text string, flags core.Qt__MatchFlag) []*QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FindItems", text, flags}).([]*QListWidgetItem)
}

func (ptr *QListWidget) IndexFromItem(item QListWidgetItem_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexFromItem", item}).(*core.QModelIndex)
}

func (ptr *QListWidget) InsertItem(row int, item QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertItem", row, item})
}

func (ptr *QListWidget) InsertItem2(row int, label string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertItem2", row, label})
}

func (ptr *QListWidget) InsertItems(row int, labels []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertItems", row, labels})
}

func (ptr *QListWidget) IsPersistentEditorOpen(item QListWidgetItem_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsPersistentEditorOpen", item}).(bool)
}

func (ptr *QListWidget) IsSortingEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSortingEnabled"}).(bool)
}

func (ptr *QListWidget) Item(row int) *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Item", row}).(*QListWidgetItem)
}

func (ptr *QListWidget) ConnectItemActivated(f func(item *QListWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectItemActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemActivated"})
}

func (ptr *QListWidget) ItemActivated(item QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemActivated", item})
}

func (ptr *QListWidget) ItemAt(p core.QPoint_ITF) *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt", p}).(*QListWidgetItem)
}

func (ptr *QListWidget) ItemAt2(x int, y int) *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt2", x, y}).(*QListWidgetItem)
}

func (ptr *QListWidget) ConnectItemChanged(f func(item *QListWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectItemChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemChanged"})
}

func (ptr *QListWidget) ItemChanged(item QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemChanged", item})
}

func (ptr *QListWidget) ConnectItemClicked(f func(item *QListWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectItemClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemClicked"})
}

func (ptr *QListWidget) ItemClicked(item QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemClicked", item})
}

func (ptr *QListWidget) ConnectItemDoubleClicked(f func(item *QListWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemDoubleClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectItemDoubleClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemDoubleClicked"})
}

func (ptr *QListWidget) ItemDoubleClicked(item QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemDoubleClicked", item})
}

func (ptr *QListWidget) ConnectItemEntered(f func(item *QListWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemEntered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectItemEntered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemEntered"})
}

func (ptr *QListWidget) ItemEntered(item QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemEntered", item})
}

func (ptr *QListWidget) ItemFromIndex(index core.QModelIndex_ITF) *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemFromIndex", index}).(*QListWidgetItem)
}

func (ptr *QListWidget) ConnectItemPressed(f func(item *QListWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemPressed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectItemPressed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemPressed"})
}

func (ptr *QListWidget) ItemPressed(item QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemPressed", item})
}

func (ptr *QListWidget) ConnectItemSelectionChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemSelectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectItemSelectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemSelectionChanged"})
}

func (ptr *QListWidget) ItemSelectionChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemSelectionChanged"})
}

func (ptr *QListWidget) ItemWidget(item QListWidgetItem_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemWidget", item}).(*QWidget)
}

func (ptr *QListWidget) Items(data core.QMimeData_ITF) []*QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items", data}).([]*QListWidgetItem)
}

func (ptr *QListWidget) ConnectMimeData(f func(items []*QListWidgetItem) *core.QMimeData) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMimeData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectMimeData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMimeData"})
}

func (ptr *QListWidget) MimeData(items []*QListWidgetItem) *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeData", items}).(*core.QMimeData)
}

func (ptr *QListWidget) MimeDataDefault(items []*QListWidgetItem) *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeDataDefault", items}).(*core.QMimeData)
}

func (ptr *QListWidget) ConnectMimeTypes(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMimeTypes", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectMimeTypes() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMimeTypes"})
}

func (ptr *QListWidget) MimeTypes() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypes"}).([]string)
}

func (ptr *QListWidget) MimeTypesDefault() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypesDefault"}).([]string)
}

func (ptr *QListWidget) OpenPersistentEditor(item QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpenPersistentEditor", item})
}

func (ptr *QListWidget) RemoveItemWidget(item QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveItemWidget", item})
}

func (ptr *QListWidget) Row(item QListWidgetItem_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Row", item}).(float64))
}

func (ptr *QListWidget) ConnectScrollToItem(f func(item *QListWidgetItem, hint QAbstractItemView__ScrollHint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollToItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectScrollToItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollToItem"})
}

func (ptr *QListWidget) ScrollToItem(item QListWidgetItem_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToItem", item, hint})
}

func (ptr *QListWidget) ScrollToItemDefault(item QListWidgetItem_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToItemDefault", item, hint})
}

func (ptr *QListWidget) SelectedItems() []*QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedItems"}).([]*QListWidgetItem)
}

func (ptr *QListWidget) SetCurrentItem(item QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentItem", item})
}

func (ptr *QListWidget) SetCurrentItem2(item QListWidgetItem_ITF, command core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentItem2", item, command})
}

func (ptr *QListWidget) SetCurrentRow(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentRow", row})
}

func (ptr *QListWidget) SetCurrentRow2(row int, command core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentRow2", row, command})
}

func (ptr *QListWidget) SetItemWidget(item QListWidgetItem_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemWidget", item, widget})
}

func (ptr *QListWidget) SetSortingEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSortingEnabled", enable})
}

func (ptr *QListWidget) SortItems(order core.Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortItems", order})
}

func (ptr *QListWidget) ConnectSupportedDropActions(f func() core.Qt__DropAction) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedDropActions", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectSupportedDropActions() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedDropActions"})
}

func (ptr *QListWidget) SupportedDropActions() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDropActions"}).(float64))
}

func (ptr *QListWidget) SupportedDropActionsDefault() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDropActionsDefault"}).(float64))
}

func (ptr *QListWidget) TakeItem(row int) *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeItem", row}).(*QListWidgetItem)
}

func (ptr *QListWidget) VisualItemRect(item QListWidgetItem_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualItemRect", item}).(*core.QRect)
}

func (ptr *QListWidget) ConnectDestroyQListWidget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQListWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidget) DisconnectDestroyQListWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQListWidget"})
}

func (ptr *QListWidget) DestroyQListWidget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQListWidget"})
}

func (ptr *QListWidget) DestroyQListWidgetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQListWidgetDefault"})
}

func (ptr *QListWidget) __findItems_atList(i int) *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findItems_atList", i}).(*QListWidgetItem)
}

func (ptr *QListWidget) __findItems_setList(i QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findItems_setList", i})
}

func (ptr *QListWidget) __findItems_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findItems_newList"}).(unsafe.Pointer)
}

func (ptr *QListWidget) __items_atList(i int) *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList", i}).(*QListWidgetItem)
}

func (ptr *QListWidget) __items_setList(i QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList", i})
}

func (ptr *QListWidget) __items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList"}).(unsafe.Pointer)
}

func (ptr *QListWidget) __mimeData_items_atList(i int) *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_items_atList", i}).(*QListWidgetItem)
}

func (ptr *QListWidget) __mimeData_items_setList(i QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_items_setList", i})
}

func (ptr *QListWidget) __mimeData_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_items_newList"}).(unsafe.Pointer)
}

func (ptr *QListWidget) __selectedItems_atList(i int) *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedItems_atList", i}).(*QListWidgetItem)
}

func (ptr *QListWidget) __selectedItems_setList(i QListWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedItems_setList", i})
}

func (ptr *QListWidget) __selectedItems_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedItems_newList"}).(unsafe.Pointer)
}

type QListWidgetItem struct {
	internal.Internal
}

type QListWidgetItem_ITF interface {
	QListWidgetItem_PTR() *QListWidgetItem
}

func (ptr *QListWidgetItem) QListWidgetItem_PTR() *QListWidgetItem {
	return ptr
}

func (ptr *QListWidgetItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QListWidgetItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQListWidgetItem(ptr QListWidgetItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QListWidgetItem_PTR().Pointer()
	}
	return nil
}

func (n *QListWidgetItem) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQListWidgetItemFromPointer(ptr unsafe.Pointer) (n *QListWidgetItem) {
	n = new(QListWidgetItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QListWidgetItem")
	return
}

//go:generate stringer -type=QListWidgetItem__ItemType
//QListWidgetItem::ItemType
type QListWidgetItem__ItemType int64

const (
	QListWidgetItem__Type     QListWidgetItem__ItemType = QListWidgetItem__ItemType(0)
	QListWidgetItem__UserType QListWidgetItem__ItemType = QListWidgetItem__ItemType(1000)
)

func NewQListWidgetItem(parent QListWidget_ITF, ty int) *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQListWidgetItem", "", parent, ty}).(*QListWidgetItem)
}

func NewQListWidgetItem2(text string, parent QListWidget_ITF, ty int) *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQListWidgetItem2", "", text, parent, ty}).(*QListWidgetItem)
}

func NewQListWidgetItem3(icon gui.QIcon_ITF, text string, parent QListWidget_ITF, ty int) *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQListWidgetItem3", "", icon, text, parent, ty}).(*QListWidgetItem)
}

func NewQListWidgetItem4(other QListWidgetItem_ITF) *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQListWidgetItem4", "", other}).(*QListWidgetItem)
}

func (ptr *QListWidgetItem) Background() *gui.QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Background"}).(*gui.QBrush)
}

func (ptr *QListWidgetItem) CheckState() core.Qt__CheckState {

	return core.Qt__CheckState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckState"}).(float64))
}

func (ptr *QListWidgetItem) ConnectClone(f func() *QListWidgetItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClone", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidgetItem) DisconnectClone() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClone"})
}

func (ptr *QListWidgetItem) Clone() *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clone"}).(*QListWidgetItem)
}

func (ptr *QListWidgetItem) CloneDefault() *QListWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloneDefault"}).(*QListWidgetItem)
}

func (ptr *QListWidgetItem) ConnectData(f func(role int) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidgetItem) DisconnectData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectData"})
}

func (ptr *QListWidgetItem) Data(role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", role}).(*core.QVariant)
}

func (ptr *QListWidgetItem) DataDefault(role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataDefault", role}).(*core.QVariant)
}

func (ptr *QListWidgetItem) Flags() core.Qt__ItemFlag {

	return core.Qt__ItemFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flags"}).(float64))
}

func (ptr *QListWidgetItem) Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*gui.QFont)
}

func (ptr *QListWidgetItem) Foreground() *gui.QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Foreground"}).(*gui.QBrush)
}

func (ptr *QListWidgetItem) Icon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*gui.QIcon)
}

func (ptr *QListWidgetItem) IsHidden() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsHidden"}).(bool)
}

func (ptr *QListWidgetItem) IsSelected() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSelected"}).(bool)
}

func (ptr *QListWidgetItem) ListWidget() *QListWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ListWidget"}).(*QListWidget)
}

func (ptr *QListWidgetItem) ConnectRead(f func(in *core.QDataStream)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRead", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidgetItem) DisconnectRead() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRead"})
}

func (ptr *QListWidgetItem) Read(in core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read", in})
}

func (ptr *QListWidgetItem) ReadDefault(in core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadDefault", in})
}

func (ptr *QListWidgetItem) SetBackground(brush gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackground", brush})
}

func (ptr *QListWidgetItem) SetCheckState(state core.Qt__CheckState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckState", state})
}

func (ptr *QListWidgetItem) ConnectSetData(f func(role int, value *core.QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidgetItem) DisconnectSetData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetData"})
}

func (ptr *QListWidgetItem) SetData(role int, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData", role, value})
}

func (ptr *QListWidgetItem) SetDataDefault(role int, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDataDefault", role, value})
}

func (ptr *QListWidgetItem) SetFlags(flags core.Qt__ItemFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlags", flags})
}

func (ptr *QListWidgetItem) SetFont(font gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont", font})
}

func (ptr *QListWidgetItem) SetForeground(brush gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetForeground", brush})
}

func (ptr *QListWidgetItem) SetHidden(hide bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHidden", hide})
}

func (ptr *QListWidgetItem) SetIcon(icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", icon})
}

func (ptr *QListWidgetItem) SetSelected(sele bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelected", sele})
}

func (ptr *QListWidgetItem) SetSizeHint(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSizeHint", size})
}

func (ptr *QListWidgetItem) SetStatusTip(statusTip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStatusTip", statusTip})
}

func (ptr *QListWidgetItem) SetText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", text})
}

func (ptr *QListWidgetItem) SetTextAlignment(alignment int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextAlignment", alignment})
}

func (ptr *QListWidgetItem) SetToolTip(toolTip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolTip", toolTip})
}

func (ptr *QListWidgetItem) SetWhatsThis(whatsThis string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWhatsThis", whatsThis})
}

func (ptr *QListWidgetItem) SizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint"}).(*core.QSize)
}

func (ptr *QListWidgetItem) StatusTip() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StatusTip"}).(string)
}

func (ptr *QListWidgetItem) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QListWidgetItem) TextAlignment() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextAlignment"}).(float64))
}

func (ptr *QListWidgetItem) ToolTip() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolTip"}).(string)
}

func (ptr *QListWidgetItem) Type() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QListWidgetItem) WhatsThis() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WhatsThis"}).(string)
}

func (ptr *QListWidgetItem) ConnectWrite(f func(out *core.QDataStream)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWrite", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidgetItem) DisconnectWrite() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWrite"})
}

func (ptr *QListWidgetItem) Write(out core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write", out})
}

func (ptr *QListWidgetItem) WriteDefault(out core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteDefault", out})
}

func (ptr *QListWidgetItem) ConnectDestroyQListWidgetItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQListWidgetItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QListWidgetItem) DisconnectDestroyQListWidgetItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQListWidgetItem"})
}

func (ptr *QListWidgetItem) DestroyQListWidgetItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQListWidgetItem"})
}

func (ptr *QListWidgetItem) DestroyQListWidgetItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQListWidgetItemDefault"})
}

func (ptr *QListWidgetItem) __dummy_atList(i int) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dummy_atList", i}).(unsafe.Pointer)
}

func (ptr *QListWidgetItem) __dummy_setList(i unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dummy_setList", i})
}

func (ptr *QListWidgetItem) __dummy_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dummy_newList"}).(unsafe.Pointer)
}

func (ptr *QListWidgetItem) __setDummy__atList(i int) unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDummy__atList", i}).(unsafe.Pointer)
}

func (ptr *QListWidgetItem) __setDummy__setList(i unsafe.Pointer) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDummy__setList", i})
}

func (ptr *QListWidgetItem) __setDummy__newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setDummy__newList"}).(unsafe.Pointer)
}

type QMainWindow struct {
	QWidget
}

type QMainWindow_ITF interface {
	QWidget_ITF
	QMainWindow_PTR() *QMainWindow
}

func (ptr *QMainWindow) QMainWindow_PTR() *QMainWindow {
	return ptr
}

func (ptr *QMainWindow) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QMainWindow) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQMainWindow(ptr QMainWindow_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMainWindow_PTR().Pointer()
	}
	return nil
}

func (n *QMainWindow) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMainWindow) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQMainWindowFromPointer(ptr unsafe.Pointer) (n *QMainWindow) {
	n = new(QMainWindow)
	n.InitFromInternal(uintptr(ptr), "widgets.QMainWindow")
	return
}

//go:generate stringer -type=QMainWindow__DockOption
//QMainWindow::DockOption
type QMainWindow__DockOption int64

const (
	QMainWindow__AnimatedDocks    QMainWindow__DockOption = QMainWindow__DockOption(0x01)
	QMainWindow__AllowNestedDocks QMainWindow__DockOption = QMainWindow__DockOption(0x02)
	QMainWindow__AllowTabbedDocks QMainWindow__DockOption = QMainWindow__DockOption(0x04)
	QMainWindow__ForceTabbedDocks QMainWindow__DockOption = QMainWindow__DockOption(0x08)
	QMainWindow__VerticalTabs     QMainWindow__DockOption = QMainWindow__DockOption(0x10)
	QMainWindow__GroupedDragging  QMainWindow__DockOption = QMainWindow__DockOption(0x20)
)

func NewQMainWindow(parent QWidget_ITF, flags core.Qt__WindowType) *QMainWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQMainWindow", "", parent, flags}).(*QMainWindow)
}

func (ptr *QMainWindow) AddDockWidget(area core.Qt__DockWidgetArea, dockwidget QDockWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddDockWidget", area, dockwidget})
}

func (ptr *QMainWindow) AddDockWidget2(area core.Qt__DockWidgetArea, dockwidget QDockWidget_ITF, orientation core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddDockWidget2", area, dockwidget, orientation})
}

func (ptr *QMainWindow) AddToolBar(area core.Qt__ToolBarArea, toolbar QToolBar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddToolBar", area, toolbar})
}

func (ptr *QMainWindow) AddToolBar2(toolbar QToolBar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddToolBar2", toolbar})
}

func (ptr *QMainWindow) AddToolBar3(title string) *QToolBar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddToolBar3", title}).(*QToolBar)
}

func (ptr *QMainWindow) AddToolBarBreak(area core.Qt__ToolBarArea) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddToolBarBreak", area})
}

func (ptr *QMainWindow) CentralWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CentralWidget"}).(*QWidget)
}

func (ptr *QMainWindow) Corner(corner core.Qt__Corner) core.Qt__DockWidgetArea {

	return core.Qt__DockWidgetArea(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Corner", corner}).(float64))
}

func (ptr *QMainWindow) ConnectCreatePopupMenu(f func() *QMenu) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreatePopupMenu", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMainWindow) DisconnectCreatePopupMenu() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreatePopupMenu"})
}

func (ptr *QMainWindow) CreatePopupMenu() *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreatePopupMenu"}).(*QMenu)
}

func (ptr *QMainWindow) CreatePopupMenuDefault() *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreatePopupMenuDefault"}).(*QMenu)
}

func (ptr *QMainWindow) DockOptions() QMainWindow__DockOption {

	return QMainWindow__DockOption(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DockOptions"}).(float64))
}

func (ptr *QMainWindow) DockWidgetArea(dockwidget QDockWidget_ITF) core.Qt__DockWidgetArea {

	return core.Qt__DockWidgetArea(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DockWidgetArea", dockwidget}).(float64))
}

func (ptr *QMainWindow) DocumentMode() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentMode"}).(bool)
}

func (ptr *QMainWindow) IconSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconSize"}).(*core.QSize)
}

func (ptr *QMainWindow) ConnectIconSizeChanged(f func(iconSize *core.QSize)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIconSizeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMainWindow) DisconnectIconSizeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIconSizeChanged"})
}

func (ptr *QMainWindow) IconSizeChanged(iconSize core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconSizeChanged", iconSize})
}

func (ptr *QMainWindow) InsertToolBar(before QToolBar_ITF, toolbar QToolBar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertToolBar", before, toolbar})
}

func (ptr *QMainWindow) InsertToolBarBreak(before QToolBar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertToolBarBreak", before})
}

func (ptr *QMainWindow) IsAnimated() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAnimated"}).(bool)
}

func (ptr *QMainWindow) IsDockNestingEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDockNestingEnabled"}).(bool)
}

func (ptr *QMainWindow) MenuBar() *QMenuBar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MenuBar"}).(*QMenuBar)
}

func (ptr *QMainWindow) MenuWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MenuWidget"}).(*QWidget)
}

func (ptr *QMainWindow) RemoveDockWidget(dockwidget QDockWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveDockWidget", dockwidget})
}

func (ptr *QMainWindow) RemoveToolBar(toolbar QToolBar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveToolBar", toolbar})
}

func (ptr *QMainWindow) RemoveToolBarBreak(before QToolBar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveToolBarBreak", before})
}

func (ptr *QMainWindow) ResizeDocks(docks []*QDockWidget, sizes []int, orientation core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeDocks", docks, sizes, orientation})
}

func (ptr *QMainWindow) RestoreDockWidget(dockwidget QDockWidget_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RestoreDockWidget", dockwidget}).(bool)
}

func (ptr *QMainWindow) RestoreState(state core.QByteArray_ITF, version int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RestoreState", state, version}).(bool)
}

func (ptr *QMainWindow) SaveState(version int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SaveState", version}).(*core.QByteArray)
}

func (ptr *QMainWindow) ConnectSetAnimated(f func(enabled bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetAnimated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMainWindow) DisconnectSetAnimated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetAnimated"})
}

func (ptr *QMainWindow) SetAnimated(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAnimated", enabled})
}

func (ptr *QMainWindow) SetAnimatedDefault(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAnimatedDefault", enabled})
}

func (ptr *QMainWindow) SetCentralWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCentralWidget", widget})
}

func (ptr *QMainWindow) SetCorner(corner core.Qt__Corner, area core.Qt__DockWidgetArea) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCorner", corner, area})
}

func (ptr *QMainWindow) ConnectSetDockNestingEnabled(f func(enabled bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetDockNestingEnabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMainWindow) DisconnectSetDockNestingEnabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetDockNestingEnabled"})
}

func (ptr *QMainWindow) SetDockNestingEnabled(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDockNestingEnabled", enabled})
}

func (ptr *QMainWindow) SetDockNestingEnabledDefault(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDockNestingEnabledDefault", enabled})
}

func (ptr *QMainWindow) SetDockOptions(options QMainWindow__DockOption) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDockOptions", options})
}

func (ptr *QMainWindow) SetDocumentMode(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDocumentMode", enabled})
}

func (ptr *QMainWindow) SetIconSize(iconSize core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconSize", iconSize})
}

func (ptr *QMainWindow) SetMenuBar(menuBar QMenuBar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMenuBar", menuBar})
}

func (ptr *QMainWindow) SetMenuWidget(menuBar QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMenuWidget", menuBar})
}

func (ptr *QMainWindow) SetStatusBar(statusbar QStatusBar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStatusBar", statusbar})
}

func (ptr *QMainWindow) SetTabPosition(areas core.Qt__DockWidgetArea, tabPosition QTabWidget__TabPosition) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabPosition", areas, tabPosition})
}

func (ptr *QMainWindow) SetTabShape(tabShape QTabWidget__TabShape) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabShape", tabShape})
}

func (ptr *QMainWindow) SetToolButtonStyle(toolButtonStyle core.Qt__ToolButtonStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolButtonStyle", toolButtonStyle})
}

func (ptr *QMainWindow) ConnectSetUnifiedTitleAndToolBarOnMac(f func(set bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetUnifiedTitleAndToolBarOnMac", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMainWindow) DisconnectSetUnifiedTitleAndToolBarOnMac() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetUnifiedTitleAndToolBarOnMac"})
}

func (ptr *QMainWindow) SetUnifiedTitleAndToolBarOnMac(set bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUnifiedTitleAndToolBarOnMac", set})
}

func (ptr *QMainWindow) SetUnifiedTitleAndToolBarOnMacDefault(set bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUnifiedTitleAndToolBarOnMacDefault", set})
}

func (ptr *QMainWindow) SplitDockWidget(first QDockWidget_ITF, second QDockWidget_ITF, orientation core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SplitDockWidget", first, second, orientation})
}

func (ptr *QMainWindow) StatusBar() *QStatusBar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StatusBar"}).(*QStatusBar)
}

func (ptr *QMainWindow) TabPosition(area core.Qt__DockWidgetArea) QTabWidget__TabPosition {

	return QTabWidget__TabPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabPosition", area}).(float64))
}

func (ptr *QMainWindow) TabShape() QTabWidget__TabShape {

	return QTabWidget__TabShape(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabShape"}).(float64))
}

func (ptr *QMainWindow) ConnectTabifiedDockWidgetActivated(f func(dockWidget *QDockWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabifiedDockWidgetActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMainWindow) DisconnectTabifiedDockWidgetActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabifiedDockWidgetActivated"})
}

func (ptr *QMainWindow) TabifiedDockWidgetActivated(dockWidget QDockWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabifiedDockWidgetActivated", dockWidget})
}

func (ptr *QMainWindow) TabifiedDockWidgets(dockwidget QDockWidget_ITF) []*QDockWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabifiedDockWidgets", dockwidget}).([]*QDockWidget)
}

func (ptr *QMainWindow) TabifyDockWidget(first QDockWidget_ITF, second QDockWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabifyDockWidget", first, second})
}

func (ptr *QMainWindow) TakeCentralWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeCentralWidget"}).(*QWidget)
}

func (ptr *QMainWindow) ToolBarArea(toolbar QToolBar_ITF) core.Qt__ToolBarArea {

	return core.Qt__ToolBarArea(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolBarArea", toolbar}).(float64))
}

func (ptr *QMainWindow) ToolBarBreak(toolbar QToolBar_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolBarBreak", toolbar}).(bool)
}

func (ptr *QMainWindow) ToolButtonStyle() core.Qt__ToolButtonStyle {

	return core.Qt__ToolButtonStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolButtonStyle"}).(float64))
}

func (ptr *QMainWindow) ConnectToolButtonStyleChanged(f func(toolButtonStyle core.Qt__ToolButtonStyle)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectToolButtonStyleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMainWindow) DisconnectToolButtonStyleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectToolButtonStyleChanged"})
}

func (ptr *QMainWindow) ToolButtonStyleChanged(toolButtonStyle core.Qt__ToolButtonStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolButtonStyleChanged", toolButtonStyle})
}

func (ptr *QMainWindow) UnifiedTitleAndToolBarOnMac() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnifiedTitleAndToolBarOnMac"}).(bool)
}

func (ptr *QMainWindow) ConnectDestroyQMainWindow(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMainWindow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMainWindow) DisconnectDestroyQMainWindow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMainWindow"})
}

func (ptr *QMainWindow) DestroyQMainWindow() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMainWindow"})
}

func (ptr *QMainWindow) DestroyQMainWindowDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMainWindowDefault"})
}

func (ptr *QMainWindow) __resizeDocks_docks_atList(i int) *QDockWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__resizeDocks_docks_atList", i}).(*QDockWidget)
}

func (ptr *QMainWindow) __resizeDocks_docks_setList(i QDockWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__resizeDocks_docks_setList", i})
}

func (ptr *QMainWindow) __resizeDocks_docks_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__resizeDocks_docks_newList"}).(unsafe.Pointer)
}

func (ptr *QMainWindow) __resizeDocks_sizes_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__resizeDocks_sizes_atList", i}).(float64))
}

func (ptr *QMainWindow) __resizeDocks_sizes_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__resizeDocks_sizes_setList", i})
}

func (ptr *QMainWindow) __resizeDocks_sizes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__resizeDocks_sizes_newList"}).(unsafe.Pointer)
}

func (ptr *QMainWindow) __tabifiedDockWidgets_atList(i int) *QDockWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__tabifiedDockWidgets_atList", i}).(*QDockWidget)
}

func (ptr *QMainWindow) __tabifiedDockWidgets_setList(i QDockWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__tabifiedDockWidgets_setList", i})
}

func (ptr *QMainWindow) __tabifiedDockWidgets_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__tabifiedDockWidgets_newList"}).(unsafe.Pointer)
}

type QMdiArea struct {
	QAbstractScrollArea
}

type QMdiArea_ITF interface {
	QAbstractScrollArea_ITF
	QMdiArea_PTR() *QMdiArea
}

func (ptr *QMdiArea) QMdiArea_PTR() *QMdiArea {
	return ptr
}

func (ptr *QMdiArea) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractScrollArea_PTR().Pointer()
	}
	return nil
}

func (ptr *QMdiArea) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractScrollArea_PTR().SetPointer(p)
	}
}

func PointerFromQMdiArea(ptr QMdiArea_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMdiArea_PTR().Pointer()
	}
	return nil
}

func (n *QMdiArea) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractScrollArea_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMdiArea) ClassNameInternalF() string {
	return n.QAbstractScrollArea_PTR().ClassNameInternalF()
}

func NewQMdiAreaFromPointer(ptr unsafe.Pointer) (n *QMdiArea) {
	n = new(QMdiArea)
	n.InitFromInternal(uintptr(ptr), "widgets.QMdiArea")
	return
}

//go:generate stringer -type=QMdiArea__AreaOption
//QMdiArea::AreaOption
type QMdiArea__AreaOption int64

const (
	QMdiArea__DontMaximizeSubWindowOnActivation QMdiArea__AreaOption = QMdiArea__AreaOption(0x1)
)

//go:generate stringer -type=QMdiArea__WindowOrder
//QMdiArea::WindowOrder
type QMdiArea__WindowOrder int64

const (
	QMdiArea__CreationOrder          QMdiArea__WindowOrder = QMdiArea__WindowOrder(0)
	QMdiArea__StackingOrder          QMdiArea__WindowOrder = QMdiArea__WindowOrder(1)
	QMdiArea__ActivationHistoryOrder QMdiArea__WindowOrder = QMdiArea__WindowOrder(2)
)

//go:generate stringer -type=QMdiArea__ViewMode
//QMdiArea::ViewMode
type QMdiArea__ViewMode int64

const (
	QMdiArea__SubWindowView QMdiArea__ViewMode = QMdiArea__ViewMode(0)
	QMdiArea__TabbedView    QMdiArea__ViewMode = QMdiArea__ViewMode(1)
)

func NewQMdiArea(parent QWidget_ITF) *QMdiArea {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQMdiArea", "", parent}).(*QMdiArea)
}

func (ptr *QMdiArea) ConnectActivateNextSubWindow(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActivateNextSubWindow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiArea) DisconnectActivateNextSubWindow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActivateNextSubWindow"})
}

func (ptr *QMdiArea) ActivateNextSubWindow() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActivateNextSubWindow"})
}

func (ptr *QMdiArea) ActivateNextSubWindowDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActivateNextSubWindowDefault"})
}

func (ptr *QMdiArea) ConnectActivatePreviousSubWindow(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActivatePreviousSubWindow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiArea) DisconnectActivatePreviousSubWindow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActivatePreviousSubWindow"})
}

func (ptr *QMdiArea) ActivatePreviousSubWindow() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActivatePreviousSubWindow"})
}

func (ptr *QMdiArea) ActivatePreviousSubWindowDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActivatePreviousSubWindowDefault"})
}

func (ptr *QMdiArea) ActivationOrder() QMdiArea__WindowOrder {

	return QMdiArea__WindowOrder(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActivationOrder"}).(float64))
}

func (ptr *QMdiArea) ActiveSubWindow() *QMdiSubWindow {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveSubWindow"}).(*QMdiSubWindow)
}

func (ptr *QMdiArea) AddSubWindow(widget QWidget_ITF, windowFlags core.Qt__WindowType) *QMdiSubWindow {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddSubWindow", widget, windowFlags}).(*QMdiSubWindow)
}

func (ptr *QMdiArea) Background() *gui.QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Background"}).(*gui.QBrush)
}

func (ptr *QMdiArea) ConnectCascadeSubWindows(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCascadeSubWindows", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiArea) DisconnectCascadeSubWindows() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCascadeSubWindows"})
}

func (ptr *QMdiArea) CascadeSubWindows() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CascadeSubWindows"})
}

func (ptr *QMdiArea) CascadeSubWindowsDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CascadeSubWindowsDefault"})
}

func (ptr *QMdiArea) ConnectCloseActiveSubWindow(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCloseActiveSubWindow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiArea) DisconnectCloseActiveSubWindow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCloseActiveSubWindow"})
}

func (ptr *QMdiArea) CloseActiveSubWindow() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloseActiveSubWindow"})
}

func (ptr *QMdiArea) CloseActiveSubWindowDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloseActiveSubWindowDefault"})
}

func (ptr *QMdiArea) ConnectCloseAllSubWindows(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCloseAllSubWindows", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiArea) DisconnectCloseAllSubWindows() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCloseAllSubWindows"})
}

func (ptr *QMdiArea) CloseAllSubWindows() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloseAllSubWindows"})
}

func (ptr *QMdiArea) CloseAllSubWindowsDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloseAllSubWindowsDefault"})
}

func (ptr *QMdiArea) CurrentSubWindow() *QMdiSubWindow {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentSubWindow"}).(*QMdiSubWindow)
}

func (ptr *QMdiArea) DocumentMode() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentMode"}).(bool)
}

func (ptr *QMdiArea) RemoveSubWindow(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveSubWindow", widget})
}

func (ptr *QMdiArea) SetActivationOrder(order QMdiArea__WindowOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActivationOrder", order})
}

func (ptr *QMdiArea) ConnectSetActiveSubWindow(f func(window *QMdiSubWindow)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetActiveSubWindow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiArea) DisconnectSetActiveSubWindow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetActiveSubWindow"})
}

func (ptr *QMdiArea) SetActiveSubWindow(window QMdiSubWindow_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActiveSubWindow", window})
}

func (ptr *QMdiArea) SetActiveSubWindowDefault(window QMdiSubWindow_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActiveSubWindowDefault", window})
}

func (ptr *QMdiArea) SetBackground(background gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackground", background})
}

func (ptr *QMdiArea) SetDocumentMode(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDocumentMode", enabled})
}

func (ptr *QMdiArea) SetOption(option QMdiArea__AreaOption, on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOption", option, on})
}

func (ptr *QMdiArea) SetTabPosition(position QTabWidget__TabPosition) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabPosition", position})
}

func (ptr *QMdiArea) SetTabShape(shape QTabWidget__TabShape) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabShape", shape})
}

func (ptr *QMdiArea) SetTabsClosable(closable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabsClosable", closable})
}

func (ptr *QMdiArea) SetTabsMovable(movable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabsMovable", movable})
}

func (ptr *QMdiArea) SetViewMode(mode QMdiArea__ViewMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewMode", mode})
}

func (ptr *QMdiArea) ConnectSetupViewport(f func(viewport *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetupViewport", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiArea) DisconnectSetupViewport() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetupViewport"})
}

func (ptr *QMdiArea) SetupViewport(viewport QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetupViewport", viewport})
}

func (ptr *QMdiArea) SetupViewportDefault(viewport QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetupViewportDefault", viewport})
}

func (ptr *QMdiArea) ConnectSubWindowActivated(f func(window *QMdiSubWindow)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSubWindowActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiArea) DisconnectSubWindowActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSubWindowActivated"})
}

func (ptr *QMdiArea) SubWindowActivated(window QMdiSubWindow_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubWindowActivated", window})
}

func (ptr *QMdiArea) SubWindowList(order QMdiArea__WindowOrder) []*QMdiSubWindow {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubWindowList", order}).([]*QMdiSubWindow)
}

func (ptr *QMdiArea) TabPosition() QTabWidget__TabPosition {

	return QTabWidget__TabPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabPosition"}).(float64))
}

func (ptr *QMdiArea) TabShape() QTabWidget__TabShape {

	return QTabWidget__TabShape(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabShape"}).(float64))
}

func (ptr *QMdiArea) TabsClosable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabsClosable"}).(bool)
}

func (ptr *QMdiArea) TabsMovable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabsMovable"}).(bool)
}

func (ptr *QMdiArea) TestOption(option QMdiArea__AreaOption) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TestOption", option}).(bool)
}

func (ptr *QMdiArea) ConnectTileSubWindows(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTileSubWindows", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiArea) DisconnectTileSubWindows() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTileSubWindows"})
}

func (ptr *QMdiArea) TileSubWindows() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TileSubWindows"})
}

func (ptr *QMdiArea) TileSubWindowsDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TileSubWindowsDefault"})
}

func (ptr *QMdiArea) ViewMode() QMdiArea__ViewMode {

	return QMdiArea__ViewMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewMode"}).(float64))
}

func (ptr *QMdiArea) ConnectDestroyQMdiArea(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMdiArea", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiArea) DisconnectDestroyQMdiArea() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMdiArea"})
}

func (ptr *QMdiArea) DestroyQMdiArea() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMdiArea"})
}

func (ptr *QMdiArea) DestroyQMdiAreaDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMdiAreaDefault"})
}

func (ptr *QMdiArea) __subWindowList_atList(i int) *QMdiSubWindow {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__subWindowList_atList", i}).(*QMdiSubWindow)
}

func (ptr *QMdiArea) __subWindowList_setList(i QMdiSubWindow_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__subWindowList_setList", i})
}

func (ptr *QMdiArea) __subWindowList_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__subWindowList_newList"}).(unsafe.Pointer)
}

type QMdiSubWindow struct {
	QWidget
}

type QMdiSubWindow_ITF interface {
	QWidget_ITF
	QMdiSubWindow_PTR() *QMdiSubWindow
}

func (ptr *QMdiSubWindow) QMdiSubWindow_PTR() *QMdiSubWindow {
	return ptr
}

func (ptr *QMdiSubWindow) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QMdiSubWindow) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQMdiSubWindow(ptr QMdiSubWindow_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMdiSubWindow_PTR().Pointer()
	}
	return nil
}

func (n *QMdiSubWindow) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMdiSubWindow) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQMdiSubWindowFromPointer(ptr unsafe.Pointer) (n *QMdiSubWindow) {
	n = new(QMdiSubWindow)
	n.InitFromInternal(uintptr(ptr), "widgets.QMdiSubWindow")
	return
}

//go:generate stringer -type=QMdiSubWindow__SubWindowOption
//QMdiSubWindow::SubWindowOption
type QMdiSubWindow__SubWindowOption int64

const (
	QMdiSubWindow__AllowOutsideAreaHorizontally QMdiSubWindow__SubWindowOption = QMdiSubWindow__SubWindowOption(0x1)
	QMdiSubWindow__AllowOutsideAreaVertically   QMdiSubWindow__SubWindowOption = QMdiSubWindow__SubWindowOption(0x2)
	QMdiSubWindow__RubberBandResize             QMdiSubWindow__SubWindowOption = QMdiSubWindow__SubWindowOption(0x4)
	QMdiSubWindow__RubberBandMove               QMdiSubWindow__SubWindowOption = QMdiSubWindow__SubWindowOption(0x8)
)

func NewQMdiSubWindow(parent QWidget_ITF, flags core.Qt__WindowType) *QMdiSubWindow {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQMdiSubWindow", "", parent, flags}).(*QMdiSubWindow)
}

func (ptr *QMdiSubWindow) ConnectAboutToActivate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAboutToActivate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiSubWindow) DisconnectAboutToActivate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAboutToActivate"})
}

func (ptr *QMdiSubWindow) AboutToActivate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AboutToActivate"})
}

func (ptr *QMdiSubWindow) IsShaded() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsShaded"}).(bool)
}

func (ptr *QMdiSubWindow) KeyboardPageStep() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyboardPageStep"}).(float64))
}

func (ptr *QMdiSubWindow) KeyboardSingleStep() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "KeyboardSingleStep"}).(float64))
}

func (ptr *QMdiSubWindow) MdiArea() *QMdiArea {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MdiArea"}).(*QMdiArea)
}

func (ptr *QMdiSubWindow) SetKeyboardPageStep(step int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetKeyboardPageStep", step})
}

func (ptr *QMdiSubWindow) SetKeyboardSingleStep(step int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetKeyboardSingleStep", step})
}

func (ptr *QMdiSubWindow) SetOption(option QMdiSubWindow__SubWindowOption, on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOption", option, on})
}

func (ptr *QMdiSubWindow) SetSystemMenu(systemMenu QMenu_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSystemMenu", systemMenu})
}

func (ptr *QMdiSubWindow) SetWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidget", widget})
}

func (ptr *QMdiSubWindow) ConnectShowShaded(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowShaded", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiSubWindow) DisconnectShowShaded() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowShaded"})
}

func (ptr *QMdiSubWindow) ShowShaded() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowShaded"})
}

func (ptr *QMdiSubWindow) ShowShadedDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowShadedDefault"})
}

func (ptr *QMdiSubWindow) ConnectShowSystemMenu(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowSystemMenu", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiSubWindow) DisconnectShowSystemMenu() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowSystemMenu"})
}

func (ptr *QMdiSubWindow) ShowSystemMenu() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowSystemMenu"})
}

func (ptr *QMdiSubWindow) ShowSystemMenuDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowSystemMenuDefault"})
}

func (ptr *QMdiSubWindow) SystemMenu() *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SystemMenu"}).(*QMenu)
}

func (ptr *QMdiSubWindow) TestOption(option QMdiSubWindow__SubWindowOption) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TestOption", option}).(bool)
}

func (ptr *QMdiSubWindow) Widget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Widget"}).(*QWidget)
}

func (ptr *QMdiSubWindow) ConnectWindowStateChanged(f func(oldState core.Qt__WindowState, newState core.Qt__WindowState)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWindowStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiSubWindow) DisconnectWindowStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWindowStateChanged"})
}

func (ptr *QMdiSubWindow) WindowStateChanged(oldState core.Qt__WindowState, newState core.Qt__WindowState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WindowStateChanged", oldState, newState})
}

func (ptr *QMdiSubWindow) ConnectDestroyQMdiSubWindow(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMdiSubWindow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMdiSubWindow) DisconnectDestroyQMdiSubWindow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMdiSubWindow"})
}

func (ptr *QMdiSubWindow) DestroyQMdiSubWindow() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMdiSubWindow"})
}

func (ptr *QMdiSubWindow) DestroyQMdiSubWindowDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMdiSubWindowDefault"})
}

type QMenu struct {
	QWidget
}

type QMenu_ITF interface {
	QWidget_ITF
	QMenu_PTR() *QMenu
}

func (ptr *QMenu) QMenu_PTR() *QMenu {
	return ptr
}

func (ptr *QMenu) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QMenu) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQMenu(ptr QMenu_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMenu_PTR().Pointer()
	}
	return nil
}

func (n *QMenu) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMenu) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQMenuFromPointer(ptr unsafe.Pointer) (n *QMenu) {
	n = new(QMenu)
	n.InitFromInternal(uintptr(ptr), "widgets.QMenu")
	return
}
func NewQMenu(parent QWidget_ITF) *QMenu {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQMenu", "", parent}).(*QMenu)
}

func NewQMenu2(title string, parent QWidget_ITF) *QMenu {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQMenu2", "", title, parent}).(*QMenu)
}

func (ptr *QMenu) ConnectAboutToHide(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAboutToHide", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMenu) DisconnectAboutToHide() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAboutToHide"})
}

func (ptr *QMenu) AboutToHide() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AboutToHide"})
}

func (ptr *QMenu) ConnectAboutToShow(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAboutToShow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMenu) DisconnectAboutToShow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAboutToShow"})
}

func (ptr *QMenu) AboutToShow() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AboutToShow"})
}

func (ptr *QMenu) ActionAt(pt core.QPoint_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActionAt", pt}).(*QAction)
}

func (ptr *QMenu) ActionGeometry(act QAction_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActionGeometry", act}).(*core.QRect)
}

func (ptr *QMenu) ActiveAction() *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveAction"}).(*QAction)
}

func (ptr *QMenu) AddAction(text string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction", text}).(*QAction)
}

func (ptr *QMenu) AddAction2(icon gui.QIcon_ITF, text string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction2", icon, text}).(*QAction)
}

func (ptr *QMenu) AddAction3(text string, receiver core.QObject_ITF, member string, shortcut gui.QKeySequence_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction3", text, receiver, member, shortcut}).(*QAction)
}

func (ptr *QMenu) AddAction4(icon gui.QIcon_ITF, text string, receiver core.QObject_ITF, member string, shortcut gui.QKeySequence_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction4", icon, text, receiver, member, shortcut}).(*QAction)
}

func (ptr *QMenu) AddMenu(menu QMenu_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddMenu", menu}).(*QAction)
}

func (ptr *QMenu) AddMenu2(title string) *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddMenu2", title}).(*QMenu)
}

func (ptr *QMenu) AddMenu3(icon gui.QIcon_ITF, title string) *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddMenu3", icon, title}).(*QMenu)
}

func (ptr *QMenu) AddSection(text string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddSection", text}).(*QAction)
}

func (ptr *QMenu) AddSection2(icon gui.QIcon_ITF, text string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddSection2", icon, text}).(*QAction)
}

func (ptr *QMenu) AddSeparator() *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddSeparator"}).(*QAction)
}

func (ptr *QMenu) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QMenu) ColumnCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount"}).(float64))
}

func (ptr *QMenu) DefaultAction() *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultAction"}).(*QAction)
}

func (ptr *QMenu) Exec() *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exec"}).(*QAction)
}

func (ptr *QMenu) Exec2(p core.QPoint_ITF, action QAction_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Exec2", p, action}).(*QAction)
}

func QMenu_Exec3(actions []*QAction, pos core.QPoint_ITF, at QAction_ITF, parent QWidget_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QMenu_Exec3", "", actions, pos, at, parent}).(*QAction)
}

func (ptr *QMenu) Exec3(actions []*QAction, pos core.QPoint_ITF, at QAction_ITF, parent QWidget_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QMenu_Exec3", "", actions, pos, at, parent}).(*QAction)
}

func (ptr *QMenu) HideTearOffMenu() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HideTearOffMenu"})
}

func (ptr *QMenu) ConnectHovered(f func(action *QAction)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHovered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMenu) DisconnectHovered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHovered"})
}

func (ptr *QMenu) Hovered(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Hovered", action})
}

func (ptr *QMenu) Icon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*gui.QIcon)
}

func (ptr *QMenu) InitStyleOption(option QStyleOptionMenuItem_ITF, action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option, action})
}

func (ptr *QMenu) InsertMenu(before QAction_ITF, menu QMenu_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertMenu", before, menu}).(*QAction)
}

func (ptr *QMenu) InsertSection(before QAction_ITF, text string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertSection", before, text}).(*QAction)
}

func (ptr *QMenu) InsertSection2(before QAction_ITF, icon gui.QIcon_ITF, text string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertSection2", before, icon, text}).(*QAction)
}

func (ptr *QMenu) InsertSeparator(before QAction_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertSeparator", before}).(*QAction)
}

func (ptr *QMenu) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QMenu) IsTearOffEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTearOffEnabled"}).(bool)
}

func (ptr *QMenu) IsTearOffMenuVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTearOffMenuVisible"}).(bool)
}

func (ptr *QMenu) MenuAction() *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MenuAction"}).(*QAction)
}

func (ptr *QMenu) Popup(p core.QPoint_ITF, atAction QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Popup", p, atAction})
}

func (ptr *QMenu) SeparatorsCollapsible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SeparatorsCollapsible"}).(bool)
}

func (ptr *QMenu) SetActiveAction(act QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActiveAction", act})
}

func (ptr *QMenu) SetAsDockMenu() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAsDockMenu"})
}

func (ptr *QMenu) SetDefaultAction(act QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultAction", act})
}

func (ptr *QMenu) SetIcon(icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", icon})
}

func (ptr *QMenu) SetSeparatorsCollapsible(collapse bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSeparatorsCollapsible", collapse})
}

func (ptr *QMenu) SetTearOffEnabled(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTearOffEnabled", vbo})
}

func (ptr *QMenu) SetTitle(title string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTitle", title})
}

func (ptr *QMenu) SetToolTipsVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolTipsVisible", visible})
}

func (ptr *QMenu) ShowTearOffMenu(pos core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowTearOffMenu", pos})
}

func (ptr *QMenu) ShowTearOffMenu2() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowTearOffMenu2"})
}

func (ptr *QMenu) Title() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Title"}).(string)
}

func (ptr *QMenu) ToolTipsVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolTipsVisible"}).(bool)
}

func (ptr *QMenu) ConnectTriggered(f func(action *QAction)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTriggered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMenu) DisconnectTriggered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTriggered"})
}

func (ptr *QMenu) Triggered(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Triggered", action})
}

func (ptr *QMenu) ConnectDestroyQMenu(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMenu", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMenu) DisconnectDestroyQMenu() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMenu"})
}

func (ptr *QMenu) DestroyQMenu() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMenu"})
}

func (ptr *QMenu) DestroyQMenuDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMenuDefault"})
}

func (ptr *QMenu) __exec_actions_atList3(i int) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__exec_actions_atList3", i}).(*QAction)
}

func (ptr *QMenu) __exec_actions_setList3(i QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__exec_actions_setList3", i})
}

func (ptr *QMenu) __exec_actions_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__exec_actions_newList3"}).(unsafe.Pointer)
}

type QMenuBar struct {
	QWidget
}

type QMenuBar_ITF interface {
	QWidget_ITF
	QMenuBar_PTR() *QMenuBar
}

func (ptr *QMenuBar) QMenuBar_PTR() *QMenuBar {
	return ptr
}

func (ptr *QMenuBar) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QMenuBar) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQMenuBar(ptr QMenuBar_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMenuBar_PTR().Pointer()
	}
	return nil
}

func (n *QMenuBar) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMenuBar) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQMenuBarFromPointer(ptr unsafe.Pointer) (n *QMenuBar) {
	n = new(QMenuBar)
	n.InitFromInternal(uintptr(ptr), "widgets.QMenuBar")
	return
}
func NewQMenuBar(parent QWidget_ITF) *QMenuBar {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQMenuBar", "", parent}).(*QMenuBar)
}

func (ptr *QMenuBar) ActionAt(pt core.QPoint_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActionAt", pt}).(*QAction)
}

func (ptr *QMenuBar) ActionGeometry(act QAction_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActionGeometry", act}).(*core.QRect)
}

func (ptr *QMenuBar) ActiveAction() *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveAction"}).(*QAction)
}

func (ptr *QMenuBar) AddAction(text string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction", text}).(*QAction)
}

func (ptr *QMenuBar) AddAction2(text string, receiver core.QObject_ITF, member string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction2", text, receiver, member}).(*QAction)
}

func (ptr *QMenuBar) AddMenu(menu QMenu_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddMenu", menu}).(*QAction)
}

func (ptr *QMenuBar) AddMenu2(title string) *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddMenu2", title}).(*QMenu)
}

func (ptr *QMenuBar) AddMenu3(icon gui.QIcon_ITF, title string) *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddMenu3", icon, title}).(*QMenu)
}

func (ptr *QMenuBar) AddSeparator() *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddSeparator"}).(*QAction)
}

func (ptr *QMenuBar) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QMenuBar) CornerWidget(corner core.Qt__Corner) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CornerWidget", corner}).(*QWidget)
}

func (ptr *QMenuBar) ConnectHovered(f func(action *QAction)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHovered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMenuBar) DisconnectHovered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHovered"})
}

func (ptr *QMenuBar) Hovered(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Hovered", action})
}

func (ptr *QMenuBar) InitStyleOption(option QStyleOptionMenuItem_ITF, action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option, action})
}

func (ptr *QMenuBar) InsertMenu(before QAction_ITF, menu QMenu_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertMenu", before, menu}).(*QAction)
}

func (ptr *QMenuBar) InsertSeparator(before QAction_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertSeparator", before}).(*QAction)
}

func (ptr *QMenuBar) IsDefaultUp() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDefaultUp"}).(bool)
}

func (ptr *QMenuBar) IsNativeMenuBar() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsNativeMenuBar"}).(bool)
}

func (ptr *QMenuBar) SetActiveAction(act QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActiveAction", act})
}

func (ptr *QMenuBar) SetCornerWidget(widget QWidget_ITF, corner core.Qt__Corner) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCornerWidget", widget, corner})
}

func (ptr *QMenuBar) SetDefaultUp(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultUp", vbo})
}

func (ptr *QMenuBar) SetNativeMenuBar(nativeMenuBar bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNativeMenuBar", nativeMenuBar})
}

func (ptr *QMenuBar) ConnectTriggered(f func(action *QAction)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTriggered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMenuBar) DisconnectTriggered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTriggered"})
}

func (ptr *QMenuBar) Triggered(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Triggered", action})
}

func (ptr *QMenuBar) ConnectDestroyQMenuBar(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMenuBar", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMenuBar) DisconnectDestroyQMenuBar() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMenuBar"})
}

func (ptr *QMenuBar) DestroyQMenuBar() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMenuBar"})
}

func (ptr *QMenuBar) DestroyQMenuBarDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMenuBarDefault"})
}

type QMessageBox struct {
	QDialog
}

type QMessageBox_ITF interface {
	QDialog_ITF
	QMessageBox_PTR() *QMessageBox
}

func (ptr *QMessageBox) QMessageBox_PTR() *QMessageBox {
	return ptr
}

func (ptr *QMessageBox) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QDialog_PTR().Pointer()
	}
	return nil
}

func (ptr *QMessageBox) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QDialog_PTR().SetPointer(p)
	}
}

func PointerFromQMessageBox(ptr QMessageBox_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMessageBox_PTR().Pointer()
	}
	return nil
}

func (n *QMessageBox) InitFromInternal(ptr uintptr, name string) {
	n.QDialog_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMessageBox) ClassNameInternalF() string {
	return n.QDialog_PTR().ClassNameInternalF()
}

func NewQMessageBoxFromPointer(ptr unsafe.Pointer) (n *QMessageBox) {
	n = new(QMessageBox)
	n.InitFromInternal(uintptr(ptr), "widgets.QMessageBox")
	return
}

//go:generate stringer -type=QMessageBox__Icon
//QMessageBox::Icon
type QMessageBox__Icon int64

const (
	QMessageBox__NoIcon      QMessageBox__Icon = QMessageBox__Icon(0)
	QMessageBox__Information QMessageBox__Icon = QMessageBox__Icon(1)
	QMessageBox__Warning     QMessageBox__Icon = QMessageBox__Icon(2)
	QMessageBox__Critical    QMessageBox__Icon = QMessageBox__Icon(3)
	QMessageBox__Question    QMessageBox__Icon = QMessageBox__Icon(4)
)

//go:generate stringer -type=QMessageBox__ButtonRole
//QMessageBox::ButtonRole
type QMessageBox__ButtonRole int64

const (
	QMessageBox__InvalidRole     QMessageBox__ButtonRole = QMessageBox__ButtonRole(-1)
	QMessageBox__AcceptRole      QMessageBox__ButtonRole = QMessageBox__ButtonRole(0)
	QMessageBox__RejectRole      QMessageBox__ButtonRole = QMessageBox__ButtonRole(1)
	QMessageBox__DestructiveRole QMessageBox__ButtonRole = QMessageBox__ButtonRole(2)
	QMessageBox__ActionRole      QMessageBox__ButtonRole = QMessageBox__ButtonRole(3)
	QMessageBox__HelpRole        QMessageBox__ButtonRole = QMessageBox__ButtonRole(4)
	QMessageBox__YesRole         QMessageBox__ButtonRole = QMessageBox__ButtonRole(5)
	QMessageBox__NoRole          QMessageBox__ButtonRole = QMessageBox__ButtonRole(6)
	QMessageBox__ResetRole       QMessageBox__ButtonRole = QMessageBox__ButtonRole(7)
	QMessageBox__ApplyRole       QMessageBox__ButtonRole = QMessageBox__ButtonRole(8)
	QMessageBox__NRoles          QMessageBox__ButtonRole = QMessageBox__ButtonRole(9)
)

//go:generate stringer -type=QMessageBox__StandardButton
//QMessageBox::StandardButton
type QMessageBox__StandardButton int64

var (
	QMessageBox__NoButton        QMessageBox__StandardButton = QMessageBox__StandardButton(0x00000000)
	QMessageBox__Ok              QMessageBox__StandardButton = QMessageBox__StandardButton(0x00000400)
	QMessageBox__Save            QMessageBox__StandardButton = QMessageBox__StandardButton(0x00000800)
	QMessageBox__SaveAll         QMessageBox__StandardButton = QMessageBox__StandardButton(0x00001000)
	QMessageBox__Open            QMessageBox__StandardButton = QMessageBox__StandardButton(0x00002000)
	QMessageBox__Yes             QMessageBox__StandardButton = QMessageBox__StandardButton(0x00004000)
	QMessageBox__YesToAll        QMessageBox__StandardButton = QMessageBox__StandardButton(0x00008000)
	QMessageBox__No              QMessageBox__StandardButton = QMessageBox__StandardButton(0x00010000)
	QMessageBox__NoToAll         QMessageBox__StandardButton = QMessageBox__StandardButton(0x00020000)
	QMessageBox__Abort           QMessageBox__StandardButton = QMessageBox__StandardButton(0x00040000)
	QMessageBox__Retry           QMessageBox__StandardButton = QMessageBox__StandardButton(0x00080000)
	QMessageBox__Ignore          QMessageBox__StandardButton = QMessageBox__StandardButton(0x00100000)
	QMessageBox__Close           QMessageBox__StandardButton = QMessageBox__StandardButton(0x00200000)
	QMessageBox__Cancel          QMessageBox__StandardButton = QMessageBox__StandardButton(0x00400000)
	QMessageBox__Discard         QMessageBox__StandardButton = QMessageBox__StandardButton(0x00800000)
	QMessageBox__Help            QMessageBox__StandardButton = QMessageBox__StandardButton(0x01000000)
	QMessageBox__Apply           QMessageBox__StandardButton = QMessageBox__StandardButton(0x02000000)
	QMessageBox__Reset           QMessageBox__StandardButton = QMessageBox__StandardButton(0x04000000)
	QMessageBox__RestoreDefaults QMessageBox__StandardButton = QMessageBox__StandardButton(0x08000000)
	QMessageBox__FirstButton     QMessageBox__StandardButton = QMessageBox__StandardButton(QMessageBox__Ok)
	QMessageBox__LastButton      QMessageBox__StandardButton = QMessageBox__StandardButton(QMessageBox__RestoreDefaults)
	QMessageBox__YesAll          QMessageBox__StandardButton = QMessageBox__StandardButton(QMessageBox__YesToAll)
	QMessageBox__NoAll           QMessageBox__StandardButton = QMessageBox__StandardButton(QMessageBox__NoToAll)
	QMessageBox__Default         QMessageBox__StandardButton = QMessageBox__StandardButton(0x00000100)
	QMessageBox__Escape          QMessageBox__StandardButton = QMessageBox__StandardButton(0x00000200)
	QMessageBox__FlagMask        QMessageBox__StandardButton = QMessageBox__StandardButton(0x00000300)
	QMessageBox__ButtonMask      QMessageBox__StandardButton = QMessageBox__StandardButton(0)
)

func NewQMessageBox(parent QWidget_ITF) *QMessageBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQMessageBox", "", parent}).(*QMessageBox)
}

func NewQMessageBox2(icon QMessageBox__Icon, title string, text string, buttons QMessageBox__StandardButton, parent QWidget_ITF, ff core.Qt__WindowType) *QMessageBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQMessageBox2", "", icon, title, text, buttons, parent, ff}).(*QMessageBox)
}

func QMessageBox_About(parent QWidget_ITF, title string, text string) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QMessageBox_About", "", parent, title, text})
}

func (ptr *QMessageBox) About(parent QWidget_ITF, title string, text string) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QMessageBox_About", "", parent, title, text})
}

func QMessageBox_AboutQt(parent QWidget_ITF, title string) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QMessageBox_AboutQt", "", parent, title})
}

func (ptr *QMessageBox) AboutQt(parent QWidget_ITF, title string) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QMessageBox_AboutQt", "", parent, title})
}

func (ptr *QMessageBox) AddButton(button QAbstractButton_ITF, role QMessageBox__ButtonRole) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddButton", button, role})
}

func (ptr *QMessageBox) AddButton2(text string, role QMessageBox__ButtonRole) *QPushButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddButton2", text, role}).(*QPushButton)
}

func (ptr *QMessageBox) AddButton3(button QMessageBox__StandardButton) *QPushButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddButton3", button}).(*QPushButton)
}

func (ptr *QMessageBox) Button(which QMessageBox__StandardButton) *QAbstractButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Button", which}).(*QAbstractButton)
}

func (ptr *QMessageBox) ConnectButtonClicked(f func(button *QAbstractButton)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectButtonClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMessageBox) DisconnectButtonClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectButtonClicked"})
}

func (ptr *QMessageBox) ButtonClicked(button QAbstractButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonClicked", button})
}

func (ptr *QMessageBox) ButtonRole(button QAbstractButton_ITF) QMessageBox__ButtonRole {

	return QMessageBox__ButtonRole(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonRole", button}).(float64))
}

func (ptr *QMessageBox) Buttons() []*QAbstractButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Buttons"}).([]*QAbstractButton)
}

func (ptr *QMessageBox) CheckBox() *QCheckBox {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckBox"}).(*QCheckBox)
}

func (ptr *QMessageBox) ClickedButton() *QAbstractButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClickedButton"}).(*QAbstractButton)
}

func QMessageBox_Critical(parent QWidget_ITF, title string, text string, buttons QMessageBox__StandardButton, defaultButton QMessageBox__StandardButton) QMessageBox__StandardButton {

	return QMessageBox__StandardButton(internal.CallLocalFunction([]interface{}{"", "", "widgets.QMessageBox_Critical", "", parent, title, text, buttons, defaultButton}).(float64))
}

func (ptr *QMessageBox) Critical(parent QWidget_ITF, title string, text string, buttons QMessageBox__StandardButton, defaultButton QMessageBox__StandardButton) QMessageBox__StandardButton {

	return QMessageBox__StandardButton(internal.CallLocalFunction([]interface{}{"", "", "widgets.QMessageBox_Critical", "", parent, title, text, buttons, defaultButton}).(float64))
}

func (ptr *QMessageBox) DefaultButton() *QPushButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultButton"}).(*QPushButton)
}

func (ptr *QMessageBox) DetailedText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DetailedText"}).(string)
}

func (ptr *QMessageBox) EscapeButton() *QAbstractButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EscapeButton"}).(*QAbstractButton)
}

func (ptr *QMessageBox) Icon() QMessageBox__Icon {

	return QMessageBox__Icon(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(float64))
}

func (ptr *QMessageBox) IconPixmap() *gui.QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconPixmap"}).(*gui.QPixmap)
}

func QMessageBox_Information(parent QWidget_ITF, title string, text string, buttons QMessageBox__StandardButton, defaultButton QMessageBox__StandardButton) QMessageBox__StandardButton {

	return QMessageBox__StandardButton(internal.CallLocalFunction([]interface{}{"", "", "widgets.QMessageBox_Information", "", parent, title, text, buttons, defaultButton}).(float64))
}

func (ptr *QMessageBox) Information(parent QWidget_ITF, title string, text string, buttons QMessageBox__StandardButton, defaultButton QMessageBox__StandardButton) QMessageBox__StandardButton {

	return QMessageBox__StandardButton(internal.CallLocalFunction([]interface{}{"", "", "widgets.QMessageBox_Information", "", parent, title, text, buttons, defaultButton}).(float64))
}

func (ptr *QMessageBox) InformativeText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InformativeText"}).(string)
}

func (ptr *QMessageBox) Open(receiver core.QObject_ITF, member string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Open", receiver, member})
}

func QMessageBox_Question(parent QWidget_ITF, title string, text string, buttons QMessageBox__StandardButton, defaultButton QMessageBox__StandardButton) QMessageBox__StandardButton {

	return QMessageBox__StandardButton(internal.CallLocalFunction([]interface{}{"", "", "widgets.QMessageBox_Question", "", parent, title, text, buttons, defaultButton}).(float64))
}

func (ptr *QMessageBox) Question(parent QWidget_ITF, title string, text string, buttons QMessageBox__StandardButton, defaultButton QMessageBox__StandardButton) QMessageBox__StandardButton {

	return QMessageBox__StandardButton(internal.CallLocalFunction([]interface{}{"", "", "widgets.QMessageBox_Question", "", parent, title, text, buttons, defaultButton}).(float64))
}

func (ptr *QMessageBox) RemoveButton(button QAbstractButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveButton", button})
}

func (ptr *QMessageBox) SetCheckBox(cb QCheckBox_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckBox", cb})
}

func (ptr *QMessageBox) SetDefaultButton(button QPushButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultButton", button})
}

func (ptr *QMessageBox) SetDefaultButton2(button QMessageBox__StandardButton) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultButton2", button})
}

func (ptr *QMessageBox) SetDetailedText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDetailedText", text})
}

func (ptr *QMessageBox) SetEscapeButton(button QAbstractButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEscapeButton", button})
}

func (ptr *QMessageBox) SetEscapeButton2(button QMessageBox__StandardButton) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEscapeButton2", button})
}

func (ptr *QMessageBox) SetIcon(vqm QMessageBox__Icon) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", vqm})
}

func (ptr *QMessageBox) SetIconPixmap(pixmap gui.QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconPixmap", pixmap})
}

func (ptr *QMessageBox) SetInformativeText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInformativeText", text})
}

func (ptr *QMessageBox) SetStandardButtons(buttons QMessageBox__StandardButton) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStandardButtons", buttons})
}

func (ptr *QMessageBox) SetText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", text})
}

func (ptr *QMessageBox) SetTextFormat(format core.Qt__TextFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextFormat", format})
}

func (ptr *QMessageBox) SetTextInteractionFlags(flags core.Qt__TextInteractionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextInteractionFlags", flags})
}

func (ptr *QMessageBox) SetWindowTitle(title string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWindowTitle", title})
}

func (ptr *QMessageBox) StandardButton(button QAbstractButton_ITF) QMessageBox__StandardButton {

	return QMessageBox__StandardButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardButton", button}).(float64))
}

func (ptr *QMessageBox) StandardButtons() QMessageBox__StandardButton {

	return QMessageBox__StandardButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardButtons"}).(float64))
}

func (ptr *QMessageBox) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QMessageBox) TextFormat() core.Qt__TextFormat {

	return core.Qt__TextFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextFormat"}).(float64))
}

func (ptr *QMessageBox) TextInteractionFlags() core.Qt__TextInteractionFlag {

	return core.Qt__TextInteractionFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextInteractionFlags"}).(float64))
}

func QMessageBox_Warning(parent QWidget_ITF, title string, text string, buttons QMessageBox__StandardButton, defaultButton QMessageBox__StandardButton) QMessageBox__StandardButton {

	return QMessageBox__StandardButton(internal.CallLocalFunction([]interface{}{"", "", "widgets.QMessageBox_Warning", "", parent, title, text, buttons, defaultButton}).(float64))
}

func (ptr *QMessageBox) Warning(parent QWidget_ITF, title string, text string, buttons QMessageBox__StandardButton, defaultButton QMessageBox__StandardButton) QMessageBox__StandardButton {

	return QMessageBox__StandardButton(internal.CallLocalFunction([]interface{}{"", "", "widgets.QMessageBox_Warning", "", parent, title, text, buttons, defaultButton}).(float64))
}

func (ptr *QMessageBox) ConnectDestroyQMessageBox(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMessageBox", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMessageBox) DisconnectDestroyQMessageBox() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMessageBox"})
}

func (ptr *QMessageBox) DestroyQMessageBox() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMessageBox"})
}

func (ptr *QMessageBox) DestroyQMessageBoxDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMessageBoxDefault"})
}

func (ptr *QMessageBox) __buttons_atList(i int) *QAbstractButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__buttons_atList", i}).(*QAbstractButton)
}

func (ptr *QMessageBox) __buttons_setList(i QAbstractButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__buttons_setList", i})
}

func (ptr *QMessageBox) __buttons_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__buttons_newList"}).(unsafe.Pointer)
}

type QMouseEventTransition struct {
	core.QEventTransition
}

type QMouseEventTransition_ITF interface {
	core.QEventTransition_ITF
	QMouseEventTransition_PTR() *QMouseEventTransition
}

func (ptr *QMouseEventTransition) QMouseEventTransition_PTR() *QMouseEventTransition {
	return ptr
}

func (ptr *QMouseEventTransition) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QEventTransition_PTR().Pointer()
	}
	return nil
}

func (ptr *QMouseEventTransition) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QEventTransition_PTR().SetPointer(p)
	}
}

func PointerFromQMouseEventTransition(ptr QMouseEventTransition_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QMouseEventTransition_PTR().Pointer()
	}
	return nil
}

func (n *QMouseEventTransition) InitFromInternal(ptr uintptr, name string) {
	n.QEventTransition_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QMouseEventTransition) ClassNameInternalF() string {
	return n.QEventTransition_PTR().ClassNameInternalF()
}

func NewQMouseEventTransitionFromPointer(ptr unsafe.Pointer) (n *QMouseEventTransition) {
	n = new(QMouseEventTransition)
	n.InitFromInternal(uintptr(ptr), "widgets.QMouseEventTransition")
	return
}
func NewQMouseEventTransition(sourceState core.QState_ITF) *QMouseEventTransition {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQMouseEventTransition", "", sourceState}).(*QMouseEventTransition)
}

func NewQMouseEventTransition2(object core.QObject_ITF, ty core.QEvent__Type, button core.Qt__MouseButton, sourceState core.QState_ITF) *QMouseEventTransition {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQMouseEventTransition2", "", object, ty, button, sourceState}).(*QMouseEventTransition)
}

func (ptr *QMouseEventTransition) Button() core.Qt__MouseButton {

	return core.Qt__MouseButton(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Button"}).(float64))
}

func (ptr *QMouseEventTransition) EventTestDefault(event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventTestDefault", event}).(bool)
}

func (ptr *QMouseEventTransition) HitTestPath() *gui.QPainterPath {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HitTestPath"}).(*gui.QPainterPath)
}

func (ptr *QMouseEventTransition) ModifierMask() core.Qt__KeyboardModifier {

	return core.Qt__KeyboardModifier(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ModifierMask"}).(float64))
}

func (ptr *QMouseEventTransition) OnTransitionDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OnTransitionDefault", event})
}

func (ptr *QMouseEventTransition) SetButton(button core.Qt__MouseButton) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetButton", button})
}

func (ptr *QMouseEventTransition) SetHitTestPath(path gui.QPainterPath_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHitTestPath", path})
}

func (ptr *QMouseEventTransition) SetModifierMask(modifierMask core.Qt__KeyboardModifier) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetModifierMask", modifierMask})
}

func (ptr *QMouseEventTransition) ConnectDestroyQMouseEventTransition(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQMouseEventTransition", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QMouseEventTransition) DisconnectDestroyQMouseEventTransition() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQMouseEventTransition"})
}

func (ptr *QMouseEventTransition) DestroyQMouseEventTransition() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMouseEventTransition"})
}

func (ptr *QMouseEventTransition) DestroyQMouseEventTransitionDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQMouseEventTransitionDefault"})
}

func (ptr *QMouseEventTransition) __animations_atList(i int) *core.QAbstractAnimation {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__animations_atList", i}).(*core.QAbstractAnimation)
}

func (ptr *QMouseEventTransition) __animations_setList(i core.QAbstractAnimation_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__animations_setList", i})
}

func (ptr *QMouseEventTransition) __animations_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__animations_newList"}).(unsafe.Pointer)
}

func (ptr *QMouseEventTransition) __setTargetStates_targets_atList(i int) *core.QAbstractState {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTargetStates_targets_atList", i}).(*core.QAbstractState)
}

func (ptr *QMouseEventTransition) __setTargetStates_targets_setList(i core.QAbstractState_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTargetStates_targets_setList", i})
}

func (ptr *QMouseEventTransition) __setTargetStates_targets_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setTargetStates_targets_newList"}).(unsafe.Pointer)
}

func (ptr *QMouseEventTransition) __targetStates_atList(i int) *core.QAbstractState {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__targetStates_atList", i}).(*core.QAbstractState)
}

func (ptr *QMouseEventTransition) __targetStates_setList(i core.QAbstractState_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__targetStates_setList", i})
}

func (ptr *QMouseEventTransition) __targetStates_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__targetStates_newList"}).(unsafe.Pointer)
}

func (ptr *QMouseEventTransition) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QMouseEventTransition) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QMouseEventTransition) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QMouseEventTransition) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QMouseEventTransition) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QMouseEventTransition) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QMouseEventTransition) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QMouseEventTransition) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QMouseEventTransition) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QMouseEventTransition) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QMouseEventTransition) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QMouseEventTransition) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QMouseEventTransition) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QMouseEventTransition) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QMouseEventTransition) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QMouseEventTransition) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QMouseEventTransition) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QMouseEventTransition) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QMouseEventTransition) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QMouseEventTransition) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QMouseEventTransition) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QOpenGLWidget struct {
	QWidget
}

type QOpenGLWidget_ITF interface {
	QWidget_ITF
	QOpenGLWidget_PTR() *QOpenGLWidget
}

func (ptr *QOpenGLWidget) QOpenGLWidget_PTR() *QOpenGLWidget {
	return ptr
}

func (ptr *QOpenGLWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QOpenGLWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQOpenGLWidget(ptr QOpenGLWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QOpenGLWidget_PTR().Pointer()
	}
	return nil
}

func (n *QOpenGLWidget) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QOpenGLWidget) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQOpenGLWidgetFromPointer(ptr unsafe.Pointer) (n *QOpenGLWidget) {
	n = new(QOpenGLWidget)
	n.InitFromInternal(uintptr(ptr), "widgets.QOpenGLWidget")
	return
}

//go:generate stringer -type=QOpenGLWidget__UpdateBehavior
//QOpenGLWidget::UpdateBehavior
type QOpenGLWidget__UpdateBehavior int64

const (
	QOpenGLWidget__NoPartialUpdate QOpenGLWidget__UpdateBehavior = QOpenGLWidget__UpdateBehavior(0)
	QOpenGLWidget__PartialUpdate   QOpenGLWidget__UpdateBehavior = QOpenGLWidget__UpdateBehavior(1)
)

func NewQOpenGLWidget(parent QWidget_ITF, ff core.Qt__WindowType) *QOpenGLWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQOpenGLWidget", "", parent, ff}).(*QOpenGLWidget)
}

func (ptr *QOpenGLWidget) ConnectAboutToCompose(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAboutToCompose", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWidget) DisconnectAboutToCompose() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAboutToCompose"})
}

func (ptr *QOpenGLWidget) AboutToCompose() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AboutToCompose"})
}

func (ptr *QOpenGLWidget) ConnectAboutToResize(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAboutToResize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWidget) DisconnectAboutToResize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAboutToResize"})
}

func (ptr *QOpenGLWidget) AboutToResize() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AboutToResize"})
}

func (ptr *QOpenGLWidget) Context() *gui.QOpenGLContext {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Context"}).(*gui.QOpenGLContext)
}

func (ptr *QOpenGLWidget) DefaultFramebufferObject() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultFramebufferObject"}).(float64))
}

func (ptr *QOpenGLWidget) DoneCurrent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoneCurrent"})
}

func (ptr *QOpenGLWidget) Format() *gui.QSurfaceFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(*gui.QSurfaceFormat)
}

func (ptr *QOpenGLWidget) ConnectFrameSwapped(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFrameSwapped", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWidget) DisconnectFrameSwapped() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFrameSwapped"})
}

func (ptr *QOpenGLWidget) FrameSwapped() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameSwapped"})
}

func (ptr *QOpenGLWidget) GrabFramebuffer() *gui.QImage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GrabFramebuffer"}).(*gui.QImage)
}

func (ptr *QOpenGLWidget) ConnectInitializeGL(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInitializeGL", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWidget) DisconnectInitializeGL() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInitializeGL"})
}

func (ptr *QOpenGLWidget) InitializeGL() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitializeGL"})
}

func (ptr *QOpenGLWidget) InitializeGLDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitializeGLDefault"})
}

func (ptr *QOpenGLWidget) IsValid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsValid"}).(bool)
}

func (ptr *QOpenGLWidget) MakeCurrent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MakeCurrent"})
}

func (ptr *QOpenGLWidget) ConnectPaintGL(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaintGL", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWidget) DisconnectPaintGL() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaintGL"})
}

func (ptr *QOpenGLWidget) PaintGL() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintGL"})
}

func (ptr *QOpenGLWidget) PaintGLDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintGLDefault"})
}

func (ptr *QOpenGLWidget) ConnectResizeGL(f func(w int, h int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResizeGL", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWidget) DisconnectResizeGL() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResizeGL"})
}

func (ptr *QOpenGLWidget) ResizeGL(w int, h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeGL", w, h})
}

func (ptr *QOpenGLWidget) ResizeGLDefault(w int, h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeGLDefault", w, h})
}

func (ptr *QOpenGLWidget) ConnectResized(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResized", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWidget) DisconnectResized() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResized"})
}

func (ptr *QOpenGLWidget) Resized() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Resized"})
}

func (ptr *QOpenGLWidget) SetFormat(format gui.QSurfaceFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", format})
}

func (ptr *QOpenGLWidget) SetTextureFormat(texFormat uint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextureFormat", texFormat})
}

func (ptr *QOpenGLWidget) SetUpdateBehavior(updateBehavior QOpenGLWidget__UpdateBehavior) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUpdateBehavior", updateBehavior})
}

func (ptr *QOpenGLWidget) TextureFormat() uint {

	return uint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextureFormat"}).(float64))
}

func (ptr *QOpenGLWidget) UpdateBehavior() QOpenGLWidget__UpdateBehavior {

	return QOpenGLWidget__UpdateBehavior(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateBehavior"}).(float64))
}

func (ptr *QOpenGLWidget) ConnectDestroyQOpenGLWidget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQOpenGLWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QOpenGLWidget) DisconnectDestroyQOpenGLWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQOpenGLWidget"})
}

func (ptr *QOpenGLWidget) DestroyQOpenGLWidget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLWidget"})
}

func (ptr *QOpenGLWidget) DestroyQOpenGLWidgetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQOpenGLWidgetDefault"})
}

type QPanGesture struct {
	QGesture
}

type QPanGesture_ITF interface {
	QGesture_ITF
	QPanGesture_PTR() *QPanGesture
}

func (ptr *QPanGesture) QPanGesture_PTR() *QPanGesture {
	return ptr
}

func (ptr *QPanGesture) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGesture_PTR().Pointer()
	}
	return nil
}

func (ptr *QPanGesture) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGesture_PTR().SetPointer(p)
	}
}

func PointerFromQPanGesture(ptr QPanGesture_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPanGesture_PTR().Pointer()
	}
	return nil
}

func (n *QPanGesture) InitFromInternal(ptr uintptr, name string) {
	n.QGesture_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPanGesture) ClassNameInternalF() string {
	return n.QGesture_PTR().ClassNameInternalF()
}

func NewQPanGestureFromPointer(ptr unsafe.Pointer) (n *QPanGesture) {
	n = new(QPanGesture)
	n.InitFromInternal(uintptr(ptr), "widgets.QPanGesture")
	return
}
func (ptr *QPanGesture) Acceleration() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Acceleration"}).(float64)
}

func (ptr *QPanGesture) Delta() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Delta"}).(*core.QPointF)
}

func (ptr *QPanGesture) LastOffset() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastOffset"}).(*core.QPointF)
}

func (ptr *QPanGesture) Offset() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Offset"}).(*core.QPointF)
}

func (ptr *QPanGesture) SetAcceleration(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAcceleration", value})
}

func (ptr *QPanGesture) SetLastOffset(value core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLastOffset", value})
}

func (ptr *QPanGesture) SetOffset(value core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOffset", value})
}

func (ptr *QPanGesture) ConnectDestroyQPanGesture(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQPanGesture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPanGesture) DisconnectDestroyQPanGesture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQPanGesture"})
}

func (ptr *QPanGesture) DestroyQPanGesture() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPanGesture"})
}

func (ptr *QPanGesture) DestroyQPanGestureDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPanGestureDefault"})
}

type QPinchGesture struct {
	QGesture
}

type QPinchGesture_ITF interface {
	QGesture_ITF
	QPinchGesture_PTR() *QPinchGesture
}

func (ptr *QPinchGesture) QPinchGesture_PTR() *QPinchGesture {
	return ptr
}

func (ptr *QPinchGesture) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGesture_PTR().Pointer()
	}
	return nil
}

func (ptr *QPinchGesture) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGesture_PTR().SetPointer(p)
	}
}

func PointerFromQPinchGesture(ptr QPinchGesture_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPinchGesture_PTR().Pointer()
	}
	return nil
}

func (n *QPinchGesture) InitFromInternal(ptr uintptr, name string) {
	n.QGesture_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPinchGesture) ClassNameInternalF() string {
	return n.QGesture_PTR().ClassNameInternalF()
}

func NewQPinchGestureFromPointer(ptr unsafe.Pointer) (n *QPinchGesture) {
	n = new(QPinchGesture)
	n.InitFromInternal(uintptr(ptr), "widgets.QPinchGesture")
	return
}

//go:generate stringer -type=QPinchGesture__ChangeFlag
//QPinchGesture::ChangeFlag
type QPinchGesture__ChangeFlag int64

const (
	QPinchGesture__ScaleFactorChanged   QPinchGesture__ChangeFlag = QPinchGesture__ChangeFlag(0x1)
	QPinchGesture__RotationAngleChanged QPinchGesture__ChangeFlag = QPinchGesture__ChangeFlag(0x2)
	QPinchGesture__CenterPointChanged   QPinchGesture__ChangeFlag = QPinchGesture__ChangeFlag(0x4)
)

func (ptr *QPinchGesture) CenterPoint() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CenterPoint"}).(*core.QPointF)
}

func (ptr *QPinchGesture) ChangeFlags() QPinchGesture__ChangeFlag {

	return QPinchGesture__ChangeFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChangeFlags"}).(float64))
}

func (ptr *QPinchGesture) LastCenterPoint() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastCenterPoint"}).(*core.QPointF)
}

func (ptr *QPinchGesture) LastRotationAngle() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastRotationAngle"}).(float64)
}

func (ptr *QPinchGesture) LastScaleFactor() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LastScaleFactor"}).(float64)
}

func (ptr *QPinchGesture) RotationAngle() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RotationAngle"}).(float64)
}

func (ptr *QPinchGesture) ScaleFactor() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScaleFactor"}).(float64)
}

func (ptr *QPinchGesture) SetCenterPoint(value core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCenterPoint", value})
}

func (ptr *QPinchGesture) SetChangeFlags(value QPinchGesture__ChangeFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChangeFlags", value})
}

func (ptr *QPinchGesture) SetLastCenterPoint(value core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLastCenterPoint", value})
}

func (ptr *QPinchGesture) SetLastRotationAngle(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLastRotationAngle", value})
}

func (ptr *QPinchGesture) SetLastScaleFactor(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLastScaleFactor", value})
}

func (ptr *QPinchGesture) SetRotationAngle(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRotationAngle", value})
}

func (ptr *QPinchGesture) SetScaleFactor(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScaleFactor", value})
}

func (ptr *QPinchGesture) SetStartCenterPoint(value core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStartCenterPoint", value})
}

func (ptr *QPinchGesture) SetTotalChangeFlags(value QPinchGesture__ChangeFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTotalChangeFlags", value})
}

func (ptr *QPinchGesture) SetTotalRotationAngle(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTotalRotationAngle", value})
}

func (ptr *QPinchGesture) SetTotalScaleFactor(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTotalScaleFactor", value})
}

func (ptr *QPinchGesture) StartCenterPoint() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartCenterPoint"}).(*core.QPointF)
}

func (ptr *QPinchGesture) TotalChangeFlags() QPinchGesture__ChangeFlag {

	return QPinchGesture__ChangeFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TotalChangeFlags"}).(float64))
}

func (ptr *QPinchGesture) TotalRotationAngle() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TotalRotationAngle"}).(float64)
}

func (ptr *QPinchGesture) TotalScaleFactor() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TotalScaleFactor"}).(float64)
}

func (ptr *QPinchGesture) ConnectDestroyQPinchGesture(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQPinchGesture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPinchGesture) DisconnectDestroyQPinchGesture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQPinchGesture"})
}

func (ptr *QPinchGesture) DestroyQPinchGesture() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPinchGesture"})
}

func (ptr *QPinchGesture) DestroyQPinchGestureDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPinchGestureDefault"})
}

type QPlainTextDocumentLayout struct {
	gui.QAbstractTextDocumentLayout
}

type QPlainTextDocumentLayout_ITF interface {
	gui.QAbstractTextDocumentLayout_ITF
	QPlainTextDocumentLayout_PTR() *QPlainTextDocumentLayout
}

func (ptr *QPlainTextDocumentLayout) QPlainTextDocumentLayout_PTR() *QPlainTextDocumentLayout {
	return ptr
}

func (ptr *QPlainTextDocumentLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractTextDocumentLayout_PTR().Pointer()
	}
	return nil
}

func (ptr *QPlainTextDocumentLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractTextDocumentLayout_PTR().SetPointer(p)
	}
}

func PointerFromQPlainTextDocumentLayout(ptr QPlainTextDocumentLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPlainTextDocumentLayout_PTR().Pointer()
	}
	return nil
}

func (n *QPlainTextDocumentLayout) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractTextDocumentLayout_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPlainTextDocumentLayout) ClassNameInternalF() string {
	return n.QAbstractTextDocumentLayout_PTR().ClassNameInternalF()
}

func NewQPlainTextDocumentLayoutFromPointer(ptr unsafe.Pointer) (n *QPlainTextDocumentLayout) {
	n = new(QPlainTextDocumentLayout)
	n.InitFromInternal(uintptr(ptr), "widgets.QPlainTextDocumentLayout")
	return
}
func NewQPlainTextDocumentLayout(document gui.QTextDocument_ITF) *QPlainTextDocumentLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQPlainTextDocumentLayout", "", document}).(*QPlainTextDocumentLayout)
}

func (ptr *QPlainTextDocumentLayout) ConnectBlockBoundingRect(f func(block *gui.QTextBlock) *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBlockBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextDocumentLayout) DisconnectBlockBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBlockBoundingRect"})
}

func (ptr *QPlainTextDocumentLayout) BlockBoundingRect(block gui.QTextBlock_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockBoundingRect", block}).(*core.QRectF)
}

func (ptr *QPlainTextDocumentLayout) BlockBoundingRectDefault(block gui.QTextBlock_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockBoundingRectDefault", block}).(*core.QRectF)
}

func (ptr *QPlainTextDocumentLayout) CursorWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorWidth"}).(float64))
}

func (ptr *QPlainTextDocumentLayout) ConnectDocumentChanged(f func(from int, charsRemoved int, charsAdded int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDocumentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextDocumentLayout) DisconnectDocumentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDocumentChanged"})
}

func (ptr *QPlainTextDocumentLayout) DocumentChanged(from int, charsRemoved int, charsAdded int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentChanged", from, charsRemoved, charsAdded})
}

func (ptr *QPlainTextDocumentLayout) DocumentChangedDefault(from int, charsRemoved int, charsAdded int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentChangedDefault", from, charsRemoved, charsAdded})
}

func (ptr *QPlainTextDocumentLayout) ConnectDocumentSize(f func() *core.QSizeF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDocumentSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextDocumentLayout) DisconnectDocumentSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDocumentSize"})
}

func (ptr *QPlainTextDocumentLayout) DocumentSize() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentSize"}).(*core.QSizeF)
}

func (ptr *QPlainTextDocumentLayout) DocumentSizeDefault() *core.QSizeF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentSizeDefault"}).(*core.QSizeF)
}

func (ptr *QPlainTextDocumentLayout) EnsureBlockLayout(block gui.QTextBlock_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureBlockLayout", block})
}

func (ptr *QPlainTextDocumentLayout) ConnectFrameBoundingRect(f func(vqt *gui.QTextFrame) *core.QRectF) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectFrameBoundingRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextDocumentLayout) DisconnectFrameBoundingRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectFrameBoundingRect"})
}

func (ptr *QPlainTextDocumentLayout) FrameBoundingRect(vqt gui.QTextFrame_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameBoundingRect", vqt}).(*core.QRectF)
}

func (ptr *QPlainTextDocumentLayout) FrameBoundingRectDefault(vqt gui.QTextFrame_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameBoundingRectDefault", vqt}).(*core.QRectF)
}

func (ptr *QPlainTextDocumentLayout) ConnectHitTest(f func(vqp *core.QPointF, vqt core.Qt__HitTestAccuracy) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHitTest", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextDocumentLayout) DisconnectHitTest() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHitTest"})
}

func (ptr *QPlainTextDocumentLayout) HitTest(vqp core.QPointF_ITF, vqt core.Qt__HitTestAccuracy) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HitTest", vqp, vqt}).(float64))
}

func (ptr *QPlainTextDocumentLayout) HitTestDefault(vqp core.QPointF_ITF, vqt core.Qt__HitTestAccuracy) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HitTestDefault", vqp, vqt}).(float64))
}

func (ptr *QPlainTextDocumentLayout) ConnectPageCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPageCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextDocumentLayout) DisconnectPageCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPageCount"})
}

func (ptr *QPlainTextDocumentLayout) PageCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageCount"}).(float64))
}

func (ptr *QPlainTextDocumentLayout) PageCountDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageCountDefault"}).(float64))
}

func (ptr *QPlainTextDocumentLayout) RequestUpdate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestUpdate"})
}

func (ptr *QPlainTextDocumentLayout) SetCursorWidth(width int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCursorWidth", width})
}

func (ptr *QPlainTextDocumentLayout) ConnectDestroyQPlainTextDocumentLayout(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQPlainTextDocumentLayout", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextDocumentLayout) DisconnectDestroyQPlainTextDocumentLayout() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQPlainTextDocumentLayout"})
}

func (ptr *QPlainTextDocumentLayout) DestroyQPlainTextDocumentLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPlainTextDocumentLayout"})
}

func (ptr *QPlainTextDocumentLayout) DestroyQPlainTextDocumentLayoutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPlainTextDocumentLayoutDefault"})
}

func (ptr *QPlainTextDocumentLayout) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QPlainTextDocumentLayout) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QPlainTextDocumentLayout) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QPlainTextDocumentLayout) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QPlainTextDocumentLayout) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QPlainTextDocumentLayout) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QPlainTextDocumentLayout) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QPlainTextDocumentLayout) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QPlainTextDocumentLayout) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QPlainTextDocumentLayout) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QPlainTextDocumentLayout) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QPlainTextDocumentLayout) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QPlainTextDocumentLayout) DrawInlineObjectDefault(painter gui.QPainter_ITF, rect core.QRectF_ITF, object gui.QTextInlineObject_ITF, posInDocument int, format gui.QTextFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawInlineObjectDefault", painter, rect, object, posInDocument, format})
}

func (ptr *QPlainTextDocumentLayout) PositionInlineObjectDefault(item gui.QTextInlineObject_ITF, posInDocument int, format gui.QTextFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PositionInlineObjectDefault", item, posInDocument, format})
}

func (ptr *QPlainTextDocumentLayout) ResizeInlineObjectDefault(item gui.QTextInlineObject_ITF, posInDocument int, format gui.QTextFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeInlineObjectDefault", item, posInDocument, format})
}

func (ptr *QPlainTextDocumentLayout) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QPlainTextDocumentLayout) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QPlainTextDocumentLayout) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QPlainTextDocumentLayout) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QPlainTextDocumentLayout) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QPlainTextDocumentLayout) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QPlainTextDocumentLayout) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QPlainTextDocumentLayout) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QPlainTextDocumentLayout) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QPlainTextEdit struct {
	QAbstractScrollArea
}

type QPlainTextEdit_ITF interface {
	QAbstractScrollArea_ITF
	QPlainTextEdit_PTR() *QPlainTextEdit
}

func (ptr *QPlainTextEdit) QPlainTextEdit_PTR() *QPlainTextEdit {
	return ptr
}

func (ptr *QPlainTextEdit) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractScrollArea_PTR().Pointer()
	}
	return nil
}

func (ptr *QPlainTextEdit) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractScrollArea_PTR().SetPointer(p)
	}
}

func PointerFromQPlainTextEdit(ptr QPlainTextEdit_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPlainTextEdit_PTR().Pointer()
	}
	return nil
}

func (n *QPlainTextEdit) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractScrollArea_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPlainTextEdit) ClassNameInternalF() string {
	return n.QAbstractScrollArea_PTR().ClassNameInternalF()
}

func NewQPlainTextEditFromPointer(ptr unsafe.Pointer) (n *QPlainTextEdit) {
	n = new(QPlainTextEdit)
	n.InitFromInternal(uintptr(ptr), "widgets.QPlainTextEdit")
	return
}

//go:generate stringer -type=QPlainTextEdit__LineWrapMode
//QPlainTextEdit::LineWrapMode
type QPlainTextEdit__LineWrapMode int64

const (
	QPlainTextEdit__NoWrap      QPlainTextEdit__LineWrapMode = QPlainTextEdit__LineWrapMode(0)
	QPlainTextEdit__WidgetWidth QPlainTextEdit__LineWrapMode = QPlainTextEdit__LineWrapMode(1)
)

func NewQPlainTextEdit(parent QWidget_ITF) *QPlainTextEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQPlainTextEdit", "", parent}).(*QPlainTextEdit)
}

func NewQPlainTextEdit2(text string, parent QWidget_ITF) *QPlainTextEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQPlainTextEdit2", "", text, parent}).(*QPlainTextEdit)
}

func (ptr *QPlainTextEdit) AnchorAt(pos core.QPoint_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AnchorAt", pos}).(string)
}

func (ptr *QPlainTextEdit) ConnectAppendHtml(f func(html string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAppendHtml", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectAppendHtml() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAppendHtml"})
}

func (ptr *QPlainTextEdit) AppendHtml(html string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendHtml", html})
}

func (ptr *QPlainTextEdit) AppendHtmlDefault(html string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendHtmlDefault", html})
}

func (ptr *QPlainTextEdit) ConnectAppendPlainText(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAppendPlainText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectAppendPlainText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAppendPlainText"})
}

func (ptr *QPlainTextEdit) AppendPlainText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendPlainText", text})
}

func (ptr *QPlainTextEdit) AppendPlainTextDefault(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendPlainTextDefault", text})
}

func (ptr *QPlainTextEdit) BackgroundVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackgroundVisible"}).(bool)
}

func (ptr *QPlainTextEdit) BlockBoundingGeometry(block gui.QTextBlock_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockBoundingGeometry", block}).(*core.QRectF)
}

func (ptr *QPlainTextEdit) BlockBoundingRect(block gui.QTextBlock_ITF) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockBoundingRect", block}).(*core.QRectF)
}

func (ptr *QPlainTextEdit) BlockCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockCount"}).(float64))
}

func (ptr *QPlainTextEdit) ConnectBlockCountChanged(f func(newBlockCount int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBlockCountChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectBlockCountChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBlockCountChanged"})
}

func (ptr *QPlainTextEdit) BlockCountChanged(newBlockCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BlockCountChanged", newBlockCount})
}

func (ptr *QPlainTextEdit) ConnectCanInsertFromMimeData(f func(source *core.QMimeData) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCanInsertFromMimeData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectCanInsertFromMimeData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCanInsertFromMimeData"})
}

func (ptr *QPlainTextEdit) CanInsertFromMimeData(source core.QMimeData_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanInsertFromMimeData", source}).(bool)
}

func (ptr *QPlainTextEdit) CanInsertFromMimeDataDefault(source core.QMimeData_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanInsertFromMimeDataDefault", source}).(bool)
}

func (ptr *QPlainTextEdit) CanPaste() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanPaste"}).(bool)
}

func (ptr *QPlainTextEdit) ConnectCenterCursor(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCenterCursor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectCenterCursor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCenterCursor"})
}

func (ptr *QPlainTextEdit) CenterCursor() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CenterCursor"})
}

func (ptr *QPlainTextEdit) CenterCursorDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CenterCursorDefault"})
}

func (ptr *QPlainTextEdit) CenterOnScroll() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CenterOnScroll"}).(bool)
}

func (ptr *QPlainTextEdit) ConnectClear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectClear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClear"})
}

func (ptr *QPlainTextEdit) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QPlainTextEdit) ClearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearDefault"})
}

func (ptr *QPlainTextEdit) ContentOffset() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContentOffset"}).(*core.QPointF)
}

func (ptr *QPlainTextEdit) ConnectCopy(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCopy", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectCopy() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCopy"})
}

func (ptr *QPlainTextEdit) Copy() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Copy"})
}

func (ptr *QPlainTextEdit) CopyDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CopyDefault"})
}

func (ptr *QPlainTextEdit) ConnectCopyAvailable(f func(yes bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCopyAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectCopyAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCopyAvailable"})
}

func (ptr *QPlainTextEdit) CopyAvailable(yes bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CopyAvailable", yes})
}

func (ptr *QPlainTextEdit) ConnectCreateMimeDataFromSelection(f func() *core.QMimeData) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreateMimeDataFromSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectCreateMimeDataFromSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreateMimeDataFromSelection"})
}

func (ptr *QPlainTextEdit) CreateMimeDataFromSelection() *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateMimeDataFromSelection"}).(*core.QMimeData)
}

func (ptr *QPlainTextEdit) CreateMimeDataFromSelectionDefault() *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateMimeDataFromSelectionDefault"}).(*core.QMimeData)
}

func (ptr *QPlainTextEdit) CreateStandardContextMenu() *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateStandardContextMenu"}).(*QMenu)
}

func (ptr *QPlainTextEdit) CreateStandardContextMenu2(position core.QPoint_ITF) *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateStandardContextMenu2", position}).(*QMenu)
}

func (ptr *QPlainTextEdit) CurrentCharFormat() *gui.QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentCharFormat"}).(*gui.QTextCharFormat)
}

func (ptr *QPlainTextEdit) CursorForPosition(pos core.QPoint_ITF) *gui.QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorForPosition", pos}).(*gui.QTextCursor)
}

func (ptr *QPlainTextEdit) ConnectCursorPositionChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCursorPositionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectCursorPositionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCursorPositionChanged"})
}

func (ptr *QPlainTextEdit) CursorPositionChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorPositionChanged"})
}

func (ptr *QPlainTextEdit) CursorRect(cursor gui.QTextCursor_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorRect", cursor}).(*core.QRect)
}

func (ptr *QPlainTextEdit) CursorRect2() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorRect2"}).(*core.QRect)
}

func (ptr *QPlainTextEdit) CursorWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorWidth"}).(float64))
}

func (ptr *QPlainTextEdit) ConnectCut(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCut", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectCut() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCut"})
}

func (ptr *QPlainTextEdit) Cut() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Cut"})
}

func (ptr *QPlainTextEdit) CutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CutDefault"})
}

func (ptr *QPlainTextEdit) Document() *gui.QTextDocument {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Document"}).(*gui.QTextDocument)
}

func (ptr *QPlainTextEdit) DocumentTitle() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentTitle"}).(string)
}

func (ptr *QPlainTextEdit) EnsureCursorVisible() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureCursorVisible"})
}

func (ptr *QPlainTextEdit) Find(exp string, options gui.QTextDocument__FindFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Find", exp, options}).(bool)
}

func (ptr *QPlainTextEdit) Find2(exp core.QRegExp_ITF, options gui.QTextDocument__FindFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Find2", exp, options}).(bool)
}

func (ptr *QPlainTextEdit) Find3(exp core.QRegularExpression_ITF, options gui.QTextDocument__FindFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Find3", exp, options}).(bool)
}

func (ptr *QPlainTextEdit) FirstVisibleBlock() *gui.QTextBlock {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FirstVisibleBlock"}).(*gui.QTextBlock)
}

func (ptr *QPlainTextEdit) ConnectInsertFromMimeData(f func(source *core.QMimeData)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInsertFromMimeData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectInsertFromMimeData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInsertFromMimeData"})
}

func (ptr *QPlainTextEdit) InsertFromMimeData(source core.QMimeData_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertFromMimeData", source})
}

func (ptr *QPlainTextEdit) InsertFromMimeDataDefault(source core.QMimeData_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertFromMimeDataDefault", source})
}

func (ptr *QPlainTextEdit) ConnectInsertPlainText(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInsertPlainText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectInsertPlainText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInsertPlainText"})
}

func (ptr *QPlainTextEdit) InsertPlainText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertPlainText", text})
}

func (ptr *QPlainTextEdit) InsertPlainTextDefault(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertPlainTextDefault", text})
}

func (ptr *QPlainTextEdit) IsReadOnly() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadOnly"}).(bool)
}

func (ptr *QPlainTextEdit) IsUndoRedoEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsUndoRedoEnabled"}).(bool)
}

func (ptr *QPlainTextEdit) LineWrapMode() QPlainTextEdit__LineWrapMode {

	return QPlainTextEdit__LineWrapMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineWrapMode"}).(float64))
}

func (ptr *QPlainTextEdit) ConnectLoadResource(f func(ty int, name *core.QUrl) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLoadResource", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectLoadResource() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLoadResource"})
}

func (ptr *QPlainTextEdit) LoadResource(ty int, name core.QUrl_ITF) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadResource", ty, name}).(*core.QVariant)
}

func (ptr *QPlainTextEdit) LoadResourceDefault(ty int, name core.QUrl_ITF) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadResourceDefault", ty, name}).(*core.QVariant)
}

func (ptr *QPlainTextEdit) MaximumBlockCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumBlockCount"}).(float64))
}

func (ptr *QPlainTextEdit) MergeCurrentCharFormat(modifier gui.QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MergeCurrentCharFormat", modifier})
}

func (ptr *QPlainTextEdit) ConnectModificationChanged(f func(changed bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectModificationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectModificationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectModificationChanged"})
}

func (ptr *QPlainTextEdit) ModificationChanged(changed bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ModificationChanged", changed})
}

func (ptr *QPlainTextEdit) MoveCursor(operation gui.QTextCursor__MoveOperation, mode gui.QTextCursor__MoveMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCursor", operation, mode})
}

func (ptr *QPlainTextEdit) OverwriteMode() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OverwriteMode"}).(bool)
}

func (ptr *QPlainTextEdit) ConnectPaste(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaste", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectPaste() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaste"})
}

func (ptr *QPlainTextEdit) Paste() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paste"})
}

func (ptr *QPlainTextEdit) PasteDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PasteDefault"})
}

func (ptr *QPlainTextEdit) PlaceholderText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PlaceholderText"}).(string)
}

func (ptr *QPlainTextEdit) Print(printer gui.QPagedPaintDevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Print", printer})
}

func (ptr *QPlainTextEdit) ConnectRedo(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRedo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectRedo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRedo"})
}

func (ptr *QPlainTextEdit) Redo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Redo"})
}

func (ptr *QPlainTextEdit) RedoDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedoDefault"})
}

func (ptr *QPlainTextEdit) ConnectRedoAvailable(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRedoAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectRedoAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRedoAvailable"})
}

func (ptr *QPlainTextEdit) RedoAvailable(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedoAvailable", available})
}

func (ptr *QPlainTextEdit) ConnectSelectAll(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectAll", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectSelectAll() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectAll"})
}

func (ptr *QPlainTextEdit) SelectAll() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectAll"})
}

func (ptr *QPlainTextEdit) SelectAllDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectAllDefault"})
}

func (ptr *QPlainTextEdit) ConnectSelectionChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectSelectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectionChanged"})
}

func (ptr *QPlainTextEdit) SelectionChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChanged"})
}

func (ptr *QPlainTextEdit) SetBackgroundVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackgroundVisible", visible})
}

func (ptr *QPlainTextEdit) SetCenterOnScroll(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCenterOnScroll", enabled})
}

func (ptr *QPlainTextEdit) SetCurrentCharFormat(format gui.QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentCharFormat", format})
}

func (ptr *QPlainTextEdit) SetCursorWidth(width int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCursorWidth", width})
}

func (ptr *QPlainTextEdit) SetDocument(document gui.QTextDocument_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDocument", document})
}

func (ptr *QPlainTextEdit) SetDocumentTitle(title string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDocumentTitle", title})
}

func (ptr *QPlainTextEdit) SetLineWrapMode(mode QPlainTextEdit__LineWrapMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLineWrapMode", mode})
}

func (ptr *QPlainTextEdit) SetMaximumBlockCount(maximum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumBlockCount", maximum})
}

func (ptr *QPlainTextEdit) SetOverwriteMode(overwrite bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOverwriteMode", overwrite})
}

func (ptr *QPlainTextEdit) SetPlaceholderText(placeholderText string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPlaceholderText", placeholderText})
}

func (ptr *QPlainTextEdit) ConnectSetPlainText(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPlainText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectSetPlainText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPlainText"})
}

func (ptr *QPlainTextEdit) SetPlainText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPlainText", text})
}

func (ptr *QPlainTextEdit) SetPlainTextDefault(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPlainTextDefault", text})
}

func (ptr *QPlainTextEdit) SetReadOnly(ro bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetReadOnly", ro})
}

func (ptr *QPlainTextEdit) SetTabChangesFocus(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabChangesFocus", b})
}

func (ptr *QPlainTextEdit) SetTabStopDistance(distance float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabStopDistance", distance})
}

func (ptr *QPlainTextEdit) SetTabStopWidth(width int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabStopWidth", width})
}

func (ptr *QPlainTextEdit) SetTextCursor(cursor gui.QTextCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextCursor", cursor})
}

func (ptr *QPlainTextEdit) SetTextInteractionFlags(flags core.Qt__TextInteractionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextInteractionFlags", flags})
}

func (ptr *QPlainTextEdit) SetUndoRedoEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUndoRedoEnabled", enable})
}

func (ptr *QPlainTextEdit) SetWordWrapMode(policy gui.QTextOption__WrapMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWordWrapMode", policy})
}

func (ptr *QPlainTextEdit) TabChangesFocus() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabChangesFocus"}).(bool)
}

func (ptr *QPlainTextEdit) TabStopDistance() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabStopDistance"}).(float64)
}

func (ptr *QPlainTextEdit) TabStopWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabStopWidth"}).(float64))
}

func (ptr *QPlainTextEdit) ConnectTextChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTextChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectTextChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTextChanged"})
}

func (ptr *QPlainTextEdit) TextChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextChanged"})
}

func (ptr *QPlainTextEdit) TextCursor() *gui.QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextCursor"}).(*gui.QTextCursor)
}

func (ptr *QPlainTextEdit) TextInteractionFlags() core.Qt__TextInteractionFlag {

	return core.Qt__TextInteractionFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextInteractionFlags"}).(float64))
}

func (ptr *QPlainTextEdit) ToPlainText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPlainText"}).(string)
}

func (ptr *QPlainTextEdit) ConnectUndo(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUndo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectUndo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUndo"})
}

func (ptr *QPlainTextEdit) Undo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Undo"})
}

func (ptr *QPlainTextEdit) UndoDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoDefault"})
}

func (ptr *QPlainTextEdit) ConnectUndoAvailable(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUndoAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectUndoAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUndoAvailable"})
}

func (ptr *QPlainTextEdit) UndoAvailable(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoAvailable", available})
}

func (ptr *QPlainTextEdit) ConnectUpdateRequest(f func(rect *core.QRect, dy int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateRequest", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectUpdateRequest() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateRequest"})
}

func (ptr *QPlainTextEdit) UpdateRequest(rect core.QRect_ITF, dy int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateRequest", rect, dy})
}

func (ptr *QPlainTextEdit) WordWrapMode() gui.QTextOption__WrapMode {

	return gui.QTextOption__WrapMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WordWrapMode"}).(float64))
}

func (ptr *QPlainTextEdit) ConnectZoomIn(f func(ran int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectZoomIn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectZoomIn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectZoomIn"})
}

func (ptr *QPlainTextEdit) ZoomIn(ran int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ZoomIn", ran})
}

func (ptr *QPlainTextEdit) ZoomInDefault(ran int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ZoomInDefault", ran})
}

func (ptr *QPlainTextEdit) ConnectZoomOut(f func(ran int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectZoomOut", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectZoomOut() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectZoomOut"})
}

func (ptr *QPlainTextEdit) ZoomOut(ran int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ZoomOut", ran})
}

func (ptr *QPlainTextEdit) ZoomOutDefault(ran int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ZoomOutDefault", ran})
}

func (ptr *QPlainTextEdit) ConnectDestroyQPlainTextEdit(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQPlainTextEdit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPlainTextEdit) DisconnectDestroyQPlainTextEdit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQPlainTextEdit"})
}

func (ptr *QPlainTextEdit) DestroyQPlainTextEdit() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPlainTextEdit"})
}

func (ptr *QPlainTextEdit) DestroyQPlainTextEditDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPlainTextEditDefault"})
}

type QProgressBar struct {
	QWidget
}

type QProgressBar_ITF interface {
	QWidget_ITF
	QProgressBar_PTR() *QProgressBar
}

func (ptr *QProgressBar) QProgressBar_PTR() *QProgressBar {
	return ptr
}

func (ptr *QProgressBar) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QProgressBar) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQProgressBar(ptr QProgressBar_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QProgressBar_PTR().Pointer()
	}
	return nil
}

func (n *QProgressBar) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QProgressBar) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQProgressBarFromPointer(ptr unsafe.Pointer) (n *QProgressBar) {
	n = new(QProgressBar)
	n.InitFromInternal(uintptr(ptr), "widgets.QProgressBar")
	return
}

//go:generate stringer -type=QProgressBar__Direction
//QProgressBar::Direction
type QProgressBar__Direction int64

const (
	QProgressBar__TopToBottom QProgressBar__Direction = QProgressBar__Direction(0)
	QProgressBar__BottomToTop QProgressBar__Direction = QProgressBar__Direction(1)
)

func NewQProgressBar(parent QWidget_ITF) *QProgressBar {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQProgressBar", "", parent}).(*QProgressBar)
}

func (ptr *QProgressBar) Alignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment"}).(float64))
}

func (ptr *QProgressBar) Format() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Format"}).(string)
}

func (ptr *QProgressBar) InitStyleOption(option QStyleOptionProgressBar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QProgressBar) InvertedAppearance() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvertedAppearance"}).(bool)
}

func (ptr *QProgressBar) IsTextVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTextVisible"}).(bool)
}

func (ptr *QProgressBar) Maximum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Maximum"}).(float64))
}

func (ptr *QProgressBar) Minimum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Minimum"}).(float64))
}

func (ptr *QProgressBar) Orientation() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QProgressBar) ConnectReset(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressBar) DisconnectReset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReset"})
}

func (ptr *QProgressBar) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QProgressBar) ResetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetDefault"})
}

func (ptr *QProgressBar) ResetFormat() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetFormat"})
}

func (ptr *QProgressBar) SetAlignment(alignment core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", alignment})
}

func (ptr *QProgressBar) SetFormat(format string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFormat", format})
}

func (ptr *QProgressBar) SetInvertedAppearance(invert bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInvertedAppearance", invert})
}

func (ptr *QProgressBar) ConnectSetMaximum(f func(maximum int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMaximum", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressBar) DisconnectSetMaximum() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMaximum"})
}

func (ptr *QProgressBar) SetMaximum(maximum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximum", maximum})
}

func (ptr *QProgressBar) SetMaximumDefault(maximum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumDefault", maximum})
}

func (ptr *QProgressBar) ConnectSetMinimum(f func(minimum int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMinimum", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressBar) DisconnectSetMinimum() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMinimum"})
}

func (ptr *QProgressBar) SetMinimum(minimum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimum", minimum})
}

func (ptr *QProgressBar) SetMinimumDefault(minimum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumDefault", minimum})
}

func (ptr *QProgressBar) ConnectSetOrientation(f func(vqt core.Qt__Orientation)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetOrientation", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressBar) DisconnectSetOrientation() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetOrientation"})
}

func (ptr *QProgressBar) SetOrientation(vqt core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrientation", vqt})
}

func (ptr *QProgressBar) SetOrientationDefault(vqt core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrientationDefault", vqt})
}

func (ptr *QProgressBar) ConnectSetRange(f func(minimum int, maximum int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetRange", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressBar) DisconnectSetRange() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetRange"})
}

func (ptr *QProgressBar) SetRange(minimum int, maximum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRange", minimum, maximum})
}

func (ptr *QProgressBar) SetRangeDefault(minimum int, maximum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRangeDefault", minimum, maximum})
}

func (ptr *QProgressBar) SetTextDirection(textDirection QProgressBar__Direction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextDirection", textDirection})
}

func (ptr *QProgressBar) SetTextVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextVisible", visible})
}

func (ptr *QProgressBar) ConnectSetValue(f func(value int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressBar) DisconnectSetValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetValue"})
}

func (ptr *QProgressBar) SetValue(value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValue", value})
}

func (ptr *QProgressBar) SetValueDefault(value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValueDefault", value})
}

func (ptr *QProgressBar) ConnectText(f func() string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressBar) DisconnectText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectText"})
}

func (ptr *QProgressBar) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QProgressBar) TextDefault() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextDefault"}).(string)
}

func (ptr *QProgressBar) TextDirection() QProgressBar__Direction {

	return QProgressBar__Direction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextDirection"}).(float64))
}

func (ptr *QProgressBar) Value() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value"}).(float64))
}

func (ptr *QProgressBar) ConnectValueChanged(f func(value int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValueChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressBar) DisconnectValueChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValueChanged"})
}

func (ptr *QProgressBar) ValueChanged(value int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueChanged", value})
}

func (ptr *QProgressBar) ConnectDestroyQProgressBar(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQProgressBar", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressBar) DisconnectDestroyQProgressBar() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQProgressBar"})
}

func (ptr *QProgressBar) DestroyQProgressBar() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQProgressBar"})
}

func (ptr *QProgressBar) DestroyQProgressBarDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQProgressBarDefault"})
}

type QProgressDialog struct {
	QDialog
}

type QProgressDialog_ITF interface {
	QDialog_ITF
	QProgressDialog_PTR() *QProgressDialog
}

func (ptr *QProgressDialog) QProgressDialog_PTR() *QProgressDialog {
	return ptr
}

func (ptr *QProgressDialog) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QDialog_PTR().Pointer()
	}
	return nil
}

func (ptr *QProgressDialog) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QDialog_PTR().SetPointer(p)
	}
}

func PointerFromQProgressDialog(ptr QProgressDialog_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QProgressDialog_PTR().Pointer()
	}
	return nil
}

func (n *QProgressDialog) InitFromInternal(ptr uintptr, name string) {
	n.QDialog_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QProgressDialog) ClassNameInternalF() string {
	return n.QDialog_PTR().ClassNameInternalF()
}

func NewQProgressDialogFromPointer(ptr unsafe.Pointer) (n *QProgressDialog) {
	n = new(QProgressDialog)
	n.InitFromInternal(uintptr(ptr), "widgets.QProgressDialog")
	return
}
func NewQProgressDialog(parent QWidget_ITF, ff core.Qt__WindowType) *QProgressDialog {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQProgressDialog", "", parent, ff}).(*QProgressDialog)
}

func NewQProgressDialog2(labelText string, cancelButtonText string, minimum int, maximum int, parent QWidget_ITF, ff core.Qt__WindowType) *QProgressDialog {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQProgressDialog2", "", labelText, cancelButtonText, minimum, maximum, parent, ff}).(*QProgressDialog)
}

func (ptr *QProgressDialog) AutoClose() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoClose"}).(bool)
}

func (ptr *QProgressDialog) AutoReset() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoReset"}).(bool)
}

func (ptr *QProgressDialog) ConnectCancel(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCancel", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressDialog) DisconnectCancel() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCancel"})
}

func (ptr *QProgressDialog) Cancel() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Cancel"})
}

func (ptr *QProgressDialog) CancelDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CancelDefault"})
}

func (ptr *QProgressDialog) ConnectCanceled(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCanceled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressDialog) DisconnectCanceled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCanceled"})
}

func (ptr *QProgressDialog) Canceled() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Canceled"})
}

func (ptr *QProgressDialog) ConnectForceShow(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectForceShow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressDialog) DisconnectForceShow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectForceShow"})
}

func (ptr *QProgressDialog) ForceShow() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ForceShow"})
}

func (ptr *QProgressDialog) ForceShowDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ForceShowDefault"})
}

func (ptr *QProgressDialog) LabelText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LabelText"}).(string)
}

func (ptr *QProgressDialog) Maximum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Maximum"}).(float64))
}

func (ptr *QProgressDialog) Minimum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Minimum"}).(float64))
}

func (ptr *QProgressDialog) MinimumDuration() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumDuration"}).(float64))
}

func (ptr *QProgressDialog) Open(receiver core.QObject_ITF, member string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Open", receiver, member})
}

func (ptr *QProgressDialog) ConnectReset(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressDialog) DisconnectReset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReset"})
}

func (ptr *QProgressDialog) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QProgressDialog) ResetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetDefault"})
}

func (ptr *QProgressDialog) SetAutoClose(close bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoClose", close})
}

func (ptr *QProgressDialog) SetAutoReset(reset bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoReset", reset})
}

func (ptr *QProgressDialog) SetBar(bar QProgressBar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBar", bar})
}

func (ptr *QProgressDialog) SetCancelButton(cancelButton QPushButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCancelButton", cancelButton})
}

func (ptr *QProgressDialog) ConnectSetCancelButtonText(f func(cancelButtonText string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCancelButtonText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressDialog) DisconnectSetCancelButtonText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCancelButtonText"})
}

func (ptr *QProgressDialog) SetCancelButtonText(cancelButtonText string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCancelButtonText", cancelButtonText})
}

func (ptr *QProgressDialog) SetCancelButtonTextDefault(cancelButtonText string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCancelButtonTextDefault", cancelButtonText})
}

func (ptr *QProgressDialog) SetLabel(label QLabel_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLabel", label})
}

func (ptr *QProgressDialog) ConnectSetLabelText(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetLabelText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressDialog) DisconnectSetLabelText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetLabelText"})
}

func (ptr *QProgressDialog) SetLabelText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLabelText", text})
}

func (ptr *QProgressDialog) SetLabelTextDefault(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLabelTextDefault", text})
}

func (ptr *QProgressDialog) ConnectSetMaximum(f func(maximum int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMaximum", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressDialog) DisconnectSetMaximum() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMaximum"})
}

func (ptr *QProgressDialog) SetMaximum(maximum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximum", maximum})
}

func (ptr *QProgressDialog) SetMaximumDefault(maximum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximumDefault", maximum})
}

func (ptr *QProgressDialog) ConnectSetMinimum(f func(minimum int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMinimum", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressDialog) DisconnectSetMinimum() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMinimum"})
}

func (ptr *QProgressDialog) SetMinimum(minimum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimum", minimum})
}

func (ptr *QProgressDialog) SetMinimumDefault(minimum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumDefault", minimum})
}

func (ptr *QProgressDialog) ConnectSetMinimumDuration(f func(ms int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetMinimumDuration", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressDialog) DisconnectSetMinimumDuration() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetMinimumDuration"})
}

func (ptr *QProgressDialog) SetMinimumDuration(ms int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumDuration", ms})
}

func (ptr *QProgressDialog) SetMinimumDurationDefault(ms int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimumDurationDefault", ms})
}

func (ptr *QProgressDialog) ConnectSetRange(f func(minimum int, maximum int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetRange", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressDialog) DisconnectSetRange() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetRange"})
}

func (ptr *QProgressDialog) SetRange(minimum int, maximum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRange", minimum, maximum})
}

func (ptr *QProgressDialog) SetRangeDefault(minimum int, maximum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRangeDefault", minimum, maximum})
}

func (ptr *QProgressDialog) ConnectSetValue(f func(progress int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressDialog) DisconnectSetValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetValue"})
}

func (ptr *QProgressDialog) SetValue(progress int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValue", progress})
}

func (ptr *QProgressDialog) SetValueDefault(progress int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValueDefault", progress})
}

func (ptr *QProgressDialog) Value() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value"}).(float64))
}

func (ptr *QProgressDialog) WasCanceled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WasCanceled"}).(bool)
}

func (ptr *QProgressDialog) ConnectDestroyQProgressDialog(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQProgressDialog", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProgressDialog) DisconnectDestroyQProgressDialog() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQProgressDialog"})
}

func (ptr *QProgressDialog) DestroyQProgressDialog() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQProgressDialog"})
}

func (ptr *QProgressDialog) DestroyQProgressDialogDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQProgressDialogDefault"})
}

type QProxyStyle struct {
	QCommonStyle
}

type QProxyStyle_ITF interface {
	QCommonStyle_ITF
	QProxyStyle_PTR() *QProxyStyle
}

func (ptr *QProxyStyle) QProxyStyle_PTR() *QProxyStyle {
	return ptr
}

func (ptr *QProxyStyle) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QCommonStyle_PTR().Pointer()
	}
	return nil
}

func (ptr *QProxyStyle) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QCommonStyle_PTR().SetPointer(p)
	}
}

func PointerFromQProxyStyle(ptr QProxyStyle_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QProxyStyle_PTR().Pointer()
	}
	return nil
}

func (n *QProxyStyle) InitFromInternal(ptr uintptr, name string) {
	n.QCommonStyle_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QProxyStyle) ClassNameInternalF() string {
	return n.QCommonStyle_PTR().ClassNameInternalF()
}

func NewQProxyStyleFromPointer(ptr unsafe.Pointer) (n *QProxyStyle) {
	n = new(QProxyStyle)
	n.InitFromInternal(uintptr(ptr), "widgets.QProxyStyle")
	return
}
func NewQProxyStyle(style QStyle_ITF) *QProxyStyle {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQProxyStyle", "", style}).(*QProxyStyle)
}

func NewQProxyStyle2(key string) *QProxyStyle {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQProxyStyle2", "", key}).(*QProxyStyle)
}

func (ptr *QProxyStyle) BaseStyle() *QStyle {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BaseStyle"}).(*QStyle)
}

func (ptr *QProxyStyle) SetBaseStyle(style QStyle_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBaseStyle", style})
}

func (ptr *QProxyStyle) ConnectStandardIcon(f func(standardIcon QStyle__StandardPixmap, option *QStyleOption, widget *QWidget) *gui.QIcon) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStandardIcon", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProxyStyle) DisconnectStandardIcon() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStandardIcon"})
}

func (ptr *QProxyStyle) StandardIcon(standardIcon QStyle__StandardPixmap, option QStyleOption_ITF, widget QWidget_ITF) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardIcon", standardIcon, option, widget}).(*gui.QIcon)
}

func (ptr *QProxyStyle) StandardIconDefault(standardIcon QStyle__StandardPixmap, option QStyleOption_ITF, widget QWidget_ITF) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardIconDefault", standardIcon, option, widget}).(*gui.QIcon)
}

func (ptr *QProxyStyle) ConnectDestroyQProxyStyle(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQProxyStyle", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QProxyStyle) DisconnectDestroyQProxyStyle() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQProxyStyle"})
}

func (ptr *QProxyStyle) DestroyQProxyStyle() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQProxyStyle"})
}

func (ptr *QProxyStyle) DestroyQProxyStyleDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQProxyStyleDefault"})
}

type QPushButton struct {
	QAbstractButton
}

type QPushButton_ITF interface {
	QAbstractButton_ITF
	QPushButton_PTR() *QPushButton
}

func (ptr *QPushButton) QPushButton_PTR() *QPushButton {
	return ptr
}

func (ptr *QPushButton) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractButton_PTR().Pointer()
	}
	return nil
}

func (ptr *QPushButton) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractButton_PTR().SetPointer(p)
	}
}

func PointerFromQPushButton(ptr QPushButton_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QPushButton_PTR().Pointer()
	}
	return nil
}

func (n *QPushButton) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractButton_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QPushButton) ClassNameInternalF() string {
	return n.QAbstractButton_PTR().ClassNameInternalF()
}

func NewQPushButtonFromPointer(ptr unsafe.Pointer) (n *QPushButton) {
	n = new(QPushButton)
	n.InitFromInternal(uintptr(ptr), "widgets.QPushButton")
	return
}
func NewQPushButton(parent QWidget_ITF) *QPushButton {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQPushButton", "", parent}).(*QPushButton)
}

func NewQPushButton2(text string, parent QWidget_ITF) *QPushButton {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQPushButton2", "", text, parent}).(*QPushButton)
}

func NewQPushButton3(icon gui.QIcon_ITF, text string, parent QWidget_ITF) *QPushButton {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQPushButton3", "", icon, text, parent}).(*QPushButton)
}

func (ptr *QPushButton) AutoDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoDefault"}).(bool)
}

func (ptr *QPushButton) InitStyleOption(option QStyleOptionButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QPushButton) IsDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDefault"}).(bool)
}

func (ptr *QPushButton) IsFlat() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFlat"}).(bool)
}

func (ptr *QPushButton) Menu() *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Menu"}).(*QMenu)
}

func (ptr *QPushButton) ConnectPaintEvent(f func(vqp *gui.QPaintEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaintEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPushButton) DisconnectPaintEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaintEvent"})
}

func (ptr *QPushButton) PaintEvent(vqp gui.QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEvent", vqp})
}

func (ptr *QPushButton) PaintEventDefault(vqp gui.QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEventDefault", vqp})
}

func (ptr *QPushButton) SetAutoDefault(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoDefault", vbo})
}

func (ptr *QPushButton) SetDefault(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefault", vbo})
}

func (ptr *QPushButton) SetFlat(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlat", vbo})
}

func (ptr *QPushButton) SetMenu(menu QMenu_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMenu", menu})
}

func (ptr *QPushButton) ConnectShowMenu(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowMenu", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPushButton) DisconnectShowMenu() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowMenu"})
}

func (ptr *QPushButton) ShowMenu() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMenu"})
}

func (ptr *QPushButton) ShowMenuDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMenuDefault"})
}

func (ptr *QPushButton) ConnectDestroyQPushButton(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQPushButton", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QPushButton) DisconnectDestroyQPushButton() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQPushButton"})
}

func (ptr *QPushButton) DestroyQPushButton() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPushButton"})
}

func (ptr *QPushButton) DestroyQPushButtonDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQPushButtonDefault"})
}

type QRadioButton struct {
	QAbstractButton
}

type QRadioButton_ITF interface {
	QAbstractButton_ITF
	QRadioButton_PTR() *QRadioButton
}

func (ptr *QRadioButton) QRadioButton_PTR() *QRadioButton {
	return ptr
}

func (ptr *QRadioButton) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractButton_PTR().Pointer()
	}
	return nil
}

func (ptr *QRadioButton) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractButton_PTR().SetPointer(p)
	}
}

func PointerFromQRadioButton(ptr QRadioButton_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRadioButton_PTR().Pointer()
	}
	return nil
}

func (n *QRadioButton) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractButton_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QRadioButton) ClassNameInternalF() string {
	return n.QAbstractButton_PTR().ClassNameInternalF()
}

func NewQRadioButtonFromPointer(ptr unsafe.Pointer) (n *QRadioButton) {
	n = new(QRadioButton)
	n.InitFromInternal(uintptr(ptr), "widgets.QRadioButton")
	return
}
func NewQRadioButton(parent QWidget_ITF) *QRadioButton {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQRadioButton", "", parent}).(*QRadioButton)
}

func NewQRadioButton2(text string, parent QWidget_ITF) *QRadioButton {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQRadioButton2", "", text, parent}).(*QRadioButton)
}

func (ptr *QRadioButton) InitStyleOption(option QStyleOptionButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QRadioButton) ConnectPaintEvent(f func(vqp *gui.QPaintEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaintEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioButton) DisconnectPaintEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaintEvent"})
}

func (ptr *QRadioButton) PaintEvent(vqp gui.QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEvent", vqp})
}

func (ptr *QRadioButton) PaintEventDefault(vqp gui.QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEventDefault", vqp})
}

func (ptr *QRadioButton) ConnectDestroyQRadioButton(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQRadioButton", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRadioButton) DisconnectDestroyQRadioButton() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQRadioButton"})
}

func (ptr *QRadioButton) DestroyQRadioButton() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRadioButton"})
}

func (ptr *QRadioButton) DestroyQRadioButtonDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRadioButtonDefault"})
}

type QRubberBand struct {
	QWidget
}

type QRubberBand_ITF interface {
	QWidget_ITF
	QRubberBand_PTR() *QRubberBand
}

func (ptr *QRubberBand) QRubberBand_PTR() *QRubberBand {
	return ptr
}

func (ptr *QRubberBand) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QRubberBand) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQRubberBand(ptr QRubberBand_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QRubberBand_PTR().Pointer()
	}
	return nil
}

func (n *QRubberBand) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QRubberBand) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQRubberBandFromPointer(ptr unsafe.Pointer) (n *QRubberBand) {
	n = new(QRubberBand)
	n.InitFromInternal(uintptr(ptr), "widgets.QRubberBand")
	return
}

//go:generate stringer -type=QRubberBand__Shape
//QRubberBand::Shape
type QRubberBand__Shape int64

const (
	QRubberBand__Line      QRubberBand__Shape = QRubberBand__Shape(0)
	QRubberBand__Rectangle QRubberBand__Shape = QRubberBand__Shape(1)
)

func NewQRubberBand(s QRubberBand__Shape, p QWidget_ITF) *QRubberBand {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQRubberBand", "", s, p}).(*QRubberBand)
}

func (ptr *QRubberBand) InitStyleOption(option QStyleOptionRubberBand_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QRubberBand) Shape() QRubberBand__Shape {

	return QRubberBand__Shape(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shape"}).(float64))
}

func (ptr *QRubberBand) ConnectDestroyQRubberBand(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQRubberBand", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QRubberBand) DisconnectDestroyQRubberBand() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQRubberBand"})
}

func (ptr *QRubberBand) DestroyQRubberBand() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRubberBand"})
}

func (ptr *QRubberBand) DestroyQRubberBandDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQRubberBandDefault"})
}

type QScrollArea struct {
	QAbstractScrollArea
}

type QScrollArea_ITF interface {
	QAbstractScrollArea_ITF
	QScrollArea_PTR() *QScrollArea
}

func (ptr *QScrollArea) QScrollArea_PTR() *QScrollArea {
	return ptr
}

func (ptr *QScrollArea) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractScrollArea_PTR().Pointer()
	}
	return nil
}

func (ptr *QScrollArea) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractScrollArea_PTR().SetPointer(p)
	}
}

func PointerFromQScrollArea(ptr QScrollArea_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScrollArea_PTR().Pointer()
	}
	return nil
}

func (n *QScrollArea) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractScrollArea_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QScrollArea) ClassNameInternalF() string {
	return n.QAbstractScrollArea_PTR().ClassNameInternalF()
}

func NewQScrollAreaFromPointer(ptr unsafe.Pointer) (n *QScrollArea) {
	n = new(QScrollArea)
	n.InitFromInternal(uintptr(ptr), "widgets.QScrollArea")
	return
}
func NewQScrollArea(parent QWidget_ITF) *QScrollArea {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQScrollArea", "", parent}).(*QScrollArea)
}

func (ptr *QScrollArea) Alignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment"}).(float64))
}

func (ptr *QScrollArea) EnsureVisible(x int, y int, xmargin int, ymargin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureVisible", x, y, xmargin, ymargin})
}

func (ptr *QScrollArea) EnsureWidgetVisible(childWidget QWidget_ITF, xmargin int, ymargin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureWidgetVisible", childWidget, xmargin, ymargin})
}

func (ptr *QScrollArea) SetAlignment(vqt core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", vqt})
}

func (ptr *QScrollArea) SetWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidget", widget})
}

func (ptr *QScrollArea) SetWidgetResizable(resizable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidgetResizable", resizable})
}

func (ptr *QScrollArea) TakeWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeWidget"}).(*QWidget)
}

func (ptr *QScrollArea) Widget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Widget"}).(*QWidget)
}

func (ptr *QScrollArea) WidgetResizable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WidgetResizable"}).(bool)
}

func (ptr *QScrollArea) ConnectDestroyQScrollArea(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQScrollArea", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScrollArea) DisconnectDestroyQScrollArea() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQScrollArea"})
}

func (ptr *QScrollArea) DestroyQScrollArea() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQScrollArea"})
}

func (ptr *QScrollArea) DestroyQScrollAreaDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQScrollAreaDefault"})
}

type QScrollBar struct {
	QAbstractSlider
}

type QScrollBar_ITF interface {
	QAbstractSlider_ITF
	QScrollBar_PTR() *QScrollBar
}

func (ptr *QScrollBar) QScrollBar_PTR() *QScrollBar {
	return ptr
}

func (ptr *QScrollBar) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractSlider_PTR().Pointer()
	}
	return nil
}

func (ptr *QScrollBar) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractSlider_PTR().SetPointer(p)
	}
}

func PointerFromQScrollBar(ptr QScrollBar_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScrollBar_PTR().Pointer()
	}
	return nil
}

func (n *QScrollBar) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractSlider_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QScrollBar) ClassNameInternalF() string {
	return n.QAbstractSlider_PTR().ClassNameInternalF()
}

func NewQScrollBarFromPointer(ptr unsafe.Pointer) (n *QScrollBar) {
	n = new(QScrollBar)
	n.InitFromInternal(uintptr(ptr), "widgets.QScrollBar")
	return
}
func NewQScrollBar(parent QWidget_ITF) *QScrollBar {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQScrollBar", "", parent}).(*QScrollBar)
}

func NewQScrollBar2(orientation core.Qt__Orientation, parent QWidget_ITF) *QScrollBar {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQScrollBar2", "", orientation, parent}).(*QScrollBar)
}

func (ptr *QScrollBar) InitStyleOption(option QStyleOptionSlider_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QScrollBar) ConnectDestroyQScrollBar(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQScrollBar", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScrollBar) DisconnectDestroyQScrollBar() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQScrollBar"})
}

func (ptr *QScrollBar) DestroyQScrollBar() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQScrollBar"})
}

func (ptr *QScrollBar) DestroyQScrollBarDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQScrollBarDefault"})
}

type QScroller struct {
	core.QObject
}

type QScroller_ITF interface {
	core.QObject_ITF
	QScroller_PTR() *QScroller
}

func (ptr *QScroller) QScroller_PTR() *QScroller {
	return ptr
}

func (ptr *QScroller) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QScroller) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQScroller(ptr QScroller_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScroller_PTR().Pointer()
	}
	return nil
}

func (n *QScroller) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QScroller) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQScrollerFromPointer(ptr unsafe.Pointer) (n *QScroller) {
	n = new(QScroller)
	n.InitFromInternal(uintptr(ptr), "widgets.QScroller")
	return
}

func (ptr *QScroller) DestroyQScroller() {
}

//go:generate stringer -type=QScroller__State
//QScroller::State
type QScroller__State int64

const (
	QScroller__Inactive  QScroller__State = QScroller__State(0)
	QScroller__Pressed   QScroller__State = QScroller__State(1)
	QScroller__Dragging  QScroller__State = QScroller__State(2)
	QScroller__Scrolling QScroller__State = QScroller__State(3)
)

//go:generate stringer -type=QScroller__ScrollerGestureType
//QScroller::ScrollerGestureType
type QScroller__ScrollerGestureType int64

const (
	QScroller__TouchGesture             QScroller__ScrollerGestureType = QScroller__ScrollerGestureType(0)
	QScroller__LeftMouseButtonGesture   QScroller__ScrollerGestureType = QScroller__ScrollerGestureType(1)
	QScroller__RightMouseButtonGesture  QScroller__ScrollerGestureType = QScroller__ScrollerGestureType(2)
	QScroller__MiddleMouseButtonGesture QScroller__ScrollerGestureType = QScroller__ScrollerGestureType(3)
)

//go:generate stringer -type=QScroller__Input
//QScroller::Input
type QScroller__Input int64

const (
	QScroller__InputPress   QScroller__Input = QScroller__Input(1)
	QScroller__InputMove    QScroller__Input = QScroller__Input(2)
	QScroller__InputRelease QScroller__Input = QScroller__Input(3)
)

func QScroller_ActiveScrollers() []*QScroller {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QScroller_ActiveScrollers", ""}).([]*QScroller)
}

func (ptr *QScroller) ActiveScrollers() []*QScroller {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QScroller_ActiveScrollers", ""}).([]*QScroller)
}

func (ptr *QScroller) ConnectEnsureVisible(f func(rect *core.QRectF, xmargin float64, ymargin float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEnsureVisible", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScroller) DisconnectEnsureVisible() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEnsureVisible"})
}

func (ptr *QScroller) EnsureVisible(rect core.QRectF_ITF, xmargin float64, ymargin float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureVisible", rect, xmargin, ymargin})
}

func (ptr *QScroller) EnsureVisibleDefault(rect core.QRectF_ITF, xmargin float64, ymargin float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureVisibleDefault", rect, xmargin, ymargin})
}

func (ptr *QScroller) ConnectEnsureVisible2(f func(rect *core.QRectF, xmargin float64, ymargin float64, scrollTime int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectEnsureVisible2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScroller) DisconnectEnsureVisible2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectEnsureVisible2"})
}

func (ptr *QScroller) EnsureVisible2(rect core.QRectF_ITF, xmargin float64, ymargin float64, scrollTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureVisible2", rect, xmargin, ymargin, scrollTime})
}

func (ptr *QScroller) EnsureVisible2Default(rect core.QRectF_ITF, xmargin float64, ymargin float64, scrollTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureVisible2Default", rect, xmargin, ymargin, scrollTime})
}

func (ptr *QScroller) FinalPosition() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FinalPosition"}).(*core.QPointF)
}

func QScroller_GrabGesture(target core.QObject_ITF, scrollGestureType QScroller__ScrollerGestureType) core.Qt__GestureType {

	return core.Qt__GestureType(internal.CallLocalFunction([]interface{}{"", "", "widgets.QScroller_GrabGesture", "", target, scrollGestureType}).(float64))
}

func (ptr *QScroller) GrabGesture(target core.QObject_ITF, scrollGestureType QScroller__ScrollerGestureType) core.Qt__GestureType {

	return core.Qt__GestureType(internal.CallLocalFunction([]interface{}{"", "", "widgets.QScroller_GrabGesture", "", target, scrollGestureType}).(float64))
}

func QScroller_GrabbedGesture(target core.QObject_ITF) core.Qt__GestureType {

	return core.Qt__GestureType(internal.CallLocalFunction([]interface{}{"", "", "widgets.QScroller_GrabbedGesture", "", target}).(float64))
}

func (ptr *QScroller) GrabbedGesture(target core.QObject_ITF) core.Qt__GestureType {

	return core.Qt__GestureType(internal.CallLocalFunction([]interface{}{"", "", "widgets.QScroller_GrabbedGesture", "", target}).(float64))
}

func (ptr *QScroller) HandleInput(input QScroller__Input, position core.QPointF_ITF, timestamp int64) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HandleInput", input, position, timestamp}).(bool)
}

func QScroller_HasScroller(target core.QObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QScroller_HasScroller", "", target}).(bool)
}

func (ptr *QScroller) HasScroller(target core.QObject_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QScroller_HasScroller", "", target}).(bool)
}

func (ptr *QScroller) PixelPerMeter() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelPerMeter"}).(*core.QPointF)
}

func (ptr *QScroller) ConnectResendPrepareEvent(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResendPrepareEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScroller) DisconnectResendPrepareEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResendPrepareEvent"})
}

func (ptr *QScroller) ResendPrepareEvent() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResendPrepareEvent"})
}

func (ptr *QScroller) ResendPrepareEventDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResendPrepareEventDefault"})
}

func (ptr *QScroller) ConnectScrollTo(f func(pos *core.QPointF)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollTo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScroller) DisconnectScrollTo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollTo"})
}

func (ptr *QScroller) ScrollTo(pos core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollTo", pos})
}

func (ptr *QScroller) ScrollToDefault(pos core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToDefault", pos})
}

func (ptr *QScroller) ConnectScrollTo2(f func(pos *core.QPointF, scrollTime int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollTo2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScroller) DisconnectScrollTo2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollTo2"})
}

func (ptr *QScroller) ScrollTo2(pos core.QPointF_ITF, scrollTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollTo2", pos, scrollTime})
}

func (ptr *QScroller) ScrollTo2Default(pos core.QPointF_ITF, scrollTime int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollTo2Default", pos, scrollTime})
}

func QScroller_Scroller(target core.QObject_ITF) *QScroller {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QScroller_Scroller", "", target}).(*QScroller)
}

func (ptr *QScroller) Scroller(target core.QObject_ITF) *QScroller {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QScroller_Scroller", "", target}).(*QScroller)
}

func QScroller_Scroller2(target core.QObject_ITF) *QScroller {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QScroller_Scroller2", "", target}).(*QScroller)
}

func (ptr *QScroller) Scroller2(target core.QObject_ITF) *QScroller {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QScroller_Scroller2", "", target}).(*QScroller)
}

func (ptr *QScroller) ScrollerProperties() *QScrollerProperties {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollerProperties"}).(*QScrollerProperties)
}

func (ptr *QScroller) ConnectScrollerPropertiesChanged(f func(newProperties *QScrollerProperties)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollerPropertiesChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScroller) DisconnectScrollerPropertiesChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollerPropertiesChanged"})
}

func (ptr *QScroller) ScrollerPropertiesChanged(newProperties QScrollerProperties_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollerPropertiesChanged", newProperties})
}

func (ptr *QScroller) ConnectSetScrollerProperties(f func(prop *QScrollerProperties)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetScrollerProperties", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScroller) DisconnectSetScrollerProperties() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetScrollerProperties"})
}

func (ptr *QScroller) SetScrollerProperties(prop QScrollerProperties_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScrollerProperties", prop})
}

func (ptr *QScroller) SetScrollerPropertiesDefault(prop QScrollerProperties_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScrollerPropertiesDefault", prop})
}

func (ptr *QScroller) SetSnapPositionsX(positions []float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSnapPositionsX", positions})
}

func (ptr *QScroller) SetSnapPositionsX2(first float64, interval float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSnapPositionsX2", first, interval})
}

func (ptr *QScroller) SetSnapPositionsY(positions []float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSnapPositionsY", positions})
}

func (ptr *QScroller) SetSnapPositionsY2(first float64, interval float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSnapPositionsY2", first, interval})
}

func (ptr *QScroller) State() QScroller__State {

	return QScroller__State(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QScroller) ConnectStateChanged(f func(newState QScroller__State)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStateChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScroller) DisconnectStateChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStateChanged"})
}

func (ptr *QScroller) StateChanged(newState QScroller__State) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StateChanged", newState})
}

func (ptr *QScroller) Stop() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stop"})
}

func (ptr *QScroller) Target() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Target"}).(*core.QObject)
}

func QScroller_UngrabGesture(target core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QScroller_UngrabGesture", "", target})
}

func (ptr *QScroller) UngrabGesture(target core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QScroller_UngrabGesture", "", target})
}

func (ptr *QScroller) Velocity() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Velocity"}).(*core.QPointF)
}

func (ptr *QScroller) __activeScrollers_atList(i int) *QScroller {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__activeScrollers_atList", i}).(*QScroller)
}

func (ptr *QScroller) __activeScrollers_setList(i QScroller_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__activeScrollers_setList", i})
}

func (ptr *QScroller) __activeScrollers_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__activeScrollers_newList"}).(unsafe.Pointer)
}

func (ptr *QScroller) __setSnapPositionsX_positions_atList(i int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setSnapPositionsX_positions_atList", i}).(float64)
}

func (ptr *QScroller) __setSnapPositionsX_positions_setList(i float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setSnapPositionsX_positions_setList", i})
}

func (ptr *QScroller) __setSnapPositionsX_positions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setSnapPositionsX_positions_newList"}).(unsafe.Pointer)
}

func (ptr *QScroller) __setSnapPositionsY_positions_atList(i int) float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setSnapPositionsY_positions_atList", i}).(float64)
}

func (ptr *QScroller) __setSnapPositionsY_positions_setList(i float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setSnapPositionsY_positions_setList", i})
}

func (ptr *QScroller) __setSnapPositionsY_positions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setSnapPositionsY_positions_newList"}).(unsafe.Pointer)
}

func (ptr *QScroller) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QScroller) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QScroller) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QScroller) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QScroller) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QScroller) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QScroller) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QScroller) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QScroller) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QScroller) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QScroller) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QScroller) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QScroller) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QScroller) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QScroller) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QScroller) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QScroller) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QScroller) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QScroller) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QScroller) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QScroller) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QScrollerProperties struct {
	internal.Internal
}

type QScrollerProperties_ITF interface {
	QScrollerProperties_PTR() *QScrollerProperties
}

func (ptr *QScrollerProperties) QScrollerProperties_PTR() *QScrollerProperties {
	return ptr
}

func (ptr *QScrollerProperties) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QScrollerProperties) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQScrollerProperties(ptr QScrollerProperties_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QScrollerProperties_PTR().Pointer()
	}
	return nil
}

func (n *QScrollerProperties) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQScrollerPropertiesFromPointer(ptr unsafe.Pointer) (n *QScrollerProperties) {
	n = new(QScrollerProperties)
	n.InitFromInternal(uintptr(ptr), "widgets.QScrollerProperties")
	return
}

//go:generate stringer -type=QScrollerProperties__OvershootPolicy
//QScrollerProperties::OvershootPolicy
type QScrollerProperties__OvershootPolicy int64

const (
	QScrollerProperties__OvershootWhenScrollable QScrollerProperties__OvershootPolicy = QScrollerProperties__OvershootPolicy(0)
	QScrollerProperties__OvershootAlwaysOff      QScrollerProperties__OvershootPolicy = QScrollerProperties__OvershootPolicy(1)
	QScrollerProperties__OvershootAlwaysOn       QScrollerProperties__OvershootPolicy = QScrollerProperties__OvershootPolicy(2)
)

//go:generate stringer -type=QScrollerProperties__FrameRates
//QScrollerProperties::FrameRates
type QScrollerProperties__FrameRates int64

const (
	QScrollerProperties__Standard QScrollerProperties__FrameRates = QScrollerProperties__FrameRates(0)
	QScrollerProperties__Fps60    QScrollerProperties__FrameRates = QScrollerProperties__FrameRates(1)
	QScrollerProperties__Fps30    QScrollerProperties__FrameRates = QScrollerProperties__FrameRates(2)
	QScrollerProperties__Fps20    QScrollerProperties__FrameRates = QScrollerProperties__FrameRates(3)
)

//go:generate stringer -type=QScrollerProperties__ScrollMetric
//QScrollerProperties::ScrollMetric
type QScrollerProperties__ScrollMetric int64

const (
	QScrollerProperties__MousePressEventDelay           QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(0)
	QScrollerProperties__DragStartDistance              QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(1)
	QScrollerProperties__DragVelocitySmoothingFactor    QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(2)
	QScrollerProperties__AxisLockThreshold              QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(3)
	QScrollerProperties__ScrollingCurve                 QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(4)
	QScrollerProperties__DecelerationFactor             QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(5)
	QScrollerProperties__MinimumVelocity                QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(6)
	QScrollerProperties__MaximumVelocity                QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(7)
	QScrollerProperties__MaximumClickThroughVelocity    QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(8)
	QScrollerProperties__AcceleratingFlickMaximumTime   QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(9)
	QScrollerProperties__AcceleratingFlickSpeedupFactor QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(10)
	QScrollerProperties__SnapPositionRatio              QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(11)
	QScrollerProperties__SnapTime                       QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(12)
	QScrollerProperties__OvershootDragResistanceFactor  QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(13)
	QScrollerProperties__OvershootDragDistanceFactor    QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(14)
	QScrollerProperties__OvershootScrollDistanceFactor  QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(15)
	QScrollerProperties__OvershootScrollTime            QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(16)
	QScrollerProperties__HorizontalOvershootPolicy      QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(17)
	QScrollerProperties__VerticalOvershootPolicy        QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(18)
	QScrollerProperties__FrameRate                      QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(19)
	QScrollerProperties__ScrollMetricCount              QScrollerProperties__ScrollMetric = QScrollerProperties__ScrollMetric(20)
)

func NewQScrollerProperties() *QScrollerProperties {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQScrollerProperties", ""}).(*QScrollerProperties)
}

func NewQScrollerProperties2(sp QScrollerProperties_ITF) *QScrollerProperties {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQScrollerProperties2", "", sp}).(*QScrollerProperties)
}

func (ptr *QScrollerProperties) ScrollMetric(metric QScrollerProperties__ScrollMetric) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollMetric", metric}).(*core.QVariant)
}

func QScrollerProperties_SetDefaultScrollerProperties(sp QScrollerProperties_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QScrollerProperties_SetDefaultScrollerProperties", "", sp})
}

func (ptr *QScrollerProperties) SetDefaultScrollerProperties(sp QScrollerProperties_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QScrollerProperties_SetDefaultScrollerProperties", "", sp})
}

func (ptr *QScrollerProperties) SetScrollMetric(metric QScrollerProperties__ScrollMetric, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetScrollMetric", metric, value})
}

func QScrollerProperties_UnsetDefaultScrollerProperties() {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QScrollerProperties_UnsetDefaultScrollerProperties", ""})
}

func (ptr *QScrollerProperties) UnsetDefaultScrollerProperties() {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QScrollerProperties_UnsetDefaultScrollerProperties", ""})
}

func (ptr *QScrollerProperties) ConnectDestroyQScrollerProperties(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQScrollerProperties", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QScrollerProperties) DisconnectDestroyQScrollerProperties() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQScrollerProperties"})
}

func (ptr *QScrollerProperties) DestroyQScrollerProperties() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQScrollerProperties"})
}

func (ptr *QScrollerProperties) DestroyQScrollerPropertiesDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQScrollerPropertiesDefault"})
}

type QShortcut struct {
	core.QObject
}

type QShortcut_ITF interface {
	core.QObject_ITF
	QShortcut_PTR() *QShortcut
}

func (ptr *QShortcut) QShortcut_PTR() *QShortcut {
	return ptr
}

func (ptr *QShortcut) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QShortcut) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQShortcut(ptr QShortcut_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QShortcut_PTR().Pointer()
	}
	return nil
}

func (n *QShortcut) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QShortcut) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQShortcutFromPointer(ptr unsafe.Pointer) (n *QShortcut) {
	n = new(QShortcut)
	n.InitFromInternal(uintptr(ptr), "widgets.QShortcut")
	return
}
func NewQShortcut(parent QWidget_ITF) *QShortcut {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQShortcut", "", parent}).(*QShortcut)
}

func NewQShortcut2(key gui.QKeySequence_ITF, parent QWidget_ITF, member string, ambiguousMember string, context core.Qt__ShortcutContext) *QShortcut {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQShortcut2", "", key, parent, member, ambiguousMember, context}).(*QShortcut)
}

func (ptr *QShortcut) ConnectActivated(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QShortcut) DisconnectActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActivated"})
}

func (ptr *QShortcut) Activated() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Activated"})
}

func (ptr *QShortcut) ConnectActivatedAmbiguously(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActivatedAmbiguously", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QShortcut) DisconnectActivatedAmbiguously() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActivatedAmbiguously"})
}

func (ptr *QShortcut) ActivatedAmbiguously() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActivatedAmbiguously"})
}

func (ptr *QShortcut) AutoRepeat() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoRepeat"}).(bool)
}

func (ptr *QShortcut) Context() core.Qt__ShortcutContext {

	return core.Qt__ShortcutContext(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Context"}).(float64))
}

func (ptr *QShortcut) Id() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Id"}).(float64))
}

func (ptr *QShortcut) IsEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEnabled"}).(bool)
}

func (ptr *QShortcut) Key() *gui.QKeySequence {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Key"}).(*gui.QKeySequence)
}

func (ptr *QShortcut) ParentWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ParentWidget"}).(*QWidget)
}

func (ptr *QShortcut) SetAutoRepeat(on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoRepeat", on})
}

func (ptr *QShortcut) SetContext(context core.Qt__ShortcutContext) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetContext", context})
}

func (ptr *QShortcut) SetEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEnabled", enable})
}

func (ptr *QShortcut) SetKey(key gui.QKeySequence_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetKey", key})
}

func (ptr *QShortcut) SetWhatsThis(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWhatsThis", text})
}

func (ptr *QShortcut) WhatsThis() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WhatsThis"}).(string)
}

func (ptr *QShortcut) ConnectDestroyQShortcut(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQShortcut", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QShortcut) DisconnectDestroyQShortcut() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQShortcut"})
}

func (ptr *QShortcut) DestroyQShortcut() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQShortcut"})
}

func (ptr *QShortcut) DestroyQShortcutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQShortcutDefault"})
}

func (ptr *QShortcut) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QShortcut) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QShortcut) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QShortcut) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QShortcut) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QShortcut) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QShortcut) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QShortcut) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QShortcut) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QShortcut) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QShortcut) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QShortcut) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QShortcut) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QShortcut) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QShortcut) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QShortcut) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QShortcut) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QShortcut) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QShortcut) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QShortcut) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QShortcut) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QSizeGrip struct {
	QWidget
}

type QSizeGrip_ITF interface {
	QWidget_ITF
	QSizeGrip_PTR() *QSizeGrip
}

func (ptr *QSizeGrip) QSizeGrip_PTR() *QSizeGrip {
	return ptr
}

func (ptr *QSizeGrip) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QSizeGrip) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQSizeGrip(ptr QSizeGrip_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSizeGrip_PTR().Pointer()
	}
	return nil
}

func (n *QSizeGrip) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSizeGrip) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQSizeGripFromPointer(ptr unsafe.Pointer) (n *QSizeGrip) {
	n = new(QSizeGrip)
	n.InitFromInternal(uintptr(ptr), "widgets.QSizeGrip")
	return
}
func NewQSizeGrip(parent QWidget_ITF) *QSizeGrip {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQSizeGrip", "", parent}).(*QSizeGrip)
}

func (ptr *QSizeGrip) ConnectSetVisible(f func(visible bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetVisible", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSizeGrip) DisconnectSetVisible() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetVisible"})
}

func (ptr *QSizeGrip) SetVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisible", visible})
}

func (ptr *QSizeGrip) SetVisibleDefault(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisibleDefault", visible})
}

func (ptr *QSizeGrip) ConnectDestroyQSizeGrip(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSizeGrip", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSizeGrip) DisconnectDestroyQSizeGrip() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSizeGrip"})
}

func (ptr *QSizeGrip) DestroyQSizeGrip() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSizeGrip"})
}

func (ptr *QSizeGrip) DestroyQSizeGripDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSizeGripDefault"})
}

type QSizePolicy struct {
	internal.Internal
}

type QSizePolicy_ITF interface {
	QSizePolicy_PTR() *QSizePolicy
}

func (ptr *QSizePolicy) QSizePolicy_PTR() *QSizePolicy {
	return ptr
}

func (ptr *QSizePolicy) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QSizePolicy) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQSizePolicy(ptr QSizePolicy_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSizePolicy_PTR().Pointer()
	}
	return nil
}

func (n *QSizePolicy) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQSizePolicyFromPointer(ptr unsafe.Pointer) (n *QSizePolicy) {
	n = new(QSizePolicy)
	n.InitFromInternal(uintptr(ptr), "widgets.QSizePolicy")
	return
}

func (ptr *QSizePolicy) DestroyQSizePolicy() {
}

//go:generate stringer -type=QSizePolicy__PolicyFlag
//QSizePolicy::PolicyFlag
type QSizePolicy__PolicyFlag int64

const (
	QSizePolicy__GrowFlag   QSizePolicy__PolicyFlag = QSizePolicy__PolicyFlag(1)
	QSizePolicy__ExpandFlag QSizePolicy__PolicyFlag = QSizePolicy__PolicyFlag(2)
	QSizePolicy__ShrinkFlag QSizePolicy__PolicyFlag = QSizePolicy__PolicyFlag(4)
	QSizePolicy__IgnoreFlag QSizePolicy__PolicyFlag = QSizePolicy__PolicyFlag(8)
)

//go:generate stringer -type=QSizePolicy__Policy
//QSizePolicy::Policy
type QSizePolicy__Policy int64

const (
	QSizePolicy__Fixed            QSizePolicy__Policy = QSizePolicy__Policy(0)
	QSizePolicy__Minimum          QSizePolicy__Policy = QSizePolicy__Policy(QSizePolicy__GrowFlag)
	QSizePolicy__Maximum          QSizePolicy__Policy = QSizePolicy__Policy(QSizePolicy__ShrinkFlag)
	QSizePolicy__Preferred        QSizePolicy__Policy = QSizePolicy__Policy(QSizePolicy__GrowFlag | QSizePolicy__ShrinkFlag)
	QSizePolicy__MinimumExpanding QSizePolicy__Policy = QSizePolicy__Policy(QSizePolicy__GrowFlag | QSizePolicy__ExpandFlag)
	QSizePolicy__Expanding        QSizePolicy__Policy = QSizePolicy__Policy(QSizePolicy__GrowFlag | QSizePolicy__ShrinkFlag | QSizePolicy__ExpandFlag)
	QSizePolicy__Ignored          QSizePolicy__Policy = QSizePolicy__Policy(QSizePolicy__ShrinkFlag | QSizePolicy__GrowFlag | QSizePolicy__IgnoreFlag)
)

//go:generate stringer -type=QSizePolicy__ControlType
//QSizePolicy::ControlType
type QSizePolicy__ControlType int64

const (
	QSizePolicy__DefaultType QSizePolicy__ControlType = QSizePolicy__ControlType(0x00000001)
	QSizePolicy__ButtonBox   QSizePolicy__ControlType = QSizePolicy__ControlType(0x00000002)
	QSizePolicy__CheckBox    QSizePolicy__ControlType = QSizePolicy__ControlType(0x00000004)
	QSizePolicy__ComboBox    QSizePolicy__ControlType = QSizePolicy__ControlType(0x00000008)
	QSizePolicy__Frame       QSizePolicy__ControlType = QSizePolicy__ControlType(0x00000010)
	QSizePolicy__GroupBox    QSizePolicy__ControlType = QSizePolicy__ControlType(0x00000020)
	QSizePolicy__Label       QSizePolicy__ControlType = QSizePolicy__ControlType(0x00000040)
	QSizePolicy__Line        QSizePolicy__ControlType = QSizePolicy__ControlType(0x00000080)
	QSizePolicy__LineEdit    QSizePolicy__ControlType = QSizePolicy__ControlType(0x00000100)
	QSizePolicy__PushButton  QSizePolicy__ControlType = QSizePolicy__ControlType(0x00000200)
	QSizePolicy__RadioButton QSizePolicy__ControlType = QSizePolicy__ControlType(0x00000400)
	QSizePolicy__Slider      QSizePolicy__ControlType = QSizePolicy__ControlType(0x00000800)
	QSizePolicy__SpinBox     QSizePolicy__ControlType = QSizePolicy__ControlType(0x00001000)
	QSizePolicy__TabWidget   QSizePolicy__ControlType = QSizePolicy__ControlType(0x00002000)
	QSizePolicy__ToolButton  QSizePolicy__ControlType = QSizePolicy__ControlType(0x00004000)
)

func NewQSizePolicy() *QSizePolicy {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQSizePolicy", ""}).(*QSizePolicy)
}

func NewQSizePolicy2(horizontal QSizePolicy__Policy, vertical QSizePolicy__Policy, ty QSizePolicy__ControlType) *QSizePolicy {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQSizePolicy2", "", horizontal, vertical, ty}).(*QSizePolicy)
}

func (ptr *QSizePolicy) ControlType() QSizePolicy__ControlType {

	return QSizePolicy__ControlType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ControlType"}).(float64))
}

func (ptr *QSizePolicy) ExpandingDirections() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandingDirections"}).(float64))
}

func (ptr *QSizePolicy) HasHeightForWidth() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasHeightForWidth"}).(bool)
}

func (ptr *QSizePolicy) HasWidthForHeight() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasWidthForHeight"}).(bool)
}

func (ptr *QSizePolicy) HorizontalPolicy() QSizePolicy__Policy {

	return QSizePolicy__Policy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalPolicy"}).(float64))
}

func (ptr *QSizePolicy) HorizontalStretch() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalStretch"}).(float64))
}

func (ptr *QSizePolicy) RetainSizeWhenHidden() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RetainSizeWhenHidden"}).(bool)
}

func (ptr *QSizePolicy) SetControlType(ty QSizePolicy__ControlType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetControlType", ty})
}

func (ptr *QSizePolicy) SetHeightForWidth(dependent bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeightForWidth", dependent})
}

func (ptr *QSizePolicy) SetHorizontalPolicy(policy QSizePolicy__Policy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalPolicy", policy})
}

func (ptr *QSizePolicy) SetHorizontalStretch(stretchFactor int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalStretch", stretchFactor})
}

func (ptr *QSizePolicy) SetRetainSizeWhenHidden(retainSize bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRetainSizeWhenHidden", retainSize})
}

func (ptr *QSizePolicy) SetVerticalPolicy(policy QSizePolicy__Policy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalPolicy", policy})
}

func (ptr *QSizePolicy) SetVerticalStretch(stretchFactor int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalStretch", stretchFactor})
}

func (ptr *QSizePolicy) SetWidthForHeight(dependent bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWidthForHeight", dependent})
}

func (ptr *QSizePolicy) Transpose() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transpose"})
}

func (ptr *QSizePolicy) Transposed() *QSizePolicy {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Transposed"}).(*QSizePolicy)
}

func (ptr *QSizePolicy) VerticalPolicy() QSizePolicy__Policy {

	return QSizePolicy__Policy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalPolicy"}).(float64))
}

func (ptr *QSizePolicy) VerticalStretch() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalStretch"}).(float64))
}

type QSlider struct {
	QAbstractSlider
}

type QSlider_ITF interface {
	QAbstractSlider_ITF
	QSlider_PTR() *QSlider
}

func (ptr *QSlider) QSlider_PTR() *QSlider {
	return ptr
}

func (ptr *QSlider) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractSlider_PTR().Pointer()
	}
	return nil
}

func (ptr *QSlider) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractSlider_PTR().SetPointer(p)
	}
}

func PointerFromQSlider(ptr QSlider_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSlider_PTR().Pointer()
	}
	return nil
}

func (n *QSlider) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractSlider_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSlider) ClassNameInternalF() string {
	return n.QAbstractSlider_PTR().ClassNameInternalF()
}

func NewQSliderFromPointer(ptr unsafe.Pointer) (n *QSlider) {
	n = new(QSlider)
	n.InitFromInternal(uintptr(ptr), "widgets.QSlider")
	return
}

//go:generate stringer -type=QSlider__TickPosition
//QSlider::TickPosition
type QSlider__TickPosition int64

const (
	QSlider__NoTicks        QSlider__TickPosition = QSlider__TickPosition(0)
	QSlider__TicksAbove     QSlider__TickPosition = QSlider__TickPosition(1)
	QSlider__TicksLeft      QSlider__TickPosition = QSlider__TickPosition(QSlider__TicksAbove)
	QSlider__TicksBelow     QSlider__TickPosition = QSlider__TickPosition(2)
	QSlider__TicksRight     QSlider__TickPosition = QSlider__TickPosition(QSlider__TicksBelow)
	QSlider__TicksBothSides QSlider__TickPosition = QSlider__TickPosition(3)
)

func NewQSlider(parent QWidget_ITF) *QSlider {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQSlider", "", parent}).(*QSlider)
}

func NewQSlider2(orientation core.Qt__Orientation, parent QWidget_ITF) *QSlider {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQSlider2", "", orientation, parent}).(*QSlider)
}

func (ptr *QSlider) InitStyleOption(option QStyleOptionSlider_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QSlider) SetTickInterval(ti int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTickInterval", ti})
}

func (ptr *QSlider) SetTickPosition(position QSlider__TickPosition) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTickPosition", position})
}

func (ptr *QSlider) TickInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TickInterval"}).(float64))
}

func (ptr *QSlider) TickPosition() QSlider__TickPosition {

	return QSlider__TickPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TickPosition"}).(float64))
}

func (ptr *QSlider) ConnectDestroyQSlider(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSlider", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSlider) DisconnectDestroyQSlider() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSlider"})
}

func (ptr *QSlider) DestroyQSlider() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSlider"})
}

func (ptr *QSlider) DestroyQSliderDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSliderDefault"})
}

type QSpacerItem struct {
	QLayoutItem
}

type QSpacerItem_ITF interface {
	QLayoutItem_ITF
	QSpacerItem_PTR() *QSpacerItem
}

func (ptr *QSpacerItem) QSpacerItem_PTR() *QSpacerItem {
	return ptr
}

func (ptr *QSpacerItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QLayoutItem_PTR().Pointer()
	}
	return nil
}

func (ptr *QSpacerItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QLayoutItem_PTR().SetPointer(p)
	}
}

func PointerFromQSpacerItem(ptr QSpacerItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSpacerItem_PTR().Pointer()
	}
	return nil
}

func (n *QSpacerItem) InitFromInternal(ptr uintptr, name string) {
	n.QLayoutItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSpacerItem) ClassNameInternalF() string {
	return n.QLayoutItem_PTR().ClassNameInternalF()
}

func NewQSpacerItemFromPointer(ptr unsafe.Pointer) (n *QSpacerItem) {
	n = new(QSpacerItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QSpacerItem")
	return
}
func NewQSpacerItem(w int, h int, hPolicy QSizePolicy__Policy, vPolicy QSizePolicy__Policy) *QSpacerItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQSpacerItem", "", w, h, hPolicy, vPolicy}).(*QSpacerItem)
}

func (ptr *QSpacerItem) ChangeSize(w int, h int, hPolicy QSizePolicy__Policy, vPolicy QSizePolicy__Policy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChangeSize", w, h, hPolicy, vPolicy})
}

func (ptr *QSpacerItem) ConnectExpandingDirections(f func() core.Qt__Orientation) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectExpandingDirections", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSpacerItem) DisconnectExpandingDirections() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectExpandingDirections"})
}

func (ptr *QSpacerItem) ExpandingDirections() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandingDirections"}).(float64))
}

func (ptr *QSpacerItem) ExpandingDirectionsDefault() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandingDirectionsDefault"}).(float64))
}

func (ptr *QSpacerItem) ConnectGeometry(f func() *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectGeometry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSpacerItem) DisconnectGeometry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectGeometry"})
}

func (ptr *QSpacerItem) Geometry() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Geometry"}).(*core.QRect)
}

func (ptr *QSpacerItem) GeometryDefault() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GeometryDefault"}).(*core.QRect)
}

func (ptr *QSpacerItem) ConnectIsEmpty(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsEmpty", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSpacerItem) DisconnectIsEmpty() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsEmpty"})
}

func (ptr *QSpacerItem) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QSpacerItem) IsEmptyDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmptyDefault"}).(bool)
}

func (ptr *QSpacerItem) ConnectMaximumSize(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMaximumSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSpacerItem) DisconnectMaximumSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMaximumSize"})
}

func (ptr *QSpacerItem) MaximumSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumSize"}).(*core.QSize)
}

func (ptr *QSpacerItem) MaximumSizeDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumSizeDefault"}).(*core.QSize)
}

func (ptr *QSpacerItem) ConnectMinimumSize(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMinimumSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSpacerItem) DisconnectMinimumSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMinimumSize"})
}

func (ptr *QSpacerItem) MinimumSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumSize"}).(*core.QSize)
}

func (ptr *QSpacerItem) MinimumSizeDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumSizeDefault"}).(*core.QSize)
}

func (ptr *QSpacerItem) ConnectSetGeometry(f func(r *core.QRect)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetGeometry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSpacerItem) DisconnectSetGeometry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetGeometry"})
}

func (ptr *QSpacerItem) SetGeometry(r core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGeometry", r})
}

func (ptr *QSpacerItem) SetGeometryDefault(r core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGeometryDefault", r})
}

func (ptr *QSpacerItem) ConnectSizeHint(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSpacerItem) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QSpacerItem) SizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint"}).(*core.QSize)
}

func (ptr *QSpacerItem) SizeHintDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintDefault"}).(*core.QSize)
}

func (ptr *QSpacerItem) SizePolicy() *QSizePolicy {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizePolicy"}).(*QSizePolicy)
}

func (ptr *QSpacerItem) ConnectDestroyQSpacerItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSpacerItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSpacerItem) DisconnectDestroyQSpacerItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSpacerItem"})
}

func (ptr *QSpacerItem) DestroyQSpacerItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSpacerItem"})
}

func (ptr *QSpacerItem) DestroyQSpacerItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSpacerItemDefault"})
}

type QSpinBox struct {
	QAbstractSpinBox
}

type QSpinBox_ITF interface {
	QAbstractSpinBox_ITF
	QSpinBox_PTR() *QSpinBox
}

func (ptr *QSpinBox) QSpinBox_PTR() *QSpinBox {
	return ptr
}

func (ptr *QSpinBox) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractSpinBox_PTR().Pointer()
	}
	return nil
}

func (ptr *QSpinBox) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractSpinBox_PTR().SetPointer(p)
	}
}

func PointerFromQSpinBox(ptr QSpinBox_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSpinBox_PTR().Pointer()
	}
	return nil
}

func (n *QSpinBox) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractSpinBox_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSpinBox) ClassNameInternalF() string {
	return n.QAbstractSpinBox_PTR().ClassNameInternalF()
}

func NewQSpinBoxFromPointer(ptr unsafe.Pointer) (n *QSpinBox) {
	n = new(QSpinBox)
	n.InitFromInternal(uintptr(ptr), "widgets.QSpinBox")
	return
}
func NewQSpinBox(parent QWidget_ITF) *QSpinBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQSpinBox", "", parent}).(*QSpinBox)
}

func (ptr *QSpinBox) CleanText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CleanText"}).(string)
}

func (ptr *QSpinBox) DisplayIntegerBase() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisplayIntegerBase"}).(float64))
}

func (ptr *QSpinBox) Maximum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Maximum"}).(float64))
}

func (ptr *QSpinBox) Minimum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Minimum"}).(float64))
}

func (ptr *QSpinBox) Prefix() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Prefix"}).(string)
}

func (ptr *QSpinBox) SetDisplayIntegerBase(base int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDisplayIntegerBase", base})
}

func (ptr *QSpinBox) SetMaximum(max int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximum", max})
}

func (ptr *QSpinBox) SetMinimum(min int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimum", min})
}

func (ptr *QSpinBox) SetPrefix(prefix string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPrefix", prefix})
}

func (ptr *QSpinBox) SetRange(minimum int, maximum int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRange", minimum, maximum})
}

func (ptr *QSpinBox) SetSingleStep(val int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSingleStep", val})
}

func (ptr *QSpinBox) SetStepType(stepType QAbstractSpinBox__StepType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStepType", stepType})
}

func (ptr *QSpinBox) SetSuffix(suffix string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSuffix", suffix})
}

func (ptr *QSpinBox) ConnectSetValue(f func(val int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSpinBox) DisconnectSetValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetValue"})
}

func (ptr *QSpinBox) SetValue(val int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValue", val})
}

func (ptr *QSpinBox) SetValueDefault(val int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetValueDefault", val})
}

func (ptr *QSpinBox) SingleStep() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SingleStep"}).(float64))
}

func (ptr *QSpinBox) StepType() QAbstractSpinBox__StepType {

	return QAbstractSpinBox__StepType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StepType"}).(float64))
}

func (ptr *QSpinBox) Suffix() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Suffix"}).(string)
}

func (ptr *QSpinBox) ConnectTextFromValue(f func(value int) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTextFromValue", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSpinBox) DisconnectTextFromValue() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTextFromValue"})
}

func (ptr *QSpinBox) TextFromValue(value int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextFromValue", value}).(string)
}

func (ptr *QSpinBox) TextFromValueDefault(value int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextFromValueDefault", value}).(string)
}

func (ptr *QSpinBox) Value() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Value"}).(float64))
}

func (ptr *QSpinBox) ConnectValueChanged(f func(i int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValueChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSpinBox) DisconnectValueChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValueChanged"})
}

func (ptr *QSpinBox) ValueChanged(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueChanged", i})
}

func (ptr *QSpinBox) ConnectValueChanged2(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValueChanged2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSpinBox) DisconnectValueChanged2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValueChanged2"})
}

func (ptr *QSpinBox) ValueChanged2(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueChanged2", text})
}

func (ptr *QSpinBox) ConnectValueFromText(f func(text string) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValueFromText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSpinBox) DisconnectValueFromText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValueFromText"})
}

func (ptr *QSpinBox) ValueFromText(text string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueFromText", text}).(float64))
}

func (ptr *QSpinBox) ValueFromTextDefault(text string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValueFromTextDefault", text}).(float64))
}

func (ptr *QSpinBox) ConnectDestroyQSpinBox(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSpinBox", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSpinBox) DisconnectDestroyQSpinBox() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSpinBox"})
}

func (ptr *QSpinBox) DestroyQSpinBox() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSpinBox"})
}

func (ptr *QSpinBox) DestroyQSpinBoxDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSpinBoxDefault"})
}

type QSplashScreen struct {
	QWidget
}

type QSplashScreen_ITF interface {
	QWidget_ITF
	QSplashScreen_PTR() *QSplashScreen
}

func (ptr *QSplashScreen) QSplashScreen_PTR() *QSplashScreen {
	return ptr
}

func (ptr *QSplashScreen) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QSplashScreen) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQSplashScreen(ptr QSplashScreen_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSplashScreen_PTR().Pointer()
	}
	return nil
}

func (n *QSplashScreen) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSplashScreen) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQSplashScreenFromPointer(ptr unsafe.Pointer) (n *QSplashScreen) {
	n = new(QSplashScreen)
	n.InitFromInternal(uintptr(ptr), "widgets.QSplashScreen")
	return
}
func NewQSplashScreen(pixmap gui.QPixmap_ITF, ff core.Qt__WindowType) *QSplashScreen {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQSplashScreen", "", pixmap, ff}).(*QSplashScreen)
}

func NewQSplashScreen2(parent QWidget_ITF, pixmap gui.QPixmap_ITF, ff core.Qt__WindowType) *QSplashScreen {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQSplashScreen2", "", parent, pixmap, ff}).(*QSplashScreen)
}

func (ptr *QSplashScreen) ConnectClearMessage(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClearMessage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSplashScreen) DisconnectClearMessage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClearMessage"})
}

func (ptr *QSplashScreen) ClearMessage() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearMessage"})
}

func (ptr *QSplashScreen) ClearMessageDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearMessageDefault"})
}

func (ptr *QSplashScreen) ConnectDrawContents(f func(painter *gui.QPainter)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawContents", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSplashScreen) DisconnectDrawContents() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawContents"})
}

func (ptr *QSplashScreen) DrawContents(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawContents", painter})
}

func (ptr *QSplashScreen) DrawContentsDefault(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawContentsDefault", painter})
}

func (ptr *QSplashScreen) Finish(mainWin QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Finish", mainWin})
}

func (ptr *QSplashScreen) Message() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Message"}).(string)
}

func (ptr *QSplashScreen) ConnectMessageChanged(f func(message string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMessageChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSplashScreen) DisconnectMessageChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMessageChanged"})
}

func (ptr *QSplashScreen) MessageChanged(message string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MessageChanged", message})
}

func (ptr *QSplashScreen) Pixmap() *gui.QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixmap"}).(*gui.QPixmap)
}

func (ptr *QSplashScreen) Repaint() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Repaint"})
}

func (ptr *QSplashScreen) SetPixmap(pixmap gui.QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixmap", pixmap})
}

func (ptr *QSplashScreen) ConnectShowMessage(f func(message string, alignment int, color *gui.QColor)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowMessage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSplashScreen) DisconnectShowMessage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowMessage"})
}

func (ptr *QSplashScreen) ShowMessage(message string, alignment int, color gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMessage", message, alignment, color})
}

func (ptr *QSplashScreen) ShowMessageDefault(message string, alignment int, color gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMessageDefault", message, alignment, color})
}

func (ptr *QSplashScreen) ConnectDestroyQSplashScreen(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSplashScreen", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSplashScreen) DisconnectDestroyQSplashScreen() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSplashScreen"})
}

func (ptr *QSplashScreen) DestroyQSplashScreen() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSplashScreen"})
}

func (ptr *QSplashScreen) DestroyQSplashScreenDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSplashScreenDefault"})
}

type QSplitter struct {
	QFrame
}

type QSplitter_ITF interface {
	QFrame_ITF
	QSplitter_PTR() *QSplitter
}

func (ptr *QSplitter) QSplitter_PTR() *QSplitter {
	return ptr
}

func (ptr *QSplitter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QFrame_PTR().Pointer()
	}
	return nil
}

func (ptr *QSplitter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QFrame_PTR().SetPointer(p)
	}
}

func PointerFromQSplitter(ptr QSplitter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSplitter_PTR().Pointer()
	}
	return nil
}

func (n *QSplitter) InitFromInternal(ptr uintptr, name string) {
	n.QFrame_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSplitter) ClassNameInternalF() string {
	return n.QFrame_PTR().ClassNameInternalF()
}

func NewQSplitterFromPointer(ptr unsafe.Pointer) (n *QSplitter) {
	n = new(QSplitter)
	n.InitFromInternal(uintptr(ptr), "widgets.QSplitter")
	return
}
func NewQSplitter(parent QWidget_ITF) *QSplitter {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQSplitter", "", parent}).(*QSplitter)
}

func NewQSplitter2(orientation core.Qt__Orientation, parent QWidget_ITF) *QSplitter {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQSplitter2", "", orientation, parent}).(*QSplitter)
}

func (ptr *QSplitter) AddWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddWidget", widget})
}

func (ptr *QSplitter) ChildrenCollapsible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildrenCollapsible"}).(bool)
}

func (ptr *QSplitter) ClosestLegalPosition(pos int, index int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClosestLegalPosition", pos, index}).(float64))
}

func (ptr *QSplitter) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QSplitter) ConnectCreateHandle(f func() *QSplitterHandle) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreateHandle", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSplitter) DisconnectCreateHandle() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreateHandle"})
}

func (ptr *QSplitter) CreateHandle() *QSplitterHandle {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateHandle"}).(*QSplitterHandle)
}

func (ptr *QSplitter) CreateHandleDefault() *QSplitterHandle {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateHandleDefault"}).(*QSplitterHandle)
}

func (ptr *QSplitter) GetRange(index int, min int, max int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GetRange", index, min, max})
}

func (ptr *QSplitter) Handle(index int) *QSplitterHandle {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Handle", index}).(*QSplitterHandle)
}

func (ptr *QSplitter) HandleWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HandleWidth"}).(float64))
}

func (ptr *QSplitter) IndexOf(widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOf", widget}).(float64))
}

func (ptr *QSplitter) InsertWidget(index int, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertWidget", index, widget})
}

func (ptr *QSplitter) IsCollapsible(index int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCollapsible", index}).(bool)
}

func (ptr *QSplitter) MoveSplitter(pos int, index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveSplitter", pos, index})
}

func (ptr *QSplitter) OpaqueResize() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpaqueResize"}).(bool)
}

func (ptr *QSplitter) Orientation() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QSplitter) Refresh() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Refresh"})
}

func (ptr *QSplitter) ReplaceWidget(index int, widget QWidget_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReplaceWidget", index, widget}).(*QWidget)
}

func (ptr *QSplitter) RestoreState(state core.QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RestoreState", state}).(bool)
}

func (ptr *QSplitter) SaveState() *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SaveState"}).(*core.QByteArray)
}

func (ptr *QSplitter) SetChildrenCollapsible(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChildrenCollapsible", vbo})
}

func (ptr *QSplitter) SetCollapsible(index int, collapse bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCollapsible", index, collapse})
}

func (ptr *QSplitter) SetHandleWidth(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHandleWidth", vin})
}

func (ptr *QSplitter) SetOpaqueResize(opaque bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOpaqueResize", opaque})
}

func (ptr *QSplitter) SetOrientation(vqt core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrientation", vqt})
}

func (ptr *QSplitter) SetRubberBand(pos int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRubberBand", pos})
}

func (ptr *QSplitter) SetSizes(list []int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSizes", list})
}

func (ptr *QSplitter) SetStretchFactor(index int, stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStretchFactor", index, stretch})
}

func (ptr *QSplitter) Sizes() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Sizes"}).([]int)
}

func (ptr *QSplitter) ConnectSplitterMoved(f func(pos int, index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSplitterMoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSplitter) DisconnectSplitterMoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSplitterMoved"})
}

func (ptr *QSplitter) SplitterMoved(pos int, index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SplitterMoved", pos, index})
}

func (ptr *QSplitter) Widget(index int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Widget", index}).(*QWidget)
}

func (ptr *QSplitter) ConnectDestroyQSplitter(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSplitter", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSplitter) DisconnectDestroyQSplitter() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSplitter"})
}

func (ptr *QSplitter) DestroyQSplitter() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSplitter"})
}

func (ptr *QSplitter) DestroyQSplitterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSplitterDefault"})
}

func (ptr *QSplitter) __setSizes_list_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setSizes_list_atList", i}).(float64))
}

func (ptr *QSplitter) __setSizes_list_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setSizes_list_setList", i})
}

func (ptr *QSplitter) __setSizes_list_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setSizes_list_newList"}).(unsafe.Pointer)
}

func (ptr *QSplitter) __sizes_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__sizes_atList", i}).(float64))
}

func (ptr *QSplitter) __sizes_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__sizes_setList", i})
}

func (ptr *QSplitter) __sizes_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__sizes_newList"}).(unsafe.Pointer)
}

type QSplitterHandle struct {
	QWidget
}

type QSplitterHandle_ITF interface {
	QWidget_ITF
	QSplitterHandle_PTR() *QSplitterHandle
}

func (ptr *QSplitterHandle) QSplitterHandle_PTR() *QSplitterHandle {
	return ptr
}

func (ptr *QSplitterHandle) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QSplitterHandle) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQSplitterHandle(ptr QSplitterHandle_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSplitterHandle_PTR().Pointer()
	}
	return nil
}

func (n *QSplitterHandle) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSplitterHandle) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQSplitterHandleFromPointer(ptr unsafe.Pointer) (n *QSplitterHandle) {
	n = new(QSplitterHandle)
	n.InitFromInternal(uintptr(ptr), "widgets.QSplitterHandle")
	return
}
func NewQSplitterHandle(orientation core.Qt__Orientation, parent QSplitter_ITF) *QSplitterHandle {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQSplitterHandle", "", orientation, parent}).(*QSplitterHandle)
}

func (ptr *QSplitterHandle) ClosestLegalPosition(pos int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClosestLegalPosition", pos}).(float64))
}

func (ptr *QSplitterHandle) MoveSplitter(pos int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveSplitter", pos})
}

func (ptr *QSplitterHandle) OpaqueResize() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpaqueResize"}).(bool)
}

func (ptr *QSplitterHandle) Orientation() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QSplitterHandle) SetOrientation(orientation core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrientation", orientation})
}

func (ptr *QSplitterHandle) Splitter() *QSplitter {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Splitter"}).(*QSplitter)
}

func (ptr *QSplitterHandle) ConnectDestroyQSplitterHandle(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSplitterHandle", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSplitterHandle) DisconnectDestroyQSplitterHandle() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSplitterHandle"})
}

func (ptr *QSplitterHandle) DestroyQSplitterHandle() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSplitterHandle"})
}

func (ptr *QSplitterHandle) DestroyQSplitterHandleDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSplitterHandleDefault"})
}

type QStackedLayout struct {
	QLayout
}

type QStackedLayout_ITF interface {
	QLayout_ITF
	QStackedLayout_PTR() *QStackedLayout
}

func (ptr *QStackedLayout) QStackedLayout_PTR() *QStackedLayout {
	return ptr
}

func (ptr *QStackedLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QLayout_PTR().Pointer()
	}
	return nil
}

func (ptr *QStackedLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QLayout_PTR().SetPointer(p)
	}
}

func PointerFromQStackedLayout(ptr QStackedLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStackedLayout_PTR().Pointer()
	}
	return nil
}

func (n *QStackedLayout) InitFromInternal(ptr uintptr, name string) {
	n.QLayout_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStackedLayout) ClassNameInternalF() string {
	return n.QLayout_PTR().ClassNameInternalF()
}

func NewQStackedLayoutFromPointer(ptr unsafe.Pointer) (n *QStackedLayout) {
	n = new(QStackedLayout)
	n.InitFromInternal(uintptr(ptr), "widgets.QStackedLayout")
	return
}

//go:generate stringer -type=QStackedLayout__StackingMode
//QStackedLayout::StackingMode
type QStackedLayout__StackingMode int64

const (
	QStackedLayout__StackOne QStackedLayout__StackingMode = QStackedLayout__StackingMode(0)
	QStackedLayout__StackAll QStackedLayout__StackingMode = QStackedLayout__StackingMode(1)
)

func NewQStackedLayout() *QStackedLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStackedLayout", ""}).(*QStackedLayout)
}

func NewQStackedLayout2(parent QWidget_ITF) *QStackedLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStackedLayout2", "", parent}).(*QStackedLayout)
}

func NewQStackedLayout3(parentLayout QLayout_ITF) *QStackedLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStackedLayout3", "", parentLayout}).(*QStackedLayout)
}

func (ptr *QStackedLayout) ConnectAddItem(f func(item *QLayoutItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAddItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedLayout) DisconnectAddItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAddItem"})
}

func (ptr *QStackedLayout) AddItem(item QLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem", item})
}

func (ptr *QStackedLayout) AddItemDefault(item QLayoutItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItemDefault", item})
}

func (ptr *QStackedLayout) AddWidget(widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddWidget", widget}).(float64))
}

func (ptr *QStackedLayout) ConnectCount(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCount", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedLayout) DisconnectCount() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCount"})
}

func (ptr *QStackedLayout) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QStackedLayout) CountDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CountDefault"}).(float64))
}

func (ptr *QStackedLayout) ConnectCurrentChanged(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedLayout) DisconnectCurrentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentChanged"})
}

func (ptr *QStackedLayout) CurrentChanged(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChanged", index})
}

func (ptr *QStackedLayout) CurrentIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentIndex"}).(float64))
}

func (ptr *QStackedLayout) CurrentWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentWidget"}).(*QWidget)
}

func (ptr *QStackedLayout) InsertWidget(index int, widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertWidget", index, widget}).(float64))
}

func (ptr *QStackedLayout) ConnectItemAt(f func(index int) *QLayoutItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedLayout) DisconnectItemAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemAt"})
}

func (ptr *QStackedLayout) ItemAt(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt", index}).(*QLayoutItem)
}

func (ptr *QStackedLayout) ItemAtDefault(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAtDefault", index}).(*QLayoutItem)
}

func (ptr *QStackedLayout) ConnectSetCurrentIndex(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedLayout) DisconnectSetCurrentIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentIndex"})
}

func (ptr *QStackedLayout) SetCurrentIndex(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndex", index})
}

func (ptr *QStackedLayout) SetCurrentIndexDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndexDefault", index})
}

func (ptr *QStackedLayout) ConnectSetCurrentWidget(f func(widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedLayout) DisconnectSetCurrentWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentWidget"})
}

func (ptr *QStackedLayout) SetCurrentWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentWidget", widget})
}

func (ptr *QStackedLayout) SetCurrentWidgetDefault(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentWidgetDefault", widget})
}

func (ptr *QStackedLayout) SetStackingMode(stackingMode QStackedLayout__StackingMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStackingMode", stackingMode})
}

func (ptr *QStackedLayout) ConnectSizeHint(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedLayout) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QStackedLayout) SizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint"}).(*core.QSize)
}

func (ptr *QStackedLayout) SizeHintDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintDefault"}).(*core.QSize)
}

func (ptr *QStackedLayout) StackingMode() QStackedLayout__StackingMode {

	return QStackedLayout__StackingMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StackingMode"}).(float64))
}

func (ptr *QStackedLayout) ConnectTakeAt(f func(index int) *QLayoutItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTakeAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedLayout) DisconnectTakeAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTakeAt"})
}

func (ptr *QStackedLayout) TakeAt(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeAt", index}).(*QLayoutItem)
}

func (ptr *QStackedLayout) TakeAtDefault(index int) *QLayoutItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeAtDefault", index}).(*QLayoutItem)
}

func (ptr *QStackedLayout) Widget(index int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Widget", index}).(*QWidget)
}

func (ptr *QStackedLayout) ConnectWidgetRemoved(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWidgetRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedLayout) DisconnectWidgetRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWidgetRemoved"})
}

func (ptr *QStackedLayout) WidgetRemoved(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WidgetRemoved", index})
}

func (ptr *QStackedLayout) ConnectDestroyQStackedLayout(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQStackedLayout", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedLayout) DisconnectDestroyQStackedLayout() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQStackedLayout"})
}

func (ptr *QStackedLayout) DestroyQStackedLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStackedLayout"})
}

func (ptr *QStackedLayout) DestroyQStackedLayoutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStackedLayoutDefault"})
}

type QStackedWidget struct {
	QFrame
}

type QStackedWidget_ITF interface {
	QFrame_ITF
	QStackedWidget_PTR() *QStackedWidget
}

func (ptr *QStackedWidget) QStackedWidget_PTR() *QStackedWidget {
	return ptr
}

func (ptr *QStackedWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QFrame_PTR().Pointer()
	}
	return nil
}

func (ptr *QStackedWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QFrame_PTR().SetPointer(p)
	}
}

func PointerFromQStackedWidget(ptr QStackedWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStackedWidget_PTR().Pointer()
	}
	return nil
}

func (n *QStackedWidget) InitFromInternal(ptr uintptr, name string) {
	n.QFrame_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStackedWidget) ClassNameInternalF() string {
	return n.QFrame_PTR().ClassNameInternalF()
}

func NewQStackedWidgetFromPointer(ptr unsafe.Pointer) (n *QStackedWidget) {
	n = new(QStackedWidget)
	n.InitFromInternal(uintptr(ptr), "widgets.QStackedWidget")
	return
}
func NewQStackedWidget(parent QWidget_ITF) *QStackedWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStackedWidget", "", parent}).(*QStackedWidget)
}

func (ptr *QStackedWidget) AddWidget(widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddWidget", widget}).(float64))
}

func (ptr *QStackedWidget) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QStackedWidget) ConnectCurrentChanged(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedWidget) DisconnectCurrentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentChanged"})
}

func (ptr *QStackedWidget) CurrentChanged(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChanged", index})
}

func (ptr *QStackedWidget) CurrentIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentIndex"}).(float64))
}

func (ptr *QStackedWidget) CurrentWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentWidget"}).(*QWidget)
}

func (ptr *QStackedWidget) IndexOf(widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOf", widget}).(float64))
}

func (ptr *QStackedWidget) InsertWidget(index int, widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertWidget", index, widget}).(float64))
}

func (ptr *QStackedWidget) RemoveWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveWidget", widget})
}

func (ptr *QStackedWidget) ConnectSetCurrentIndex(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedWidget) DisconnectSetCurrentIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentIndex"})
}

func (ptr *QStackedWidget) SetCurrentIndex(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndex", index})
}

func (ptr *QStackedWidget) SetCurrentIndexDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndexDefault", index})
}

func (ptr *QStackedWidget) ConnectSetCurrentWidget(f func(widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedWidget) DisconnectSetCurrentWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentWidget"})
}

func (ptr *QStackedWidget) SetCurrentWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentWidget", widget})
}

func (ptr *QStackedWidget) SetCurrentWidgetDefault(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentWidgetDefault", widget})
}

func (ptr *QStackedWidget) Widget(index int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Widget", index}).(*QWidget)
}

func (ptr *QStackedWidget) ConnectWidgetRemoved(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWidgetRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedWidget) DisconnectWidgetRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWidgetRemoved"})
}

func (ptr *QStackedWidget) WidgetRemoved(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WidgetRemoved", index})
}

func (ptr *QStackedWidget) ConnectDestroyQStackedWidget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQStackedWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStackedWidget) DisconnectDestroyQStackedWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQStackedWidget"})
}

func (ptr *QStackedWidget) DestroyQStackedWidget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStackedWidget"})
}

func (ptr *QStackedWidget) DestroyQStackedWidgetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStackedWidgetDefault"})
}

type QStandardItemEditorCreator struct {
	QItemEditorCreatorBase
}

type QStandardItemEditorCreator_ITF interface {
	QItemEditorCreatorBase_ITF
	QStandardItemEditorCreator_PTR() *QStandardItemEditorCreator
}

func (ptr *QStandardItemEditorCreator) QStandardItemEditorCreator_PTR() *QStandardItemEditorCreator {
	return ptr
}

func (ptr *QStandardItemEditorCreator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QItemEditorCreatorBase_PTR().Pointer()
	}
	return nil
}

func (ptr *QStandardItemEditorCreator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QItemEditorCreatorBase_PTR().SetPointer(p)
	}
}

func PointerFromQStandardItemEditorCreator(ptr QStandardItemEditorCreator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStandardItemEditorCreator_PTR().Pointer()
	}
	return nil
}

func (n *QStandardItemEditorCreator) InitFromInternal(ptr uintptr, name string) {
	n.QItemEditorCreatorBase_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStandardItemEditorCreator) ClassNameInternalF() string {
	return n.QItemEditorCreatorBase_PTR().ClassNameInternalF()
}

func NewQStandardItemEditorCreatorFromPointer(ptr unsafe.Pointer) (n *QStandardItemEditorCreator) {
	n = new(QStandardItemEditorCreator)
	n.InitFromInternal(uintptr(ptr), "widgets.QStandardItemEditorCreator")
	return
}

func (ptr *QStandardItemEditorCreator) DestroyQStandardItemEditorCreator() {
}

type QStatusBar struct {
	QWidget
}

type QStatusBar_ITF interface {
	QWidget_ITF
	QStatusBar_PTR() *QStatusBar
}

func (ptr *QStatusBar) QStatusBar_PTR() *QStatusBar {
	return ptr
}

func (ptr *QStatusBar) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QStatusBar) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQStatusBar(ptr QStatusBar_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStatusBar_PTR().Pointer()
	}
	return nil
}

func (n *QStatusBar) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStatusBar) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQStatusBarFromPointer(ptr unsafe.Pointer) (n *QStatusBar) {
	n = new(QStatusBar)
	n.InitFromInternal(uintptr(ptr), "widgets.QStatusBar")
	return
}
func NewQStatusBar(parent QWidget_ITF) *QStatusBar {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStatusBar", "", parent}).(*QStatusBar)
}

func (ptr *QStatusBar) AddPermanentWidget(widget QWidget_ITF, stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPermanentWidget", widget, stretch})
}

func (ptr *QStatusBar) AddWidget(widget QWidget_ITF, stretch int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddWidget", widget, stretch})
}

func (ptr *QStatusBar) ConnectClearMessage(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClearMessage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStatusBar) DisconnectClearMessage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClearMessage"})
}

func (ptr *QStatusBar) ClearMessage() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearMessage"})
}

func (ptr *QStatusBar) ClearMessageDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearMessageDefault"})
}

func (ptr *QStatusBar) CurrentMessage() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentMessage"}).(string)
}

func (ptr *QStatusBar) HideOrShow() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HideOrShow"})
}

func (ptr *QStatusBar) InsertPermanentWidget(index int, widget QWidget_ITF, stretch int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertPermanentWidget", index, widget, stretch}).(float64))
}

func (ptr *QStatusBar) InsertWidget(index int, widget QWidget_ITF, stretch int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertWidget", index, widget, stretch}).(float64))
}

func (ptr *QStatusBar) IsSizeGripEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSizeGripEnabled"}).(bool)
}

func (ptr *QStatusBar) ConnectMessageChanged(f func(message string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMessageChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStatusBar) DisconnectMessageChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMessageChanged"})
}

func (ptr *QStatusBar) MessageChanged(message string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MessageChanged", message})
}

func (ptr *QStatusBar) Reformat() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reformat"})
}

func (ptr *QStatusBar) RemoveWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveWidget", widget})
}

func (ptr *QStatusBar) SetSizeGripEnabled(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSizeGripEnabled", vbo})
}

func (ptr *QStatusBar) ConnectShowMessage(f func(message string, timeout int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowMessage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStatusBar) DisconnectShowMessage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowMessage"})
}

func (ptr *QStatusBar) ShowMessage(message string, timeout int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMessage", message, timeout})
}

func (ptr *QStatusBar) ShowMessageDefault(message string, timeout int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMessageDefault", message, timeout})
}

func (ptr *QStatusBar) ConnectDestroyQStatusBar(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQStatusBar", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStatusBar) DisconnectDestroyQStatusBar() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQStatusBar"})
}

func (ptr *QStatusBar) DestroyQStatusBar() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStatusBar"})
}

func (ptr *QStatusBar) DestroyQStatusBarDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStatusBarDefault"})
}

type QStyle struct {
	core.QObject
}

type QStyle_ITF interface {
	core.QObject_ITF
	QStyle_PTR() *QStyle
}

func (ptr *QStyle) QStyle_PTR() *QStyle {
	return ptr
}

func (ptr *QStyle) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyle) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQStyle(ptr QStyle_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyle_PTR().Pointer()
	}
	return nil
}

func (n *QStyle) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyle) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQStyleFromPointer(ptr unsafe.Pointer) (n *QStyle) {
	n = new(QStyle)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyle")
	return
}

//go:generate stringer -type=QStyle__StateFlag
//QStyle::StateFlag
type QStyle__StateFlag int64

const (
	QStyle__State_None                QStyle__StateFlag = QStyle__StateFlag(0x00000000)
	QStyle__State_Enabled             QStyle__StateFlag = QStyle__StateFlag(0x00000001)
	QStyle__State_Raised              QStyle__StateFlag = QStyle__StateFlag(0x00000002)
	QStyle__State_Sunken              QStyle__StateFlag = QStyle__StateFlag(0x00000004)
	QStyle__State_Off                 QStyle__StateFlag = QStyle__StateFlag(0x00000008)
	QStyle__State_NoChange            QStyle__StateFlag = QStyle__StateFlag(0x00000010)
	QStyle__State_On                  QStyle__StateFlag = QStyle__StateFlag(0x00000020)
	QStyle__State_DownArrow           QStyle__StateFlag = QStyle__StateFlag(0x00000040)
	QStyle__State_Horizontal          QStyle__StateFlag = QStyle__StateFlag(0x00000080)
	QStyle__State_HasFocus            QStyle__StateFlag = QStyle__StateFlag(0x00000100)
	QStyle__State_Top                 QStyle__StateFlag = QStyle__StateFlag(0x00000200)
	QStyle__State_Bottom              QStyle__StateFlag = QStyle__StateFlag(0x00000400)
	QStyle__State_FocusAtBorder       QStyle__StateFlag = QStyle__StateFlag(0x00000800)
	QStyle__State_AutoRaise           QStyle__StateFlag = QStyle__StateFlag(0x00001000)
	QStyle__State_MouseOver           QStyle__StateFlag = QStyle__StateFlag(0x00002000)
	QStyle__State_UpArrow             QStyle__StateFlag = QStyle__StateFlag(0x00004000)
	QStyle__State_Selected            QStyle__StateFlag = QStyle__StateFlag(0x00008000)
	QStyle__State_Active              QStyle__StateFlag = QStyle__StateFlag(0x00010000)
	QStyle__State_Window              QStyle__StateFlag = QStyle__StateFlag(0x00020000)
	QStyle__State_Open                QStyle__StateFlag = QStyle__StateFlag(0x00040000)
	QStyle__State_Children            QStyle__StateFlag = QStyle__StateFlag(0x00080000)
	QStyle__State_Item                QStyle__StateFlag = QStyle__StateFlag(0x00100000)
	QStyle__State_Sibling             QStyle__StateFlag = QStyle__StateFlag(0x00200000)
	QStyle__State_Editing             QStyle__StateFlag = QStyle__StateFlag(0x00400000)
	QStyle__State_KeyboardFocusChange QStyle__StateFlag = QStyle__StateFlag(0x00800000)
	QStyle__State_HasEditFocus        QStyle__StateFlag = QStyle__StateFlag(0x01000000)
	QStyle__State_ReadOnly            QStyle__StateFlag = QStyle__StateFlag(0x02000000)
	QStyle__State_Small               QStyle__StateFlag = QStyle__StateFlag(0x04000000)
	QStyle__State_Mini                QStyle__StateFlag = QStyle__StateFlag(0x08000000)
)

//go:generate stringer -type=QStyle__PrimitiveElement
//QStyle::PrimitiveElement
type QStyle__PrimitiveElement int64

const (
	QStyle__PE_Frame                           QStyle__PrimitiveElement = QStyle__PrimitiveElement(0)
	QStyle__PE_FrameDefaultButton              QStyle__PrimitiveElement = QStyle__PrimitiveElement(1)
	QStyle__PE_FrameDockWidget                 QStyle__PrimitiveElement = QStyle__PrimitiveElement(2)
	QStyle__PE_FrameFocusRect                  QStyle__PrimitiveElement = QStyle__PrimitiveElement(3)
	QStyle__PE_FrameGroupBox                   QStyle__PrimitiveElement = QStyle__PrimitiveElement(4)
	QStyle__PE_FrameLineEdit                   QStyle__PrimitiveElement = QStyle__PrimitiveElement(5)
	QStyle__PE_FrameMenu                       QStyle__PrimitiveElement = QStyle__PrimitiveElement(6)
	QStyle__PE_FrameStatusBarItem              QStyle__PrimitiveElement = QStyle__PrimitiveElement(7)
	QStyle__PE_FrameStatusBar                  QStyle__PrimitiveElement = QStyle__PrimitiveElement(QStyle__PE_FrameStatusBarItem)
	QStyle__PE_FrameTabWidget                  QStyle__PrimitiveElement = QStyle__PrimitiveElement(8)
	QStyle__PE_FrameWindow                     QStyle__PrimitiveElement = QStyle__PrimitiveElement(9)
	QStyle__PE_FrameButtonBevel                QStyle__PrimitiveElement = QStyle__PrimitiveElement(10)
	QStyle__PE_FrameButtonTool                 QStyle__PrimitiveElement = QStyle__PrimitiveElement(11)
	QStyle__PE_FrameTabBarBase                 QStyle__PrimitiveElement = QStyle__PrimitiveElement(12)
	QStyle__PE_PanelButtonCommand              QStyle__PrimitiveElement = QStyle__PrimitiveElement(13)
	QStyle__PE_PanelButtonBevel                QStyle__PrimitiveElement = QStyle__PrimitiveElement(14)
	QStyle__PE_PanelButtonTool                 QStyle__PrimitiveElement = QStyle__PrimitiveElement(15)
	QStyle__PE_PanelMenuBar                    QStyle__PrimitiveElement = QStyle__PrimitiveElement(16)
	QStyle__PE_PanelToolBar                    QStyle__PrimitiveElement = QStyle__PrimitiveElement(17)
	QStyle__PE_PanelLineEdit                   QStyle__PrimitiveElement = QStyle__PrimitiveElement(18)
	QStyle__PE_IndicatorArrowDown              QStyle__PrimitiveElement = QStyle__PrimitiveElement(19)
	QStyle__PE_IndicatorArrowLeft              QStyle__PrimitiveElement = QStyle__PrimitiveElement(20)
	QStyle__PE_IndicatorArrowRight             QStyle__PrimitiveElement = QStyle__PrimitiveElement(21)
	QStyle__PE_IndicatorArrowUp                QStyle__PrimitiveElement = QStyle__PrimitiveElement(22)
	QStyle__PE_IndicatorBranch                 QStyle__PrimitiveElement = QStyle__PrimitiveElement(23)
	QStyle__PE_IndicatorButtonDropDown         QStyle__PrimitiveElement = QStyle__PrimitiveElement(24)
	QStyle__PE_IndicatorItemViewItemCheck      QStyle__PrimitiveElement = QStyle__PrimitiveElement(25)
	QStyle__PE_IndicatorViewItemCheck          QStyle__PrimitiveElement = QStyle__PrimitiveElement(QStyle__PE_IndicatorItemViewItemCheck)
	QStyle__PE_IndicatorCheckBox               QStyle__PrimitiveElement = QStyle__PrimitiveElement(26)
	QStyle__PE_IndicatorDockWidgetResizeHandle QStyle__PrimitiveElement = QStyle__PrimitiveElement(27)
	QStyle__PE_IndicatorHeaderArrow            QStyle__PrimitiveElement = QStyle__PrimitiveElement(28)
	QStyle__PE_IndicatorMenuCheckMark          QStyle__PrimitiveElement = QStyle__PrimitiveElement(29)
	QStyle__PE_IndicatorProgressChunk          QStyle__PrimitiveElement = QStyle__PrimitiveElement(30)
	QStyle__PE_IndicatorRadioButton            QStyle__PrimitiveElement = QStyle__PrimitiveElement(31)
	QStyle__PE_IndicatorSpinDown               QStyle__PrimitiveElement = QStyle__PrimitiveElement(32)
	QStyle__PE_IndicatorSpinMinus              QStyle__PrimitiveElement = QStyle__PrimitiveElement(33)
	QStyle__PE_IndicatorSpinPlus               QStyle__PrimitiveElement = QStyle__PrimitiveElement(34)
	QStyle__PE_IndicatorSpinUp                 QStyle__PrimitiveElement = QStyle__PrimitiveElement(35)
	QStyle__PE_IndicatorToolBarHandle          QStyle__PrimitiveElement = QStyle__PrimitiveElement(36)
	QStyle__PE_IndicatorToolBarSeparator       QStyle__PrimitiveElement = QStyle__PrimitiveElement(37)
	QStyle__PE_PanelTipLabel                   QStyle__PrimitiveElement = QStyle__PrimitiveElement(38)
	QStyle__PE_IndicatorTabTear                QStyle__PrimitiveElement = QStyle__PrimitiveElement(39)
	QStyle__PE_IndicatorTabTearLeft            QStyle__PrimitiveElement = QStyle__PrimitiveElement(QStyle__PE_IndicatorTabTear)
	QStyle__PE_PanelScrollAreaCorner           QStyle__PrimitiveElement = QStyle__PrimitiveElement(40)
	QStyle__PE_Widget                          QStyle__PrimitiveElement = QStyle__PrimitiveElement(41)
	QStyle__PE_IndicatorColumnViewArrow        QStyle__PrimitiveElement = QStyle__PrimitiveElement(42)
	QStyle__PE_IndicatorItemViewItemDrop       QStyle__PrimitiveElement = QStyle__PrimitiveElement(43)
	QStyle__PE_PanelItemViewItem               QStyle__PrimitiveElement = QStyle__PrimitiveElement(44)
	QStyle__PE_PanelItemViewRow                QStyle__PrimitiveElement = QStyle__PrimitiveElement(45)
	QStyle__PE_PanelStatusBar                  QStyle__PrimitiveElement = QStyle__PrimitiveElement(46)
	QStyle__PE_IndicatorTabClose               QStyle__PrimitiveElement = QStyle__PrimitiveElement(47)
	QStyle__PE_PanelMenu                       QStyle__PrimitiveElement = QStyle__PrimitiveElement(48)
	QStyle__PE_IndicatorTabTearRight           QStyle__PrimitiveElement = QStyle__PrimitiveElement(49)
	QStyle__PE_CustomBase                      QStyle__PrimitiveElement = QStyle__PrimitiveElement(0xf000000)
)

//go:generate stringer -type=QStyle__ControlElement
//QStyle::ControlElement
type QStyle__ControlElement int64

const (
	QStyle__CE_PushButton          QStyle__ControlElement = QStyle__ControlElement(0)
	QStyle__CE_PushButtonBevel     QStyle__ControlElement = QStyle__ControlElement(1)
	QStyle__CE_PushButtonLabel     QStyle__ControlElement = QStyle__ControlElement(2)
	QStyle__CE_CheckBox            QStyle__ControlElement = QStyle__ControlElement(3)
	QStyle__CE_CheckBoxLabel       QStyle__ControlElement = QStyle__ControlElement(4)
	QStyle__CE_RadioButton         QStyle__ControlElement = QStyle__ControlElement(5)
	QStyle__CE_RadioButtonLabel    QStyle__ControlElement = QStyle__ControlElement(6)
	QStyle__CE_TabBarTab           QStyle__ControlElement = QStyle__ControlElement(7)
	QStyle__CE_TabBarTabShape      QStyle__ControlElement = QStyle__ControlElement(8)
	QStyle__CE_TabBarTabLabel      QStyle__ControlElement = QStyle__ControlElement(9)
	QStyle__CE_ProgressBar         QStyle__ControlElement = QStyle__ControlElement(10)
	QStyle__CE_ProgressBarGroove   QStyle__ControlElement = QStyle__ControlElement(11)
	QStyle__CE_ProgressBarContents QStyle__ControlElement = QStyle__ControlElement(12)
	QStyle__CE_ProgressBarLabel    QStyle__ControlElement = QStyle__ControlElement(13)
	QStyle__CE_MenuItem            QStyle__ControlElement = QStyle__ControlElement(14)
	QStyle__CE_MenuScroller        QStyle__ControlElement = QStyle__ControlElement(15)
	QStyle__CE_MenuVMargin         QStyle__ControlElement = QStyle__ControlElement(16)
	QStyle__CE_MenuHMargin         QStyle__ControlElement = QStyle__ControlElement(17)
	QStyle__CE_MenuTearoff         QStyle__ControlElement = QStyle__ControlElement(18)
	QStyle__CE_MenuEmptyArea       QStyle__ControlElement = QStyle__ControlElement(19)
	QStyle__CE_MenuBarItem         QStyle__ControlElement = QStyle__ControlElement(20)
	QStyle__CE_MenuBarEmptyArea    QStyle__ControlElement = QStyle__ControlElement(21)
	QStyle__CE_ToolButtonLabel     QStyle__ControlElement = QStyle__ControlElement(22)
	QStyle__CE_Header              QStyle__ControlElement = QStyle__ControlElement(23)
	QStyle__CE_HeaderSection       QStyle__ControlElement = QStyle__ControlElement(24)
	QStyle__CE_HeaderLabel         QStyle__ControlElement = QStyle__ControlElement(25)
	QStyle__CE_ToolBoxTab          QStyle__ControlElement = QStyle__ControlElement(26)
	QStyle__CE_SizeGrip            QStyle__ControlElement = QStyle__ControlElement(27)
	QStyle__CE_Splitter            QStyle__ControlElement = QStyle__ControlElement(28)
	QStyle__CE_RubberBand          QStyle__ControlElement = QStyle__ControlElement(29)
	QStyle__CE_DockWidgetTitle     QStyle__ControlElement = QStyle__ControlElement(30)
	QStyle__CE_ScrollBarAddLine    QStyle__ControlElement = QStyle__ControlElement(31)
	QStyle__CE_ScrollBarSubLine    QStyle__ControlElement = QStyle__ControlElement(32)
	QStyle__CE_ScrollBarAddPage    QStyle__ControlElement = QStyle__ControlElement(33)
	QStyle__CE_ScrollBarSubPage    QStyle__ControlElement = QStyle__ControlElement(34)
	QStyle__CE_ScrollBarSlider     QStyle__ControlElement = QStyle__ControlElement(35)
	QStyle__CE_ScrollBarFirst      QStyle__ControlElement = QStyle__ControlElement(36)
	QStyle__CE_ScrollBarLast       QStyle__ControlElement = QStyle__ControlElement(37)
	QStyle__CE_FocusFrame          QStyle__ControlElement = QStyle__ControlElement(38)
	QStyle__CE_ComboBoxLabel       QStyle__ControlElement = QStyle__ControlElement(39)
	QStyle__CE_ToolBar             QStyle__ControlElement = QStyle__ControlElement(40)
	QStyle__CE_ToolBoxTabShape     QStyle__ControlElement = QStyle__ControlElement(41)
	QStyle__CE_ToolBoxTabLabel     QStyle__ControlElement = QStyle__ControlElement(42)
	QStyle__CE_HeaderEmptyArea     QStyle__ControlElement = QStyle__ControlElement(43)
	QStyle__CE_ColumnViewGrip      QStyle__ControlElement = QStyle__ControlElement(44)
	QStyle__CE_ItemViewItem        QStyle__ControlElement = QStyle__ControlElement(45)
	QStyle__CE_ShapedFrame         QStyle__ControlElement = QStyle__ControlElement(46)
	QStyle__CE_CustomBase          QStyle__ControlElement = QStyle__ControlElement(0xf0000000)
)

//go:generate stringer -type=QStyle__SubElement
//QStyle::SubElement
type QStyle__SubElement int64

const (
	QStyle__SE_PushButtonContents         QStyle__SubElement = QStyle__SubElement(0)
	QStyle__SE_PushButtonFocusRect        QStyle__SubElement = QStyle__SubElement(1)
	QStyle__SE_CheckBoxIndicator          QStyle__SubElement = QStyle__SubElement(2)
	QStyle__SE_CheckBoxContents           QStyle__SubElement = QStyle__SubElement(3)
	QStyle__SE_CheckBoxFocusRect          QStyle__SubElement = QStyle__SubElement(4)
	QStyle__SE_CheckBoxClickRect          QStyle__SubElement = QStyle__SubElement(5)
	QStyle__SE_RadioButtonIndicator       QStyle__SubElement = QStyle__SubElement(6)
	QStyle__SE_RadioButtonContents        QStyle__SubElement = QStyle__SubElement(7)
	QStyle__SE_RadioButtonFocusRect       QStyle__SubElement = QStyle__SubElement(8)
	QStyle__SE_RadioButtonClickRect       QStyle__SubElement = QStyle__SubElement(9)
	QStyle__SE_ComboBoxFocusRect          QStyle__SubElement = QStyle__SubElement(10)
	QStyle__SE_SliderFocusRect            QStyle__SubElement = QStyle__SubElement(11)
	QStyle__SE_ProgressBarGroove          QStyle__SubElement = QStyle__SubElement(12)
	QStyle__SE_ProgressBarContents        QStyle__SubElement = QStyle__SubElement(13)
	QStyle__SE_ProgressBarLabel           QStyle__SubElement = QStyle__SubElement(14)
	QStyle__SE_ToolBoxTabContents         QStyle__SubElement = QStyle__SubElement(15)
	QStyle__SE_HeaderLabel                QStyle__SubElement = QStyle__SubElement(16)
	QStyle__SE_HeaderArrow                QStyle__SubElement = QStyle__SubElement(17)
	QStyle__SE_TabWidgetTabBar            QStyle__SubElement = QStyle__SubElement(18)
	QStyle__SE_TabWidgetTabPane           QStyle__SubElement = QStyle__SubElement(19)
	QStyle__SE_TabWidgetTabContents       QStyle__SubElement = QStyle__SubElement(20)
	QStyle__SE_TabWidgetLeftCorner        QStyle__SubElement = QStyle__SubElement(21)
	QStyle__SE_TabWidgetRightCorner       QStyle__SubElement = QStyle__SubElement(22)
	QStyle__SE_ItemViewItemCheckIndicator QStyle__SubElement = QStyle__SubElement(23)
	QStyle__SE_ViewItemCheckIndicator     QStyle__SubElement = QStyle__SubElement(QStyle__SE_ItemViewItemCheckIndicator)
	QStyle__SE_TabBarTearIndicator        QStyle__SubElement = QStyle__SubElement(24)
	QStyle__SE_TabBarTearIndicatorLeft    QStyle__SubElement = QStyle__SubElement(QStyle__SE_TabBarTearIndicator)
	QStyle__SE_TreeViewDisclosureItem     QStyle__SubElement = QStyle__SubElement(25)
	QStyle__SE_LineEditContents           QStyle__SubElement = QStyle__SubElement(26)
	QStyle__SE_FrameContents              QStyle__SubElement = QStyle__SubElement(27)
	QStyle__SE_DockWidgetCloseButton      QStyle__SubElement = QStyle__SubElement(28)
	QStyle__SE_DockWidgetFloatButton      QStyle__SubElement = QStyle__SubElement(29)
	QStyle__SE_DockWidgetTitleBarText     QStyle__SubElement = QStyle__SubElement(30)
	QStyle__SE_DockWidgetIcon             QStyle__SubElement = QStyle__SubElement(31)
	QStyle__SE_CheckBoxLayoutItem         QStyle__SubElement = QStyle__SubElement(32)
	QStyle__SE_ComboBoxLayoutItem         QStyle__SubElement = QStyle__SubElement(33)
	QStyle__SE_DateTimeEditLayoutItem     QStyle__SubElement = QStyle__SubElement(34)
	QStyle__SE_DialogButtonBoxLayoutItem  QStyle__SubElement = QStyle__SubElement(35)
	QStyle__SE_LabelLayoutItem            QStyle__SubElement = QStyle__SubElement(36)
	QStyle__SE_ProgressBarLayoutItem      QStyle__SubElement = QStyle__SubElement(37)
	QStyle__SE_PushButtonLayoutItem       QStyle__SubElement = QStyle__SubElement(38)
	QStyle__SE_RadioButtonLayoutItem      QStyle__SubElement = QStyle__SubElement(39)
	QStyle__SE_SliderLayoutItem           QStyle__SubElement = QStyle__SubElement(40)
	QStyle__SE_SpinBoxLayoutItem          QStyle__SubElement = QStyle__SubElement(41)
	QStyle__SE_ToolButtonLayoutItem       QStyle__SubElement = QStyle__SubElement(42)
	QStyle__SE_FrameLayoutItem            QStyle__SubElement = QStyle__SubElement(43)
	QStyle__SE_GroupBoxLayoutItem         QStyle__SubElement = QStyle__SubElement(44)
	QStyle__SE_TabWidgetLayoutItem        QStyle__SubElement = QStyle__SubElement(45)
	QStyle__SE_ItemViewItemDecoration     QStyle__SubElement = QStyle__SubElement(46)
	QStyle__SE_ItemViewItemText           QStyle__SubElement = QStyle__SubElement(47)
	QStyle__SE_ItemViewItemFocusRect      QStyle__SubElement = QStyle__SubElement(48)
	QStyle__SE_TabBarTabLeftButton        QStyle__SubElement = QStyle__SubElement(49)
	QStyle__SE_TabBarTabRightButton       QStyle__SubElement = QStyle__SubElement(50)
	QStyle__SE_TabBarTabText              QStyle__SubElement = QStyle__SubElement(51)
	QStyle__SE_ShapedFrameContents        QStyle__SubElement = QStyle__SubElement(52)
	QStyle__SE_ToolBarHandle              QStyle__SubElement = QStyle__SubElement(53)
	QStyle__SE_TabBarScrollLeftButton     QStyle__SubElement = QStyle__SubElement(54)
	QStyle__SE_TabBarScrollRightButton    QStyle__SubElement = QStyle__SubElement(55)
	QStyle__SE_TabBarTearIndicatorRight   QStyle__SubElement = QStyle__SubElement(56)
	QStyle__SE_CustomBase                 QStyle__SubElement = QStyle__SubElement(0xf0000000)
)

//go:generate stringer -type=QStyle__ComplexControl
//QStyle::ComplexControl
type QStyle__ComplexControl int64

const (
	QStyle__CC_SpinBox     QStyle__ComplexControl = QStyle__ComplexControl(0)
	QStyle__CC_ComboBox    QStyle__ComplexControl = QStyle__ComplexControl(1)
	QStyle__CC_ScrollBar   QStyle__ComplexControl = QStyle__ComplexControl(2)
	QStyle__CC_Slider      QStyle__ComplexControl = QStyle__ComplexControl(3)
	QStyle__CC_ToolButton  QStyle__ComplexControl = QStyle__ComplexControl(4)
	QStyle__CC_TitleBar    QStyle__ComplexControl = QStyle__ComplexControl(5)
	QStyle__CC_Dial        QStyle__ComplexControl = QStyle__ComplexControl(6)
	QStyle__CC_GroupBox    QStyle__ComplexControl = QStyle__ComplexControl(7)
	QStyle__CC_MdiControls QStyle__ComplexControl = QStyle__ComplexControl(8)
	QStyle__CC_CustomBase  QStyle__ComplexControl = QStyle__ComplexControl(0xf0000000)
)

//go:generate stringer -type=QStyle__SubControl
//QStyle::SubControl
type QStyle__SubControl int64

const (
	QStyle__SC_None                      QStyle__SubControl = QStyle__SubControl(0x00000000)
	QStyle__SC_ScrollBarAddLine          QStyle__SubControl = QStyle__SubControl(0x00000001)
	QStyle__SC_ScrollBarSubLine          QStyle__SubControl = QStyle__SubControl(0x00000002)
	QStyle__SC_ScrollBarAddPage          QStyle__SubControl = QStyle__SubControl(0x00000004)
	QStyle__SC_ScrollBarSubPage          QStyle__SubControl = QStyle__SubControl(0x00000008)
	QStyle__SC_ScrollBarFirst            QStyle__SubControl = QStyle__SubControl(0x00000010)
	QStyle__SC_ScrollBarLast             QStyle__SubControl = QStyle__SubControl(0x00000020)
	QStyle__SC_ScrollBarSlider           QStyle__SubControl = QStyle__SubControl(0x00000040)
	QStyle__SC_ScrollBarGroove           QStyle__SubControl = QStyle__SubControl(0x00000080)
	QStyle__SC_SpinBoxUp                 QStyle__SubControl = QStyle__SubControl(0x00000001)
	QStyle__SC_SpinBoxDown               QStyle__SubControl = QStyle__SubControl(0x00000002)
	QStyle__SC_SpinBoxFrame              QStyle__SubControl = QStyle__SubControl(0x00000004)
	QStyle__SC_SpinBoxEditField          QStyle__SubControl = QStyle__SubControl(0x00000008)
	QStyle__SC_ComboBoxFrame             QStyle__SubControl = QStyle__SubControl(0x00000001)
	QStyle__SC_ComboBoxEditField         QStyle__SubControl = QStyle__SubControl(0x00000002)
	QStyle__SC_ComboBoxArrow             QStyle__SubControl = QStyle__SubControl(0x00000004)
	QStyle__SC_ComboBoxListBoxPopup      QStyle__SubControl = QStyle__SubControl(0x00000008)
	QStyle__SC_SliderGroove              QStyle__SubControl = QStyle__SubControl(0x00000001)
	QStyle__SC_SliderHandle              QStyle__SubControl = QStyle__SubControl(0x00000002)
	QStyle__SC_SliderTickmarks           QStyle__SubControl = QStyle__SubControl(0x00000004)
	QStyle__SC_ToolButton                QStyle__SubControl = QStyle__SubControl(0x00000001)
	QStyle__SC_ToolButtonMenu            QStyle__SubControl = QStyle__SubControl(0x00000002)
	QStyle__SC_TitleBarSysMenu           QStyle__SubControl = QStyle__SubControl(0x00000001)
	QStyle__SC_TitleBarMinButton         QStyle__SubControl = QStyle__SubControl(0x00000002)
	QStyle__SC_TitleBarMaxButton         QStyle__SubControl = QStyle__SubControl(0x00000004)
	QStyle__SC_TitleBarCloseButton       QStyle__SubControl = QStyle__SubControl(0x00000008)
	QStyle__SC_TitleBarNormalButton      QStyle__SubControl = QStyle__SubControl(0x00000010)
	QStyle__SC_TitleBarShadeButton       QStyle__SubControl = QStyle__SubControl(0x00000020)
	QStyle__SC_TitleBarUnshadeButton     QStyle__SubControl = QStyle__SubControl(0x00000040)
	QStyle__SC_TitleBarContextHelpButton QStyle__SubControl = QStyle__SubControl(0x00000080)
	QStyle__SC_TitleBarLabel             QStyle__SubControl = QStyle__SubControl(0x00000100)
	QStyle__SC_DialGroove                QStyle__SubControl = QStyle__SubControl(0x00000001)
	QStyle__SC_DialHandle                QStyle__SubControl = QStyle__SubControl(0x00000002)
	QStyle__SC_DialTickmarks             QStyle__SubControl = QStyle__SubControl(0x00000004)
	QStyle__SC_GroupBoxCheckBox          QStyle__SubControl = QStyle__SubControl(0x00000001)
	QStyle__SC_GroupBoxLabel             QStyle__SubControl = QStyle__SubControl(0x00000002)
	QStyle__SC_GroupBoxContents          QStyle__SubControl = QStyle__SubControl(0x00000004)
	QStyle__SC_GroupBoxFrame             QStyle__SubControl = QStyle__SubControl(0x00000008)
	QStyle__SC_MdiMinButton              QStyle__SubControl = QStyle__SubControl(0x00000001)
	QStyle__SC_MdiNormalButton           QStyle__SubControl = QStyle__SubControl(0x00000002)
	QStyle__SC_MdiCloseButton            QStyle__SubControl = QStyle__SubControl(0x00000004)
	QStyle__SC_CustomBase                QStyle__SubControl = QStyle__SubControl(0xf0000000)
	QStyle__SC_All                       QStyle__SubControl = QStyle__SubControl(0xffffffff)
)

//go:generate stringer -type=QStyle__PixelMetric
//QStyle::PixelMetric
type QStyle__PixelMetric int64

const (
	QStyle__PM_ButtonMargin                       QStyle__PixelMetric = QStyle__PixelMetric(0)
	QStyle__PM_ButtonDefaultIndicator             QStyle__PixelMetric = QStyle__PixelMetric(1)
	QStyle__PM_MenuButtonIndicator                QStyle__PixelMetric = QStyle__PixelMetric(2)
	QStyle__PM_ButtonShiftHorizontal              QStyle__PixelMetric = QStyle__PixelMetric(3)
	QStyle__PM_ButtonShiftVertical                QStyle__PixelMetric = QStyle__PixelMetric(4)
	QStyle__PM_DefaultFrameWidth                  QStyle__PixelMetric = QStyle__PixelMetric(5)
	QStyle__PM_SpinBoxFrameWidth                  QStyle__PixelMetric = QStyle__PixelMetric(6)
	QStyle__PM_ComboBoxFrameWidth                 QStyle__PixelMetric = QStyle__PixelMetric(7)
	QStyle__PM_MaximumDragDistance                QStyle__PixelMetric = QStyle__PixelMetric(8)
	QStyle__PM_ScrollBarExtent                    QStyle__PixelMetric = QStyle__PixelMetric(9)
	QStyle__PM_ScrollBarSliderMin                 QStyle__PixelMetric = QStyle__PixelMetric(10)
	QStyle__PM_SliderThickness                    QStyle__PixelMetric = QStyle__PixelMetric(11)
	QStyle__PM_SliderControlThickness             QStyle__PixelMetric = QStyle__PixelMetric(12)
	QStyle__PM_SliderLength                       QStyle__PixelMetric = QStyle__PixelMetric(13)
	QStyle__PM_SliderTickmarkOffset               QStyle__PixelMetric = QStyle__PixelMetric(14)
	QStyle__PM_SliderSpaceAvailable               QStyle__PixelMetric = QStyle__PixelMetric(15)
	QStyle__PM_DockWidgetSeparatorExtent          QStyle__PixelMetric = QStyle__PixelMetric(16)
	QStyle__PM_DockWidgetHandleExtent             QStyle__PixelMetric = QStyle__PixelMetric(17)
	QStyle__PM_DockWidgetFrameWidth               QStyle__PixelMetric = QStyle__PixelMetric(18)
	QStyle__PM_TabBarTabOverlap                   QStyle__PixelMetric = QStyle__PixelMetric(19)
	QStyle__PM_TabBarTabHSpace                    QStyle__PixelMetric = QStyle__PixelMetric(20)
	QStyle__PM_TabBarTabVSpace                    QStyle__PixelMetric = QStyle__PixelMetric(21)
	QStyle__PM_TabBarBaseHeight                   QStyle__PixelMetric = QStyle__PixelMetric(22)
	QStyle__PM_TabBarBaseOverlap                  QStyle__PixelMetric = QStyle__PixelMetric(23)
	QStyle__PM_ProgressBarChunkWidth              QStyle__PixelMetric = QStyle__PixelMetric(24)
	QStyle__PM_SplitterWidth                      QStyle__PixelMetric = QStyle__PixelMetric(25)
	QStyle__PM_TitleBarHeight                     QStyle__PixelMetric = QStyle__PixelMetric(26)
	QStyle__PM_MenuScrollerHeight                 QStyle__PixelMetric = QStyle__PixelMetric(27)
	QStyle__PM_MenuHMargin                        QStyle__PixelMetric = QStyle__PixelMetric(28)
	QStyle__PM_MenuVMargin                        QStyle__PixelMetric = QStyle__PixelMetric(29)
	QStyle__PM_MenuPanelWidth                     QStyle__PixelMetric = QStyle__PixelMetric(30)
	QStyle__PM_MenuTearoffHeight                  QStyle__PixelMetric = QStyle__PixelMetric(31)
	QStyle__PM_MenuDesktopFrameWidth              QStyle__PixelMetric = QStyle__PixelMetric(32)
	QStyle__PM_MenuBarPanelWidth                  QStyle__PixelMetric = QStyle__PixelMetric(33)
	QStyle__PM_MenuBarItemSpacing                 QStyle__PixelMetric = QStyle__PixelMetric(34)
	QStyle__PM_MenuBarVMargin                     QStyle__PixelMetric = QStyle__PixelMetric(35)
	QStyle__PM_MenuBarHMargin                     QStyle__PixelMetric = QStyle__PixelMetric(36)
	QStyle__PM_IndicatorWidth                     QStyle__PixelMetric = QStyle__PixelMetric(37)
	QStyle__PM_IndicatorHeight                    QStyle__PixelMetric = QStyle__PixelMetric(38)
	QStyle__PM_ExclusiveIndicatorWidth            QStyle__PixelMetric = QStyle__PixelMetric(39)
	QStyle__PM_ExclusiveIndicatorHeight           QStyle__PixelMetric = QStyle__PixelMetric(40)
	QStyle__PM_DialogButtonsSeparator             QStyle__PixelMetric = QStyle__PixelMetric(41)
	QStyle__PM_DialogButtonsButtonWidth           QStyle__PixelMetric = QStyle__PixelMetric(42)
	QStyle__PM_DialogButtonsButtonHeight          QStyle__PixelMetric = QStyle__PixelMetric(43)
	QStyle__PM_MdiSubWindowFrameWidth             QStyle__PixelMetric = QStyle__PixelMetric(44)
	QStyle__PM_MdiSubWindowMinimizedWidth         QStyle__PixelMetric = QStyle__PixelMetric(45)
	QStyle__PM_MDIFrameWidth                      QStyle__PixelMetric = QStyle__PixelMetric(QStyle__PM_MdiSubWindowFrameWidth)
	QStyle__PM_MDIMinimizedWidth                  QStyle__PixelMetric = QStyle__PixelMetric(QStyle__PM_MdiSubWindowMinimizedWidth)
	QStyle__PM_HeaderMargin                       QStyle__PixelMetric = QStyle__PixelMetric(46)
	QStyle__PM_HeaderMarkSize                     QStyle__PixelMetric = QStyle__PixelMetric(47)
	QStyle__PM_HeaderGripMargin                   QStyle__PixelMetric = QStyle__PixelMetric(48)
	QStyle__PM_TabBarTabShiftHorizontal           QStyle__PixelMetric = QStyle__PixelMetric(49)
	QStyle__PM_TabBarTabShiftVertical             QStyle__PixelMetric = QStyle__PixelMetric(50)
	QStyle__PM_TabBarScrollButtonWidth            QStyle__PixelMetric = QStyle__PixelMetric(51)
	QStyle__PM_ToolBarFrameWidth                  QStyle__PixelMetric = QStyle__PixelMetric(52)
	QStyle__PM_ToolBarHandleExtent                QStyle__PixelMetric = QStyle__PixelMetric(53)
	QStyle__PM_ToolBarItemSpacing                 QStyle__PixelMetric = QStyle__PixelMetric(54)
	QStyle__PM_ToolBarItemMargin                  QStyle__PixelMetric = QStyle__PixelMetric(55)
	QStyle__PM_ToolBarSeparatorExtent             QStyle__PixelMetric = QStyle__PixelMetric(56)
	QStyle__PM_ToolBarExtensionExtent             QStyle__PixelMetric = QStyle__PixelMetric(57)
	QStyle__PM_SpinBoxSliderHeight                QStyle__PixelMetric = QStyle__PixelMetric(58)
	QStyle__PM_DefaultTopLevelMargin              QStyle__PixelMetric = QStyle__PixelMetric(59)
	QStyle__PM_DefaultChildMargin                 QStyle__PixelMetric = QStyle__PixelMetric(60)
	QStyle__PM_DefaultLayoutSpacing               QStyle__PixelMetric = QStyle__PixelMetric(61)
	QStyle__PM_ToolBarIconSize                    QStyle__PixelMetric = QStyle__PixelMetric(62)
	QStyle__PM_ListViewIconSize                   QStyle__PixelMetric = QStyle__PixelMetric(63)
	QStyle__PM_IconViewIconSize                   QStyle__PixelMetric = QStyle__PixelMetric(64)
	QStyle__PM_SmallIconSize                      QStyle__PixelMetric = QStyle__PixelMetric(65)
	QStyle__PM_LargeIconSize                      QStyle__PixelMetric = QStyle__PixelMetric(66)
	QStyle__PM_FocusFrameVMargin                  QStyle__PixelMetric = QStyle__PixelMetric(67)
	QStyle__PM_FocusFrameHMargin                  QStyle__PixelMetric = QStyle__PixelMetric(68)
	QStyle__PM_ToolTipLabelFrameWidth             QStyle__PixelMetric = QStyle__PixelMetric(69)
	QStyle__PM_CheckBoxLabelSpacing               QStyle__PixelMetric = QStyle__PixelMetric(70)
	QStyle__PM_TabBarIconSize                     QStyle__PixelMetric = QStyle__PixelMetric(71)
	QStyle__PM_SizeGripSize                       QStyle__PixelMetric = QStyle__PixelMetric(72)
	QStyle__PM_DockWidgetTitleMargin              QStyle__PixelMetric = QStyle__PixelMetric(73)
	QStyle__PM_MessageBoxIconSize                 QStyle__PixelMetric = QStyle__PixelMetric(74)
	QStyle__PM_ButtonIconSize                     QStyle__PixelMetric = QStyle__PixelMetric(75)
	QStyle__PM_DockWidgetTitleBarButtonMargin     QStyle__PixelMetric = QStyle__PixelMetric(76)
	QStyle__PM_RadioButtonLabelSpacing            QStyle__PixelMetric = QStyle__PixelMetric(77)
	QStyle__PM_LayoutLeftMargin                   QStyle__PixelMetric = QStyle__PixelMetric(78)
	QStyle__PM_LayoutTopMargin                    QStyle__PixelMetric = QStyle__PixelMetric(79)
	QStyle__PM_LayoutRightMargin                  QStyle__PixelMetric = QStyle__PixelMetric(80)
	QStyle__PM_LayoutBottomMargin                 QStyle__PixelMetric = QStyle__PixelMetric(81)
	QStyle__PM_LayoutHorizontalSpacing            QStyle__PixelMetric = QStyle__PixelMetric(82)
	QStyle__PM_LayoutVerticalSpacing              QStyle__PixelMetric = QStyle__PixelMetric(83)
	QStyle__PM_TabBar_ScrollButtonOverlap         QStyle__PixelMetric = QStyle__PixelMetric(84)
	QStyle__PM_TextCursorWidth                    QStyle__PixelMetric = QStyle__PixelMetric(85)
	QStyle__PM_TabCloseIndicatorWidth             QStyle__PixelMetric = QStyle__PixelMetric(86)
	QStyle__PM_TabCloseIndicatorHeight            QStyle__PixelMetric = QStyle__PixelMetric(87)
	QStyle__PM_ScrollView_ScrollBarSpacing        QStyle__PixelMetric = QStyle__PixelMetric(88)
	QStyle__PM_ScrollView_ScrollBarOverlap        QStyle__PixelMetric = QStyle__PixelMetric(89)
	QStyle__PM_SubMenuOverlap                     QStyle__PixelMetric = QStyle__PixelMetric(90)
	QStyle__PM_TreeViewIndentation                QStyle__PixelMetric = QStyle__PixelMetric(91)
	QStyle__PM_HeaderDefaultSectionSizeHorizontal QStyle__PixelMetric = QStyle__PixelMetric(92)
	QStyle__PM_HeaderDefaultSectionSizeVertical   QStyle__PixelMetric = QStyle__PixelMetric(93)
	QStyle__PM_TitleBarButtonIconSize             QStyle__PixelMetric = QStyle__PixelMetric(94)
	QStyle__PM_TitleBarButtonSize                 QStyle__PixelMetric = QStyle__PixelMetric(95)
	QStyle__PM_CustomBase                         QStyle__PixelMetric = QStyle__PixelMetric(0xf0000000)
)

//go:generate stringer -type=QStyle__ContentsType
//QStyle::ContentsType
type QStyle__ContentsType int64

const (
	QStyle__CT_PushButton    QStyle__ContentsType = QStyle__ContentsType(0)
	QStyle__CT_CheckBox      QStyle__ContentsType = QStyle__ContentsType(1)
	QStyle__CT_RadioButton   QStyle__ContentsType = QStyle__ContentsType(2)
	QStyle__CT_ToolButton    QStyle__ContentsType = QStyle__ContentsType(3)
	QStyle__CT_ComboBox      QStyle__ContentsType = QStyle__ContentsType(4)
	QStyle__CT_Splitter      QStyle__ContentsType = QStyle__ContentsType(5)
	QStyle__CT_ProgressBar   QStyle__ContentsType = QStyle__ContentsType(6)
	QStyle__CT_MenuItem      QStyle__ContentsType = QStyle__ContentsType(7)
	QStyle__CT_MenuBarItem   QStyle__ContentsType = QStyle__ContentsType(8)
	QStyle__CT_MenuBar       QStyle__ContentsType = QStyle__ContentsType(9)
	QStyle__CT_Menu          QStyle__ContentsType = QStyle__ContentsType(10)
	QStyle__CT_TabBarTab     QStyle__ContentsType = QStyle__ContentsType(11)
	QStyle__CT_Slider        QStyle__ContentsType = QStyle__ContentsType(12)
	QStyle__CT_ScrollBar     QStyle__ContentsType = QStyle__ContentsType(13)
	QStyle__CT_LineEdit      QStyle__ContentsType = QStyle__ContentsType(14)
	QStyle__CT_SpinBox       QStyle__ContentsType = QStyle__ContentsType(15)
	QStyle__CT_SizeGrip      QStyle__ContentsType = QStyle__ContentsType(16)
	QStyle__CT_TabWidget     QStyle__ContentsType = QStyle__ContentsType(17)
	QStyle__CT_DialogButtons QStyle__ContentsType = QStyle__ContentsType(18)
	QStyle__CT_HeaderSection QStyle__ContentsType = QStyle__ContentsType(19)
	QStyle__CT_GroupBox      QStyle__ContentsType = QStyle__ContentsType(20)
	QStyle__CT_MdiControls   QStyle__ContentsType = QStyle__ContentsType(21)
	QStyle__CT_ItemViewItem  QStyle__ContentsType = QStyle__ContentsType(22)
	QStyle__CT_CustomBase    QStyle__ContentsType = QStyle__ContentsType(0xf0000000)
)

//go:generate stringer -type=QStyle__RequestSoftwareInputPanel
//QStyle::RequestSoftwareInputPanel
type QStyle__RequestSoftwareInputPanel int64

const (
	QStyle__RSIP_OnMouseClickAndAlreadyFocused QStyle__RequestSoftwareInputPanel = QStyle__RequestSoftwareInputPanel(0)
	QStyle__RSIP_OnMouseClick                  QStyle__RequestSoftwareInputPanel = QStyle__RequestSoftwareInputPanel(1)
)

//go:generate stringer -type=QStyle__StyleHint
//QStyle::StyleHint
type QStyle__StyleHint int64

var (
	QStyle__SH_EtchDisabledText                               QStyle__StyleHint = QStyle__StyleHint(0)
	QStyle__SH_DitherDisabledText                             QStyle__StyleHint = QStyle__StyleHint(1)
	QStyle__SH_ScrollBar_MiddleClickAbsolutePosition          QStyle__StyleHint = QStyle__StyleHint(2)
	QStyle__SH_ScrollBar_ScrollWhenPointerLeavesControl       QStyle__StyleHint = QStyle__StyleHint(3)
	QStyle__SH_TabBar_SelectMouseType                         QStyle__StyleHint = QStyle__StyleHint(4)
	QStyle__SH_TabBar_Alignment                               QStyle__StyleHint = QStyle__StyleHint(5)
	QStyle__SH_Header_ArrowAlignment                          QStyle__StyleHint = QStyle__StyleHint(6)
	QStyle__SH_Slider_SnapToValue                             QStyle__StyleHint = QStyle__StyleHint(7)
	QStyle__SH_Slider_SloppyKeyEvents                         QStyle__StyleHint = QStyle__StyleHint(8)
	QStyle__SH_ProgressDialog_CenterCancelButton              QStyle__StyleHint = QStyle__StyleHint(9)
	QStyle__SH_ProgressDialog_TextLabelAlignment              QStyle__StyleHint = QStyle__StyleHint(10)
	QStyle__SH_PrintDialog_RightAlignButtons                  QStyle__StyleHint = QStyle__StyleHint(11)
	QStyle__SH_MainWindow_SpaceBelowMenuBar                   QStyle__StyleHint = QStyle__StyleHint(12)
	QStyle__SH_FontDialog_SelectAssociatedText                QStyle__StyleHint = QStyle__StyleHint(13)
	QStyle__SH_Menu_AllowActiveAndDisabled                    QStyle__StyleHint = QStyle__StyleHint(14)
	QStyle__SH_Menu_SpaceActivatesItem                        QStyle__StyleHint = QStyle__StyleHint(15)
	QStyle__SH_Menu_SubMenuPopupDelay                         QStyle__StyleHint = QStyle__StyleHint(16)
	QStyle__SH_ScrollView_FrameOnlyAroundContents             QStyle__StyleHint = QStyle__StyleHint(17)
	QStyle__SH_MenuBar_AltKeyNavigation                       QStyle__StyleHint = QStyle__StyleHint(18)
	QStyle__SH_ComboBox_ListMouseTracking                     QStyle__StyleHint = QStyle__StyleHint(19)
	QStyle__SH_Menu_MouseTracking                             QStyle__StyleHint = QStyle__StyleHint(20)
	QStyle__SH_MenuBar_MouseTracking                          QStyle__StyleHint = QStyle__StyleHint(21)
	QStyle__SH_ItemView_ChangeHighlightOnFocus                QStyle__StyleHint = QStyle__StyleHint(22)
	QStyle__SH_Widget_ShareActivation                         QStyle__StyleHint = QStyle__StyleHint(23)
	QStyle__SH_Workspace_FillSpaceOnMaximize                  QStyle__StyleHint = QStyle__StyleHint(24)
	QStyle__SH_ComboBox_Popup                                 QStyle__StyleHint = QStyle__StyleHint(25)
	QStyle__SH_TitleBar_NoBorder                              QStyle__StyleHint = QStyle__StyleHint(26)
	QStyle__SH_Slider_StopMouseOverSlider                     QStyle__StyleHint = QStyle__StyleHint(27)
	QStyle__SH_ScrollBar_StopMouseOverSlider                  QStyle__StyleHint = QStyle__StyleHint(QStyle__SH_Slider_StopMouseOverSlider)
	QStyle__SH_BlinkCursorWhenTextSelected                    QStyle__StyleHint = QStyle__StyleHint(28)
	QStyle__SH_RichText_FullWidthSelection                    QStyle__StyleHint = QStyle__StyleHint(29)
	QStyle__SH_Menu_Scrollable                                QStyle__StyleHint = QStyle__StyleHint(30)
	QStyle__SH_GroupBox_TextLabelVerticalAlignment            QStyle__StyleHint = QStyle__StyleHint(31)
	QStyle__SH_GroupBox_TextLabelColor                        QStyle__StyleHint = QStyle__StyleHint(32)
	QStyle__SH_Menu_SloppySubMenus                            QStyle__StyleHint = QStyle__StyleHint(33)
	QStyle__SH_Table_GridLineColor                            QStyle__StyleHint = QStyle__StyleHint(34)
	QStyle__SH_LineEdit_PasswordCharacter                     QStyle__StyleHint = QStyle__StyleHint(35)
	QStyle__SH_DialogButtons_DefaultButton                    QStyle__StyleHint = QStyle__StyleHint(36)
	QStyle__SH_ToolBox_SelectedPageTitleBold                  QStyle__StyleHint = QStyle__StyleHint(37)
	QStyle__SH_TabBar_PreferNoArrows                          QStyle__StyleHint = QStyle__StyleHint(38)
	QStyle__SH_ScrollBar_LeftClickAbsolutePosition            QStyle__StyleHint = QStyle__StyleHint(39)
	QStyle__SH_ListViewExpand_SelectMouseType                 QStyle__StyleHint = QStyle__StyleHint(40)
	QStyle__SH_UnderlineShortcut                              QStyle__StyleHint = QStyle__StyleHint(41)
	QStyle__SH_SpinBox_AnimateButton                          QStyle__StyleHint = QStyle__StyleHint(42)
	QStyle__SH_SpinBox_KeyPressAutoRepeatRate                 QStyle__StyleHint = QStyle__StyleHint(43)
	QStyle__SH_SpinBox_ClickAutoRepeatRate                    QStyle__StyleHint = QStyle__StyleHint(44)
	QStyle__SH_Menu_FillScreenWithScroll                      QStyle__StyleHint = QStyle__StyleHint(45)
	QStyle__SH_ToolTipLabel_Opacity                           QStyle__StyleHint = QStyle__StyleHint(46)
	QStyle__SH_DrawMenuBarSeparator                           QStyle__StyleHint = QStyle__StyleHint(47)
	QStyle__SH_TitleBar_ModifyNotification                    QStyle__StyleHint = QStyle__StyleHint(48)
	QStyle__SH_Button_FocusPolicy                             QStyle__StyleHint = QStyle__StyleHint(49)
	QStyle__SH_MessageBox_UseBorderForButtonSpacing           QStyle__StyleHint = QStyle__StyleHint(50)
	QStyle__SH_TitleBar_AutoRaise                             QStyle__StyleHint = QStyle__StyleHint(51)
	QStyle__SH_ToolButton_PopupDelay                          QStyle__StyleHint = QStyle__StyleHint(52)
	QStyle__SH_FocusFrame_Mask                                QStyle__StyleHint = QStyle__StyleHint(53)
	QStyle__SH_RubberBand_Mask                                QStyle__StyleHint = QStyle__StyleHint(54)
	QStyle__SH_WindowFrame_Mask                               QStyle__StyleHint = QStyle__StyleHint(55)
	QStyle__SH_SpinControls_DisableOnBounds                   QStyle__StyleHint = QStyle__StyleHint(56)
	QStyle__SH_Dial_BackgroundRole                            QStyle__StyleHint = QStyle__StyleHint(57)
	QStyle__SH_ComboBox_LayoutDirection                       QStyle__StyleHint = QStyle__StyleHint(58)
	QStyle__SH_ItemView_EllipsisLocation                      QStyle__StyleHint = QStyle__StyleHint(59)
	QStyle__SH_ItemView_ShowDecorationSelected                QStyle__StyleHint = QStyle__StyleHint(60)
	QStyle__SH_ItemView_ActivateItemOnSingleClick             QStyle__StyleHint = QStyle__StyleHint(61)
	QStyle__SH_ScrollBar_ContextMenu                          QStyle__StyleHint = QStyle__StyleHint(62)
	QStyle__SH_ScrollBar_RollBetweenButtons                   QStyle__StyleHint = QStyle__StyleHint(63)
	QStyle__SH_Slider_AbsoluteSetButtons                      QStyle__StyleHint = QStyle__StyleHint(64)
	QStyle__SH_Slider_PageSetButtons                          QStyle__StyleHint = QStyle__StyleHint(65)
	QStyle__SH_Menu_KeyboardSearch                            QStyle__StyleHint = QStyle__StyleHint(66)
	QStyle__SH_TabBar_ElideMode                               QStyle__StyleHint = QStyle__StyleHint(67)
	QStyle__SH_DialogButtonLayout                             QStyle__StyleHint = QStyle__StyleHint(68)
	QStyle__SH_ComboBox_PopupFrameStyle                       QStyle__StyleHint = QStyle__StyleHint(69)
	QStyle__SH_MessageBox_TextInteractionFlags                QStyle__StyleHint = QStyle__StyleHint(70)
	QStyle__SH_DialogButtonBox_ButtonsHaveIcons               QStyle__StyleHint = QStyle__StyleHint(71)
	QStyle__SH_SpellCheckUnderlineStyle                       QStyle__StyleHint = QStyle__StyleHint(72)
	QStyle__SH_MessageBox_CenterButtons                       QStyle__StyleHint = QStyle__StyleHint(73)
	QStyle__SH_Menu_SelectionWrap                             QStyle__StyleHint = QStyle__StyleHint(74)
	QStyle__SH_ItemView_MovementWithoutUpdatingSelection      QStyle__StyleHint = QStyle__StyleHint(75)
	QStyle__SH_ToolTip_Mask                                   QStyle__StyleHint = QStyle__StyleHint(76)
	QStyle__SH_FocusFrame_AboveWidget                         QStyle__StyleHint = QStyle__StyleHint(77)
	QStyle__SH_TextControl_FocusIndicatorTextCharFormat       QStyle__StyleHint = QStyle__StyleHint(78)
	QStyle__SH_WizardStyle                                    QStyle__StyleHint = QStyle__StyleHint(79)
	QStyle__SH_ItemView_ArrowKeysNavigateIntoChildren         QStyle__StyleHint = QStyle__StyleHint(80)
	QStyle__SH_Menu_Mask                                      QStyle__StyleHint = QStyle__StyleHint(81)
	QStyle__SH_Menu_FlashTriggeredItem                        QStyle__StyleHint = QStyle__StyleHint(82)
	QStyle__SH_Menu_FadeOutOnHide                             QStyle__StyleHint = QStyle__StyleHint(83)
	QStyle__SH_SpinBox_ClickAutoRepeatThreshold               QStyle__StyleHint = QStyle__StyleHint(84)
	QStyle__SH_ItemView_PaintAlternatingRowColorsForEmptyArea QStyle__StyleHint = QStyle__StyleHint(85)
	QStyle__SH_FormLayoutWrapPolicy                           QStyle__StyleHint = QStyle__StyleHint(86)
	QStyle__SH_TabWidget_DefaultTabPosition                   QStyle__StyleHint = QStyle__StyleHint(87)
	QStyle__SH_ToolBar_Movable                                QStyle__StyleHint = QStyle__StyleHint(88)
	QStyle__SH_FormLayoutFieldGrowthPolicy                    QStyle__StyleHint = QStyle__StyleHint(89)
	QStyle__SH_FormLayoutFormAlignment                        QStyle__StyleHint = QStyle__StyleHint(90)
	QStyle__SH_FormLayoutLabelAlignment                       QStyle__StyleHint = QStyle__StyleHint(91)
	QStyle__SH_ItemView_DrawDelegateFrame                     QStyle__StyleHint = QStyle__StyleHint(92)
	QStyle__SH_TabBar_CloseButtonPosition                     QStyle__StyleHint = QStyle__StyleHint(93)
	QStyle__SH_DockWidget_ButtonsHaveFrame                    QStyle__StyleHint = QStyle__StyleHint(94)
	QStyle__SH_ToolButtonStyle                                QStyle__StyleHint = QStyle__StyleHint(95)
	QStyle__SH_RequestSoftwareInputPanel                      QStyle__StyleHint = QStyle__StyleHint(96)
	QStyle__SH_ScrollBar_Transient                            QStyle__StyleHint = QStyle__StyleHint(97)
	QStyle__SH_Menu_SupportsSections                          QStyle__StyleHint = QStyle__StyleHint(98)
	QStyle__SH_ToolTip_WakeUpDelay                            QStyle__StyleHint = QStyle__StyleHint(99)
	QStyle__SH_ToolTip_FallAsleepDelay                        QStyle__StyleHint = QStyle__StyleHint(100)
	QStyle__SH_Widget_Animate                                 QStyle__StyleHint = QStyle__StyleHint(101)
	QStyle__SH_Splitter_OpaqueResize                          QStyle__StyleHint = QStyle__StyleHint(102)
	QStyle__SH_ComboBox_UseNativePopup                        QStyle__StyleHint = QStyle__StyleHint(103)
	QStyle__SH_LineEdit_PasswordMaskDelay                     QStyle__StyleHint = QStyle__StyleHint(104)
	QStyle__SH_TabBar_ChangeCurrentDelay                      QStyle__StyleHint = QStyle__StyleHint(105)
	QStyle__SH_Menu_SubMenuUniDirection                       QStyle__StyleHint = QStyle__StyleHint(106)
	QStyle__SH_Menu_SubMenuUniDirectionFailCount              QStyle__StyleHint = QStyle__StyleHint(107)
	QStyle__SH_Menu_SubMenuSloppySelectOtherActions           QStyle__StyleHint = QStyle__StyleHint(108)
	QStyle__SH_Menu_SubMenuSloppyCloseTimeout                 QStyle__StyleHint = QStyle__StyleHint(109)
	QStyle__SH_Menu_SubMenuResetWhenReenteringParent          QStyle__StyleHint = QStyle__StyleHint(110)
	QStyle__SH_Menu_SubMenuDontStartSloppyOnLeave             QStyle__StyleHint = QStyle__StyleHint(111)
	QStyle__SH_ItemView_ScrollMode                            QStyle__StyleHint = QStyle__StyleHint(112)
	QStyle__SH_TitleBar_ShowToolTipsOnButtons                 QStyle__StyleHint = QStyle__StyleHint(113)
	QStyle__SH_Widget_Animation_Duration                      QStyle__StyleHint = QStyle__StyleHint(114)
	QStyle__SH_ComboBox_AllowWheelScrolling                   QStyle__StyleHint = QStyle__StyleHint(115)
	QStyle__SH_SpinBox_ButtonsInsideFrame                     QStyle__StyleHint = QStyle__StyleHint(116)
	QStyle__SH_SpinBox_StepModifier                           QStyle__StyleHint = QStyle__StyleHint(117)
	QStyle__SH_CustomBase                                     QStyle__StyleHint = QStyle__StyleHint(0xf0000000)
)

//go:generate stringer -type=QStyle__StandardPixmap
//QStyle::StandardPixmap
type QStyle__StandardPixmap int64

const (
	QStyle__SP_TitleBarMenuButton               QStyle__StandardPixmap = QStyle__StandardPixmap(0)
	QStyle__SP_TitleBarMinButton                QStyle__StandardPixmap = QStyle__StandardPixmap(1)
	QStyle__SP_TitleBarMaxButton                QStyle__StandardPixmap = QStyle__StandardPixmap(2)
	QStyle__SP_TitleBarCloseButton              QStyle__StandardPixmap = QStyle__StandardPixmap(3)
	QStyle__SP_TitleBarNormalButton             QStyle__StandardPixmap = QStyle__StandardPixmap(4)
	QStyle__SP_TitleBarShadeButton              QStyle__StandardPixmap = QStyle__StandardPixmap(5)
	QStyle__SP_TitleBarUnshadeButton            QStyle__StandardPixmap = QStyle__StandardPixmap(6)
	QStyle__SP_TitleBarContextHelpButton        QStyle__StandardPixmap = QStyle__StandardPixmap(7)
	QStyle__SP_DockWidgetCloseButton            QStyle__StandardPixmap = QStyle__StandardPixmap(8)
	QStyle__SP_MessageBoxInformation            QStyle__StandardPixmap = QStyle__StandardPixmap(9)
	QStyle__SP_MessageBoxWarning                QStyle__StandardPixmap = QStyle__StandardPixmap(10)
	QStyle__SP_MessageBoxCritical               QStyle__StandardPixmap = QStyle__StandardPixmap(11)
	QStyle__SP_MessageBoxQuestion               QStyle__StandardPixmap = QStyle__StandardPixmap(12)
	QStyle__SP_DesktopIcon                      QStyle__StandardPixmap = QStyle__StandardPixmap(13)
	QStyle__SP_TrashIcon                        QStyle__StandardPixmap = QStyle__StandardPixmap(14)
	QStyle__SP_ComputerIcon                     QStyle__StandardPixmap = QStyle__StandardPixmap(15)
	QStyle__SP_DriveFDIcon                      QStyle__StandardPixmap = QStyle__StandardPixmap(16)
	QStyle__SP_DriveHDIcon                      QStyle__StandardPixmap = QStyle__StandardPixmap(17)
	QStyle__SP_DriveCDIcon                      QStyle__StandardPixmap = QStyle__StandardPixmap(18)
	QStyle__SP_DriveDVDIcon                     QStyle__StandardPixmap = QStyle__StandardPixmap(19)
	QStyle__SP_DriveNetIcon                     QStyle__StandardPixmap = QStyle__StandardPixmap(20)
	QStyle__SP_DirOpenIcon                      QStyle__StandardPixmap = QStyle__StandardPixmap(21)
	QStyle__SP_DirClosedIcon                    QStyle__StandardPixmap = QStyle__StandardPixmap(22)
	QStyle__SP_DirLinkIcon                      QStyle__StandardPixmap = QStyle__StandardPixmap(23)
	QStyle__SP_DirLinkOpenIcon                  QStyle__StandardPixmap = QStyle__StandardPixmap(24)
	QStyle__SP_FileIcon                         QStyle__StandardPixmap = QStyle__StandardPixmap(25)
	QStyle__SP_FileLinkIcon                     QStyle__StandardPixmap = QStyle__StandardPixmap(26)
	QStyle__SP_ToolBarHorizontalExtensionButton QStyle__StandardPixmap = QStyle__StandardPixmap(27)
	QStyle__SP_ToolBarVerticalExtensionButton   QStyle__StandardPixmap = QStyle__StandardPixmap(28)
	QStyle__SP_FileDialogStart                  QStyle__StandardPixmap = QStyle__StandardPixmap(29)
	QStyle__SP_FileDialogEnd                    QStyle__StandardPixmap = QStyle__StandardPixmap(30)
	QStyle__SP_FileDialogToParent               QStyle__StandardPixmap = QStyle__StandardPixmap(31)
	QStyle__SP_FileDialogNewFolder              QStyle__StandardPixmap = QStyle__StandardPixmap(32)
	QStyle__SP_FileDialogDetailedView           QStyle__StandardPixmap = QStyle__StandardPixmap(33)
	QStyle__SP_FileDialogInfoView               QStyle__StandardPixmap = QStyle__StandardPixmap(34)
	QStyle__SP_FileDialogContentsView           QStyle__StandardPixmap = QStyle__StandardPixmap(35)
	QStyle__SP_FileDialogListView               QStyle__StandardPixmap = QStyle__StandardPixmap(36)
	QStyle__SP_FileDialogBack                   QStyle__StandardPixmap = QStyle__StandardPixmap(37)
	QStyle__SP_DirIcon                          QStyle__StandardPixmap = QStyle__StandardPixmap(38)
	QStyle__SP_DialogOkButton                   QStyle__StandardPixmap = QStyle__StandardPixmap(39)
	QStyle__SP_DialogCancelButton               QStyle__StandardPixmap = QStyle__StandardPixmap(40)
	QStyle__SP_DialogHelpButton                 QStyle__StandardPixmap = QStyle__StandardPixmap(41)
	QStyle__SP_DialogOpenButton                 QStyle__StandardPixmap = QStyle__StandardPixmap(42)
	QStyle__SP_DialogSaveButton                 QStyle__StandardPixmap = QStyle__StandardPixmap(43)
	QStyle__SP_DialogCloseButton                QStyle__StandardPixmap = QStyle__StandardPixmap(44)
	QStyle__SP_DialogApplyButton                QStyle__StandardPixmap = QStyle__StandardPixmap(45)
	QStyle__SP_DialogResetButton                QStyle__StandardPixmap = QStyle__StandardPixmap(46)
	QStyle__SP_DialogDiscardButton              QStyle__StandardPixmap = QStyle__StandardPixmap(47)
	QStyle__SP_DialogYesButton                  QStyle__StandardPixmap = QStyle__StandardPixmap(48)
	QStyle__SP_DialogNoButton                   QStyle__StandardPixmap = QStyle__StandardPixmap(49)
	QStyle__SP_ArrowUp                          QStyle__StandardPixmap = QStyle__StandardPixmap(50)
	QStyle__SP_ArrowDown                        QStyle__StandardPixmap = QStyle__StandardPixmap(51)
	QStyle__SP_ArrowLeft                        QStyle__StandardPixmap = QStyle__StandardPixmap(52)
	QStyle__SP_ArrowRight                       QStyle__StandardPixmap = QStyle__StandardPixmap(53)
	QStyle__SP_ArrowBack                        QStyle__StandardPixmap = QStyle__StandardPixmap(54)
	QStyle__SP_ArrowForward                     QStyle__StandardPixmap = QStyle__StandardPixmap(55)
	QStyle__SP_DirHomeIcon                      QStyle__StandardPixmap = QStyle__StandardPixmap(56)
	QStyle__SP_CommandLink                      QStyle__StandardPixmap = QStyle__StandardPixmap(57)
	QStyle__SP_VistaShield                      QStyle__StandardPixmap = QStyle__StandardPixmap(58)
	QStyle__SP_BrowserReload                    QStyle__StandardPixmap = QStyle__StandardPixmap(59)
	QStyle__SP_BrowserStop                      QStyle__StandardPixmap = QStyle__StandardPixmap(60)
	QStyle__SP_MediaPlay                        QStyle__StandardPixmap = QStyle__StandardPixmap(61)
	QStyle__SP_MediaStop                        QStyle__StandardPixmap = QStyle__StandardPixmap(62)
	QStyle__SP_MediaPause                       QStyle__StandardPixmap = QStyle__StandardPixmap(63)
	QStyle__SP_MediaSkipForward                 QStyle__StandardPixmap = QStyle__StandardPixmap(64)
	QStyle__SP_MediaSkipBackward                QStyle__StandardPixmap = QStyle__StandardPixmap(65)
	QStyle__SP_MediaSeekForward                 QStyle__StandardPixmap = QStyle__StandardPixmap(66)
	QStyle__SP_MediaSeekBackward                QStyle__StandardPixmap = QStyle__StandardPixmap(67)
	QStyle__SP_MediaVolume                      QStyle__StandardPixmap = QStyle__StandardPixmap(68)
	QStyle__SP_MediaVolumeMuted                 QStyle__StandardPixmap = QStyle__StandardPixmap(69)
	QStyle__SP_LineEditClearButton              QStyle__StandardPixmap = QStyle__StandardPixmap(70)
	QStyle__SP_CustomBase                       QStyle__StandardPixmap = QStyle__StandardPixmap(0xf0000000)
)

func NewQStyle2() *QStyle {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyle2", ""}).(*QStyle)
}

func QStyle_AlignedRect(direction core.Qt__LayoutDirection, alignment core.Qt__AlignmentFlag, size core.QSize_ITF, rectangle core.QRect_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyle_AlignedRect", "", direction, alignment, size, rectangle}).(*core.QRect)
}

func (ptr *QStyle) AlignedRect(direction core.Qt__LayoutDirection, alignment core.Qt__AlignmentFlag, size core.QSize_ITF, rectangle core.QRect_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyle_AlignedRect", "", direction, alignment, size, rectangle}).(*core.QRect)
}

func (ptr *QStyle) CombinedLayoutSpacing(controls1 QSizePolicy__ControlType, controls2 QSizePolicy__ControlType, orientation core.Qt__Orientation, option QStyleOption_ITF, widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CombinedLayoutSpacing", controls1, controls2, orientation, option, widget}).(float64))
}

func (ptr *QStyle) ConnectDrawComplexControl(f func(control QStyle__ComplexControl, option *QStyleOptionComplex, painter *gui.QPainter, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawComplexControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectDrawComplexControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawComplexControl"})
}

func (ptr *QStyle) DrawComplexControl(control QStyle__ComplexControl, option QStyleOptionComplex_ITF, painter gui.QPainter_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawComplexControl", control, option, painter, widget})
}

func (ptr *QStyle) ConnectDrawControl(f func(element QStyle__ControlElement, option *QStyleOption, painter *gui.QPainter, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectDrawControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawControl"})
}

func (ptr *QStyle) DrawControl(element QStyle__ControlElement, option QStyleOption_ITF, painter gui.QPainter_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawControl", element, option, painter, widget})
}

func (ptr *QStyle) ConnectDrawItemPixmap(f func(painter *gui.QPainter, rectangle *core.QRect, alignment int, pixmap *gui.QPixmap)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawItemPixmap", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectDrawItemPixmap() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawItemPixmap"})
}

func (ptr *QStyle) DrawItemPixmap(painter gui.QPainter_ITF, rectangle core.QRect_ITF, alignment int, pixmap gui.QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawItemPixmap", painter, rectangle, alignment, pixmap})
}

func (ptr *QStyle) DrawItemPixmapDefault(painter gui.QPainter_ITF, rectangle core.QRect_ITF, alignment int, pixmap gui.QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawItemPixmapDefault", painter, rectangle, alignment, pixmap})
}

func (ptr *QStyle) ConnectDrawItemText(f func(painter *gui.QPainter, rectangle *core.QRect, alignment int, palette *gui.QPalette, enabled bool, text string, textRole gui.QPalette__ColorRole)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawItemText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectDrawItemText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawItemText"})
}

func (ptr *QStyle) DrawItemText(painter gui.QPainter_ITF, rectangle core.QRect_ITF, alignment int, palette gui.QPalette_ITF, enabled bool, text string, textRole gui.QPalette__ColorRole) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawItemText", painter, rectangle, alignment, palette, enabled, text, textRole})
}

func (ptr *QStyle) DrawItemTextDefault(painter gui.QPainter_ITF, rectangle core.QRect_ITF, alignment int, palette gui.QPalette_ITF, enabled bool, text string, textRole gui.QPalette__ColorRole) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawItemTextDefault", painter, rectangle, alignment, palette, enabled, text, textRole})
}

func (ptr *QStyle) ConnectDrawPrimitive(f func(element QStyle__PrimitiveElement, option *QStyleOption, painter *gui.QPainter, widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawPrimitive", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectDrawPrimitive() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawPrimitive"})
}

func (ptr *QStyle) DrawPrimitive(element QStyle__PrimitiveElement, option QStyleOption_ITF, painter gui.QPainter_ITF, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPrimitive", element, option, painter, widget})
}

func (ptr *QStyle) ConnectGeneratedIconPixmap(f func(iconMode gui.QIcon__Mode, pixmap *gui.QPixmap, option *QStyleOption) *gui.QPixmap) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectGeneratedIconPixmap", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectGeneratedIconPixmap() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectGeneratedIconPixmap"})
}

func (ptr *QStyle) GeneratedIconPixmap(iconMode gui.QIcon__Mode, pixmap gui.QPixmap_ITF, option QStyleOption_ITF) *gui.QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GeneratedIconPixmap", iconMode, pixmap, option}).(*gui.QPixmap)
}

func (ptr *QStyle) ConnectHitTestComplexControl(f func(control QStyle__ComplexControl, option *QStyleOptionComplex, position *core.QPoint, widget *QWidget) QStyle__SubControl) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHitTestComplexControl", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectHitTestComplexControl() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHitTestComplexControl"})
}

func (ptr *QStyle) HitTestComplexControl(control QStyle__ComplexControl, option QStyleOptionComplex_ITF, position core.QPoint_ITF, widget QWidget_ITF) QStyle__SubControl {

	return QStyle__SubControl(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HitTestComplexControl", control, option, position, widget}).(float64))
}

func (ptr *QStyle) ConnectItemPixmapRect(f func(rectangle *core.QRect, alignment int, pixmap *gui.QPixmap) *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemPixmapRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectItemPixmapRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemPixmapRect"})
}

func (ptr *QStyle) ItemPixmapRect(rectangle core.QRect_ITF, alignment int, pixmap gui.QPixmap_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemPixmapRect", rectangle, alignment, pixmap}).(*core.QRect)
}

func (ptr *QStyle) ItemPixmapRectDefault(rectangle core.QRect_ITF, alignment int, pixmap gui.QPixmap_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemPixmapRectDefault", rectangle, alignment, pixmap}).(*core.QRect)
}

func (ptr *QStyle) ConnectItemTextRect(f func(metrics *gui.QFontMetrics, rectangle *core.QRect, alignment int, enabled bool, text string) *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemTextRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectItemTextRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemTextRect"})
}

func (ptr *QStyle) ItemTextRect(metrics gui.QFontMetrics_ITF, rectangle core.QRect_ITF, alignment int, enabled bool, text string) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemTextRect", metrics, rectangle, alignment, enabled, text}).(*core.QRect)
}

func (ptr *QStyle) ItemTextRectDefault(metrics gui.QFontMetrics_ITF, rectangle core.QRect_ITF, alignment int, enabled bool, text string) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemTextRectDefault", metrics, rectangle, alignment, enabled, text}).(*core.QRect)
}

func (ptr *QStyle) ConnectLayoutSpacing(f func(control1 QSizePolicy__ControlType, control2 QSizePolicy__ControlType, orientation core.Qt__Orientation, option *QStyleOption, widget *QWidget) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLayoutSpacing", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectLayoutSpacing() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLayoutSpacing"})
}

func (ptr *QStyle) LayoutSpacing(control1 QSizePolicy__ControlType, control2 QSizePolicy__ControlType, orientation core.Qt__Orientation, option QStyleOption_ITF, widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LayoutSpacing", control1, control2, orientation, option, widget}).(float64))
}

func (ptr *QStyle) ConnectPixelMetric(f func(metric QStyle__PixelMetric, option *QStyleOption, widget *QWidget) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPixelMetric", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectPixelMetric() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPixelMetric"})
}

func (ptr *QStyle) PixelMetric(metric QStyle__PixelMetric, option QStyleOption_ITF, widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PixelMetric", metric, option, widget}).(float64))
}

func (ptr *QStyle) ConnectPolish(f func(widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPolish", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectPolish() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPolish"})
}

func (ptr *QStyle) Polish(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Polish", widget})
}

func (ptr *QStyle) PolishDefault(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PolishDefault", widget})
}

func (ptr *QStyle) ConnectPolish2(f func(application *QApplication)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPolish2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectPolish2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPolish2"})
}

func (ptr *QStyle) Polish2(application QApplication_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Polish2", application})
}

func (ptr *QStyle) Polish2Default(application QApplication_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Polish2Default", application})
}

func (ptr *QStyle) ConnectPolish3(f func(palette *gui.QPalette)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPolish3", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectPolish3() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPolish3"})
}

func (ptr *QStyle) Polish3(palette gui.QPalette_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Polish3", palette})
}

func (ptr *QStyle) Polish3Default(palette gui.QPalette_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Polish3Default", palette})
}

func (ptr *QStyle) Proxy() *QStyle {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Proxy"}).(*QStyle)
}

func (ptr *QStyle) ConnectSizeFromContents(f func(ty QStyle__ContentsType, option *QStyleOption, contentsSize *core.QSize, widget *QWidget) *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeFromContents", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectSizeFromContents() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeFromContents"})
}

func (ptr *QStyle) SizeFromContents(ty QStyle__ContentsType, option QStyleOption_ITF, contentsSize core.QSize_ITF, widget QWidget_ITF) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeFromContents", ty, option, contentsSize, widget}).(*core.QSize)
}

func QStyle_SliderPositionFromValue(min int, max int, logicalValue int, span int, upsideDown bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyle_SliderPositionFromValue", "", min, max, logicalValue, span, upsideDown}).(float64))
}

func (ptr *QStyle) SliderPositionFromValue(min int, max int, logicalValue int, span int, upsideDown bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyle_SliderPositionFromValue", "", min, max, logicalValue, span, upsideDown}).(float64))
}

func QStyle_SliderValueFromPosition(min int, max int, position int, span int, upsideDown bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyle_SliderValueFromPosition", "", min, max, position, span, upsideDown}).(float64))
}

func (ptr *QStyle) SliderValueFromPosition(min int, max int, position int, span int, upsideDown bool) int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyle_SliderValueFromPosition", "", min, max, position, span, upsideDown}).(float64))
}

func (ptr *QStyle) ConnectStandardIcon(f func(standardIcon QStyle__StandardPixmap, option *QStyleOption, widget *QWidget) *gui.QIcon) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStandardIcon", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectStandardIcon() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStandardIcon"})
}

func (ptr *QStyle) StandardIcon(standardIcon QStyle__StandardPixmap, option QStyleOption_ITF, widget QWidget_ITF) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardIcon", standardIcon, option, widget}).(*gui.QIcon)
}

func (ptr *QStyle) ConnectStandardPalette(f func() *gui.QPalette) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStandardPalette", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectStandardPalette() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStandardPalette"})
}

func (ptr *QStyle) StandardPalette() *gui.QPalette {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardPalette"}).(*gui.QPalette)
}

func (ptr *QStyle) StandardPaletteDefault() *gui.QPalette {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardPaletteDefault"}).(*gui.QPalette)
}

func (ptr *QStyle) ConnectStyleHint(f func(hint QStyle__StyleHint, option *QStyleOption, widget *QWidget, returnData *QStyleHintReturn) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStyleHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectStyleHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStyleHint"})
}

func (ptr *QStyle) StyleHint(hint QStyle__StyleHint, option QStyleOption_ITF, widget QWidget_ITF, returnData QStyleHintReturn_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StyleHint", hint, option, widget, returnData}).(float64))
}

func (ptr *QStyle) ConnectSubControlRect(f func(control QStyle__ComplexControl, option *QStyleOptionComplex, subControl QStyle__SubControl, widget *QWidget) *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSubControlRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectSubControlRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSubControlRect"})
}

func (ptr *QStyle) SubControlRect(control QStyle__ComplexControl, option QStyleOptionComplex_ITF, subControl QStyle__SubControl, widget QWidget_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubControlRect", control, option, subControl, widget}).(*core.QRect)
}

func (ptr *QStyle) ConnectSubElementRect(f func(element QStyle__SubElement, option *QStyleOption, widget *QWidget) *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSubElementRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectSubElementRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSubElementRect"})
}

func (ptr *QStyle) SubElementRect(element QStyle__SubElement, option QStyleOption_ITF, widget QWidget_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubElementRect", element, option, widget}).(*core.QRect)
}

func (ptr *QStyle) ConnectUnpolish(f func(widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUnpolish", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectUnpolish() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUnpolish"})
}

func (ptr *QStyle) Unpolish(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unpolish", widget})
}

func (ptr *QStyle) UnpolishDefault(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UnpolishDefault", widget})
}

func (ptr *QStyle) ConnectUnpolish2(f func(application *QApplication)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUnpolish2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectUnpolish2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUnpolish2"})
}

func (ptr *QStyle) Unpolish2(application QApplication_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unpolish2", application})
}

func (ptr *QStyle) Unpolish2Default(application QApplication_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Unpolish2Default", application})
}

func QStyle_VisualAlignment(direction core.Qt__LayoutDirection, alignment core.Qt__AlignmentFlag) core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyle_VisualAlignment", "", direction, alignment}).(float64))
}

func (ptr *QStyle) VisualAlignment(direction core.Qt__LayoutDirection, alignment core.Qt__AlignmentFlag) core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyle_VisualAlignment", "", direction, alignment}).(float64))
}

func QStyle_VisualPos(direction core.Qt__LayoutDirection, boundingRectangle core.QRect_ITF, logicalPosition core.QPoint_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyle_VisualPos", "", direction, boundingRectangle, logicalPosition}).(*core.QPoint)
}

func (ptr *QStyle) VisualPos(direction core.Qt__LayoutDirection, boundingRectangle core.QRect_ITF, logicalPosition core.QPoint_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyle_VisualPos", "", direction, boundingRectangle, logicalPosition}).(*core.QPoint)
}

func QStyle_VisualRect(direction core.Qt__LayoutDirection, boundingRectangle core.QRect_ITF, logicalRectangle core.QRect_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyle_VisualRect", "", direction, boundingRectangle, logicalRectangle}).(*core.QRect)
}

func (ptr *QStyle) VisualRect(direction core.Qt__LayoutDirection, boundingRectangle core.QRect_ITF, logicalRectangle core.QRect_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyle_VisualRect", "", direction, boundingRectangle, logicalRectangle}).(*core.QRect)
}

func (ptr *QStyle) ConnectDestroyQStyle(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQStyle", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectDestroyQStyle() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQStyle"})
}

func (ptr *QStyle) DestroyQStyle() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStyle"})
}

func (ptr *QStyle) DestroyQStyleDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStyleDefault"})
}

func (ptr *QStyle) ConnectStandardPixmap(f func(standardIcon QStyle__StandardPixmap, option *QStyleOption, widget *QWidget) *gui.QPixmap) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectStandardPixmap", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyle) DisconnectStandardPixmap() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectStandardPixmap"})
}

func (ptr *QStyle) StandardPixmap(standardIcon QStyle__StandardPixmap, option QStyleOption_ITF, widget QWidget_ITF) *gui.QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StandardPixmap", standardIcon, option, widget}).(*gui.QPixmap)
}

func (ptr *QStyle) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QStyle) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QStyle) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QStyle) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QStyle) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QStyle) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QStyle) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QStyle) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QStyle) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QStyle) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QStyle) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QStyle) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QStyle) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QStyle) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QStyle) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QStyle) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QStyle) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QStyle) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QStyle) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QStyle) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QStyle) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QStyleFactory struct {
	internal.Internal
}

type QStyleFactory_ITF interface {
	QStyleFactory_PTR() *QStyleFactory
}

func (ptr *QStyleFactory) QStyleFactory_PTR() *QStyleFactory {
	return ptr
}

func (ptr *QStyleFactory) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStyleFactory) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStyleFactory(ptr QStyleFactory_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleFactory_PTR().Pointer()
	}
	return nil
}

func (n *QStyleFactory) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStyleFactoryFromPointer(ptr unsafe.Pointer) (n *QStyleFactory) {
	n = new(QStyleFactory)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleFactory")
	return
}

func (ptr *QStyleFactory) DestroyQStyleFactory() {
}

func QStyleFactory_Create(key string) *QStyle {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyleFactory_Create", "", key}).(*QStyle)
}

func (ptr *QStyleFactory) Create(key string) *QStyle {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyleFactory_Create", "", key}).(*QStyle)
}

func QStyleFactory_Keys() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyleFactory_Keys", ""}).([]string)
}

func (ptr *QStyleFactory) Keys() []string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyleFactory_Keys", ""}).([]string)
}

type QStyleHintReturn struct {
	internal.Internal
}

type QStyleHintReturn_ITF interface {
	QStyleHintReturn_PTR() *QStyleHintReturn
}

func (ptr *QStyleHintReturn) QStyleHintReturn_PTR() *QStyleHintReturn {
	return ptr
}

func (ptr *QStyleHintReturn) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStyleHintReturn) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStyleHintReturn(ptr QStyleHintReturn_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleHintReturn_PTR().Pointer()
	}
	return nil
}

func (n *QStyleHintReturn) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStyleHintReturnFromPointer(ptr unsafe.Pointer) (n *QStyleHintReturn) {
	n = new(QStyleHintReturn)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleHintReturn")
	return
}

func (ptr *QStyleHintReturn) DestroyQStyleHintReturn() {
}

//go:generate stringer -type=QStyleHintReturn__HintReturnType
//QStyleHintReturn::HintReturnType
type QStyleHintReturn__HintReturnType int64

const (
	QStyleHintReturn__SH_Default QStyleHintReturn__HintReturnType = QStyleHintReturn__HintReturnType(0xf000)
	QStyleHintReturn__SH_Mask    QStyleHintReturn__HintReturnType = QStyleHintReturn__HintReturnType(0xf001)
	QStyleHintReturn__SH_Variant QStyleHintReturn__HintReturnType = QStyleHintReturn__HintReturnType(0xf002)
)

//go:generate stringer -type=QStyleHintReturn__StyleOptionType
//QStyleHintReturn::StyleOptionType
type QStyleHintReturn__StyleOptionType int64

var (
	QStyleHintReturn__Type QStyleHintReturn__StyleOptionType = QStyleHintReturn__StyleOptionType(QStyleHintReturn__SH_Default)
)

//go:generate stringer -type=QStyleHintReturn__StyleOptionVersion
//QStyleHintReturn::StyleOptionVersion
type QStyleHintReturn__StyleOptionVersion int64

var (
	QStyleHintReturn__Version QStyleHintReturn__StyleOptionVersion = QStyleHintReturn__StyleOptionVersion(1)
)

func NewQStyleHintReturn(version int, ty int) *QStyleHintReturn {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleHintReturn", "", version, ty}).(*QStyleHintReturn)
}

func (ptr *QStyleHintReturn) Version() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Version"}).(float64))
}

func (ptr *QStyleHintReturn) SetVersion(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVersion", vin})
}

func (ptr *QStyleHintReturn) Type() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QStyleHintReturn) SetType(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetType", vin})
}

type QStyleHintReturnMask struct {
	QStyleHintReturn
}

type QStyleHintReturnMask_ITF interface {
	QStyleHintReturn_ITF
	QStyleHintReturnMask_PTR() *QStyleHintReturnMask
}

func (ptr *QStyleHintReturnMask) QStyleHintReturnMask_PTR() *QStyleHintReturnMask {
	return ptr
}

func (ptr *QStyleHintReturnMask) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleHintReturn_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleHintReturnMask) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleHintReturn_PTR().SetPointer(p)
	}
}

func PointerFromQStyleHintReturnMask(ptr QStyleHintReturnMask_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleHintReturnMask_PTR().Pointer()
	}
	return nil
}

func (n *QStyleHintReturnMask) InitFromInternal(ptr uintptr, name string) {
	n.QStyleHintReturn_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleHintReturnMask) ClassNameInternalF() string {
	return n.QStyleHintReturn_PTR().ClassNameInternalF()
}

func NewQStyleHintReturnMaskFromPointer(ptr unsafe.Pointer) (n *QStyleHintReturnMask) {
	n = new(QStyleHintReturnMask)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleHintReturnMask")
	return
}

//go:generate stringer -type=QStyleHintReturnMask__StyleOptionType
//QStyleHintReturnMask::StyleOptionType
type QStyleHintReturnMask__StyleOptionType int64

var (
	QStyleHintReturnMask__Type QStyleHintReturnMask__StyleOptionType = QStyleHintReturnMask__StyleOptionType(QStyleHintReturn__SH_Mask)
)

//go:generate stringer -type=QStyleHintReturnMask__StyleOptionVersion
//QStyleHintReturnMask::StyleOptionVersion
type QStyleHintReturnMask__StyleOptionVersion int64

var (
	QStyleHintReturnMask__Version QStyleHintReturnMask__StyleOptionVersion = QStyleHintReturnMask__StyleOptionVersion(1)
)

func NewQStyleHintReturnMask() *QStyleHintReturnMask {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleHintReturnMask", ""}).(*QStyleHintReturnMask)
}

func (ptr *QStyleHintReturnMask) DestroyQStyleHintReturnMask() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStyleHintReturnMask"})
}

func (ptr *QStyleHintReturnMask) Region() *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Region"}).(*gui.QRegion)
}

func (ptr *QStyleHintReturnMask) SetRegion(vqr gui.QRegion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRegion", vqr})
}

type QStyleHintReturnVariant struct {
	QStyleHintReturn
}

type QStyleHintReturnVariant_ITF interface {
	QStyleHintReturn_ITF
	QStyleHintReturnVariant_PTR() *QStyleHintReturnVariant
}

func (ptr *QStyleHintReturnVariant) QStyleHintReturnVariant_PTR() *QStyleHintReturnVariant {
	return ptr
}

func (ptr *QStyleHintReturnVariant) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleHintReturn_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleHintReturnVariant) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleHintReturn_PTR().SetPointer(p)
	}
}

func PointerFromQStyleHintReturnVariant(ptr QStyleHintReturnVariant_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleHintReturnVariant_PTR().Pointer()
	}
	return nil
}

func (n *QStyleHintReturnVariant) InitFromInternal(ptr uintptr, name string) {
	n.QStyleHintReturn_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleHintReturnVariant) ClassNameInternalF() string {
	return n.QStyleHintReturn_PTR().ClassNameInternalF()
}

func NewQStyleHintReturnVariantFromPointer(ptr unsafe.Pointer) (n *QStyleHintReturnVariant) {
	n = new(QStyleHintReturnVariant)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleHintReturnVariant")
	return
}

//go:generate stringer -type=QStyleHintReturnVariant__StyleOptionType
//QStyleHintReturnVariant::StyleOptionType
type QStyleHintReturnVariant__StyleOptionType int64

var (
	QStyleHintReturnVariant__Type QStyleHintReturnVariant__StyleOptionType = QStyleHintReturnVariant__StyleOptionType(QStyleHintReturn__SH_Variant)
)

//go:generate stringer -type=QStyleHintReturnVariant__StyleOptionVersion
//QStyleHintReturnVariant::StyleOptionVersion
type QStyleHintReturnVariant__StyleOptionVersion int64

var (
	QStyleHintReturnVariant__Version QStyleHintReturnVariant__StyleOptionVersion = QStyleHintReturnVariant__StyleOptionVersion(1)
)

func NewQStyleHintReturnVariant() *QStyleHintReturnVariant {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleHintReturnVariant", ""}).(*QStyleHintReturnVariant)
}

func (ptr *QStyleHintReturnVariant) DestroyQStyleHintReturnVariant() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStyleHintReturnVariant"})
}

func (ptr *QStyleHintReturnVariant) Variant() *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Variant"}).(*core.QVariant)
}

func (ptr *QStyleHintReturnVariant) SetVariant(vqv core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVariant", vqv})
}

type QStyleOption struct {
	internal.Internal
}

type QStyleOption_ITF interface {
	QStyleOption_PTR() *QStyleOption
}

func (ptr *QStyleOption) QStyleOption_PTR() *QStyleOption {
	return ptr
}

func (ptr *QStyleOption) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QStyleOption) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQStyleOption(ptr QStyleOption_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOption) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQStyleOptionFromPointer(ptr unsafe.Pointer) (n *QStyleOption) {
	n = new(QStyleOption)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOption")
	return
}

//go:generate stringer -type=QStyleOption__OptionType
//QStyleOption::OptionType
type QStyleOption__OptionType int64

const (
	QStyleOption__SO_Default           QStyleOption__OptionType = QStyleOption__OptionType(0)
	QStyleOption__SO_FocusRect         QStyleOption__OptionType = QStyleOption__OptionType(1)
	QStyleOption__SO_Button            QStyleOption__OptionType = QStyleOption__OptionType(2)
	QStyleOption__SO_Tab               QStyleOption__OptionType = QStyleOption__OptionType(3)
	QStyleOption__SO_MenuItem          QStyleOption__OptionType = QStyleOption__OptionType(4)
	QStyleOption__SO_Frame             QStyleOption__OptionType = QStyleOption__OptionType(5)
	QStyleOption__SO_ProgressBar       QStyleOption__OptionType = QStyleOption__OptionType(6)
	QStyleOption__SO_ToolBox           QStyleOption__OptionType = QStyleOption__OptionType(7)
	QStyleOption__SO_Header            QStyleOption__OptionType = QStyleOption__OptionType(8)
	QStyleOption__SO_DockWidget        QStyleOption__OptionType = QStyleOption__OptionType(9)
	QStyleOption__SO_ViewItem          QStyleOption__OptionType = QStyleOption__OptionType(10)
	QStyleOption__SO_TabWidgetFrame    QStyleOption__OptionType = QStyleOption__OptionType(11)
	QStyleOption__SO_TabBarBase        QStyleOption__OptionType = QStyleOption__OptionType(12)
	QStyleOption__SO_RubberBand        QStyleOption__OptionType = QStyleOption__OptionType(13)
	QStyleOption__SO_ToolBar           QStyleOption__OptionType = QStyleOption__OptionType(14)
	QStyleOption__SO_GraphicsItem      QStyleOption__OptionType = QStyleOption__OptionType(15)
	QStyleOption__SO_Complex           QStyleOption__OptionType = QStyleOption__OptionType(0xf0000)
	QStyleOption__SO_Slider            QStyleOption__OptionType = QStyleOption__OptionType(0xf0001)
	QStyleOption__SO_SpinBox           QStyleOption__OptionType = QStyleOption__OptionType(0xf0002)
	QStyleOption__SO_ToolButton        QStyleOption__OptionType = QStyleOption__OptionType(0xf0003)
	QStyleOption__SO_ComboBox          QStyleOption__OptionType = QStyleOption__OptionType(0xf0004)
	QStyleOption__SO_TitleBar          QStyleOption__OptionType = QStyleOption__OptionType(0xf0005)
	QStyleOption__SO_GroupBox          QStyleOption__OptionType = QStyleOption__OptionType(0xf0006)
	QStyleOption__SO_SizeGrip          QStyleOption__OptionType = QStyleOption__OptionType(0xf0007)
	QStyleOption__SO_CustomBase        QStyleOption__OptionType = QStyleOption__OptionType(0xf00)
	QStyleOption__SO_ComplexCustomBase QStyleOption__OptionType = QStyleOption__OptionType(0xf000000)
)

//go:generate stringer -type=QStyleOption__StyleOptionVersion
//QStyleOption::StyleOptionVersion
type QStyleOption__StyleOptionVersion int64

var (
	QStyleOption__Version QStyleOption__StyleOptionVersion = QStyleOption__StyleOptionVersion(1)
)

//go:generate stringer -type=QStyleOption__StyleOptionType
//QStyleOption::StyleOptionType
type QStyleOption__StyleOptionType int64

var (
	QStyleOption__Type QStyleOption__StyleOptionType = QStyleOption__StyleOptionType(QStyleOption__SO_Default)
)

func NewQStyleOption(version int, ty int) *QStyleOption {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOption", "", version, ty}).(*QStyleOption)
}

func NewQStyleOption2(other QStyleOption_ITF) *QStyleOption {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOption2", "", other}).(*QStyleOption)
}

func (ptr *QStyleOption) InitFrom(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitFrom", widget})
}

func (ptr *QStyleOption) DestroyQStyleOption() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStyleOption"})
}

func (ptr *QStyleOption) Version() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Version"}).(float64))
}

func (ptr *QStyleOption) SetVersion(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVersion", vin})
}

func (ptr *QStyleOption) Type() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QStyleOption) SetType(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetType", vin})
}

func (ptr *QStyleOption) State() QStyle__StateFlag {

	return QStyle__StateFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "State"}).(float64))
}

func (ptr *QStyleOption) SetState(vqs QStyle__StateFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetState", vqs})
}

func (ptr *QStyleOption) Direction() core.Qt__LayoutDirection {

	return core.Qt__LayoutDirection(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Direction"}).(float64))
}

func (ptr *QStyleOption) SetDirection(vqt core.Qt__LayoutDirection) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDirection", vqt})
}

func (ptr *QStyleOption) Rect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Rect"}).(*core.QRect)
}

func (ptr *QStyleOption) SetRect(vqr core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRect", vqr})
}

func (ptr *QStyleOption) FontMetrics() *gui.QFontMetrics {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontMetrics"}).(*gui.QFontMetrics)
}

func (ptr *QStyleOption) SetFontMetrics(vqf gui.QFontMetrics_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontMetrics", vqf})
}

func (ptr *QStyleOption) Palette() *gui.QPalette {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Palette"}).(*gui.QPalette)
}

func (ptr *QStyleOption) SetPalette(vqp gui.QPalette_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPalette", vqp})
}

func (ptr *QStyleOption) StyleObject() *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StyleObject"}).(*core.QObject)
}

func (ptr *QStyleOption) SetStyleObject(vqo core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStyleObject", vqo})
}

type QStyleOptionButton struct {
	QStyleOption
}

type QStyleOptionButton_ITF interface {
	QStyleOption_ITF
	QStyleOptionButton_PTR() *QStyleOptionButton
}

func (ptr *QStyleOptionButton) QStyleOptionButton_PTR() *QStyleOptionButton {
	return ptr
}

func (ptr *QStyleOptionButton) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionButton) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionButton(ptr QStyleOptionButton_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionButton_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionButton) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionButton) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionButtonFromPointer(ptr unsafe.Pointer) (n *QStyleOptionButton) {
	n = new(QStyleOptionButton)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionButton")
	return
}

func (ptr *QStyleOptionButton) DestroyQStyleOptionButton() {
}

//go:generate stringer -type=QStyleOptionButton__StyleOptionType
//QStyleOptionButton::StyleOptionType
type QStyleOptionButton__StyleOptionType int64

var (
	QStyleOptionButton__Type QStyleOptionButton__StyleOptionType = QStyleOptionButton__StyleOptionType(QStyleOption__SO_Button)
)

//go:generate stringer -type=QStyleOptionButton__StyleOptionVersion
//QStyleOptionButton::StyleOptionVersion
type QStyleOptionButton__StyleOptionVersion int64

var (
	QStyleOptionButton__Version QStyleOptionButton__StyleOptionVersion = QStyleOptionButton__StyleOptionVersion(1)
)

//go:generate stringer -type=QStyleOptionButton__ButtonFeature
//QStyleOptionButton::ButtonFeature
type QStyleOptionButton__ButtonFeature int64

const (
	QStyleOptionButton__None              QStyleOptionButton__ButtonFeature = QStyleOptionButton__ButtonFeature(0x00)
	QStyleOptionButton__Flat              QStyleOptionButton__ButtonFeature = QStyleOptionButton__ButtonFeature(0x01)
	QStyleOptionButton__HasMenu           QStyleOptionButton__ButtonFeature = QStyleOptionButton__ButtonFeature(0x02)
	QStyleOptionButton__DefaultButton     QStyleOptionButton__ButtonFeature = QStyleOptionButton__ButtonFeature(0x04)
	QStyleOptionButton__AutoDefaultButton QStyleOptionButton__ButtonFeature = QStyleOptionButton__ButtonFeature(0x08)
	QStyleOptionButton__CommandLinkButton QStyleOptionButton__ButtonFeature = QStyleOptionButton__ButtonFeature(0x10)
)

func NewQStyleOptionButton() *QStyleOptionButton {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionButton", ""}).(*QStyleOptionButton)
}

func NewQStyleOptionButton2(other QStyleOptionButton_ITF) *QStyleOptionButton {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionButton2", "", other}).(*QStyleOptionButton)
}

func (ptr *QStyleOptionButton) Features() QStyleOptionButton__ButtonFeature {

	return QStyleOptionButton__ButtonFeature(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Features"}).(float64))
}

func (ptr *QStyleOptionButton) SetFeatures(vqs QStyleOptionButton__ButtonFeature) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFeatures", vqs})
}

func (ptr *QStyleOptionButton) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QStyleOptionButton) SetText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", vqs})
}

func (ptr *QStyleOptionButton) Icon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*gui.QIcon)
}

func (ptr *QStyleOptionButton) SetIcon(vqi gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", vqi})
}

func (ptr *QStyleOptionButton) IconSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconSize"}).(*core.QSize)
}

func (ptr *QStyleOptionButton) SetIconSize(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconSize", vqs})
}

type QStyleOptionComboBox struct {
	QStyleOptionComplex
}

type QStyleOptionComboBox_ITF interface {
	QStyleOptionComplex_ITF
	QStyleOptionComboBox_PTR() *QStyleOptionComboBox
}

func (ptr *QStyleOptionComboBox) QStyleOptionComboBox_PTR() *QStyleOptionComboBox {
	return ptr
}

func (ptr *QStyleOptionComboBox) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionComplex_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionComboBox) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOptionComplex_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionComboBox(ptr QStyleOptionComboBox_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionComboBox_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionComboBox) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOptionComplex_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionComboBox) ClassNameInternalF() string {
	return n.QStyleOptionComplex_PTR().ClassNameInternalF()
}

func NewQStyleOptionComboBoxFromPointer(ptr unsafe.Pointer) (n *QStyleOptionComboBox) {
	n = new(QStyleOptionComboBox)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionComboBox")
	return
}

func (ptr *QStyleOptionComboBox) DestroyQStyleOptionComboBox() {
}

//go:generate stringer -type=QStyleOptionComboBox__StyleOptionType
//QStyleOptionComboBox::StyleOptionType
type QStyleOptionComboBox__StyleOptionType int64

var (
	QStyleOptionComboBox__Type QStyleOptionComboBox__StyleOptionType = QStyleOptionComboBox__StyleOptionType(QStyleOption__SO_ComboBox)
)

//go:generate stringer -type=QStyleOptionComboBox__StyleOptionVersion
//QStyleOptionComboBox::StyleOptionVersion
type QStyleOptionComboBox__StyleOptionVersion int64

var (
	QStyleOptionComboBox__Version QStyleOptionComboBox__StyleOptionVersion = QStyleOptionComboBox__StyleOptionVersion(1)
)

func NewQStyleOptionComboBox() *QStyleOptionComboBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionComboBox", ""}).(*QStyleOptionComboBox)
}

func NewQStyleOptionComboBox2(other QStyleOptionComboBox_ITF) *QStyleOptionComboBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionComboBox2", "", other}).(*QStyleOptionComboBox)
}

func (ptr *QStyleOptionComboBox) Editable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Editable"}).(bool)
}

func (ptr *QStyleOptionComboBox) SetEditable(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEditable", vbo})
}

func (ptr *QStyleOptionComboBox) PopupRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PopupRect"}).(*core.QRect)
}

func (ptr *QStyleOptionComboBox) SetPopupRect(vqr core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPopupRect", vqr})
}

func (ptr *QStyleOptionComboBox) Frame() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Frame"}).(bool)
}

func (ptr *QStyleOptionComboBox) SetFrame(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrame", vbo})
}

func (ptr *QStyleOptionComboBox) CurrentText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentText"}).(string)
}

func (ptr *QStyleOptionComboBox) SetCurrentText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentText", vqs})
}

func (ptr *QStyleOptionComboBox) CurrentIcon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentIcon"}).(*gui.QIcon)
}

func (ptr *QStyleOptionComboBox) SetCurrentIcon(vqi gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIcon", vqi})
}

func (ptr *QStyleOptionComboBox) IconSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconSize"}).(*core.QSize)
}

func (ptr *QStyleOptionComboBox) SetIconSize(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconSize", vqs})
}

type QStyleOptionComplex struct {
	QStyleOption
}

type QStyleOptionComplex_ITF interface {
	QStyleOption_ITF
	QStyleOptionComplex_PTR() *QStyleOptionComplex
}

func (ptr *QStyleOptionComplex) QStyleOptionComplex_PTR() *QStyleOptionComplex {
	return ptr
}

func (ptr *QStyleOptionComplex) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionComplex) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionComplex(ptr QStyleOptionComplex_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionComplex_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionComplex) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionComplex) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionComplexFromPointer(ptr unsafe.Pointer) (n *QStyleOptionComplex) {
	n = new(QStyleOptionComplex)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionComplex")
	return
}

func (ptr *QStyleOptionComplex) DestroyQStyleOptionComplex() {
}

//go:generate stringer -type=QStyleOptionComplex__StyleOptionType
//QStyleOptionComplex::StyleOptionType
type QStyleOptionComplex__StyleOptionType int64

var (
	QStyleOptionComplex__Type QStyleOptionComplex__StyleOptionType = QStyleOptionComplex__StyleOptionType(QStyleOption__SO_Complex)
)

//go:generate stringer -type=QStyleOptionComplex__StyleOptionVersion
//QStyleOptionComplex::StyleOptionVersion
type QStyleOptionComplex__StyleOptionVersion int64

var (
	QStyleOptionComplex__Version QStyleOptionComplex__StyleOptionVersion = QStyleOptionComplex__StyleOptionVersion(1)
)

func NewQStyleOptionComplex(version int, ty int) *QStyleOptionComplex {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionComplex", "", version, ty}).(*QStyleOptionComplex)
}

func NewQStyleOptionComplex2(other QStyleOptionComplex_ITF) *QStyleOptionComplex {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionComplex2", "", other}).(*QStyleOptionComplex)
}

func (ptr *QStyleOptionComplex) SubControls() QStyle__SubControl {

	return QStyle__SubControl(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubControls"}).(float64))
}

func (ptr *QStyleOptionComplex) SetSubControls(vqs QStyle__SubControl) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSubControls", vqs})
}

func (ptr *QStyleOptionComplex) ActiveSubControls() QStyle__SubControl {

	return QStyle__SubControl(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveSubControls"}).(float64))
}

func (ptr *QStyleOptionComplex) SetActiveSubControls(vqs QStyle__SubControl) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActiveSubControls", vqs})
}

type QStyleOptionDockWidget struct {
	QStyleOption
}

type QStyleOptionDockWidget_ITF interface {
	QStyleOption_ITF
	QStyleOptionDockWidget_PTR() *QStyleOptionDockWidget
}

func (ptr *QStyleOptionDockWidget) QStyleOptionDockWidget_PTR() *QStyleOptionDockWidget {
	return ptr
}

func (ptr *QStyleOptionDockWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionDockWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionDockWidget(ptr QStyleOptionDockWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionDockWidget_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionDockWidget) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionDockWidget) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionDockWidgetFromPointer(ptr unsafe.Pointer) (n *QStyleOptionDockWidget) {
	n = new(QStyleOptionDockWidget)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionDockWidget")
	return
}

func (ptr *QStyleOptionDockWidget) DestroyQStyleOptionDockWidget() {
}

//go:generate stringer -type=QStyleOptionDockWidget__StyleOptionType
//QStyleOptionDockWidget::StyleOptionType
type QStyleOptionDockWidget__StyleOptionType int64

var (
	QStyleOptionDockWidget__Type QStyleOptionDockWidget__StyleOptionType = QStyleOptionDockWidget__StyleOptionType(QStyleOption__SO_DockWidget)
)

//go:generate stringer -type=QStyleOptionDockWidget__StyleOptionVersion
//QStyleOptionDockWidget::StyleOptionVersion
type QStyleOptionDockWidget__StyleOptionVersion int64

var (
	QStyleOptionDockWidget__Version QStyleOptionDockWidget__StyleOptionVersion = QStyleOptionDockWidget__StyleOptionVersion(2)
)

func NewQStyleOptionDockWidget() *QStyleOptionDockWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionDockWidget", ""}).(*QStyleOptionDockWidget)
}

func NewQStyleOptionDockWidget2(other QStyleOptionDockWidget_ITF) *QStyleOptionDockWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionDockWidget2", "", other}).(*QStyleOptionDockWidget)
}

func (ptr *QStyleOptionDockWidget) Title() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Title"}).(string)
}

func (ptr *QStyleOptionDockWidget) SetTitle(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTitle", vqs})
}

func (ptr *QStyleOptionDockWidget) Closable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Closable"}).(bool)
}

func (ptr *QStyleOptionDockWidget) SetClosable(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetClosable", vbo})
}

func (ptr *QStyleOptionDockWidget) Movable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Movable"}).(bool)
}

func (ptr *QStyleOptionDockWidget) SetMovable(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMovable", vbo})
}

func (ptr *QStyleOptionDockWidget) Floatable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Floatable"}).(bool)
}

func (ptr *QStyleOptionDockWidget) SetFloatable(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFloatable", vbo})
}

type QStyleOptionFocusRect struct {
	QStyleOption
}

type QStyleOptionFocusRect_ITF interface {
	QStyleOption_ITF
	QStyleOptionFocusRect_PTR() *QStyleOptionFocusRect
}

func (ptr *QStyleOptionFocusRect) QStyleOptionFocusRect_PTR() *QStyleOptionFocusRect {
	return ptr
}

func (ptr *QStyleOptionFocusRect) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionFocusRect) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionFocusRect(ptr QStyleOptionFocusRect_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionFocusRect_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionFocusRect) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionFocusRect) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionFocusRectFromPointer(ptr unsafe.Pointer) (n *QStyleOptionFocusRect) {
	n = new(QStyleOptionFocusRect)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionFocusRect")
	return
}

func (ptr *QStyleOptionFocusRect) DestroyQStyleOptionFocusRect() {
}

//go:generate stringer -type=QStyleOptionFocusRect__StyleOptionType
//QStyleOptionFocusRect::StyleOptionType
type QStyleOptionFocusRect__StyleOptionType int64

var (
	QStyleOptionFocusRect__Type QStyleOptionFocusRect__StyleOptionType = QStyleOptionFocusRect__StyleOptionType(QStyleOption__SO_FocusRect)
)

//go:generate stringer -type=QStyleOptionFocusRect__StyleOptionVersion
//QStyleOptionFocusRect::StyleOptionVersion
type QStyleOptionFocusRect__StyleOptionVersion int64

var (
	QStyleOptionFocusRect__Version QStyleOptionFocusRect__StyleOptionVersion = QStyleOptionFocusRect__StyleOptionVersion(1)
)

func NewQStyleOptionFocusRect() *QStyleOptionFocusRect {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionFocusRect", ""}).(*QStyleOptionFocusRect)
}

func NewQStyleOptionFocusRect2(other QStyleOptionFocusRect_ITF) *QStyleOptionFocusRect {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionFocusRect2", "", other}).(*QStyleOptionFocusRect)
}

func (ptr *QStyleOptionFocusRect) BackgroundColor() *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackgroundColor"}).(*gui.QColor)
}

func (ptr *QStyleOptionFocusRect) SetBackgroundColor(vqc gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackgroundColor", vqc})
}

type QStyleOptionFrame struct {
	QStyleOption
}

type QStyleOptionFrame_ITF interface {
	QStyleOption_ITF
	QStyleOptionFrame_PTR() *QStyleOptionFrame
}

func (ptr *QStyleOptionFrame) QStyleOptionFrame_PTR() *QStyleOptionFrame {
	return ptr
}

func (ptr *QStyleOptionFrame) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionFrame) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionFrame(ptr QStyleOptionFrame_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionFrame_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionFrame) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionFrame) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionFrameFromPointer(ptr unsafe.Pointer) (n *QStyleOptionFrame) {
	n = new(QStyleOptionFrame)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionFrame")
	return
}

func (ptr *QStyleOptionFrame) DestroyQStyleOptionFrame() {
}

//go:generate stringer -type=QStyleOptionFrame__StyleOptionType
//QStyleOptionFrame::StyleOptionType
type QStyleOptionFrame__StyleOptionType int64

var (
	QStyleOptionFrame__Type QStyleOptionFrame__StyleOptionType = QStyleOptionFrame__StyleOptionType(QStyleOption__SO_Frame)
)

//go:generate stringer -type=QStyleOptionFrame__StyleOptionVersion
//QStyleOptionFrame::StyleOptionVersion
type QStyleOptionFrame__StyleOptionVersion int64

var (
	QStyleOptionFrame__Version QStyleOptionFrame__StyleOptionVersion = QStyleOptionFrame__StyleOptionVersion(3)
)

//go:generate stringer -type=QStyleOptionFrame__FrameFeature
//QStyleOptionFrame::FrameFeature
type QStyleOptionFrame__FrameFeature int64

const (
	QStyleOptionFrame__None    QStyleOptionFrame__FrameFeature = QStyleOptionFrame__FrameFeature(0x00)
	QStyleOptionFrame__Flat    QStyleOptionFrame__FrameFeature = QStyleOptionFrame__FrameFeature(0x01)
	QStyleOptionFrame__Rounded QStyleOptionFrame__FrameFeature = QStyleOptionFrame__FrameFeature(0x02)
)

func NewQStyleOptionFrame() *QStyleOptionFrame {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionFrame", ""}).(*QStyleOptionFrame)
}

func NewQStyleOptionFrame2(other QStyleOptionFrame_ITF) *QStyleOptionFrame {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionFrame2", "", other}).(*QStyleOptionFrame)
}

func (ptr *QStyleOptionFrame) LineWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineWidth"}).(float64))
}

func (ptr *QStyleOptionFrame) SetLineWidth(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLineWidth", vin})
}

func (ptr *QStyleOptionFrame) MidLineWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MidLineWidth"}).(float64))
}

func (ptr *QStyleOptionFrame) SetMidLineWidth(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMidLineWidth", vin})
}

func (ptr *QStyleOptionFrame) Features() QStyleOptionFrame__FrameFeature {

	return QStyleOptionFrame__FrameFeature(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Features"}).(float64))
}

func (ptr *QStyleOptionFrame) SetFeatures(vqs QStyleOptionFrame__FrameFeature) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFeatures", vqs})
}

func (ptr *QStyleOptionFrame) FrameShape() QFrame__Shape {

	return QFrame__Shape(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FrameShape"}).(float64))
}

func (ptr *QStyleOptionFrame) SetFrameShape(vqf QFrame__Shape) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrameShape", vqf})
}

type QStyleOptionGraphicsItem struct {
	QStyleOption
}

type QStyleOptionGraphicsItem_ITF interface {
	QStyleOption_ITF
	QStyleOptionGraphicsItem_PTR() *QStyleOptionGraphicsItem
}

func (ptr *QStyleOptionGraphicsItem) QStyleOptionGraphicsItem_PTR() *QStyleOptionGraphicsItem {
	return ptr
}

func (ptr *QStyleOptionGraphicsItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionGraphicsItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionGraphicsItem(ptr QStyleOptionGraphicsItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionGraphicsItem_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionGraphicsItem) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionGraphicsItem) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionGraphicsItemFromPointer(ptr unsafe.Pointer) (n *QStyleOptionGraphicsItem) {
	n = new(QStyleOptionGraphicsItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionGraphicsItem")
	return
}

func (ptr *QStyleOptionGraphicsItem) DestroyQStyleOptionGraphicsItem() {
}

//go:generate stringer -type=QStyleOptionGraphicsItem__StyleOptionType
//QStyleOptionGraphicsItem::StyleOptionType
type QStyleOptionGraphicsItem__StyleOptionType int64

var (
	QStyleOptionGraphicsItem__Type QStyleOptionGraphicsItem__StyleOptionType = QStyleOptionGraphicsItem__StyleOptionType(QStyleOption__SO_GraphicsItem)
)

//go:generate stringer -type=QStyleOptionGraphicsItem__StyleOptionVersion
//QStyleOptionGraphicsItem::StyleOptionVersion
type QStyleOptionGraphicsItem__StyleOptionVersion int64

var (
	QStyleOptionGraphicsItem__Version QStyleOptionGraphicsItem__StyleOptionVersion = QStyleOptionGraphicsItem__StyleOptionVersion(1)
)

func NewQStyleOptionGraphicsItem() *QStyleOptionGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionGraphicsItem", ""}).(*QStyleOptionGraphicsItem)
}

func NewQStyleOptionGraphicsItem2(other QStyleOptionGraphicsItem_ITF) *QStyleOptionGraphicsItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionGraphicsItem2", "", other}).(*QStyleOptionGraphicsItem)
}

func QStyleOptionGraphicsItem_LevelOfDetailFromTransform(worldTransform gui.QTransform_ITF) float64 {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyleOptionGraphicsItem_LevelOfDetailFromTransform", "", worldTransform}).(float64)
}

func (ptr *QStyleOptionGraphicsItem) LevelOfDetailFromTransform(worldTransform gui.QTransform_ITF) float64 {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QStyleOptionGraphicsItem_LevelOfDetailFromTransform", "", worldTransform}).(float64)
}

func (ptr *QStyleOptionGraphicsItem) ExposedRect() *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExposedRect"}).(*core.QRectF)
}

func (ptr *QStyleOptionGraphicsItem) SetExposedRect(vqr core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetExposedRect", vqr})
}

type QStyleOptionGroupBox struct {
	QStyleOptionComplex
}

type QStyleOptionGroupBox_ITF interface {
	QStyleOptionComplex_ITF
	QStyleOptionGroupBox_PTR() *QStyleOptionGroupBox
}

func (ptr *QStyleOptionGroupBox) QStyleOptionGroupBox_PTR() *QStyleOptionGroupBox {
	return ptr
}

func (ptr *QStyleOptionGroupBox) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionComplex_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionGroupBox) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOptionComplex_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionGroupBox(ptr QStyleOptionGroupBox_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionGroupBox_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionGroupBox) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOptionComplex_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionGroupBox) ClassNameInternalF() string {
	return n.QStyleOptionComplex_PTR().ClassNameInternalF()
}

func NewQStyleOptionGroupBoxFromPointer(ptr unsafe.Pointer) (n *QStyleOptionGroupBox) {
	n = new(QStyleOptionGroupBox)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionGroupBox")
	return
}

func (ptr *QStyleOptionGroupBox) DestroyQStyleOptionGroupBox() {
}

//go:generate stringer -type=QStyleOptionGroupBox__StyleOptionType
//QStyleOptionGroupBox::StyleOptionType
type QStyleOptionGroupBox__StyleOptionType int64

var (
	QStyleOptionGroupBox__Type QStyleOptionGroupBox__StyleOptionType = QStyleOptionGroupBox__StyleOptionType(QStyleOption__SO_GroupBox)
)

//go:generate stringer -type=QStyleOptionGroupBox__StyleOptionVersion
//QStyleOptionGroupBox::StyleOptionVersion
type QStyleOptionGroupBox__StyleOptionVersion int64

var (
	QStyleOptionGroupBox__Version QStyleOptionGroupBox__StyleOptionVersion = QStyleOptionGroupBox__StyleOptionVersion(1)
)

func NewQStyleOptionGroupBox() *QStyleOptionGroupBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionGroupBox", ""}).(*QStyleOptionGroupBox)
}

func NewQStyleOptionGroupBox2(other QStyleOptionGroupBox_ITF) *QStyleOptionGroupBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionGroupBox2", "", other}).(*QStyleOptionGroupBox)
}

func (ptr *QStyleOptionGroupBox) Features() QStyleOptionFrame__FrameFeature {

	return QStyleOptionFrame__FrameFeature(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Features"}).(float64))
}

func (ptr *QStyleOptionGroupBox) SetFeatures(vqs QStyleOptionFrame__FrameFeature) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFeatures", vqs})
}

func (ptr *QStyleOptionGroupBox) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QStyleOptionGroupBox) SetText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", vqs})
}

func (ptr *QStyleOptionGroupBox) TextAlignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextAlignment"}).(float64))
}

func (ptr *QStyleOptionGroupBox) SetTextAlignment(vqt core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextAlignment", vqt})
}

func (ptr *QStyleOptionGroupBox) TextColor() *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextColor"}).(*gui.QColor)
}

func (ptr *QStyleOptionGroupBox) SetTextColor(vqc gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextColor", vqc})
}

func (ptr *QStyleOptionGroupBox) LineWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineWidth"}).(float64))
}

func (ptr *QStyleOptionGroupBox) SetLineWidth(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLineWidth", vin})
}

func (ptr *QStyleOptionGroupBox) MidLineWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MidLineWidth"}).(float64))
}

func (ptr *QStyleOptionGroupBox) SetMidLineWidth(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMidLineWidth", vin})
}

type QStyleOptionHeader struct {
	QStyleOption
}

type QStyleOptionHeader_ITF interface {
	QStyleOption_ITF
	QStyleOptionHeader_PTR() *QStyleOptionHeader
}

func (ptr *QStyleOptionHeader) QStyleOptionHeader_PTR() *QStyleOptionHeader {
	return ptr
}

func (ptr *QStyleOptionHeader) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionHeader) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionHeader(ptr QStyleOptionHeader_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionHeader_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionHeader) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionHeader) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionHeaderFromPointer(ptr unsafe.Pointer) (n *QStyleOptionHeader) {
	n = new(QStyleOptionHeader)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionHeader")
	return
}

func (ptr *QStyleOptionHeader) DestroyQStyleOptionHeader() {
}

//go:generate stringer -type=QStyleOptionHeader__StyleOptionType
//QStyleOptionHeader::StyleOptionType
type QStyleOptionHeader__StyleOptionType int64

var (
	QStyleOptionHeader__Type QStyleOptionHeader__StyleOptionType = QStyleOptionHeader__StyleOptionType(QStyleOption__SO_Header)
)

//go:generate stringer -type=QStyleOptionHeader__StyleOptionVersion
//QStyleOptionHeader::StyleOptionVersion
type QStyleOptionHeader__StyleOptionVersion int64

var (
	QStyleOptionHeader__Version QStyleOptionHeader__StyleOptionVersion = QStyleOptionHeader__StyleOptionVersion(1)
)

//go:generate stringer -type=QStyleOptionHeader__SectionPosition
//QStyleOptionHeader::SectionPosition
type QStyleOptionHeader__SectionPosition int64

const (
	QStyleOptionHeader__Beginning      QStyleOptionHeader__SectionPosition = QStyleOptionHeader__SectionPosition(0)
	QStyleOptionHeader__Middle         QStyleOptionHeader__SectionPosition = QStyleOptionHeader__SectionPosition(1)
	QStyleOptionHeader__End            QStyleOptionHeader__SectionPosition = QStyleOptionHeader__SectionPosition(2)
	QStyleOptionHeader__OnlyOneSection QStyleOptionHeader__SectionPosition = QStyleOptionHeader__SectionPosition(3)
)

//go:generate stringer -type=QStyleOptionHeader__SelectedPosition
//QStyleOptionHeader::SelectedPosition
type QStyleOptionHeader__SelectedPosition int64

const (
	QStyleOptionHeader__NotAdjacent                QStyleOptionHeader__SelectedPosition = QStyleOptionHeader__SelectedPosition(0)
	QStyleOptionHeader__NextIsSelected             QStyleOptionHeader__SelectedPosition = QStyleOptionHeader__SelectedPosition(1)
	QStyleOptionHeader__PreviousIsSelected         QStyleOptionHeader__SelectedPosition = QStyleOptionHeader__SelectedPosition(2)
	QStyleOptionHeader__NextAndPreviousAreSelected QStyleOptionHeader__SelectedPosition = QStyleOptionHeader__SelectedPosition(3)
)

//go:generate stringer -type=QStyleOptionHeader__SortIndicator
//QStyleOptionHeader::SortIndicator
type QStyleOptionHeader__SortIndicator int64

const (
	QStyleOptionHeader__None     QStyleOptionHeader__SortIndicator = QStyleOptionHeader__SortIndicator(0)
	QStyleOptionHeader__SortUp   QStyleOptionHeader__SortIndicator = QStyleOptionHeader__SortIndicator(1)
	QStyleOptionHeader__SortDown QStyleOptionHeader__SortIndicator = QStyleOptionHeader__SortIndicator(2)
)

func NewQStyleOptionHeader() *QStyleOptionHeader {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionHeader", ""}).(*QStyleOptionHeader)
}

func NewQStyleOptionHeader2(other QStyleOptionHeader_ITF) *QStyleOptionHeader {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionHeader2", "", other}).(*QStyleOptionHeader)
}

func (ptr *QStyleOptionHeader) Section() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Section"}).(float64))
}

func (ptr *QStyleOptionHeader) SetSection(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSection", vin})
}

func (ptr *QStyleOptionHeader) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QStyleOptionHeader) SetText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", vqs})
}

func (ptr *QStyleOptionHeader) TextAlignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextAlignment"}).(float64))
}

func (ptr *QStyleOptionHeader) SetTextAlignment(vqt core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextAlignment", vqt})
}

func (ptr *QStyleOptionHeader) Icon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*gui.QIcon)
}

func (ptr *QStyleOptionHeader) SetIcon(vqi gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", vqi})
}

func (ptr *QStyleOptionHeader) IconAlignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconAlignment"}).(float64))
}

func (ptr *QStyleOptionHeader) SetIconAlignment(vqt core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconAlignment", vqt})
}

func (ptr *QStyleOptionHeader) Position() QStyleOptionHeader__SectionPosition {

	return QStyleOptionHeader__SectionPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(float64))
}

func (ptr *QStyleOptionHeader) SetPosition(vqs QStyleOptionHeader__SectionPosition) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPosition", vqs})
}

func (ptr *QStyleOptionHeader) SelectedPosition() QStyleOptionHeader__SelectedPosition {

	return QStyleOptionHeader__SelectedPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedPosition"}).(float64))
}

func (ptr *QStyleOptionHeader) SetSelectedPosition(vqs QStyleOptionHeader__SelectedPosition) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectedPosition", vqs})
}

func (ptr *QStyleOptionHeader) SortIndicator() QStyleOptionHeader__SortIndicator {

	return QStyleOptionHeader__SortIndicator(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortIndicator"}).(float64))
}

func (ptr *QStyleOptionHeader) SetSortIndicator(vqs QStyleOptionHeader__SortIndicator) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSortIndicator", vqs})
}

func (ptr *QStyleOptionHeader) Orientation() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QStyleOptionHeader) SetOrientation(vqt core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrientation", vqt})
}

type QStyleOptionMenuItem struct {
	QStyleOption
}

type QStyleOptionMenuItem_ITF interface {
	QStyleOption_ITF
	QStyleOptionMenuItem_PTR() *QStyleOptionMenuItem
}

func (ptr *QStyleOptionMenuItem) QStyleOptionMenuItem_PTR() *QStyleOptionMenuItem {
	return ptr
}

func (ptr *QStyleOptionMenuItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionMenuItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionMenuItem(ptr QStyleOptionMenuItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionMenuItem_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionMenuItem) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionMenuItem) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionMenuItemFromPointer(ptr unsafe.Pointer) (n *QStyleOptionMenuItem) {
	n = new(QStyleOptionMenuItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionMenuItem")
	return
}

func (ptr *QStyleOptionMenuItem) DestroyQStyleOptionMenuItem() {
}

//go:generate stringer -type=QStyleOptionMenuItem__StyleOptionType
//QStyleOptionMenuItem::StyleOptionType
type QStyleOptionMenuItem__StyleOptionType int64

var (
	QStyleOptionMenuItem__Type QStyleOptionMenuItem__StyleOptionType = QStyleOptionMenuItem__StyleOptionType(QStyleOption__SO_MenuItem)
)

//go:generate stringer -type=QStyleOptionMenuItem__StyleOptionVersion
//QStyleOptionMenuItem::StyleOptionVersion
type QStyleOptionMenuItem__StyleOptionVersion int64

var (
	QStyleOptionMenuItem__Version QStyleOptionMenuItem__StyleOptionVersion = QStyleOptionMenuItem__StyleOptionVersion(1)
)

//go:generate stringer -type=QStyleOptionMenuItem__MenuItemType
//QStyleOptionMenuItem::MenuItemType
type QStyleOptionMenuItem__MenuItemType int64

const (
	QStyleOptionMenuItem__Normal      QStyleOptionMenuItem__MenuItemType = QStyleOptionMenuItem__MenuItemType(0)
	QStyleOptionMenuItem__DefaultItem QStyleOptionMenuItem__MenuItemType = QStyleOptionMenuItem__MenuItemType(1)
	QStyleOptionMenuItem__Separator   QStyleOptionMenuItem__MenuItemType = QStyleOptionMenuItem__MenuItemType(2)
	QStyleOptionMenuItem__SubMenu     QStyleOptionMenuItem__MenuItemType = QStyleOptionMenuItem__MenuItemType(3)
	QStyleOptionMenuItem__Scroller    QStyleOptionMenuItem__MenuItemType = QStyleOptionMenuItem__MenuItemType(4)
	QStyleOptionMenuItem__TearOff     QStyleOptionMenuItem__MenuItemType = QStyleOptionMenuItem__MenuItemType(5)
	QStyleOptionMenuItem__Margin      QStyleOptionMenuItem__MenuItemType = QStyleOptionMenuItem__MenuItemType(6)
	QStyleOptionMenuItem__EmptyArea   QStyleOptionMenuItem__MenuItemType = QStyleOptionMenuItem__MenuItemType(7)
)

//go:generate stringer -type=QStyleOptionMenuItem__CheckType
//QStyleOptionMenuItem::CheckType
type QStyleOptionMenuItem__CheckType int64

const (
	QStyleOptionMenuItem__NotCheckable QStyleOptionMenuItem__CheckType = QStyleOptionMenuItem__CheckType(0)
	QStyleOptionMenuItem__Exclusive    QStyleOptionMenuItem__CheckType = QStyleOptionMenuItem__CheckType(1)
	QStyleOptionMenuItem__NonExclusive QStyleOptionMenuItem__CheckType = QStyleOptionMenuItem__CheckType(2)
)

func NewQStyleOptionMenuItem() *QStyleOptionMenuItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionMenuItem", ""}).(*QStyleOptionMenuItem)
}

func NewQStyleOptionMenuItem2(other QStyleOptionMenuItem_ITF) *QStyleOptionMenuItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionMenuItem2", "", other}).(*QStyleOptionMenuItem)
}

func (ptr *QStyleOptionMenuItem) MenuItemType() QStyleOptionMenuItem__MenuItemType {

	return QStyleOptionMenuItem__MenuItemType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MenuItemType"}).(float64))
}

func (ptr *QStyleOptionMenuItem) SetMenuItemType(vqs QStyleOptionMenuItem__MenuItemType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMenuItemType", vqs})
}

func (ptr *QStyleOptionMenuItem) CheckType() QStyleOptionMenuItem__CheckType {

	return QStyleOptionMenuItem__CheckType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckType"}).(float64))
}

func (ptr *QStyleOptionMenuItem) SetCheckType(vqs QStyleOptionMenuItem__CheckType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckType", vqs})
}

func (ptr *QStyleOptionMenuItem) Checked() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Checked"}).(bool)
}

func (ptr *QStyleOptionMenuItem) SetChecked(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChecked", vbo})
}

func (ptr *QStyleOptionMenuItem) MenuHasCheckableItems() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MenuHasCheckableItems"}).(bool)
}

func (ptr *QStyleOptionMenuItem) SetMenuHasCheckableItems(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMenuHasCheckableItems", vbo})
}

func (ptr *QStyleOptionMenuItem) MenuRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MenuRect"}).(*core.QRect)
}

func (ptr *QStyleOptionMenuItem) SetMenuRect(vqr core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMenuRect", vqr})
}

func (ptr *QStyleOptionMenuItem) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QStyleOptionMenuItem) SetText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", vqs})
}

func (ptr *QStyleOptionMenuItem) Icon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*gui.QIcon)
}

func (ptr *QStyleOptionMenuItem) SetIcon(vqi gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", vqi})
}

func (ptr *QStyleOptionMenuItem) MaxIconWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaxIconWidth"}).(float64))
}

func (ptr *QStyleOptionMenuItem) SetMaxIconWidth(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaxIconWidth", vin})
}

func (ptr *QStyleOptionMenuItem) TabWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabWidth"}).(float64))
}

func (ptr *QStyleOptionMenuItem) SetTabWidth(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabWidth", vin})
}

func (ptr *QStyleOptionMenuItem) Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*gui.QFont)
}

func (ptr *QStyleOptionMenuItem) SetFont(vqf gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont", vqf})
}

type QStyleOptionProgressBar struct {
	QStyleOption
}

type QStyleOptionProgressBar_ITF interface {
	QStyleOption_ITF
	QStyleOptionProgressBar_PTR() *QStyleOptionProgressBar
}

func (ptr *QStyleOptionProgressBar) QStyleOptionProgressBar_PTR() *QStyleOptionProgressBar {
	return ptr
}

func (ptr *QStyleOptionProgressBar) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionProgressBar) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionProgressBar(ptr QStyleOptionProgressBar_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionProgressBar_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionProgressBar) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionProgressBar) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionProgressBarFromPointer(ptr unsafe.Pointer) (n *QStyleOptionProgressBar) {
	n = new(QStyleOptionProgressBar)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionProgressBar")
	return
}

func (ptr *QStyleOptionProgressBar) DestroyQStyleOptionProgressBar() {
}

//go:generate stringer -type=QStyleOptionProgressBar__StyleOptionType
//QStyleOptionProgressBar::StyleOptionType
type QStyleOptionProgressBar__StyleOptionType int64

var (
	QStyleOptionProgressBar__Type QStyleOptionProgressBar__StyleOptionType = QStyleOptionProgressBar__StyleOptionType(QStyleOption__SO_ProgressBar)
)

//go:generate stringer -type=QStyleOptionProgressBar__StyleOptionVersion
//QStyleOptionProgressBar::StyleOptionVersion
type QStyleOptionProgressBar__StyleOptionVersion int64

var (
	QStyleOptionProgressBar__Version QStyleOptionProgressBar__StyleOptionVersion = QStyleOptionProgressBar__StyleOptionVersion(2)
)

func NewQStyleOptionProgressBar() *QStyleOptionProgressBar {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionProgressBar", ""}).(*QStyleOptionProgressBar)
}

func NewQStyleOptionProgressBar2(other QStyleOptionProgressBar_ITF) *QStyleOptionProgressBar {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionProgressBar2", "", other}).(*QStyleOptionProgressBar)
}

func (ptr *QStyleOptionProgressBar) Minimum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Minimum"}).(float64))
}

func (ptr *QStyleOptionProgressBar) SetMinimum(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimum", vin})
}

func (ptr *QStyleOptionProgressBar) Maximum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Maximum"}).(float64))
}

func (ptr *QStyleOptionProgressBar) SetMaximum(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximum", vin})
}

func (ptr *QStyleOptionProgressBar) Progress() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Progress"}).(float64))
}

func (ptr *QStyleOptionProgressBar) SetProgress(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetProgress", vin})
}

func (ptr *QStyleOptionProgressBar) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QStyleOptionProgressBar) SetText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", vqs})
}

func (ptr *QStyleOptionProgressBar) TextAlignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextAlignment"}).(float64))
}

func (ptr *QStyleOptionProgressBar) SetTextAlignment(vqt core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextAlignment", vqt})
}

func (ptr *QStyleOptionProgressBar) TextVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextVisible"}).(bool)
}

func (ptr *QStyleOptionProgressBar) SetTextVisible(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextVisible", vbo})
}

func (ptr *QStyleOptionProgressBar) InvertedAppearance() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvertedAppearance"}).(bool)
}

func (ptr *QStyleOptionProgressBar) SetInvertedAppearance(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetInvertedAppearance", vbo})
}

func (ptr *QStyleOptionProgressBar) BottomToTop() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BottomToTop"}).(bool)
}

func (ptr *QStyleOptionProgressBar) SetBottomToTop(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBottomToTop", vbo})
}

type QStyleOptionRubberBand struct {
	QStyleOption
}

type QStyleOptionRubberBand_ITF interface {
	QStyleOption_ITF
	QStyleOptionRubberBand_PTR() *QStyleOptionRubberBand
}

func (ptr *QStyleOptionRubberBand) QStyleOptionRubberBand_PTR() *QStyleOptionRubberBand {
	return ptr
}

func (ptr *QStyleOptionRubberBand) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionRubberBand) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionRubberBand(ptr QStyleOptionRubberBand_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionRubberBand_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionRubberBand) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionRubberBand) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionRubberBandFromPointer(ptr unsafe.Pointer) (n *QStyleOptionRubberBand) {
	n = new(QStyleOptionRubberBand)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionRubberBand")
	return
}

func (ptr *QStyleOptionRubberBand) DestroyQStyleOptionRubberBand() {
}

//go:generate stringer -type=QStyleOptionRubberBand__StyleOptionType
//QStyleOptionRubberBand::StyleOptionType
type QStyleOptionRubberBand__StyleOptionType int64

var (
	QStyleOptionRubberBand__Type QStyleOptionRubberBand__StyleOptionType = QStyleOptionRubberBand__StyleOptionType(QStyleOption__SO_RubberBand)
)

//go:generate stringer -type=QStyleOptionRubberBand__StyleOptionVersion
//QStyleOptionRubberBand::StyleOptionVersion
type QStyleOptionRubberBand__StyleOptionVersion int64

var (
	QStyleOptionRubberBand__Version QStyleOptionRubberBand__StyleOptionVersion = QStyleOptionRubberBand__StyleOptionVersion(1)
)

func NewQStyleOptionRubberBand() *QStyleOptionRubberBand {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionRubberBand", ""}).(*QStyleOptionRubberBand)
}

func NewQStyleOptionRubberBand2(other QStyleOptionRubberBand_ITF) *QStyleOptionRubberBand {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionRubberBand2", "", other}).(*QStyleOptionRubberBand)
}

func (ptr *QStyleOptionRubberBand) Shape() QRubberBand__Shape {

	return QRubberBand__Shape(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shape"}).(float64))
}

func (ptr *QStyleOptionRubberBand) SetShape(vqr QRubberBand__Shape) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShape", vqr})
}

func (ptr *QStyleOptionRubberBand) Opaque() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Opaque"}).(bool)
}

func (ptr *QStyleOptionRubberBand) SetOpaque(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOpaque", vbo})
}

type QStyleOptionSizeGrip struct {
	QStyleOptionComplex
}

type QStyleOptionSizeGrip_ITF interface {
	QStyleOptionComplex_ITF
	QStyleOptionSizeGrip_PTR() *QStyleOptionSizeGrip
}

func (ptr *QStyleOptionSizeGrip) QStyleOptionSizeGrip_PTR() *QStyleOptionSizeGrip {
	return ptr
}

func (ptr *QStyleOptionSizeGrip) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionComplex_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionSizeGrip) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOptionComplex_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionSizeGrip(ptr QStyleOptionSizeGrip_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionSizeGrip_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionSizeGrip) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOptionComplex_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionSizeGrip) ClassNameInternalF() string {
	return n.QStyleOptionComplex_PTR().ClassNameInternalF()
}

func NewQStyleOptionSizeGripFromPointer(ptr unsafe.Pointer) (n *QStyleOptionSizeGrip) {
	n = new(QStyleOptionSizeGrip)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionSizeGrip")
	return
}

func (ptr *QStyleOptionSizeGrip) DestroyQStyleOptionSizeGrip() {
}

//go:generate stringer -type=QStyleOptionSizeGrip__StyleOptionType
//QStyleOptionSizeGrip::StyleOptionType
type QStyleOptionSizeGrip__StyleOptionType int64

var (
	QStyleOptionSizeGrip__Type QStyleOptionSizeGrip__StyleOptionType = QStyleOptionSizeGrip__StyleOptionType(QStyleOption__SO_SizeGrip)
)

//go:generate stringer -type=QStyleOptionSizeGrip__StyleOptionVersion
//QStyleOptionSizeGrip::StyleOptionVersion
type QStyleOptionSizeGrip__StyleOptionVersion int64

var (
	QStyleOptionSizeGrip__Version QStyleOptionSizeGrip__StyleOptionVersion = QStyleOptionSizeGrip__StyleOptionVersion(1)
)

func NewQStyleOptionSizeGrip() *QStyleOptionSizeGrip {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionSizeGrip", ""}).(*QStyleOptionSizeGrip)
}

func NewQStyleOptionSizeGrip2(other QStyleOptionSizeGrip_ITF) *QStyleOptionSizeGrip {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionSizeGrip2", "", other}).(*QStyleOptionSizeGrip)
}

func (ptr *QStyleOptionSizeGrip) Corner() core.Qt__Corner {

	return core.Qt__Corner(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Corner"}).(float64))
}

func (ptr *QStyleOptionSizeGrip) SetCorner(vqt core.Qt__Corner) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCorner", vqt})
}

type QStyleOptionSlider struct {
	QStyleOptionComplex
}

type QStyleOptionSlider_ITF interface {
	QStyleOptionComplex_ITF
	QStyleOptionSlider_PTR() *QStyleOptionSlider
}

func (ptr *QStyleOptionSlider) QStyleOptionSlider_PTR() *QStyleOptionSlider {
	return ptr
}

func (ptr *QStyleOptionSlider) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionComplex_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionSlider) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOptionComplex_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionSlider(ptr QStyleOptionSlider_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionSlider_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionSlider) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOptionComplex_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionSlider) ClassNameInternalF() string {
	return n.QStyleOptionComplex_PTR().ClassNameInternalF()
}

func NewQStyleOptionSliderFromPointer(ptr unsafe.Pointer) (n *QStyleOptionSlider) {
	n = new(QStyleOptionSlider)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionSlider")
	return
}

func (ptr *QStyleOptionSlider) DestroyQStyleOptionSlider() {
}

//go:generate stringer -type=QStyleOptionSlider__StyleOptionType
//QStyleOptionSlider::StyleOptionType
type QStyleOptionSlider__StyleOptionType int64

var (
	QStyleOptionSlider__Type QStyleOptionSlider__StyleOptionType = QStyleOptionSlider__StyleOptionType(QStyleOption__SO_Slider)
)

//go:generate stringer -type=QStyleOptionSlider__StyleOptionVersion
//QStyleOptionSlider::StyleOptionVersion
type QStyleOptionSlider__StyleOptionVersion int64

var (
	QStyleOptionSlider__Version QStyleOptionSlider__StyleOptionVersion = QStyleOptionSlider__StyleOptionVersion(1)
)

func NewQStyleOptionSlider() *QStyleOptionSlider {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionSlider", ""}).(*QStyleOptionSlider)
}

func NewQStyleOptionSlider2(other QStyleOptionSlider_ITF) *QStyleOptionSlider {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionSlider2", "", other}).(*QStyleOptionSlider)
}

func (ptr *QStyleOptionSlider) Orientation() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QStyleOptionSlider) SetOrientation(vqt core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrientation", vqt})
}

func (ptr *QStyleOptionSlider) Minimum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Minimum"}).(float64))
}

func (ptr *QStyleOptionSlider) SetMinimum(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMinimum", vin})
}

func (ptr *QStyleOptionSlider) Maximum() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Maximum"}).(float64))
}

func (ptr *QStyleOptionSlider) SetMaximum(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMaximum", vin})
}

func (ptr *QStyleOptionSlider) TickPosition() QSlider__TickPosition {

	return QSlider__TickPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TickPosition"}).(float64))
}

func (ptr *QStyleOptionSlider) SetTickPosition(vqs QSlider__TickPosition) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTickPosition", vqs})
}

func (ptr *QStyleOptionSlider) TickInterval() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TickInterval"}).(float64))
}

func (ptr *QStyleOptionSlider) SetTickInterval(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTickInterval", vin})
}

func (ptr *QStyleOptionSlider) UpsideDown() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpsideDown"}).(bool)
}

func (ptr *QStyleOptionSlider) SetUpsideDown(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUpsideDown", vbo})
}

func (ptr *QStyleOptionSlider) SliderPosition() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SliderPosition"}).(float64))
}

func (ptr *QStyleOptionSlider) SetSliderPosition(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSliderPosition", vin})
}

func (ptr *QStyleOptionSlider) SliderValue() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SliderValue"}).(float64))
}

func (ptr *QStyleOptionSlider) SetSliderValue(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSliderValue", vin})
}

func (ptr *QStyleOptionSlider) SingleStep() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SingleStep"}).(float64))
}

func (ptr *QStyleOptionSlider) SetSingleStep(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSingleStep", vin})
}

func (ptr *QStyleOptionSlider) PageStep() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageStep"}).(float64))
}

func (ptr *QStyleOptionSlider) SetPageStep(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPageStep", vin})
}

func (ptr *QStyleOptionSlider) NotchTarget() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NotchTarget"}).(float64)
}

func (ptr *QStyleOptionSlider) SetNotchTarget(vqr float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetNotchTarget", vqr})
}

func (ptr *QStyleOptionSlider) DialWrapping() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DialWrapping"}).(bool)
}

func (ptr *QStyleOptionSlider) SetDialWrapping(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDialWrapping", vbo})
}

type QStyleOptionSpinBox struct {
	QStyleOptionComplex
}

type QStyleOptionSpinBox_ITF interface {
	QStyleOptionComplex_ITF
	QStyleOptionSpinBox_PTR() *QStyleOptionSpinBox
}

func (ptr *QStyleOptionSpinBox) QStyleOptionSpinBox_PTR() *QStyleOptionSpinBox {
	return ptr
}

func (ptr *QStyleOptionSpinBox) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionComplex_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionSpinBox) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOptionComplex_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionSpinBox(ptr QStyleOptionSpinBox_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionSpinBox_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionSpinBox) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOptionComplex_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionSpinBox) ClassNameInternalF() string {
	return n.QStyleOptionComplex_PTR().ClassNameInternalF()
}

func NewQStyleOptionSpinBoxFromPointer(ptr unsafe.Pointer) (n *QStyleOptionSpinBox) {
	n = new(QStyleOptionSpinBox)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionSpinBox")
	return
}

func (ptr *QStyleOptionSpinBox) DestroyQStyleOptionSpinBox() {
}

//go:generate stringer -type=QStyleOptionSpinBox__StyleOptionVersion
//QStyleOptionSpinBox::StyleOptionVersion
type QStyleOptionSpinBox__StyleOptionVersion int64

var (
	QStyleOptionSpinBox__Version QStyleOptionSpinBox__StyleOptionVersion = QStyleOptionSpinBox__StyleOptionVersion(1)
)

//go:generate stringer -type=QStyleOptionSpinBox__StyleOptionType
//QStyleOptionSpinBox::StyleOptionType
type QStyleOptionSpinBox__StyleOptionType int64

var (
	QStyleOptionSpinBox__Type QStyleOptionSpinBox__StyleOptionType = QStyleOptionSpinBox__StyleOptionType(QStyleOption__SO_SpinBox)
)

func NewQStyleOptionSpinBox() *QStyleOptionSpinBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionSpinBox", ""}).(*QStyleOptionSpinBox)
}

func NewQStyleOptionSpinBox2(other QStyleOptionSpinBox_ITF) *QStyleOptionSpinBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionSpinBox2", "", other}).(*QStyleOptionSpinBox)
}

func (ptr *QStyleOptionSpinBox) ButtonSymbols() QAbstractSpinBox__ButtonSymbols {

	return QAbstractSpinBox__ButtonSymbols(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonSymbols"}).(float64))
}

func (ptr *QStyleOptionSpinBox) SetButtonSymbols(vqa QAbstractSpinBox__ButtonSymbols) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetButtonSymbols", vqa})
}

func (ptr *QStyleOptionSpinBox) StepEnabled() QAbstractSpinBox__StepEnabledFlag {

	return QAbstractSpinBox__StepEnabledFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StepEnabled"}).(float64))
}

func (ptr *QStyleOptionSpinBox) SetStepEnabled(vqa QAbstractSpinBox__StepEnabledFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStepEnabled", vqa})
}

func (ptr *QStyleOptionSpinBox) Frame() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Frame"}).(bool)
}

func (ptr *QStyleOptionSpinBox) SetFrame(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFrame", vbo})
}

type QStyleOptionTab struct {
	QStyleOption
}

type QStyleOptionTab_ITF interface {
	QStyleOption_ITF
	QStyleOptionTab_PTR() *QStyleOptionTab
}

func (ptr *QStyleOptionTab) QStyleOptionTab_PTR() *QStyleOptionTab {
	return ptr
}

func (ptr *QStyleOptionTab) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionTab) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionTab(ptr QStyleOptionTab_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionTab_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionTab) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionTab) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionTabFromPointer(ptr unsafe.Pointer) (n *QStyleOptionTab) {
	n = new(QStyleOptionTab)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionTab")
	return
}

func (ptr *QStyleOptionTab) DestroyQStyleOptionTab() {
}

//go:generate stringer -type=QStyleOptionTab__StyleOptionType
//QStyleOptionTab::StyleOptionType
type QStyleOptionTab__StyleOptionType int64

var (
	QStyleOptionTab__Type QStyleOptionTab__StyleOptionType = QStyleOptionTab__StyleOptionType(QStyleOption__SO_Tab)
)

//go:generate stringer -type=QStyleOptionTab__StyleOptionVersion
//QStyleOptionTab::StyleOptionVersion
type QStyleOptionTab__StyleOptionVersion int64

var (
	QStyleOptionTab__Version QStyleOptionTab__StyleOptionVersion = QStyleOptionTab__StyleOptionVersion(3)
)

//go:generate stringer -type=QStyleOptionTab__TabPosition
//QStyleOptionTab::TabPosition
type QStyleOptionTab__TabPosition int64

const (
	QStyleOptionTab__Beginning  QStyleOptionTab__TabPosition = QStyleOptionTab__TabPosition(0)
	QStyleOptionTab__Middle     QStyleOptionTab__TabPosition = QStyleOptionTab__TabPosition(1)
	QStyleOptionTab__End        QStyleOptionTab__TabPosition = QStyleOptionTab__TabPosition(2)
	QStyleOptionTab__OnlyOneTab QStyleOptionTab__TabPosition = QStyleOptionTab__TabPosition(3)
)

//go:generate stringer -type=QStyleOptionTab__SelectedPosition
//QStyleOptionTab::SelectedPosition
type QStyleOptionTab__SelectedPosition int64

const (
	QStyleOptionTab__NotAdjacent        QStyleOptionTab__SelectedPosition = QStyleOptionTab__SelectedPosition(0)
	QStyleOptionTab__NextIsSelected     QStyleOptionTab__SelectedPosition = QStyleOptionTab__SelectedPosition(1)
	QStyleOptionTab__PreviousIsSelected QStyleOptionTab__SelectedPosition = QStyleOptionTab__SelectedPosition(2)
)

//go:generate stringer -type=QStyleOptionTab__CornerWidget
//QStyleOptionTab::CornerWidget
type QStyleOptionTab__CornerWidget int64

const (
	QStyleOptionTab__NoCornerWidgets   QStyleOptionTab__CornerWidget = QStyleOptionTab__CornerWidget(0x00)
	QStyleOptionTab__LeftCornerWidget  QStyleOptionTab__CornerWidget = QStyleOptionTab__CornerWidget(0x01)
	QStyleOptionTab__RightCornerWidget QStyleOptionTab__CornerWidget = QStyleOptionTab__CornerWidget(0x02)
)

//go:generate stringer -type=QStyleOptionTab__TabFeature
//QStyleOptionTab::TabFeature
type QStyleOptionTab__TabFeature int64

const (
	QStyleOptionTab__None     QStyleOptionTab__TabFeature = QStyleOptionTab__TabFeature(0x00)
	QStyleOptionTab__HasFrame QStyleOptionTab__TabFeature = QStyleOptionTab__TabFeature(0x01)
)

func NewQStyleOptionTab() *QStyleOptionTab {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionTab", ""}).(*QStyleOptionTab)
}

func NewQStyleOptionTab2(other QStyleOptionTab_ITF) *QStyleOptionTab {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionTab2", "", other}).(*QStyleOptionTab)
}

func (ptr *QStyleOptionTab) Shape() QTabBar__Shape {

	return QTabBar__Shape(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shape"}).(float64))
}

func (ptr *QStyleOptionTab) SetShape(vqt QTabBar__Shape) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShape", vqt})
}

func (ptr *QStyleOptionTab) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QStyleOptionTab) SetText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", vqs})
}

func (ptr *QStyleOptionTab) Icon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*gui.QIcon)
}

func (ptr *QStyleOptionTab) SetIcon(vqi gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", vqi})
}

func (ptr *QStyleOptionTab) Row() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Row"}).(float64))
}

func (ptr *QStyleOptionTab) SetRow(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRow", vin})
}

func (ptr *QStyleOptionTab) Position() QStyleOptionTab__TabPosition {

	return QStyleOptionTab__TabPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(float64))
}

func (ptr *QStyleOptionTab) SetPosition(vqs QStyleOptionTab__TabPosition) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPosition", vqs})
}

func (ptr *QStyleOptionTab) SelectedPosition() QStyleOptionTab__SelectedPosition {

	return QStyleOptionTab__SelectedPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedPosition"}).(float64))
}

func (ptr *QStyleOptionTab) SetSelectedPosition(vqs QStyleOptionTab__SelectedPosition) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectedPosition", vqs})
}

func (ptr *QStyleOptionTab) CornerWidgets() QStyleOptionTab__CornerWidget {

	return QStyleOptionTab__CornerWidget(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CornerWidgets"}).(float64))
}

func (ptr *QStyleOptionTab) SetCornerWidgets(vqs QStyleOptionTab__CornerWidget) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCornerWidgets", vqs})
}

func (ptr *QStyleOptionTab) IconSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconSize"}).(*core.QSize)
}

func (ptr *QStyleOptionTab) SetIconSize(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconSize", vqs})
}

func (ptr *QStyleOptionTab) DocumentMode() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentMode"}).(bool)
}

func (ptr *QStyleOptionTab) SetDocumentMode(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDocumentMode", vbo})
}

func (ptr *QStyleOptionTab) LeftButtonSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LeftButtonSize"}).(*core.QSize)
}

func (ptr *QStyleOptionTab) SetLeftButtonSize(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLeftButtonSize", vqs})
}

func (ptr *QStyleOptionTab) RightButtonSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RightButtonSize"}).(*core.QSize)
}

func (ptr *QStyleOptionTab) SetRightButtonSize(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRightButtonSize", vqs})
}

type QStyleOptionTabBarBase struct {
	QStyleOption
}

type QStyleOptionTabBarBase_ITF interface {
	QStyleOption_ITF
	QStyleOptionTabBarBase_PTR() *QStyleOptionTabBarBase
}

func (ptr *QStyleOptionTabBarBase) QStyleOptionTabBarBase_PTR() *QStyleOptionTabBarBase {
	return ptr
}

func (ptr *QStyleOptionTabBarBase) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionTabBarBase) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionTabBarBase(ptr QStyleOptionTabBarBase_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionTabBarBase_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionTabBarBase) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionTabBarBase) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionTabBarBaseFromPointer(ptr unsafe.Pointer) (n *QStyleOptionTabBarBase) {
	n = new(QStyleOptionTabBarBase)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionTabBarBase")
	return
}

func (ptr *QStyleOptionTabBarBase) DestroyQStyleOptionTabBarBase() {
}

//go:generate stringer -type=QStyleOptionTabBarBase__StyleOptionType
//QStyleOptionTabBarBase::StyleOptionType
type QStyleOptionTabBarBase__StyleOptionType int64

var (
	QStyleOptionTabBarBase__Type QStyleOptionTabBarBase__StyleOptionType = QStyleOptionTabBarBase__StyleOptionType(QStyleOption__SO_TabBarBase)
)

//go:generate stringer -type=QStyleOptionTabBarBase__StyleOptionVersion
//QStyleOptionTabBarBase::StyleOptionVersion
type QStyleOptionTabBarBase__StyleOptionVersion int64

var (
	QStyleOptionTabBarBase__Version QStyleOptionTabBarBase__StyleOptionVersion = QStyleOptionTabBarBase__StyleOptionVersion(2)
)

func NewQStyleOptionTabBarBase() *QStyleOptionTabBarBase {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionTabBarBase", ""}).(*QStyleOptionTabBarBase)
}

func NewQStyleOptionTabBarBase2(other QStyleOptionTabBarBase_ITF) *QStyleOptionTabBarBase {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionTabBarBase2", "", other}).(*QStyleOptionTabBarBase)
}

func (ptr *QStyleOptionTabBarBase) Shape() QTabBar__Shape {

	return QTabBar__Shape(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shape"}).(float64))
}

func (ptr *QStyleOptionTabBarBase) SetShape(vqt QTabBar__Shape) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShape", vqt})
}

func (ptr *QStyleOptionTabBarBase) TabBarRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabBarRect"}).(*core.QRect)
}

func (ptr *QStyleOptionTabBarBase) SetTabBarRect(vqr core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabBarRect", vqr})
}

func (ptr *QStyleOptionTabBarBase) SelectedTabRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedTabRect"}).(*core.QRect)
}

func (ptr *QStyleOptionTabBarBase) SetSelectedTabRect(vqr core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectedTabRect", vqr})
}

func (ptr *QStyleOptionTabBarBase) DocumentMode() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentMode"}).(bool)
}

func (ptr *QStyleOptionTabBarBase) SetDocumentMode(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDocumentMode", vbo})
}

type QStyleOptionTabWidgetFrame struct {
	QStyleOption
}

type QStyleOptionTabWidgetFrame_ITF interface {
	QStyleOption_ITF
	QStyleOptionTabWidgetFrame_PTR() *QStyleOptionTabWidgetFrame
}

func (ptr *QStyleOptionTabWidgetFrame) QStyleOptionTabWidgetFrame_PTR() *QStyleOptionTabWidgetFrame {
	return ptr
}

func (ptr *QStyleOptionTabWidgetFrame) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionTabWidgetFrame) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionTabWidgetFrame(ptr QStyleOptionTabWidgetFrame_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionTabWidgetFrame_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionTabWidgetFrame) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionTabWidgetFrame) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionTabWidgetFrameFromPointer(ptr unsafe.Pointer) (n *QStyleOptionTabWidgetFrame) {
	n = new(QStyleOptionTabWidgetFrame)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionTabWidgetFrame")
	return
}

func (ptr *QStyleOptionTabWidgetFrame) DestroyQStyleOptionTabWidgetFrame() {
}

//go:generate stringer -type=QStyleOptionTabWidgetFrame__StyleOptionType
//QStyleOptionTabWidgetFrame::StyleOptionType
type QStyleOptionTabWidgetFrame__StyleOptionType int64

var (
	QStyleOptionTabWidgetFrame__Type QStyleOptionTabWidgetFrame__StyleOptionType = QStyleOptionTabWidgetFrame__StyleOptionType(QStyleOption__SO_TabWidgetFrame)
)

//go:generate stringer -type=QStyleOptionTabWidgetFrame__StyleOptionVersion
//QStyleOptionTabWidgetFrame::StyleOptionVersion
type QStyleOptionTabWidgetFrame__StyleOptionVersion int64

var (
	QStyleOptionTabWidgetFrame__Version QStyleOptionTabWidgetFrame__StyleOptionVersion = QStyleOptionTabWidgetFrame__StyleOptionVersion(2)
)

func NewQStyleOptionTabWidgetFrame() *QStyleOptionTabWidgetFrame {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionTabWidgetFrame", ""}).(*QStyleOptionTabWidgetFrame)
}

func NewQStyleOptionTabWidgetFrame2(other QStyleOptionTabWidgetFrame_ITF) *QStyleOptionTabWidgetFrame {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionTabWidgetFrame2", "", other}).(*QStyleOptionTabWidgetFrame)
}

func (ptr *QStyleOptionTabWidgetFrame) LineWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineWidth"}).(float64))
}

func (ptr *QStyleOptionTabWidgetFrame) SetLineWidth(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLineWidth", vin})
}

func (ptr *QStyleOptionTabWidgetFrame) MidLineWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MidLineWidth"}).(float64))
}

func (ptr *QStyleOptionTabWidgetFrame) SetMidLineWidth(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMidLineWidth", vin})
}

func (ptr *QStyleOptionTabWidgetFrame) Shape() QTabBar__Shape {

	return QTabBar__Shape(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shape"}).(float64))
}

func (ptr *QStyleOptionTabWidgetFrame) SetShape(vqt QTabBar__Shape) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShape", vqt})
}

func (ptr *QStyleOptionTabWidgetFrame) TabBarSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabBarSize"}).(*core.QSize)
}

func (ptr *QStyleOptionTabWidgetFrame) SetTabBarSize(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabBarSize", vqs})
}

func (ptr *QStyleOptionTabWidgetFrame) RightCornerWidgetSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RightCornerWidgetSize"}).(*core.QSize)
}

func (ptr *QStyleOptionTabWidgetFrame) SetRightCornerWidgetSize(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRightCornerWidgetSize", vqs})
}

func (ptr *QStyleOptionTabWidgetFrame) LeftCornerWidgetSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LeftCornerWidgetSize"}).(*core.QSize)
}

func (ptr *QStyleOptionTabWidgetFrame) SetLeftCornerWidgetSize(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLeftCornerWidgetSize", vqs})
}

func (ptr *QStyleOptionTabWidgetFrame) TabBarRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabBarRect"}).(*core.QRect)
}

func (ptr *QStyleOptionTabWidgetFrame) SetTabBarRect(vqr core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabBarRect", vqr})
}

func (ptr *QStyleOptionTabWidgetFrame) SelectedTabRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedTabRect"}).(*core.QRect)
}

func (ptr *QStyleOptionTabWidgetFrame) SetSelectedTabRect(vqr core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectedTabRect", vqr})
}

type QStyleOptionTitleBar struct {
	QStyleOptionComplex
}

type QStyleOptionTitleBar_ITF interface {
	QStyleOptionComplex_ITF
	QStyleOptionTitleBar_PTR() *QStyleOptionTitleBar
}

func (ptr *QStyleOptionTitleBar) QStyleOptionTitleBar_PTR() *QStyleOptionTitleBar {
	return ptr
}

func (ptr *QStyleOptionTitleBar) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionComplex_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionTitleBar) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOptionComplex_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionTitleBar(ptr QStyleOptionTitleBar_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionTitleBar_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionTitleBar) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOptionComplex_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionTitleBar) ClassNameInternalF() string {
	return n.QStyleOptionComplex_PTR().ClassNameInternalF()
}

func NewQStyleOptionTitleBarFromPointer(ptr unsafe.Pointer) (n *QStyleOptionTitleBar) {
	n = new(QStyleOptionTitleBar)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionTitleBar")
	return
}

func (ptr *QStyleOptionTitleBar) DestroyQStyleOptionTitleBar() {
}

//go:generate stringer -type=QStyleOptionTitleBar__StyleOptionVersion
//QStyleOptionTitleBar::StyleOptionVersion
type QStyleOptionTitleBar__StyleOptionVersion int64

var (
	QStyleOptionTitleBar__Version QStyleOptionTitleBar__StyleOptionVersion = QStyleOptionTitleBar__StyleOptionVersion(1)
)

//go:generate stringer -type=QStyleOptionTitleBar__StyleOptionType
//QStyleOptionTitleBar::StyleOptionType
type QStyleOptionTitleBar__StyleOptionType int64

var (
	QStyleOptionTitleBar__Type QStyleOptionTitleBar__StyleOptionType = QStyleOptionTitleBar__StyleOptionType(QStyleOption__SO_TitleBar)
)

func NewQStyleOptionTitleBar() *QStyleOptionTitleBar {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionTitleBar", ""}).(*QStyleOptionTitleBar)
}

func NewQStyleOptionTitleBar2(other QStyleOptionTitleBar_ITF) *QStyleOptionTitleBar {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionTitleBar2", "", other}).(*QStyleOptionTitleBar)
}

func (ptr *QStyleOptionTitleBar) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QStyleOptionTitleBar) SetText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", vqs})
}

func (ptr *QStyleOptionTitleBar) Icon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*gui.QIcon)
}

func (ptr *QStyleOptionTitleBar) SetIcon(vqi gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", vqi})
}

func (ptr *QStyleOptionTitleBar) TitleBarState() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TitleBarState"}).(float64))
}

func (ptr *QStyleOptionTitleBar) SetTitleBarState(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTitleBarState", vin})
}

func (ptr *QStyleOptionTitleBar) TitleBarFlags() core.Qt__WindowType {

	return core.Qt__WindowType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TitleBarFlags"}).(float64))
}

func (ptr *QStyleOptionTitleBar) SetTitleBarFlags(vqt core.Qt__WindowType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTitleBarFlags", vqt})
}

type QStyleOptionToolBar struct {
	QStyleOption
}

type QStyleOptionToolBar_ITF interface {
	QStyleOption_ITF
	QStyleOptionToolBar_PTR() *QStyleOptionToolBar
}

func (ptr *QStyleOptionToolBar) QStyleOptionToolBar_PTR() *QStyleOptionToolBar {
	return ptr
}

func (ptr *QStyleOptionToolBar) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionToolBar) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionToolBar(ptr QStyleOptionToolBar_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionToolBar_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionToolBar) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionToolBar) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionToolBarFromPointer(ptr unsafe.Pointer) (n *QStyleOptionToolBar) {
	n = new(QStyleOptionToolBar)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionToolBar")
	return
}

func (ptr *QStyleOptionToolBar) DestroyQStyleOptionToolBar() {
}

//go:generate stringer -type=QStyleOptionToolBar__StyleOptionType
//QStyleOptionToolBar::StyleOptionType
type QStyleOptionToolBar__StyleOptionType int64

var (
	QStyleOptionToolBar__Type QStyleOptionToolBar__StyleOptionType = QStyleOptionToolBar__StyleOptionType(QStyleOption__SO_ToolBar)
)

//go:generate stringer -type=QStyleOptionToolBar__StyleOptionVersion
//QStyleOptionToolBar::StyleOptionVersion
type QStyleOptionToolBar__StyleOptionVersion int64

var (
	QStyleOptionToolBar__Version QStyleOptionToolBar__StyleOptionVersion = QStyleOptionToolBar__StyleOptionVersion(1)
)

//go:generate stringer -type=QStyleOptionToolBar__ToolBarPosition
//QStyleOptionToolBar::ToolBarPosition
type QStyleOptionToolBar__ToolBarPosition int64

const (
	QStyleOptionToolBar__Beginning QStyleOptionToolBar__ToolBarPosition = QStyleOptionToolBar__ToolBarPosition(0)
	QStyleOptionToolBar__Middle    QStyleOptionToolBar__ToolBarPosition = QStyleOptionToolBar__ToolBarPosition(1)
	QStyleOptionToolBar__End       QStyleOptionToolBar__ToolBarPosition = QStyleOptionToolBar__ToolBarPosition(2)
	QStyleOptionToolBar__OnlyOne   QStyleOptionToolBar__ToolBarPosition = QStyleOptionToolBar__ToolBarPosition(3)
)

//go:generate stringer -type=QStyleOptionToolBar__ToolBarFeature
//QStyleOptionToolBar::ToolBarFeature
type QStyleOptionToolBar__ToolBarFeature int64

const (
	QStyleOptionToolBar__None    QStyleOptionToolBar__ToolBarFeature = QStyleOptionToolBar__ToolBarFeature(0x0)
	QStyleOptionToolBar__Movable QStyleOptionToolBar__ToolBarFeature = QStyleOptionToolBar__ToolBarFeature(0x1)
)

func NewQStyleOptionToolBar() *QStyleOptionToolBar {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionToolBar", ""}).(*QStyleOptionToolBar)
}

func NewQStyleOptionToolBar2(other QStyleOptionToolBar_ITF) *QStyleOptionToolBar {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionToolBar2", "", other}).(*QStyleOptionToolBar)
}

func (ptr *QStyleOptionToolBar) PositionOfLine() QStyleOptionToolBar__ToolBarPosition {

	return QStyleOptionToolBar__ToolBarPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PositionOfLine"}).(float64))
}

func (ptr *QStyleOptionToolBar) SetPositionOfLine(vqs QStyleOptionToolBar__ToolBarPosition) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPositionOfLine", vqs})
}

func (ptr *QStyleOptionToolBar) PositionWithinLine() QStyleOptionToolBar__ToolBarPosition {

	return QStyleOptionToolBar__ToolBarPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PositionWithinLine"}).(float64))
}

func (ptr *QStyleOptionToolBar) SetPositionWithinLine(vqs QStyleOptionToolBar__ToolBarPosition) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPositionWithinLine", vqs})
}

func (ptr *QStyleOptionToolBar) ToolBarArea() core.Qt__ToolBarArea {

	return core.Qt__ToolBarArea(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolBarArea"}).(float64))
}

func (ptr *QStyleOptionToolBar) SetToolBarArea(vqt core.Qt__ToolBarArea) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolBarArea", vqt})
}

func (ptr *QStyleOptionToolBar) Features() QStyleOptionToolBar__ToolBarFeature {

	return QStyleOptionToolBar__ToolBarFeature(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Features"}).(float64))
}

func (ptr *QStyleOptionToolBar) SetFeatures(vqs QStyleOptionToolBar__ToolBarFeature) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFeatures", vqs})
}

func (ptr *QStyleOptionToolBar) LineWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineWidth"}).(float64))
}

func (ptr *QStyleOptionToolBar) SetLineWidth(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLineWidth", vin})
}

func (ptr *QStyleOptionToolBar) MidLineWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MidLineWidth"}).(float64))
}

func (ptr *QStyleOptionToolBar) SetMidLineWidth(vin int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMidLineWidth", vin})
}

type QStyleOptionToolBox struct {
	QStyleOption
}

type QStyleOptionToolBox_ITF interface {
	QStyleOption_ITF
	QStyleOptionToolBox_PTR() *QStyleOptionToolBox
}

func (ptr *QStyleOptionToolBox) QStyleOptionToolBox_PTR() *QStyleOptionToolBox {
	return ptr
}

func (ptr *QStyleOptionToolBox) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionToolBox) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionToolBox(ptr QStyleOptionToolBox_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionToolBox_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionToolBox) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionToolBox) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionToolBoxFromPointer(ptr unsafe.Pointer) (n *QStyleOptionToolBox) {
	n = new(QStyleOptionToolBox)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionToolBox")
	return
}

func (ptr *QStyleOptionToolBox) DestroyQStyleOptionToolBox() {
}

//go:generate stringer -type=QStyleOptionToolBox__StyleOptionType
//QStyleOptionToolBox::StyleOptionType
type QStyleOptionToolBox__StyleOptionType int64

var (
	QStyleOptionToolBox__Type QStyleOptionToolBox__StyleOptionType = QStyleOptionToolBox__StyleOptionType(QStyleOption__SO_ToolBox)
)

//go:generate stringer -type=QStyleOptionToolBox__StyleOptionVersion
//QStyleOptionToolBox::StyleOptionVersion
type QStyleOptionToolBox__StyleOptionVersion int64

var (
	QStyleOptionToolBox__Version QStyleOptionToolBox__StyleOptionVersion = QStyleOptionToolBox__StyleOptionVersion(2)
)

//go:generate stringer -type=QStyleOptionToolBox__TabPosition
//QStyleOptionToolBox::TabPosition
type QStyleOptionToolBox__TabPosition int64

const (
	QStyleOptionToolBox__Beginning  QStyleOptionToolBox__TabPosition = QStyleOptionToolBox__TabPosition(0)
	QStyleOptionToolBox__Middle     QStyleOptionToolBox__TabPosition = QStyleOptionToolBox__TabPosition(1)
	QStyleOptionToolBox__End        QStyleOptionToolBox__TabPosition = QStyleOptionToolBox__TabPosition(2)
	QStyleOptionToolBox__OnlyOneTab QStyleOptionToolBox__TabPosition = QStyleOptionToolBox__TabPosition(3)
)

//go:generate stringer -type=QStyleOptionToolBox__SelectedPosition
//QStyleOptionToolBox::SelectedPosition
type QStyleOptionToolBox__SelectedPosition int64

const (
	QStyleOptionToolBox__NotAdjacent        QStyleOptionToolBox__SelectedPosition = QStyleOptionToolBox__SelectedPosition(0)
	QStyleOptionToolBox__NextIsSelected     QStyleOptionToolBox__SelectedPosition = QStyleOptionToolBox__SelectedPosition(1)
	QStyleOptionToolBox__PreviousIsSelected QStyleOptionToolBox__SelectedPosition = QStyleOptionToolBox__SelectedPosition(2)
)

func NewQStyleOptionToolBox() *QStyleOptionToolBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionToolBox", ""}).(*QStyleOptionToolBox)
}

func NewQStyleOptionToolBox2(other QStyleOptionToolBox_ITF) *QStyleOptionToolBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionToolBox2", "", other}).(*QStyleOptionToolBox)
}

func (ptr *QStyleOptionToolBox) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QStyleOptionToolBox) SetText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", vqs})
}

func (ptr *QStyleOptionToolBox) Icon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*gui.QIcon)
}

func (ptr *QStyleOptionToolBox) SetIcon(vqi gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", vqi})
}

func (ptr *QStyleOptionToolBox) SelectedPosition() QStyleOptionToolBox__SelectedPosition {

	return QStyleOptionToolBox__SelectedPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedPosition"}).(float64))
}

func (ptr *QStyleOptionToolBox) SetSelectedPosition(vqs QStyleOptionToolBox__SelectedPosition) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectedPosition", vqs})
}

type QStyleOptionToolButton struct {
	QStyleOptionComplex
}

type QStyleOptionToolButton_ITF interface {
	QStyleOptionComplex_ITF
	QStyleOptionToolButton_PTR() *QStyleOptionToolButton
}

func (ptr *QStyleOptionToolButton) QStyleOptionToolButton_PTR() *QStyleOptionToolButton {
	return ptr
}

func (ptr *QStyleOptionToolButton) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionComplex_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionToolButton) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOptionComplex_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionToolButton(ptr QStyleOptionToolButton_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionToolButton_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionToolButton) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOptionComplex_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionToolButton) ClassNameInternalF() string {
	return n.QStyleOptionComplex_PTR().ClassNameInternalF()
}

func NewQStyleOptionToolButtonFromPointer(ptr unsafe.Pointer) (n *QStyleOptionToolButton) {
	n = new(QStyleOptionToolButton)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionToolButton")
	return
}

func (ptr *QStyleOptionToolButton) DestroyQStyleOptionToolButton() {
}

//go:generate stringer -type=QStyleOptionToolButton__StyleOptionType
//QStyleOptionToolButton::StyleOptionType
type QStyleOptionToolButton__StyleOptionType int64

var (
	QStyleOptionToolButton__Type QStyleOptionToolButton__StyleOptionType = QStyleOptionToolButton__StyleOptionType(QStyleOption__SO_ToolButton)
)

//go:generate stringer -type=QStyleOptionToolButton__StyleOptionVersion
//QStyleOptionToolButton::StyleOptionVersion
type QStyleOptionToolButton__StyleOptionVersion int64

var (
	QStyleOptionToolButton__Version QStyleOptionToolButton__StyleOptionVersion = QStyleOptionToolButton__StyleOptionVersion(1)
)

//go:generate stringer -type=QStyleOptionToolButton__ToolButtonFeature
//QStyleOptionToolButton::ToolButtonFeature
type QStyleOptionToolButton__ToolButtonFeature int64

const (
	QStyleOptionToolButton__None            QStyleOptionToolButton__ToolButtonFeature = QStyleOptionToolButton__ToolButtonFeature(0x00)
	QStyleOptionToolButton__Arrow           QStyleOptionToolButton__ToolButtonFeature = QStyleOptionToolButton__ToolButtonFeature(0x01)
	QStyleOptionToolButton__Menu            QStyleOptionToolButton__ToolButtonFeature = QStyleOptionToolButton__ToolButtonFeature(0x04)
	QStyleOptionToolButton__MenuButtonPopup QStyleOptionToolButton__ToolButtonFeature = QStyleOptionToolButton__ToolButtonFeature(QStyleOptionToolButton__Menu)
	QStyleOptionToolButton__PopupDelay      QStyleOptionToolButton__ToolButtonFeature = QStyleOptionToolButton__ToolButtonFeature(0x08)
	QStyleOptionToolButton__HasMenu         QStyleOptionToolButton__ToolButtonFeature = QStyleOptionToolButton__ToolButtonFeature(0x10)
)

func NewQStyleOptionToolButton() *QStyleOptionToolButton {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionToolButton", ""}).(*QStyleOptionToolButton)
}

func NewQStyleOptionToolButton2(other QStyleOptionToolButton_ITF) *QStyleOptionToolButton {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionToolButton2", "", other}).(*QStyleOptionToolButton)
}

func (ptr *QStyleOptionToolButton) Features() QStyleOptionToolButton__ToolButtonFeature {

	return QStyleOptionToolButton__ToolButtonFeature(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Features"}).(float64))
}

func (ptr *QStyleOptionToolButton) SetFeatures(vqs QStyleOptionToolButton__ToolButtonFeature) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFeatures", vqs})
}

func (ptr *QStyleOptionToolButton) Icon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*gui.QIcon)
}

func (ptr *QStyleOptionToolButton) SetIcon(vqi gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", vqi})
}

func (ptr *QStyleOptionToolButton) IconSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconSize"}).(*core.QSize)
}

func (ptr *QStyleOptionToolButton) SetIconSize(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconSize", vqs})
}

func (ptr *QStyleOptionToolButton) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QStyleOptionToolButton) SetText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", vqs})
}

func (ptr *QStyleOptionToolButton) ArrowType() core.Qt__ArrowType {

	return core.Qt__ArrowType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ArrowType"}).(float64))
}

func (ptr *QStyleOptionToolButton) SetArrowType(vqt core.Qt__ArrowType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetArrowType", vqt})
}

func (ptr *QStyleOptionToolButton) ToolButtonStyle() core.Qt__ToolButtonStyle {

	return core.Qt__ToolButtonStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolButtonStyle"}).(float64))
}

func (ptr *QStyleOptionToolButton) SetToolButtonStyle(vqt core.Qt__ToolButtonStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolButtonStyle", vqt})
}

func (ptr *QStyleOptionToolButton) Pos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pos"}).(*core.QPoint)
}

func (ptr *QStyleOptionToolButton) SetPos(vqp core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPos", vqp})
}

func (ptr *QStyleOptionToolButton) Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*gui.QFont)
}

func (ptr *QStyleOptionToolButton) SetFont(vqf gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont", vqf})
}

type QStyleOptionViewItem struct {
	QStyleOption
}

type QStyleOptionViewItem_ITF interface {
	QStyleOption_ITF
	QStyleOptionViewItem_PTR() *QStyleOptionViewItem
}

func (ptr *QStyleOptionViewItem) QStyleOptionViewItem_PTR() *QStyleOptionViewItem {
	return ptr
}

func (ptr *QStyleOptionViewItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOption_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyleOptionViewItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QStyleOption_PTR().SetPointer(p)
	}
}

func PointerFromQStyleOptionViewItem(ptr QStyleOptionViewItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyleOptionViewItem_PTR().Pointer()
	}
	return nil
}

func (n *QStyleOptionViewItem) InitFromInternal(ptr uintptr, name string) {
	n.QStyleOption_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyleOptionViewItem) ClassNameInternalF() string {
	return n.QStyleOption_PTR().ClassNameInternalF()
}

func NewQStyleOptionViewItemFromPointer(ptr unsafe.Pointer) (n *QStyleOptionViewItem) {
	n = new(QStyleOptionViewItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyleOptionViewItem")
	return
}

func (ptr *QStyleOptionViewItem) DestroyQStyleOptionViewItem() {
}

//go:generate stringer -type=QStyleOptionViewItem__StyleOptionType
//QStyleOptionViewItem::StyleOptionType
type QStyleOptionViewItem__StyleOptionType int64

var (
	QStyleOptionViewItem__Type QStyleOptionViewItem__StyleOptionType = QStyleOptionViewItem__StyleOptionType(QStyleOption__SO_ViewItem)
)

//go:generate stringer -type=QStyleOptionViewItem__StyleOptionVersion
//QStyleOptionViewItem::StyleOptionVersion
type QStyleOptionViewItem__StyleOptionVersion int64

var (
	QStyleOptionViewItem__Version QStyleOptionViewItem__StyleOptionVersion = QStyleOptionViewItem__StyleOptionVersion(4)
)

//go:generate stringer -type=QStyleOptionViewItem__Position
//QStyleOptionViewItem::Position
type QStyleOptionViewItem__Position int64

const (
	QStyleOptionViewItem__Left   QStyleOptionViewItem__Position = QStyleOptionViewItem__Position(0)
	QStyleOptionViewItem__Right  QStyleOptionViewItem__Position = QStyleOptionViewItem__Position(1)
	QStyleOptionViewItem__Top    QStyleOptionViewItem__Position = QStyleOptionViewItem__Position(2)
	QStyleOptionViewItem__Bottom QStyleOptionViewItem__Position = QStyleOptionViewItem__Position(3)
)

//go:generate stringer -type=QStyleOptionViewItem__ViewItemFeature
//QStyleOptionViewItem::ViewItemFeature
type QStyleOptionViewItem__ViewItemFeature int64

const (
	QStyleOptionViewItem__None              QStyleOptionViewItem__ViewItemFeature = QStyleOptionViewItem__ViewItemFeature(0x00)
	QStyleOptionViewItem__WrapText          QStyleOptionViewItem__ViewItemFeature = QStyleOptionViewItem__ViewItemFeature(0x01)
	QStyleOptionViewItem__Alternate         QStyleOptionViewItem__ViewItemFeature = QStyleOptionViewItem__ViewItemFeature(0x02)
	QStyleOptionViewItem__HasCheckIndicator QStyleOptionViewItem__ViewItemFeature = QStyleOptionViewItem__ViewItemFeature(0x04)
	QStyleOptionViewItem__HasDisplay        QStyleOptionViewItem__ViewItemFeature = QStyleOptionViewItem__ViewItemFeature(0x08)
	QStyleOptionViewItem__HasDecoration     QStyleOptionViewItem__ViewItemFeature = QStyleOptionViewItem__ViewItemFeature(0x10)
)

//go:generate stringer -type=QStyleOptionViewItem__ViewItemPosition
//QStyleOptionViewItem::ViewItemPosition
type QStyleOptionViewItem__ViewItemPosition int64

const (
	QStyleOptionViewItem__Invalid   QStyleOptionViewItem__ViewItemPosition = QStyleOptionViewItem__ViewItemPosition(0)
	QStyleOptionViewItem__Beginning QStyleOptionViewItem__ViewItemPosition = QStyleOptionViewItem__ViewItemPosition(1)
	QStyleOptionViewItem__Middle    QStyleOptionViewItem__ViewItemPosition = QStyleOptionViewItem__ViewItemPosition(2)
	QStyleOptionViewItem__End       QStyleOptionViewItem__ViewItemPosition = QStyleOptionViewItem__ViewItemPosition(3)
	QStyleOptionViewItem__OnlyOne   QStyleOptionViewItem__ViewItemPosition = QStyleOptionViewItem__ViewItemPosition(4)
)

func NewQStyleOptionViewItem() *QStyleOptionViewItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionViewItem", ""}).(*QStyleOptionViewItem)
}

func NewQStyleOptionViewItem2(other QStyleOptionViewItem_ITF) *QStyleOptionViewItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyleOptionViewItem2", "", other}).(*QStyleOptionViewItem)
}

func (ptr *QStyleOptionViewItem) DisplayAlignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisplayAlignment"}).(float64))
}

func (ptr *QStyleOptionViewItem) SetDisplayAlignment(vqt core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDisplayAlignment", vqt})
}

func (ptr *QStyleOptionViewItem) DecorationAlignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DecorationAlignment"}).(float64))
}

func (ptr *QStyleOptionViewItem) SetDecorationAlignment(vqt core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDecorationAlignment", vqt})
}

func (ptr *QStyleOptionViewItem) TextElideMode() core.Qt__TextElideMode {

	return core.Qt__TextElideMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextElideMode"}).(float64))
}

func (ptr *QStyleOptionViewItem) SetTextElideMode(vqt core.Qt__TextElideMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextElideMode", vqt})
}

func (ptr *QStyleOptionViewItem) DecorationPosition() QStyleOptionViewItem__Position {

	return QStyleOptionViewItem__Position(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DecorationPosition"}).(float64))
}

func (ptr *QStyleOptionViewItem) SetDecorationPosition(vqs QStyleOptionViewItem__Position) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDecorationPosition", vqs})
}

func (ptr *QStyleOptionViewItem) DecorationSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DecorationSize"}).(*core.QSize)
}

func (ptr *QStyleOptionViewItem) SetDecorationSize(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDecorationSize", vqs})
}

func (ptr *QStyleOptionViewItem) Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*gui.QFont)
}

func (ptr *QStyleOptionViewItem) SetFont(vqf gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont", vqf})
}

func (ptr *QStyleOptionViewItem) ShowDecorationSelected() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowDecorationSelected"}).(bool)
}

func (ptr *QStyleOptionViewItem) SetShowDecorationSelected(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShowDecorationSelected", vbo})
}

func (ptr *QStyleOptionViewItem) Features() QStyleOptionViewItem__ViewItemFeature {

	return QStyleOptionViewItem__ViewItemFeature(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Features"}).(float64))
}

func (ptr *QStyleOptionViewItem) SetFeatures(vqs QStyleOptionViewItem__ViewItemFeature) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFeatures", vqs})
}

func (ptr *QStyleOptionViewItem) Index() *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index"}).(*core.QModelIndex)
}

func (ptr *QStyleOptionViewItem) SetIndex(vqm core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIndex", vqm})
}

func (ptr *QStyleOptionViewItem) CheckState() core.Qt__CheckState {

	return core.Qt__CheckState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckState"}).(float64))
}

func (ptr *QStyleOptionViewItem) SetCheckState(vqt core.Qt__CheckState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckState", vqt})
}

func (ptr *QStyleOptionViewItem) Icon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*gui.QIcon)
}

func (ptr *QStyleOptionViewItem) SetIcon(vqi gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", vqi})
}

func (ptr *QStyleOptionViewItem) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QStyleOptionViewItem) SetText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", vqs})
}

func (ptr *QStyleOptionViewItem) ViewItemPosition() QStyleOptionViewItem__ViewItemPosition {

	return QStyleOptionViewItem__ViewItemPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ViewItemPosition"}).(float64))
}

func (ptr *QStyleOptionViewItem) SetViewItemPosition(vqs QStyleOptionViewItem__ViewItemPosition) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetViewItemPosition", vqs})
}

func (ptr *QStyleOptionViewItem) BackgroundBrush() *gui.QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackgroundBrush"}).(*gui.QBrush)
}

func (ptr *QStyleOptionViewItem) SetBackgroundBrush(vqb gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackgroundBrush", vqb})
}

type QStylePainter struct {
	gui.QPainter
}

type QStylePainter_ITF interface {
	gui.QPainter_ITF
	QStylePainter_PTR() *QStylePainter
}

func (ptr *QStylePainter) QStylePainter_PTR() *QStylePainter {
	return ptr
}

func (ptr *QStylePainter) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QPainter_PTR().Pointer()
	}
	return nil
}

func (ptr *QStylePainter) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QPainter_PTR().SetPointer(p)
	}
}

func PointerFromQStylePainter(ptr QStylePainter_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStylePainter_PTR().Pointer()
	}
	return nil
}

func (n *QStylePainter) InitFromInternal(ptr uintptr, name string) {
	n.QPainter_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStylePainter) ClassNameInternalF() string {
	return n.QPainter_PTR().ClassNameInternalF()
}

func NewQStylePainterFromPointer(ptr unsafe.Pointer) (n *QStylePainter) {
	n = new(QStylePainter)
	n.InitFromInternal(uintptr(ptr), "widgets.QStylePainter")
	return
}

func (ptr *QStylePainter) DestroyQStylePainter() {
}

func NewQStylePainter() *QStylePainter {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStylePainter", ""}).(*QStylePainter)
}

func NewQStylePainter2(widget QWidget_ITF) *QStylePainter {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStylePainter2", "", widget}).(*QStylePainter)
}

func NewQStylePainter3(pd gui.QPaintDevice_ITF, widget QWidget_ITF) *QStylePainter {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStylePainter3", "", pd, widget}).(*QStylePainter)
}

func (ptr *QStylePainter) Begin(widget QWidget_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Begin", widget}).(bool)
}

func (ptr *QStylePainter) Begin2(pd gui.QPaintDevice_ITF, widget QWidget_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Begin2", pd, widget}).(bool)
}

func (ptr *QStylePainter) DrawComplexControl(cc QStyle__ComplexControl, option QStyleOptionComplex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawComplexControl", cc, option})
}

func (ptr *QStylePainter) DrawControl(ce QStyle__ControlElement, option QStyleOption_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawControl", ce, option})
}

func (ptr *QStylePainter) DrawItemPixmap(rect core.QRect_ITF, flags int, pixmap gui.QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawItemPixmap", rect, flags, pixmap})
}

func (ptr *QStylePainter) DrawItemText(rect core.QRect_ITF, flags int, pal gui.QPalette_ITF, enabled bool, text string, textRole gui.QPalette__ColorRole) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawItemText", rect, flags, pal, enabled, text, textRole})
}

func (ptr *QStylePainter) DrawPrimitive(pe QStyle__PrimitiveElement, option QStyleOption_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawPrimitive", pe, option})
}

func (ptr *QStylePainter) Style() *QStyle {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Style"}).(*QStyle)
}

func (ptr *QStylePainter) __drawLines_lines_atList2(i int) *core.QLineF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_lines_atList2", i}).(*core.QLineF)
}

func (ptr *QStylePainter) __drawLines_lines_setList2(i core.QLineF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_lines_setList2", i})
}

func (ptr *QStylePainter) __drawLines_lines_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_lines_newList2"}).(unsafe.Pointer)
}

func (ptr *QStylePainter) __drawLines_pointPairs_atList4(i int) *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_pointPairs_atList4", i}).(*core.QPointF)
}

func (ptr *QStylePainter) __drawLines_pointPairs_setList4(i core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_pointPairs_setList4", i})
}

func (ptr *QStylePainter) __drawLines_pointPairs_newList4() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_pointPairs_newList4"}).(unsafe.Pointer)
}

func (ptr *QStylePainter) __drawLines_lines_atList6(i int) *core.QLine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_lines_atList6", i}).(*core.QLine)
}

func (ptr *QStylePainter) __drawLines_lines_setList6(i core.QLine_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_lines_setList6", i})
}

func (ptr *QStylePainter) __drawLines_lines_newList6() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_lines_newList6"}).(unsafe.Pointer)
}

func (ptr *QStylePainter) __drawLines_pointPairs_atList8(i int) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_pointPairs_atList8", i}).(*core.QPoint)
}

func (ptr *QStylePainter) __drawLines_pointPairs_setList8(i core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_pointPairs_setList8", i})
}

func (ptr *QStylePainter) __drawLines_pointPairs_newList8() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawLines_pointPairs_newList8"}).(unsafe.Pointer)
}

func (ptr *QStylePainter) __drawRects_rectangles_atList2(i int) *core.QRectF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawRects_rectangles_atList2", i}).(*core.QRectF)
}

func (ptr *QStylePainter) __drawRects_rectangles_setList2(i core.QRectF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawRects_rectangles_setList2", i})
}

func (ptr *QStylePainter) __drawRects_rectangles_newList2() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawRects_rectangles_newList2"}).(unsafe.Pointer)
}

func (ptr *QStylePainter) __drawRects_rectangles_atList4(i int) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawRects_rectangles_atList4", i}).(*core.QRect)
}

func (ptr *QStylePainter) __drawRects_rectangles_setList4(i core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawRects_rectangles_setList4", i})
}

func (ptr *QStylePainter) __drawRects_rectangles_newList4() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__drawRects_rectangles_newList4"}).(unsafe.Pointer)
}

type QStylePlugin struct {
	core.QObject
}

type QStylePlugin_ITF interface {
	core.QObject_ITF
	QStylePlugin_PTR() *QStylePlugin
}

func (ptr *QStylePlugin) QStylePlugin_PTR() *QStylePlugin {
	return ptr
}

func (ptr *QStylePlugin) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QStylePlugin) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQStylePlugin(ptr QStylePlugin_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStylePlugin_PTR().Pointer()
	}
	return nil
}

func (n *QStylePlugin) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStylePlugin) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQStylePluginFromPointer(ptr unsafe.Pointer) (n *QStylePlugin) {
	n = new(QStylePlugin)
	n.InitFromInternal(uintptr(ptr), "widgets.QStylePlugin")
	return
}
func NewQStylePlugin(parent core.QObject_ITF) *QStylePlugin {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStylePlugin", "", parent}).(*QStylePlugin)
}

func (ptr *QStylePlugin) ConnectCreate(f func(key string) *QStyle) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStylePlugin) DisconnectCreate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreate"})
}

func (ptr *QStylePlugin) Create(key string) *QStyle {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Create", key}).(*QStyle)
}

func (ptr *QStylePlugin) ConnectDestroyQStylePlugin(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQStylePlugin", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStylePlugin) DisconnectDestroyQStylePlugin() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQStylePlugin"})
}

func (ptr *QStylePlugin) DestroyQStylePlugin() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStylePlugin"})
}

func (ptr *QStylePlugin) DestroyQStylePluginDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStylePluginDefault"})
}

func (ptr *QStylePlugin) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QStylePlugin) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QStylePlugin) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QStylePlugin) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QStylePlugin) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QStylePlugin) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QStylePlugin) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QStylePlugin) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QStylePlugin) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QStylePlugin) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QStylePlugin) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QStylePlugin) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QStylePlugin) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QStylePlugin) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QStylePlugin) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QStylePlugin) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QStylePlugin) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QStylePlugin) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QStylePlugin) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QStylePlugin) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QStylePlugin) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QStyledItemDelegate struct {
	QAbstractItemDelegate
}

type QStyledItemDelegate_ITF interface {
	QAbstractItemDelegate_ITF
	QStyledItemDelegate_PTR() *QStyledItemDelegate
}

func (ptr *QStyledItemDelegate) QStyledItemDelegate_PTR() *QStyledItemDelegate {
	return ptr
}

func (ptr *QStyledItemDelegate) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemDelegate_PTR().Pointer()
	}
	return nil
}

func (ptr *QStyledItemDelegate) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractItemDelegate_PTR().SetPointer(p)
	}
}

func PointerFromQStyledItemDelegate(ptr QStyledItemDelegate_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QStyledItemDelegate_PTR().Pointer()
	}
	return nil
}

func (n *QStyledItemDelegate) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractItemDelegate_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QStyledItemDelegate) ClassNameInternalF() string {
	return n.QAbstractItemDelegate_PTR().ClassNameInternalF()
}

func NewQStyledItemDelegateFromPointer(ptr unsafe.Pointer) (n *QStyledItemDelegate) {
	n = new(QStyledItemDelegate)
	n.InitFromInternal(uintptr(ptr), "widgets.QStyledItemDelegate")
	return
}
func NewQStyledItemDelegate(parent core.QObject_ITF) *QStyledItemDelegate {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQStyledItemDelegate", "", parent}).(*QStyledItemDelegate)
}

func (ptr *QStyledItemDelegate) ConnectDisplayText(f func(value *core.QVariant, locale *core.QLocale) string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDisplayText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyledItemDelegate) DisconnectDisplayText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDisplayText"})
}

func (ptr *QStyledItemDelegate) DisplayText(value core.QVariant_ITF, locale core.QLocale_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisplayText", value, locale}).(string)
}

func (ptr *QStyledItemDelegate) DisplayTextDefault(value core.QVariant_ITF, locale core.QLocale_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisplayTextDefault", value, locale}).(string)
}

func (ptr *QStyledItemDelegate) ConnectInitStyleOption(f func(option *QStyleOptionViewItem, index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInitStyleOption", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyledItemDelegate) DisconnectInitStyleOption() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInitStyleOption"})
}

func (ptr *QStyledItemDelegate) InitStyleOption(option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option, index})
}

func (ptr *QStyledItemDelegate) InitStyleOptionDefault(option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOptionDefault", option, index})
}

func (ptr *QStyledItemDelegate) ItemEditorFactory() *QItemEditorFactory {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemEditorFactory"}).(*QItemEditorFactory)
}

func (ptr *QStyledItemDelegate) ConnectPaint(f func(painter *gui.QPainter, option *QStyleOptionViewItem, index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyledItemDelegate) DisconnectPaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaint"})
}

func (ptr *QStyledItemDelegate) Paint(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paint", painter, option, index})
}

func (ptr *QStyledItemDelegate) PaintDefault(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintDefault", painter, option, index})
}

func (ptr *QStyledItemDelegate) SetItemEditorFactory(factory QItemEditorFactory_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemEditorFactory", factory})
}

func (ptr *QStyledItemDelegate) ConnectSizeHint(f func(option *QStyleOptionViewItem, index *core.QModelIndex) *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyledItemDelegate) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QStyledItemDelegate) SizeHint(option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint", option, index}).(*core.QSize)
}

func (ptr *QStyledItemDelegate) SizeHintDefault(option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintDefault", option, index}).(*core.QSize)
}

func (ptr *QStyledItemDelegate) ConnectDestroyQStyledItemDelegate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQStyledItemDelegate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QStyledItemDelegate) DisconnectDestroyQStyledItemDelegate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQStyledItemDelegate"})
}

func (ptr *QStyledItemDelegate) DestroyQStyledItemDelegate() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStyledItemDelegate"})
}

func (ptr *QStyledItemDelegate) DestroyQStyledItemDelegateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQStyledItemDelegateDefault"})
}

type QSwipeGesture struct {
	QGesture
}

type QSwipeGesture_ITF interface {
	QGesture_ITF
	QSwipeGesture_PTR() *QSwipeGesture
}

func (ptr *QSwipeGesture) QSwipeGesture_PTR() *QSwipeGesture {
	return ptr
}

func (ptr *QSwipeGesture) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGesture_PTR().Pointer()
	}
	return nil
}

func (ptr *QSwipeGesture) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGesture_PTR().SetPointer(p)
	}
}

func PointerFromQSwipeGesture(ptr QSwipeGesture_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSwipeGesture_PTR().Pointer()
	}
	return nil
}

func (n *QSwipeGesture) InitFromInternal(ptr uintptr, name string) {
	n.QGesture_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSwipeGesture) ClassNameInternalF() string {
	return n.QGesture_PTR().ClassNameInternalF()
}

func NewQSwipeGestureFromPointer(ptr unsafe.Pointer) (n *QSwipeGesture) {
	n = new(QSwipeGesture)
	n.InitFromInternal(uintptr(ptr), "widgets.QSwipeGesture")
	return
}

//go:generate stringer -type=QSwipeGesture__SwipeDirection
//QSwipeGesture::SwipeDirection
type QSwipeGesture__SwipeDirection int64

const (
	QSwipeGesture__NoDirection QSwipeGesture__SwipeDirection = QSwipeGesture__SwipeDirection(0)
	QSwipeGesture__Left        QSwipeGesture__SwipeDirection = QSwipeGesture__SwipeDirection(1)
	QSwipeGesture__Right       QSwipeGesture__SwipeDirection = QSwipeGesture__SwipeDirection(2)
	QSwipeGesture__Up          QSwipeGesture__SwipeDirection = QSwipeGesture__SwipeDirection(3)
	QSwipeGesture__Down        QSwipeGesture__SwipeDirection = QSwipeGesture__SwipeDirection(4)
)

func (ptr *QSwipeGesture) HorizontalDirection() QSwipeGesture__SwipeDirection {

	return QSwipeGesture__SwipeDirection(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalDirection"}).(float64))
}

func (ptr *QSwipeGesture) SetSwipeAngle(value float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSwipeAngle", value})
}

func (ptr *QSwipeGesture) SwipeAngle() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SwipeAngle"}).(float64)
}

func (ptr *QSwipeGesture) VerticalDirection() QSwipeGesture__SwipeDirection {

	return QSwipeGesture__SwipeDirection(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalDirection"}).(float64))
}

func (ptr *QSwipeGesture) ConnectDestroyQSwipeGesture(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSwipeGesture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSwipeGesture) DisconnectDestroyQSwipeGesture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSwipeGesture"})
}

func (ptr *QSwipeGesture) DestroyQSwipeGesture() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSwipeGesture"})
}

func (ptr *QSwipeGesture) DestroyQSwipeGestureDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSwipeGestureDefault"})
}

type QSystemTrayIcon struct {
	core.QObject
}

type QSystemTrayIcon_ITF interface {
	core.QObject_ITF
	QSystemTrayIcon_PTR() *QSystemTrayIcon
}

func (ptr *QSystemTrayIcon) QSystemTrayIcon_PTR() *QSystemTrayIcon {
	return ptr
}

func (ptr *QSystemTrayIcon) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QSystemTrayIcon) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQSystemTrayIcon(ptr QSystemTrayIcon_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QSystemTrayIcon_PTR().Pointer()
	}
	return nil
}

func (n *QSystemTrayIcon) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QSystemTrayIcon) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQSystemTrayIconFromPointer(ptr unsafe.Pointer) (n *QSystemTrayIcon) {
	n = new(QSystemTrayIcon)
	n.InitFromInternal(uintptr(ptr), "widgets.QSystemTrayIcon")
	return
}

//go:generate stringer -type=QSystemTrayIcon__ActivationReason
//QSystemTrayIcon::ActivationReason
type QSystemTrayIcon__ActivationReason int64

const (
	QSystemTrayIcon__Unknown     QSystemTrayIcon__ActivationReason = QSystemTrayIcon__ActivationReason(0)
	QSystemTrayIcon__Context     QSystemTrayIcon__ActivationReason = QSystemTrayIcon__ActivationReason(1)
	QSystemTrayIcon__DoubleClick QSystemTrayIcon__ActivationReason = QSystemTrayIcon__ActivationReason(2)
	QSystemTrayIcon__Trigger     QSystemTrayIcon__ActivationReason = QSystemTrayIcon__ActivationReason(3)
	QSystemTrayIcon__MiddleClick QSystemTrayIcon__ActivationReason = QSystemTrayIcon__ActivationReason(4)
)

//go:generate stringer -type=QSystemTrayIcon__MessageIcon
//QSystemTrayIcon::MessageIcon
type QSystemTrayIcon__MessageIcon int64

const (
	QSystemTrayIcon__NoIcon      QSystemTrayIcon__MessageIcon = QSystemTrayIcon__MessageIcon(0)
	QSystemTrayIcon__Information QSystemTrayIcon__MessageIcon = QSystemTrayIcon__MessageIcon(1)
	QSystemTrayIcon__Warning     QSystemTrayIcon__MessageIcon = QSystemTrayIcon__MessageIcon(2)
	QSystemTrayIcon__Critical    QSystemTrayIcon__MessageIcon = QSystemTrayIcon__MessageIcon(3)
)

func NewQSystemTrayIcon(parent core.QObject_ITF) *QSystemTrayIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQSystemTrayIcon", "", parent}).(*QSystemTrayIcon)
}

func NewQSystemTrayIcon2(icon gui.QIcon_ITF, parent core.QObject_ITF) *QSystemTrayIcon {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQSystemTrayIcon2", "", icon, parent}).(*QSystemTrayIcon)
}

func (ptr *QSystemTrayIcon) ConnectActivated(f func(reason QSystemTrayIcon__ActivationReason)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSystemTrayIcon) DisconnectActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActivated"})
}

func (ptr *QSystemTrayIcon) Activated(reason QSystemTrayIcon__ActivationReason) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Activated", reason})
}

func (ptr *QSystemTrayIcon) ContextMenu() *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ContextMenu"}).(*QMenu)
}

func (ptr *QSystemTrayIcon) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QSystemTrayIcon) Geometry() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Geometry"}).(*core.QRect)
}

func (ptr *QSystemTrayIcon) ConnectHide(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHide", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSystemTrayIcon) DisconnectHide() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHide"})
}

func (ptr *QSystemTrayIcon) Hide() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Hide"})
}

func (ptr *QSystemTrayIcon) HideDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HideDefault"})
}

func (ptr *QSystemTrayIcon) Icon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*gui.QIcon)
}

func QSystemTrayIcon_IsSystemTrayAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QSystemTrayIcon_IsSystemTrayAvailable", ""}).(bool)
}

func (ptr *QSystemTrayIcon) IsSystemTrayAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QSystemTrayIcon_IsSystemTrayAvailable", ""}).(bool)
}

func (ptr *QSystemTrayIcon) IsVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsVisible"}).(bool)
}

func (ptr *QSystemTrayIcon) ConnectMessageClicked(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMessageClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSystemTrayIcon) DisconnectMessageClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMessageClicked"})
}

func (ptr *QSystemTrayIcon) MessageClicked() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MessageClicked"})
}

func (ptr *QSystemTrayIcon) SetContextMenu(menu QMenu_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetContextMenu", menu})
}

func (ptr *QSystemTrayIcon) SetIcon(icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", icon})
}

func (ptr *QSystemTrayIcon) SetToolTip(tip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolTip", tip})
}

func (ptr *QSystemTrayIcon) ConnectSetVisible(f func(visible bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetVisible", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSystemTrayIcon) DisconnectSetVisible() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetVisible"})
}

func (ptr *QSystemTrayIcon) SetVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisible", visible})
}

func (ptr *QSystemTrayIcon) SetVisibleDefault(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVisibleDefault", visible})
}

func (ptr *QSystemTrayIcon) ConnectShow(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSystemTrayIcon) DisconnectShow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShow"})
}

func (ptr *QSystemTrayIcon) Show() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Show"})
}

func (ptr *QSystemTrayIcon) ShowDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowDefault"})
}

func (ptr *QSystemTrayIcon) ConnectShowMessage(f func(title string, message string, icon QSystemTrayIcon__MessageIcon, millisecondsTimeoutHint int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowMessage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSystemTrayIcon) DisconnectShowMessage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowMessage"})
}

func (ptr *QSystemTrayIcon) ShowMessage(title string, message string, icon QSystemTrayIcon__MessageIcon, millisecondsTimeoutHint int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMessage", title, message, icon, millisecondsTimeoutHint})
}

func (ptr *QSystemTrayIcon) ShowMessageDefault(title string, message string, icon QSystemTrayIcon__MessageIcon, millisecondsTimeoutHint int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMessageDefault", title, message, icon, millisecondsTimeoutHint})
}

func (ptr *QSystemTrayIcon) ConnectShowMessage2(f func(title string, message string, icon *gui.QIcon, millisecondsTimeoutHint int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowMessage2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSystemTrayIcon) DisconnectShowMessage2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowMessage2"})
}

func (ptr *QSystemTrayIcon) ShowMessage2(title string, message string, icon gui.QIcon_ITF, millisecondsTimeoutHint int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMessage2", title, message, icon, millisecondsTimeoutHint})
}

func (ptr *QSystemTrayIcon) ShowMessage2Default(title string, message string, icon gui.QIcon_ITF, millisecondsTimeoutHint int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMessage2Default", title, message, icon, millisecondsTimeoutHint})
}

func QSystemTrayIcon_SupportsMessages() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QSystemTrayIcon_SupportsMessages", ""}).(bool)
}

func (ptr *QSystemTrayIcon) SupportsMessages() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QSystemTrayIcon_SupportsMessages", ""}).(bool)
}

func (ptr *QSystemTrayIcon) ToolTip() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolTip"}).(string)
}

func (ptr *QSystemTrayIcon) ConnectDestroyQSystemTrayIcon(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQSystemTrayIcon", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QSystemTrayIcon) DisconnectDestroyQSystemTrayIcon() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQSystemTrayIcon"})
}

func (ptr *QSystemTrayIcon) DestroyQSystemTrayIcon() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSystemTrayIcon"})
}

func (ptr *QSystemTrayIcon) DestroyQSystemTrayIconDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQSystemTrayIconDefault"})
}

func (ptr *QSystemTrayIcon) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QSystemTrayIcon) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QSystemTrayIcon) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QSystemTrayIcon) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QSystemTrayIcon) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QSystemTrayIcon) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QSystemTrayIcon) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QSystemTrayIcon) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QSystemTrayIcon) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QSystemTrayIcon) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QSystemTrayIcon) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QSystemTrayIcon) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QSystemTrayIcon) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QSystemTrayIcon) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QSystemTrayIcon) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QSystemTrayIcon) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QSystemTrayIcon) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QSystemTrayIcon) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QSystemTrayIcon) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QSystemTrayIcon) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QTabBar struct {
	QWidget
}

type QTabBar_ITF interface {
	QWidget_ITF
	QTabBar_PTR() *QTabBar
}

func (ptr *QTabBar) QTabBar_PTR() *QTabBar {
	return ptr
}

func (ptr *QTabBar) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QTabBar) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQTabBar(ptr QTabBar_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTabBar_PTR().Pointer()
	}
	return nil
}

func (n *QTabBar) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTabBar) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQTabBarFromPointer(ptr unsafe.Pointer) (n *QTabBar) {
	n = new(QTabBar)
	n.InitFromInternal(uintptr(ptr), "widgets.QTabBar")
	return
}

//go:generate stringer -type=QTabBar__Shape
//QTabBar::Shape
type QTabBar__Shape int64

const (
	QTabBar__RoundedNorth    QTabBar__Shape = QTabBar__Shape(0)
	QTabBar__RoundedSouth    QTabBar__Shape = QTabBar__Shape(1)
	QTabBar__RoundedWest     QTabBar__Shape = QTabBar__Shape(2)
	QTabBar__RoundedEast     QTabBar__Shape = QTabBar__Shape(3)
	QTabBar__TriangularNorth QTabBar__Shape = QTabBar__Shape(4)
	QTabBar__TriangularSouth QTabBar__Shape = QTabBar__Shape(5)
	QTabBar__TriangularWest  QTabBar__Shape = QTabBar__Shape(6)
	QTabBar__TriangularEast  QTabBar__Shape = QTabBar__Shape(7)
)

//go:generate stringer -type=QTabBar__ButtonPosition
//QTabBar::ButtonPosition
type QTabBar__ButtonPosition int64

const (
	QTabBar__LeftSide  QTabBar__ButtonPosition = QTabBar__ButtonPosition(0)
	QTabBar__RightSide QTabBar__ButtonPosition = QTabBar__ButtonPosition(1)
)

//go:generate stringer -type=QTabBar__SelectionBehavior
//QTabBar::SelectionBehavior
type QTabBar__SelectionBehavior int64

const (
	QTabBar__SelectLeftTab     QTabBar__SelectionBehavior = QTabBar__SelectionBehavior(0)
	QTabBar__SelectRightTab    QTabBar__SelectionBehavior = QTabBar__SelectionBehavior(1)
	QTabBar__SelectPreviousTab QTabBar__SelectionBehavior = QTabBar__SelectionBehavior(2)
)

func NewQTabBar(parent QWidget_ITF) *QTabBar {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTabBar", "", parent}).(*QTabBar)
}

func (ptr *QTabBar) AccessibleTabName(index int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AccessibleTabName", index}).(string)
}

func (ptr *QTabBar) AddTab(text string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddTab", text}).(float64))
}

func (ptr *QTabBar) AddTab2(icon gui.QIcon_ITF, text string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddTab2", icon, text}).(float64))
}

func (ptr *QTabBar) AutoHide() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoHide"}).(bool)
}

func (ptr *QTabBar) ChangeCurrentOnDrag() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChangeCurrentOnDrag"}).(bool)
}

func (ptr *QTabBar) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QTabBar) ConnectCurrentChanged(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabBar) DisconnectCurrentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentChanged"})
}

func (ptr *QTabBar) CurrentChanged(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChanged", index})
}

func (ptr *QTabBar) CurrentIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentIndex"}).(float64))
}

func (ptr *QTabBar) DocumentMode() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentMode"}).(bool)
}

func (ptr *QTabBar) DrawBase() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawBase"}).(bool)
}

func (ptr *QTabBar) ElideMode() core.Qt__TextElideMode {

	return core.Qt__TextElideMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ElideMode"}).(float64))
}

func (ptr *QTabBar) Expanding() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Expanding"}).(bool)
}

func (ptr *QTabBar) IconSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconSize"}).(*core.QSize)
}

func (ptr *QTabBar) InitStyleOption(option QStyleOptionTab_ITF, tabIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option, tabIndex})
}

func (ptr *QTabBar) InsertTab(index int, text string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertTab", index, text}).(float64))
}

func (ptr *QTabBar) InsertTab2(index int, icon gui.QIcon_ITF, text string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertTab2", index, icon, text}).(float64))
}

func (ptr *QTabBar) IsMovable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMovable"}).(bool)
}

func (ptr *QTabBar) IsTabEnabled(index int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTabEnabled", index}).(bool)
}

func (ptr *QTabBar) ConnectMinimumTabSizeHint(f func(index int) *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMinimumTabSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabBar) DisconnectMinimumTabSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMinimumTabSizeHint"})
}

func (ptr *QTabBar) MinimumTabSizeHint(index int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumTabSizeHint", index}).(*core.QSize)
}

func (ptr *QTabBar) MinimumTabSizeHintDefault(index int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumTabSizeHintDefault", index}).(*core.QSize)
}

func (ptr *QTabBar) MoveTab(from int, to int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveTab", from, to})
}

func (ptr *QTabBar) RemoveTab(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveTab", index})
}

func (ptr *QTabBar) SelectionBehaviorOnRemove() QTabBar__SelectionBehavior {

	return QTabBar__SelectionBehavior(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionBehaviorOnRemove"}).(float64))
}

func (ptr *QTabBar) SetAccessibleTabName(index int, name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAccessibleTabName", index, name})
}

func (ptr *QTabBar) SetAutoHide(hide bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoHide", hide})
}

func (ptr *QTabBar) SetChangeCurrentOnDrag(change bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChangeCurrentOnDrag", change})
}

func (ptr *QTabBar) ConnectSetCurrentIndex(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabBar) DisconnectSetCurrentIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentIndex"})
}

func (ptr *QTabBar) SetCurrentIndex(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndex", index})
}

func (ptr *QTabBar) SetCurrentIndexDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndexDefault", index})
}

func (ptr *QTabBar) SetDocumentMode(set bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDocumentMode", set})
}

func (ptr *QTabBar) SetDrawBase(drawTheBase bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDrawBase", drawTheBase})
}

func (ptr *QTabBar) SetElideMode(vqt core.Qt__TextElideMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetElideMode", vqt})
}

func (ptr *QTabBar) SetExpanding(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetExpanding", enabled})
}

func (ptr *QTabBar) SetIconSize(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconSize", size})
}

func (ptr *QTabBar) SetMovable(movable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMovable", movable})
}

func (ptr *QTabBar) SetSelectionBehaviorOnRemove(behavior QTabBar__SelectionBehavior) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionBehaviorOnRemove", behavior})
}

func (ptr *QTabBar) SetShape(shape QTabBar__Shape) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShape", shape})
}

func (ptr *QTabBar) SetTabButton(index int, position QTabBar__ButtonPosition, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabButton", index, position, widget})
}

func (ptr *QTabBar) SetTabData(index int, data core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabData", index, data})
}

func (ptr *QTabBar) SetTabEnabled(index int, enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabEnabled", index, enabled})
}

func (ptr *QTabBar) SetTabIcon(index int, icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabIcon", index, icon})
}

func (ptr *QTabBar) SetTabText(index int, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabText", index, text})
}

func (ptr *QTabBar) SetTabTextColor(index int, color gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabTextColor", index, color})
}

func (ptr *QTabBar) SetTabToolTip(index int, tip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabToolTip", index, tip})
}

func (ptr *QTabBar) SetTabWhatsThis(index int, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabWhatsThis", index, text})
}

func (ptr *QTabBar) SetTabsClosable(closable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabsClosable", closable})
}

func (ptr *QTabBar) SetUsesScrollButtons(useButtons bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUsesScrollButtons", useButtons})
}

func (ptr *QTabBar) Shape() QTabBar__Shape {

	return QTabBar__Shape(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Shape"}).(float64))
}

func (ptr *QTabBar) TabAt(position core.QPoint_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabAt", position}).(float64))
}

func (ptr *QTabBar) ConnectTabBarClicked(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabBarClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabBar) DisconnectTabBarClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabBarClicked"})
}

func (ptr *QTabBar) TabBarClicked(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabBarClicked", index})
}

func (ptr *QTabBar) ConnectTabBarDoubleClicked(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabBarDoubleClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabBar) DisconnectTabBarDoubleClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabBarDoubleClicked"})
}

func (ptr *QTabBar) TabBarDoubleClicked(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabBarDoubleClicked", index})
}

func (ptr *QTabBar) TabButton(index int, position QTabBar__ButtonPosition) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabButton", index, position}).(*QWidget)
}

func (ptr *QTabBar) ConnectTabCloseRequested(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabCloseRequested", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabBar) DisconnectTabCloseRequested() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabCloseRequested"})
}

func (ptr *QTabBar) TabCloseRequested(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabCloseRequested", index})
}

func (ptr *QTabBar) TabData(index int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabData", index}).(*core.QVariant)
}

func (ptr *QTabBar) TabIcon(index int) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabIcon", index}).(*gui.QIcon)
}

func (ptr *QTabBar) ConnectTabInserted(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabBar) DisconnectTabInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabInserted"})
}

func (ptr *QTabBar) TabInserted(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabInserted", index})
}

func (ptr *QTabBar) TabInsertedDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabInsertedDefault", index})
}

func (ptr *QTabBar) ConnectTabLayoutChange(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabLayoutChange", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabBar) DisconnectTabLayoutChange() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabLayoutChange"})
}

func (ptr *QTabBar) TabLayoutChange() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabLayoutChange"})
}

func (ptr *QTabBar) TabLayoutChangeDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabLayoutChangeDefault"})
}

func (ptr *QTabBar) ConnectTabMoved(f func(from int, to int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabMoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabBar) DisconnectTabMoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabMoved"})
}

func (ptr *QTabBar) TabMoved(from int, to int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabMoved", from, to})
}

func (ptr *QTabBar) TabRect(index int) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabRect", index}).(*core.QRect)
}

func (ptr *QTabBar) ConnectTabRemoved(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabBar) DisconnectTabRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabRemoved"})
}

func (ptr *QTabBar) TabRemoved(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabRemoved", index})
}

func (ptr *QTabBar) TabRemovedDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabRemovedDefault", index})
}

func (ptr *QTabBar) ConnectTabSizeHint(f func(index int) *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabBar) DisconnectTabSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabSizeHint"})
}

func (ptr *QTabBar) TabSizeHint(index int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabSizeHint", index}).(*core.QSize)
}

func (ptr *QTabBar) TabSizeHintDefault(index int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabSizeHintDefault", index}).(*core.QSize)
}

func (ptr *QTabBar) TabText(index int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabText", index}).(string)
}

func (ptr *QTabBar) TabTextColor(index int) *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabTextColor", index}).(*gui.QColor)
}

func (ptr *QTabBar) TabToolTip(index int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabToolTip", index}).(string)
}

func (ptr *QTabBar) TabWhatsThis(index int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabWhatsThis", index}).(string)
}

func (ptr *QTabBar) TabsClosable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabsClosable"}).(bool)
}

func (ptr *QTabBar) UsesScrollButtons() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UsesScrollButtons"}).(bool)
}

func (ptr *QTabBar) ConnectDestroyQTabBar(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTabBar", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabBar) DisconnectDestroyQTabBar() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTabBar"})
}

func (ptr *QTabBar) DestroyQTabBar() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTabBar"})
}

func (ptr *QTabBar) DestroyQTabBarDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTabBarDefault"})
}

type QTabWidget struct {
	QWidget
}

type QTabWidget_ITF interface {
	QWidget_ITF
	QTabWidget_PTR() *QTabWidget
}

func (ptr *QTabWidget) QTabWidget_PTR() *QTabWidget {
	return ptr
}

func (ptr *QTabWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QTabWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQTabWidget(ptr QTabWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTabWidget_PTR().Pointer()
	}
	return nil
}

func (n *QTabWidget) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTabWidget) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQTabWidgetFromPointer(ptr unsafe.Pointer) (n *QTabWidget) {
	n = new(QTabWidget)
	n.InitFromInternal(uintptr(ptr), "widgets.QTabWidget")
	return
}

//go:generate stringer -type=QTabWidget__TabPosition
//QTabWidget::TabPosition
type QTabWidget__TabPosition int64

const (
	QTabWidget__North QTabWidget__TabPosition = QTabWidget__TabPosition(0)
	QTabWidget__South QTabWidget__TabPosition = QTabWidget__TabPosition(1)
	QTabWidget__West  QTabWidget__TabPosition = QTabWidget__TabPosition(2)
	QTabWidget__East  QTabWidget__TabPosition = QTabWidget__TabPosition(3)
)

//go:generate stringer -type=QTabWidget__TabShape
//QTabWidget::TabShape
type QTabWidget__TabShape int64

const (
	QTabWidget__Rounded    QTabWidget__TabShape = QTabWidget__TabShape(0)
	QTabWidget__Triangular QTabWidget__TabShape = QTabWidget__TabShape(1)
)

func NewQTabWidget(parent QWidget_ITF) *QTabWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTabWidget", "", parent}).(*QTabWidget)
}

func (ptr *QTabWidget) AddTab(page QWidget_ITF, label string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddTab", page, label}).(float64))
}

func (ptr *QTabWidget) AddTab2(page QWidget_ITF, icon gui.QIcon_ITF, label string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddTab2", page, icon, label}).(float64))
}

func (ptr *QTabWidget) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QTabWidget) CornerWidget(corner core.Qt__Corner) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CornerWidget", corner}).(*QWidget)
}

func (ptr *QTabWidget) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QTabWidget) ConnectCurrentChanged(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabWidget) DisconnectCurrentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentChanged"})
}

func (ptr *QTabWidget) CurrentChanged(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChanged", index})
}

func (ptr *QTabWidget) CurrentIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentIndex"}).(float64))
}

func (ptr *QTabWidget) CurrentWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentWidget"}).(*QWidget)
}

func (ptr *QTabWidget) DocumentMode() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentMode"}).(bool)
}

func (ptr *QTabWidget) ElideMode() core.Qt__TextElideMode {

	return core.Qt__TextElideMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ElideMode"}).(float64))
}

func (ptr *QTabWidget) IconSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconSize"}).(*core.QSize)
}

func (ptr *QTabWidget) IndexOf(w QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOf", w}).(float64))
}

func (ptr *QTabWidget) InitStyleOption(option QStyleOptionTabWidgetFrame_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QTabWidget) InsertTab(index int, page QWidget_ITF, label string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertTab", index, page, label}).(float64))
}

func (ptr *QTabWidget) InsertTab2(index int, page QWidget_ITF, icon gui.QIcon_ITF, label string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertTab2", index, page, icon, label}).(float64))
}

func (ptr *QTabWidget) IsMovable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMovable"}).(bool)
}

func (ptr *QTabWidget) IsTabEnabled(index int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsTabEnabled", index}).(bool)
}

func (ptr *QTabWidget) RemoveTab(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveTab", index})
}

func (ptr *QTabWidget) SetCornerWidget(widget QWidget_ITF, corner core.Qt__Corner) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCornerWidget", widget, corner})
}

func (ptr *QTabWidget) ConnectSetCurrentIndex(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabWidget) DisconnectSetCurrentIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentIndex"})
}

func (ptr *QTabWidget) SetCurrentIndex(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndex", index})
}

func (ptr *QTabWidget) SetCurrentIndexDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndexDefault", index})
}

func (ptr *QTabWidget) ConnectSetCurrentWidget(f func(widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabWidget) DisconnectSetCurrentWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentWidget"})
}

func (ptr *QTabWidget) SetCurrentWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentWidget", widget})
}

func (ptr *QTabWidget) SetCurrentWidgetDefault(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentWidgetDefault", widget})
}

func (ptr *QTabWidget) SetDocumentMode(set bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDocumentMode", set})
}

func (ptr *QTabWidget) SetElideMode(vqt core.Qt__TextElideMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetElideMode", vqt})
}

func (ptr *QTabWidget) SetIconSize(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconSize", size})
}

func (ptr *QTabWidget) SetMovable(movable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMovable", movable})
}

func (ptr *QTabWidget) SetTabBar(tb QTabBar_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabBar", tb})
}

func (ptr *QTabWidget) SetTabBarAutoHide(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabBarAutoHide", enabled})
}

func (ptr *QTabWidget) SetTabEnabled(index int, enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabEnabled", index, enable})
}

func (ptr *QTabWidget) SetTabIcon(index int, icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabIcon", index, icon})
}

func (ptr *QTabWidget) SetTabPosition(vqt QTabWidget__TabPosition) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabPosition", vqt})
}

func (ptr *QTabWidget) SetTabShape(s QTabWidget__TabShape) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabShape", s})
}

func (ptr *QTabWidget) SetTabText(index int, label string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabText", index, label})
}

func (ptr *QTabWidget) SetTabToolTip(index int, tip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabToolTip", index, tip})
}

func (ptr *QTabWidget) SetTabWhatsThis(index int, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabWhatsThis", index, text})
}

func (ptr *QTabWidget) SetTabsClosable(closeable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabsClosable", closeable})
}

func (ptr *QTabWidget) SetUsesScrollButtons(useButtons bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUsesScrollButtons", useButtons})
}

func (ptr *QTabWidget) TabBar() *QTabBar {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabBar"}).(*QTabBar)
}

func (ptr *QTabWidget) TabBarAutoHide() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabBarAutoHide"}).(bool)
}

func (ptr *QTabWidget) ConnectTabBarClicked(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabBarClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabWidget) DisconnectTabBarClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabBarClicked"})
}

func (ptr *QTabWidget) TabBarClicked(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabBarClicked", index})
}

func (ptr *QTabWidget) ConnectTabBarDoubleClicked(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabBarDoubleClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabWidget) DisconnectTabBarDoubleClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabBarDoubleClicked"})
}

func (ptr *QTabWidget) TabBarDoubleClicked(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabBarDoubleClicked", index})
}

func (ptr *QTabWidget) ConnectTabCloseRequested(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabCloseRequested", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabWidget) DisconnectTabCloseRequested() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabCloseRequested"})
}

func (ptr *QTabWidget) TabCloseRequested(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabCloseRequested", index})
}

func (ptr *QTabWidget) TabIcon(index int) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabIcon", index}).(*gui.QIcon)
}

func (ptr *QTabWidget) ConnectTabInserted(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabWidget) DisconnectTabInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabInserted"})
}

func (ptr *QTabWidget) TabInserted(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabInserted", index})
}

func (ptr *QTabWidget) TabInsertedDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabInsertedDefault", index})
}

func (ptr *QTabWidget) TabPosition() QTabWidget__TabPosition {

	return QTabWidget__TabPosition(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabPosition"}).(float64))
}

func (ptr *QTabWidget) ConnectTabRemoved(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTabRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabWidget) DisconnectTabRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTabRemoved"})
}

func (ptr *QTabWidget) TabRemoved(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabRemoved", index})
}

func (ptr *QTabWidget) TabRemovedDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabRemovedDefault", index})
}

func (ptr *QTabWidget) TabShape() QTabWidget__TabShape {

	return QTabWidget__TabShape(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabShape"}).(float64))
}

func (ptr *QTabWidget) TabText(index int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabText", index}).(string)
}

func (ptr *QTabWidget) TabToolTip(index int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabToolTip", index}).(string)
}

func (ptr *QTabWidget) TabWhatsThis(index int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabWhatsThis", index}).(string)
}

func (ptr *QTabWidget) TabsClosable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabsClosable"}).(bool)
}

func (ptr *QTabWidget) UsesScrollButtons() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UsesScrollButtons"}).(bool)
}

func (ptr *QTabWidget) Widget(index int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Widget", index}).(*QWidget)
}

func (ptr *QTabWidget) ConnectDestroyQTabWidget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTabWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTabWidget) DisconnectDestroyQTabWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTabWidget"})
}

func (ptr *QTabWidget) DestroyQTabWidget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTabWidget"})
}

func (ptr *QTabWidget) DestroyQTabWidgetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTabWidgetDefault"})
}

type QTableView struct {
	QAbstractItemView
}

type QTableView_ITF interface {
	QAbstractItemView_ITF
	QTableView_PTR() *QTableView
}

func (ptr *QTableView) QTableView_PTR() *QTableView {
	return ptr
}

func (ptr *QTableView) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemView_PTR().Pointer()
	}
	return nil
}

func (ptr *QTableView) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractItemView_PTR().SetPointer(p)
	}
}

func PointerFromQTableView(ptr QTableView_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTableView_PTR().Pointer()
	}
	return nil
}

func (n *QTableView) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractItemView_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTableView) ClassNameInternalF() string {
	return n.QAbstractItemView_PTR().ClassNameInternalF()
}

func NewQTableViewFromPointer(ptr unsafe.Pointer) (n *QTableView) {
	n = new(QTableView)
	n.InitFromInternal(uintptr(ptr), "widgets.QTableView")
	return
}
func NewQTableView(parent QWidget_ITF) *QTableView {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTableView", "", parent}).(*QTableView)
}

func (ptr *QTableView) ClearSpans() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearSpans"})
}

func (ptr *QTableView) ColumnAt(x int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnAt", x}).(float64))
}

func (ptr *QTableView) ConnectColumnCountChanged(f func(oldCount int, newCount int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnCountChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectColumnCountChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnCountChanged"})
}

func (ptr *QTableView) ColumnCountChanged(oldCount int, newCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCountChanged", oldCount, newCount})
}

func (ptr *QTableView) ColumnCountChangedDefault(oldCount int, newCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCountChangedDefault", oldCount, newCount})
}

func (ptr *QTableView) ConnectColumnMoved(f func(column int, oldIndex int, newIndex int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnMoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectColumnMoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnMoved"})
}

func (ptr *QTableView) ColumnMoved(column int, oldIndex int, newIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnMoved", column, oldIndex, newIndex})
}

func (ptr *QTableView) ColumnMovedDefault(column int, oldIndex int, newIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnMovedDefault", column, oldIndex, newIndex})
}

func (ptr *QTableView) ConnectColumnResized(f func(column int, oldWidth int, newWidth int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnResized", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectColumnResized() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnResized"})
}

func (ptr *QTableView) ColumnResized(column int, oldWidth int, newWidth int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnResized", column, oldWidth, newWidth})
}

func (ptr *QTableView) ColumnResizedDefault(column int, oldWidth int, newWidth int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnResizedDefault", column, oldWidth, newWidth})
}

func (ptr *QTableView) ColumnSpan(row int, column int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnSpan", row, column}).(float64))
}

func (ptr *QTableView) ColumnViewportPosition(column int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnViewportPosition", column}).(float64))
}

func (ptr *QTableView) ColumnWidth(column int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnWidth", column}).(float64))
}

func (ptr *QTableView) ConnectCurrentChanged(f func(current *core.QModelIndex, previous *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectCurrentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentChanged"})
}

func (ptr *QTableView) CurrentChanged(current core.QModelIndex_ITF, previous core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChanged", current, previous})
}

func (ptr *QTableView) CurrentChangedDefault(current core.QModelIndex_ITF, previous core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChangedDefault", current, previous})
}

func (ptr *QTableView) GridStyle() core.Qt__PenStyle {

	return core.Qt__PenStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GridStyle"}).(float64))
}

func (ptr *QTableView) ConnectHideColumn(f func(column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHideColumn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectHideColumn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHideColumn"})
}

func (ptr *QTableView) HideColumn(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HideColumn", column})
}

func (ptr *QTableView) HideColumnDefault(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HideColumnDefault", column})
}

func (ptr *QTableView) ConnectHideRow(f func(row int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHideRow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectHideRow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHideRow"})
}

func (ptr *QTableView) HideRow(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HideRow", row})
}

func (ptr *QTableView) HideRowDefault(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HideRowDefault", row})
}

func (ptr *QTableView) HorizontalHeader() *QHeaderView {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalHeader"}).(*QHeaderView)
}

func (ptr *QTableView) ConnectHorizontalOffset(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHorizontalOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectHorizontalOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHorizontalOffset"})
}

func (ptr *QTableView) HorizontalOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalOffset"}).(float64))
}

func (ptr *QTableView) HorizontalOffsetDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalOffsetDefault"}).(float64))
}

func (ptr *QTableView) ConnectIndexAt(f func(pos *core.QPoint) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndexAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectIndexAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndexAt"})
}

func (ptr *QTableView) IndexAt(pos core.QPoint_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexAt", pos}).(*core.QModelIndex)
}

func (ptr *QTableView) IndexAtDefault(pos core.QPoint_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexAtDefault", pos}).(*core.QModelIndex)
}

func (ptr *QTableView) IsColumnHidden(column int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsColumnHidden", column}).(bool)
}

func (ptr *QTableView) IsCornerButtonEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCornerButtonEnabled"}).(bool)
}

func (ptr *QTableView) ConnectIsIndexHidden(f func(index *core.QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsIndexHidden", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectIsIndexHidden() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsIndexHidden"})
}

func (ptr *QTableView) IsIndexHidden(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIndexHidden", index}).(bool)
}

func (ptr *QTableView) IsIndexHiddenDefault(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIndexHiddenDefault", index}).(bool)
}

func (ptr *QTableView) IsRowHidden(row int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRowHidden", row}).(bool)
}

func (ptr *QTableView) IsSortingEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSortingEnabled"}).(bool)
}

func (ptr *QTableView) ConnectMoveCursor(f func(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMoveCursor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectMoveCursor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMoveCursor"})
}

func (ptr *QTableView) MoveCursor(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCursor", cursorAction, modifiers}).(*core.QModelIndex)
}

func (ptr *QTableView) MoveCursorDefault(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCursorDefault", cursorAction, modifiers}).(*core.QModelIndex)
}

func (ptr *QTableView) ConnectResizeColumnToContents(f func(column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResizeColumnToContents", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectResizeColumnToContents() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResizeColumnToContents"})
}

func (ptr *QTableView) ResizeColumnToContents(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeColumnToContents", column})
}

func (ptr *QTableView) ResizeColumnToContentsDefault(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeColumnToContentsDefault", column})
}

func (ptr *QTableView) ConnectResizeColumnsToContents(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResizeColumnsToContents", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectResizeColumnsToContents() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResizeColumnsToContents"})
}

func (ptr *QTableView) ResizeColumnsToContents() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeColumnsToContents"})
}

func (ptr *QTableView) ResizeColumnsToContentsDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeColumnsToContentsDefault"})
}

func (ptr *QTableView) ConnectResizeRowToContents(f func(row int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResizeRowToContents", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectResizeRowToContents() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResizeRowToContents"})
}

func (ptr *QTableView) ResizeRowToContents(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeRowToContents", row})
}

func (ptr *QTableView) ResizeRowToContentsDefault(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeRowToContentsDefault", row})
}

func (ptr *QTableView) ConnectResizeRowsToContents(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResizeRowsToContents", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectResizeRowsToContents() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResizeRowsToContents"})
}

func (ptr *QTableView) ResizeRowsToContents() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeRowsToContents"})
}

func (ptr *QTableView) ResizeRowsToContentsDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeRowsToContentsDefault"})
}

func (ptr *QTableView) RowAt(y int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowAt", y}).(float64))
}

func (ptr *QTableView) ConnectRowCountChanged(f func(oldCount int, newCount int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowCountChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectRowCountChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowCountChanged"})
}

func (ptr *QTableView) RowCountChanged(oldCount int, newCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCountChanged", oldCount, newCount})
}

func (ptr *QTableView) RowCountChangedDefault(oldCount int, newCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCountChangedDefault", oldCount, newCount})
}

func (ptr *QTableView) RowHeight(row int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowHeight", row}).(float64))
}

func (ptr *QTableView) ConnectRowMoved(f func(row int, oldIndex int, newIndex int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowMoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectRowMoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowMoved"})
}

func (ptr *QTableView) RowMoved(row int, oldIndex int, newIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowMoved", row, oldIndex, newIndex})
}

func (ptr *QTableView) RowMovedDefault(row int, oldIndex int, newIndex int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowMovedDefault", row, oldIndex, newIndex})
}

func (ptr *QTableView) ConnectRowResized(f func(row int, oldHeight int, newHeight int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowResized", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectRowResized() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowResized"})
}

func (ptr *QTableView) RowResized(row int, oldHeight int, newHeight int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowResized", row, oldHeight, newHeight})
}

func (ptr *QTableView) RowResizedDefault(row int, oldHeight int, newHeight int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowResizedDefault", row, oldHeight, newHeight})
}

func (ptr *QTableView) RowSpan(row int, column int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowSpan", row, column}).(float64))
}

func (ptr *QTableView) RowViewportPosition(row int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowViewportPosition", row}).(float64))
}

func (ptr *QTableView) ConnectSelectColumn(f func(column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectColumn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectSelectColumn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectColumn"})
}

func (ptr *QTableView) SelectColumn(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectColumn", column})
}

func (ptr *QTableView) SelectColumnDefault(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectColumnDefault", column})
}

func (ptr *QTableView) ConnectSelectRow(f func(row int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectRow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectSelectRow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectRow"})
}

func (ptr *QTableView) SelectRow(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectRow", row})
}

func (ptr *QTableView) SelectRowDefault(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectRowDefault", row})
}

func (ptr *QTableView) ConnectSelectionChanged(f func(selected *core.QItemSelection, deselected *core.QItemSelection)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectSelectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectionChanged"})
}

func (ptr *QTableView) SelectionChanged(selected core.QItemSelection_ITF, deselected core.QItemSelection_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChanged", selected, deselected})
}

func (ptr *QTableView) SelectionChangedDefault(selected core.QItemSelection_ITF, deselected core.QItemSelection_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChangedDefault", selected, deselected})
}

func (ptr *QTableView) SetColumnHidden(column int, hide bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnHidden", column, hide})
}

func (ptr *QTableView) SetColumnWidth(column int, width int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnWidth", column, width})
}

func (ptr *QTableView) SetCornerButtonEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCornerButtonEnabled", enable})
}

func (ptr *QTableView) SetGridStyle(style core.Qt__PenStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGridStyle", style})
}

func (ptr *QTableView) SetHorizontalHeader(header QHeaderView_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalHeader", header})
}

func (ptr *QTableView) ConnectSetRootIndex(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetRootIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectSetRootIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetRootIndex"})
}

func (ptr *QTableView) SetRootIndex(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRootIndex", index})
}

func (ptr *QTableView) SetRootIndexDefault(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRootIndexDefault", index})
}

func (ptr *QTableView) SetRowHeight(row int, height int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowHeight", row, height})
}

func (ptr *QTableView) SetRowHidden(row int, hide bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowHidden", row, hide})
}

func (ptr *QTableView) ConnectSetSelection(f func(rect *core.QRect, flags core.QItemSelectionModel__SelectionFlag)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectSetSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSelection"})
}

func (ptr *QTableView) SetSelection(rect core.QRect_ITF, flags core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelection", rect, flags})
}

func (ptr *QTableView) SetSelectionDefault(rect core.QRect_ITF, flags core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionDefault", rect, flags})
}

func (ptr *QTableView) ConnectSetShowGrid(f func(show bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetShowGrid", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectSetShowGrid() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetShowGrid"})
}

func (ptr *QTableView) SetShowGrid(show bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShowGrid", show})
}

func (ptr *QTableView) SetShowGridDefault(show bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetShowGridDefault", show})
}

func (ptr *QTableView) SetSortingEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSortingEnabled", enable})
}

func (ptr *QTableView) SetSpan(row int, column int, rowSpanCount int, columnSpanCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSpan", row, column, rowSpanCount, columnSpanCount})
}

func (ptr *QTableView) SetVerticalHeader(header QHeaderView_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalHeader", header})
}

func (ptr *QTableView) SetWordWrap(on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWordWrap", on})
}

func (ptr *QTableView) ConnectShowColumn(f func(column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowColumn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectShowColumn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowColumn"})
}

func (ptr *QTableView) ShowColumn(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowColumn", column})
}

func (ptr *QTableView) ShowColumnDefault(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowColumnDefault", column})
}

func (ptr *QTableView) ShowGrid() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowGrid"}).(bool)
}

func (ptr *QTableView) ConnectShowRow(f func(row int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowRow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectShowRow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowRow"})
}

func (ptr *QTableView) ShowRow(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowRow", row})
}

func (ptr *QTableView) ShowRowDefault(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowRowDefault", row})
}

func (ptr *QTableView) ConnectSortByColumn(f func(column int, order core.Qt__SortOrder)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSortByColumn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectSortByColumn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSortByColumn"})
}

func (ptr *QTableView) SortByColumn(column int, order core.Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortByColumn", column, order})
}

func (ptr *QTableView) SortByColumnDefault(column int, order core.Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortByColumnDefault", column, order})
}

func (ptr *QTableView) ConnectUpdateGeometries(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateGeometries", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectUpdateGeometries() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateGeometries"})
}

func (ptr *QTableView) UpdateGeometries() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateGeometries"})
}

func (ptr *QTableView) UpdateGeometriesDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateGeometriesDefault"})
}

func (ptr *QTableView) VerticalHeader() *QHeaderView {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalHeader"}).(*QHeaderView)
}

func (ptr *QTableView) ConnectVerticalOffset(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVerticalOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectVerticalOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVerticalOffset"})
}

func (ptr *QTableView) VerticalOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalOffset"}).(float64))
}

func (ptr *QTableView) VerticalOffsetDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalOffsetDefault"}).(float64))
}

func (ptr *QTableView) WordWrap() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WordWrap"}).(bool)
}

func (ptr *QTableView) ConnectDestroyQTableView(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTableView", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableView) DisconnectDestroyQTableView() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTableView"})
}

func (ptr *QTableView) DestroyQTableView() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTableView"})
}

func (ptr *QTableView) DestroyQTableViewDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTableViewDefault"})
}

func (ptr *QTableView) ScrollTo(index core.QModelIndex_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollTo", index, hint})
}

func (ptr *QTableView) ScrollToDefault(index core.QModelIndex_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToDefault", index, hint})
}

func (ptr *QTableView) VisualRect(index core.QModelIndex_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRect", index}).(*core.QRect)
}

func (ptr *QTableView) VisualRectDefault(index core.QModelIndex_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRectDefault", index}).(*core.QRect)
}

func (ptr *QTableView) VisualRegionForSelection(selection core.QItemSelection_ITF) *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRegionForSelection", selection}).(*gui.QRegion)
}

func (ptr *QTableView) VisualRegionForSelectionDefault(selection core.QItemSelection_ITF) *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRegionForSelectionDefault", selection}).(*gui.QRegion)
}

type QTableWidget struct {
	QTableView
}

type QTableWidget_ITF interface {
	QTableView_ITF
	QTableWidget_PTR() *QTableWidget
}

func (ptr *QTableWidget) QTableWidget_PTR() *QTableWidget {
	return ptr
}

func (ptr *QTableWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QTableView_PTR().Pointer()
	}
	return nil
}

func (ptr *QTableWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QTableView_PTR().SetPointer(p)
	}
}

func PointerFromQTableWidget(ptr QTableWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTableWidget_PTR().Pointer()
	}
	return nil
}

func (n *QTableWidget) InitFromInternal(ptr uintptr, name string) {
	n.QTableView_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTableWidget) ClassNameInternalF() string {
	return n.QTableView_PTR().ClassNameInternalF()
}

func NewQTableWidgetFromPointer(ptr unsafe.Pointer) (n *QTableWidget) {
	n = new(QTableWidget)
	n.InitFromInternal(uintptr(ptr), "widgets.QTableWidget")
	return
}
func NewQTableWidget(parent QWidget_ITF) *QTableWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTableWidget", "", parent}).(*QTableWidget)
}

func NewQTableWidget2(rows int, columns int, parent QWidget_ITF) *QTableWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTableWidget2", "", rows, columns, parent}).(*QTableWidget)
}

func (ptr *QTableWidget) ConnectCellActivated(f func(row int, column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCellActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectCellActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCellActivated"})
}

func (ptr *QTableWidget) CellActivated(row int, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CellActivated", row, column})
}

func (ptr *QTableWidget) ConnectCellChanged(f func(row int, column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCellChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectCellChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCellChanged"})
}

func (ptr *QTableWidget) CellChanged(row int, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CellChanged", row, column})
}

func (ptr *QTableWidget) ConnectCellClicked(f func(row int, column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCellClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectCellClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCellClicked"})
}

func (ptr *QTableWidget) CellClicked(row int, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CellClicked", row, column})
}

func (ptr *QTableWidget) ConnectCellDoubleClicked(f func(row int, column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCellDoubleClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectCellDoubleClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCellDoubleClicked"})
}

func (ptr *QTableWidget) CellDoubleClicked(row int, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CellDoubleClicked", row, column})
}

func (ptr *QTableWidget) ConnectCellEntered(f func(row int, column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCellEntered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectCellEntered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCellEntered"})
}

func (ptr *QTableWidget) CellEntered(row int, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CellEntered", row, column})
}

func (ptr *QTableWidget) ConnectCellPressed(f func(row int, column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCellPressed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectCellPressed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCellPressed"})
}

func (ptr *QTableWidget) CellPressed(row int, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CellPressed", row, column})
}

func (ptr *QTableWidget) CellWidget(row int, column int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CellWidget", row, column}).(*QWidget)
}

func (ptr *QTableWidget) ConnectClear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectClear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClear"})
}

func (ptr *QTableWidget) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QTableWidget) ClearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearDefault"})
}

func (ptr *QTableWidget) ConnectClearContents(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClearContents", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectClearContents() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClearContents"})
}

func (ptr *QTableWidget) ClearContents() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearContents"})
}

func (ptr *QTableWidget) ClearContentsDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearContentsDefault"})
}

func (ptr *QTableWidget) ClosePersistentEditor(item QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClosePersistentEditor", item})
}

func (ptr *QTableWidget) Column(item QTableWidgetItem_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Column", item}).(float64))
}

func (ptr *QTableWidget) ColumnCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount"}).(float64))
}

func (ptr *QTableWidget) ConnectCurrentCellChanged(f func(currentRow int, currentColumn int, previousRow int, previousColumn int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentCellChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectCurrentCellChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentCellChanged"})
}

func (ptr *QTableWidget) CurrentCellChanged(currentRow int, currentColumn int, previousRow int, previousColumn int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentCellChanged", currentRow, currentColumn, previousRow, previousColumn})
}

func (ptr *QTableWidget) CurrentColumn() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentColumn"}).(float64))
}

func (ptr *QTableWidget) CurrentItem() *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentItem"}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) ConnectCurrentItemChanged(f func(current *QTableWidgetItem, previous *QTableWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentItemChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectCurrentItemChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentItemChanged"})
}

func (ptr *QTableWidget) CurrentItemChanged(current QTableWidgetItem_ITF, previous QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentItemChanged", current, previous})
}

func (ptr *QTableWidget) CurrentRow() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentRow"}).(float64))
}

func (ptr *QTableWidget) ConnectDropMimeData(f func(row int, column int, data *core.QMimeData, action core.Qt__DropAction) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDropMimeData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectDropMimeData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDropMimeData"})
}

func (ptr *QTableWidget) DropMimeData(row int, column int, data core.QMimeData_ITF, action core.Qt__DropAction) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropMimeData", row, column, data, action}).(bool)
}

func (ptr *QTableWidget) DropMimeDataDefault(row int, column int, data core.QMimeData_ITF, action core.Qt__DropAction) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropMimeDataDefault", row, column, data, action}).(bool)
}

func (ptr *QTableWidget) EditItem(item QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EditItem", item})
}

func (ptr *QTableWidget) FindItems(text string, flags core.Qt__MatchFlag) []*QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FindItems", text, flags}).([]*QTableWidgetItem)
}

func (ptr *QTableWidget) HorizontalHeaderItem(column int) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalHeaderItem", column}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) IndexFromItem(item QTableWidgetItem_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexFromItem", item}).(*core.QModelIndex)
}

func (ptr *QTableWidget) ConnectInsertColumn(f func(column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInsertColumn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectInsertColumn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInsertColumn"})
}

func (ptr *QTableWidget) InsertColumn(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertColumn", column})
}

func (ptr *QTableWidget) InsertColumnDefault(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertColumnDefault", column})
}

func (ptr *QTableWidget) ConnectInsertRow(f func(row int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInsertRow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectInsertRow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInsertRow"})
}

func (ptr *QTableWidget) InsertRow(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRow", row})
}

func (ptr *QTableWidget) InsertRowDefault(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertRowDefault", row})
}

func (ptr *QTableWidget) IsPersistentEditorOpen(item QTableWidgetItem_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsPersistentEditorOpen", item}).(bool)
}

func (ptr *QTableWidget) Item(row int, column int) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Item", row, column}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) ConnectItemActivated(f func(item *QTableWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectItemActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemActivated"})
}

func (ptr *QTableWidget) ItemActivated(item QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemActivated", item})
}

func (ptr *QTableWidget) ItemAt(point core.QPoint_ITF) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt", point}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) ItemAt2(ax int, ay int) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt2", ax, ay}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) ConnectItemChanged(f func(item *QTableWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectItemChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemChanged"})
}

func (ptr *QTableWidget) ItemChanged(item QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemChanged", item})
}

func (ptr *QTableWidget) ConnectItemClicked(f func(item *QTableWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectItemClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemClicked"})
}

func (ptr *QTableWidget) ItemClicked(item QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemClicked", item})
}

func (ptr *QTableWidget) ConnectItemDoubleClicked(f func(item *QTableWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemDoubleClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectItemDoubleClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemDoubleClicked"})
}

func (ptr *QTableWidget) ItemDoubleClicked(item QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemDoubleClicked", item})
}

func (ptr *QTableWidget) ConnectItemEntered(f func(item *QTableWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemEntered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectItemEntered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemEntered"})
}

func (ptr *QTableWidget) ItemEntered(item QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemEntered", item})
}

func (ptr *QTableWidget) ItemFromIndex(index core.QModelIndex_ITF) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemFromIndex", index}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) ConnectItemPressed(f func(item *QTableWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemPressed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectItemPressed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemPressed"})
}

func (ptr *QTableWidget) ItemPressed(item QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemPressed", item})
}

func (ptr *QTableWidget) ItemPrototype() *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemPrototype"}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) ConnectItemSelectionChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemSelectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectItemSelectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemSelectionChanged"})
}

func (ptr *QTableWidget) ItemSelectionChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemSelectionChanged"})
}

func (ptr *QTableWidget) Items(data core.QMimeData_ITF) []*QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Items", data}).([]*QTableWidgetItem)
}

func (ptr *QTableWidget) ConnectMimeData(f func(items []*QTableWidgetItem) *core.QMimeData) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMimeData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectMimeData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMimeData"})
}

func (ptr *QTableWidget) MimeData(items []*QTableWidgetItem) *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeData", items}).(*core.QMimeData)
}

func (ptr *QTableWidget) MimeDataDefault(items []*QTableWidgetItem) *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeDataDefault", items}).(*core.QMimeData)
}

func (ptr *QTableWidget) ConnectMimeTypes(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMimeTypes", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectMimeTypes() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMimeTypes"})
}

func (ptr *QTableWidget) MimeTypes() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypes"}).([]string)
}

func (ptr *QTableWidget) MimeTypesDefault() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypesDefault"}).([]string)
}

func (ptr *QTableWidget) OpenPersistentEditor(item QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpenPersistentEditor", item})
}

func (ptr *QTableWidget) RemoveCellWidget(row int, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveCellWidget", row, column})
}

func (ptr *QTableWidget) ConnectRemoveColumn(f func(column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRemoveColumn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectRemoveColumn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRemoveColumn"})
}

func (ptr *QTableWidget) RemoveColumn(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveColumn", column})
}

func (ptr *QTableWidget) RemoveColumnDefault(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveColumnDefault", column})
}

func (ptr *QTableWidget) ConnectRemoveRow(f func(row int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRemoveRow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectRemoveRow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRemoveRow"})
}

func (ptr *QTableWidget) RemoveRow(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRow", row})
}

func (ptr *QTableWidget) RemoveRowDefault(row int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveRowDefault", row})
}

func (ptr *QTableWidget) Row(item QTableWidgetItem_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Row", item}).(float64))
}

func (ptr *QTableWidget) RowCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount"}).(float64))
}

func (ptr *QTableWidget) ConnectScrollToItem(f func(item *QTableWidgetItem, hint QAbstractItemView__ScrollHint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollToItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectScrollToItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollToItem"})
}

func (ptr *QTableWidget) ScrollToItem(item QTableWidgetItem_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToItem", item, hint})
}

func (ptr *QTableWidget) ScrollToItemDefault(item QTableWidgetItem_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToItemDefault", item, hint})
}

func (ptr *QTableWidget) SelectedItems() []*QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedItems"}).([]*QTableWidgetItem)
}

func (ptr *QTableWidget) SelectedRanges() []*QTableWidgetSelectionRange {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedRanges"}).([]*QTableWidgetSelectionRange)
}

func (ptr *QTableWidget) SetCellWidget(row int, column int, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCellWidget", row, column, widget})
}

func (ptr *QTableWidget) SetColumnCount(columns int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnCount", columns})
}

func (ptr *QTableWidget) SetCurrentCell(row int, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentCell", row, column})
}

func (ptr *QTableWidget) SetCurrentCell2(row int, column int, command core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentCell2", row, column, command})
}

func (ptr *QTableWidget) SetCurrentItem(item QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentItem", item})
}

func (ptr *QTableWidget) SetCurrentItem2(item QTableWidgetItem_ITF, command core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentItem2", item, command})
}

func (ptr *QTableWidget) SetHorizontalHeaderItem(column int, item QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalHeaderItem", column, item})
}

func (ptr *QTableWidget) SetHorizontalHeaderLabels(labels []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHorizontalHeaderLabels", labels})
}

func (ptr *QTableWidget) SetItem(row int, column int, item QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItem", row, column, item})
}

func (ptr *QTableWidget) SetItemPrototype(item QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemPrototype", item})
}

func (ptr *QTableWidget) SetRangeSelected(ran QTableWidgetSelectionRange_ITF, sele bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRangeSelected", ran, sele})
}

func (ptr *QTableWidget) SetRowCount(rows int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowCount", rows})
}

func (ptr *QTableWidget) SetVerticalHeaderItem(row int, item QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalHeaderItem", row, item})
}

func (ptr *QTableWidget) SetVerticalHeaderLabels(labels []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetVerticalHeaderLabels", labels})
}

func (ptr *QTableWidget) SortItems(column int, order core.Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortItems", column, order})
}

func (ptr *QTableWidget) ConnectSupportedDropActions(f func() core.Qt__DropAction) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedDropActions", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectSupportedDropActions() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedDropActions"})
}

func (ptr *QTableWidget) SupportedDropActions() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDropActions"}).(float64))
}

func (ptr *QTableWidget) SupportedDropActionsDefault() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDropActionsDefault"}).(float64))
}

func (ptr *QTableWidget) TakeHorizontalHeaderItem(column int) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeHorizontalHeaderItem", column}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) TakeItem(row int, column int) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeItem", row, column}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) TakeVerticalHeaderItem(row int) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeVerticalHeaderItem", row}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) VerticalHeaderItem(row int) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalHeaderItem", row}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) VisualColumn(logicalColumn int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualColumn", logicalColumn}).(float64))
}

func (ptr *QTableWidget) VisualItemRect(item QTableWidgetItem_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualItemRect", item}).(*core.QRect)
}

func (ptr *QTableWidget) VisualRow(logicalRow int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRow", logicalRow}).(float64))
}

func (ptr *QTableWidget) ConnectDestroyQTableWidget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTableWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidget) DisconnectDestroyQTableWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTableWidget"})
}

func (ptr *QTableWidget) DestroyQTableWidget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTableWidget"})
}

func (ptr *QTableWidget) DestroyQTableWidgetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTableWidgetDefault"})
}

func (ptr *QTableWidget) __findItems_atList(i int) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findItems_atList", i}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) __findItems_setList(i QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findItems_setList", i})
}

func (ptr *QTableWidget) __findItems_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findItems_newList"}).(unsafe.Pointer)
}

func (ptr *QTableWidget) __items_atList(i int) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList", i}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) __items_setList(i QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList", i})
}

func (ptr *QTableWidget) __items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList"}).(unsafe.Pointer)
}

func (ptr *QTableWidget) __mimeData_items_atList(i int) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_items_atList", i}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) __mimeData_items_setList(i QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_items_setList", i})
}

func (ptr *QTableWidget) __mimeData_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_items_newList"}).(unsafe.Pointer)
}

func (ptr *QTableWidget) __selectedItems_atList(i int) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedItems_atList", i}).(*QTableWidgetItem)
}

func (ptr *QTableWidget) __selectedItems_setList(i QTableWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedItems_setList", i})
}

func (ptr *QTableWidget) __selectedItems_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedItems_newList"}).(unsafe.Pointer)
}

func (ptr *QTableWidget) __selectedRanges_atList(i int) *QTableWidgetSelectionRange {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedRanges_atList", i}).(*QTableWidgetSelectionRange)
}

func (ptr *QTableWidget) __selectedRanges_setList(i QTableWidgetSelectionRange_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedRanges_setList", i})
}

func (ptr *QTableWidget) __selectedRanges_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedRanges_newList"}).(unsafe.Pointer)
}

type QTableWidgetItem struct {
	internal.Internal
}

type QTableWidgetItem_ITF interface {
	QTableWidgetItem_PTR() *QTableWidgetItem
}

func (ptr *QTableWidgetItem) QTableWidgetItem_PTR() *QTableWidgetItem {
	return ptr
}

func (ptr *QTableWidgetItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTableWidgetItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTableWidgetItem(ptr QTableWidgetItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTableWidgetItem_PTR().Pointer()
	}
	return nil
}

func (n *QTableWidgetItem) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTableWidgetItemFromPointer(ptr unsafe.Pointer) (n *QTableWidgetItem) {
	n = new(QTableWidgetItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QTableWidgetItem")
	return
}

//go:generate stringer -type=QTableWidgetItem__ItemType
//QTableWidgetItem::ItemType
type QTableWidgetItem__ItemType int64

const (
	QTableWidgetItem__Type     QTableWidgetItem__ItemType = QTableWidgetItem__ItemType(0)
	QTableWidgetItem__UserType QTableWidgetItem__ItemType = QTableWidgetItem__ItemType(1000)
)

func NewQTableWidgetItem(ty int) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTableWidgetItem", "", ty}).(*QTableWidgetItem)
}

func NewQTableWidgetItem2(text string, ty int) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTableWidgetItem2", "", text, ty}).(*QTableWidgetItem)
}

func NewQTableWidgetItem3(icon gui.QIcon_ITF, text string, ty int) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTableWidgetItem3", "", icon, text, ty}).(*QTableWidgetItem)
}

func NewQTableWidgetItem4(other QTableWidgetItem_ITF) *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTableWidgetItem4", "", other}).(*QTableWidgetItem)
}

func (ptr *QTableWidgetItem) Background() *gui.QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Background"}).(*gui.QBrush)
}

func (ptr *QTableWidgetItem) CheckState() core.Qt__CheckState {

	return core.Qt__CheckState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckState"}).(float64))
}

func (ptr *QTableWidgetItem) ConnectClone(f func() *QTableWidgetItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClone", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidgetItem) DisconnectClone() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClone"})
}

func (ptr *QTableWidgetItem) Clone() *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clone"}).(*QTableWidgetItem)
}

func (ptr *QTableWidgetItem) CloneDefault() *QTableWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloneDefault"}).(*QTableWidgetItem)
}

func (ptr *QTableWidgetItem) Column() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Column"}).(float64))
}

func (ptr *QTableWidgetItem) ConnectData(f func(role int) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidgetItem) DisconnectData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectData"})
}

func (ptr *QTableWidgetItem) Data(role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", role}).(*core.QVariant)
}

func (ptr *QTableWidgetItem) DataDefault(role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataDefault", role}).(*core.QVariant)
}

func (ptr *QTableWidgetItem) Flags() core.Qt__ItemFlag {

	return core.Qt__ItemFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flags"}).(float64))
}

func (ptr *QTableWidgetItem) Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font"}).(*gui.QFont)
}

func (ptr *QTableWidgetItem) Foreground() *gui.QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Foreground"}).(*gui.QBrush)
}

func (ptr *QTableWidgetItem) Icon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon"}).(*gui.QIcon)
}

func (ptr *QTableWidgetItem) IsSelected() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSelected"}).(bool)
}

func (ptr *QTableWidgetItem) ConnectRead(f func(in *core.QDataStream)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRead", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidgetItem) DisconnectRead() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRead"})
}

func (ptr *QTableWidgetItem) Read(in core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read", in})
}

func (ptr *QTableWidgetItem) ReadDefault(in core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadDefault", in})
}

func (ptr *QTableWidgetItem) Row() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Row"}).(float64))
}

func (ptr *QTableWidgetItem) SetBackground(brush gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackground", brush})
}

func (ptr *QTableWidgetItem) SetCheckState(state core.Qt__CheckState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckState", state})
}

func (ptr *QTableWidgetItem) ConnectSetData(f func(role int, value *core.QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidgetItem) DisconnectSetData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetData"})
}

func (ptr *QTableWidgetItem) SetData(role int, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData", role, value})
}

func (ptr *QTableWidgetItem) SetDataDefault(role int, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDataDefault", role, value})
}

func (ptr *QTableWidgetItem) SetFlags(flags core.Qt__ItemFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlags", flags})
}

func (ptr *QTableWidgetItem) SetFont(font gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont", font})
}

func (ptr *QTableWidgetItem) SetForeground(brush gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetForeground", brush})
}

func (ptr *QTableWidgetItem) SetIcon(icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", icon})
}

func (ptr *QTableWidgetItem) SetSelected(sele bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelected", sele})
}

func (ptr *QTableWidgetItem) SetSizeHint(size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSizeHint", size})
}

func (ptr *QTableWidgetItem) SetStatusTip(statusTip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStatusTip", statusTip})
}

func (ptr *QTableWidgetItem) SetText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", text})
}

func (ptr *QTableWidgetItem) SetTextAlignment(alignment int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextAlignment", alignment})
}

func (ptr *QTableWidgetItem) SetToolTip(toolTip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolTip", toolTip})
}

func (ptr *QTableWidgetItem) SetWhatsThis(whatsThis string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWhatsThis", whatsThis})
}

func (ptr *QTableWidgetItem) SizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint"}).(*core.QSize)
}

func (ptr *QTableWidgetItem) StatusTip() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StatusTip"}).(string)
}

func (ptr *QTableWidgetItem) TableWidget() *QTableWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TableWidget"}).(*QTableWidget)
}

func (ptr *QTableWidgetItem) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QTableWidgetItem) TextAlignment() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextAlignment"}).(float64))
}

func (ptr *QTableWidgetItem) ToolTip() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolTip"}).(string)
}

func (ptr *QTableWidgetItem) Type() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QTableWidgetItem) WhatsThis() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WhatsThis"}).(string)
}

func (ptr *QTableWidgetItem) ConnectWrite(f func(out *core.QDataStream)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWrite", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidgetItem) DisconnectWrite() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWrite"})
}

func (ptr *QTableWidgetItem) Write(out core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write", out})
}

func (ptr *QTableWidgetItem) WriteDefault(out core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteDefault", out})
}

func (ptr *QTableWidgetItem) ConnectDestroyQTableWidgetItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTableWidgetItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTableWidgetItem) DisconnectDestroyQTableWidgetItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTableWidgetItem"})
}

func (ptr *QTableWidgetItem) DestroyQTableWidgetItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTableWidgetItem"})
}

func (ptr *QTableWidgetItem) DestroyQTableWidgetItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTableWidgetItemDefault"})
}

func (ptr *QTableWidgetItem) __values_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__values_newList"}).(unsafe.Pointer)
}

func (ptr *QTableWidgetItem) __setValues__newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setValues__newList"}).(unsafe.Pointer)
}

type QTableWidgetSelectionRange struct {
	internal.Internal
}

type QTableWidgetSelectionRange_ITF interface {
	QTableWidgetSelectionRange_PTR() *QTableWidgetSelectionRange
}

func (ptr *QTableWidgetSelectionRange) QTableWidgetSelectionRange_PTR() *QTableWidgetSelectionRange {
	return ptr
}

func (ptr *QTableWidgetSelectionRange) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTableWidgetSelectionRange) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTableWidgetSelectionRange(ptr QTableWidgetSelectionRange_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTableWidgetSelectionRange_PTR().Pointer()
	}
	return nil
}

func (n *QTableWidgetSelectionRange) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTableWidgetSelectionRangeFromPointer(ptr unsafe.Pointer) (n *QTableWidgetSelectionRange) {
	n = new(QTableWidgetSelectionRange)
	n.InitFromInternal(uintptr(ptr), "widgets.QTableWidgetSelectionRange")
	return
}
func NewQTableWidgetSelectionRange() *QTableWidgetSelectionRange {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTableWidgetSelectionRange", ""}).(*QTableWidgetSelectionRange)
}

func NewQTableWidgetSelectionRange2(top int, left int, bottom int, right int) *QTableWidgetSelectionRange {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTableWidgetSelectionRange2", "", top, left, bottom, right}).(*QTableWidgetSelectionRange)
}

func NewQTableWidgetSelectionRange3(other QTableWidgetSelectionRange_ITF) *QTableWidgetSelectionRange {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTableWidgetSelectionRange3", "", other}).(*QTableWidgetSelectionRange)
}

func (ptr *QTableWidgetSelectionRange) BottomRow() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BottomRow"}).(float64))
}

func (ptr *QTableWidgetSelectionRange) ColumnCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount"}).(float64))
}

func (ptr *QTableWidgetSelectionRange) LeftColumn() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LeftColumn"}).(float64))
}

func (ptr *QTableWidgetSelectionRange) RightColumn() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RightColumn"}).(float64))
}

func (ptr *QTableWidgetSelectionRange) RowCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowCount"}).(float64))
}

func (ptr *QTableWidgetSelectionRange) TopRow() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopRow"}).(float64))
}

func (ptr *QTableWidgetSelectionRange) DestroyQTableWidgetSelectionRange() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTableWidgetSelectionRange"})
}

type QTapAndHoldGesture struct {
	QGesture
}

type QTapAndHoldGesture_ITF interface {
	QGesture_ITF
	QTapAndHoldGesture_PTR() *QTapAndHoldGesture
}

func (ptr *QTapAndHoldGesture) QTapAndHoldGesture_PTR() *QTapAndHoldGesture {
	return ptr
}

func (ptr *QTapAndHoldGesture) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGesture_PTR().Pointer()
	}
	return nil
}

func (ptr *QTapAndHoldGesture) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGesture_PTR().SetPointer(p)
	}
}

func PointerFromQTapAndHoldGesture(ptr QTapAndHoldGesture_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTapAndHoldGesture_PTR().Pointer()
	}
	return nil
}

func (n *QTapAndHoldGesture) InitFromInternal(ptr uintptr, name string) {
	n.QGesture_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTapAndHoldGesture) ClassNameInternalF() string {
	return n.QGesture_PTR().ClassNameInternalF()
}

func NewQTapAndHoldGestureFromPointer(ptr unsafe.Pointer) (n *QTapAndHoldGesture) {
	n = new(QTapAndHoldGesture)
	n.InitFromInternal(uintptr(ptr), "widgets.QTapAndHoldGesture")
	return
}
func (ptr *QTapAndHoldGesture) Position() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(*core.QPointF)
}

func (ptr *QTapAndHoldGesture) SetPosition(pos core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPosition", pos})
}

func QTapAndHoldGesture_SetTimeout(msecs int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QTapAndHoldGesture_SetTimeout", "", msecs})
}

func (ptr *QTapAndHoldGesture) SetTimeout(msecs int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QTapAndHoldGesture_SetTimeout", "", msecs})
}

func QTapAndHoldGesture_Timeout() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QTapAndHoldGesture_Timeout", ""}).(float64))
}

func (ptr *QTapAndHoldGesture) Timeout() int {

	return int(internal.CallLocalFunction([]interface{}{"", "", "widgets.QTapAndHoldGesture_Timeout", ""}).(float64))
}

func (ptr *QTapAndHoldGesture) ConnectDestroyQTapAndHoldGesture(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTapAndHoldGesture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTapAndHoldGesture) DisconnectDestroyQTapAndHoldGesture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTapAndHoldGesture"})
}

func (ptr *QTapAndHoldGesture) DestroyQTapAndHoldGesture() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTapAndHoldGesture"})
}

func (ptr *QTapAndHoldGesture) DestroyQTapAndHoldGestureDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTapAndHoldGestureDefault"})
}

type QTapGesture struct {
	QGesture
}

type QTapGesture_ITF interface {
	QGesture_ITF
	QTapGesture_PTR() *QTapGesture
}

func (ptr *QTapGesture) QTapGesture_PTR() *QTapGesture {
	return ptr
}

func (ptr *QTapGesture) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QGesture_PTR().Pointer()
	}
	return nil
}

func (ptr *QTapGesture) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QGesture_PTR().SetPointer(p)
	}
}

func PointerFromQTapGesture(ptr QTapGesture_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTapGesture_PTR().Pointer()
	}
	return nil
}

func (n *QTapGesture) InitFromInternal(ptr uintptr, name string) {
	n.QGesture_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTapGesture) ClassNameInternalF() string {
	return n.QGesture_PTR().ClassNameInternalF()
}

func NewQTapGestureFromPointer(ptr unsafe.Pointer) (n *QTapGesture) {
	n = new(QTapGesture)
	n.InitFromInternal(uintptr(ptr), "widgets.QTapGesture")
	return
}
func (ptr *QTapGesture) Position() *core.QPointF {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Position"}).(*core.QPointF)
}

func (ptr *QTapGesture) SetPosition(pos core.QPointF_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPosition", pos})
}

func (ptr *QTapGesture) ConnectDestroyQTapGesture(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTapGesture", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTapGesture) DisconnectDestroyQTapGesture() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTapGesture"})
}

func (ptr *QTapGesture) DestroyQTapGesture() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTapGesture"})
}

func (ptr *QTapGesture) DestroyQTapGestureDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTapGestureDefault"})
}

type QTextBrowser struct {
	QTextEdit
}

type QTextBrowser_ITF interface {
	QTextEdit_ITF
	QTextBrowser_PTR() *QTextBrowser
}

func (ptr *QTextBrowser) QTextBrowser_PTR() *QTextBrowser {
	return ptr
}

func (ptr *QTextBrowser) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextEdit_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextBrowser) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QTextEdit_PTR().SetPointer(p)
	}
}

func PointerFromQTextBrowser(ptr QTextBrowser_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextBrowser_PTR().Pointer()
	}
	return nil
}

func (n *QTextBrowser) InitFromInternal(ptr uintptr, name string) {
	n.QTextEdit_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextBrowser) ClassNameInternalF() string {
	return n.QTextEdit_PTR().ClassNameInternalF()
}

func NewQTextBrowserFromPointer(ptr unsafe.Pointer) (n *QTextBrowser) {
	n = new(QTextBrowser)
	n.InitFromInternal(uintptr(ptr), "widgets.QTextBrowser")
	return
}

func (ptr *QTextBrowser) DestroyQTextBrowser() {
}

func NewQTextBrowser(parent QWidget_ITF) *QTextBrowser {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTextBrowser", "", parent}).(*QTextBrowser)
}

func (ptr *QTextBrowser) ConnectAnchorClicked(f func(link *core.QUrl)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAnchorClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBrowser) DisconnectAnchorClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAnchorClicked"})
}

func (ptr *QTextBrowser) AnchorClicked(link core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AnchorClicked", link})
}

func (ptr *QTextBrowser) ConnectBackward(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBackward", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBrowser) DisconnectBackward() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBackward"})
}

func (ptr *QTextBrowser) Backward() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Backward"})
}

func (ptr *QTextBrowser) BackwardDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackwardDefault"})
}

func (ptr *QTextBrowser) ConnectBackwardAvailable(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBackwardAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBrowser) DisconnectBackwardAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBackwardAvailable"})
}

func (ptr *QTextBrowser) BackwardAvailable(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackwardAvailable", available})
}

func (ptr *QTextBrowser) BackwardHistoryCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackwardHistoryCount"}).(float64))
}

func (ptr *QTextBrowser) ClearHistory() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearHistory"})
}

func (ptr *QTextBrowser) ConnectForward(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectForward", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBrowser) DisconnectForward() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectForward"})
}

func (ptr *QTextBrowser) Forward() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Forward"})
}

func (ptr *QTextBrowser) ForwardDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ForwardDefault"})
}

func (ptr *QTextBrowser) ConnectForwardAvailable(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectForwardAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBrowser) DisconnectForwardAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectForwardAvailable"})
}

func (ptr *QTextBrowser) ForwardAvailable(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ForwardAvailable", available})
}

func (ptr *QTextBrowser) ForwardHistoryCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ForwardHistoryCount"}).(float64))
}

func (ptr *QTextBrowser) ConnectHighlighted(f func(link *core.QUrl)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHighlighted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBrowser) DisconnectHighlighted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHighlighted"})
}

func (ptr *QTextBrowser) Highlighted(link core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Highlighted", link})
}

func (ptr *QTextBrowser) ConnectHighlighted2(f func(link string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHighlighted2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBrowser) DisconnectHighlighted2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHighlighted2"})
}

func (ptr *QTextBrowser) Highlighted2(link string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Highlighted2", link})
}

func (ptr *QTextBrowser) ConnectHistoryChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHistoryChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBrowser) DisconnectHistoryChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHistoryChanged"})
}

func (ptr *QTextBrowser) HistoryChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HistoryChanged"})
}

func (ptr *QTextBrowser) HistoryTitle(i int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HistoryTitle", i}).(string)
}

func (ptr *QTextBrowser) HistoryUrl(i int) *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HistoryUrl", i}).(*core.QUrl)
}

func (ptr *QTextBrowser) ConnectHome(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHome", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBrowser) DisconnectHome() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHome"})
}

func (ptr *QTextBrowser) Home() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Home"})
}

func (ptr *QTextBrowser) HomeDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HomeDefault"})
}

func (ptr *QTextBrowser) IsBackwardAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsBackwardAvailable"}).(bool)
}

func (ptr *QTextBrowser) IsForwardAvailable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsForwardAvailable"}).(bool)
}

func (ptr *QTextBrowser) OpenExternalLinks() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpenExternalLinks"}).(bool)
}

func (ptr *QTextBrowser) OpenLinks() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpenLinks"}).(bool)
}

func (ptr *QTextBrowser) ConnectReload(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReload", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBrowser) DisconnectReload() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReload"})
}

func (ptr *QTextBrowser) Reload() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reload"})
}

func (ptr *QTextBrowser) ReloadDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReloadDefault"})
}

func (ptr *QTextBrowser) SearchPaths() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SearchPaths"}).([]string)
}

func (ptr *QTextBrowser) SetOpenExternalLinks(open bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOpenExternalLinks", open})
}

func (ptr *QTextBrowser) SetOpenLinks(open bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOpenLinks", open})
}

func (ptr *QTextBrowser) SetSearchPaths(paths []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSearchPaths", paths})
}

func (ptr *QTextBrowser) ConnectSetSource(f func(name *core.QUrl)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSource", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBrowser) DisconnectSetSource() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSource"})
}

func (ptr *QTextBrowser) SetSource(name core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSource", name})
}

func (ptr *QTextBrowser) SetSourceDefault(name core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSourceDefault", name})
}

func (ptr *QTextBrowser) Source() *core.QUrl {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Source"}).(*core.QUrl)
}

func (ptr *QTextBrowser) ConnectSourceChanged(f func(src *core.QUrl)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSourceChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextBrowser) DisconnectSourceChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSourceChanged"})
}

func (ptr *QTextBrowser) SourceChanged(src core.QUrl_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SourceChanged", src})
}

func (ptr *QTextBrowser) IsReadOnly() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadOnly"}).(bool)
}

func (ptr *QTextBrowser) SetReadOnly(readOnly bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetReadOnly", readOnly})
}

func (ptr *QTextBrowser) IsUndoRedoEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsUndoRedoEnabled"}).(bool)
}

func (ptr *QTextBrowser) SetUndoRedoEnabled(undoRedoEnabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUndoRedoEnabled", undoRedoEnabled})
}

type QTextEdit struct {
	QAbstractScrollArea
}

type QTextEdit_ITF interface {
	QAbstractScrollArea_ITF
	QTextEdit_PTR() *QTextEdit
}

func (ptr *QTextEdit) QTextEdit_PTR() *QTextEdit {
	return ptr
}

func (ptr *QTextEdit) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractScrollArea_PTR().Pointer()
	}
	return nil
}

func (ptr *QTextEdit) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractScrollArea_PTR().SetPointer(p)
	}
}

func PointerFromQTextEdit(ptr QTextEdit_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTextEdit_PTR().Pointer()
	}
	return nil
}

func (n *QTextEdit) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractScrollArea_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTextEdit) ClassNameInternalF() string {
	return n.QAbstractScrollArea_PTR().ClassNameInternalF()
}

func NewQTextEditFromPointer(ptr unsafe.Pointer) (n *QTextEdit) {
	n = new(QTextEdit)
	n.InitFromInternal(uintptr(ptr), "widgets.QTextEdit")
	return
}

//go:generate stringer -type=QTextEdit__LineWrapMode
//QTextEdit::LineWrapMode
type QTextEdit__LineWrapMode int64

const (
	QTextEdit__NoWrap           QTextEdit__LineWrapMode = QTextEdit__LineWrapMode(0)
	QTextEdit__WidgetWidth      QTextEdit__LineWrapMode = QTextEdit__LineWrapMode(1)
	QTextEdit__FixedPixelWidth  QTextEdit__LineWrapMode = QTextEdit__LineWrapMode(2)
	QTextEdit__FixedColumnWidth QTextEdit__LineWrapMode = QTextEdit__LineWrapMode(3)
)

//go:generate stringer -type=QTextEdit__AutoFormattingFlag
//QTextEdit::AutoFormattingFlag
type QTextEdit__AutoFormattingFlag int64

const (
	QTextEdit__AutoNone       QTextEdit__AutoFormattingFlag = QTextEdit__AutoFormattingFlag(0)
	QTextEdit__AutoBulletList QTextEdit__AutoFormattingFlag = QTextEdit__AutoFormattingFlag(0x00000001)
	QTextEdit__AutoAll        QTextEdit__AutoFormattingFlag = QTextEdit__AutoFormattingFlag(0xffffffff)
)

func NewQTextEdit(parent QWidget_ITF) *QTextEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTextEdit", "", parent}).(*QTextEdit)
}

func NewQTextEdit2(text string, parent QWidget_ITF) *QTextEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTextEdit2", "", text, parent}).(*QTextEdit)
}

func (ptr *QTextEdit) AcceptRichText() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AcceptRichText"}).(bool)
}

func (ptr *QTextEdit) Alignment() core.Qt__AlignmentFlag {

	return core.Qt__AlignmentFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Alignment"}).(float64))
}

func (ptr *QTextEdit) AnchorAt(pos core.QPoint_ITF) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AnchorAt", pos}).(string)
}

func (ptr *QTextEdit) ConnectAppend(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAppend", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectAppend() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAppend"})
}

func (ptr *QTextEdit) Append(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Append", text})
}

func (ptr *QTextEdit) AppendDefault(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AppendDefault", text})
}

func (ptr *QTextEdit) AutoFormatting() QTextEdit__AutoFormattingFlag {

	return QTextEdit__AutoFormattingFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoFormatting"}).(float64))
}

func (ptr *QTextEdit) ConnectCanInsertFromMimeData(f func(source *core.QMimeData) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCanInsertFromMimeData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectCanInsertFromMimeData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCanInsertFromMimeData"})
}

func (ptr *QTextEdit) CanInsertFromMimeData(source core.QMimeData_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanInsertFromMimeData", source}).(bool)
}

func (ptr *QTextEdit) CanInsertFromMimeDataDefault(source core.QMimeData_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanInsertFromMimeDataDefault", source}).(bool)
}

func (ptr *QTextEdit) CanPaste() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanPaste"}).(bool)
}

func (ptr *QTextEdit) ConnectClear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectClear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClear"})
}

func (ptr *QTextEdit) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QTextEdit) ClearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearDefault"})
}

func (ptr *QTextEdit) ConnectCopy(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCopy", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectCopy() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCopy"})
}

func (ptr *QTextEdit) Copy() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Copy"})
}

func (ptr *QTextEdit) CopyDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CopyDefault"})
}

func (ptr *QTextEdit) ConnectCopyAvailable(f func(yes bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCopyAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectCopyAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCopyAvailable"})
}

func (ptr *QTextEdit) CopyAvailable(yes bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CopyAvailable", yes})
}

func (ptr *QTextEdit) ConnectCreateMimeDataFromSelection(f func() *core.QMimeData) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreateMimeDataFromSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectCreateMimeDataFromSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreateMimeDataFromSelection"})
}

func (ptr *QTextEdit) CreateMimeDataFromSelection() *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateMimeDataFromSelection"}).(*core.QMimeData)
}

func (ptr *QTextEdit) CreateMimeDataFromSelectionDefault() *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateMimeDataFromSelectionDefault"}).(*core.QMimeData)
}

func (ptr *QTextEdit) CreateStandardContextMenu() *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateStandardContextMenu"}).(*QMenu)
}

func (ptr *QTextEdit) CreateStandardContextMenu2(position core.QPoint_ITF) *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateStandardContextMenu2", position}).(*QMenu)
}

func (ptr *QTextEdit) CurrentCharFormat() *gui.QTextCharFormat {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentCharFormat"}).(*gui.QTextCharFormat)
}

func (ptr *QTextEdit) ConnectCurrentCharFormatChanged(f func(ff *gui.QTextCharFormat)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentCharFormatChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectCurrentCharFormatChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentCharFormatChanged"})
}

func (ptr *QTextEdit) CurrentCharFormatChanged(ff gui.QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentCharFormatChanged", ff})
}

func (ptr *QTextEdit) CurrentFont() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentFont"}).(*gui.QFont)
}

func (ptr *QTextEdit) CursorForPosition(pos core.QPoint_ITF) *gui.QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorForPosition", pos}).(*gui.QTextCursor)
}

func (ptr *QTextEdit) ConnectCursorPositionChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCursorPositionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectCursorPositionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCursorPositionChanged"})
}

func (ptr *QTextEdit) CursorPositionChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorPositionChanged"})
}

func (ptr *QTextEdit) CursorRect(cursor gui.QTextCursor_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorRect", cursor}).(*core.QRect)
}

func (ptr *QTextEdit) CursorRect2() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorRect2"}).(*core.QRect)
}

func (ptr *QTextEdit) CursorWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CursorWidth"}).(float64))
}

func (ptr *QTextEdit) ConnectCut(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCut", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectCut() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCut"})
}

func (ptr *QTextEdit) Cut() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Cut"})
}

func (ptr *QTextEdit) CutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CutDefault"})
}

func (ptr *QTextEdit) Document() *gui.QTextDocument {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Document"}).(*gui.QTextDocument)
}

func (ptr *QTextEdit) DocumentTitle() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DocumentTitle"}).(string)
}

func (ptr *QTextEdit) EnsureCursorVisible() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EnsureCursorVisible"})
}

func (ptr *QTextEdit) Find(exp string, options gui.QTextDocument__FindFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Find", exp, options}).(bool)
}

func (ptr *QTextEdit) Find2(exp core.QRegExp_ITF, options gui.QTextDocument__FindFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Find2", exp, options}).(bool)
}

func (ptr *QTextEdit) Find3(exp core.QRegularExpression_ITF, options gui.QTextDocument__FindFlag) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Find3", exp, options}).(bool)
}

func (ptr *QTextEdit) FontFamily() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontFamily"}).(string)
}

func (ptr *QTextEdit) FontItalic() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontItalic"}).(bool)
}

func (ptr *QTextEdit) FontPointSize() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontPointSize"}).(float64)
}

func (ptr *QTextEdit) FontUnderline() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontUnderline"}).(bool)
}

func (ptr *QTextEdit) FontWeight() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FontWeight"}).(float64))
}

func (ptr *QTextEdit) ConnectInsertFromMimeData(f func(source *core.QMimeData)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInsertFromMimeData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectInsertFromMimeData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInsertFromMimeData"})
}

func (ptr *QTextEdit) InsertFromMimeData(source core.QMimeData_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertFromMimeData", source})
}

func (ptr *QTextEdit) InsertFromMimeDataDefault(source core.QMimeData_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertFromMimeDataDefault", source})
}

func (ptr *QTextEdit) ConnectInsertHtml(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInsertHtml", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectInsertHtml() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInsertHtml"})
}

func (ptr *QTextEdit) InsertHtml(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertHtml", text})
}

func (ptr *QTextEdit) InsertHtmlDefault(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertHtmlDefault", text})
}

func (ptr *QTextEdit) ConnectInsertPlainText(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInsertPlainText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectInsertPlainText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInsertPlainText"})
}

func (ptr *QTextEdit) InsertPlainText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertPlainText", text})
}

func (ptr *QTextEdit) InsertPlainTextDefault(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertPlainTextDefault", text})
}

func (ptr *QTextEdit) IsReadOnly() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsReadOnly"}).(bool)
}

func (ptr *QTextEdit) IsUndoRedoEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsUndoRedoEnabled"}).(bool)
}

func (ptr *QTextEdit) LineWrapColumnOrWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineWrapColumnOrWidth"}).(float64))
}

func (ptr *QTextEdit) LineWrapMode() QTextEdit__LineWrapMode {

	return QTextEdit__LineWrapMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LineWrapMode"}).(float64))
}

func (ptr *QTextEdit) ConnectLoadResource(f func(ty int, name *core.QUrl) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectLoadResource", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectLoadResource() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectLoadResource"})
}

func (ptr *QTextEdit) LoadResource(ty int, name core.QUrl_ITF) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadResource", ty, name}).(*core.QVariant)
}

func (ptr *QTextEdit) LoadResourceDefault(ty int, name core.QUrl_ITF) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "LoadResourceDefault", ty, name}).(*core.QVariant)
}

func (ptr *QTextEdit) MergeCurrentCharFormat(modifier gui.QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MergeCurrentCharFormat", modifier})
}

func (ptr *QTextEdit) MoveCursor(operation gui.QTextCursor__MoveOperation, mode gui.QTextCursor__MoveMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCursor", operation, mode})
}

func (ptr *QTextEdit) OverwriteMode() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OverwriteMode"}).(bool)
}

func (ptr *QTextEdit) ConnectPaste(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaste", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectPaste() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaste"})
}

func (ptr *QTextEdit) Paste() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Paste"})
}

func (ptr *QTextEdit) PasteDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PasteDefault"})
}

func (ptr *QTextEdit) PlaceholderText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PlaceholderText"}).(string)
}

func (ptr *QTextEdit) Print(printer gui.QPagedPaintDevice_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Print", printer})
}

func (ptr *QTextEdit) ConnectRedo(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRedo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectRedo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRedo"})
}

func (ptr *QTextEdit) Redo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Redo"})
}

func (ptr *QTextEdit) RedoDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedoDefault"})
}

func (ptr *QTextEdit) ConnectRedoAvailable(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRedoAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectRedoAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRedoAvailable"})
}

func (ptr *QTextEdit) RedoAvailable(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedoAvailable", available})
}

func (ptr *QTextEdit) ConnectScrollToAnchor(f func(name string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollToAnchor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectScrollToAnchor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollToAnchor"})
}

func (ptr *QTextEdit) ScrollToAnchor(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToAnchor", name})
}

func (ptr *QTextEdit) ScrollToAnchorDefault(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToAnchorDefault", name})
}

func (ptr *QTextEdit) ConnectSelectAll(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectAll", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectSelectAll() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectAll"})
}

func (ptr *QTextEdit) SelectAll() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectAll"})
}

func (ptr *QTextEdit) SelectAllDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectAllDefault"})
}

func (ptr *QTextEdit) ConnectSelectionChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectSelectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectionChanged"})
}

func (ptr *QTextEdit) SelectionChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChanged"})
}

func (ptr *QTextEdit) SetAcceptRichText(accept bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAcceptRichText", accept})
}

func (ptr *QTextEdit) ConnectSetAlignment(f func(a core.Qt__AlignmentFlag)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetAlignment", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectSetAlignment() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetAlignment"})
}

func (ptr *QTextEdit) SetAlignment(a core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignment", a})
}

func (ptr *QTextEdit) SetAlignmentDefault(a core.Qt__AlignmentFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAlignmentDefault", a})
}

func (ptr *QTextEdit) SetAutoFormatting(features QTextEdit__AutoFormattingFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoFormatting", features})
}

func (ptr *QTextEdit) SetCurrentCharFormat(format gui.QTextCharFormat_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentCharFormat", format})
}

func (ptr *QTextEdit) ConnectSetCurrentFont(f func(ff *gui.QFont)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentFont", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectSetCurrentFont() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentFont"})
}

func (ptr *QTextEdit) SetCurrentFont(ff gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentFont", ff})
}

func (ptr *QTextEdit) SetCurrentFontDefault(ff gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentFontDefault", ff})
}

func (ptr *QTextEdit) SetCursorWidth(width int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCursorWidth", width})
}

func (ptr *QTextEdit) SetDocument(document gui.QTextDocument_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDocument", document})
}

func (ptr *QTextEdit) SetDocumentTitle(title string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDocumentTitle", title})
}

func (ptr *QTextEdit) ConnectSetFontFamily(f func(fontFamily string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFontFamily", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectSetFontFamily() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFontFamily"})
}

func (ptr *QTextEdit) SetFontFamily(fontFamily string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontFamily", fontFamily})
}

func (ptr *QTextEdit) SetFontFamilyDefault(fontFamily string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontFamilyDefault", fontFamily})
}

func (ptr *QTextEdit) ConnectSetFontItalic(f func(italic bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFontItalic", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectSetFontItalic() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFontItalic"})
}

func (ptr *QTextEdit) SetFontItalic(italic bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontItalic", italic})
}

func (ptr *QTextEdit) SetFontItalicDefault(italic bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontItalicDefault", italic})
}

func (ptr *QTextEdit) ConnectSetFontPointSize(f func(s float64)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFontPointSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectSetFontPointSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFontPointSize"})
}

func (ptr *QTextEdit) SetFontPointSize(s float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontPointSize", s})
}

func (ptr *QTextEdit) SetFontPointSizeDefault(s float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontPointSizeDefault", s})
}

func (ptr *QTextEdit) ConnectSetFontUnderline(f func(underline bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFontUnderline", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectSetFontUnderline() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFontUnderline"})
}

func (ptr *QTextEdit) SetFontUnderline(underline bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontUnderline", underline})
}

func (ptr *QTextEdit) SetFontUnderlineDefault(underline bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontUnderlineDefault", underline})
}

func (ptr *QTextEdit) ConnectSetFontWeight(f func(weight int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetFontWeight", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectSetFontWeight() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetFontWeight"})
}

func (ptr *QTextEdit) SetFontWeight(weight int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontWeight", weight})
}

func (ptr *QTextEdit) SetFontWeightDefault(weight int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFontWeightDefault", weight})
}

func (ptr *QTextEdit) ConnectSetHtml(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetHtml", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectSetHtml() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetHtml"})
}

func (ptr *QTextEdit) SetHtml(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHtml", text})
}

func (ptr *QTextEdit) SetHtmlDefault(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHtmlDefault", text})
}

func (ptr *QTextEdit) SetLineWrapColumnOrWidth(w int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLineWrapColumnOrWidth", w})
}

func (ptr *QTextEdit) SetLineWrapMode(mode QTextEdit__LineWrapMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetLineWrapMode", mode})
}

func (ptr *QTextEdit) SetOverwriteMode(overwrite bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOverwriteMode", overwrite})
}

func (ptr *QTextEdit) SetPlaceholderText(placeholderText string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPlaceholderText", placeholderText})
}

func (ptr *QTextEdit) ConnectSetPlainText(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetPlainText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectSetPlainText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetPlainText"})
}

func (ptr *QTextEdit) SetPlainText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPlainText", text})
}

func (ptr *QTextEdit) SetPlainTextDefault(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPlainTextDefault", text})
}

func (ptr *QTextEdit) SetReadOnly(ro bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetReadOnly", ro})
}

func (ptr *QTextEdit) SetTabChangesFocus(b bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabChangesFocus", b})
}

func (ptr *QTextEdit) SetTabStopDistance(distance float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabStopDistance", distance})
}

func (ptr *QTextEdit) SetTabStopWidth(width int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTabStopWidth", width})
}

func (ptr *QTextEdit) ConnectSetText(f func(text string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetText", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectSetText() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetText"})
}

func (ptr *QTextEdit) SetText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", text})
}

func (ptr *QTextEdit) SetTextDefault(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextDefault", text})
}

func (ptr *QTextEdit) ConnectSetTextBackgroundColor(f func(c *gui.QColor)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetTextBackgroundColor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectSetTextBackgroundColor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetTextBackgroundColor"})
}

func (ptr *QTextEdit) SetTextBackgroundColor(c gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextBackgroundColor", c})
}

func (ptr *QTextEdit) SetTextBackgroundColorDefault(c gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextBackgroundColorDefault", c})
}

func (ptr *QTextEdit) ConnectSetTextColor(f func(c *gui.QColor)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetTextColor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectSetTextColor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetTextColor"})
}

func (ptr *QTextEdit) SetTextColor(c gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextColor", c})
}

func (ptr *QTextEdit) SetTextColorDefault(c gui.QColor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextColorDefault", c})
}

func (ptr *QTextEdit) SetTextCursor(cursor gui.QTextCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextCursor", cursor})
}

func (ptr *QTextEdit) SetTextInteractionFlags(flags core.Qt__TextInteractionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextInteractionFlags", flags})
}

func (ptr *QTextEdit) SetUndoRedoEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUndoRedoEnabled", enable})
}

func (ptr *QTextEdit) SetWordWrapMode(policy gui.QTextOption__WrapMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWordWrapMode", policy})
}

func (ptr *QTextEdit) TabChangesFocus() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabChangesFocus"}).(bool)
}

func (ptr *QTextEdit) TabStopDistance() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabStopDistance"}).(float64)
}

func (ptr *QTextEdit) TabStopWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TabStopWidth"}).(float64))
}

func (ptr *QTextEdit) TextBackgroundColor() *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextBackgroundColor"}).(*gui.QColor)
}

func (ptr *QTextEdit) ConnectTextChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTextChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectTextChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTextChanged"})
}

func (ptr *QTextEdit) TextChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextChanged"})
}

func (ptr *QTextEdit) TextColor() *gui.QColor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextColor"}).(*gui.QColor)
}

func (ptr *QTextEdit) TextCursor() *gui.QTextCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextCursor"}).(*gui.QTextCursor)
}

func (ptr *QTextEdit) TextInteractionFlags() core.Qt__TextInteractionFlag {

	return core.Qt__TextInteractionFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextInteractionFlags"}).(float64))
}

func (ptr *QTextEdit) ToHtml() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToHtml"}).(string)
}

func (ptr *QTextEdit) ToPlainText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToPlainText"}).(string)
}

func (ptr *QTextEdit) ConnectUndo(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUndo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectUndo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUndo"})
}

func (ptr *QTextEdit) Undo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Undo"})
}

func (ptr *QTextEdit) UndoDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoDefault"})
}

func (ptr *QTextEdit) ConnectUndoAvailable(f func(available bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUndoAvailable", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectUndoAvailable() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUndoAvailable"})
}

func (ptr *QTextEdit) UndoAvailable(available bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoAvailable", available})
}

func (ptr *QTextEdit) WordWrapMode() gui.QTextOption__WrapMode {

	return gui.QTextOption__WrapMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WordWrapMode"}).(float64))
}

func (ptr *QTextEdit) ConnectZoomIn(f func(ran int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectZoomIn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectZoomIn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectZoomIn"})
}

func (ptr *QTextEdit) ZoomIn(ran int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ZoomIn", ran})
}

func (ptr *QTextEdit) ZoomInDefault(ran int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ZoomInDefault", ran})
}

func (ptr *QTextEdit) ConnectZoomOut(f func(ran int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectZoomOut", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectZoomOut() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectZoomOut"})
}

func (ptr *QTextEdit) ZoomOut(ran int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ZoomOut", ran})
}

func (ptr *QTextEdit) ZoomOutDefault(ran int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ZoomOutDefault", ran})
}

func (ptr *QTextEdit) ConnectDestroyQTextEdit(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTextEdit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTextEdit) DisconnectDestroyQTextEdit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTextEdit"})
}

func (ptr *QTextEdit) DestroyQTextEdit() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextEdit"})
}

func (ptr *QTextEdit) DestroyQTextEditDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTextEditDefault"})
}

type QTileRules struct {
	internal.Internal
}

type QTileRules_ITF interface {
	QTileRules_PTR() *QTileRules
}

func (ptr *QTileRules) QTileRules_PTR() *QTileRules {
	return ptr
}

func (ptr *QTileRules) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTileRules) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTileRules(ptr QTileRules_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTileRules_PTR().Pointer()
	}
	return nil
}

func (n *QTileRules) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTileRulesFromPointer(ptr unsafe.Pointer) (n *QTileRules) {
	n = new(QTileRules)
	n.InitFromInternal(uintptr(ptr), "widgets.QTileRules")
	return
}

func (ptr *QTileRules) DestroyQTileRules() {
}

func NewQTileRules(horizontalRule core.Qt__TileRule, verticalRule core.Qt__TileRule) *QTileRules {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTileRules", "", horizontalRule, verticalRule}).(*QTileRules)
}

func NewQTileRules2(rule core.Qt__TileRule) *QTileRules {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTileRules2", "", rule}).(*QTileRules)
}

type QTimeEdit struct {
	QDateTimeEdit
}

type QTimeEdit_ITF interface {
	QDateTimeEdit_ITF
	QTimeEdit_PTR() *QTimeEdit
}

func (ptr *QTimeEdit) QTimeEdit_PTR() *QTimeEdit {
	return ptr
}

func (ptr *QTimeEdit) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QDateTimeEdit_PTR().Pointer()
	}
	return nil
}

func (ptr *QTimeEdit) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QDateTimeEdit_PTR().SetPointer(p)
	}
}

func PointerFromQTimeEdit(ptr QTimeEdit_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTimeEdit_PTR().Pointer()
	}
	return nil
}

func (n *QTimeEdit) InitFromInternal(ptr uintptr, name string) {
	n.QDateTimeEdit_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTimeEdit) ClassNameInternalF() string {
	return n.QDateTimeEdit_PTR().ClassNameInternalF()
}

func NewQTimeEditFromPointer(ptr unsafe.Pointer) (n *QTimeEdit) {
	n = new(QTimeEdit)
	n.InitFromInternal(uintptr(ptr), "widgets.QTimeEdit")
	return
}
func NewQTimeEdit(parent QWidget_ITF) *QTimeEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTimeEdit", "", parent}).(*QTimeEdit)
}

func NewQTimeEdit2(ti core.QTime_ITF, parent QWidget_ITF) *QTimeEdit {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTimeEdit2", "", ti, parent}).(*QTimeEdit)
}

func (ptr *QTimeEdit) ConnectDestroyQTimeEdit(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTimeEdit", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTimeEdit) DisconnectDestroyQTimeEdit() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTimeEdit"})
}

func (ptr *QTimeEdit) DestroyQTimeEdit() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTimeEdit"})
}

func (ptr *QTimeEdit) DestroyQTimeEditDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTimeEditDefault"})
}

type QToolBar struct {
	QWidget
}

type QToolBar_ITF interface {
	QWidget_ITF
	QToolBar_PTR() *QToolBar
}

func (ptr *QToolBar) QToolBar_PTR() *QToolBar {
	return ptr
}

func (ptr *QToolBar) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QToolBar) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQToolBar(ptr QToolBar_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QToolBar_PTR().Pointer()
	}
	return nil
}

func (n *QToolBar) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QToolBar) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQToolBarFromPointer(ptr unsafe.Pointer) (n *QToolBar) {
	n = new(QToolBar)
	n.InitFromInternal(uintptr(ptr), "widgets.QToolBar")
	return
}
func NewQToolBar(title string, parent QWidget_ITF) *QToolBar {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQToolBar", "", title, parent}).(*QToolBar)
}

func NewQToolBar2(parent QWidget_ITF) *QToolBar {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQToolBar2", "", parent}).(*QToolBar)
}

func (ptr *QToolBar) ActionAt(p core.QPoint_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActionAt", p}).(*QAction)
}

func (ptr *QToolBar) ActionAt2(x int, y int) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActionAt2", x, y}).(*QAction)
}

func (ptr *QToolBar) ConnectActionTriggered(f func(action *QAction)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActionTriggered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBar) DisconnectActionTriggered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActionTriggered"})
}

func (ptr *QToolBar) ActionTriggered(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActionTriggered", action})
}

func (ptr *QToolBar) AddAction(text string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction", text}).(*QAction)
}

func (ptr *QToolBar) AddAction2(icon gui.QIcon_ITF, text string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction2", icon, text}).(*QAction)
}

func (ptr *QToolBar) AddAction3(text string, receiver core.QObject_ITF, member string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction3", text, receiver, member}).(*QAction)
}

func (ptr *QToolBar) AddAction4(icon gui.QIcon_ITF, text string, receiver core.QObject_ITF, member string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddAction4", icon, text, receiver, member}).(*QAction)
}

func (ptr *QToolBar) AddSeparator() *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddSeparator"}).(*QAction)
}

func (ptr *QToolBar) AddWidget(widget QWidget_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddWidget", widget}).(*QAction)
}

func (ptr *QToolBar) AllowedAreas() core.Qt__ToolBarArea {

	return core.Qt__ToolBarArea(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllowedAreas"}).(float64))
}

func (ptr *QToolBar) ConnectAllowedAreasChanged(f func(allowedAreas core.Qt__ToolBarArea)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectAllowedAreasChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBar) DisconnectAllowedAreasChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectAllowedAreasChanged"})
}

func (ptr *QToolBar) AllowedAreasChanged(allowedAreas core.Qt__ToolBarArea) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllowedAreasChanged", allowedAreas})
}

func (ptr *QToolBar) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QToolBar) IconSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconSize"}).(*core.QSize)
}

func (ptr *QToolBar) ConnectIconSizeChanged(f func(iconSize *core.QSize)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIconSizeChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBar) DisconnectIconSizeChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIconSizeChanged"})
}

func (ptr *QToolBar) IconSizeChanged(iconSize core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IconSizeChanged", iconSize})
}

func (ptr *QToolBar) InsertSeparator(before QAction_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertSeparator", before}).(*QAction)
}

func (ptr *QToolBar) InsertWidget(before QAction_ITF, widget QWidget_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertWidget", before, widget}).(*QAction)
}

func (ptr *QToolBar) IsAreaAllowed(area core.Qt__ToolBarArea) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAreaAllowed", area}).(bool)
}

func (ptr *QToolBar) IsFloatable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFloatable"}).(bool)
}

func (ptr *QToolBar) IsFloating() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFloating"}).(bool)
}

func (ptr *QToolBar) IsMovable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsMovable"}).(bool)
}

func (ptr *QToolBar) ConnectMovableChanged(f func(movable bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMovableChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBar) DisconnectMovableChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMovableChanged"})
}

func (ptr *QToolBar) MovableChanged(movable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MovableChanged", movable})
}

func (ptr *QToolBar) Orientation() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Orientation"}).(float64))
}

func (ptr *QToolBar) ConnectOrientationChanged(f func(orientation core.Qt__Orientation)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectOrientationChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBar) DisconnectOrientationChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectOrientationChanged"})
}

func (ptr *QToolBar) OrientationChanged(orientation core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OrientationChanged", orientation})
}

func (ptr *QToolBar) SetAllowedAreas(areas core.Qt__ToolBarArea) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAllowedAreas", areas})
}

func (ptr *QToolBar) SetFloatable(floatable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFloatable", floatable})
}

func (ptr *QToolBar) ConnectSetIconSize(f func(iconSize *core.QSize)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetIconSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBar) DisconnectSetIconSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetIconSize"})
}

func (ptr *QToolBar) SetIconSize(iconSize core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconSize", iconSize})
}

func (ptr *QToolBar) SetIconSizeDefault(iconSize core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIconSizeDefault", iconSize})
}

func (ptr *QToolBar) SetMovable(movable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMovable", movable})
}

func (ptr *QToolBar) SetOrientation(orientation core.Qt__Orientation) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOrientation", orientation})
}

func (ptr *QToolBar) ConnectSetToolButtonStyle(f func(toolButtonStyle core.Qt__ToolButtonStyle)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetToolButtonStyle", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBar) DisconnectSetToolButtonStyle() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetToolButtonStyle"})
}

func (ptr *QToolBar) SetToolButtonStyle(toolButtonStyle core.Qt__ToolButtonStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolButtonStyle", toolButtonStyle})
}

func (ptr *QToolBar) SetToolButtonStyleDefault(toolButtonStyle core.Qt__ToolButtonStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolButtonStyleDefault", toolButtonStyle})
}

func (ptr *QToolBar) ToggleViewAction() *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToggleViewAction"}).(*QAction)
}

func (ptr *QToolBar) ToolButtonStyle() core.Qt__ToolButtonStyle {

	return core.Qt__ToolButtonStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolButtonStyle"}).(float64))
}

func (ptr *QToolBar) ConnectToolButtonStyleChanged(f func(toolButtonStyle core.Qt__ToolButtonStyle)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectToolButtonStyleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBar) DisconnectToolButtonStyleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectToolButtonStyleChanged"})
}

func (ptr *QToolBar) ToolButtonStyleChanged(toolButtonStyle core.Qt__ToolButtonStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolButtonStyleChanged", toolButtonStyle})
}

func (ptr *QToolBar) ConnectTopLevelChanged(f func(topLevel bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTopLevelChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBar) DisconnectTopLevelChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTopLevelChanged"})
}

func (ptr *QToolBar) TopLevelChanged(topLevel bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopLevelChanged", topLevel})
}

func (ptr *QToolBar) ConnectVisibilityChanged(f func(visible bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVisibilityChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBar) DisconnectVisibilityChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVisibilityChanged"})
}

func (ptr *QToolBar) VisibilityChanged(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisibilityChanged", visible})
}

func (ptr *QToolBar) WidgetForAction(action QAction_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WidgetForAction", action}).(*QWidget)
}

func (ptr *QToolBar) ConnectDestroyQToolBar(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQToolBar", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBar) DisconnectDestroyQToolBar() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQToolBar"})
}

func (ptr *QToolBar) DestroyQToolBar() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQToolBar"})
}

func (ptr *QToolBar) DestroyQToolBarDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQToolBarDefault"})
}

type QToolBox struct {
	QFrame
}

type QToolBox_ITF interface {
	QFrame_ITF
	QToolBox_PTR() *QToolBox
}

func (ptr *QToolBox) QToolBox_PTR() *QToolBox {
	return ptr
}

func (ptr *QToolBox) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QFrame_PTR().Pointer()
	}
	return nil
}

func (ptr *QToolBox) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QFrame_PTR().SetPointer(p)
	}
}

func PointerFromQToolBox(ptr QToolBox_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QToolBox_PTR().Pointer()
	}
	return nil
}

func (n *QToolBox) InitFromInternal(ptr uintptr, name string) {
	n.QFrame_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QToolBox) ClassNameInternalF() string {
	return n.QFrame_PTR().ClassNameInternalF()
}

func NewQToolBoxFromPointer(ptr unsafe.Pointer) (n *QToolBox) {
	n = new(QToolBox)
	n.InitFromInternal(uintptr(ptr), "widgets.QToolBox")
	return
}
func NewQToolBox(parent QWidget_ITF, ff core.Qt__WindowType) *QToolBox {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQToolBox", "", parent, ff}).(*QToolBox)
}

func (ptr *QToolBox) AddItem(widget QWidget_ITF, iconSet gui.QIcon_ITF, text string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem", widget, iconSet, text}).(float64))
}

func (ptr *QToolBox) AddItem2(w QWidget_ITF, text string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddItem2", w, text}).(float64))
}

func (ptr *QToolBox) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QToolBox) ConnectCurrentChanged(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBox) DisconnectCurrentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentChanged"})
}

func (ptr *QToolBox) CurrentChanged(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChanged", index})
}

func (ptr *QToolBox) CurrentIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentIndex"}).(float64))
}

func (ptr *QToolBox) CurrentWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentWidget"}).(*QWidget)
}

func (ptr *QToolBox) IndexOf(widget QWidget_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOf", widget}).(float64))
}

func (ptr *QToolBox) InsertItem(index int, widget QWidget_ITF, icon gui.QIcon_ITF, text string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertItem", index, widget, icon, text}).(float64))
}

func (ptr *QToolBox) InsertItem2(index int, widget QWidget_ITF, text string) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertItem2", index, widget, text}).(float64))
}

func (ptr *QToolBox) IsItemEnabled(index int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsItemEnabled", index}).(bool)
}

func (ptr *QToolBox) ItemIcon(index int) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemIcon", index}).(*gui.QIcon)
}

func (ptr *QToolBox) ConnectItemInserted(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBox) DisconnectItemInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemInserted"})
}

func (ptr *QToolBox) ItemInserted(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemInserted", index})
}

func (ptr *QToolBox) ItemInsertedDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemInsertedDefault", index})
}

func (ptr *QToolBox) ConnectItemRemoved(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBox) DisconnectItemRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemRemoved"})
}

func (ptr *QToolBox) ItemRemoved(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemRemoved", index})
}

func (ptr *QToolBox) ItemRemovedDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemRemovedDefault", index})
}

func (ptr *QToolBox) ItemText(index int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemText", index}).(string)
}

func (ptr *QToolBox) ItemToolTip(index int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemToolTip", index}).(string)
}

func (ptr *QToolBox) RemoveItem(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveItem", index})
}

func (ptr *QToolBox) ConnectSetCurrentIndex(f func(index int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBox) DisconnectSetCurrentIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentIndex"})
}

func (ptr *QToolBox) SetCurrentIndex(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndex", index})
}

func (ptr *QToolBox) SetCurrentIndexDefault(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentIndexDefault", index})
}

func (ptr *QToolBox) ConnectSetCurrentWidget(f func(widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetCurrentWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBox) DisconnectSetCurrentWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetCurrentWidget"})
}

func (ptr *QToolBox) SetCurrentWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentWidget", widget})
}

func (ptr *QToolBox) SetCurrentWidgetDefault(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentWidgetDefault", widget})
}

func (ptr *QToolBox) SetItemEnabled(index int, enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemEnabled", index, enabled})
}

func (ptr *QToolBox) SetItemIcon(index int, icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemIcon", index, icon})
}

func (ptr *QToolBox) SetItemText(index int, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemText", index, text})
}

func (ptr *QToolBox) SetItemToolTip(index int, toolTip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemToolTip", index, toolTip})
}

func (ptr *QToolBox) Widget(index int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Widget", index}).(*QWidget)
}

func (ptr *QToolBox) ConnectDestroyQToolBox(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQToolBox", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolBox) DisconnectDestroyQToolBox() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQToolBox"})
}

func (ptr *QToolBox) DestroyQToolBox() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQToolBox"})
}

func (ptr *QToolBox) DestroyQToolBoxDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQToolBoxDefault"})
}

type QToolButton struct {
	QAbstractButton
}

type QToolButton_ITF interface {
	QAbstractButton_ITF
	QToolButton_PTR() *QToolButton
}

func (ptr *QToolButton) QToolButton_PTR() *QToolButton {
	return ptr
}

func (ptr *QToolButton) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractButton_PTR().Pointer()
	}
	return nil
}

func (ptr *QToolButton) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractButton_PTR().SetPointer(p)
	}
}

func PointerFromQToolButton(ptr QToolButton_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QToolButton_PTR().Pointer()
	}
	return nil
}

func (n *QToolButton) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractButton_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QToolButton) ClassNameInternalF() string {
	return n.QAbstractButton_PTR().ClassNameInternalF()
}

func NewQToolButtonFromPointer(ptr unsafe.Pointer) (n *QToolButton) {
	n = new(QToolButton)
	n.InitFromInternal(uintptr(ptr), "widgets.QToolButton")
	return
}

//go:generate stringer -type=QToolButton__ToolButtonPopupMode
//QToolButton::ToolButtonPopupMode
type QToolButton__ToolButtonPopupMode int64

const (
	QToolButton__DelayedPopup    QToolButton__ToolButtonPopupMode = QToolButton__ToolButtonPopupMode(0)
	QToolButton__MenuButtonPopup QToolButton__ToolButtonPopupMode = QToolButton__ToolButtonPopupMode(1)
	QToolButton__InstantPopup    QToolButton__ToolButtonPopupMode = QToolButton__ToolButtonPopupMode(2)
)

func NewQToolButton(parent QWidget_ITF) *QToolButton {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQToolButton", "", parent}).(*QToolButton)
}

func (ptr *QToolButton) ArrowType() core.Qt__ArrowType {

	return core.Qt__ArrowType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ArrowType"}).(float64))
}

func (ptr *QToolButton) AutoRaise() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoRaise"}).(bool)
}

func (ptr *QToolButton) DefaultAction() *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultAction"}).(*QAction)
}

func (ptr *QToolButton) InitStyleOption(option QStyleOptionToolButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitStyleOption", option})
}

func (ptr *QToolButton) Menu() *QMenu {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Menu"}).(*QMenu)
}

func (ptr *QToolButton) ConnectPaintEvent(f func(event *gui.QPaintEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPaintEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolButton) DisconnectPaintEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPaintEvent"})
}

func (ptr *QToolButton) PaintEvent(event gui.QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEvent", event})
}

func (ptr *QToolButton) PaintEventDefault(event gui.QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PaintEventDefault", event})
}

func (ptr *QToolButton) PopupMode() QToolButton__ToolButtonPopupMode {

	return QToolButton__ToolButtonPopupMode(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PopupMode"}).(float64))
}

func (ptr *QToolButton) SetArrowType(ty core.Qt__ArrowType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetArrowType", ty})
}

func (ptr *QToolButton) SetAutoRaise(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoRaise", enable})
}

func (ptr *QToolButton) ConnectSetDefaultAction(f func(action *QAction)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetDefaultAction", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolButton) DisconnectSetDefaultAction() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetDefaultAction"})
}

func (ptr *QToolButton) SetDefaultAction(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultAction", action})
}

func (ptr *QToolButton) SetDefaultActionDefault(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultActionDefault", action})
}

func (ptr *QToolButton) SetMenu(menu QMenu_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetMenu", menu})
}

func (ptr *QToolButton) SetPopupMode(mode QToolButton__ToolButtonPopupMode) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPopupMode", mode})
}

func (ptr *QToolButton) ConnectSetToolButtonStyle(f func(style core.Qt__ToolButtonStyle)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetToolButtonStyle", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolButton) DisconnectSetToolButtonStyle() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetToolButtonStyle"})
}

func (ptr *QToolButton) SetToolButtonStyle(style core.Qt__ToolButtonStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolButtonStyle", style})
}

func (ptr *QToolButton) SetToolButtonStyleDefault(style core.Qt__ToolButtonStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolButtonStyleDefault", style})
}

func (ptr *QToolButton) ConnectShowMenu(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowMenu", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolButton) DisconnectShowMenu() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowMenu"})
}

func (ptr *QToolButton) ShowMenu() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMenu"})
}

func (ptr *QToolButton) ShowMenuDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowMenuDefault"})
}

func (ptr *QToolButton) ToolButtonStyle() core.Qt__ToolButtonStyle {

	return core.Qt__ToolButtonStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolButtonStyle"}).(float64))
}

func (ptr *QToolButton) ConnectTriggered(f func(action *QAction)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectTriggered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolButton) DisconnectTriggered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectTriggered"})
}

func (ptr *QToolButton) Triggered(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Triggered", action})
}

func (ptr *QToolButton) ConnectDestroyQToolButton(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQToolButton", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QToolButton) DisconnectDestroyQToolButton() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQToolButton"})
}

func (ptr *QToolButton) DestroyQToolButton() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQToolButton"})
}

func (ptr *QToolButton) DestroyQToolButtonDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQToolButtonDefault"})
}

type QToolTip struct {
	internal.Internal
}

type QToolTip_ITF interface {
	QToolTip_PTR() *QToolTip
}

func (ptr *QToolTip) QToolTip_PTR() *QToolTip {
	return ptr
}

func (ptr *QToolTip) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QToolTip) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQToolTip(ptr QToolTip_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QToolTip_PTR().Pointer()
	}
	return nil
}

func (n *QToolTip) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQToolTipFromPointer(ptr unsafe.Pointer) (n *QToolTip) {
	n = new(QToolTip)
	n.InitFromInternal(uintptr(ptr), "widgets.QToolTip")
	return
}

func (ptr *QToolTip) DestroyQToolTip() {
}

func QToolTip_Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_Font", ""}).(*gui.QFont)
}

func (ptr *QToolTip) Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_Font", ""}).(*gui.QFont)
}

func QToolTip_HideText() {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_HideText", ""})
}

func (ptr *QToolTip) HideText() {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_HideText", ""})
}

func QToolTip_IsVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_IsVisible", ""}).(bool)
}

func (ptr *QToolTip) IsVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_IsVisible", ""}).(bool)
}

func QToolTip_Palette() *gui.QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_Palette", ""}).(*gui.QPalette)
}

func (ptr *QToolTip) Palette() *gui.QPalette {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_Palette", ""}).(*gui.QPalette)
}

func QToolTip_SetFont(font gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_SetFont", "", font})
}

func (ptr *QToolTip) SetFont(font gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_SetFont", "", font})
}

func QToolTip_SetPalette(palette gui.QPalette_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_SetPalette", "", palette})
}

func (ptr *QToolTip) SetPalette(palette gui.QPalette_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_SetPalette", "", palette})
}

func QToolTip_ShowText(pos core.QPoint_ITF, text string, w QWidget_ITF, rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_ShowText", "", pos, text, w, rect})
}

func (ptr *QToolTip) ShowText(pos core.QPoint_ITF, text string, w QWidget_ITF, rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_ShowText", "", pos, text, w, rect})
}

func QToolTip_ShowText2(pos core.QPoint_ITF, text string, w QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_ShowText2", "", pos, text, w})
}

func (ptr *QToolTip) ShowText2(pos core.QPoint_ITF, text string, w QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_ShowText2", "", pos, text, w})
}

func QToolTip_ShowText3(pos core.QPoint_ITF, text string, w QWidget_ITF, rect core.QRect_ITF, msecDisplayTime int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_ShowText3", "", pos, text, w, rect, msecDisplayTime})
}

func (ptr *QToolTip) ShowText3(pos core.QPoint_ITF, text string, w QWidget_ITF, rect core.QRect_ITF, msecDisplayTime int) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_ShowText3", "", pos, text, w, rect, msecDisplayTime})
}

func QToolTip_Text() string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_Text", ""}).(string)
}

func (ptr *QToolTip) Text() string {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QToolTip_Text", ""}).(string)
}

type QTreeView struct {
	QAbstractItemView
}

type QTreeView_ITF interface {
	QAbstractItemView_ITF
	QTreeView_PTR() *QTreeView
}

func (ptr *QTreeView) QTreeView_PTR() *QTreeView {
	return ptr
}

func (ptr *QTreeView) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAbstractItemView_PTR().Pointer()
	}
	return nil
}

func (ptr *QTreeView) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAbstractItemView_PTR().SetPointer(p)
	}
}

func PointerFromQTreeView(ptr QTreeView_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTreeView_PTR().Pointer()
	}
	return nil
}

func (n *QTreeView) InitFromInternal(ptr uintptr, name string) {
	n.QAbstractItemView_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTreeView) ClassNameInternalF() string {
	return n.QAbstractItemView_PTR().ClassNameInternalF()
}

func NewQTreeViewFromPointer(ptr unsafe.Pointer) (n *QTreeView) {
	n = new(QTreeView)
	n.InitFromInternal(uintptr(ptr), "widgets.QTreeView")
	return
}
func NewQTreeView(parent QWidget_ITF) *QTreeView {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTreeView", "", parent}).(*QTreeView)
}

func (ptr *QTreeView) AllColumnsShowFocus() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AllColumnsShowFocus"}).(bool)
}

func (ptr *QTreeView) AutoExpandDelay() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AutoExpandDelay"}).(float64))
}

func (ptr *QTreeView) ConnectCollapse(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCollapse", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectCollapse() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCollapse"})
}

func (ptr *QTreeView) Collapse(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Collapse", index})
}

func (ptr *QTreeView) CollapseDefault(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CollapseDefault", index})
}

func (ptr *QTreeView) ConnectCollapseAll(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCollapseAll", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectCollapseAll() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCollapseAll"})
}

func (ptr *QTreeView) CollapseAll() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CollapseAll"})
}

func (ptr *QTreeView) CollapseAllDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CollapseAllDefault"})
}

func (ptr *QTreeView) ConnectCollapsed(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCollapsed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectCollapsed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCollapsed"})
}

func (ptr *QTreeView) Collapsed(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Collapsed", index})
}

func (ptr *QTreeView) ColumnAt(x int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnAt", x}).(float64))
}

func (ptr *QTreeView) ConnectColumnCountChanged(f func(oldCount int, newCount int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnCountChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectColumnCountChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnCountChanged"})
}

func (ptr *QTreeView) ColumnCountChanged(oldCount int, newCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCountChanged", oldCount, newCount})
}

func (ptr *QTreeView) ColumnCountChangedDefault(oldCount int, newCount int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCountChangedDefault", oldCount, newCount})
}

func (ptr *QTreeView) ConnectColumnMoved(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnMoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectColumnMoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnMoved"})
}

func (ptr *QTreeView) ColumnMoved() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnMoved"})
}

func (ptr *QTreeView) ColumnMovedDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnMovedDefault"})
}

func (ptr *QTreeView) ConnectColumnResized(f func(column int, oldSize int, newSize int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectColumnResized", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectColumnResized() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectColumnResized"})
}

func (ptr *QTreeView) ColumnResized(column int, oldSize int, newSize int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnResized", column, oldSize, newSize})
}

func (ptr *QTreeView) ColumnResizedDefault(column int, oldSize int, newSize int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnResizedDefault", column, oldSize, newSize})
}

func (ptr *QTreeView) ColumnViewportPosition(column int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnViewportPosition", column}).(float64))
}

func (ptr *QTreeView) ColumnWidth(column int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnWidth", column}).(float64))
}

func (ptr *QTreeView) ConnectCurrentChanged(f func(current *core.QModelIndex, previous *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectCurrentChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentChanged"})
}

func (ptr *QTreeView) CurrentChanged(current core.QModelIndex_ITF, previous core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChanged", current, previous})
}

func (ptr *QTreeView) CurrentChangedDefault(current core.QModelIndex_ITF, previous core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentChangedDefault", current, previous})
}

func (ptr *QTreeView) ConnectDataChanged(f func(topLeft *core.QModelIndex, bottomRight *core.QModelIndex, roles []int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDataChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectDataChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDataChanged"})
}

func (ptr *QTreeView) DataChanged(topLeft core.QModelIndex_ITF, bottomRight core.QModelIndex_ITF, roles []int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataChanged", topLeft, bottomRight, roles})
}

func (ptr *QTreeView) DataChangedDefault(topLeft core.QModelIndex_ITF, bottomRight core.QModelIndex_ITF, roles []int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataChangedDefault", topLeft, bottomRight, roles})
}

func (ptr *QTreeView) ConnectDrawBranches(f func(painter *gui.QPainter, rect *core.QRect, index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawBranches", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectDrawBranches() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawBranches"})
}

func (ptr *QTreeView) DrawBranches(painter gui.QPainter_ITF, rect core.QRect_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawBranches", painter, rect, index})
}

func (ptr *QTreeView) DrawBranchesDefault(painter gui.QPainter_ITF, rect core.QRect_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawBranchesDefault", painter, rect, index})
}

func (ptr *QTreeView) ConnectDrawRow(f func(painter *gui.QPainter, option *QStyleOptionViewItem, index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDrawRow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectDrawRow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDrawRow"})
}

func (ptr *QTreeView) DrawRow(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRow", painter, option, index})
}

func (ptr *QTreeView) DrawRowDefault(painter gui.QPainter_ITF, option QStyleOptionViewItem_ITF, index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawRowDefault", painter, option, index})
}

func (ptr *QTreeView) DrawTree(painter gui.QPainter_ITF, region gui.QRegion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DrawTree", painter, region})
}

func (ptr *QTreeView) ConnectExpand(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectExpand", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectExpand() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectExpand"})
}

func (ptr *QTreeView) Expand(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Expand", index})
}

func (ptr *QTreeView) ExpandDefault(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandDefault", index})
}

func (ptr *QTreeView) ConnectExpandAll(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectExpandAll", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectExpandAll() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectExpandAll"})
}

func (ptr *QTreeView) ExpandAll() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandAll"})
}

func (ptr *QTreeView) ExpandAllDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandAllDefault"})
}

func (ptr *QTreeView) ConnectExpandRecursively(f func(index *core.QModelIndex, depth int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectExpandRecursively", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectExpandRecursively() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectExpandRecursively"})
}

func (ptr *QTreeView) ExpandRecursively(index core.QModelIndex_ITF, depth int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandRecursively", index, depth})
}

func (ptr *QTreeView) ExpandRecursivelyDefault(index core.QModelIndex_ITF, depth int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandRecursivelyDefault", index, depth})
}

func (ptr *QTreeView) ConnectExpandToDepth(f func(depth int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectExpandToDepth", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectExpandToDepth() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectExpandToDepth"})
}

func (ptr *QTreeView) ExpandToDepth(depth int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandToDepth", depth})
}

func (ptr *QTreeView) ExpandToDepthDefault(depth int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandToDepthDefault", depth})
}

func (ptr *QTreeView) ConnectExpanded(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectExpanded", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectExpanded() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectExpanded"})
}

func (ptr *QTreeView) Expanded(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Expanded", index})
}

func (ptr *QTreeView) ExpandsOnDoubleClick() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandsOnDoubleClick"}).(bool)
}

func (ptr *QTreeView) Header() *QHeaderView {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Header"}).(*QHeaderView)
}

func (ptr *QTreeView) ConnectHideColumn(f func(column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHideColumn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectHideColumn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHideColumn"})
}

func (ptr *QTreeView) HideColumn(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HideColumn", column})
}

func (ptr *QTreeView) HideColumnDefault(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HideColumnDefault", column})
}

func (ptr *QTreeView) ConnectHorizontalOffset(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHorizontalOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectHorizontalOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHorizontalOffset"})
}

func (ptr *QTreeView) HorizontalOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalOffset"}).(float64))
}

func (ptr *QTreeView) HorizontalOffsetDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HorizontalOffsetDefault"}).(float64))
}

func (ptr *QTreeView) Indentation() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Indentation"}).(float64))
}

func (ptr *QTreeView) IndexAbove(index core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexAbove", index}).(*core.QModelIndex)
}

func (ptr *QTreeView) ConnectIndexAt(f func(point *core.QPoint) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndexAt", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectIndexAt() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndexAt"})
}

func (ptr *QTreeView) IndexAt(point core.QPoint_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexAt", point}).(*core.QModelIndex)
}

func (ptr *QTreeView) IndexAtDefault(point core.QPoint_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexAtDefault", point}).(*core.QModelIndex)
}

func (ptr *QTreeView) IndexBelow(index core.QModelIndex_ITF) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexBelow", index}).(*core.QModelIndex)
}

func (ptr *QTreeView) IndexRowSizeHint(index core.QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexRowSizeHint", index}).(float64))
}

func (ptr *QTreeView) IsAnimated() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsAnimated"}).(bool)
}

func (ptr *QTreeView) IsColumnHidden(column int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsColumnHidden", column}).(bool)
}

func (ptr *QTreeView) IsExpanded(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsExpanded", index}).(bool)
}

func (ptr *QTreeView) IsFirstColumnSpanned(row int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFirstColumnSpanned", row, parent}).(bool)
}

func (ptr *QTreeView) IsHeaderHidden() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsHeaderHidden"}).(bool)
}

func (ptr *QTreeView) ConnectIsIndexHidden(f func(index *core.QModelIndex) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsIndexHidden", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectIsIndexHidden() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsIndexHidden"})
}

func (ptr *QTreeView) IsIndexHidden(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIndexHidden", index}).(bool)
}

func (ptr *QTreeView) IsIndexHiddenDefault(index core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsIndexHiddenDefault", index}).(bool)
}

func (ptr *QTreeView) IsRowHidden(row int, parent core.QModelIndex_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsRowHidden", row, parent}).(bool)
}

func (ptr *QTreeView) IsSortingEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSortingEnabled"}).(bool)
}

func (ptr *QTreeView) ItemsExpandable() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemsExpandable"}).(bool)
}

func (ptr *QTreeView) ConnectMoveCursor(f func(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMoveCursor", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectMoveCursor() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMoveCursor"})
}

func (ptr *QTreeView) MoveCursor(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCursor", cursorAction, modifiers}).(*core.QModelIndex)
}

func (ptr *QTreeView) MoveCursorDefault(cursorAction QAbstractItemView__CursorAction, modifiers core.Qt__KeyboardModifier) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MoveCursorDefault", cursorAction, modifiers}).(*core.QModelIndex)
}

func (ptr *QTreeView) ConnectReset(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectReset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectReset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectReset"})
}

func (ptr *QTreeView) Reset() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Reset"})
}

func (ptr *QTreeView) ResetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetDefault"})
}

func (ptr *QTreeView) ResetIndentation() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetIndentation"})
}

func (ptr *QTreeView) ConnectResizeColumnToContents(f func(column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResizeColumnToContents", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectResizeColumnToContents() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResizeColumnToContents"})
}

func (ptr *QTreeView) ResizeColumnToContents(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeColumnToContents", column})
}

func (ptr *QTreeView) ResizeColumnToContentsDefault(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResizeColumnToContentsDefault", column})
}

func (ptr *QTreeView) RootIsDecorated() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RootIsDecorated"}).(bool)
}

func (ptr *QTreeView) RowHeight(index core.QModelIndex_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowHeight", index}).(float64))
}

func (ptr *QTreeView) ConnectRowsAboutToBeRemoved(f func(parent *core.QModelIndex, start int, end int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowsAboutToBeRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectRowsAboutToBeRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowsAboutToBeRemoved"})
}

func (ptr *QTreeView) RowsAboutToBeRemoved(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsAboutToBeRemoved", parent, start, end})
}

func (ptr *QTreeView) RowsAboutToBeRemovedDefault(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsAboutToBeRemovedDefault", parent, start, end})
}

func (ptr *QTreeView) ConnectRowsInserted(f func(parent *core.QModelIndex, start int, end int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowsInserted", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectRowsInserted() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowsInserted"})
}

func (ptr *QTreeView) RowsInserted(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsInserted", parent, start, end})
}

func (ptr *QTreeView) RowsInsertedDefault(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsInsertedDefault", parent, start, end})
}

func (ptr *QTreeView) ConnectRowsRemoved(f func(parent *core.QModelIndex, start int, end int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRowsRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectRowsRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRowsRemoved"})
}

func (ptr *QTreeView) RowsRemoved(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsRemoved", parent, start, end})
}

func (ptr *QTreeView) RowsRemovedDefault(parent core.QModelIndex_ITF, start int, end int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RowsRemovedDefault", parent, start, end})
}

func (ptr *QTreeView) ConnectScrollTo(f func(index *core.QModelIndex, hint QAbstractItemView__ScrollHint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollTo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectScrollTo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollTo"})
}

func (ptr *QTreeView) ScrollTo(index core.QModelIndex_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollTo", index, hint})
}

func (ptr *QTreeView) ScrollToDefault(index core.QModelIndex_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToDefault", index, hint})
}

func (ptr *QTreeView) ConnectSelectAll(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectAll", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectSelectAll() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectAll"})
}

func (ptr *QTreeView) SelectAll() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectAll"})
}

func (ptr *QTreeView) SelectAllDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectAllDefault"})
}

func (ptr *QTreeView) ConnectSelectionChanged(f func(selected *core.QItemSelection, deselected *core.QItemSelection)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSelectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectSelectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSelectionChanged"})
}

func (ptr *QTreeView) SelectionChanged(selected core.QItemSelection_ITF, deselected core.QItemSelection_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChanged", selected, deselected})
}

func (ptr *QTreeView) SelectionChangedDefault(selected core.QItemSelection_ITF, deselected core.QItemSelection_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectionChangedDefault", selected, deselected})
}

func (ptr *QTreeView) SetAllColumnsShowFocus(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAllColumnsShowFocus", enable})
}

func (ptr *QTreeView) SetAnimated(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAnimated", enable})
}

func (ptr *QTreeView) SetAutoExpandDelay(delay int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetAutoExpandDelay", delay})
}

func (ptr *QTreeView) SetColumnHidden(column int, hide bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnHidden", column, hide})
}

func (ptr *QTreeView) SetColumnWidth(column int, width int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnWidth", column, width})
}

func (ptr *QTreeView) SetExpanded(index core.QModelIndex_ITF, expanded bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetExpanded", index, expanded})
}

func (ptr *QTreeView) SetExpandsOnDoubleClick(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetExpandsOnDoubleClick", enable})
}

func (ptr *QTreeView) SetFirstColumnSpanned(row int, parent core.QModelIndex_ITF, span bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFirstColumnSpanned", row, parent, span})
}

func (ptr *QTreeView) SetHeader(header QHeaderView_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeader", header})
}

func (ptr *QTreeView) SetHeaderHidden(hide bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeaderHidden", hide})
}

func (ptr *QTreeView) SetIndentation(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIndentation", i})
}

func (ptr *QTreeView) SetItemsExpandable(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemsExpandable", enable})
}

func (ptr *QTreeView) ConnectSetRootIndex(f func(index *core.QModelIndex)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetRootIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectSetRootIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetRootIndex"})
}

func (ptr *QTreeView) SetRootIndex(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRootIndex", index})
}

func (ptr *QTreeView) SetRootIndexDefault(index core.QModelIndex_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRootIndexDefault", index})
}

func (ptr *QTreeView) SetRootIsDecorated(show bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRootIsDecorated", show})
}

func (ptr *QTreeView) SetRowHidden(row int, parent core.QModelIndex_ITF, hide bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetRowHidden", row, parent, hide})
}

func (ptr *QTreeView) ConnectSetSelection(f func(rect *core.QRect, command core.QItemSelectionModel__SelectionFlag)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectSetSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetSelection"})
}

func (ptr *QTreeView) SetSelection(rect core.QRect_ITF, command core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelection", rect, command})
}

func (ptr *QTreeView) SetSelectionDefault(rect core.QRect_ITF, command core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelectionDefault", rect, command})
}

func (ptr *QTreeView) SetSortingEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSortingEnabled", enable})
}

func (ptr *QTreeView) SetTreePosition(index int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTreePosition", index})
}

func (ptr *QTreeView) SetUniformRowHeights(uniform bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUniformRowHeights", uniform})
}

func (ptr *QTreeView) SetWordWrap(on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWordWrap", on})
}

func (ptr *QTreeView) ConnectShowColumn(f func(column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectShowColumn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectShowColumn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectShowColumn"})
}

func (ptr *QTreeView) ShowColumn(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowColumn", column})
}

func (ptr *QTreeView) ShowColumnDefault(column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ShowColumnDefault", column})
}

func (ptr *QTreeView) ConnectSortByColumn(f func(column int, order core.Qt__SortOrder)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSortByColumn", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectSortByColumn() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSortByColumn"})
}

func (ptr *QTreeView) SortByColumn(column int, order core.Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortByColumn", column, order})
}

func (ptr *QTreeView) SortByColumnDefault(column int, order core.Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortByColumnDefault", column, order})
}

func (ptr *QTreeView) TreePosition() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TreePosition"}).(float64))
}

func (ptr *QTreeView) UniformRowHeights() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UniformRowHeights"}).(bool)
}

func (ptr *QTreeView) ConnectUpdateGeometries(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUpdateGeometries", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectUpdateGeometries() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUpdateGeometries"})
}

func (ptr *QTreeView) UpdateGeometries() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateGeometries"})
}

func (ptr *QTreeView) UpdateGeometriesDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UpdateGeometriesDefault"})
}

func (ptr *QTreeView) ConnectVerticalOffset(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVerticalOffset", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectVerticalOffset() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVerticalOffset"})
}

func (ptr *QTreeView) VerticalOffset() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalOffset"}).(float64))
}

func (ptr *QTreeView) VerticalOffsetDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VerticalOffsetDefault"}).(float64))
}

func (ptr *QTreeView) ConnectVisualRect(f func(index *core.QModelIndex) *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVisualRect", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectVisualRect() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVisualRect"})
}

func (ptr *QTreeView) VisualRect(index core.QModelIndex_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRect", index}).(*core.QRect)
}

func (ptr *QTreeView) VisualRectDefault(index core.QModelIndex_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRectDefault", index}).(*core.QRect)
}

func (ptr *QTreeView) ConnectVisualRegionForSelection(f func(selection *core.QItemSelection) *gui.QRegion) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectVisualRegionForSelection", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectVisualRegionForSelection() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectVisualRegionForSelection"})
}

func (ptr *QTreeView) VisualRegionForSelection(selection core.QItemSelection_ITF) *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRegionForSelection", selection}).(*gui.QRegion)
}

func (ptr *QTreeView) VisualRegionForSelectionDefault(selection core.QItemSelection_ITF) *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualRegionForSelectionDefault", selection}).(*gui.QRegion)
}

func (ptr *QTreeView) WordWrap() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WordWrap"}).(bool)
}

func (ptr *QTreeView) ConnectDestroyQTreeView(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTreeView", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeView) DisconnectDestroyQTreeView() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTreeView"})
}

func (ptr *QTreeView) DestroyQTreeView() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTreeView"})
}

func (ptr *QTreeView) DestroyQTreeViewDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTreeViewDefault"})
}

type QTreeWidget struct {
	QTreeView
}

type QTreeWidget_ITF interface {
	QTreeView_ITF
	QTreeWidget_PTR() *QTreeWidget
}

func (ptr *QTreeWidget) QTreeWidget_PTR() *QTreeWidget {
	return ptr
}

func (ptr *QTreeWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QTreeView_PTR().Pointer()
	}
	return nil
}

func (ptr *QTreeWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QTreeView_PTR().SetPointer(p)
	}
}

func PointerFromQTreeWidget(ptr QTreeWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTreeWidget_PTR().Pointer()
	}
	return nil
}

func (n *QTreeWidget) InitFromInternal(ptr uintptr, name string) {
	n.QTreeView_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QTreeWidget) ClassNameInternalF() string {
	return n.QTreeView_PTR().ClassNameInternalF()
}

func NewQTreeWidgetFromPointer(ptr unsafe.Pointer) (n *QTreeWidget) {
	n = new(QTreeWidget)
	n.InitFromInternal(uintptr(ptr), "widgets.QTreeWidget")
	return
}
func NewQTreeWidget(parent QWidget_ITF) *QTreeWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTreeWidget", "", parent}).(*QTreeWidget)
}

func (ptr *QTreeWidget) AddTopLevelItem(item QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddTopLevelItem", item})
}

func (ptr *QTreeWidget) AddTopLevelItems(items []*QTreeWidgetItem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddTopLevelItems", items})
}

func (ptr *QTreeWidget) ConnectClear(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClear", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectClear() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClear"})
}

func (ptr *QTreeWidget) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QTreeWidget) ClearDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClearDefault"})
}

func (ptr *QTreeWidget) ClosePersistentEditor(item QTreeWidgetItem_ITF, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ClosePersistentEditor", item, column})
}

func (ptr *QTreeWidget) ConnectCollapseItem(f func(item *QTreeWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCollapseItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectCollapseItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCollapseItem"})
}

func (ptr *QTreeWidget) CollapseItem(item QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CollapseItem", item})
}

func (ptr *QTreeWidget) CollapseItemDefault(item QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CollapseItemDefault", item})
}

func (ptr *QTreeWidget) ColumnCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount"}).(float64))
}

func (ptr *QTreeWidget) CurrentColumn() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentColumn"}).(float64))
}

func (ptr *QTreeWidget) CurrentItem() *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentItem"}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) ConnectCurrentItemChanged(f func(current *QTreeWidgetItem, previous *QTreeWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentItemChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectCurrentItemChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentItemChanged"})
}

func (ptr *QTreeWidget) CurrentItemChanged(current QTreeWidgetItem_ITF, previous QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentItemChanged", current, previous})
}

func (ptr *QTreeWidget) ConnectDropMimeData(f func(parent *QTreeWidgetItem, index int, data *core.QMimeData, action core.Qt__DropAction) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDropMimeData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectDropMimeData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDropMimeData"})
}

func (ptr *QTreeWidget) DropMimeData(parent QTreeWidgetItem_ITF, index int, data core.QMimeData_ITF, action core.Qt__DropAction) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropMimeData", parent, index, data, action}).(bool)
}

func (ptr *QTreeWidget) DropMimeDataDefault(parent QTreeWidgetItem_ITF, index int, data core.QMimeData_ITF, action core.Qt__DropAction) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DropMimeDataDefault", parent, index, data, action}).(bool)
}

func (ptr *QTreeWidget) EditItem(item QTreeWidgetItem_ITF, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EditItem", item, column})
}

func (ptr *QTreeWidget) ConnectExpandItem(f func(item *QTreeWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectExpandItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectExpandItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectExpandItem"})
}

func (ptr *QTreeWidget) ExpandItem(item QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandItem", item})
}

func (ptr *QTreeWidget) ExpandItemDefault(item QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandItemDefault", item})
}

func (ptr *QTreeWidget) FindItems(text string, flags core.Qt__MatchFlag, column int) []*QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "FindItems", text, flags, column}).([]*QTreeWidgetItem)
}

func (ptr *QTreeWidget) HeaderItem() *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HeaderItem"}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) IndexFromItem(item QTreeWidgetItem_ITF, column int) *core.QModelIndex {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexFromItem", item, column}).(*core.QModelIndex)
}

func (ptr *QTreeWidget) IndexOfTopLevelItem(item QTreeWidgetItem_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOfTopLevelItem", item}).(float64))
}

func (ptr *QTreeWidget) InsertTopLevelItem(index int, item QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertTopLevelItem", index, item})
}

func (ptr *QTreeWidget) InsertTopLevelItems(index int, items []*QTreeWidgetItem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertTopLevelItems", index, items})
}

func (ptr *QTreeWidget) InvisibleRootItem() *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InvisibleRootItem"}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) IsPersistentEditorOpen(item QTreeWidgetItem_ITF, column int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsPersistentEditorOpen", item, column}).(bool)
}

func (ptr *QTreeWidget) ItemAbove(item QTreeWidgetItem_ITF) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAbove", item}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) ConnectItemActivated(f func(item *QTreeWidgetItem, column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemActivated", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectItemActivated() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemActivated"})
}

func (ptr *QTreeWidget) ItemActivated(item QTreeWidgetItem_ITF, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemActivated", item, column})
}

func (ptr *QTreeWidget) ItemAt(p core.QPoint_ITF) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt", p}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) ItemAt2(x int, y int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemAt2", x, y}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) ItemBelow(item QTreeWidgetItem_ITF) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemBelow", item}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) ConnectItemChanged(f func(item *QTreeWidgetItem, column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectItemChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemChanged"})
}

func (ptr *QTreeWidget) ItemChanged(item QTreeWidgetItem_ITF, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemChanged", item, column})
}

func (ptr *QTreeWidget) ConnectItemClicked(f func(item *QTreeWidgetItem, column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectItemClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemClicked"})
}

func (ptr *QTreeWidget) ItemClicked(item QTreeWidgetItem_ITF, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemClicked", item, column})
}

func (ptr *QTreeWidget) ConnectItemCollapsed(f func(item *QTreeWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemCollapsed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectItemCollapsed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemCollapsed"})
}

func (ptr *QTreeWidget) ItemCollapsed(item QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemCollapsed", item})
}

func (ptr *QTreeWidget) ConnectItemDoubleClicked(f func(item *QTreeWidgetItem, column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemDoubleClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectItemDoubleClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemDoubleClicked"})
}

func (ptr *QTreeWidget) ItemDoubleClicked(item QTreeWidgetItem_ITF, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemDoubleClicked", item, column})
}

func (ptr *QTreeWidget) ConnectItemEntered(f func(item *QTreeWidgetItem, column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemEntered", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectItemEntered() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemEntered"})
}

func (ptr *QTreeWidget) ItemEntered(item QTreeWidgetItem_ITF, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemEntered", item, column})
}

func (ptr *QTreeWidget) ConnectItemExpanded(f func(item *QTreeWidgetItem)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemExpanded", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectItemExpanded() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemExpanded"})
}

func (ptr *QTreeWidget) ItemExpanded(item QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemExpanded", item})
}

func (ptr *QTreeWidget) ItemFromIndex(index core.QModelIndex_ITF) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemFromIndex", index}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) ConnectItemPressed(f func(item *QTreeWidgetItem, column int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemPressed", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectItemPressed() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemPressed"})
}

func (ptr *QTreeWidget) ItemPressed(item QTreeWidgetItem_ITF, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemPressed", item, column})
}

func (ptr *QTreeWidget) ConnectItemSelectionChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectItemSelectionChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectItemSelectionChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectItemSelectionChanged"})
}

func (ptr *QTreeWidget) ItemSelectionChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemSelectionChanged"})
}

func (ptr *QTreeWidget) ItemWidget(item QTreeWidgetItem_ITF, column int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ItemWidget", item, column}).(*QWidget)
}

func (ptr *QTreeWidget) ConnectMimeData(f func(items []*QTreeWidgetItem) *core.QMimeData) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMimeData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectMimeData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMimeData"})
}

func (ptr *QTreeWidget) MimeData(items []*QTreeWidgetItem) *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeData", items}).(*core.QMimeData)
}

func (ptr *QTreeWidget) MimeDataDefault(items []*QTreeWidgetItem) *core.QMimeData {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeDataDefault", items}).(*core.QMimeData)
}

func (ptr *QTreeWidget) ConnectMimeTypes(f func() []string) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMimeTypes", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectMimeTypes() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMimeTypes"})
}

func (ptr *QTreeWidget) MimeTypes() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypes"}).([]string)
}

func (ptr *QTreeWidget) MimeTypesDefault() []string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MimeTypesDefault"}).([]string)
}

func (ptr *QTreeWidget) OpenPersistentEditor(item QTreeWidgetItem_ITF, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "OpenPersistentEditor", item, column})
}

func (ptr *QTreeWidget) RemoveItemWidget(item QTreeWidgetItem_ITF, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveItemWidget", item, column})
}

func (ptr *QTreeWidget) ConnectScrollToItem(f func(item *QTreeWidgetItem, hint QAbstractItemView__ScrollHint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectScrollToItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectScrollToItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectScrollToItem"})
}

func (ptr *QTreeWidget) ScrollToItem(item QTreeWidgetItem_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToItem", item, hint})
}

func (ptr *QTreeWidget) ScrollToItemDefault(item QTreeWidgetItem_ITF, hint QAbstractItemView__ScrollHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ScrollToItemDefault", item, hint})
}

func (ptr *QTreeWidget) SelectedItems() []*QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SelectedItems"}).([]*QTreeWidgetItem)
}

func (ptr *QTreeWidget) SetColumnCount(columns int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetColumnCount", columns})
}

func (ptr *QTreeWidget) SetCurrentItem(item QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentItem", item})
}

func (ptr *QTreeWidget) SetCurrentItem2(item QTreeWidgetItem_ITF, column int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentItem2", item, column})
}

func (ptr *QTreeWidget) SetCurrentItem3(item QTreeWidgetItem_ITF, column int, command core.QItemSelectionModel__SelectionFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCurrentItem3", item, column, command})
}

func (ptr *QTreeWidget) SetHeaderItem(item QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeaderItem", item})
}

func (ptr *QTreeWidget) SetHeaderLabel(label string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeaderLabel", label})
}

func (ptr *QTreeWidget) SetHeaderLabels(labels []string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHeaderLabels", labels})
}

func (ptr *QTreeWidget) SetItemWidget(item QTreeWidgetItem_ITF, column int, widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetItemWidget", item, column, widget})
}

func (ptr *QTreeWidget) SortColumn() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortColumn"}).(float64))
}

func (ptr *QTreeWidget) SortItems(column int, order core.Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortItems", column, order})
}

func (ptr *QTreeWidget) ConnectSupportedDropActions(f func() core.Qt__DropAction) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSupportedDropActions", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectSupportedDropActions() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSupportedDropActions"})
}

func (ptr *QTreeWidget) SupportedDropActions() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDropActions"}).(float64))
}

func (ptr *QTreeWidget) SupportedDropActionsDefault() core.Qt__DropAction {

	return core.Qt__DropAction(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SupportedDropActionsDefault"}).(float64))
}

func (ptr *QTreeWidget) TakeTopLevelItem(index int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeTopLevelItem", index}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) TopLevelItem(index int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopLevelItem", index}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) TopLevelItemCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TopLevelItemCount"}).(float64))
}

func (ptr *QTreeWidget) VisualItemRect(item QTreeWidgetItem_ITF) *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisualItemRect", item}).(*core.QRect)
}

func (ptr *QTreeWidget) ConnectDestroyQTreeWidget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTreeWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidget) DisconnectDestroyQTreeWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTreeWidget"})
}

func (ptr *QTreeWidget) DestroyQTreeWidget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTreeWidget"})
}

func (ptr *QTreeWidget) DestroyQTreeWidgetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTreeWidgetDefault"})
}

func (ptr *QTreeWidget) __addTopLevelItems_items_atList(i int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__addTopLevelItems_items_atList", i}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) __addTopLevelItems_items_setList(i QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__addTopLevelItems_items_setList", i})
}

func (ptr *QTreeWidget) __addTopLevelItems_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__addTopLevelItems_items_newList"}).(unsafe.Pointer)
}

func (ptr *QTreeWidget) __findItems_atList(i int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findItems_atList", i}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) __findItems_setList(i QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findItems_setList", i})
}

func (ptr *QTreeWidget) __findItems_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findItems_newList"}).(unsafe.Pointer)
}

func (ptr *QTreeWidget) __insertTopLevelItems_items_atList(i int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertTopLevelItems_items_atList", i}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) __insertTopLevelItems_items_setList(i QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertTopLevelItems_items_setList", i})
}

func (ptr *QTreeWidget) __insertTopLevelItems_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertTopLevelItems_items_newList"}).(unsafe.Pointer)
}

func (ptr *QTreeWidget) __items_atList(i int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_atList", i}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) __items_setList(i QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_setList", i})
}

func (ptr *QTreeWidget) __items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__items_newList"}).(unsafe.Pointer)
}

func (ptr *QTreeWidget) __mimeData_items_atList(i int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_items_atList", i}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) __mimeData_items_setList(i QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_items_setList", i})
}

func (ptr *QTreeWidget) __mimeData_items_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__mimeData_items_newList"}).(unsafe.Pointer)
}

func (ptr *QTreeWidget) __selectedItems_atList(i int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedItems_atList", i}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidget) __selectedItems_setList(i QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedItems_setList", i})
}

func (ptr *QTreeWidget) __selectedItems_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__selectedItems_newList"}).(unsafe.Pointer)
}

type QTreeWidgetItem struct {
	internal.Internal
}

type QTreeWidgetItem_ITF interface {
	QTreeWidgetItem_PTR() *QTreeWidgetItem
}

func (ptr *QTreeWidgetItem) QTreeWidgetItem_PTR() *QTreeWidgetItem {
	return ptr
}

func (ptr *QTreeWidgetItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTreeWidgetItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTreeWidgetItem(ptr QTreeWidgetItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTreeWidgetItem_PTR().Pointer()
	}
	return nil
}

func (n *QTreeWidgetItem) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTreeWidgetItemFromPointer(ptr unsafe.Pointer) (n *QTreeWidgetItem) {
	n = new(QTreeWidgetItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QTreeWidgetItem")
	return
}

//go:generate stringer -type=QTreeWidgetItem__ItemType
//QTreeWidgetItem::ItemType
type QTreeWidgetItem__ItemType int64

const (
	QTreeWidgetItem__Type     QTreeWidgetItem__ItemType = QTreeWidgetItem__ItemType(0)
	QTreeWidgetItem__UserType QTreeWidgetItem__ItemType = QTreeWidgetItem__ItemType(1000)
)

//go:generate stringer -type=QTreeWidgetItem__ChildIndicatorPolicy
//QTreeWidgetItem::ChildIndicatorPolicy
type QTreeWidgetItem__ChildIndicatorPolicy int64

const (
	QTreeWidgetItem__ShowIndicator                  QTreeWidgetItem__ChildIndicatorPolicy = QTreeWidgetItem__ChildIndicatorPolicy(0)
	QTreeWidgetItem__DontShowIndicator              QTreeWidgetItem__ChildIndicatorPolicy = QTreeWidgetItem__ChildIndicatorPolicy(1)
	QTreeWidgetItem__DontShowIndicatorWhenChildless QTreeWidgetItem__ChildIndicatorPolicy = QTreeWidgetItem__ChildIndicatorPolicy(2)
)

func NewQTreeWidgetItem(ty int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTreeWidgetItem", "", ty}).(*QTreeWidgetItem)
}

func NewQTreeWidgetItem2(strin []string, ty int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTreeWidgetItem2", "", strin, ty}).(*QTreeWidgetItem)
}

func NewQTreeWidgetItem3(parent QTreeWidget_ITF, ty int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTreeWidgetItem3", "", parent, ty}).(*QTreeWidgetItem)
}

func NewQTreeWidgetItem4(parent QTreeWidget_ITF, strin []string, ty int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTreeWidgetItem4", "", parent, strin, ty}).(*QTreeWidgetItem)
}

func NewQTreeWidgetItem5(parent QTreeWidget_ITF, preceding QTreeWidgetItem_ITF, ty int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTreeWidgetItem5", "", parent, preceding, ty}).(*QTreeWidgetItem)
}

func NewQTreeWidgetItem6(parent QTreeWidgetItem_ITF, ty int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTreeWidgetItem6", "", parent, ty}).(*QTreeWidgetItem)
}

func NewQTreeWidgetItem7(parent QTreeWidgetItem_ITF, strin []string, ty int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTreeWidgetItem7", "", parent, strin, ty}).(*QTreeWidgetItem)
}

func NewQTreeWidgetItem8(parent QTreeWidgetItem_ITF, preceding QTreeWidgetItem_ITF, ty int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTreeWidgetItem8", "", parent, preceding, ty}).(*QTreeWidgetItem)
}

func NewQTreeWidgetItem9(other QTreeWidgetItem_ITF) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQTreeWidgetItem9", "", other}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidgetItem) AddChild(child QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddChild", child})
}

func (ptr *QTreeWidgetItem) AddChildren(children []*QTreeWidgetItem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddChildren", children})
}

func (ptr *QTreeWidgetItem) Background(column int) *gui.QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Background", column}).(*gui.QBrush)
}

func (ptr *QTreeWidgetItem) CheckState(column int) core.Qt__CheckState {

	return core.Qt__CheckState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CheckState", column}).(float64))
}

func (ptr *QTreeWidgetItem) Child(index int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Child", index}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidgetItem) ChildCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildCount"}).(float64))
}

func (ptr *QTreeWidgetItem) ChildIndicatorPolicy() QTreeWidgetItem__ChildIndicatorPolicy {

	return QTreeWidgetItem__ChildIndicatorPolicy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildIndicatorPolicy"}).(float64))
}

func (ptr *QTreeWidgetItem) ConnectClone(f func() *QTreeWidgetItem) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectClone", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidgetItem) DisconnectClone() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectClone"})
}

func (ptr *QTreeWidgetItem) Clone() *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clone"}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidgetItem) CloneDefault() *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CloneDefault"}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidgetItem) ColumnCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ColumnCount"}).(float64))
}

func (ptr *QTreeWidgetItem) ConnectData(f func(column int, role int) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidgetItem) DisconnectData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectData"})
}

func (ptr *QTreeWidgetItem) Data(column int, role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Data", column, role}).(*core.QVariant)
}

func (ptr *QTreeWidgetItem) DataDefault(column int, role int) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DataDefault", column, role}).(*core.QVariant)
}

func (ptr *QTreeWidgetItem) EmitDataChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EmitDataChanged"})
}

func (ptr *QTreeWidgetItem) Flags() core.Qt__ItemFlag {

	return core.Qt__ItemFlag(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Flags"}).(float64))
}

func (ptr *QTreeWidgetItem) Font(column int) *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Font", column}).(*gui.QFont)
}

func (ptr *QTreeWidgetItem) Foreground(column int) *gui.QBrush {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Foreground", column}).(*gui.QBrush)
}

func (ptr *QTreeWidgetItem) Icon(column int) *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Icon", column}).(*gui.QIcon)
}

func (ptr *QTreeWidgetItem) IndexOfChild(child QTreeWidgetItem_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexOfChild", child}).(float64))
}

func (ptr *QTreeWidgetItem) InsertChild(index int, child QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertChild", index, child})
}

func (ptr *QTreeWidgetItem) InsertChildren(index int, children []*QTreeWidgetItem) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InsertChildren", index, children})
}

func (ptr *QTreeWidgetItem) IsDisabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsDisabled"}).(bool)
}

func (ptr *QTreeWidgetItem) IsExpanded() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsExpanded"}).(bool)
}

func (ptr *QTreeWidgetItem) IsFirstColumnSpanned() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFirstColumnSpanned"}).(bool)
}

func (ptr *QTreeWidgetItem) IsHidden() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsHidden"}).(bool)
}

func (ptr *QTreeWidgetItem) IsSelected() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsSelected"}).(bool)
}

func (ptr *QTreeWidgetItem) Parent() *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Parent"}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidgetItem) ConnectRead(f func(in *core.QDataStream)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRead", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidgetItem) DisconnectRead() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRead"})
}

func (ptr *QTreeWidgetItem) Read(in core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Read", in})
}

func (ptr *QTreeWidgetItem) ReadDefault(in core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReadDefault", in})
}

func (ptr *QTreeWidgetItem) RemoveChild(child QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveChild", child})
}

func (ptr *QTreeWidgetItem) SetBackground(column int, brush gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetBackground", column, brush})
}

func (ptr *QTreeWidgetItem) SetCheckState(column int, state core.Qt__CheckState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCheckState", column, state})
}

func (ptr *QTreeWidgetItem) SetChildIndicatorPolicy(policy QTreeWidgetItem__ChildIndicatorPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetChildIndicatorPolicy", policy})
}

func (ptr *QTreeWidgetItem) ConnectSetData(f func(column int, role int, value *core.QVariant)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetData", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidgetItem) DisconnectSetData() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetData"})
}

func (ptr *QTreeWidgetItem) SetData(column int, role int, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetData", column, role, value})
}

func (ptr *QTreeWidgetItem) SetDataDefault(column int, role int, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDataDefault", column, role, value})
}

func (ptr *QTreeWidgetItem) SetDisabled(disabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDisabled", disabled})
}

func (ptr *QTreeWidgetItem) SetExpanded(expand bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetExpanded", expand})
}

func (ptr *QTreeWidgetItem) SetFirstColumnSpanned(span bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFirstColumnSpanned", span})
}

func (ptr *QTreeWidgetItem) SetFlags(flags core.Qt__ItemFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFlags", flags})
}

func (ptr *QTreeWidgetItem) SetFont(column int, font gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFont", column, font})
}

func (ptr *QTreeWidgetItem) SetForeground(column int, brush gui.QBrush_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetForeground", column, brush})
}

func (ptr *QTreeWidgetItem) SetHidden(hide bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetHidden", hide})
}

func (ptr *QTreeWidgetItem) SetIcon(column int, icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIcon", column, icon})
}

func (ptr *QTreeWidgetItem) SetSelected(sele bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSelected", sele})
}

func (ptr *QTreeWidgetItem) SetSizeHint(column int, size core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSizeHint", column, size})
}

func (ptr *QTreeWidgetItem) SetStatusTip(column int, statusTip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStatusTip", column, statusTip})
}

func (ptr *QTreeWidgetItem) SetText(column int, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", column, text})
}

func (ptr *QTreeWidgetItem) SetTextAlignment(column int, alignment int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTextAlignment", column, alignment})
}

func (ptr *QTreeWidgetItem) SetToolTip(column int, toolTip string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetToolTip", column, toolTip})
}

func (ptr *QTreeWidgetItem) SetWhatsThis(column int, whatsThis string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWhatsThis", column, whatsThis})
}

func (ptr *QTreeWidgetItem) SizeHint(column int) *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint", column}).(*core.QSize)
}

func (ptr *QTreeWidgetItem) SortChildren(column int, order core.Qt__SortOrder) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SortChildren", column, order})
}

func (ptr *QTreeWidgetItem) StatusTip(column int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StatusTip", column}).(string)
}

func (ptr *QTreeWidgetItem) TakeChild(index int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeChild", index}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidgetItem) TakeChildren() []*QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TakeChildren"}).([]*QTreeWidgetItem)
}

func (ptr *QTreeWidgetItem) Text(column int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text", column}).(string)
}

func (ptr *QTreeWidgetItem) TextAlignment(column int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TextAlignment", column}).(float64))
}

func (ptr *QTreeWidgetItem) ToolTip(column int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ToolTip", column}).(string)
}

func (ptr *QTreeWidgetItem) TreeWidget() *QTreeWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TreeWidget"}).(*QTreeWidget)
}

func (ptr *QTreeWidgetItem) Type() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Type"}).(float64))
}

func (ptr *QTreeWidgetItem) WhatsThis(column int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WhatsThis", column}).(string)
}

func (ptr *QTreeWidgetItem) ConnectWrite(f func(out *core.QDataStream)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectWrite", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidgetItem) DisconnectWrite() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectWrite"})
}

func (ptr *QTreeWidgetItem) Write(out core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Write", out})
}

func (ptr *QTreeWidgetItem) WriteDefault(out core.QDataStream_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WriteDefault", out})
}

func (ptr *QTreeWidgetItem) ConnectDestroyQTreeWidgetItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQTreeWidgetItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QTreeWidgetItem) DisconnectDestroyQTreeWidgetItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQTreeWidgetItem"})
}

func (ptr *QTreeWidgetItem) DestroyQTreeWidgetItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTreeWidgetItem"})
}

func (ptr *QTreeWidgetItem) DestroyQTreeWidgetItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQTreeWidgetItemDefault"})
}

func (ptr *QTreeWidgetItem) __addChildren_children_atList(i int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__addChildren_children_atList", i}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidgetItem) __addChildren_children_setList(i QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__addChildren_children_setList", i})
}

func (ptr *QTreeWidgetItem) __addChildren_children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__addChildren_children_newList"}).(unsafe.Pointer)
}

func (ptr *QTreeWidgetItem) __insertChildren_children_atList(i int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertChildren_children_atList", i}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidgetItem) __insertChildren_children_setList(i QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertChildren_children_setList", i})
}

func (ptr *QTreeWidgetItem) __insertChildren_children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__insertChildren_children_newList"}).(unsafe.Pointer)
}

func (ptr *QTreeWidgetItem) __takeChildren_atList(i int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeChildren_atList", i}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidgetItem) __takeChildren_setList(i QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeChildren_setList", i})
}

func (ptr *QTreeWidgetItem) __takeChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__takeChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QTreeWidgetItem) __children_atList(i int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidgetItem) __children_setList(i QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QTreeWidgetItem) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QTreeWidgetItem) __setChildren__atList(i int) *QTreeWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setChildren__atList", i}).(*QTreeWidgetItem)
}

func (ptr *QTreeWidgetItem) __setChildren__setList(i QTreeWidgetItem_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setChildren__setList", i})
}

func (ptr *QTreeWidgetItem) __setChildren__newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__setChildren__newList"}).(unsafe.Pointer)
}

type QTreeWidgetItemIterator struct {
	internal.Internal
}

type QTreeWidgetItemIterator_ITF interface {
	QTreeWidgetItemIterator_PTR() *QTreeWidgetItemIterator
}

func (ptr *QTreeWidgetItemIterator) QTreeWidgetItemIterator_PTR() *QTreeWidgetItemIterator {
	return ptr
}

func (ptr *QTreeWidgetItemIterator) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QTreeWidgetItemIterator) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQTreeWidgetItemIterator(ptr QTreeWidgetItemIterator_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QTreeWidgetItemIterator_PTR().Pointer()
	}
	return nil
}

func (n *QTreeWidgetItemIterator) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQTreeWidgetItemIteratorFromPointer(ptr unsafe.Pointer) (n *QTreeWidgetItemIterator) {
	n = new(QTreeWidgetItemIterator)
	n.InitFromInternal(uintptr(ptr), "widgets.QTreeWidgetItemIterator")
	return
}

//go:generate stringer -type=QTreeWidgetItemIterator__IteratorFlag
//QTreeWidgetItemIterator::IteratorFlag
type QTreeWidgetItemIterator__IteratorFlag int64

const (
	QTreeWidgetItemIterator__All           QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00000000)
	QTreeWidgetItemIterator__Hidden        QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00000001)
	QTreeWidgetItemIterator__NotHidden     QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00000002)
	QTreeWidgetItemIterator__Selected      QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00000004)
	QTreeWidgetItemIterator__Unselected    QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00000008)
	QTreeWidgetItemIterator__Selectable    QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00000010)
	QTreeWidgetItemIterator__NotSelectable QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00000020)
	QTreeWidgetItemIterator__DragEnabled   QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00000040)
	QTreeWidgetItemIterator__DragDisabled  QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00000080)
	QTreeWidgetItemIterator__DropEnabled   QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00000100)
	QTreeWidgetItemIterator__DropDisabled  QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00000200)
	QTreeWidgetItemIterator__HasChildren   QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00000400)
	QTreeWidgetItemIterator__NoChildren    QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00000800)
	QTreeWidgetItemIterator__Checked       QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00001000)
	QTreeWidgetItemIterator__NotChecked    QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00002000)
	QTreeWidgetItemIterator__Enabled       QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00004000)
	QTreeWidgetItemIterator__Disabled      QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00008000)
	QTreeWidgetItemIterator__Editable      QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00010000)
	QTreeWidgetItemIterator__NotEditable   QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x00020000)
	QTreeWidgetItemIterator__UserFlag      QTreeWidgetItemIterator__IteratorFlag = QTreeWidgetItemIterator__IteratorFlag(0x01000000)
)

type QUndoCommand struct {
	internal.Internal
}

type QUndoCommand_ITF interface {
	QUndoCommand_PTR() *QUndoCommand
}

func (ptr *QUndoCommand) QUndoCommand_PTR() *QUndoCommand {
	return ptr
}

func (ptr *QUndoCommand) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QUndoCommand) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQUndoCommand(ptr QUndoCommand_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QUndoCommand_PTR().Pointer()
	}
	return nil
}

func (n *QUndoCommand) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQUndoCommandFromPointer(ptr unsafe.Pointer) (n *QUndoCommand) {
	n = new(QUndoCommand)
	n.InitFromInternal(uintptr(ptr), "widgets.QUndoCommand")
	return
}
func NewQUndoCommand(parent QUndoCommand_ITF) *QUndoCommand {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQUndoCommand", "", parent}).(*QUndoCommand)
}

func NewQUndoCommand2(text string, parent QUndoCommand_ITF) *QUndoCommand {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQUndoCommand2", "", text, parent}).(*QUndoCommand)
}

func (ptr *QUndoCommand) ActionText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActionText"}).(string)
}

func (ptr *QUndoCommand) Child(index int) *QUndoCommand {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Child", index}).(*QUndoCommand)
}

func (ptr *QUndoCommand) ChildCount() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildCount"}).(float64))
}

func (ptr *QUndoCommand) ConnectId(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectId", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoCommand) DisconnectId() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectId"})
}

func (ptr *QUndoCommand) Id() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Id"}).(float64))
}

func (ptr *QUndoCommand) IdDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IdDefault"}).(float64))
}

func (ptr *QUndoCommand) IsObsolete() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsObsolete"}).(bool)
}

func (ptr *QUndoCommand) ConnectMergeWith(f func(command *QUndoCommand) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMergeWith", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoCommand) DisconnectMergeWith() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMergeWith"})
}

func (ptr *QUndoCommand) MergeWith(command QUndoCommand_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MergeWith", command}).(bool)
}

func (ptr *QUndoCommand) MergeWithDefault(command QUndoCommand_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MergeWithDefault", command}).(bool)
}

func (ptr *QUndoCommand) ConnectRedo(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRedo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoCommand) DisconnectRedo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRedo"})
}

func (ptr *QUndoCommand) Redo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Redo"})
}

func (ptr *QUndoCommand) RedoDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedoDefault"})
}

func (ptr *QUndoCommand) SetObsolete(obsolete bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetObsolete", obsolete})
}

func (ptr *QUndoCommand) SetText(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetText", text})
}

func (ptr *QUndoCommand) Text() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text"}).(string)
}

func (ptr *QUndoCommand) ConnectUndo(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUndo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoCommand) DisconnectUndo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUndo"})
}

func (ptr *QUndoCommand) Undo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Undo"})
}

func (ptr *QUndoCommand) UndoDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoDefault"})
}

func (ptr *QUndoCommand) ConnectDestroyQUndoCommand(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQUndoCommand", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoCommand) DisconnectDestroyQUndoCommand() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQUndoCommand"})
}

func (ptr *QUndoCommand) DestroyQUndoCommand() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQUndoCommand"})
}

func (ptr *QUndoCommand) DestroyQUndoCommandDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQUndoCommandDefault"})
}

type QUndoGroup struct {
	core.QObject
}

type QUndoGroup_ITF interface {
	core.QObject_ITF
	QUndoGroup_PTR() *QUndoGroup
}

func (ptr *QUndoGroup) QUndoGroup_PTR() *QUndoGroup {
	return ptr
}

func (ptr *QUndoGroup) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QUndoGroup) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQUndoGroup(ptr QUndoGroup_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QUndoGroup_PTR().Pointer()
	}
	return nil
}

func (n *QUndoGroup) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QUndoGroup) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQUndoGroupFromPointer(ptr unsafe.Pointer) (n *QUndoGroup) {
	n = new(QUndoGroup)
	n.InitFromInternal(uintptr(ptr), "widgets.QUndoGroup")
	return
}
func NewQUndoGroup(parent core.QObject_ITF) *QUndoGroup {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQUndoGroup", "", parent}).(*QUndoGroup)
}

func (ptr *QUndoGroup) ActiveStack() *QUndoStack {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveStack"}).(*QUndoStack)
}

func (ptr *QUndoGroup) ConnectActiveStackChanged(f func(stack *QUndoStack)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectActiveStackChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoGroup) DisconnectActiveStackChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectActiveStackChanged"})
}

func (ptr *QUndoGroup) ActiveStackChanged(stack QUndoStack_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ActiveStackChanged", stack})
}

func (ptr *QUndoGroup) AddStack(stack QUndoStack_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddStack", stack})
}

func (ptr *QUndoGroup) CanRedo() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanRedo"}).(bool)
}

func (ptr *QUndoGroup) ConnectCanRedoChanged(f func(canRedo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCanRedoChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoGroup) DisconnectCanRedoChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCanRedoChanged"})
}

func (ptr *QUndoGroup) CanRedoChanged(canRedo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanRedoChanged", canRedo})
}

func (ptr *QUndoGroup) CanUndo() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanUndo"}).(bool)
}

func (ptr *QUndoGroup) ConnectCanUndoChanged(f func(canUndo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCanUndoChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoGroup) DisconnectCanUndoChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCanUndoChanged"})
}

func (ptr *QUndoGroup) CanUndoChanged(canUndo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanUndoChanged", canUndo})
}

func (ptr *QUndoGroup) ConnectCleanChanged(f func(clean bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCleanChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoGroup) DisconnectCleanChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCleanChanged"})
}

func (ptr *QUndoGroup) CleanChanged(clean bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CleanChanged", clean})
}

func (ptr *QUndoGroup) CreateRedoAction(parent core.QObject_ITF, prefix string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateRedoAction", parent, prefix}).(*QAction)
}

func (ptr *QUndoGroup) CreateUndoAction(parent core.QObject_ITF, prefix string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateUndoAction", parent, prefix}).(*QAction)
}

func (ptr *QUndoGroup) ConnectIndexChanged(f func(idx int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndexChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoGroup) DisconnectIndexChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndexChanged"})
}

func (ptr *QUndoGroup) IndexChanged(idx int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexChanged", idx})
}

func (ptr *QUndoGroup) IsClean() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsClean"}).(bool)
}

func (ptr *QUndoGroup) ConnectRedo(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRedo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoGroup) DisconnectRedo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRedo"})
}

func (ptr *QUndoGroup) Redo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Redo"})
}

func (ptr *QUndoGroup) RedoDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedoDefault"})
}

func (ptr *QUndoGroup) RedoText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedoText"}).(string)
}

func (ptr *QUndoGroup) ConnectRedoTextChanged(f func(redoText string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRedoTextChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoGroup) DisconnectRedoTextChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRedoTextChanged"})
}

func (ptr *QUndoGroup) RedoTextChanged(redoText string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedoTextChanged", redoText})
}

func (ptr *QUndoGroup) RemoveStack(stack QUndoStack_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemoveStack", stack})
}

func (ptr *QUndoGroup) ConnectSetActiveStack(f func(stack *QUndoStack)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetActiveStack", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoGroup) DisconnectSetActiveStack() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetActiveStack"})
}

func (ptr *QUndoGroup) SetActiveStack(stack QUndoStack_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActiveStack", stack})
}

func (ptr *QUndoGroup) SetActiveStackDefault(stack QUndoStack_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActiveStackDefault", stack})
}

func (ptr *QUndoGroup) Stacks() []*QUndoStack {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stacks"}).([]*QUndoStack)
}

func (ptr *QUndoGroup) ConnectUndo(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUndo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoGroup) DisconnectUndo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUndo"})
}

func (ptr *QUndoGroup) Undo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Undo"})
}

func (ptr *QUndoGroup) UndoDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoDefault"})
}

func (ptr *QUndoGroup) UndoText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoText"}).(string)
}

func (ptr *QUndoGroup) ConnectUndoTextChanged(f func(undoText string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUndoTextChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoGroup) DisconnectUndoTextChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUndoTextChanged"})
}

func (ptr *QUndoGroup) UndoTextChanged(undoText string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoTextChanged", undoText})
}

func (ptr *QUndoGroup) ConnectDestroyQUndoGroup(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQUndoGroup", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoGroup) DisconnectDestroyQUndoGroup() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQUndoGroup"})
}

func (ptr *QUndoGroup) DestroyQUndoGroup() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQUndoGroup"})
}

func (ptr *QUndoGroup) DestroyQUndoGroupDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQUndoGroupDefault"})
}

func (ptr *QUndoGroup) __stacks_atList(i int) *QUndoStack {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__stacks_atList", i}).(*QUndoStack)
}

func (ptr *QUndoGroup) __stacks_setList(i QUndoStack_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__stacks_setList", i})
}

func (ptr *QUndoGroup) __stacks_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__stacks_newList"}).(unsafe.Pointer)
}

func (ptr *QUndoGroup) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QUndoGroup) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QUndoGroup) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QUndoGroup) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QUndoGroup) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QUndoGroup) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QUndoGroup) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QUndoGroup) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QUndoGroup) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QUndoGroup) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QUndoGroup) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QUndoGroup) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QUndoGroup) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QUndoGroup) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QUndoGroup) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QUndoGroup) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QUndoGroup) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QUndoGroup) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QUndoGroup) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QUndoGroup) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QUndoGroup) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QUndoStack struct {
	core.QObject
}

type QUndoStack_ITF interface {
	core.QObject_ITF
	QUndoStack_PTR() *QUndoStack
}

func (ptr *QUndoStack) QUndoStack_PTR() *QUndoStack {
	return ptr
}

func (ptr *QUndoStack) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QUndoStack) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
	}
}

func PointerFromQUndoStack(ptr QUndoStack_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QUndoStack_PTR().Pointer()
	}
	return nil
}

func (n *QUndoStack) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QUndoStack) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQUndoStackFromPointer(ptr unsafe.Pointer) (n *QUndoStack) {
	n = new(QUndoStack)
	n.InitFromInternal(uintptr(ptr), "widgets.QUndoStack")
	return
}
func NewQUndoStack(parent core.QObject_ITF) *QUndoStack {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQUndoStack", "", parent}).(*QUndoStack)
}

func (ptr *QUndoStack) BeginMacro(text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BeginMacro", text})
}

func (ptr *QUndoStack) CanRedo() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanRedo"}).(bool)
}

func (ptr *QUndoStack) ConnectCanRedoChanged(f func(canRedo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCanRedoChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoStack) DisconnectCanRedoChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCanRedoChanged"})
}

func (ptr *QUndoStack) CanRedoChanged(canRedo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanRedoChanged", canRedo})
}

func (ptr *QUndoStack) CanUndo() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanUndo"}).(bool)
}

func (ptr *QUndoStack) ConnectCanUndoChanged(f func(canUndo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCanUndoChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoStack) DisconnectCanUndoChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCanUndoChanged"})
}

func (ptr *QUndoStack) CanUndoChanged(canUndo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CanUndoChanged", canUndo})
}

func (ptr *QUndoStack) ConnectCleanChanged(f func(clean bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCleanChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoStack) DisconnectCleanChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCleanChanged"})
}

func (ptr *QUndoStack) CleanChanged(clean bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CleanChanged", clean})
}

func (ptr *QUndoStack) CleanIndex() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CleanIndex"}).(float64))
}

func (ptr *QUndoStack) Clear() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Clear"})
}

func (ptr *QUndoStack) Command(index int) *QUndoCommand {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Command", index}).(*QUndoCommand)
}

func (ptr *QUndoStack) Count() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Count"}).(float64))
}

func (ptr *QUndoStack) CreateRedoAction(parent core.QObject_ITF, prefix string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateRedoAction", parent, prefix}).(*QAction)
}

func (ptr *QUndoStack) CreateUndoAction(parent core.QObject_ITF, prefix string) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateUndoAction", parent, prefix}).(*QAction)
}

func (ptr *QUndoStack) EndMacro() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EndMacro"})
}

func (ptr *QUndoStack) Index() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Index"}).(float64))
}

func (ptr *QUndoStack) ConnectIndexChanged(f func(idx int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIndexChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoStack) DisconnectIndexChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIndexChanged"})
}

func (ptr *QUndoStack) IndexChanged(idx int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IndexChanged", idx})
}

func (ptr *QUndoStack) IsActive() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsActive"}).(bool)
}

func (ptr *QUndoStack) IsClean() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsClean"}).(bool)
}

func (ptr *QUndoStack) Push(cmd QUndoCommand_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Push", cmd})
}

func (ptr *QUndoStack) ConnectRedo(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRedo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoStack) DisconnectRedo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRedo"})
}

func (ptr *QUndoStack) Redo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Redo"})
}

func (ptr *QUndoStack) RedoDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedoDefault"})
}

func (ptr *QUndoStack) RedoText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedoText"}).(string)
}

func (ptr *QUndoStack) ConnectRedoTextChanged(f func(redoText string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRedoTextChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoStack) DisconnectRedoTextChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRedoTextChanged"})
}

func (ptr *QUndoStack) RedoTextChanged(redoText string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RedoTextChanged", redoText})
}

func (ptr *QUndoStack) ConnectResetClean(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectResetClean", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoStack) DisconnectResetClean() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectResetClean"})
}

func (ptr *QUndoStack) ResetClean() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetClean"})
}

func (ptr *QUndoStack) ResetCleanDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ResetCleanDefault"})
}

func (ptr *QUndoStack) ConnectSetActive(f func(active bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetActive", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoStack) DisconnectSetActive() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetActive"})
}

func (ptr *QUndoStack) SetActive(active bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActive", active})
}

func (ptr *QUndoStack) SetActiveDefault(active bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetActiveDefault", active})
}

func (ptr *QUndoStack) ConnectSetClean(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetClean", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoStack) DisconnectSetClean() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetClean"})
}

func (ptr *QUndoStack) SetClean() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetClean"})
}

func (ptr *QUndoStack) SetCleanDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCleanDefault"})
}

func (ptr *QUndoStack) ConnectSetIndex(f func(idx int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetIndex", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoStack) DisconnectSetIndex() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetIndex"})
}

func (ptr *QUndoStack) SetIndex(idx int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIndex", idx})
}

func (ptr *QUndoStack) SetIndexDefault(idx int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetIndexDefault", idx})
}

func (ptr *QUndoStack) SetUndoLimit(limit int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetUndoLimit", limit})
}

func (ptr *QUndoStack) Text(idx int) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Text", idx}).(string)
}

func (ptr *QUndoStack) ConnectUndo(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUndo", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoStack) DisconnectUndo() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUndo"})
}

func (ptr *QUndoStack) Undo() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Undo"})
}

func (ptr *QUndoStack) UndoDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoDefault"})
}

func (ptr *QUndoStack) UndoLimit() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoLimit"}).(float64))
}

func (ptr *QUndoStack) UndoText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoText"}).(string)
}

func (ptr *QUndoStack) ConnectUndoTextChanged(f func(undoText string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectUndoTextChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoStack) DisconnectUndoTextChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectUndoTextChanged"})
}

func (ptr *QUndoStack) UndoTextChanged(undoText string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "UndoTextChanged", undoText})
}

func (ptr *QUndoStack) ConnectDestroyQUndoStack(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQUndoStack", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoStack) DisconnectDestroyQUndoStack() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQUndoStack"})
}

func (ptr *QUndoStack) DestroyQUndoStack() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQUndoStack"})
}

func (ptr *QUndoStack) DestroyQUndoStackDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQUndoStackDefault"})
}

func (ptr *QUndoStack) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QUndoStack) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QUndoStack) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QUndoStack) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QUndoStack) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QUndoStack) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QUndoStack) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QUndoStack) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QUndoStack) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QUndoStack) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QUndoStack) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QUndoStack) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QUndoStack) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QUndoStack) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QUndoStack) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QUndoStack) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QUndoStack) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QUndoStack) EventDefault(e core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventDefault", e}).(bool)
}

func (ptr *QUndoStack) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QUndoStack) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QUndoStack) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TimerEventDefault", event})
}

type QUndoView struct {
	QListView
}

type QUndoView_ITF interface {
	QListView_ITF
	QUndoView_PTR() *QUndoView
}

func (ptr *QUndoView) QUndoView_PTR() *QUndoView {
	return ptr
}

func (ptr *QUndoView) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QListView_PTR().Pointer()
	}
	return nil
}

func (ptr *QUndoView) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QListView_PTR().SetPointer(p)
	}
}

func PointerFromQUndoView(ptr QUndoView_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QUndoView_PTR().Pointer()
	}
	return nil
}

func (n *QUndoView) InitFromInternal(ptr uintptr, name string) {
	n.QListView_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QUndoView) ClassNameInternalF() string {
	return n.QListView_PTR().ClassNameInternalF()
}

func NewQUndoViewFromPointer(ptr unsafe.Pointer) (n *QUndoView) {
	n = new(QUndoView)
	n.InitFromInternal(uintptr(ptr), "widgets.QUndoView")
	return
}
func NewQUndoView(parent QWidget_ITF) *QUndoView {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQUndoView", "", parent}).(*QUndoView)
}

func NewQUndoView2(stack QUndoStack_ITF, parent QWidget_ITF) *QUndoView {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQUndoView2", "", stack, parent}).(*QUndoView)
}

func NewQUndoView3(group QUndoGroup_ITF, parent QWidget_ITF) *QUndoView {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQUndoView3", "", group, parent}).(*QUndoView)
}

func (ptr *QUndoView) CleanIcon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CleanIcon"}).(*gui.QIcon)
}

func (ptr *QUndoView) EmptyLabel() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "EmptyLabel"}).(string)
}

func (ptr *QUndoView) Group() *QUndoGroup {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Group"}).(*QUndoGroup)
}

func (ptr *QUndoView) SetCleanIcon(icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCleanIcon", icon})
}

func (ptr *QUndoView) SetEmptyLabel(label string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetEmptyLabel", label})
}

func (ptr *QUndoView) ConnectSetGroup(f func(group *QUndoGroup)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetGroup", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoView) DisconnectSetGroup() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetGroup"})
}

func (ptr *QUndoView) SetGroup(group QUndoGroup_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGroup", group})
}

func (ptr *QUndoView) SetGroupDefault(group QUndoGroup_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGroupDefault", group})
}

func (ptr *QUndoView) ConnectSetStack(f func(stack *QUndoStack)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetStack", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoView) DisconnectSetStack() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetStack"})
}

func (ptr *QUndoView) SetStack(stack QUndoStack_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStack", stack})
}

func (ptr *QUndoView) SetStackDefault(stack QUndoStack_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStackDefault", stack})
}

func (ptr *QUndoView) Stack() *QUndoStack {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Stack"}).(*QUndoStack)
}

func (ptr *QUndoView) ConnectDestroyQUndoView(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQUndoView", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QUndoView) DisconnectDestroyQUndoView() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQUndoView"})
}

func (ptr *QUndoView) DestroyQUndoView() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQUndoView"})
}

func (ptr *QUndoView) DestroyQUndoViewDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQUndoViewDefault"})
}

type QVBoxLayout struct {
	QBoxLayout
}

type QVBoxLayout_ITF interface {
	QBoxLayout_ITF
	QVBoxLayout_PTR() *QVBoxLayout
}

func (ptr *QVBoxLayout) QVBoxLayout_PTR() *QVBoxLayout {
	return ptr
}

func (ptr *QVBoxLayout) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QBoxLayout_PTR().Pointer()
	}
	return nil
}

func (ptr *QVBoxLayout) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QBoxLayout_PTR().SetPointer(p)
	}
}

func PointerFromQVBoxLayout(ptr QVBoxLayout_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QVBoxLayout_PTR().Pointer()
	}
	return nil
}

func (n *QVBoxLayout) InitFromInternal(ptr uintptr, name string) {
	n.QBoxLayout_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QVBoxLayout) ClassNameInternalF() string {
	return n.QBoxLayout_PTR().ClassNameInternalF()
}

func NewQVBoxLayoutFromPointer(ptr unsafe.Pointer) (n *QVBoxLayout) {
	n = new(QVBoxLayout)
	n.InitFromInternal(uintptr(ptr), "widgets.QVBoxLayout")
	return
}
func NewQVBoxLayout() *QVBoxLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQVBoxLayout", ""}).(*QVBoxLayout)
}

func NewQVBoxLayout2(parent QWidget_ITF) *QVBoxLayout {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQVBoxLayout2", "", parent}).(*QVBoxLayout)
}

func (ptr *QVBoxLayout) ConnectDestroyQVBoxLayout(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQVBoxLayout", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QVBoxLayout) DisconnectDestroyQVBoxLayout() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQVBoxLayout"})
}

func (ptr *QVBoxLayout) DestroyQVBoxLayout() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVBoxLayout"})
}

func (ptr *QVBoxLayout) DestroyQVBoxLayoutDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQVBoxLayoutDefault"})
}

type QWhatsThis struct {
	internal.Internal
}

type QWhatsThis_ITF interface {
	QWhatsThis_PTR() *QWhatsThis
}

func (ptr *QWhatsThis) QWhatsThis_PTR() *QWhatsThis {
	return ptr
}

func (ptr *QWhatsThis) Pointer() unsafe.Pointer {
	if ptr != nil {
		return unsafe.Pointer(ptr.Internal.Pointer())
	}
	return nil
}

func (ptr *QWhatsThis) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.Internal.SetPointer(uintptr(p))
	}
}

func PointerFromQWhatsThis(ptr QWhatsThis_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWhatsThis_PTR().Pointer()
	}
	return nil
}

func (n *QWhatsThis) ClassNameInternalF() string {
	return n.Internal.ClassNameInternalF()
}

func NewQWhatsThisFromPointer(ptr unsafe.Pointer) (n *QWhatsThis) {
	n = new(QWhatsThis)
	n.InitFromInternal(uintptr(ptr), "widgets.QWhatsThis")
	return
}

func (ptr *QWhatsThis) DestroyQWhatsThis() {
}

func QWhatsThis_CreateAction(parent core.QObject_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QWhatsThis_CreateAction", "", parent}).(*QAction)
}

func (ptr *QWhatsThis) CreateAction(parent core.QObject_ITF) *QAction {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QWhatsThis_CreateAction", "", parent}).(*QAction)
}

func QWhatsThis_EnterWhatsThisMode() {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QWhatsThis_EnterWhatsThisMode", ""})
}

func (ptr *QWhatsThis) EnterWhatsThisMode() {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QWhatsThis_EnterWhatsThisMode", ""})
}

func QWhatsThis_HideText() {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QWhatsThis_HideText", ""})
}

func (ptr *QWhatsThis) HideText() {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QWhatsThis_HideText", ""})
}

func QWhatsThis_InWhatsThisMode() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QWhatsThis_InWhatsThisMode", ""}).(bool)
}

func (ptr *QWhatsThis) InWhatsThisMode() bool {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QWhatsThis_InWhatsThisMode", ""}).(bool)
}

func QWhatsThis_LeaveWhatsThisMode() {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QWhatsThis_LeaveWhatsThisMode", ""})
}

func (ptr *QWhatsThis) LeaveWhatsThisMode() {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QWhatsThis_LeaveWhatsThisMode", ""})
}

func QWhatsThis_ShowText(pos core.QPoint_ITF, text string, w QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QWhatsThis_ShowText", "", pos, text, w})
}

func (ptr *QWhatsThis) ShowText(pos core.QPoint_ITF, text string, w QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QWhatsThis_ShowText", "", pos, text, w})
}

type QWidget struct {
	core.QObject
	gui.QPaintDevice
}

type QWidget_ITF interface {
	core.QObject_ITF
	gui.QPaintDevice_ITF
	QWidget_PTR() *QWidget
}

func (ptr *QWidget) QWidget_PTR() *QWidget {
	return ptr
}

func (ptr *QWidget) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QObject_PTR().Pointer()
	}
	return nil
}

func (ptr *QWidget) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QObject_PTR().SetPointer(p)
		ptr.QPaintDevice_PTR().SetPointer(p)
	}
}

func PointerFromQWidget(ptr QWidget_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (n *QWidget) InitFromInternal(ptr uintptr, name string) {
	n.QObject_PTR().InitFromInternal(uintptr(ptr), name)
	n.QPaintDevice_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWidget) ClassNameInternalF() string {
	return n.QObject_PTR().ClassNameInternalF()
}

func NewQWidgetFromPointer(ptr unsafe.Pointer) (n *QWidget) {
	n = new(QWidget)
	n.InitFromInternal(uintptr(ptr), "widgets.QWidget")
	return
}

//go:generate stringer -type=QWidget__RenderFlag
//QWidget::RenderFlag
type QWidget__RenderFlag int64

const (
	QWidget__DrawWindowBackground QWidget__RenderFlag = QWidget__RenderFlag(0x1)
	QWidget__DrawChildren         QWidget__RenderFlag = QWidget__RenderFlag(0x2)
	QWidget__IgnoreMask           QWidget__RenderFlag = QWidget__RenderFlag(0x4)
)

func NewQWidget(parent QWidget_ITF, ff core.Qt__WindowType) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQWidget", "", parent, ff}).(*QWidget)
}

func (ptr *QWidget) AcceptDrops() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AcceptDrops"}).(bool)
}

func (ptr *QWidget) AccessibleDescription() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AccessibleDescription"}).(string)
}

func (ptr *QWidget) AccessibleName() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AccessibleName"}).(string)
}

func (ptr *QWidget) ConnectActionEvent(f func(event *gui.QActionEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectActionEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectActionEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectActionEvent"})
}

func (ptr *QWidget) ActionEvent(event gui.QActionEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ActionEvent", event})
}

func (ptr *QWidget) ActionEventDefault(event gui.QActionEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ActionEventDefault", event})
}

func (ptr *QWidget) Actions() []*QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Actions"}).([]*QAction)
}

func (ptr *QWidget) ActivateWindow() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ActivateWindow"})
}

func (ptr *QWidget) AddAction(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AddAction", action})
}

func (ptr *QWidget) AddActions(actions []*QAction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AddActions", actions})
}

func (ptr *QWidget) AdjustSize() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AdjustSize"})
}

func (ptr *QWidget) AutoFillBackground() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "AutoFillBackground"}).(bool)
}

func (ptr *QWidget) BackgroundRole() gui.QPalette__ColorRole {

	return gui.QPalette__ColorRole(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "BackgroundRole"}).(float64))
}

func (ptr *QWidget) BackingStore() *gui.QBackingStore {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "BackingStore"}).(*gui.QBackingStore)
}

func (ptr *QWidget) BaseSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "BaseSize"}).(*core.QSize)
}

func (ptr *QWidget) ConnectChangeEvent(f func(event *core.QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectChangeEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectChangeEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectChangeEvent"})
}

func (ptr *QWidget) ChangeEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChangeEvent", event})
}

func (ptr *QWidget) ChangeEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChangeEventDefault", event})
}

func (ptr *QWidget) ChildAt(x int, y int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildAt", x, y}).(*QWidget)
}

func (ptr *QWidget) ChildAt2(p core.QPoint_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildAt2", p}).(*QWidget)
}

func (ptr *QWidget) ChildrenRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildrenRect"}).(*core.QRect)
}

func (ptr *QWidget) ChildrenRegion() *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildrenRegion"}).(*gui.QRegion)
}

func (ptr *QWidget) ClearFocus() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ClearFocus"})
}

func (ptr *QWidget) ClearMask() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ClearMask"})
}

func (ptr *QWidget) ConnectClose(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectClose", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectClose() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectClose"})
}

func (ptr *QWidget) Close() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Close"}).(bool)
}

func (ptr *QWidget) CloseDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CloseDefault"}).(bool)
}

func (ptr *QWidget) ConnectCloseEvent(f func(event *gui.QCloseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectCloseEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectCloseEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectCloseEvent"})
}

func (ptr *QWidget) CloseEvent(event gui.QCloseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CloseEvent", event})
}

func (ptr *QWidget) CloseEventDefault(event gui.QCloseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CloseEventDefault", event})
}

func (ptr *QWidget) ContentsMargins() *core.QMargins {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ContentsMargins"}).(*core.QMargins)
}

func (ptr *QWidget) ContentsRect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ContentsRect"}).(*core.QRect)
}

func (ptr *QWidget) ConnectContextMenuEvent(f func(event *gui.QContextMenuEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectContextMenuEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectContextMenuEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectContextMenuEvent"})
}

func (ptr *QWidget) ContextMenuEvent(event gui.QContextMenuEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ContextMenuEvent", event})
}

func (ptr *QWidget) ContextMenuEventDefault(event gui.QContextMenuEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ContextMenuEventDefault", event})
}

func (ptr *QWidget) ContextMenuPolicy() core.Qt__ContextMenuPolicy {

	return core.Qt__ContextMenuPolicy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ContextMenuPolicy"}).(float64))
}

func (ptr *QWidget) Create(window uintptr, initializeWindow bool, destroyOldWindow bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Create", window, initializeWindow, destroyOldWindow})
}

func QWidget_CreateWindowContainer(window gui.QWindow_ITF, parent QWidget_ITF, flags core.Qt__WindowType) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QWidget_CreateWindowContainer", "", window, parent, flags}).(*QWidget)
}

func (ptr *QWidget) CreateWindowContainer(window gui.QWindow_ITF, parent QWidget_ITF, flags core.Qt__WindowType) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QWidget_CreateWindowContainer", "", window, parent, flags}).(*QWidget)
}

func (ptr *QWidget) Cursor() *gui.QCursor {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Cursor"}).(*gui.QCursor)
}

func (ptr *QWidget) ConnectCustomContextMenuRequested(f func(pos *core.QPoint)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectCustomContextMenuRequested", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectCustomContextMenuRequested() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectCustomContextMenuRequested"})
}

func (ptr *QWidget) CustomContextMenuRequested(pos core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomContextMenuRequested", pos})
}

func (ptr *QWidget) Destroy(destroyWindow bool, destroySubWindows bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Destroy", destroyWindow, destroySubWindows})
}

func (ptr *QWidget) ConnectDragEnterEvent(f func(event *gui.QDragEnterEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDragEnterEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectDragEnterEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDragEnterEvent"})
}

func (ptr *QWidget) DragEnterEvent(event gui.QDragEnterEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DragEnterEvent", event})
}

func (ptr *QWidget) DragEnterEventDefault(event gui.QDragEnterEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DragEnterEventDefault", event})
}

func (ptr *QWidget) ConnectDragLeaveEvent(f func(event *gui.QDragLeaveEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDragLeaveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectDragLeaveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDragLeaveEvent"})
}

func (ptr *QWidget) DragLeaveEvent(event gui.QDragLeaveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DragLeaveEvent", event})
}

func (ptr *QWidget) DragLeaveEventDefault(event gui.QDragLeaveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DragLeaveEventDefault", event})
}

func (ptr *QWidget) ConnectDragMoveEvent(f func(event *gui.QDragMoveEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDragMoveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectDragMoveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDragMoveEvent"})
}

func (ptr *QWidget) DragMoveEvent(event gui.QDragMoveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DragMoveEvent", event})
}

func (ptr *QWidget) DragMoveEventDefault(event gui.QDragMoveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DragMoveEventDefault", event})
}

func (ptr *QWidget) ConnectDropEvent(f func(event *gui.QDropEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDropEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectDropEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDropEvent"})
}

func (ptr *QWidget) DropEvent(event gui.QDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DropEvent", event})
}

func (ptr *QWidget) DropEventDefault(event gui.QDropEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DropEventDefault", event})
}

func (ptr *QWidget) EffectiveWinId() uintptr {

	return uintptr(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EffectiveWinId"}).(float64))
}

func (ptr *QWidget) EnsurePolished() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EnsurePolished"})
}

func (ptr *QWidget) ConnectEnterEvent(f func(event *core.QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectEnterEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectEnterEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectEnterEvent"})
}

func (ptr *QWidget) EnterEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EnterEvent", event})
}

func (ptr *QWidget) EnterEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EnterEventDefault", event})
}

func (ptr *QWidget) ConnectEvent(f func(event *core.QEvent) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectEvent"})
}

func (ptr *QWidget) Event(event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Event", event}).(bool)
}

func (ptr *QWidget) EventDefault(event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventDefault", event}).(bool)
}

func QWidget_Find(id uintptr) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QWidget_Find", "", id}).(*QWidget)
}

func (ptr *QWidget) Find(id uintptr) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QWidget_Find", "", id}).(*QWidget)
}

func (ptr *QWidget) ConnectFocusInEvent(f func(event *gui.QFocusEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectFocusInEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectFocusInEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectFocusInEvent"})
}

func (ptr *QWidget) FocusInEvent(event gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusInEvent", event})
}

func (ptr *QWidget) FocusInEventDefault(event gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusInEventDefault", event})
}

func (ptr *QWidget) FocusNextChild() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusNextChild"}).(bool)
}

func (ptr *QWidget) ConnectFocusNextPrevChild(f func(next bool) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectFocusNextPrevChild", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectFocusNextPrevChild() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectFocusNextPrevChild"})
}

func (ptr *QWidget) FocusNextPrevChild(next bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusNextPrevChild", next}).(bool)
}

func (ptr *QWidget) FocusNextPrevChildDefault(next bool) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusNextPrevChildDefault", next}).(bool)
}

func (ptr *QWidget) ConnectFocusOutEvent(f func(event *gui.QFocusEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectFocusOutEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectFocusOutEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectFocusOutEvent"})
}

func (ptr *QWidget) FocusOutEvent(event gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusOutEvent", event})
}

func (ptr *QWidget) FocusOutEventDefault(event gui.QFocusEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusOutEventDefault", event})
}

func (ptr *QWidget) FocusPolicy() core.Qt__FocusPolicy {

	return core.Qt__FocusPolicy(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusPolicy"}).(float64))
}

func (ptr *QWidget) FocusPreviousChild() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusPreviousChild"}).(bool)
}

func (ptr *QWidget) FocusProxy() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusProxy"}).(*QWidget)
}

func (ptr *QWidget) FocusWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FocusWidget"}).(*QWidget)
}

func (ptr *QWidget) Font() *gui.QFont {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Font"}).(*gui.QFont)
}

func (ptr *QWidget) FontInfo() *gui.QFontInfo {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FontInfo"}).(*gui.QFontInfo)
}

func (ptr *QWidget) FontMetrics() *gui.QFontMetrics {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FontMetrics"}).(*gui.QFontMetrics)
}

func (ptr *QWidget) ForegroundRole() gui.QPalette__ColorRole {

	return gui.QPalette__ColorRole(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ForegroundRole"}).(float64))
}

func (ptr *QWidget) FrameGeometry() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FrameGeometry"}).(*core.QRect)
}

func (ptr *QWidget) FrameSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "FrameSize"}).(*core.QSize)
}

func (ptr *QWidget) Geometry() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Geometry"}).(*core.QRect)
}

func (ptr *QWidget) GetContentsMargins(left int, top int, right int, bottom int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "GetContentsMargins", left, top, right, bottom})
}

func (ptr *QWidget) Grab(rectangle core.QRect_ITF) *gui.QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Grab", rectangle}).(*gui.QPixmap)
}

func (ptr *QWidget) GrabGesture(gesture core.Qt__GestureType, flags core.Qt__GestureFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "GrabGesture", gesture, flags})
}

func (ptr *QWidget) GrabKeyboard() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "GrabKeyboard"})
}

func (ptr *QWidget) GrabMouse() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "GrabMouse"})
}

func (ptr *QWidget) GrabMouse2(cursor gui.QCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "GrabMouse2", cursor})
}

func (ptr *QWidget) GrabShortcut(key gui.QKeySequence_ITF, context core.Qt__ShortcutContext) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "GrabShortcut", key, context}).(float64))
}

func (ptr *QWidget) GraphicsEffect() *QGraphicsEffect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "GraphicsEffect"}).(*QGraphicsEffect)
}

func (ptr *QWidget) GraphicsProxyWidget() *QGraphicsProxyWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "GraphicsProxyWidget"}).(*QGraphicsProxyWidget)
}

func (ptr *QWidget) HasEditFocus() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HasEditFocus"}).(bool)
}

func (ptr *QWidget) HasFocus() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HasFocus"}).(bool)
}

func (ptr *QWidget) ConnectHasHeightForWidth(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectHasHeightForWidth", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectHasHeightForWidth() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectHasHeightForWidth"})
}

func (ptr *QWidget) HasHeightForWidth() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HasHeightForWidth"}).(bool)
}

func (ptr *QWidget) HasHeightForWidthDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HasHeightForWidthDefault"}).(bool)
}

func (ptr *QWidget) HasMouseTracking() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HasMouseTracking"}).(bool)
}

func (ptr *QWidget) HasTabletTracking() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HasTabletTracking"}).(bool)
}

func (ptr *QWidget) Height() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Height"}).(float64))
}

func (ptr *QWidget) ConnectHeightForWidth(f func(w int) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectHeightForWidth", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectHeightForWidth() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectHeightForWidth"})
}

func (ptr *QWidget) HeightForWidth(w int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HeightForWidth", w}).(float64))
}

func (ptr *QWidget) HeightForWidthDefault(w int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HeightForWidthDefault", w}).(float64))
}

func (ptr *QWidget) ConnectHide(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectHide", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectHide() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectHide"})
}

func (ptr *QWidget) Hide() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Hide"})
}

func (ptr *QWidget) HideDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HideDefault"})
}

func (ptr *QWidget) ConnectHideEvent(f func(event *gui.QHideEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectHideEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectHideEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectHideEvent"})
}

func (ptr *QWidget) HideEvent(event gui.QHideEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HideEvent", event})
}

func (ptr *QWidget) HideEventDefault(event gui.QHideEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "HideEventDefault", event})
}

func (ptr *QWidget) ConnectInitPainter(f func(painter *gui.QPainter)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectInitPainter", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectInitPainter() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectInitPainter"})
}

func (ptr *QWidget) InitPainter(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "InitPainter", painter})
}

func (ptr *QWidget) InitPainterDefault(painter gui.QPainter_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "InitPainterDefault", painter})
}

func (ptr *QWidget) ConnectInputMethodEvent(f func(event *gui.QInputMethodEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectInputMethodEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectInputMethodEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectInputMethodEvent"})
}

func (ptr *QWidget) InputMethodEvent(event gui.QInputMethodEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "InputMethodEvent", event})
}

func (ptr *QWidget) InputMethodEventDefault(event gui.QInputMethodEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "InputMethodEventDefault", event})
}

func (ptr *QWidget) InputMethodHints() core.Qt__InputMethodHint {

	return core.Qt__InputMethodHint(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "InputMethodHints"}).(float64))
}

func (ptr *QWidget) ConnectInputMethodQuery(f func(query core.Qt__InputMethodQuery) *core.QVariant) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectInputMethodQuery", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectInputMethodQuery() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectInputMethodQuery"})
}

func (ptr *QWidget) InputMethodQuery(query core.Qt__InputMethodQuery) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "InputMethodQuery", query}).(*core.QVariant)
}

func (ptr *QWidget) InputMethodQueryDefault(query core.Qt__InputMethodQuery) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "InputMethodQueryDefault", query}).(*core.QVariant)
}

func (ptr *QWidget) InsertAction(before QAction_ITF, action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "InsertAction", before, action})
}

func (ptr *QWidget) InsertActions(before QAction_ITF, actions []*QAction) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "InsertActions", before, actions})
}

func (ptr *QWidget) IsActiveWindow() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsActiveWindow"}).(bool)
}

func (ptr *QWidget) IsAncestorOf(child QWidget_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsAncestorOf", child}).(bool)
}

func (ptr *QWidget) IsEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsEnabled"}).(bool)
}

func (ptr *QWidget) IsEnabledTo(ancestor QWidget_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsEnabledTo", ancestor}).(bool)
}

func (ptr *QWidget) IsFullScreen() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsFullScreen"}).(bool)
}

func (ptr *QWidget) IsHidden() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsHidden"}).(bool)
}

func (ptr *QWidget) IsMaximized() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsMaximized"}).(bool)
}

func (ptr *QWidget) IsMinimized() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsMinimized"}).(bool)
}

func (ptr *QWidget) IsModal() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsModal"}).(bool)
}

func (ptr *QWidget) IsVisible() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsVisible"}).(bool)
}

func (ptr *QWidget) IsVisibleTo(ancestor QWidget_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsVisibleTo", ancestor}).(bool)
}

func (ptr *QWidget) IsWindow() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsWindow"}).(bool)
}

func (ptr *QWidget) IsWindowModified() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "IsWindowModified"}).(bool)
}

func (ptr *QWidget) ConnectKeyPressEvent(f func(event *gui.QKeyEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectKeyPressEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectKeyPressEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectKeyPressEvent"})
}

func (ptr *QWidget) KeyPressEvent(event gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "KeyPressEvent", event})
}

func (ptr *QWidget) KeyPressEventDefault(event gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "KeyPressEventDefault", event})
}

func (ptr *QWidget) ConnectKeyReleaseEvent(f func(event *gui.QKeyEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectKeyReleaseEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectKeyReleaseEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectKeyReleaseEvent"})
}

func (ptr *QWidget) KeyReleaseEvent(event gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "KeyReleaseEvent", event})
}

func (ptr *QWidget) KeyReleaseEventDefault(event gui.QKeyEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "KeyReleaseEventDefault", event})
}

func QWidget_KeyboardGrabber() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QWidget_KeyboardGrabber", ""}).(*QWidget)
}

func (ptr *QWidget) KeyboardGrabber() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QWidget_KeyboardGrabber", ""}).(*QWidget)
}

func (ptr *QWidget) Layout() *QLayout {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Layout"}).(*QLayout)
}

func (ptr *QWidget) LayoutDirection() core.Qt__LayoutDirection {

	return core.Qt__LayoutDirection(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "LayoutDirection"}).(float64))
}

func (ptr *QWidget) ConnectLeaveEvent(f func(event *core.QEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectLeaveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectLeaveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectLeaveEvent"})
}

func (ptr *QWidget) LeaveEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "LeaveEvent", event})
}

func (ptr *QWidget) LeaveEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "LeaveEventDefault", event})
}

func (ptr *QWidget) Locale() *core.QLocale {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Locale"}).(*core.QLocale)
}

func (ptr *QWidget) ConnectLower(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectLower", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectLower() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectLower"})
}

func (ptr *QWidget) Lower() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Lower"})
}

func (ptr *QWidget) LowerDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "LowerDefault"})
}

func (ptr *QWidget) MapFrom(parent QWidget_ITF, pos core.QPoint_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MapFrom", parent, pos}).(*core.QPoint)
}

func (ptr *QWidget) MapFromGlobal(pos core.QPoint_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MapFromGlobal", pos}).(*core.QPoint)
}

func (ptr *QWidget) MapFromParent(pos core.QPoint_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MapFromParent", pos}).(*core.QPoint)
}

func (ptr *QWidget) MapTo(parent QWidget_ITF, pos core.QPoint_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MapTo", parent, pos}).(*core.QPoint)
}

func (ptr *QWidget) MapToGlobal(pos core.QPoint_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MapToGlobal", pos}).(*core.QPoint)
}

func (ptr *QWidget) MapToParent(pos core.QPoint_ITF) *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MapToParent", pos}).(*core.QPoint)
}

func (ptr *QWidget) Mask() *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Mask"}).(*gui.QRegion)
}

func (ptr *QWidget) MaximumHeight() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MaximumHeight"}).(float64))
}

func (ptr *QWidget) MaximumSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MaximumSize"}).(*core.QSize)
}

func (ptr *QWidget) MaximumWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MaximumWidth"}).(float64))
}

func (ptr *QWidget) ConnectMetric(f func(m gui.QPaintDevice__PaintDeviceMetric) int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMetric", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectMetric() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMetric"})
}

func (ptr *QWidget) Metric(m gui.QPaintDevice__PaintDeviceMetric) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Metric", m}).(float64))
}

func (ptr *QWidget) MetricDefault(m gui.QPaintDevice__PaintDeviceMetric) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetricDefault", m}).(float64))
}

func (ptr *QWidget) MinimumHeight() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MinimumHeight"}).(float64))
}

func (ptr *QWidget) MinimumSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MinimumSize"}).(*core.QSize)
}

func (ptr *QWidget) ConnectMinimumSizeHint(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMinimumSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectMinimumSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMinimumSizeHint"})
}

func (ptr *QWidget) MinimumSizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MinimumSizeHint"}).(*core.QSize)
}

func (ptr *QWidget) MinimumSizeHintDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MinimumSizeHintDefault"}).(*core.QSize)
}

func (ptr *QWidget) MinimumWidth() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MinimumWidth"}).(float64))
}

func (ptr *QWidget) ConnectMouseDoubleClickEvent(f func(event *gui.QMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMouseDoubleClickEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectMouseDoubleClickEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMouseDoubleClickEvent"})
}

func (ptr *QWidget) MouseDoubleClickEvent(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MouseDoubleClickEvent", event})
}

func (ptr *QWidget) MouseDoubleClickEventDefault(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MouseDoubleClickEventDefault", event})
}

func QWidget_MouseGrabber() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QWidget_MouseGrabber", ""}).(*QWidget)
}

func (ptr *QWidget) MouseGrabber() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.QWidget_MouseGrabber", ""}).(*QWidget)
}

func (ptr *QWidget) ConnectMouseMoveEvent(f func(event *gui.QMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMouseMoveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectMouseMoveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMouseMoveEvent"})
}

func (ptr *QWidget) MouseMoveEvent(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MouseMoveEvent", event})
}

func (ptr *QWidget) MouseMoveEventDefault(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MouseMoveEventDefault", event})
}

func (ptr *QWidget) ConnectMousePressEvent(f func(event *gui.QMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMousePressEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectMousePressEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMousePressEvent"})
}

func (ptr *QWidget) MousePressEvent(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MousePressEvent", event})
}

func (ptr *QWidget) MousePressEventDefault(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MousePressEventDefault", event})
}

func (ptr *QWidget) ConnectMouseReleaseEvent(f func(event *gui.QMouseEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMouseReleaseEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectMouseReleaseEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMouseReleaseEvent"})
}

func (ptr *QWidget) MouseReleaseEvent(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MouseReleaseEvent", event})
}

func (ptr *QWidget) MouseReleaseEventDefault(event gui.QMouseEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MouseReleaseEventDefault", event})
}

func (ptr *QWidget) Move(vqp core.QPoint_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Move", vqp})
}

func (ptr *QWidget) Move2(x int, y int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Move2", x, y})
}

func (ptr *QWidget) ConnectMoveEvent(f func(event *gui.QMoveEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectMoveEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectMoveEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectMoveEvent"})
}

func (ptr *QWidget) MoveEvent(event gui.QMoveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MoveEvent", event})
}

func (ptr *QWidget) MoveEventDefault(event gui.QMoveEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MoveEventDefault", event})
}

func (ptr *QWidget) ConnectNativeEvent(f func(eventType *core.QByteArray, message unsafe.Pointer, result *int) bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNativeEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectNativeEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNativeEvent"})
}

func (ptr *QWidget) NativeEvent(eventType core.QByteArray_ITF, message unsafe.Pointer, result *int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "NativeEvent", eventType, message, result}).(bool)
}

func (ptr *QWidget) NativeEventDefault(eventType core.QByteArray_ITF, message unsafe.Pointer, result *int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "NativeEventDefault", eventType, message, result}).(bool)
}

func (ptr *QWidget) NativeParentWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "NativeParentWidget"}).(*QWidget)
}

func (ptr *QWidget) NextInFocusChain() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "NextInFocusChain"}).(*QWidget)
}

func (ptr *QWidget) NormalGeometry() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "NormalGeometry"}).(*core.QRect)
}

func (ptr *QWidget) OverrideWindowFlags(flags core.Qt__WindowType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "OverrideWindowFlags", flags})
}

func (ptr *QWidget) ConnectPaintEngine(f func() *gui.QPaintEngine) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectPaintEngine", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectPaintEngine() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectPaintEngine"})
}

func (ptr *QWidget) PaintEngine() *gui.QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "PaintEngine"}).(*gui.QPaintEngine)
}

func (ptr *QWidget) PaintEngineDefault() *gui.QPaintEngine {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "PaintEngineDefault"}).(*gui.QPaintEngine)
}

func (ptr *QWidget) ConnectPaintEvent(f func(event *gui.QPaintEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectPaintEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectPaintEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectPaintEvent"})
}

func (ptr *QWidget) PaintEvent(event gui.QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "PaintEvent", event})
}

func (ptr *QWidget) PaintEventDefault(event gui.QPaintEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "PaintEventDefault", event})
}

func (ptr *QWidget) Palette() *gui.QPalette {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Palette"}).(*gui.QPalette)
}

func (ptr *QWidget) ParentWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ParentWidget"}).(*QWidget)
}

func (ptr *QWidget) Pos() *core.QPoint {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Pos"}).(*core.QPoint)
}

func (ptr *QWidget) PreviousInFocusChain() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "PreviousInFocusChain"}).(*QWidget)
}

func (ptr *QWidget) ConnectRaise(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectRaise", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectRaise() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectRaise"})
}

func (ptr *QWidget) Raise() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Raise"})
}

func (ptr *QWidget) RaiseDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RaiseDefault"})
}

func (ptr *QWidget) Rect() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Rect"}).(*core.QRect)
}

func (ptr *QWidget) ReleaseKeyboard() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ReleaseKeyboard"})
}

func (ptr *QWidget) ReleaseMouse() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ReleaseMouse"})
}

func (ptr *QWidget) ReleaseShortcut(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ReleaseShortcut", id})
}

func (ptr *QWidget) RemoveAction(action QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RemoveAction", action})
}

func (ptr *QWidget) Render(target gui.QPaintDevice_ITF, targetOffset core.QPoint_ITF, sourceRegion gui.QRegion_ITF, renderFlags QWidget__RenderFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Render", target, targetOffset, sourceRegion, renderFlags})
}

func (ptr *QWidget) Render2(painter gui.QPainter_ITF, targetOffset core.QPoint_ITF, sourceRegion gui.QRegion_ITF, renderFlags QWidget__RenderFlag) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Render2", painter, targetOffset, sourceRegion, renderFlags})
}

func (ptr *QWidget) ConnectRepaint(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectRepaint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectRepaint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectRepaint"})
}

func (ptr *QWidget) Repaint() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Repaint"})
}

func (ptr *QWidget) RepaintDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RepaintDefault"})
}

func (ptr *QWidget) Repaint2(x int, y int, w int, h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Repaint2", x, y, w, h})
}

func (ptr *QWidget) Repaint3(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Repaint3", rect})
}

func (ptr *QWidget) Repaint4(rgn gui.QRegion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Repaint4", rgn})
}

func (ptr *QWidget) Resize(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Resize", vqs})
}

func (ptr *QWidget) Resize2(w int, h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Resize2", w, h})
}

func (ptr *QWidget) ConnectResizeEvent(f func(event *gui.QResizeEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectResizeEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectResizeEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectResizeEvent"})
}

func (ptr *QWidget) ResizeEvent(event gui.QResizeEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ResizeEvent", event})
}

func (ptr *QWidget) ResizeEventDefault(event gui.QResizeEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ResizeEventDefault", event})
}

func (ptr *QWidget) RestoreGeometry(geometry core.QByteArray_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "RestoreGeometry", geometry}).(bool)
}

func (ptr *QWidget) SaveGeometry() *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SaveGeometry"}).(*core.QByteArray)
}

func (ptr *QWidget) Scroll(dx int, dy int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Scroll", dx, dy})
}

func (ptr *QWidget) Scroll2(dx int, dy int, r core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Scroll2", dx, dy, r})
}

func (ptr *QWidget) SetAcceptDrops(on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetAcceptDrops", on})
}

func (ptr *QWidget) SetAccessibleDescription(description string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetAccessibleDescription", description})
}

func (ptr *QWidget) SetAccessibleName(name string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetAccessibleName", name})
}

func (ptr *QWidget) SetAttribute(attribute core.Qt__WidgetAttribute, on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetAttribute", attribute, on})
}

func (ptr *QWidget) SetAutoFillBackground(enabled bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetAutoFillBackground", enabled})
}

func (ptr *QWidget) SetBackgroundRole(role gui.QPalette__ColorRole) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetBackgroundRole", role})
}

func (ptr *QWidget) SetBaseSize(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetBaseSize", vqs})
}

func (ptr *QWidget) SetBaseSize2(basew int, baseh int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetBaseSize2", basew, baseh})
}

func (ptr *QWidget) SetContentsMargins(left int, top int, right int, bottom int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetContentsMargins", left, top, right, bottom})
}

func (ptr *QWidget) SetContentsMargins2(margins core.QMargins_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetContentsMargins2", margins})
}

func (ptr *QWidget) SetContextMenuPolicy(policy core.Qt__ContextMenuPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetContextMenuPolicy", policy})
}

func (ptr *QWidget) SetCursor(vqc gui.QCursor_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetCursor", vqc})
}

func (ptr *QWidget) ConnectSetDisabled(f func(disable bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetDisabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectSetDisabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetDisabled"})
}

func (ptr *QWidget) SetDisabled(disable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetDisabled", disable})
}

func (ptr *QWidget) SetDisabledDefault(disable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetDisabledDefault", disable})
}

func (ptr *QWidget) SetEditFocus(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetEditFocus", enable})
}

func (ptr *QWidget) ConnectSetEnabled(f func(vbo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetEnabled", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectSetEnabled() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetEnabled"})
}

func (ptr *QWidget) SetEnabled(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetEnabled", vbo})
}

func (ptr *QWidget) SetEnabledDefault(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetEnabledDefault", vbo})
}

func (ptr *QWidget) SetFixedHeight(h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFixedHeight", h})
}

func (ptr *QWidget) SetFixedSize(s core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFixedSize", s})
}

func (ptr *QWidget) SetFixedSize2(w int, h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFixedSize2", w, h})
}

func (ptr *QWidget) SetFixedWidth(w int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFixedWidth", w})
}

func (ptr *QWidget) SetFocus(reason core.Qt__FocusReason) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFocus", reason})
}

func (ptr *QWidget) ConnectSetFocus2(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetFocus2", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectSetFocus2() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetFocus2"})
}

func (ptr *QWidget) SetFocus2() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFocus2"})
}

func (ptr *QWidget) SetFocus2Default() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFocus2Default"})
}

func (ptr *QWidget) SetFocusPolicy(policy core.Qt__FocusPolicy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFocusPolicy", policy})
}

func (ptr *QWidget) SetFocusProxy(w QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFocusProxy", w})
}

func (ptr *QWidget) SetFont(vqf gui.QFont_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetFont", vqf})
}

func (ptr *QWidget) SetForegroundRole(role gui.QPalette__ColorRole) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetForegroundRole", role})
}

func (ptr *QWidget) SetGeometry(vqr core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetGeometry", vqr})
}

func (ptr *QWidget) SetGeometry2(x int, y int, w int, h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetGeometry2", x, y, w, h})
}

func (ptr *QWidget) SetGraphicsEffect(effect QGraphicsEffect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetGraphicsEffect", effect})
}

func (ptr *QWidget) ConnectSetHidden(f func(hidden bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetHidden", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectSetHidden() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetHidden"})
}

func (ptr *QWidget) SetHidden(hidden bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetHidden", hidden})
}

func (ptr *QWidget) SetHiddenDefault(hidden bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetHiddenDefault", hidden})
}

func (ptr *QWidget) SetInputMethodHints(hints core.Qt__InputMethodHint) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetInputMethodHints", hints})
}

func (ptr *QWidget) SetLayout(layout QLayout_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetLayout", layout})
}

func (ptr *QWidget) SetLayoutDirection(direction core.Qt__LayoutDirection) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetLayoutDirection", direction})
}

func (ptr *QWidget) SetLocale(locale core.QLocale_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetLocale", locale})
}

func (ptr *QWidget) SetMask(bitmap gui.QBitmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMask", bitmap})
}

func (ptr *QWidget) SetMask2(region gui.QRegion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMask2", region})
}

func (ptr *QWidget) SetMaximumHeight(maxh int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMaximumHeight", maxh})
}

func (ptr *QWidget) SetMaximumSize(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMaximumSize", vqs})
}

func (ptr *QWidget) SetMaximumSize2(maxw int, maxh int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMaximumSize2", maxw, maxh})
}

func (ptr *QWidget) SetMaximumWidth(maxw int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMaximumWidth", maxw})
}

func (ptr *QWidget) SetMinimumHeight(minh int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMinimumHeight", minh})
}

func (ptr *QWidget) SetMinimumSize(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMinimumSize", vqs})
}

func (ptr *QWidget) SetMinimumSize2(minw int, minh int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMinimumSize2", minw, minh})
}

func (ptr *QWidget) SetMinimumWidth(minw int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMinimumWidth", minw})
}

func (ptr *QWidget) SetMouseTracking(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetMouseTracking", enable})
}

func (ptr *QWidget) SetPalette(vqp gui.QPalette_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetPalette", vqp})
}

func (ptr *QWidget) SetParent(parent QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetParent", parent})
}

func (ptr *QWidget) SetParent2(parent QWidget_ITF, ff core.Qt__WindowType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetParent2", parent, ff})
}

func (ptr *QWidget) SetShortcutAutoRepeat(id int, enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetShortcutAutoRepeat", id, enable})
}

func (ptr *QWidget) SetShortcutEnabled(id int, enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetShortcutEnabled", id, enable})
}

func (ptr *QWidget) SetSizeIncrement(vqs core.QSize_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetSizeIncrement", vqs})
}

func (ptr *QWidget) SetSizeIncrement2(w int, h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetSizeIncrement2", w, h})
}

func (ptr *QWidget) SetSizePolicy(vqs QSizePolicy_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetSizePolicy", vqs})
}

func (ptr *QWidget) SetSizePolicy2(horizontal QSizePolicy__Policy, vertical QSizePolicy__Policy) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetSizePolicy2", horizontal, vertical})
}

func (ptr *QWidget) SetStatusTip(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetStatusTip", vqs})
}

func (ptr *QWidget) SetStyle(style QStyle_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetStyle", style})
}

func (ptr *QWidget) ConnectSetStyleSheet(f func(styleSheet string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetStyleSheet", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectSetStyleSheet() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetStyleSheet"})
}

func (ptr *QWidget) SetStyleSheet(styleSheet string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetStyleSheet", styleSheet})
}

func (ptr *QWidget) SetStyleSheetDefault(styleSheet string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetStyleSheetDefault", styleSheet})
}

func QWidget_SetTabOrder(first QWidget_ITF, second QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QWidget_SetTabOrder", "", first, second})
}

func (ptr *QWidget) SetTabOrder(first QWidget_ITF, second QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", "", "widgets.QWidget_SetTabOrder", "", first, second})
}

func (ptr *QWidget) SetTabletTracking(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetTabletTracking", enable})
}

func (ptr *QWidget) SetToolTip(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetToolTip", vqs})
}

func (ptr *QWidget) SetToolTipDuration(msec int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetToolTipDuration", msec})
}

func (ptr *QWidget) SetUpdatesEnabled(enable bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetUpdatesEnabled", enable})
}

func (ptr *QWidget) ConnectSetVisible(f func(visible bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetVisible", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectSetVisible() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetVisible"})
}

func (ptr *QWidget) SetVisible(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetVisible", visible})
}

func (ptr *QWidget) SetVisibleDefault(visible bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetVisibleDefault", visible})
}

func (ptr *QWidget) SetWhatsThis(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWhatsThis", vqs})
}

func (ptr *QWidget) SetWindowFilePath(filePath string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowFilePath", filePath})
}

func (ptr *QWidget) SetWindowFlag(flag core.Qt__WindowType, on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowFlag", flag, on})
}

func (ptr *QWidget) SetWindowFlags(ty core.Qt__WindowType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowFlags", ty})
}

func (ptr *QWidget) SetWindowIcon(icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowIcon", icon})
}

func (ptr *QWidget) SetWindowIconText(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowIconText", vqs})
}

func (ptr *QWidget) SetWindowModality(windowModality core.Qt__WindowModality) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowModality", windowModality})
}

func (ptr *QWidget) ConnectSetWindowModified(f func(vbo bool)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetWindowModified", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectSetWindowModified() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetWindowModified"})
}

func (ptr *QWidget) SetWindowModified(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowModified", vbo})
}

func (ptr *QWidget) SetWindowModifiedDefault(vbo bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowModifiedDefault", vbo})
}

func (ptr *QWidget) SetWindowOpacity(level float64) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowOpacity", level})
}

func (ptr *QWidget) SetWindowRole(role string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowRole", role})
}

func (ptr *QWidget) SetWindowState(windowState core.Qt__WindowState) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowState", windowState})
}

func (ptr *QWidget) ConnectSetWindowTitle(f func(vqs string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSetWindowTitle", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectSetWindowTitle() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSetWindowTitle"})
}

func (ptr *QWidget) SetWindowTitle(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowTitle", vqs})
}

func (ptr *QWidget) SetWindowTitleDefault(vqs string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetWindowTitleDefault", vqs})
}

func (ptr *QWidget) SetupUi(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SetupUi", widget})
}

func (ptr *QWidget) ConnectShow(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectShow", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectShow() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectShow"})
}

func (ptr *QWidget) Show() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Show"})
}

func (ptr *QWidget) ShowDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowDefault"})
}

func (ptr *QWidget) ConnectShowEvent(f func(event *gui.QShowEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectShowEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectShowEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectShowEvent"})
}

func (ptr *QWidget) ShowEvent(event gui.QShowEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowEvent", event})
}

func (ptr *QWidget) ShowEventDefault(event gui.QShowEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowEventDefault", event})
}

func (ptr *QWidget) ConnectShowFullScreen(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectShowFullScreen", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectShowFullScreen() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectShowFullScreen"})
}

func (ptr *QWidget) ShowFullScreen() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowFullScreen"})
}

func (ptr *QWidget) ShowFullScreenDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowFullScreenDefault"})
}

func (ptr *QWidget) ConnectShowMaximized(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectShowMaximized", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectShowMaximized() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectShowMaximized"})
}

func (ptr *QWidget) ShowMaximized() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowMaximized"})
}

func (ptr *QWidget) ShowMaximizedDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowMaximizedDefault"})
}

func (ptr *QWidget) ConnectShowMinimized(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectShowMinimized", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectShowMinimized() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectShowMinimized"})
}

func (ptr *QWidget) ShowMinimized() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowMinimized"})
}

func (ptr *QWidget) ShowMinimizedDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowMinimizedDefault"})
}

func (ptr *QWidget) ConnectShowNormal(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectShowNormal", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectShowNormal() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectShowNormal"})
}

func (ptr *QWidget) ShowNormal() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowNormal"})
}

func (ptr *QWidget) ShowNormalDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ShowNormalDefault"})
}

func (ptr *QWidget) Size() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Size"}).(*core.QSize)
}

func (ptr *QWidget) ConnectSizeHint(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QWidget) SizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SizeHint"}).(*core.QSize)
}

func (ptr *QWidget) SizeHintDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SizeHintDefault"}).(*core.QSize)
}

func (ptr *QWidget) SizeIncrement() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SizeIncrement"}).(*core.QSize)
}

func (ptr *QWidget) SizePolicy() *QSizePolicy {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "SizePolicy"}).(*QSizePolicy)
}

func (ptr *QWidget) StackUnder(w QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "StackUnder", w})
}

func (ptr *QWidget) StatusTip() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "StatusTip"}).(string)
}

func (ptr *QWidget) Style() *QStyle {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Style"}).(*QStyle)
}

func (ptr *QWidget) StyleSheet() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "StyleSheet"}).(string)
}

func (ptr *QWidget) ConnectTabletEvent(f func(event *gui.QTabletEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectTabletEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectTabletEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectTabletEvent"})
}

func (ptr *QWidget) TabletEvent(event gui.QTabletEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TabletEvent", event})
}

func (ptr *QWidget) TabletEventDefault(event gui.QTabletEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TabletEventDefault", event})
}

func (ptr *QWidget) TestAttribute(attribute core.Qt__WidgetAttribute) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TestAttribute", attribute}).(bool)
}

func (ptr *QWidget) ToolTip() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ToolTip"}).(string)
}

func (ptr *QWidget) ToolTipDuration() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ToolTipDuration"}).(float64))
}

func (ptr *QWidget) UnderMouse() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "UnderMouse"}).(bool)
}

func (ptr *QWidget) UngrabGesture(gesture core.Qt__GestureType) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "UngrabGesture", gesture})
}

func (ptr *QWidget) UnsetCursor() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "UnsetCursor"})
}

func (ptr *QWidget) UnsetLayoutDirection() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "UnsetLayoutDirection"})
}

func (ptr *QWidget) UnsetLocale() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "UnsetLocale"})
}

func (ptr *QWidget) ConnectUpdate(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectUpdate", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectUpdate() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectUpdate"})
}

func (ptr *QWidget) Update() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Update"})
}

func (ptr *QWidget) UpdateDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "UpdateDefault"})
}

func (ptr *QWidget) Update2(x int, y int, w int, h int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Update2", x, y, w, h})
}

func (ptr *QWidget) Update3(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Update3", rect})
}

func (ptr *QWidget) Update4(rgn gui.QRegion_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Update4", rgn})
}

func (ptr *QWidget) UpdateGeometry() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "UpdateGeometry"})
}

func (ptr *QWidget) ConnectUpdateMicroFocus(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectUpdateMicroFocus", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectUpdateMicroFocus() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectUpdateMicroFocus"})
}

func (ptr *QWidget) UpdateMicroFocus() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "UpdateMicroFocus"})
}

func (ptr *QWidget) UpdateMicroFocusDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "UpdateMicroFocusDefault"})
}

func (ptr *QWidget) UpdatesEnabled() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "UpdatesEnabled"}).(bool)
}

func (ptr *QWidget) VisibleRegion() *gui.QRegion {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "VisibleRegion"}).(*gui.QRegion)
}

func (ptr *QWidget) WhatsThis() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WhatsThis"}).(string)
}

func (ptr *QWidget) ConnectWheelEvent(f func(event *gui.QWheelEvent)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectWheelEvent", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectWheelEvent() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectWheelEvent"})
}

func (ptr *QWidget) WheelEvent(event gui.QWheelEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WheelEvent", event})
}

func (ptr *QWidget) WheelEventDefault(event gui.QWheelEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WheelEventDefault", event})
}

func (ptr *QWidget) Width() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Width"}).(float64))
}

func (ptr *QWidget) WinId() uintptr {

	return uintptr(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WinId"}).(float64))
}

func (ptr *QWidget) Window() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Window"}).(*QWidget)
}

func (ptr *QWidget) WindowFilePath() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowFilePath"}).(string)
}

func (ptr *QWidget) WindowFlags() core.Qt__WindowType {

	return core.Qt__WindowType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowFlags"}).(float64))
}

func (ptr *QWidget) WindowHandle() *gui.QWindow {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowHandle"}).(*gui.QWindow)
}

func (ptr *QWidget) WindowIcon() *gui.QIcon {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowIcon"}).(*gui.QIcon)
}

func (ptr *QWidget) ConnectWindowIconChanged(f func(icon *gui.QIcon)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectWindowIconChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectWindowIconChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectWindowIconChanged"})
}

func (ptr *QWidget) WindowIconChanged(icon gui.QIcon_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowIconChanged", icon})
}

func (ptr *QWidget) WindowIconText() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowIconText"}).(string)
}

func (ptr *QWidget) WindowModality() core.Qt__WindowModality {

	return core.Qt__WindowModality(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowModality"}).(float64))
}

func (ptr *QWidget) WindowOpacity() float64 {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowOpacity"}).(float64)
}

func (ptr *QWidget) WindowRole() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowRole"}).(string)
}

func (ptr *QWidget) WindowState() core.Qt__WindowState {

	return core.Qt__WindowState(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowState"}).(float64))
}

func (ptr *QWidget) WindowTitle() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowTitle"}).(string)
}

func (ptr *QWidget) ConnectWindowTitleChanged(f func(title string)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectWindowTitleChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectWindowTitleChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectWindowTitleChanged"})
}

func (ptr *QWidget) WindowTitleChanged(title string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowTitleChanged", title})
}

func (ptr *QWidget) WindowType() core.Qt__WindowType {

	return core.Qt__WindowType(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "WindowType"}).(float64))
}

func (ptr *QWidget) X() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "X"}).(float64))
}

func (ptr *QWidget) Y() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "Y"}).(float64))
}

func (ptr *QWidget) ConnectDestroyQWidget(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectDestroyQWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidget) DisconnectDestroyQWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectDestroyQWidget"})
}

func (ptr *QWidget) DestroyQWidget() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQWidget"})
}

func (ptr *QWidget) DestroyQWidgetDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DestroyQWidgetDefault"})
}

func (ptr *QWidget) __actions_atList(i int) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__actions_atList", i}).(*QAction)
}

func (ptr *QWidget) __actions_setList(i QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__actions_setList", i})
}

func (ptr *QWidget) __actions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__actions_newList"}).(unsafe.Pointer)
}

func (ptr *QWidget) __addActions_actions_atList(i int) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__addActions_actions_atList", i}).(*QAction)
}

func (ptr *QWidget) __addActions_actions_setList(i QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__addActions_actions_setList", i})
}

func (ptr *QWidget) __addActions_actions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__addActions_actions_newList"}).(unsafe.Pointer)
}

func (ptr *QWidget) __insertActions_actions_atList(i int) *QAction {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__insertActions_actions_atList", i}).(*QAction)
}

func (ptr *QWidget) __insertActions_actions_setList(i QAction_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__insertActions_actions_setList", i})
}

func (ptr *QWidget) __insertActions_actions_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__insertActions_actions_newList"}).(unsafe.Pointer)
}

func (ptr *QWidget) __children_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_atList", i}).(*core.QObject)
}

func (ptr *QWidget) __children_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_setList", i})
}

func (ptr *QWidget) __children_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__children_newList"}).(unsafe.Pointer)
}

func (ptr *QWidget) __dynamicPropertyNames_atList(i int) *core.QByteArray {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_atList", i}).(*core.QByteArray)
}

func (ptr *QWidget) __dynamicPropertyNames_setList(i core.QByteArray_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_setList", i})
}

func (ptr *QWidget) __dynamicPropertyNames_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__dynamicPropertyNames_newList"}).(unsafe.Pointer)
}

func (ptr *QWidget) __findChildren_atList(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList", i}).(*core.QObject)
}

func (ptr *QWidget) __findChildren_setList(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList", i})
}

func (ptr *QWidget) __findChildren_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList"}).(unsafe.Pointer)
}

func (ptr *QWidget) __findChildren_atList3(i int) *core.QObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_atList3", i}).(*core.QObject)
}

func (ptr *QWidget) __findChildren_setList3(i core.QObject_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_setList3", i})
}

func (ptr *QWidget) __findChildren_newList3() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "__findChildren_newList3"}).(unsafe.Pointer)
}

func (ptr *QWidget) ChildEvent(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEvent", event})
}

func (ptr *QWidget) ChildEventDefault(event core.QChildEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ChildEventDefault", event})
}

func (ptr *QWidget) ConnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotify", sign})
}

func (ptr *QWidget) ConnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "ConnectNotifyDefault", sign})
}

func (ptr *QWidget) CustomEvent(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEvent", event})
}

func (ptr *QWidget) CustomEventDefault(event core.QEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "CustomEventDefault", event})
}

func (ptr *QWidget) DeleteLater() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLater"})
}

func (ptr *QWidget) DeleteLaterDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DeleteLaterDefault"})
}

func (ptr *QWidget) DisconnectNotify(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotify", sign})
}

func (ptr *QWidget) DisconnectNotifyDefault(sign core.QMetaMethod_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "DisconnectNotifyDefault", sign})
}

func (ptr *QWidget) EventFilter(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilter", watched, event}).(bool)
}

func (ptr *QWidget) EventFilterDefault(watched core.QObject_ITF, event core.QEvent_ITF) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "EventFilterDefault", watched, event}).(bool)
}

func (ptr *QWidget) MetaObject() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObject"}).(*core.QMetaObject)
}

func (ptr *QWidget) MetaObjectDefault() *core.QMetaObject {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "MetaObjectDefault"}).(*core.QMetaObject)
}

func (ptr *QWidget) TimerEvent(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEvent", event})
}

func (ptr *QWidget) TimerEventDefault(event core.QTimerEvent_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.QObject_PTR().ClassNameInternalF(), "TimerEventDefault", event})
}

type QWidgetAction struct {
	QAction
}

type QWidgetAction_ITF interface {
	QAction_ITF
	QWidgetAction_PTR() *QWidgetAction
}

func (ptr *QWidgetAction) QWidgetAction_PTR() *QWidgetAction {
	return ptr
}

func (ptr *QWidgetAction) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QAction_PTR().Pointer()
	}
	return nil
}

func (ptr *QWidgetAction) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QAction_PTR().SetPointer(p)
	}
}

func PointerFromQWidgetAction(ptr QWidgetAction_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidgetAction_PTR().Pointer()
	}
	return nil
}

func (n *QWidgetAction) InitFromInternal(ptr uintptr, name string) {
	n.QAction_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWidgetAction) ClassNameInternalF() string {
	return n.QAction_PTR().ClassNameInternalF()
}

func NewQWidgetActionFromPointer(ptr unsafe.Pointer) (n *QWidgetAction) {
	n = new(QWidgetAction)
	n.InitFromInternal(uintptr(ptr), "widgets.QWidgetAction")
	return
}
func NewQWidgetAction(parent core.QObject_ITF) *QWidgetAction {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQWidgetAction", "", parent}).(*QWidgetAction)
}

func (ptr *QWidgetAction) ConnectCreateWidget(f func(parent *QWidget) *QWidget) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCreateWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidgetAction) DisconnectCreateWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCreateWidget"})
}

func (ptr *QWidgetAction) CreateWidget(parent QWidget_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateWidget", parent}).(*QWidget)
}

func (ptr *QWidgetAction) CreateWidgetDefault(parent QWidget_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreateWidgetDefault", parent}).(*QWidget)
}

func (ptr *QWidgetAction) CreatedWidgets() []*QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CreatedWidgets"}).([]*QWidget)
}

func (ptr *QWidgetAction) DefaultWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DefaultWidget"}).(*QWidget)
}

func (ptr *QWidgetAction) ConnectDeleteWidget(f func(widget *QWidget)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDeleteWidget", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidgetAction) DisconnectDeleteWidget() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDeleteWidget"})
}

func (ptr *QWidgetAction) DeleteWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteWidget", widget})
}

func (ptr *QWidgetAction) DeleteWidgetDefault(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DeleteWidgetDefault", widget})
}

func (ptr *QWidgetAction) ReleaseWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ReleaseWidget", widget})
}

func (ptr *QWidgetAction) RequestWidget(parent QWidget_ITF) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RequestWidget", parent}).(*QWidget)
}

func (ptr *QWidgetAction) SetDefaultWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultWidget", widget})
}

func (ptr *QWidgetAction) ConnectDestroyQWidgetAction(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQWidgetAction", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidgetAction) DisconnectDestroyQWidgetAction() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQWidgetAction"})
}

func (ptr *QWidgetAction) DestroyQWidgetAction() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQWidgetAction"})
}

func (ptr *QWidgetAction) DestroyQWidgetActionDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQWidgetActionDefault"})
}

func (ptr *QWidgetAction) __createdWidgets_atList(i int) *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__createdWidgets_atList", i}).(*QWidget)
}

func (ptr *QWidgetAction) __createdWidgets_setList(i QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__createdWidgets_setList", i})
}

func (ptr *QWidgetAction) __createdWidgets_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__createdWidgets_newList"}).(unsafe.Pointer)
}

type QWidgetItem struct {
	QLayoutItem
}

type QWidgetItem_ITF interface {
	QLayoutItem_ITF
	QWidgetItem_PTR() *QWidgetItem
}

func (ptr *QWidgetItem) QWidgetItem_PTR() *QWidgetItem {
	return ptr
}

func (ptr *QWidgetItem) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QLayoutItem_PTR().Pointer()
	}
	return nil
}

func (ptr *QWidgetItem) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QLayoutItem_PTR().SetPointer(p)
	}
}

func PointerFromQWidgetItem(ptr QWidgetItem_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidgetItem_PTR().Pointer()
	}
	return nil
}

func (n *QWidgetItem) InitFromInternal(ptr uintptr, name string) {
	n.QLayoutItem_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWidgetItem) ClassNameInternalF() string {
	return n.QLayoutItem_PTR().ClassNameInternalF()
}

func NewQWidgetItemFromPointer(ptr unsafe.Pointer) (n *QWidgetItem) {
	n = new(QWidgetItem)
	n.InitFromInternal(uintptr(ptr), "widgets.QWidgetItem")
	return
}
func NewQWidgetItem2(widget QWidget_ITF) *QWidgetItem {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQWidgetItem2", "", widget}).(*QWidgetItem)
}

func (ptr *QWidgetItem) ConnectExpandingDirections(f func() core.Qt__Orientation) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectExpandingDirections", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidgetItem) DisconnectExpandingDirections() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectExpandingDirections"})
}

func (ptr *QWidgetItem) ExpandingDirections() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandingDirections"}).(float64))
}

func (ptr *QWidgetItem) ExpandingDirectionsDefault() core.Qt__Orientation {

	return core.Qt__Orientation(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ExpandingDirectionsDefault"}).(float64))
}

func (ptr *QWidgetItem) ConnectGeometry(f func() *core.QRect) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectGeometry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidgetItem) DisconnectGeometry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectGeometry"})
}

func (ptr *QWidgetItem) Geometry() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Geometry"}).(*core.QRect)
}

func (ptr *QWidgetItem) GeometryDefault() *core.QRect {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "GeometryDefault"}).(*core.QRect)
}

func (ptr *QWidgetItem) ConnectIsEmpty(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsEmpty", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidgetItem) DisconnectIsEmpty() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsEmpty"})
}

func (ptr *QWidgetItem) IsEmpty() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmpty"}).(bool)
}

func (ptr *QWidgetItem) IsEmptyDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsEmptyDefault"}).(bool)
}

func (ptr *QWidgetItem) ConnectMaximumSize(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMaximumSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidgetItem) DisconnectMaximumSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMaximumSize"})
}

func (ptr *QWidgetItem) MaximumSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumSize"}).(*core.QSize)
}

func (ptr *QWidgetItem) MaximumSizeDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MaximumSizeDefault"}).(*core.QSize)
}

func (ptr *QWidgetItem) ConnectMinimumSize(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectMinimumSize", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidgetItem) DisconnectMinimumSize() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectMinimumSize"})
}

func (ptr *QWidgetItem) MinimumSize() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumSize"}).(*core.QSize)
}

func (ptr *QWidgetItem) MinimumSizeDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "MinimumSizeDefault"}).(*core.QSize)
}

func (ptr *QWidgetItem) ConnectSetGeometry(f func(rect *core.QRect)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSetGeometry", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidgetItem) DisconnectSetGeometry() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSetGeometry"})
}

func (ptr *QWidgetItem) SetGeometry(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGeometry", rect})
}

func (ptr *QWidgetItem) SetGeometryDefault(rect core.QRect_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetGeometryDefault", rect})
}

func (ptr *QWidgetItem) ConnectSizeHint(f func() *core.QSize) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectSizeHint", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidgetItem) DisconnectSizeHint() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectSizeHint"})
}

func (ptr *QWidgetItem) SizeHint() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHint"}).(*core.QSize)
}

func (ptr *QWidgetItem) SizeHintDefault() *core.QSize {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SizeHintDefault"}).(*core.QSize)
}

func (ptr *QWidgetItem) ConnectDestroyQWidgetItem(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQWidgetItem", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWidgetItem) DisconnectDestroyQWidgetItem() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQWidgetItem"})
}

func (ptr *QWidgetItem) DestroyQWidgetItem() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQWidgetItem"})
}

func (ptr *QWidgetItem) DestroyQWidgetItemDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQWidgetItemDefault"})
}

type QWizard struct {
	QDialog
}

type QWizard_ITF interface {
	QDialog_ITF
	QWizard_PTR() *QWizard
}

func (ptr *QWizard) QWizard_PTR() *QWizard {
	return ptr
}

func (ptr *QWizard) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QDialog_PTR().Pointer()
	}
	return nil
}

func (ptr *QWizard) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QDialog_PTR().SetPointer(p)
	}
}

func PointerFromQWizard(ptr QWizard_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWizard_PTR().Pointer()
	}
	return nil
}

func (n *QWizard) InitFromInternal(ptr uintptr, name string) {
	n.QDialog_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWizard) ClassNameInternalF() string {
	return n.QDialog_PTR().ClassNameInternalF()
}

func NewQWizardFromPointer(ptr unsafe.Pointer) (n *QWizard) {
	n = new(QWizard)
	n.InitFromInternal(uintptr(ptr), "widgets.QWizard")
	return
}

//go:generate stringer -type=QWizard__WizardButton
//QWizard::WizardButton
type QWizard__WizardButton int64

const (
	QWizard__BackButton       QWizard__WizardButton = QWizard__WizardButton(0)
	QWizard__NextButton       QWizard__WizardButton = QWizard__WizardButton(1)
	QWizard__CommitButton     QWizard__WizardButton = QWizard__WizardButton(2)
	QWizard__FinishButton     QWizard__WizardButton = QWizard__WizardButton(3)
	QWizard__CancelButton     QWizard__WizardButton = QWizard__WizardButton(4)
	QWizard__HelpButton       QWizard__WizardButton = QWizard__WizardButton(5)
	QWizard__CustomButton1    QWizard__WizardButton = QWizard__WizardButton(6)
	QWizard__CustomButton2    QWizard__WizardButton = QWizard__WizardButton(7)
	QWizard__CustomButton3    QWizard__WizardButton = QWizard__WizardButton(8)
	QWizard__Stretch          QWizard__WizardButton = QWizard__WizardButton(9)
	QWizard__NoButton         QWizard__WizardButton = QWizard__WizardButton(-1)
	QWizard__NStandardButtons QWizard__WizardButton = QWizard__WizardButton(6)
	QWizard__NButtons         QWizard__WizardButton = QWizard__WizardButton(9)
)

//go:generate stringer -type=QWizard__WizardPixmap
//QWizard::WizardPixmap
type QWizard__WizardPixmap int64

const (
	QWizard__WatermarkPixmap  QWizard__WizardPixmap = QWizard__WizardPixmap(0)
	QWizard__LogoPixmap       QWizard__WizardPixmap = QWizard__WizardPixmap(1)
	QWizard__BannerPixmap     QWizard__WizardPixmap = QWizard__WizardPixmap(2)
	QWizard__BackgroundPixmap QWizard__WizardPixmap = QWizard__WizardPixmap(3)
	QWizard__NPixmaps         QWizard__WizardPixmap = QWizard__WizardPixmap(4)
)

//go:generate stringer -type=QWizard__WizardStyle
//QWizard::WizardStyle
type QWizard__WizardStyle int64

var (
	QWizard__ClassicStyle QWizard__WizardStyle = QWizard__WizardStyle(0)
	QWizard__ModernStyle  QWizard__WizardStyle = QWizard__WizardStyle(1)
	QWizard__MacStyle     QWizard__WizardStyle = QWizard__WizardStyle(2)
	QWizard__AeroStyle    QWizard__WizardStyle = QWizard__WizardStyle(3)
	QWizard__NStyles      QWizard__WizardStyle = QWizard__WizardStyle(4)
)

//go:generate stringer -type=QWizard__WizardOption
//QWizard::WizardOption
type QWizard__WizardOption int64

const (
	QWizard__IndependentPages             QWizard__WizardOption = QWizard__WizardOption(0x00000001)
	QWizard__IgnoreSubTitles              QWizard__WizardOption = QWizard__WizardOption(0x00000002)
	QWizard__ExtendedWatermarkPixmap      QWizard__WizardOption = QWizard__WizardOption(0x00000004)
	QWizard__NoDefaultButton              QWizard__WizardOption = QWizard__WizardOption(0x00000008)
	QWizard__NoBackButtonOnStartPage      QWizard__WizardOption = QWizard__WizardOption(0x00000010)
	QWizard__NoBackButtonOnLastPage       QWizard__WizardOption = QWizard__WizardOption(0x00000020)
	QWizard__DisabledBackButtonOnLastPage QWizard__WizardOption = QWizard__WizardOption(0x00000040)
	QWizard__HaveNextButtonOnLastPage     QWizard__WizardOption = QWizard__WizardOption(0x00000080)
	QWizard__HaveFinishButtonOnEarlyPages QWizard__WizardOption = QWizard__WizardOption(0x00000100)
	QWizard__NoCancelButton               QWizard__WizardOption = QWizard__WizardOption(0x00000200)
	QWizard__CancelButtonOnLeft           QWizard__WizardOption = QWizard__WizardOption(0x00000400)
	QWizard__HaveHelpButton               QWizard__WizardOption = QWizard__WizardOption(0x00000800)
	QWizard__HelpButtonOnRight            QWizard__WizardOption = QWizard__WizardOption(0x00001000)
	QWizard__HaveCustomButton1            QWizard__WizardOption = QWizard__WizardOption(0x00002000)
	QWizard__HaveCustomButton2            QWizard__WizardOption = QWizard__WizardOption(0x00004000)
	QWizard__HaveCustomButton3            QWizard__WizardOption = QWizard__WizardOption(0x00008000)
	QWizard__NoCancelButtonOnLastPage     QWizard__WizardOption = QWizard__WizardOption(0x00010000)
)

func NewQWizard(parent QWidget_ITF, flags core.Qt__WindowType) *QWizard {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQWizard", "", parent, flags}).(*QWizard)
}

func (ptr *QWizard) AddPage(page QWizardPage_ITF) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "AddPage", page}).(float64))
}

func (ptr *QWizard) ConnectBack(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectBack", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizard) DisconnectBack() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectBack"})
}

func (ptr *QWizard) Back() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Back"})
}

func (ptr *QWizard) BackDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "BackDefault"})
}

func (ptr *QWizard) Button(which QWizard__WizardButton) *QAbstractButton {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Button", which}).(*QAbstractButton)
}

func (ptr *QWizard) ButtonText(which QWizard__WizardButton) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonText", which}).(string)
}

func (ptr *QWizard) ConnectCleanupPage(f func(id int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCleanupPage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizard) DisconnectCleanupPage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCleanupPage"})
}

func (ptr *QWizard) CleanupPage(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CleanupPage", id})
}

func (ptr *QWizard) CleanupPageDefault(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CleanupPageDefault", id})
}

func (ptr *QWizard) CurrentId() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentId"}).(float64))
}

func (ptr *QWizard) ConnectCurrentIdChanged(f func(id int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCurrentIdChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizard) DisconnectCurrentIdChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCurrentIdChanged"})
}

func (ptr *QWizard) CurrentIdChanged(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentIdChanged", id})
}

func (ptr *QWizard) CurrentPage() *QWizardPage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CurrentPage"}).(*QWizardPage)
}

func (ptr *QWizard) ConnectCustomButtonClicked(f func(which int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCustomButtonClicked", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizard) DisconnectCustomButtonClicked() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCustomButtonClicked"})
}

func (ptr *QWizard) CustomButtonClicked(which int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CustomButtonClicked", which})
}

func (ptr *QWizard) ConnectDone(f func(result int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDone", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizard) DisconnectDone() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDone"})
}

func (ptr *QWizard) Done(result int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Done", result})
}

func (ptr *QWizard) DoneDefault(result int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DoneDefault", result})
}

func (ptr *QWizard) Field(name string) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Field", name}).(*core.QVariant)
}

func (ptr *QWizard) HasVisitedPage(id int) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HasVisitedPage", id}).(bool)
}

func (ptr *QWizard) ConnectHelpRequested(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectHelpRequested", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizard) DisconnectHelpRequested() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectHelpRequested"})
}

func (ptr *QWizard) HelpRequested() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "HelpRequested"})
}

func (ptr *QWizard) ConnectInitializePage(f func(id int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInitializePage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizard) DisconnectInitializePage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInitializePage"})
}

func (ptr *QWizard) InitializePage(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitializePage", id})
}

func (ptr *QWizard) InitializePageDefault(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitializePageDefault", id})
}

func (ptr *QWizard) ConnectNext(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNext", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizard) DisconnectNext() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNext"})
}

func (ptr *QWizard) Next() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Next"})
}

func (ptr *QWizard) NextDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NextDefault"})
}

func (ptr *QWizard) ConnectNextId(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNextId", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizard) DisconnectNextId() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNextId"})
}

func (ptr *QWizard) NextId() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NextId"}).(float64))
}

func (ptr *QWizard) NextIdDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NextIdDefault"}).(float64))
}

func (ptr *QWizard) Options() QWizard__WizardOption {

	return QWizard__WizardOption(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Options"}).(float64))
}

func (ptr *QWizard) Page(id int) *QWizardPage {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Page", id}).(*QWizardPage)
}

func (ptr *QWizard) ConnectPageAdded(f func(id int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPageAdded", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizard) DisconnectPageAdded() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPageAdded"})
}

func (ptr *QWizard) PageAdded(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageAdded", id})
}

func (ptr *QWizard) PageIds() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageIds"}).([]int)
}

func (ptr *QWizard) ConnectPageRemoved(f func(id int)) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectPageRemoved", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizard) DisconnectPageRemoved() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectPageRemoved"})
}

func (ptr *QWizard) PageRemoved(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "PageRemoved", id})
}

func (ptr *QWizard) Pixmap(which QWizard__WizardPixmap) *gui.QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixmap", which}).(*gui.QPixmap)
}

func (ptr *QWizard) RemovePage(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RemovePage", id})
}

func (ptr *QWizard) ConnectRestart(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectRestart", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizard) DisconnectRestart() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectRestart"})
}

func (ptr *QWizard) Restart() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Restart"})
}

func (ptr *QWizard) RestartDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RestartDefault"})
}

func (ptr *QWizard) SetButton(which QWizard__WizardButton, button QAbstractButton_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetButton", which, button})
}

func (ptr *QWizard) SetButtonText(which QWizard__WizardButton, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetButtonText", which, text})
}

func (ptr *QWizard) SetDefaultProperty(className string, property string, changedSignal string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetDefaultProperty", className, property, changedSignal})
}

func (ptr *QWizard) SetField(name string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetField", name, value})
}

func (ptr *QWizard) SetOption(option QWizard__WizardOption, on bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOption", option, on})
}

func (ptr *QWizard) SetOptions(options QWizard__WizardOption) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetOptions", options})
}

func (ptr *QWizard) SetPage(id int, page QWizardPage_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPage", id, page})
}

func (ptr *QWizard) SetPixmap(which QWizard__WizardPixmap, pixmap gui.QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixmap", which, pixmap})
}

func (ptr *QWizard) SetSideWidget(widget QWidget_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSideWidget", widget})
}

func (ptr *QWizard) SetStartId(id int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetStartId", id})
}

func (ptr *QWizard) SetSubTitleFormat(format core.Qt__TextFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSubTitleFormat", format})
}

func (ptr *QWizard) SetTitleFormat(format core.Qt__TextFormat) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTitleFormat", format})
}

func (ptr *QWizard) SetWizardStyle(style QWizard__WizardStyle) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetWizardStyle", style})
}

func (ptr *QWizard) SideWidget() *QWidget {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SideWidget"}).(*QWidget)
}

func (ptr *QWizard) StartId() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "StartId"}).(float64))
}

func (ptr *QWizard) SubTitleFormat() core.Qt__TextFormat {

	return core.Qt__TextFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubTitleFormat"}).(float64))
}

func (ptr *QWizard) TestOption(option QWizard__WizardOption) bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TestOption", option}).(bool)
}

func (ptr *QWizard) TitleFormat() core.Qt__TextFormat {

	return core.Qt__TextFormat(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "TitleFormat"}).(float64))
}

func (ptr *QWizard) ConnectValidateCurrentPage(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValidateCurrentPage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizard) DisconnectValidateCurrentPage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValidateCurrentPage"})
}

func (ptr *QWizard) ValidateCurrentPage() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValidateCurrentPage"}).(bool)
}

func (ptr *QWizard) ValidateCurrentPageDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValidateCurrentPageDefault"}).(bool)
}

func (ptr *QWizard) VisitedPages() []int {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "VisitedPages"}).([]int)
}

func (ptr *QWizard) WizardStyle() QWizard__WizardStyle {

	return QWizard__WizardStyle(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "WizardStyle"}).(float64))
}

func (ptr *QWizard) ConnectDestroyQWizard(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQWizard", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizard) DisconnectDestroyQWizard() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQWizard"})
}

func (ptr *QWizard) DestroyQWizard() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQWizard"})
}

func (ptr *QWizard) DestroyQWizardDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQWizardDefault"})
}

func (ptr *QWizard) __pageIds_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__pageIds_atList", i}).(float64))
}

func (ptr *QWizard) __pageIds_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__pageIds_setList", i})
}

func (ptr *QWizard) __pageIds_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__pageIds_newList"}).(unsafe.Pointer)
}

func (ptr *QWizard) __visitedPages_atList(i int) int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__visitedPages_atList", i}).(float64))
}

func (ptr *QWizard) __visitedPages_setList(i int) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__visitedPages_setList", i})
}

func (ptr *QWizard) __visitedPages_newList() unsafe.Pointer {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "__visitedPages_newList"}).(unsafe.Pointer)
}

type QWizardPage struct {
	QWidget
}

type QWizardPage_ITF interface {
	QWidget_ITF
	QWizardPage_PTR() *QWizardPage
}

func (ptr *QWizardPage) QWizardPage_PTR() *QWizardPage {
	return ptr
}

func (ptr *QWizardPage) Pointer() unsafe.Pointer {
	if ptr != nil {
		return ptr.QWidget_PTR().Pointer()
	}
	return nil
}

func (ptr *QWizardPage) SetPointer(p unsafe.Pointer) {
	if ptr != nil {
		ptr.QWidget_PTR().SetPointer(p)
	}
}

func PointerFromQWizardPage(ptr QWizardPage_ITF) unsafe.Pointer {
	if ptr != nil {
		return ptr.QWizardPage_PTR().Pointer()
	}
	return nil
}

func (n *QWizardPage) InitFromInternal(ptr uintptr, name string) {
	n.QWidget_PTR().InitFromInternal(uintptr(ptr), name)

}

func (n *QWizardPage) ClassNameInternalF() string {
	return n.QWidget_PTR().ClassNameInternalF()
}

func NewQWizardPageFromPointer(ptr unsafe.Pointer) (n *QWizardPage) {
	n = new(QWizardPage)
	n.InitFromInternal(uintptr(ptr), "widgets.QWizardPage")
	return
}
func NewQWizardPage(parent QWidget_ITF) *QWizardPage {

	return internal.CallLocalFunction([]interface{}{"", "", "widgets.NewQWizardPage", "", parent}).(*QWizardPage)
}

func (ptr *QWizardPage) ButtonText(which QWizard__WizardButton) string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ButtonText", which}).(string)
}

func (ptr *QWizardPage) ConnectCleanupPage(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCleanupPage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizardPage) DisconnectCleanupPage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCleanupPage"})
}

func (ptr *QWizardPage) CleanupPage() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CleanupPage"})
}

func (ptr *QWizardPage) CleanupPageDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CleanupPageDefault"})
}

func (ptr *QWizardPage) ConnectCompleteChanged(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectCompleteChanged", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizardPage) DisconnectCompleteChanged() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectCompleteChanged"})
}

func (ptr *QWizardPage) CompleteChanged() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "CompleteChanged"})
}

func (ptr *QWizardPage) Field(name string) *core.QVariant {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Field", name}).(*core.QVariant)
}

func (ptr *QWizardPage) ConnectInitializePage(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectInitializePage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizardPage) DisconnectInitializePage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectInitializePage"})
}

func (ptr *QWizardPage) InitializePage() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitializePage"})
}

func (ptr *QWizardPage) InitializePageDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "InitializePageDefault"})
}

func (ptr *QWizardPage) IsCommitPage() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCommitPage"}).(bool)
}

func (ptr *QWizardPage) ConnectIsComplete(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectIsComplete", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizardPage) DisconnectIsComplete() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectIsComplete"})
}

func (ptr *QWizardPage) IsComplete() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsComplete"}).(bool)
}

func (ptr *QWizardPage) IsCompleteDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsCompleteDefault"}).(bool)
}

func (ptr *QWizardPage) IsFinalPage() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "IsFinalPage"}).(bool)
}

func (ptr *QWizardPage) ConnectNextId(f func() int) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectNextId", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizardPage) DisconnectNextId() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectNextId"})
}

func (ptr *QWizardPage) NextId() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NextId"}).(float64))
}

func (ptr *QWizardPage) NextIdDefault() int {

	return int(internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "NextIdDefault"}).(float64))
}

func (ptr *QWizardPage) Pixmap(which QWizard__WizardPixmap) *gui.QPixmap {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Pixmap", which}).(*gui.QPixmap)
}

func (ptr *QWizardPage) RegisterField(name string, widget QWidget_ITF, property string, changedSignal string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "RegisterField", name, widget, property, changedSignal})
}

func (ptr *QWizardPage) SetButtonText(which QWizard__WizardButton, text string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetButtonText", which, text})
}

func (ptr *QWizardPage) SetCommitPage(commitPage bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetCommitPage", commitPage})
}

func (ptr *QWizardPage) SetField(name string, value core.QVariant_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetField", name, value})
}

func (ptr *QWizardPage) SetFinalPage(finalPage bool) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetFinalPage", finalPage})
}

func (ptr *QWizardPage) SetPixmap(which QWizard__WizardPixmap, pixmap gui.QPixmap_ITF) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetPixmap", which, pixmap})
}

func (ptr *QWizardPage) SetSubTitle(subTitle string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetSubTitle", subTitle})
}

func (ptr *QWizardPage) SetTitle(title string) {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SetTitle", title})
}

func (ptr *QWizardPage) SubTitle() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "SubTitle"}).(string)
}

func (ptr *QWizardPage) Title() string {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Title"}).(string)
}

func (ptr *QWizardPage) ConnectValidatePage(f func() bool) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectValidatePage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizardPage) DisconnectValidatePage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectValidatePage"})
}

func (ptr *QWizardPage) ValidatePage() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValidatePage"}).(bool)
}

func (ptr *QWizardPage) ValidatePageDefault() bool {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ValidatePageDefault"}).(bool)
}

func (ptr *QWizardPage) Wizard() *QWizard {

	return internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "Wizard"}).(*QWizard)
}

func (ptr *QWizardPage) ConnectDestroyQWizardPage(f func()) {

	internal.CallLocalAndRegisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "ConnectDestroyQWizardPage", "___REMOTE_CALLBACK___"}, f)
}

func (ptr *QWizardPage) DisconnectDestroyQWizardPage() {

	internal.CallLocalAndDeregisterRemoteFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DisconnectDestroyQWizardPage"})
}

func (ptr *QWizardPage) DestroyQWizardPage() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQWizardPage"})
}

func (ptr *QWizardPage) DestroyQWizardPageDefault() {

	internal.CallLocalFunction([]interface{}{"", uintptr(ptr.Pointer()), ptr.ClassNameInternalF(), "DestroyQWizardPageDefault"})
}

func init() {
	internal.ConstructorTable["widgets.QAbstractButton"] = NewQAbstractButtonFromPointer
	internal.ConstructorTable["widgets.QAbstractGraphicsShapeItem"] = NewQAbstractGraphicsShapeItemFromPointer
	internal.ConstructorTable["widgets.QAbstractItemDelegate"] = NewQAbstractItemDelegateFromPointer
	internal.ConstructorTable["widgets.QAbstractItemView"] = NewQAbstractItemViewFromPointer
	internal.ConstructorTable["widgets.QAbstractScrollArea"] = NewQAbstractScrollAreaFromPointer
	internal.ConstructorTable["widgets.QAbstractSlider"] = NewQAbstractSliderFromPointer
	internal.ConstructorTable["widgets.QAbstractSpinBox"] = NewQAbstractSpinBoxFromPointer
	internal.ConstructorTable["widgets.QAccessibleWidget"] = NewQAccessibleWidgetFromPointer
	internal.ConstructorTable["widgets.QAction"] = NewQActionFromPointer
	internal.ConstructorTable["widgets.QActionGroup"] = NewQActionGroupFromPointer
	internal.ConstructorTable["widgets.QApplication"] = NewQApplicationFromPointer
	internal.ConstructorTable["widgets.QBoxLayout"] = NewQBoxLayoutFromPointer
	internal.ConstructorTable["widgets.QButtonGroup"] = NewQButtonGroupFromPointer
	internal.ConstructorTable["widgets.QCalendarWidget"] = NewQCalendarWidgetFromPointer
	internal.ConstructorTable["widgets.QCheckBox"] = NewQCheckBoxFromPointer
	internal.ConstructorTable["widgets.QColorDialog"] = NewQColorDialogFromPointer
	internal.ConstructorTable["widgets.QColormap"] = NewQColormapFromPointer
	internal.ConstructorTable["widgets.QColumnView"] = NewQColumnViewFromPointer
	internal.ConstructorTable["widgets.QComboBox"] = NewQComboBoxFromPointer
	internal.ConstructorTable["widgets.QCommandLinkButton"] = NewQCommandLinkButtonFromPointer
	internal.ConstructorTable["widgets.QCommonStyle"] = NewQCommonStyleFromPointer
	internal.ConstructorTable["widgets.QCompleter"] = NewQCompleterFromPointer
	internal.ConstructorTable["widgets.QDataWidgetMapper"] = NewQDataWidgetMapperFromPointer
	internal.ConstructorTable["widgets.QDateEdit"] = NewQDateEditFromPointer
	internal.ConstructorTable["widgets.QDateTimeEdit"] = NewQDateTimeEditFromPointer
	internal.ConstructorTable["widgets.QDesktopWidget"] = NewQDesktopWidgetFromPointer
	internal.ConstructorTable["widgets.QDial"] = NewQDialFromPointer
	internal.ConstructorTable["widgets.QDialog"] = NewQDialogFromPointer
	internal.ConstructorTable["widgets.QDialogButtonBox"] = NewQDialogButtonBoxFromPointer
	internal.ConstructorTable["widgets.QDirModel"] = NewQDirModelFromPointer
	internal.ConstructorTable["widgets.QDockWidget"] = NewQDockWidgetFromPointer
	internal.ConstructorTable["widgets.QDoubleSpinBox"] = NewQDoubleSpinBoxFromPointer
	internal.ConstructorTable["widgets.QErrorMessage"] = NewQErrorMessageFromPointer
	internal.ConstructorTable["widgets.QFileDialog"] = NewQFileDialogFromPointer
	internal.ConstructorTable["widgets.QFileIconProvider"] = NewQFileIconProviderFromPointer
	internal.ConstructorTable["widgets.QFileSystemModel"] = NewQFileSystemModelFromPointer
	internal.ConstructorTable["widgets.QFocusFrame"] = NewQFocusFrameFromPointer
	internal.ConstructorTable["widgets.QFontComboBox"] = NewQFontComboBoxFromPointer
	internal.ConstructorTable["widgets.QFontDialog"] = NewQFontDialogFromPointer
	internal.ConstructorTable["widgets.QFormLayout"] = NewQFormLayoutFromPointer
	internal.ConstructorTable["widgets.QFrame"] = NewQFrameFromPointer
	internal.ConstructorTable["widgets.QGesture"] = NewQGestureFromPointer
	internal.ConstructorTable["widgets.QGestureEvent"] = NewQGestureEventFromPointer
	internal.ConstructorTable["widgets.QGestureRecognizer"] = NewQGestureRecognizerFromPointer
	internal.ConstructorTable["widgets.QGraphicsAnchor"] = NewQGraphicsAnchorFromPointer
	internal.ConstructorTable["widgets.QGraphicsAnchorLayout"] = NewQGraphicsAnchorLayoutFromPointer
	internal.ConstructorTable["widgets.QGraphicsBlurEffect"] = NewQGraphicsBlurEffectFromPointer
	internal.ConstructorTable["widgets.QGraphicsColorizeEffect"] = NewQGraphicsColorizeEffectFromPointer
	internal.ConstructorTable["widgets.QGraphicsDropShadowEffect"] = NewQGraphicsDropShadowEffectFromPointer
	internal.ConstructorTable["widgets.QGraphicsEffect"] = NewQGraphicsEffectFromPointer
	internal.ConstructorTable["widgets.QGraphicsEllipseItem"] = NewQGraphicsEllipseItemFromPointer
	internal.ConstructorTable["widgets.QGraphicsGridLayout"] = NewQGraphicsGridLayoutFromPointer
	internal.ConstructorTable["widgets.QGraphicsItem"] = NewQGraphicsItemFromPointer
	internal.ConstructorTable["widgets.QGraphicsItemAnimation"] = NewQGraphicsItemAnimationFromPointer
	internal.ConstructorTable["widgets.QGraphicsItemGroup"] = NewQGraphicsItemGroupFromPointer
	internal.ConstructorTable["widgets.QGraphicsLayout"] = NewQGraphicsLayoutFromPointer
	internal.ConstructorTable["widgets.QGraphicsLayoutItem"] = NewQGraphicsLayoutItemFromPointer
	internal.ConstructorTable["widgets.QGraphicsLineItem"] = NewQGraphicsLineItemFromPointer
	internal.ConstructorTable["widgets.QGraphicsLinearLayout"] = NewQGraphicsLinearLayoutFromPointer
	internal.ConstructorTable["widgets.QGraphicsObject"] = NewQGraphicsObjectFromPointer
	internal.ConstructorTable["widgets.QGraphicsOpacityEffect"] = NewQGraphicsOpacityEffectFromPointer
	internal.ConstructorTable["widgets.QGraphicsPathItem"] = NewQGraphicsPathItemFromPointer
	internal.ConstructorTable["widgets.QGraphicsPixmapItem"] = NewQGraphicsPixmapItemFromPointer
	internal.ConstructorTable["widgets.QGraphicsPolygonItem"] = NewQGraphicsPolygonItemFromPointer
	internal.ConstructorTable["widgets.QGraphicsProxyWidget"] = NewQGraphicsProxyWidgetFromPointer
	internal.ConstructorTable["widgets.QGraphicsRectItem"] = NewQGraphicsRectItemFromPointer
	internal.ConstructorTable["widgets.QGraphicsRotation"] = NewQGraphicsRotationFromPointer
	internal.ConstructorTable["widgets.QGraphicsScale"] = NewQGraphicsScaleFromPointer
	internal.ConstructorTable["widgets.QGraphicsScene"] = NewQGraphicsSceneFromPointer
	internal.ConstructorTable["widgets.QGraphicsSceneContextMenuEvent"] = NewQGraphicsSceneContextMenuEventFromPointer
	internal.ConstructorTable["widgets.QGraphicsSceneDragDropEvent"] = NewQGraphicsSceneDragDropEventFromPointer
	internal.ConstructorTable["widgets.QGraphicsSceneEvent"] = NewQGraphicsSceneEventFromPointer
	internal.ConstructorTable["widgets.QGraphicsSceneHelpEvent"] = NewQGraphicsSceneHelpEventFromPointer
	internal.ConstructorTable["widgets.QGraphicsSceneHoverEvent"] = NewQGraphicsSceneHoverEventFromPointer
	internal.ConstructorTable["widgets.QGraphicsSceneMouseEvent"] = NewQGraphicsSceneMouseEventFromPointer
	internal.ConstructorTable["widgets.QGraphicsSceneMoveEvent"] = NewQGraphicsSceneMoveEventFromPointer
	internal.ConstructorTable["widgets.QGraphicsSceneResizeEvent"] = NewQGraphicsSceneResizeEventFromPointer
	internal.ConstructorTable["widgets.QGraphicsSceneWheelEvent"] = NewQGraphicsSceneWheelEventFromPointer
	internal.ConstructorTable["widgets.QGraphicsSimpleTextItem"] = NewQGraphicsSimpleTextItemFromPointer
	internal.ConstructorTable["widgets.QGraphicsTextItem"] = NewQGraphicsTextItemFromPointer
	internal.ConstructorTable["widgets.QGraphicsTransform"] = NewQGraphicsTransformFromPointer
	internal.ConstructorTable["widgets.QGraphicsView"] = NewQGraphicsViewFromPointer
	internal.ConstructorTable["widgets.QGraphicsWidget"] = NewQGraphicsWidgetFromPointer
	internal.ConstructorTable["widgets.QGridLayout"] = NewQGridLayoutFromPointer
	internal.ConstructorTable["widgets.QGroupBox"] = NewQGroupBoxFromPointer
	internal.ConstructorTable["widgets.QHBoxLayout"] = NewQHBoxLayoutFromPointer
	internal.ConstructorTable["widgets.QHeaderView"] = NewQHeaderViewFromPointer
	internal.ConstructorTable["widgets.QInputDialog"] = NewQInputDialogFromPointer
	internal.ConstructorTable["widgets.QItemDelegate"] = NewQItemDelegateFromPointer
	internal.ConstructorTable["widgets.QItemEditorCreatorBase"] = NewQItemEditorCreatorBaseFromPointer
	internal.ConstructorTable["widgets.QItemEditorFactory"] = NewQItemEditorFactoryFromPointer
	internal.ConstructorTable["widgets.QKeyEventTransition"] = NewQKeyEventTransitionFromPointer
	internal.ConstructorTable["widgets.QKeySequenceEdit"] = NewQKeySequenceEditFromPointer
	internal.ConstructorTable["widgets.QLCDNumber"] = NewQLCDNumberFromPointer
	internal.ConstructorTable["widgets.QLabel"] = NewQLabelFromPointer
	internal.ConstructorTable["widgets.QLayout"] = NewQLayoutFromPointer
	internal.ConstructorTable["widgets.QLayoutItem"] = NewQLayoutItemFromPointer
	internal.ConstructorTable["widgets.QLineEdit"] = NewQLineEditFromPointer
	internal.ConstructorTable["widgets.QListView"] = NewQListViewFromPointer
	internal.ConstructorTable["widgets.QListWidget"] = NewQListWidgetFromPointer
	internal.ConstructorTable["widgets.QListWidgetItem"] = NewQListWidgetItemFromPointer
	internal.ConstructorTable["widgets.QMainWindow"] = NewQMainWindowFromPointer
	internal.ConstructorTable["widgets.QMdiArea"] = NewQMdiAreaFromPointer
	internal.ConstructorTable["widgets.QMdiSubWindow"] = NewQMdiSubWindowFromPointer
	internal.ConstructorTable["widgets.QMenu"] = NewQMenuFromPointer
	internal.ConstructorTable["widgets.QMenuBar"] = NewQMenuBarFromPointer
	internal.ConstructorTable["widgets.QMessageBox"] = NewQMessageBoxFromPointer
	internal.ConstructorTable["widgets.QMouseEventTransition"] = NewQMouseEventTransitionFromPointer
	internal.ConstructorTable["widgets.QOpenGLWidget"] = NewQOpenGLWidgetFromPointer
	internal.ConstructorTable["widgets.QPanGesture"] = NewQPanGestureFromPointer
	internal.ConstructorTable["widgets.QPinchGesture"] = NewQPinchGestureFromPointer
	internal.ConstructorTable["widgets.QPlainTextDocumentLayout"] = NewQPlainTextDocumentLayoutFromPointer
	internal.ConstructorTable["widgets.QPlainTextEdit"] = NewQPlainTextEditFromPointer
	internal.ConstructorTable["widgets.QProgressBar"] = NewQProgressBarFromPointer
	internal.ConstructorTable["widgets.QProgressDialog"] = NewQProgressDialogFromPointer
	internal.ConstructorTable["widgets.QProxyStyle"] = NewQProxyStyleFromPointer
	internal.ConstructorTable["widgets.QPushButton"] = NewQPushButtonFromPointer
	internal.ConstructorTable["widgets.QRadioButton"] = NewQRadioButtonFromPointer
	internal.ConstructorTable["widgets.QRubberBand"] = NewQRubberBandFromPointer
	internal.ConstructorTable["widgets.QScrollArea"] = NewQScrollAreaFromPointer
	internal.ConstructorTable["widgets.QScrollBar"] = NewQScrollBarFromPointer
	internal.ConstructorTable["widgets.QScroller"] = NewQScrollerFromPointer
	internal.ConstructorTable["widgets.QScrollerProperties"] = NewQScrollerPropertiesFromPointer
	internal.ConstructorTable["widgets.QShortcut"] = NewQShortcutFromPointer
	internal.ConstructorTable["widgets.QSizeGrip"] = NewQSizeGripFromPointer
	internal.ConstructorTable["widgets.QSizePolicy"] = NewQSizePolicyFromPointer
	internal.ConstructorTable["widgets.QSlider"] = NewQSliderFromPointer
	internal.ConstructorTable["widgets.QSpacerItem"] = NewQSpacerItemFromPointer
	internal.ConstructorTable["widgets.QSpinBox"] = NewQSpinBoxFromPointer
	internal.ConstructorTable["widgets.QSplashScreen"] = NewQSplashScreenFromPointer
	internal.ConstructorTable["widgets.QSplitter"] = NewQSplitterFromPointer
	internal.ConstructorTable["widgets.QSplitterHandle"] = NewQSplitterHandleFromPointer
	internal.ConstructorTable["widgets.QStackedLayout"] = NewQStackedLayoutFromPointer
	internal.ConstructorTable["widgets.QStackedWidget"] = NewQStackedWidgetFromPointer
	internal.ConstructorTable["widgets.QStatusBar"] = NewQStatusBarFromPointer
	internal.ConstructorTable["widgets.QStyle"] = NewQStyleFromPointer
	internal.ConstructorTable["widgets.QStyleFactory"] = NewQStyleFactoryFromPointer
	internal.ConstructorTable["widgets.QStyleHintReturn"] = NewQStyleHintReturnFromPointer
	internal.ConstructorTable["widgets.QStyleHintReturnMask"] = NewQStyleHintReturnMaskFromPointer
	internal.ConstructorTable["widgets.QStyleHintReturnVariant"] = NewQStyleHintReturnVariantFromPointer
	internal.ConstructorTable["widgets.QStyleOption"] = NewQStyleOptionFromPointer
	internal.ConstructorTable["widgets.QStyleOptionButton"] = NewQStyleOptionButtonFromPointer
	internal.ConstructorTable["widgets.QStyleOptionComboBox"] = NewQStyleOptionComboBoxFromPointer
	internal.ConstructorTable["widgets.QStyleOptionComplex"] = NewQStyleOptionComplexFromPointer
	internal.ConstructorTable["widgets.QStyleOptionDockWidget"] = NewQStyleOptionDockWidgetFromPointer
	internal.ConstructorTable["widgets.QStyleOptionFocusRect"] = NewQStyleOptionFocusRectFromPointer
	internal.ConstructorTable["widgets.QStyleOptionFrame"] = NewQStyleOptionFrameFromPointer
	internal.ConstructorTable["widgets.QStyleOptionGraphicsItem"] = NewQStyleOptionGraphicsItemFromPointer
	internal.ConstructorTable["widgets.QStyleOptionGroupBox"] = NewQStyleOptionGroupBoxFromPointer
	internal.ConstructorTable["widgets.QStyleOptionHeader"] = NewQStyleOptionHeaderFromPointer
	internal.ConstructorTable["widgets.QStyleOptionMenuItem"] = NewQStyleOptionMenuItemFromPointer
	internal.ConstructorTable["widgets.QStyleOptionProgressBar"] = NewQStyleOptionProgressBarFromPointer
	internal.ConstructorTable["widgets.QStyleOptionRubberBand"] = NewQStyleOptionRubberBandFromPointer
	internal.ConstructorTable["widgets.QStyleOptionSizeGrip"] = NewQStyleOptionSizeGripFromPointer
	internal.ConstructorTable["widgets.QStyleOptionSlider"] = NewQStyleOptionSliderFromPointer
	internal.ConstructorTable["widgets.QStyleOptionSpinBox"] = NewQStyleOptionSpinBoxFromPointer
	internal.ConstructorTable["widgets.QStyleOptionTab"] = NewQStyleOptionTabFromPointer
	internal.ConstructorTable["widgets.QStyleOptionTabBarBase"] = NewQStyleOptionTabBarBaseFromPointer
	internal.ConstructorTable["widgets.QStyleOptionTabWidgetFrame"] = NewQStyleOptionTabWidgetFrameFromPointer
	internal.ConstructorTable["widgets.QStyleOptionTitleBar"] = NewQStyleOptionTitleBarFromPointer
	internal.ConstructorTable["widgets.QStyleOptionToolBar"] = NewQStyleOptionToolBarFromPointer
	internal.ConstructorTable["widgets.QStyleOptionToolBox"] = NewQStyleOptionToolBoxFromPointer
	internal.ConstructorTable["widgets.QStyleOptionToolButton"] = NewQStyleOptionToolButtonFromPointer
	internal.ConstructorTable["widgets.QStyleOptionViewItem"] = NewQStyleOptionViewItemFromPointer
	internal.ConstructorTable["widgets.QStylePainter"] = NewQStylePainterFromPointer
	internal.ConstructorTable["widgets.QStylePlugin"] = NewQStylePluginFromPointer
	internal.ConstructorTable["widgets.QStyledItemDelegate"] = NewQStyledItemDelegateFromPointer
	internal.ConstructorTable["widgets.QSwipeGesture"] = NewQSwipeGestureFromPointer
	internal.ConstructorTable["widgets.QSystemTrayIcon"] = NewQSystemTrayIconFromPointer
	internal.ConstructorTable["widgets.QTabBar"] = NewQTabBarFromPointer
	internal.ConstructorTable["widgets.QTabWidget"] = NewQTabWidgetFromPointer
	internal.ConstructorTable["widgets.QTableView"] = NewQTableViewFromPointer
	internal.ConstructorTable["widgets.QTableWidget"] = NewQTableWidgetFromPointer
	internal.ConstructorTable["widgets.QTableWidgetItem"] = NewQTableWidgetItemFromPointer
	internal.ConstructorTable["widgets.QTableWidgetSelectionRange"] = NewQTableWidgetSelectionRangeFromPointer
	internal.ConstructorTable["widgets.QTapAndHoldGesture"] = NewQTapAndHoldGestureFromPointer
	internal.ConstructorTable["widgets.QTapGesture"] = NewQTapGestureFromPointer
	internal.ConstructorTable["widgets.QTextBrowser"] = NewQTextBrowserFromPointer
	internal.ConstructorTable["widgets.QTextEdit"] = NewQTextEditFromPointer
	internal.ConstructorTable["widgets.QTileRules"] = NewQTileRulesFromPointer
	internal.ConstructorTable["widgets.QTimeEdit"] = NewQTimeEditFromPointer
	internal.ConstructorTable["widgets.QToolBar"] = NewQToolBarFromPointer
	internal.ConstructorTable["widgets.QToolBox"] = NewQToolBoxFromPointer
	internal.ConstructorTable["widgets.QToolButton"] = NewQToolButtonFromPointer
	internal.ConstructorTable["widgets.QToolTip"] = NewQToolTipFromPointer
	internal.ConstructorTable["widgets.QTreeView"] = NewQTreeViewFromPointer
	internal.ConstructorTable["widgets.QTreeWidget"] = NewQTreeWidgetFromPointer
	internal.ConstructorTable["widgets.QTreeWidgetItem"] = NewQTreeWidgetItemFromPointer
	internal.ConstructorTable["widgets.QUndoCommand"] = NewQUndoCommandFromPointer
	internal.ConstructorTable["widgets.QUndoGroup"] = NewQUndoGroupFromPointer
	internal.ConstructorTable["widgets.QUndoStack"] = NewQUndoStackFromPointer
	internal.ConstructorTable["widgets.QUndoView"] = NewQUndoViewFromPointer
	internal.ConstructorTable["widgets.QVBoxLayout"] = NewQVBoxLayoutFromPointer
	internal.ConstructorTable["widgets.QWhatsThis"] = NewQWhatsThisFromPointer
	internal.ConstructorTable["widgets.QWidget"] = NewQWidgetFromPointer
	internal.ConstructorTable["widgets.QWidgetAction"] = NewQWidgetActionFromPointer
	internal.ConstructorTable["widgets.QWidgetItem"] = NewQWidgetItemFromPointer
	internal.ConstructorTable["widgets.QWizard"] = NewQWizardFromPointer
	internal.ConstructorTable["widgets.QWizardPage"] = NewQWizardPageFromPointer
}
